package cn.cecep.talroad.controller;

import cn.cecep.talroad.common.core.web.controller.BasesController;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BMainPollDisGasPoll;
import cn.cecep.talroad.service.BMainPollDisGasPollService;
import cn.cecep.talroad.vo.query.BMainPollDisGasToutQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * * 开发公司：中节能天融科技有限公司
 * 排污许可大气排放总计Controller 控制层
 *
 * @author szhpt
 * @date 2023-01-18*/
@Api(tags = "排污许可--排污单位排放总许可量")
@RestController
@RequestMapping("/BMainPollDisGasPollTout")
public class BMainPollDisGasPollController extends BasesController
{
    @Autowired
    private BMainPollDisGasPollService bMainPollDisGasPollService;

    /**
     * 查询排污许可大气排放总计列表
     */
    @ApiOperation(value = "查询排污单位排放总许可量")
    @GetMapping("/list")
    public AjaxResults<IPage<BMainPollDisGasPoll>> list(BMainPollDisGasToutQuery bMainPollDisGasTout)
    {
        return AjaxResults.success(bMainPollDisGasPollService.pullPage(bMainPollDisGasTout));
    }

}
