package cn.cecep.talroad.controller;

import cn.cecep.talroad.common.core.exception.CommonException;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionStatistics;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.cecep.talroad.vo.query.BStatTableZxbgHdGasPollutionQuery;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.security.InvalidParameterException;
import java.util.List;
import java.util.Arrays;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import cn.cecep.talroad.common.log.annotation.Log;
import cn.cecep.talroad.common.log.enums.BusinessType;
import cn.cecep.talroad.common.security.annotation.RequiresPermissions;

import cn.cecep.talroad.common.core.web.controller.BasesController;
import cn.cecep.talroad.common.core.utils.poi.ExcelUtil;
import cn.cecep.talroad.domain.BStatTableZxbgHdGasPollution;
import cn.cecep.talroad.vo.BStatTableZxbgHdGasPollutionVo;
import cn.cecep.talroad.service.IBStatTableZxbgHdGasPollutionService;


/**
 * * 开发公司：中节能天融科技有限公司
 * 固定源产排治--执行报告--火电废气污染治理设施正常情况Controller 控制层
 *
 * @author szhpt
 * @date 2023-08-01*/
@Api(tags = "固定源产排治--执行报告--火电废气污染治理设施正常情况")
@RestController
@RequestMapping("/execution/report/hd/gas")
public class BStatTableZxbgHdGasPollutionController extends BasesController
{
    @Autowired
    private IBStatTableZxbgHdGasPollutionService bStatTableZxbgHdGasPollutionService;

    /**
     * 查询固定源产排治--执行报告--火电废气污染治理设施正常情况列表
     */
    @ApiOperation(value = "查询固定源产排治--执行报告--火电废气污染治理设施正常情况")
    @PostMapping("/list")
    public AjaxResults<IPage<BStatTableZxbgHdGasPollution>> list(@RequestBody BStatTablepPwxkWaterQuery query)
    {
        return bStatTableZxbgHdGasPollutionService.selectBStatTableZxbgHdGasPollutionListBy(query);
    }
    

    /**
     * 导出固定源产排治--执行报告--火电废气污染治理设施正常情况列表
     */
    @ApiOperation(value = "导出固定源产排治--执行报告--火电废气污染治理设施正常情况")
    @Log(title = "固定源产排治--执行报告--火电废气污染治理设施正常情况", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, @RequestBody BStatTablepPwxkWaterQuery query)
    {
        AjaxResults<IPage<BStatTableZxbgHdGasPollution>> iPageAjaxResults = bStatTableZxbgHdGasPollutionService.selectBStatTableZxbgHdGasPollutionListBy(query);
        ExcelUtil<BStatTableZxbgHdGasPollution> util = new ExcelUtil<BStatTableZxbgHdGasPollution>(BStatTableZxbgHdGasPollution.class);
        util.setBol(query.getBol());
        util.exportExcel(response, iPageAjaxResults.getData().getRecords(), "固定源产排治--执行报告--火电废气污染治理设施正常情况数据");
    }

    /**
     * 获取固定源产排治--执行报告--火电废气污染治理设施正常情况详细信息
     */
    @ApiOperation(value = "获取固定源产排治--执行报告--火电废气污染治理设施正常情况详细信息")
    @PostMapping(value = "/{id}")
    public AjaxResults<BStatTableZxbgHdGasPollution> getInfo(@PathVariable("id") Integer id) {
        return AjaxResults.success(bStatTableZxbgHdGasPollutionService.getById(id));
    }
    /**
     * 新增固定源产排治--执行报告--火电废气污染治理设施正常情况
     */
    @ApiOperation(value = "新增固定源产排治--执行报告--火电废气污染治理设施正常情况")
    @Log(title = "固定源产排治--执行报告--火电废气污染治理设施正常情况", businessType = BusinessType.INSERT)
    @PostMapping(value = "/add")
    public AjaxResults<Boolean> add(@RequestBody BStatTableZxbgHdGasPollution bStatTableZxbgHdGasPollution) {
        return toAjax(bStatTableZxbgHdGasPollutionService.save(bStatTableZxbgHdGasPollution));
    }
    /**
     * 修改固定源产排治--执行报告--火电废气污染治理设施正常情况
     */
    @ApiOperation(value = "修改固定源产排治--执行报告--火电废气污染治理设施正常情况")
    @Log(title = "固定源产排治--执行报告--火电废气污染治理设施正常情况", businessType = BusinessType.UPDATE)
    @PostMapping(value = "/edit")
    public AjaxResults<Boolean> edit(@RequestBody BStatTableZxbgHdGasPollutionVo bStatTableZxbgHdGasPollutionVo) {
        if(ObjectUtil.isEmpty(bStatTableZxbgHdGasPollutionVo)){
            throw new InvalidParameterException("参数为空");
        }
        if(ObjectUtil.isEmpty(bStatTableZxbgHdGasPollutionVo.getId())){
            throw new InvalidParameterException("参数id为空");
        }
        BStatTableZxbgHdGasPollution bStatTableZxbgHdGasPollution = bStatTableZxbgHdGasPollutionService.getById(bStatTableZxbgHdGasPollutionVo.getId());
        if(ObjectUtil.isEmpty(bStatTableZxbgHdGasPollution)){
            throw new CommonException(StrUtil.format("根据id{}查询不到数据", bStatTableZxbgHdGasPollutionVo.getId()));
        }
        //赋值
        BeanUtil.copyProperties(bStatTableZxbgHdGasPollutionVo,bStatTableZxbgHdGasPollution);
        return toAjax(bStatTableZxbgHdGasPollutionService.saveOrUpdate(bStatTableZxbgHdGasPollution));
    }

    /**
     * 删除固定源产排治--执行报告--火电废气污染治理设施正常情况
     */
    @ApiOperation(value = "删除固定源产排治--执行报告--火电废气污染治理设施正常情况")
    @RequiresPermissions("talroad:pollution:remove")
    @Log(title = "固定源产排治--执行报告--火电废气污染治理设施正常情况", businessType = BusinessType.DELETE)
    @PostMapping("/{ids}")
    public AjaxResults<Boolean> remove(@PathVariable Long[] ids) {
        return toAjax(bStatTableZxbgHdGasPollutionService.removeByIds(Arrays.asList(ids)));
    }
}
