package cn.cecep.talroad.controller;

import cn.cecep.talroad.common.core.exception.CommonException;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BStatTableZxbgPflWaterVoerproof;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.cecep.talroad.vo.query.BStatTableZxbgPflAirSpecialQuery;

import cn.hutool.core.util.StrUtil;
//import com.alibaba.nacos.shaded.com.google.common.net.HttpHeaders;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.security.InvalidParameterException;
import java.util.List;
import java.util.Arrays;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;

import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.streaming.SXSSFWorkbook;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StreamUtils;
import org.springframework.web.bind.annotation.*;
import cn.cecep.talroad.common.log.annotation.Log;
import cn.cecep.talroad.common.log.enums.BusinessType;
import cn.cecep.talroad.common.security.annotation.RequiresPermissions;

import cn.cecep.talroad.common.core.web.controller.BasesController;
import cn.cecep.talroad.common.core.utils.poi.ExcelUtil;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirSpecial;
import cn.cecep.talroad.vo.BStatTableZxbgPflAirSpecialVo;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirSpecialService;


/**
 * * 开发公司：中节能天融科技有限公司
 * 固定源产排治--执行报告--特殊时段废气排放量Controller 控制层
 *
 * @author szhpt
 * @date 2023-07-31*/
@Api(tags = "固定源产排治--执行报告--特殊时段废气排放量")
@RestController
@RequestMapping("/execution/report/special")
public class BStatTableZxbgPflAirSpecialController extends BasesController
{
    @Autowired
    private IBStatTableZxbgPflAirSpecialService bStatTableZxbgPflAirSpecialService;

    /**
     * 查询固定源产排治--执行报告--特殊时段废气排放量列表
     */
    @ApiOperation(value = "查询固定源产排治--执行报告--特殊时段废气排放量")
    @PostMapping("/list")
    public AjaxResults<IPage<BStatTableZxbgPflAirSpecial>> list(@RequestBody BStatTablepPwxkWaterQuery query)
    {
        return bStatTableZxbgPflAirSpecialService.selectBStatTableZxbgPflAirSpecialListBy(query);
    }
    

    /**
     * 导出固定源产排治--执行报告--特殊时段废气排放量列表
     */
    @ApiOperation(value = "导出固定源产排治--执行报告--特殊时段废气排放量")
    @Log(title = "固定源产排治--执行报告--特殊时段废气排放量", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, @RequestBody BStatTablepPwxkWaterQuery query)
    {
        AjaxResults<IPage<BStatTableZxbgPflAirSpecial>> iPageAjaxResults = bStatTableZxbgPflAirSpecialService.selectBStatTableZxbgPflAirSpecialListBy(query);
        ExcelUtil<BStatTableZxbgPflAirSpecial> util = new ExcelUtil<BStatTableZxbgPflAirSpecial>(BStatTableZxbgPflAirSpecial.class);
        util.setBol(query.getBol());
        util.exportExcel(response, iPageAjaxResults.getData().getRecords(), "固定源产排治--执行报告--特殊时段废气排放量数据");
    }

    /**
     * 获取固定源产排治--执行报告--特殊时段废气排放量详细信息
     */
    @ApiOperation(value = "获取固定源产排治--执行报告--特殊时段废气排放量详细信息")
    @PostMapping(value = "/{id}")
    public AjaxResults<BStatTableZxbgPflAirSpecial> getInfo(@PathVariable("id") Integer id) {
        return AjaxResults.success(bStatTableZxbgPflAirSpecialService.getById(id));
    }
    /**
     * 新增固定源产排治--执行报告--特殊时段废气排放量
     */
    @ApiOperation(value = "新增固定源产排治--执行报告--特殊时段废气排放量")
    @Log(title = "固定源产排治--执行报告--特殊时段废气排放量", businessType = BusinessType.INSERT)
    @PostMapping(value = "/add")
    public AjaxResults<Boolean> add(@RequestBody BStatTableZxbgPflAirSpecial bStatTableZxbgPflAirSpecial) {
        return toAjax(bStatTableZxbgPflAirSpecialService.save(bStatTableZxbgPflAirSpecial));
    }
    /**
     * 修改固定源产排治--执行报告--特殊时段废气排放量
     */
    @ApiOperation(value = "修改固定源产排治--执行报告--特殊时段废气排放量")
    @Log(title = "固定源产排治--执行报告--特殊时段废气排放量", businessType = BusinessType.UPDATE)
    @PostMapping(value = "/edit")
    public AjaxResults<Boolean> edit(@RequestBody BStatTableZxbgPflAirSpecialVo bStatTableZxbgPflAirSpecialVo) {
        if(ObjectUtil.isEmpty(bStatTableZxbgPflAirSpecialVo)){
            throw new InvalidParameterException("参数为空");
        }
        if(ObjectUtil.isEmpty(bStatTableZxbgPflAirSpecialVo.getId())){
            throw new InvalidParameterException("参数id为空");
        }
        BStatTableZxbgPflAirSpecial bStatTableZxbgPflAirSpecial = bStatTableZxbgPflAirSpecialService.getById(bStatTableZxbgPflAirSpecialVo.getId());
        if(ObjectUtil.isEmpty(bStatTableZxbgPflAirSpecial)){
            throw new CommonException(StrUtil.format("根据id{}查询不到数据", bStatTableZxbgPflAirSpecialVo.getId()));
        }
        //赋值
        BeanUtil.copyProperties(bStatTableZxbgPflAirSpecialVo,bStatTableZxbgPflAirSpecial);
        return toAjax(bStatTableZxbgPflAirSpecialService.saveOrUpdate(bStatTableZxbgPflAirSpecial));
    }

    /**
     * 删除固定源产排治--执行报告--特殊时段废气排放量
     */
    @ApiOperation(value = "删除固定源产排治--执行报告--特殊时段废气排放量")
    @RequiresPermissions("talroad:special:remove")
    @Log(title = "固定源产排治--执行报告--特殊时段废气排放量", businessType = BusinessType.DELETE)
    @PostMapping("/{ids}")
    public AjaxResults<Boolean> remove(@PathVariable Long[] ids) {
        return toAjax(bStatTableZxbgPflAirSpecialService.removeByIds(Arrays.asList(ids)));
    }
}
