package cn.cecep.talroad.controller;

import cn.cecep.talroad.common.core.exception.CommonException;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOther;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.cecep.talroad.vo.query.BStatTableZxbgPfltotalWaterQuery;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.security.InvalidParameterException;
import java.util.List;
import java.util.Arrays;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import cn.cecep.talroad.common.log.annotation.Log;
import cn.cecep.talroad.common.log.enums.BusinessType;
import cn.cecep.talroad.common.security.annotation.RequiresPermissions;

import cn.cecep.talroad.common.core.web.controller.BasesController;
import cn.cecep.talroad.common.core.utils.poi.ExcelUtil;
import cn.cecep.talroad.domain.BStatTableZxbgPfltotalWater;
import cn.cecep.talroad.vo.BStatTableZxbgPfltotalWaterVo;
import cn.cecep.talroad.service.IBStatTableZxbgPfltotalWaterService;


/**
 * * 开发公司：中节能天融科技有限公司
 * 固定源产排治--执行报告--废水正常排放总计（一般排放口）Controller 控制层
 *
 * @author szhpt
 * @date 2023-07-28*/
@Api(tags = "固定源产排治--执行报告--废水正常排放总计（一般排放口）")
@RestController
@RequestMapping("/execution/report/watertotal")
public class BStatTableZxbgPfltotalWaterController extends BasesController
{
    @Autowired
    private IBStatTableZxbgPfltotalWaterService bStatTableZxbgPfltotalWaterService;

    /**
     * 查询固定源产排治--执行报告--废水正常排放总计（一般排放口）列表
     */
    @ApiOperation(value = "查询固定源产排治--执行报告--废水正常排放总计（一般排放口）")
    @PostMapping("/list")
    public AjaxResults<IPage<BStatTableZxbgPfltotalWater>> list(@RequestBody BStatTablepPwxkWaterQuery query)
    {
        return bStatTableZxbgPfltotalWaterService.selectBStatTableZxbgPfltotalWaterListBy(query);
    }
    

    /**
     * 导出固定源产排治--执行报告--废水正常排放总计（一般排放口）列表
     */
    @ApiOperation(value = "导出固定源产排治--执行报告--废水正常排放总计（一般排放口）",produces = "application/octet-stream")
    @Log(title = "固定源产排治--执行报告--废水正常排放总计（一般排放口）", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, @RequestBody BStatTablepPwxkWaterQuery query)
    {
        AjaxResults<IPage<BStatTableZxbgPfltotalWater>> iPageAjaxResults = bStatTableZxbgPfltotalWaterService.selectBStatTableZxbgPfltotalWaterListBy(query);
        ExcelUtil<BStatTableZxbgPfltotalWater> util = new ExcelUtil<BStatTableZxbgPfltotalWater>(BStatTableZxbgPfltotalWater.class);
        util.setBol(query.getBol());
        util.exportExcel(response, iPageAjaxResults.getData().getRecords(), "固定源产排治--执行报告--废水正常排放总计（一般排放口）数据");
    }

    /**
     * 获取固定源产排治--执行报告--废水正常排放总计（一般排放口）详细信息
     */
    @ApiOperation(value = "获取固定源产排治--执行报告--废水正常排放总计（一般排放口）详细信息")
    @PostMapping(value = "/{id}")
    public AjaxResults<BStatTableZxbgPfltotalWater> getInfo(@PathVariable("id") Integer id) {
        return AjaxResults.success(bStatTableZxbgPfltotalWaterService.getById(id));
    }
    /**
     * 新增固定源产排治--执行报告--废水正常排放总计（一般排放口）
     */
    @ApiOperation(value = "新增固定源产排治--执行报告--废水正常排放总计（一般排放口）")
    @Log(title = "固定源产排治--执行报告--废水正常排放总计（一般排放口）", businessType = BusinessType.INSERT)
    @PostMapping(value = "/add")
    public AjaxResults<Boolean> add(@RequestBody BStatTableZxbgPfltotalWater bStatTableZxbgPfltotalWater) {
        return toAjax(bStatTableZxbgPfltotalWaterService.save(bStatTableZxbgPfltotalWater));
    }
    /**
     * 修改固定源产排治--执行报告--废水正常排放总计（一般排放口）
     */
    @ApiOperation(value = "修改固定源产排治--执行报告--废水正常排放总计（一般排放口）")
    @Log(title = "固定源产排治--执行报告--废水正常排放总计（一般排放口）", businessType = BusinessType.UPDATE)
    @PostMapping(value = "/edit")
    public AjaxResults<Boolean> edit(@RequestBody BStatTableZxbgPfltotalWaterVo bStatTableZxbgPfltotalWaterVo) {
        if(ObjectUtil.isEmpty(bStatTableZxbgPfltotalWaterVo)){
            throw new InvalidParameterException("参数为空");
        }
        if(ObjectUtil.isEmpty(bStatTableZxbgPfltotalWaterVo.getId())){
            throw new InvalidParameterException("参数id为空");
        }
        BStatTableZxbgPfltotalWater bStatTableZxbgPfltotalWater = bStatTableZxbgPfltotalWaterService.getById(bStatTableZxbgPfltotalWaterVo.getId());
        if(ObjectUtil.isEmpty(bStatTableZxbgPfltotalWater)){
            throw new CommonException(StrUtil.format("根据id{}查询不到数据", bStatTableZxbgPfltotalWaterVo.getId()));
        }
        //赋值
        BeanUtil.copyProperties(bStatTableZxbgPfltotalWaterVo,bStatTableZxbgPfltotalWater);
        return toAjax(bStatTableZxbgPfltotalWaterService.saveOrUpdate(bStatTableZxbgPfltotalWater));
    }

    /**
     * 删除固定源产排治--执行报告--废水正常排放总计（一般排放口）
     */
    @ApiOperation(value = "删除固定源产排治--执行报告--废水正常排放总计（一般排放口）")
    @RequiresPermissions("talroad:water:remove")
    @Log(title = "固定源产排治--执行报告--废水正常排放总计（一般排放口）", businessType = BusinessType.DELETE)
    @PostMapping("/{ids}")
    public AjaxResults<Boolean> remove(@PathVariable Long[] ids) {
        return toAjax(bStatTableZxbgPfltotalWaterService.removeByIds(Arrays.asList(ids)));
    }
}
