package cn.cecep.talroad.controller;

import cn.cecep.talroad.common.core.exception.CommonException;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.cecep.talroad.vo.query.OdsOnlineOlDgiinfoAQuery;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.security.InvalidParameterException;
import java.util.List;
import java.util.Arrays;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import cn.cecep.talroad.common.log.annotation.Log;
import cn.cecep.talroad.common.log.enums.BusinessType;
import cn.cecep.talroad.common.security.annotation.RequiresPermissions;

import cn.cecep.talroad.common.core.web.controller.BasesController;
import cn.cecep.talroad.common.core.utils.poi.ExcelUtil;
import cn.cecep.talroad.domain.OdsOnlineOlDgiinfoA;
import cn.cecep.talroad.vo.OdsOnlineOlDgiinfoAVo;
import cn.cecep.talroad.service.IOdsOnlineOlDgiinfoAService;


/**
 * * 开发公司：中节能天融科技有限公司
 * 【请填写功能名称】Controller 控制层
 *
 * @author szhpt
 * @date 2023-06-10*/
@Api(tags = "【请填写功能名称】")
@RestController
@RequestMapping("/onlineOlDginfo")
public class OdsOnlineOlDgiinfoAController extends BasesController
{
    @Autowired
    private IOdsOnlineOlDgiinfoAService odsOnlineOlDgiinfoAService;

    /**
     * 查询【请填写功能名称】列表
     */
    @ApiOperation(value = "查询【请填写功能名称】")
    @GetMapping("/list")
    public AjaxResults<IPage<OdsOnlineOlDgiinfoA>> list(OdsOnlineOlDgiinfoAQuery odsOnlineOlDgiinfoA)
    {
        Page<OdsOnlineOlDgiinfoA> page = new Page<>(odsOnlineOlDgiinfoA.getPageNum(), odsOnlineOlDgiinfoA.getPageSize());
        IPage<OdsOnlineOlDgiinfoA> list = odsOnlineOlDgiinfoAService.page(page, OdsOnlineOlDgiinfoAQuery.createLambdaQueryWrapper(odsOnlineOlDgiinfoA));
        return AjaxResults.success(list);
    }


    /**
     * 导出【请填写功能名称】列表
     */
    @ApiOperation(value = "导出【请填写功能名称】")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OdsOnlineOlDgiinfoA odsOnlineOlDgiinfoA)
    {
        List<OdsOnlineOlDgiinfoA> list = odsOnlineOlDgiinfoAService.selectOdsOnlineOlDgiinfoAList(odsOnlineOlDgiinfoA);
        ExcelUtil<OdsOnlineOlDgiinfoA> util = new ExcelUtil<OdsOnlineOlDgiinfoA>(OdsOnlineOlDgiinfoA.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @ApiOperation(value = "获取【请填写功能名称】详细信息")
    @PostMapping(value = "/{id}")
    public AjaxResults<OdsOnlineOlDgiinfoA> getInfo(@PathVariable("id") Integer id) {
        return AjaxResults.success(odsOnlineOlDgiinfoAService.getById(id));
    }
    /**
     * 新增【请填写功能名称】
     */
    @ApiOperation(value = "新增【请填写功能名称】")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping(value = "/add")
    public AjaxResults<Boolean> add(@RequestBody OdsOnlineOlDgiinfoA odsOnlineOlDgiinfoA) {
        return toAjax(odsOnlineOlDgiinfoAService.save(odsOnlineOlDgiinfoA));
    }
    /**
     * 修改【请填写功能名称】
     */
    @ApiOperation(value = "修改【请填写功能名称】")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PostMapping(value = "/edit")
    public AjaxResults<Boolean> edit(@RequestBody OdsOnlineOlDgiinfoAVo odsOnlineOlDgiinfoAVo) {
        if(ObjectUtil.isEmpty(odsOnlineOlDgiinfoAVo)){
            throw new InvalidParameterException("参数为空");
        }
        if(ObjectUtil.isEmpty(odsOnlineOlDgiinfoAVo.getId())){
            throw new InvalidParameterException("参数id为空");
        }
        OdsOnlineOlDgiinfoA odsOnlineOlDgiinfoA = odsOnlineOlDgiinfoAService.getById(odsOnlineOlDgiinfoAVo.getId());
        if(ObjectUtil.isEmpty(odsOnlineOlDgiinfoA)){
            throw new CommonException(StrUtil.format("根据id{}查询不到数据", odsOnlineOlDgiinfoAVo.getId()));
        }
        //赋值
        BeanUtil.copyProperties(odsOnlineOlDgiinfoAVo,odsOnlineOlDgiinfoA);
        return toAjax(odsOnlineOlDgiinfoAService.saveOrUpdate(odsOnlineOlDgiinfoA));
    }

    /**
     * 删除【请填写功能名称】
     */
    @ApiOperation(value = "删除【请填写功能名称】")
    @RequiresPermissions("talroad:a:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @PostMapping("/{ids}")
    public AjaxResults<Boolean> remove(@PathVariable String[] ids) {
        return toAjax(odsOnlineOlDgiinfoAService.removeByIds(Arrays.asList(ids)));
    }
}
