package cn.cecep.talroad.controller;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.service.IAmVideoDevFiService;
import cn.cecep.talroad.service.ISEnvGasRealService;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.homepage.OverviewUnorganizedMonitorsVo;
import cn.cecep.talroad.vo.homepage.OverviewVideoMonitorsVo;
import cn.cecep.talroad.vo.homepage.RegionalOnlineMonitoringVo;
import cn.cecep.talroad.vo.homepage.VideoMonitoringIssuesVo;
import cn.cecep.talroad.vo.query.EffectiveMonitoringRateQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "大屏--无组织监控分析")
@RestController
@RequestMapping("/unorganizedAnalysis")
public class UnorganizedMonitoringAnalysisController {
    @Autowired
    private ISEnvGasRealService isEnvGasRealService;

    @ApiOperation(value = "无组织监测总览")
    @GetMapping("/overviewUnorganizedMonitors")
    public AjaxResults<OverviewUnorganizedMonitorsVo> overviewUnorganizedMonitors() {
        return AjaxResults.success(isEnvGasRealService.overviewUnorganizedMonitors());
    }
    @ApiOperation(value = "监测点位预警报警情况")
    @GetMapping("/monitoringPointWarning")
    public AjaxResults<EChartsVO> monitoringPointWarning(EffectiveMonitoringRateQuery query) {
        return AjaxResults.success(isEnvGasRealService.monitoringPointWarning(query));
    }
    @ApiOperation(value = "区域在线监测有效监测率及超标率")
    @GetMapping("/regionalOnlineMonitoring")
    public AjaxResults<List<RegionalOnlineMonitoringVo>> regionalOnlineMonitoring(EffectiveMonitoringRateQuery query) {
        return AjaxResults.success(isEnvGasRealService.regionalOnlineMonitoring(query));
    }
    @ApiOperation(value = "区域超标点位统计")
    @GetMapping("/exceedingStandardPoints")
    public AjaxResults<List<RegionalOnlineMonitoringVo>> exceedingStandardPoints(EffectiveMonitoringRateQuery query) {
        return AjaxResults.success(isEnvGasRealService.exceedingStandardPoints(query));
    }
    @ApiOperation(value = "行业超标点位统计")
    @GetMapping("/exceedingIndustryPoints")
    public AjaxResults<List<RegionalOnlineMonitoringVo>> exceedingIndustryPoints(EffectiveMonitoringRateQuery query) {
        return AjaxResults.success(isEnvGasRealService.exceedingIndustryPoints(query));
    }

}
