package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
 * 产治排模型结果对象 m_ai_deep_model_result
 */
@ApiModel(value = "产治排模型结果")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_ai_deep_model_result")
public class AiDeepModelResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "DCS设备id")
    private String deviceId;

    @ApiModelProperty(value = "在线监测排口id")
    private String outletId;

    @ApiModelProperty(value = "数据时间")
    private Date dataTime;

    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @ApiModelProperty(value = "行业")
    private String industry;

    @ApiModelProperty(value = "设备类型")
    private String deviceType;

    @ApiModelProperty(value = "氧含量预测值")
    private String o3Predict;

    @ApiModelProperty(value = "颗粒物预测值")
    private String pmPredict;

    @ApiModelProperty(value = "氮氧化物预测值")
    private String noxPredict;

    @ApiModelProperty(value = "二氧化硫预测值")
    private String so2Predict;

    @ApiModelProperty(value = "废气排放量预测值")
    private String oxygenPredict;

    @ApiModelProperty(value = "氧含量预测上限")
    private String o3UpLim;

    @ApiModelProperty(value = "颗粒物预测上限")
    private String pmUpLim;

    @ApiModelProperty(value = "氮氧化物预测上限")
    private String noxUpLim;


    @ApiModelProperty(value = "二氧化硫预测上限")
    private String so2UpLim;


    @ApiModelProperty(value = "废气排放量预测上限")
    private String oxygenUpLim;


    @ApiModelProperty(value = "氧含量预测下限")
    private String o3LowLim;


    @ApiModelProperty(value = "颗粒物预测下限")
    private String pmLowLim;


    @ApiModelProperty(value = "氮氧化物预测下限")
    private String noxLowLim;


    @ApiModelProperty(value = "二氧化硫预测下限")
    private String so2LowLim;


    @ApiModelProperty(value = "废气排放量预测下限")
    private String oxygenLowLim;


    @ApiModelProperty(value = "氧含量预测KL散度")
    private String o3Kld;


    @ApiModelProperty(value = "颗粒物预测KL散度")
    private String pmKld;


    @ApiModelProperty(value = "氮氧化物预测KL散度")
    private String noxKld;


    @ApiModelProperty(value = "二氧化硫预测KL散度")
    private String so2Kld;


    @ApiModelProperty(value = "废气排放量预测KL散度")
    private String oxygenKld;


    @ApiModelProperty(value = "氧含量KL正常（1正常，2异常）")
    private String o3KldNorm;


    @ApiModelProperty(value = "颗粒物KL正常（1正常，2异常）")
    private String pmKldNorm;


    @ApiModelProperty(value = "氮氧化物KL正常（1正常，2异常）")
    private String noxKldNorm;


    @ApiModelProperty(value = "二氧化硫KL正常（1正常，2异常）")
    private String so2KldNorm;


    @ApiModelProperty(value = "废气排放量KL正常（1正常，2异常）")
    private String oxygenKldNorm;


    @ApiModelProperty(value = "数据插入时间")
    private Date dataInsertTime;

}
