package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 门禁监控对象 m_am_door_monitor_account_fi
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "门禁监控")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_am_door_monitor_account_fi")
public class AmDoorMonitorAccountFi extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
//    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "车牌号码")
    /** 车牌号码*/
    @Excel(name = "车牌号码")
    private String lpnCode;


    @ApiModelProperty(value = "出入类型(0-出厂, 1-进场)")
    /** 出入类型*/
    @Excel(name = "出入类型", readConverterExp = "0=出厂,1=进场")
    private String entryType;


    @ApiModelProperty(value = "出入时间")
    /** 出入时间*/
    @Excel(name = "出入时间")
    private String entryTime;


    @ApiModelProperty(value = "车队名称")
    /** 车队名称*/
    @Excel(name = "车队名称")
    private String carTeam;


    @ApiModelProperty(value = "排放阶段")
    /** 排放阶段*/
    @Excel(name = "排放阶段", readConverterExp = "I=国一,II=国二,III=国三,IV=国四,V=国五,VI=国六,NE=新能源", defaultValue = "--")
    private String dischargeStage;


    @ApiModelProperty(value = "发动机号码")
    /** 发动机号码*/
    @Excel(name = "发动机号码")
    private String ngineCode;


    @ApiModelProperty(value = "货物名称")
    /** 货物名称*/
    @Excel(name = "货物名称")
    private String ioType;


    @ApiModelProperty(value = "货物净重")
    /** 货物净重*/
    @Excel(name = "货物净重")
    private String cargoQuantity;


    @ApiModelProperty(value = "行驶证照片")
    /** 行驶证照片*/
//    @Excel(name = "行驶证照片")
    private String drivingLicenseImage;


    @ApiModelProperty(value = "随车清单")
    /** 随车清单*/
//    @Excel(name = "随车清单")
    private String accessoryListImage;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("lpnCode", getLpnCode())
            .append("entryType", getEntryType())
            .append("entryTime", getEntryTime())
            .append("carTeam", getCarTeam())
            .append("dischargeStage", getDischargeStage())
            .append("ngineCode", getNgineCode())
            .append("ioType", getIoType())
            .append("cargoQuantity", getCargoQuantity())
            .append("drivingLicenseImage", getDrivingLicenseImage())
            .append("accessoryListImage", getAccessoryListImage())
            .toString();
    }
}
