package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author liyongbing
 * @since 2023-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_am_problem_fi_process")
@ApiModel(value="AmProblemFiProcess对象", description="")
public class AmProblemFiProcess  extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "报警id")
    private String problemId;

    @ApiModelProperty(value = "处理类型：1：整改要求，2：整改信息填写，3：整改审核信息")
    private String processType;

    @ApiModelProperty(value = "处理类型：1：整改要求，2：整改信息填写，3：整改审核信息")
    private String processTypeDesc;

    @ApiModelProperty(value = "处理用户id")
    private String processUserId;

    @ApiModelProperty(value = "处理用户名")
    private String processUserName;

    @ApiModelProperty(value = "问题审核人类型：1：值守，2：执法")
    private String problemAuditType;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "整改期限开始时间")
    private Date rectifyLimitStartTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "整改期限结束时间")
    private Date rectifyLimitEndTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "整改完成时间")
    private Date rectifyTime;

    @ApiModelProperty(value = "整改描述")
    private String rectifyRemark;

    @ApiModelProperty(value = "整改附件")
    private String rectifyFile;

    @ApiModelProperty(value = "审核结果：1：通过，2：不通过")
    private String auditResult;

    @ApiModelProperty(value = "审核不通过原因")
    private String failReason;

    @ApiModelProperty(value = "审核备注")
    private String auditRemark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "流程ID")
    private String flownodeId;


    private Integer rectifyLimitSum;

}
