package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.math.BigInteger;


/**
 * 视频监控对象 m_am_video_dev_fi
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "视频监控")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_am_video_dev_fi")
public class AmVideoDevFi extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;


    @ApiModelProperty(value = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "摄像头ID")
    private String devId;


    @ApiModelProperty(value = "摄像头名称")
    private String devName;


    @ApiModelProperty(value = "摄像头内部编号")
    private String devInsideCode;


    @ApiModelProperty(value = "验证码")
    private String devCode;


    @ApiModelProperty(value = "型号")
    private String model;


    @ApiModelProperty(value = "通道号")
    private String modelRoad;


    @ApiModelProperty(value = "安装位置")
    private String location;


    @ApiModelProperty(value = "经度(地图)")
    private BigDecimal lonMap;


    @ApiModelProperty(value = "纬度(地图)")
    private BigDecimal latMap;

    @ApiModelProperty(value = "备注说明")
    private String descrAny;

    @ApiModelProperty(value = "视频分组名称，名称一样的属于同一个分组")
    private String devType;

    @ApiModelProperty(value = "设备id，用于视频来源于GB28181")
    private String gbsDeviceId;

    @ApiModelProperty(value = "设备通道id，用于视频来源于GB28181")
    private String channelId;

    @ApiModelProperty(value = "摄像头状态 1:在线, 2:离线")
    private String status;

    @ApiModelProperty("排口id")
    private String outletId;

    @ApiModelProperty("设备来源 1:GB28181, 2:污染源动态管控")
    private String devSource;

    @ApiModelProperty("站房mn")
    private String stationBuildingMn;

    @ApiModelProperty("对应排污许可生产设施id")
    private String deviceId;

    @ApiModelProperty("对应排污许可生产设施名称")
    @TableField(exist = false)
    private String deviceName;

    @ApiModelProperty("对应排污许可生产设施编号")
    @TableField(exist = false)
    private String deviceCode;

}
