package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;


/**
 * 通知提醒-业务提醒对象 b_enterprise_ir_business_alerts
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "通知提醒-业务提醒")
@Data
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("b_enterprise_ir_business_alerts")
public class BEnterpriseIrBusinessAlerts extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "通知提醒主键")
    /** id */
    @TableId(value = "business_id",type = IdType.AUTO)
    private Long businessId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "业务类型")
    /** 业务类型 */
    @Excel(name = "业务类型")
    private String businessType;


    @ApiModelProperty(value = "提醒内容")
    /** 提醒内容 */
    @Excel(name = "提醒内容")
    private String businessDetails;


    @ApiModelProperty(value = "提醒日期")
    /** 提醒日期 */
    @Excel(name = "提醒日期", dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date businessTime;


    @ApiModelProperty(value = "阅读状态(0-未读, 1-已读)")
    /** 阅读状态(0-未读, 1-已读) */
    @Excel(name = "阅读状态", readConverterExp="0=未读,1=已读")
    private String status;

    @ApiModelProperty(value = "是否删除(0-否,1-是)")
    private String delFlag;

    @ApiModelProperty(value = "创建者")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新者")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
