package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 知识库-法律法规对象 b_enterprise_ir_legal
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "知识库-法律法规")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_enterprise_ir_legal")
public class BEnterpriseIrLegal extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.ASSIGN_ID)
    private String id;


    @ApiModelProperty(value = "法律法规分类")
    /** 法律法规分类 */
    @Excel(name = "法律法规分类")
    private String legalType;


    @ApiModelProperty(value = "法律法规名称")
    /** 法律法规名称 */
    @Excel(name = "法律法规名称")
    private String legalName;


    @ApiModelProperty(value = "法律法规标题")
    /** 法律法规标题 */
    @Excel(name = "法律法规标题")
    private String legalTitle;


    @ApiModelProperty(value = "法律法规内容")
    /** 法律法规内容 */
    @Excel(name = "法律法规内容")
    private String legalDetails;


    @ApiModelProperty(value = "法律法规附件名称")
    /** 法律法规附件名称 */
    @Excel(name = "法律法规附件名称")
    private String legalFileName;


    @ApiModelProperty(value = "法律法规附件url")
    /** 法律法规附件url */
    @Excel(name = "法律法规附件url")
    private String legalFileUrl;


    @ApiModelProperty(value = "发布时间")
    /** 发布时间 */
    @Excel(name = "发布时间")
    private String legalTime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("legalType", getLegalType())
            .append("legalName", getLegalName())
            .append("legalTitle", getLegalTitle())
            .append("legalDetails", getLegalDetails())
            .append("legalFileName", getLegalFileName())
            .append("legalFileUrl", getLegalFileUrl())
            .append("legalTime", getLegalTime())
            .toString();
    }
}
