package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;


/**
 * 通知提醒-通知公告对象 b_enterprise_ir_notifierpro_notice
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "通知提醒-通知公告")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_enterprise_ir_notifierpro_notice")
@ToString
public class BEnterpriseIrNotifierproNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "通知公告主键")
    /** $column.columnComment */
    @TableId(value = "notice_id",type = IdType.ASSIGN_ID)
    private Long noticeId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "公告类型")
    /** 公告类型 */
    @Excel(name = "公告类型")
    private String announcementType;


    @ApiModelProperty(value = "公告标题")
    /** 公告标题 */
    @Excel(name = "公告标题")
    private String announcementTitle;


    @ApiModelProperty(value = "公告内容")
    /** 公告内容 */
    @Excel(name = "公告内容")
    private String announcementDetails;


    @ApiModelProperty(value = "公告发布时间")
    /** 公告发布时间 */
    @Excel(name = "公告发布时间", dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date announcementTime;

    @ApiModelProperty(value = "阅读状态(0-未读, 1-已读)")
    /** 阅读状态(0-未读, 1-已读) */
    @Excel(name = "阅读状态", readConverterExp="0=未读,1=已读")
    private String status;

    @ApiModelProperty(value = "是否删除(0-否,1-是)")
    private String delFlag;

    @ApiModelProperty(value = "创建者")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新者")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
