package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 知识库-排污治理科普库对象 b_enterprise_ir_sdoept
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "知识库-排污治理科普库")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_enterprise_ir_sdoept")
public class BEnterpriseIrSdoept extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.ASSIGN_ID)
    private String id;


    @ApiModelProperty(value = "排污治理科普库分类")
    /** 排污治理科普库分类 */
    @Excel(name = "排污治理科普库分类")
    private String sdoeptType;


    @ApiModelProperty(value = "排污治理科普库名称")
    /** 排污治理科普库名称 */
    @Excel(name = "排污治理科普库名称")
    private String sdoeptName;


    @ApiModelProperty(value = "排污治理科普库标题")
    /** 排污治理科普库标题 */
    @Excel(name = "排污治理科普库标题")
    private String sdoeptTitle;


    @ApiModelProperty(value = "排污治理科普库内容")
    /** 排污治理科普库内容 */
    @Excel(name = "排污治理科普库内容")
    private String sdoeptDetails;


    @ApiModelProperty(value = "排污治理科普库附件名称")
    /** 排污治理科普库附件名称 */
    @Excel(name = "排污治理科普库附件名称")
    private String sdoeptFileName;


    @ApiModelProperty(value = "排污治理科普库附件url")
    /** 排污治理科普库附件url */
    @Excel(name = "排污治理科普库附件url")
    private String sdoeptFileUrl;


    @ApiModelProperty(value = "实施时间")
    /** 实施时间 */
    @Excel(name = "实施时间")
    private String sdoeptTime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sdoeptType", getSdoeptType())
            .append("sdoeptName", getSdoeptName())
            .append("sdoeptTitle", getSdoeptTitle())
            .append("sdoeptDetails", getSdoeptDetails())
            .append("sdoeptFileName", getSdoeptFileName())
            .append("sdoeptFileUrl", getSdoeptFileUrl())
            .append("sdoeptTime", getSdoeptTime())
            .toString();
    }
}
