package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

/**
    * 企业风险评估
    */
@ApiModel(value="企业风险评估")
@Data
@ToString
@EqualsAndHashCode(callSuper=true)
public class BEnterpriseRiskAssessment extends BaseEntity {
    /**
    * 风险评估主键
    */
    @ApiModelProperty(value="风险评估主键")
    @TableId(value = "risk_id",type = IdType.AUTO)
    private Long riskId;

    /**
    * 企业id
    */
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
    * 分值
    */
    @ApiModelProperty(value="分值")
    private BigDecimal score = BigDecimal.ZERO;

    /**
    * 风险等级(低风险企业,中风险企业,高风险企业)
    */
    @ApiModelProperty(value="风险等级(低风险企业,中风险企业,高风险企业)")
    private String grade = "低风险企业";

    /**
    * 近一个月在线监测超标次数
    */
    @ApiModelProperty(value="近一个月在线监测超标次数")
    private Integer highestNumber = 0;

    /**
    * 近一个月在线监测预警次数
    */
    @ApiModelProperty(value="近一个月在线监测预警次数")
    private Integer onlineWarningNumber = 0;

    /**
    * 近一个月分表计电预警次数
    */
    @ApiModelProperty(value="近一个月分表计电预警次数")
    private Integer fbjdWarningNumber = 0;

    /**
    * 近一个月执法发现问题次数
    */
    @ApiModelProperty(value="近一个月执法发现问题次数")
    private Integer problemNumber = 0;

    /**
    * 近一个月整改未落实次数
    */
    @ApiModelProperty(value="近一个月整改未落实次数")
    private Integer practicableNumber = 0;

    /**
    * 近一个月未落实管控次数
    */
    @ApiModelProperty(value="近一个月未落实管控次数")
    private Integer controlNumber = 0;

    /**
    * 近一个月数据传输率
    */
    @ApiModelProperty(value="近一个月数据传输率")
    private BigDecimal dataRateNumber = BigDecimal.ZERO;

    /**
    * 近一个月污染物排放大户
    */
    @ApiModelProperty(value="近一个月污染物排放大户")
    private String dischargePollutants;

    /**
    * 是否今日重点关注企业(否,是)
    */
    @ApiModelProperty(value="是否今日重点关注企业(否,是)")
    private String dayFollow = "否";

    /**
    * 创建人
    */
    @ApiModelProperty(value="创建人")
    private String createBy;

    /**
    * 创建时间
    */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
    * 更新人
    */
    @ApiModelProperty(value="更新人")
    private String updateBy;

    /**
    * 更新时间
    */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    public String getDischargePollutants() {
        return dischargePollutants == null ? "" : dischargePollutants;
    }

}