package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 执行报告对象 b_main_action_reports
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "执行报告")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_action_reports")
public class BMainActionReports extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "报告类型")
    /** 报告类型*/
    @Excel(name = "报告类型")
    private String reportsType;


    @ApiModelProperty(value = "报告期")
    /** 报告期*/
    @Excel(name = "报告期")
    private String reportsTime;


    @ApiModelProperty(value = "执行报告")
    /** 执行报告*/
    @Excel(name = "执行报告")
    private String reportsFile;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("reportsType", getReportsType())
            .append("reportsTime", getReportsTime())
            .append("reportsFile", getReportsFile())
            .toString();
    }
}
