package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 总许可量-大气排放总许可量要求对象 b_main_allowable_pollution_air
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "总许可量-大气排放总许可量要求")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_allowable_pollution_air")
public class BMainAllowablePollutionAir extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id
 */
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id
 */
    private String factoryId;


    @ApiModelProperty(value = "许可证id")
    /** 许可证id */
    @Excel(name = "许可证id")
    private String pollDisId;


    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别 */
    @Excel(name = "污染物类别")
    private String pollutionCategory;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    @TableField(exist = false)
    private String pollName;


    @ApiModelProperty(value = "全厂有组织排放总计-第一年")
    /** 全厂有组织排放总计-第一年 */
    @Excel(name = "全厂有组织排放总计-第一年")
    private String organizedFrist;


    @ApiModelProperty(value = "全厂有组织排放总计-第二年")
    /** 全厂有组织排放总计-第二年 */
    @Excel(name = "全厂有组织排放总计-第二年")
    private String organizedSecond;


    @ApiModelProperty(value = "全厂有组织排放总计-第三年")
    /** 全厂有组织排放总计-第三年 */
    @Excel(name = "全厂有组织排放总计-第三年")
    private String organizedThird;


    @ApiModelProperty(value = "全厂有组织排放总计-第四年")
    /** 全厂有组织排放总计-第四年 */
    @Excel(name = "全厂有组织排放总计-第四年")
    private String organizedFourth;


    @ApiModelProperty(value = "全厂有组织排放总计-第五年")
    /** 全厂有组织排放总计-第五年 */
    @Excel(name = "全厂有组织排放总计-第五年")
    private String organizedFifth;


    @ApiModelProperty(value = "全厂无组织排放总计-第一年")
    /** 全厂无组织排放总计-第一年 */
    @Excel(name = "全厂无组织排放总计-第一年")
    private String inorganizationFrist;


    @ApiModelProperty(value = "全厂无组织排放总计-第二年")
    /** 全厂无组织排放总计-第二年 */
    @Excel(name = "全厂无组织排放总计-第二年")
    private String inorganizationSecond;


    @ApiModelProperty(value = "全厂无组织排放总计-第三年")
    /** 全厂无组织排放总计-第三年 */
    @Excel(name = "全厂无组织排放总计-第三年")
    private String inorganizationThird;


    @ApiModelProperty(value = "全厂无组织排放总计-第四年")
    /** 全厂无组织排放总计-第四年 */
    @Excel(name = "全厂无组织排放总计-第四年")
    private String inorganizationFourth;


    @ApiModelProperty(value = "全厂无组织排放总计-第五年")
    /** 全厂无组织排放总计-第五年 */
    @Excel(name = "全厂无组织排放总计-第五年")
    private String inorganizationFifth;


    @ApiModelProperty(value = "全厂合计-第一年")
    /** 全厂合计-第一年 */
    @Excel(name = "全厂合计-第一年")
    private String totalFrist;


    @ApiModelProperty(value = "全厂合计-第二年")
    /** 全厂合计-第二年 */
    @Excel(name = "全厂合计-第二年")
    private String totalSecond;


    @ApiModelProperty(value = "全厂合计-第三年")
    /** 全厂合计-第三年 */
    @Excel(name = "全厂合计-第三年")
    private String totalThird;


    @ApiModelProperty(value = "全厂合计-第四年")
    /** 全厂合计-第四年 */
    @Excel(name = "全厂合计-第四年")
    private String totalFourth;


    @ApiModelProperty(value = "全厂合计-第五年")
    /** 全厂合计-第五年 */
    @Excel(name = "全厂合计-第五年")
    private String totalFifth;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("pollutionCategory", getPollutionCategory())
            .append("organizedFrist", getOrganizedFrist())
            .append("organizedSecond", getOrganizedSecond())
            .append("organizedThird", getOrganizedThird())
            .append("organizedFourth", getOrganizedFourth())
            .append("organizedFifth", getOrganizedFifth())
            .append("inorganizationFrist", getInorganizationFrist())
            .append("inorganizationSecond", getInorganizationSecond())
            .append("inorganizationThird", getInorganizationThird())
            .append("inorganizationFourth", getInorganizationFourth())
            .append("inorganizationFifth", getInorganizationFifth())
            .append("totalFrist", getTotalFrist())
            .append("totalSecond", getTotalSecond())
            .append("totalThird", getTotalThird())
            .append("totalFourth", getTotalFourth())
            .append("totalFifth", getTotalFifth())
            .toString();
    }
}
