package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 总许可量- 废水排放总许可量要求对象 b_main_allowable_pollution_water
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "总许可量- 废水排放总许可量要求")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_allowable_pollution_water")
public class BMainAllowablePollutionWater extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id
 */
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id
 */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "许可证id")
    /** 许可证id */
    @Excel(name = "许可证id")
    private String pollDisId;


    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别 */
    @Excel(name = "污染物类别")
    private String pollutionCategory;


    @ApiModelProperty(value = "申请年排放量限值-第一年")
    /** 申请年排放量限值-第一年 */
    @Excel(name = "申请年排放量限值-第一年")
    private String applyFrist;


    @ApiModelProperty(value = "申请年排放量限值-第二年")
    /** 申请年排放量限值-第二年 */
    @Excel(name = "申请年排放量限值-第二年")
    private String applySecond;


    @ApiModelProperty(value = "申请年排放量限值-第三年")
    /** 申请年排放量限值-第三年 */
    @Excel(name = "申请年排放量限值-第三年")
    private String applyThird;


    @ApiModelProperty(value = "申请年排放量限值-第四年")
    /** 申请年排放量限值-第四年 */
    @Excel(name = "申请年排放量限值-第四年")
    private String applyFourth;


    @ApiModelProperty(value = "申请年排放量限值-第五年")
    /** 申请年排放量限值-第五年 */
    @Excel(name = "申请年排放量限值-第五年")
    private String applyFifth;


    @ApiModelProperty(value = "申请特殊时段排放量限值")
    /** 申请特殊时段排放量限值 */
    @Excel(name = "申请特殊时段排放量限值")
    private String applyDischargeLimitingValue;

    @TableField(exist = false)
    private String pollName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("pollutionCategory", getPollutionCategory())
            .append("applyFrist", getApplyFrist())
            .append("applySecond", getApplySecond())
            .append("applyThird", getApplyThird())
            .append("applyFourth", getApplyFourth())
            .append("applyFifth", getApplyFifth())
            .append("applyDischargeLimitingValue", getApplyDischargeLimitingValue())
            .toString();
    }
}
