package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;


/**
 * 企业排放信息-不同污染物年度排放趋势-废气对象 b_main_emission_pollution_air
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-不同污染物年度排放趋势-废气")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_emission_pollution_air")
public class BMainEmissionPollutionAir extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
//    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份 */
    @Excel(name = "年份",sort = 1)
    private String pollYear;


    @ApiModelProperty(value = "污染类别")
    /** 污染类别 */
//    @Excel(name = "污染类别")
    private String pollutionCategory;


    @ApiModelProperty(value = "数据源")
    /** 数据源 */
//    @Excel(name = "数据源")
    private String dataSource;


    @ApiModelProperty(value = "SO2实际排放量")
    /** SO2实际排放量 */
    @Excel(name = "SO₂实际排放量",sort = 2)
    private String actuallyEmittingSo2;


    @ApiModelProperty(value = "SO2许可排放量")
    /** SO2许可排放量 */
    @Excel(name = "SO₂许可排放量",sort = 3)
    private String allowableEmissionSo2;

    /**
     * SO2超标百分比
     */
    @ApiModelProperty(value = "SO2超标百分比")
    private BigDecimal exceedingRateSo2;


    @ApiModelProperty(value = "NOx实际排放量")
    /** NOx实际排放量 */
    @Excel(name = "NOx实际排放量",sort = 4)
    private String actuallyEmittingNox;


    @ApiModelProperty(value = "NOx许可排放量")
    /** NOx许可排放量 */
    @Excel(name = "NOx许可排放量",sort = 5)
    private String allowableEmissionNox;

    /**
     * NOx超标百分比
     */
    @ApiModelProperty(value = "NOx超标百分比")
    private BigDecimal exceedingRateNox;


    @ApiModelProperty(value = "颗粒物实际排放量")
    /** 颗粒物实际排放量 */
    @Excel(name = "颗粒物实际排放量",sort = 6)
    private String actuallyEmittingPm;


    @ApiModelProperty(value = "颗粒物许可排放量")
    /** 颗粒物许可排放量 */
    @Excel(name = "颗粒物许可排放量",sort = 7)
    private String allowableEmissionPm;

    /**
     * Pm超标百分比
     */
    @ApiModelProperty(value = "Pm超标百分比")
    private BigDecimal exceedingRatePm;


    @ApiModelProperty(value = "VOCs实际排放量")
    /** VOCs实际排放量 */
    @Excel(name = "VOCs实际排放量",sort = 8)
    private String actuallyEmittingVocs;


    @ApiModelProperty(value = "VOCs许可排放量")
    /** VOCs许可排放量 */
    @Excel(name = "VOCs许可排放量",sort = 9)
    private String allowableEmissionVocs;

    /**
     * Vocs超标百分比
     */
    @ApiModelProperty(value = "Vocs超标百分比")
    private BigDecimal exceedingRateVocs;

    @TableField(exist = false)
    private String groupByField;

    @TableField(exist = false)
    private String industryCategory;

    @TableField(exist = false)
    private String indusName;

}
