package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业排放信息-不同污染物年度排放趋势-固废对象 b_main_emission_pollution_solid_waste
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-不同污染物年度排放趋势-固废")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_emission_pollution_solid_waste")
public class BMainEmissionPollutionSolidWaste extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
//    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份 */
    @Excel(name = "年份",sort = 1)
    private String pollYear;


    @ApiModelProperty(value = "污染类别")
    /** 污染类别 */
//    @Excel(name = "污染类别")
    private String pollutionCategory;


    @ApiModelProperty(value = "数据源")
    /** 数据源 */
//    @Excel(name = "数据源")
    private String dataSource;


    @ApiModelProperty(value = "固体废物类别")
    /** 固体废物类别 */
    @Excel(name = "固体废物类别",sort = 2)
    private String solidWasteType;


    @ApiModelProperty(value = "固体废物名称")
    /** 固体废物名称 */
    @Excel(name = "固体废物名称",sort = 3)
    private String solidWasteName;


    @ApiModelProperty(value = "年度计划产生量")
    /** 年度计划产生量 */
    @Excel(name = "年度计划产生量",sort = 4)
    private String annualPlannedOutput;


    @ApiModelProperty(value = "年度实际产生量")
    /** 年度实际产生量 */
    @Excel(name = "年度实际产生量",sort = 5)
    private String annualActualProduction;


    @ApiModelProperty(value = "年度贮存量")
    /** 年度贮存量 */
    @Excel(name = "年度贮存量",sort = 6)
    private String annualStorageCapacity;


    @ApiModelProperty(value = "年度转移量")
    /** 年度转移量 */
    @Excel(name = "年度转移量",sort = 7)
    private String annualTransferVolume;


    @ApiModelProperty(value = "年度自行处置利用量")
    /** 年度自行处置利用量 */
    @Excel(name = "年度自行处置利用量",sort = 8)
    private String annualDisposalUtilization;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("pollYear", getPollYear())
            .append("pollutionCategory", getPollutionCategory())
            .append("dataSource", getDataSource())
            .append("solidWasteType", getSolidWasteType())
            .append("solidWasteName", getSolidWasteName())
            .append("annualPlannedOutput", getAnnualPlannedOutput())
            .append("annualActualProduction", getAnnualActualProduction())
            .append("annualStorageCapacity", getAnnualStorageCapacity())
            .append("annualTransferVolume", getAnnualTransferVolume())
            .append("annualDisposalUtilization", getAnnualDisposalUtilization())
            .toString();
    }
}
