package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;


/**
 * 企业排放信息-不同污染物年度排放趋势-废水对象 b_main_emission_pollution_water
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-不同污染物年度排放趋势-废水")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_emission_pollution_water")
public class BMainEmissionPollutionWater extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
//    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份 */
    @Excel(name = "年份",sort = 1)
    private String pollYear;


    @ApiModelProperty(value = "污染类别")
    /** 污染类别 */
//    @Excel(name = "污染类别")
    private String pollutionCategory;


    @ApiModelProperty(value = "数据源")
    /** 数据源 */
//    @Excel(name = "数据源")
    private String dataSource;


    @ApiModelProperty(value = "COD实际排放量")
    /** COD实际排放量 */
    @Excel(name = "COD实际排放量",sort = 2)
    private String actuallyEmittingCod;


    @ApiModelProperty(value = "COD许可排放量")
    /** COD许可排放量 */
    @Excel(name = "COD许可排放量",sort = 3)
    private String allowableEmissionCod;

    /**
     * Cod超标百分比
     */
    @ApiModelProperty(value = "Cod超标百分比")
//    @Excel(name = "Cod超标百分比")
    private BigDecimal exceedingRateCod;


    @ApiModelProperty(value = "氨氮实际排放量")
    /** 氨氮实际排放量 */
    @Excel(name = "氨氮实际排放量",sort = 4)
    private String actuallyEmittingNhn;


    @ApiModelProperty(value = "氨氮许可排放量")
    /** 氨氮许可排放量 */
    @Excel(name = "氨氮许可排放量",sort = 5)
    private String allowableEmissionNhn;

    /**
     * Nhn超标百分比
     */
    @ApiModelProperty(value = "Nhn超标百分比")
//    @Excel(name = "Nhn超标百分比")
    private BigDecimal exceedingRateNhn;


    @ApiModelProperty(value = "总氮实际排放量")
    /** 总氮实际排放量 */
    @Excel(name = "总氮实际排放量",sort = 6)
    private String actuallyEmittingTn;


    @ApiModelProperty(value = "总氮许可排放量")
    /** 总氮许可排放量 */
    @Excel(name = "总氮许可排放量",sort = 7)
    private String allowableEmissionTn;

    /**
     * Tn超标百分比
     */
    @ApiModelProperty(value = "Tn超标百分比")
//    @Excel(name = "Tn超标百分比")
    private BigDecimal exceedingRateTn;


    @ApiModelProperty(value = "总磷实际排放量")
    /** 总磷实际排放量 */
    @Excel(name = "总磷实际排放量",sort = 8)
    private String actuallyEmittingTp;


    @ApiModelProperty(value = "总磷许可排放量")
    /** 总磷许可排放量 */
    @Excel(name = "总磷许可排放量",sort = 9)
    private String allowableEmissionTp;

    /**
     * Tp超标百分比
     */
    @ApiModelProperty(value = "Tp超标百分比")
//    @Excel(name = "Tp超标百分比")
    private BigDecimal exceedingRateTp;

    @TableField(exist = false)
    private String groupByField;

    @TableField(exist = false)
    private String industryCategory;

    @TableField(exist = false)
    private String indusName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("pollYear", getPollYear())
            .append("pollutionCategory", getPollutionCategory())
            .append("dataSource", getDataSource())
            .append("actuallyEmittingCod", getActuallyEmittingCod())
            .append("allowableEmissionCod", getAllowableEmissionCod())
            .append("actuallyEmittingNhn", getActuallyEmittingNhn())
            .append("allowableEmissionNhn", getAllowableEmissionNhn())
            .append("actuallyEmittingTn", getActuallyEmittingTn())
            .append("allowableEmissionTn", getAllowableEmissionTn())
            .append("actuallyEmittingTp", getActuallyEmittingTp())
            .append("allowableEmissionTp", getAllowableEmissionTp())
            .toString();
    }
}
