package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业排放信息-多来源排放量对比-废气对象 b_main_emission_source_air
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-多来源排放量对比-废气")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_emission_source_air")
public class BMainEmissionSourceAir extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份 */
    @Excel(name = "年份")
    private String pollYear;


    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别 */
    @Excel(name = "污染物类别")
    private String pollutionCategory;


    @ApiModelProperty(value = "系统核算排放量")
    /** 系统核算排放量 */
    @Excel(name = "系统核算排放量")
    private String systematicAccountingSo2;


    @ApiModelProperty(value = "执行报告排放量")
    /** 执行报告排放量 */
    @Excel(name = "执行报告排放量")
    private String actionReportsSo2;


    @ApiModelProperty(value = "许可排放量")
    /** 许可排放量 */
    @Excel(name = "许可排放量")
    private String permissionSo2;

    public BMainEmissionSourceAir() {
    }

    public BMainEmissionSourceAir(String factoryId, String pollYear, String systematicAccountingSo2, String actionReportsSo2, String permissionSo2) {
        this.factoryId = factoryId;
        this.pollYear = pollYear;
        this.systematicAccountingSo2 = systematicAccountingSo2;
        this.actionReportsSo2 = actionReportsSo2;
        this.permissionSo2 = permissionSo2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("pollYear", getPollYear())
            .append("pollutionCategory", getPollutionCategory())
            .append("systematicAccountingSo2", getSystematicAccountingSo2())
            .append("actionReportsSo2", getActionReportsSo2())
            .append("permissionSo2", getPermissionSo2())
            .toString();
    }
}
