package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业排放信息-多来源排放量对比-废水对象 b_main_emission_source_water
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-多来源排放量对比-废水")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_emission_source_water")
public class BMainEmissionSourceWater extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份 */
    @Excel(name = "年份")
    private String pollYear;


    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别 */
    @Excel(name = "污染物类别")
    private String pollutionCategory;


    @ApiModelProperty(value = "系统核算排放量")
    /** 系统核算排放量 */
    @Excel(name = "系统核算排放量")
    private String systematicAccountingCod;


    @ApiModelProperty(value = "执行报告排放量")
    /** 执行报告排放量 */
    @Excel(name = "执行报告排放量")
    private String actionReportsCod;


    @ApiModelProperty(value = "许可排放量")
    /** 许可排放量 */
    @Excel(name = "许可排放量")
    private String permissionCod;

    public BMainEmissionSourceWater() {
    }

    public BMainEmissionSourceWater(String factoryId, String pollYear, String systematicAccountingCod, String actionReportsCod, String permissionCod) {
        this.factoryId = factoryId;
        this.pollYear = pollYear;
        this.systematicAccountingCod = systematicAccountingCod;
        this.actionReportsCod = actionReportsCod;
        this.permissionCod = permissionCod;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("pollYear", getPollYear())
            .append("pollutionCategory", getPollutionCategory())
            .append("systematicAccountingCod", getSystematicAccountingCod())
            .append("actionReportsCod", getActionReportsCod())
            .append("permissionCod", getPermissionCod())
            .toString();
    }
}
