package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 固体废物基础信息对象 b_main_hazardous_solid_waste
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "固体废物基础信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_hazardous_solid_waste")
public class BMainHazardousSolidWaste extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "固体废物类别")
    /** 固体废物类别*/
    @Excel(name = "固体废物类别")
    private String solidWasteType;


    @ApiModelProperty(value = "固体废物名称")
    /** 固体废物名称*/
    @Excel(name = "固体废物名称")
    private String solidWasteName;


    @ApiModelProperty(value = "代码")
    /** 代码*/
    @Excel(name = "代码")
    private String solidWasteCode;


    @ApiModelProperty(value = "危险特性")
    /** 危险特性*/
    @Excel(name = "危险特性")
    private String hazardousCharacteristics;


    @ApiModelProperty(value = "类别")
    /** 类别*/
    @Excel(name = "类别")
    private String category;


    @ApiModelProperty(value = "物理性状")
    /** 物理性状*/
    @Excel(name = "物理性状")
    private String physicalCharacteristics;


    @ApiModelProperty(value = "产生环节")
    /** 产生环节*/
    @Excel(name = "产生环节")
    private String productionLink;


    @ApiModelProperty(value = "去向")
    /** 去向*/
    @Excel(name = "去向")
    private String whereAbouts;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("solidWasteType", getSolidWasteType())
            .append("solidWasteName", getSolidWasteName())
            .append("solidWasteCode", getSolidWasteCode())
            .append("hazardousCharacteristics", getHazardousCharacteristics())
            .append("category", getCategory())
            .append("physicalCharacteristics", getPhysicalCharacteristics())
            .append("productionLink", getProductionLink())
            .append("whereAbouts", getWhereAbouts())
            .append("remark", getRemark())
            .toString();
    }
}
