package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 固体废物环境管理要求对象 b_main_hazardous_solid_waste_cr
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "固体废物环境管理要求")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_hazardous_solid_waste_cr")
public class BMainHazardousSolidWasteCr extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "设施类型")
    /** 设施类型*/
    @Excel(name = "设施类型")
    private String solidWasteType;


    @ApiModelProperty(value = "管理要求")
    /** 管理要求*/
    @Excel(name = "管理要求")
    private String controlRequirements;





    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("solidWasteType", getSolidWasteType())
            .append("controlRequirements", getControlRequirements())
            .toString();
    }
}
