package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 自行贮存和自行利用处置设施信息对象 b_main_hazardous_solid_waste_fa
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "自行贮存和自行利用处置设施信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_hazardous_solid_waste_fa")
public class BMainHazardousSolidWasteFa extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "固体废物类别")
    /** 固体废物类别*/
    @Excel(name = "固体废物类别")
    private String solidWasteType;


    @ApiModelProperty(value = "设施名称")
    /** 设施名称*/
    @Excel(name = "设施名称")
    private String facilityName;


    @ApiModelProperty(value = "设施编号")
    /** 设施编号*/
    @Excel(name = "设施编号")
    private String facilityCode;


    @ApiModelProperty(value = "设施类型")
    /** 设施类型*/
    @Excel(name = "设施类型")
    private String facilityType;


    @ApiModelProperty(value = "经度")
    /** 经度*/
    @Excel(name = "经度")
    private String lon;


    @ApiModelProperty(value = "纬度")
    /** 纬度*/
    @Excel(name = "纬度")
    private String lat;


    @ApiModelProperty(value = "污染防控技术要求")
    /** 污染防控技术要求*/
    @Excel(name = "污染防控技术要求")
    private String polluteTechnicalRequirements;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("solidWasteType", getSolidWasteType())
            .append("facilityName", getFacilityName())
            .append("facilityCode", getFacilityCode())
            .append("facilityType", getFacilityType())
            .append("lon", getLon())
            .append("lat", getLat())
            .append("polluteTechnicalRequirements", getPolluteTechnicalRequirements())
            .toString();
    }
}
