package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 固体废物排放信息对象 b_main_hazardous_solid_waste_le
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "固体废物排放信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_hazardous_solid_waste_le")
public class BMainHazardousSolidWasteLe extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "固体废物id")
    /** 固体废物id*/
    @Excel(name = "固体废物id")
    private String solidWasteId;


    @ApiModelProperty(value = "自行处置量（t/a）")
    /** 自行处置量（t/a）*/
    @Excel(name = "自行处置量", readConverterExp = "t=/a")
    private String selfDisposalVolume;


    @ApiModelProperty(value = "委托处置量")
    /** 委托处置量*/
    @Excel(name = "委托处置量")
    private String entrustedDisposalVolume;


    @ApiModelProperty(value = "外委处置单位名称")
    /** 外委处置单位名称*/
    @Excel(name = "外委处置单位名称")
    private String entrustedDisposalUnitName;


    @ApiModelProperty(value = "危险废物处置单位名称")
    /** 危险废物处置单位名称*/
    @Excel(name = "危险废物处置单位名称")
    private String hazardousWasteUnitName;


    @ApiModelProperty(value = "危险废物处置单位经营许可证编号")
    /** 危险废物处置单位经营许可证编号*/
    @Excel(name = "危险废物处置单位经营许可证编号")
    private String hazardousWasteLicenceCode;


    @ApiModelProperty(value = "自行贮存设施名称")
    /** 自行贮存设施名称*/
    @Excel(name = "自行贮存设施名称")
    private String storageFacilityName;


    @ApiModelProperty(value = "自行贮存设施编号")
    /** 自行贮存设施编号*/
    @Excel(name = "自行贮存设施编号")
    private String storageFacilityCode;


    @ApiModelProperty(value = "视频监控")
    /** 视频监控*/
    @Excel(name = "视频监控")
    private String videoSurveillance;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("solidWasteId", getSolidWasteId())
            .append("selfDisposalVolume", getSelfDisposalVolume())
            .append("entrustedDisposalVolume", getEntrustedDisposalVolume())
            .append("entrustedDisposalUnitName", getEntrustedDisposalUnitName())
            .append("hazardousWasteUnitName", getHazardousWasteUnitName())
            .append("hazardousWasteLicenceCode", getHazardousWasteLicenceCode())
            .append("storageFacilityName", getStorageFacilityName())
            .append("storageFacilityCode", getStorageFacilityCode())
            .append("videoSurveillance", getVideoSurveillance())
            .toString();
    }
}
