package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 危废产生与处理对象 b_main_hazardous_waste_output
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "危废产生与处理")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_hazardous_waste_output")
public class BMainHazardousWasteOutput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份*/
    @Excel(name = "年份")
    private String particularYear;


    @ApiModelProperty(value = "月份")
    /** 月份*/
    @Excel(name = "月份")
    private String particularMonth;


    @ApiModelProperty(value = "废物类别")
    /** 废物类别*/
    @Excel(name = "废物类别")
    private String materialsType;


    @ApiModelProperty(value = "废物代码")
    /** 废物代码*/
    @Excel(name = "废物代码")
    private String materialsCode;


    @ApiModelProperty(value = "废物名称")
    /** 废物名称*/
    @Excel(name = "废物名称")
    private String materialsName;


    @ApiModelProperty(value = "上月贮存量")
    /** 上月贮存量*/
    @Excel(name = "上月贮存量")
    private String materialsLastMonth;


    @ApiModelProperty(value = "产生量")
    /** 产生量*/
    @Excel(name = "产生量")
    private String materialsOutput;


    @ApiModelProperty(value = "修正量")
    /** 修正量*/
    @Excel(name = "修正量")
    private String materialsAllowance;


    @ApiModelProperty(value = "转移量")
    /** 转移量*/
    @Excel(name = "转移量")
    private String materialsAsFollows;


    @ApiModelProperty(value = "利用处置量")
    /** 利用处置量*/
    @Excel(name = "利用处置量")
    private String materialsUse;


    @ApiModelProperty(value = "期末库存")
    /** 期末库存*/
    @Excel(name = "期末库存")
    private String materialsRepertory;


    @ApiModelProperty(value = "期末超一年库存")
    /** 期末超一年库存*/
    @Excel(name = "期末超一年库存")
    private String materialsRepertoryYear;

    @ApiModelProperty(value = "计量单位")
    /** 计量单位*/
    @Excel(name = "计量单位")
    private String unit;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("particularYear", getParticularYear())
            .append("particularMonth", getParticularMonth())
            .append("materialsType", getMaterialsType())
            .append("materialsCode", getMaterialsCode())
            .append("materialsName", getMaterialsName())
            .append("materialsLastMonth", getMaterialsLastMonth())
            .append("materialsOutput", getMaterialsOutput())
            .append("materialsAllowance", getMaterialsAllowance())
            .append("materialsAsFollows", getMaterialsAsFollows())
            .append("materialsUse", getMaterialsUse())
            .append("materialsRepertory", getMaterialsRepertory())
            .append("materialsRepertoryYear", getMaterialsRepertoryYear())
            .append("unit", getUnit())
            .toString();
    }
}
