package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 移动执法信息对象 b_main_mobile_enforcement
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "移动执法信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_mobile_enforcement")
public class BMainMobileEnforcement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;


    @ApiModelProperty(value = "任务类型")
    /** 任务类型*/
    @Excel(name = "任务类型", readConverterExp = "1=双随机,2=企业核查")
    private String taskType;


    @ApiModelProperty(value = "检查人")
    /** 检查人*/
    @Excel(name = "检查人")
    private String enforcementPersion;


    @ApiModelProperty(value = "检查时间")
    /** 检查时间*/
    @Excel(name = "检查时间")
    private String enforcementTime;


    @ApiModelProperty(value = "执法小结")
    /** 执法小结*/
    @Excel(name = "执法小结")
    private String enforcementNodulus;


    @ApiModelProperty(value = "处理意见及相关要求")
    /** 处理意见及相关要求*/
    @Excel(name = "处理意见及相关要求")
    private String enforcementOpinion;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("taskType", getTaskType())
            .append("enforcementPersion", getEnforcementPersion())
            .append("enforcementTime", getEnforcementTime())
            .append("enforcementNodulus", getEnforcementNodulus())
            .append("enforcementOpinion", getEnforcementOpinion())
            .toString();
    }
}
