package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 噪声排放信息对象 b_main_noise_emissions
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "噪声排放信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_noise_emissions")
public class BMainNoiseEmissions extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "噪声类别id")
    /** 噪声类别id*/
    @Excel(name = "噪声类别id")
    private String noiseTypeId;


    @ApiModelProperty(value = "生产时间段-昼间")
    /** 生产时间段-昼间*/
    @Excel(name = "生产时间段-昼间")
    private String productionPeriodDaytime;


    @ApiModelProperty(value = "生产时间段-夜间")
    /** 生产时间段-夜间*/
    @Excel(name = "生产时间段-夜间")
    private String productionPeriodNighttime;


    @ApiModelProperty(value = "执行排放标准")
    /** 执行排放标准*/
    @Excel(name = "执行排放标准")
    private String implementationEmissionStandards;


    @ApiModelProperty(value = "厂界噪声排放限值昼间dB（a）")
    /** 厂界噪声排放限值昼间dB（a）*/
    @Excel(name = "厂界噪声排放限值昼间dB", readConverterExp = "a=")
    private String noiseEmissionsDaytime;


    @ApiModelProperty(value = "厂界噪声排放限值夜间dB（a）")
    /** 厂界噪声排放限值夜间dB（a）*/
    @Excel(name = "厂界噪声排放限值夜间dB", readConverterExp = "a=")
    private String noiseEmissionsNighttime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("noiseTypeId", getNoiseTypeId())
            .append("productionPeriodDaytime", getProductionPeriodDaytime())
            .append("productionPeriodNighttime", getProductionPeriodNighttime())
            .append("implementationEmissionStandards", getImplementationEmissionStandards())
            .append("noiseEmissionsDaytime", getNoiseEmissionsDaytime())
            .append("noiseEmissionsNighttime", getNoiseEmissionsNighttime())
            .toString();
    }
}
