package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可环境管理台账对象 b_main_poll_dis_eml_record
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可环境管理台账")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_eml_record")
public class BMainPollDisEmlRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "eml_id",type = IdType.AUTO)
    /** 主键id */
    private Long emlId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    @Excel(name = "其他信息")
    private String othersInformation;


    @ApiModelProperty(value = "主要内容")
    /** 主要内容 */
    @Excel(name = "主要内容")
    @TableField(exist = false)
    private String mainContent;


    @ApiModelProperty(value = "上报频次")
    /** 上报频次 */
    @Excel(name = "上报频次")
    @TableField(exist = false)
    private String reportingFrequency;


    @ApiModelProperty(value = "类别")
    /** 类别 */
    @Excel(name = "类别")
    private String emlType;


    @ApiModelProperty(value = "记录内容")
    /** 记录内容 */
    @Excel(name = "记录内容")
    private String recordContent;


    @ApiModelProperty(value = "记录频次")
    /** 记录频次 */
    @Excel(name = "记录频次")
    private String recordFrequency;


    @ApiModelProperty(value = "记录形式")
    /** 记录形式 */
    @Excel(name = "记录形式")
    private String openContent;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("emlId", getEmlId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("othersInformation", getOthersInformation())
            .append("mainContent", getMainContent())
            .append("reportingFrequency", getReportingFrequency())
            .append("emlType", getEmlType())
            .append("recordContent", getRecordContent())
            .append("recordFrequency", getRecordFrequency())
            .append("openContent", getOpenContent())
            .toString();
    }
}
