package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可执行守法报告对象 b_main_poll_dis_enforcement
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可执行守法报告")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_enforcement")
public class BMainPollDisEnforcement extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long enforcementId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "类别")
    /** 类别 */
    @Excel(name = "类别")
    private String emlType;



    @ApiModelProperty(value = "记录内容")
    /** 记录内容 */
    @Excel(name = "记录内容")
    private String recordContent;


    @ApiModelProperty(value = "记录频次")
    /** 记录频次 */
    @Excel(name = "记录频次")
    private String recordFrequency;


    @ApiModelProperty(value = "记录形式")
    /** 记录形式 */
    @Excel(name = "记录形式")
    private String openContent;


    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    @Excel(name = "其他信息")
    private String otherInformation;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("enforcementId", getEnforcementId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("emlType", getEmlType())
            .append("recordContent", getRecordContent())
            .append("recordFrequency", getRecordFrequency())
            .append("openContent", getOpenContent())
            .append("otherInformation", getOtherInformation())
            .toString();
    }
}
