package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 排污许可大气主排放口对象 b_main_poll_dis_gas_mout
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可大气主排放口")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_gas_mout")
public class BMainPollDisGasMout extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "mout_id",type = IdType.AUTO)
    private Long moutId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    @Excel(name = "排放口编号")
    private String outletCode;


    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    @Excel(name = "排放口名称")
    private String outletName;


    @ApiModelProperty(value = "排放口是否合计")
    /** 排放口是否合计 */
    @Excel(name = "排放口是否合计")
    private String outletUseTotal;


    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    @Excel(name = "污染物种类")
    private String pollutantsType;


    @ApiModelProperty(value = "许可排放小时浓度限值")
    /** 许可排放小时浓度限值 */
    @Excel(name = "许可排放小时浓度限值")
    private String pollutantsMgHour;


    @ApiModelProperty(value = "许可排放日均浓度限值")
    /** 许可排放日均浓度限值 */
    @Excel(name = "许可排放日均浓度限值")
    private String pollutantsMgDay;


    @ApiModelProperty(value = "许可排放速率限值")
    /** 许可排放速率限值 */
    @Excel(name = "许可排放速率限值")
    private String pollutantsMgRate;


    @ApiModelProperty(value = "第一年")
    /** 第一年 */
    @Excel(name = "第一年")
    private String pollutantsTotalFrist;


    @ApiModelProperty(value = "第二年")
    /** 第二年 */
    @Excel(name = "第二年")
    private String pollutantsTotalSecond;


    @ApiModelProperty(value = "第三年")
    /** 第三年 */
    @Excel(name = "第三年")
    private String pollutantsTotalThird;


    @ApiModelProperty(value = "第四年")
    /** 第四年 */
    @Excel(name = "第四年")
    private String pollutantsTotalFourth;


    @ApiModelProperty(value = "第五年")
    /** 第五年 */
    @Excel(name = "第五年")
    private String pollutantsTotalFifth;


    @ApiModelProperty(value = "承诺更加严格排放浓度限值")
    /** 承诺更加严格排放浓度限值 */
    @Excel(name = "承诺更加严格排放浓度限值")
    private String exactDemandsPollutantsMg;

    @ApiModelProperty(value = "污染物编码")
    /** 污染物编码 */
    @Excel(name = "污染物编码")
    private String pollutantCode;

    @ApiModelProperty(value = "排放口类型(主要排放口,一般排放口)")
    @TableField(exist = false)
    private String vent;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("moutId", getMoutId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("outletCode", getOutletCode())
            .append("outletName", getOutletName())
            .append("outletUseTotal", getOutletUseTotal())
            .append("pollutantsType", getPollutantsType())
            .append("pollutantsMgHour", getPollutantsMgHour())
            .append("pollutantsMgDay", getPollutantsMgDay())
            .append("pollutantsMgRate", getPollutantsMgRate())
            .append("pollutantsTotalFrist", getPollutantsTotalFrist())
            .append("pollutantsTotalSecond", getPollutantsTotalSecond())
            .append("pollutantsTotalThird", getPollutantsTotalThird())
            .append("pollutantsTotalFourth", getPollutantsTotalFourth())
            .append("pollutantsTotalFifth", getPollutantsTotalFifth())
            .append("exactDemandsPollutantsMg", getExactDemandsPollutantsMg())
            .toString();
    }
}
