package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
    * 排污单位大气排放总许可量
    */
@ApiModel(value="排污单位大气排放总许可量")
@Data
@TableName("b_main_poll_dis_gas_poll")
public class BMainPollDisGasPoll extends BaseEntity {
    /**
    * 主键id
    */
    @ApiModelProperty(value="主键id")
    @TableId(value = "poll_id",type = IdType.AUTO)
    private Long pollId;

    /**
    * 企业id
    */
    @ApiModelProperty(value="企业id")
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    private String pollDisId;

    /**
    * 污染物种类
    */
    @ApiModelProperty(value="污染物种类")
    private String pollutantsType;

    /**
    * 有组织第一年
    */
    @ApiModelProperty(value="有组织第一年")
    private String pollutantsTotalYzzFrist;

    /**
    * 有组织第二年
    */
    @ApiModelProperty(value="有组织第二年")
    private String pollutantsTotalYzzSecond;

    /**
    * 有组织第三年
    */
    @ApiModelProperty(value="有组织第三年")
    private String pollutantsTotalYzzThird;

    /**
    * 有组织第四年
    */
    @ApiModelProperty(value="有组织第四年")
    private String pollutantsTotalYzzFourth;

    /**
    * 有组织第五年
    */
    @ApiModelProperty(value="有组织第五年")
    private String pollutantsTotalYzzFifth;

    /**
    * 无组织第一年
    */
    @ApiModelProperty(value="无组织第一年")
    private String pollutantsTotalWzzFrist;

    /**
    * 无组织第二年
    */
    @ApiModelProperty(value="无组织第二年")
    private String pollutantsTotalWzzSecond;

    /**
    * 无组织第三年
    */
    @ApiModelProperty(value="无组织第三年")
    private String pollutantsTotalWzzThird;

    /**
    * 无组织第四年
    */
    @ApiModelProperty(value="无组织第四年")
    private String pollutantsTotalWzzFourth;

    /**
    * 无组织第五年
    */
    @ApiModelProperty(value="无组织第五年")
    private String pollutantsTotalWzzFifth;

    /**
    * 全场合计第一年
    */
    @ApiModelProperty(value="全场合计第一年")
    private String pollutantsTotalFrist;

    /**
    * 全场合计第二年
    */
    @ApiModelProperty(value="全场合计第二年")
    private String pollutantsTotalSecond;

    /**
    * 全场合计第三年
    */
    @ApiModelProperty(value="全场合计第三年")
    private String pollutantsTotalThird;

    /**
    * 全场合计第四年
    */
    @ApiModelProperty(value="全场合计第四年")
    private String pollutantsTotalFourth;

    /**
    * 全场合计第五年
    */
    @ApiModelProperty(value="全场合计第五年")
    private String pollutantsTotalFifth;
}