package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可大气排放总计对象 b_main_poll_dis_gas_tout
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可大气排放总计")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_gas_tout")
public class BMainPollDisGasTout extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "tout_id",type = IdType.AUTO)
    /** 主键id */
    private Long toutId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;



    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    @Excel(name = "污染物种类")
    private String pollutantsType;

    @ApiModelProperty(value = "污染物编码")
    /** 污染物编码 */
    @Excel(name = "污染物编码")
    private String pollutantCode;

    @ApiModelProperty(value = "第一年")
    /** 第一年 */
    @Excel(name = "第一年")
    private String pollutantsTotalFrist;


    @ApiModelProperty(value = "第二年")
    /** 第二年 */
    @Excel(name = "第二年")
    private String pollutantsTotalSecond;


    @ApiModelProperty(value = "第三年")
    /** 第三年 */
    @Excel(name = "第三年")
    private String pollutantsTotalThird;


    @ApiModelProperty(value = "第四年")
    /** 第四年 */
    @Excel(name = "第四年")
    private String pollutantsTotalFourth;


    @ApiModelProperty(value = "第五年")
    /** 第五年 */
    @Excel(name = "第五年")
    private String pollutantsTotalFifth;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("toutId", getToutId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("pollutantsType", getPollutantsType())
            .append("pollutantsTotalFrist", getPollutantsTotalFrist())
            .append("pollutantsTotalSecond", getPollutantsTotalSecond())
            .append("pollutantsTotalThird", getPollutantsTotalThird())
            .append("pollutantsTotalFourth", getPollutantsTotalFourth())
            .append("pollutantsTotalFifth", getPollutantsTotalFifth())
            .toString();
    }
}
