package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
    * 大气无组织排放许可条件
    */
@ApiModel(value="大气无组织排放许可条件")
@Data
@TableName("b_main_poll_dis_gas_wzz_tout")
public class BMainPollDisGasWzzTout extends BaseEntity {
    /**
    * 主键id
    */
    @ApiModelProperty(value="主键id")
    @TableId(value = "wzz_tout_id",type = IdType.AUTO)
    private Long wzzToutId;

    /**
    * 企业id
    */
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
    * 排污许可表id
    */
    @ApiModelProperty(value="排污许可表id")
    private String pollDisId;

    /**
    * 无组织排放口编号
    */
    @ApiModelProperty(value="无组织排放口编号")
    private String outletCode;

    /**
    * 无组织排放口名称
    */
    @ApiModelProperty(value="无组织排放口名称")
    private String outletName;

    /**
    * 产物环节
    */
    @ApiModelProperty(value="产物环节")
    private String pollutionProductionLink;

    /**
    * 排放口是否合计(0-否,1-是)
    */
    @ApiModelProperty(value="排放口是否合计(0-否,1-是)")
    private String outletUseTotal;

    /**
    * 污染物种类
    */
    @ApiModelProperty(value="污染物种类")
    private String pollutantsType;

    /**
    * 主要污染防治措施
    */
    @ApiModelProperty(value="主要污染防治措施")
    private String pollutantsMeasure;

    @ApiModelProperty(value = "国家或地方污染排放标准名称")
    private String pollutantsMgName;

    /**
    * 国家或地方污染物排放标准小时浓度限值
    */
    @ApiModelProperty(value="国家或地方污染物排放标准小时浓度限值")
    private String pollutantsMgHour;

    /**
    * 国家或地方污染物排放标准日均浓度限值
    */
    @ApiModelProperty(value="国家或地方污染物排放标准日均浓度限值")
    private String pollutantsMgDay;

    /**
    * 其他信息
    */
    @ApiModelProperty(value="其他信息")
    private String otherMsg;

    /**
    * 第一年
    */
    @ApiModelProperty(value="第一年")
    private String pollutantsTotalFrist;

    /**
    * 第二年
    */
    @ApiModelProperty(value="第二年")
    private String pollutantsTotalSecond;

    /**
    * 第三年
    */
    @ApiModelProperty(value="第三年")
    private String pollutantsTotalThird;

    /**
    * 第四年
    */
    @ApiModelProperty(value="第四年")
    private String pollutantsTotalFourth;

    /**
    * 第五年
    */
    @ApiModelProperty(value="第五年")
    private String pollutantsTotalFifth;

    /**
    * 申请特殊时段许可排放量限值
    */
    @ApiModelProperty(value="申请特殊时段许可排放量限值")
    private String exactDemandsPollutantsMg;

    @ApiModelProperty(value = "排放口类型(全厂无组织排放总计)")
    @TableField(exist = false)
    private String vent;
}