package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可信息公开对象 b_main_poll_dis_information
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可信息公开")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_information")
public class BMainPollDisInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "information_id",type = IdType.AUTO)
    /** 主键id */
    private Long informationId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "公开方式")
    /** 公开方式 */
    @Excel(name = "公开方式")
    private String openProcedure;


    @ApiModelProperty(value = "时间节点")
    /** 时间节点 */
    @Excel(name = "时间节点")
    private String timeNodes;


    @ApiModelProperty(value = "公开内容")
    /** 公开内容 */
    @Excel(name = "公开内容")
    private String openContent;


    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    @Excel(name = "其他信息")
    private String otherInformation;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("informationId", getInformationId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("openProcedure", getOpenProcedure())
            .append("timeNodes", getTimeNodes())
            .append("openContent", getOpenContent())
            .append("otherInformation", getOtherInformation())
            .toString();
    }
}
