package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可其他许可噪声排放对象 b_main_poll_dis_noise
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可其他许可噪声排放")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_noise")
public class BMainPollDisNoise extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "noise_id",type = IdType.AUTO)
    /** 主键id */
    private Long noiseId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "噪声类别")
    /** 噪声类别 */
    @Excel(name = "噪声类别")
    private String noiseType;


    @ApiModelProperty(value = "生产时段昼间")
    /** 生产时段昼间 */
    @Excel(name = "生产时段昼间")
    private String productionTimeDay;


    @ApiModelProperty(value = "生产时段夜间")
    /** 生产时段夜间 */
    @Excel(name = "生产时段夜间")
    private String productionTimeNight;


    @ApiModelProperty(value = "执行排放标准名称")
    /** 执行排放标准名称 */
    @Excel(name = "执行排放标准名称")
    private String emissionStandardsName;


    @ApiModelProperty(value = "厂界噪声排放限制昼间")
    /** 厂界噪声排放限制昼间 */
    @Excel(name = "厂界噪声排放限制昼间")
    private String noiseOuelatDay;


    @ApiModelProperty(value = "厂界噪声排放限制夜间")
    /** 厂界噪声排放限制夜间 */
    @Excel(name = "厂界噪声排放限制夜间")
    private String noiseOuelatNight;


    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    @Excel(name = "其他信息")
    private String otherInformation;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("noiseId", getNoiseId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("noiseType", getNoiseType())
            .append("productionTimeDay", getProductionTimeDay())
            .append("productionTimeNight", getProductionTimeNight())
            .append("emissionStandardsName", getEmissionStandardsName())
            .append("noiseOuelatDay", getNoiseOuelatDay())
            .append("noiseOuelatNight", getNoiseOuelatNight())
            .append("otherInformation", getOtherInformation())
            .toString();
    }
}
