package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可其他许可改正规定对象 b_main_poll_dis_noise_regulation
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可其他许可改正规定")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_noise_regulation")
public class BMainPollDisNoiseRegulation extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "regulation_id",type = IdType.AUTO)
    /** 主键id */
    private Long regulationId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "整改问题")
    /** 整改问题 */
    @Excel(name = "整改问题")
    private String rectificationProblem;


    @ApiModelProperty(value = "整改措施")
    /** 整改措施 */
    @Excel(name = "整改措施")
    private String rectificationMeasures;


    @ApiModelProperty(value = "整改时限")
    /** 整改时限 */
    @Excel(name = "整改时限")
    private String rectificationTime;


    @ApiModelProperty(value = "整改计划")
    /** 整改计划 */
    @Excel(name = "整改计划")
    private String rectificationPlan;


    @ApiModelProperty(value = "是否完成整改")
    /** 是否完成整改 */
    @Excel(name = "是否完成整改")
    private String rectificationIsComplete;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("regulationId", getRegulationId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("rectificationProblem", getRectificationProblem())
            .append("rectificationMeasures", getRectificationMeasures())
            .append("rectificationTime", getRectificationTime())
            .append("rectificationPlan", getRectificationPlan())
            .append("rectificationIsComplete", getRectificationIsComplete())
            .toString();
    }
}
