package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可环境管理要求对象 b_main_poll_dis_noise_require
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可环境管理要求")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_noise_require")
public class BMainPollDisNoiseRequire extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "require_id",type = IdType.AUTO)
    /** 主键id */
    private Long requireId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "大气环境管理要求")
    /** 大气环境管理要求 */
    @Excel(name = "大气环境管理要求")
    private String requireGas;


    @ApiModelProperty(value = "水环境管理要求")
    /** 水环境管理要求 */
    @Excel(name = "水环境管理要求")
    private String requireWater;


    @ApiModelProperty(value = "土壤污染防治要求")
    /** 土壤污染防治要求 */
    @Excel(name = "土壤污染防治要求")
    private String requireSoil;


    @ApiModelProperty(value = "固体废物污染环境要求")
    /** 固体废物污染环境要求 */
    @Excel(name = "固体废物污染环境要求")
    private String requireSolid;


    @ApiModelProperty(value = "其他控制及管理要求")
    /** 其他控制及管理要求 */
    @Excel(name = "其他控制及管理要求")
    private String otherInformationRequire;

    @ApiModelProperty(value = "其他许可的内容")
    /** 其他许可的内容 */
    @Excel(name = "其他许可的内容")
    private String requireOthers;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("requireId", getRequireId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("requireGas", getRequireGas())
            .append("requireWater", getRequireWater())
            .append("requireSoil", getRequireSoil())
            .append("requireSolid", getRequireSolid())
            .append("otherInformationRequire", getOtherInformationRequire())
            .append("requireOthers", getRequireOthers())
            .toString();
    }
}
