package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可自行监测要求对象 b_main_poll_dis_self_mon
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可自行监测要求")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_self_mon")
public class BMainPollDisSelfMon extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long monId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    @Excel(name = "污染物种类")
    private String pollutantType;


    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    @Excel(name = "排放口编号")
    private String outletCode;


    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    @Excel(name = "排放口名称")
    private String outletName;


    @ApiModelProperty(value = "监测内容")
    /** 监测内容 */
    @Excel(name = "监测内容")
    private String monitoringContent;


    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    private String pollutantsName;


    @ApiModelProperty(value = "监测设施")
    /** 监测设施 */
    @Excel(name = "监测设施")
    private String monitoringFacility;


    @ApiModelProperty(value = "自动监测是否联网")
    /** 自动监测是否联网 */
    @Excel(name = "自动监测是否联网")
    private String monitoringAutomaticNetworking;


    @ApiModelProperty(value = "自动监测仪器名称")
    /** 自动监测仪器名称 */
    @Excel(name = "自动监测仪器名称")
    private String monitoringAutomaticName;


    @ApiModelProperty(value = "自动监测设施安装位置")
    /** 自动监测设施安装位置 */
    @Excel(name = "自动监测设施安装位置")
    private String monitoringAutomaticAddress;


    @ApiModelProperty(value = "自动监测实施是否符合管理要求")
    /** 自动监测实施是否符合管理要求 */
    @Excel(name = "自动监测实施是否符合管理要求")
    private String monitoringAutomaticRequire;


    @ApiModelProperty(value = "手工监测采样方法及个数")
    /** 手工监测采样方法及个数 */
    @Excel(name = "手工监测采样方法及个数")
    private String monitoringManualSampling;


    @ApiModelProperty(value = "手工监测频次")
    /** 手工监测频次 */
    @Excel(name = "手工监测频次")
    private String monitoringManualFrequency;


    @ApiModelProperty(value = "手工测定方法")
    /** 手工测定方法 */
    @Excel(name = "手工测定方法")
    private String monitoringManualMeans;


    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    @Excel(name = "其他信息")
    private String otherInformation;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("monId", getMonId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("pollutantType", getPollutantType())
            .append("outletCode", getOutletCode())
            .append("outletName", getOutletName())
            .append("monitoringContent", getMonitoringContent())
            .append("pollutantsName", getPollutantsName())
            .append("monitoringFacility", getMonitoringFacility())
            .append("monitoringAutomaticNetworking", getMonitoringAutomaticNetworking())
            .append("monitoringAutomaticName", getMonitoringAutomaticName())
            .append("monitoringAutomaticAddress", getMonitoringAutomaticAddress())
            .append("monitoringAutomaticRequire", getMonitoringAutomaticRequire())
            .append("monitoringManualSampling", getMonitoringManualSampling())
            .append("monitoringManualFrequency", getMonitoringManualFrequency())
            .append("monitoringManualMeans", getMonitoringManualMeans())
            .append("otherInformation", getOtherInformation())
            .toString();
    }
}
