package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 排污许可水污染物特殊情况对象 b_main_poll_dis_water_sout
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可水污染物特殊情况")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_poll_dis_water_sout")
public class BMainPollDisWaterSout extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "sout_id",type = IdType.AUTO)
    /** 主键id */
    private Long soutId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    @Excel(name = "排污许可表id")
    private String pollDisId;


    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    @Excel(name = "污染物种类")
    private String pollutantType;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    @Excel(name = "排放口编号")
    private String outletCode;


    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    @Excel(name = "排放口名称")
    private String outletName;


    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    @Excel(name = "污染物种类")
    private String pollutantsType;


    @ApiModelProperty(value = "许可排放时段")
    /** 许可排放时段 */
    @Excel(name = "许可排放时段")
    private String pollutantsTimeFrame;


    @ApiModelProperty(value = "许可排放浓度限值")
    /** 许可排放浓度限值 */
    @Excel(name = "许可排放浓度限值")
    private String pollutantsConcentration;


    @ApiModelProperty(value = "许可日排放量限值")
    /** 许可日排放量限值 */
    @Excel(name = "许可日排放量限值")
    private String pollutantsDis;


    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    @Excel(name = "其他信息")
    private String otherDetail;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("soutId", getSoutId())
            .append("factoryId", getFactoryId())
            .append("pollDisId", getPollDisId())
            .append("pollutantType", getPollutantType())
            .append("outletCode", getOutletCode())
            .append("outletName", getOutletName())
            .append("pollutantsType", getPollutantsType())
            .append("pollutantsTimeFrame", getPollutantsTimeFrame())
            .append("pollutantsConcentration", getPollutantsConcentration())
            .append("pollutantsDis", getPollutantsDis())
            .append("otherDetail", getOtherDetail())
            .toString();
    }
}
