package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 废气无组织排放产治排信息对象 b_main_production_inorg_gas
 *
 * @author szhpt
 * @date 2023-02-08*/
@ApiModel(value = "废气无组织排放产治排信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_production_inorg_gas")
public class BMainProductionInorgGas extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    private String outletCode;

    @ApiModelProperty(value = "许可证无组织监测点位名称")
    /** 许可证无组织监测点位名称 */
    @Excel(name = "许可证无组织监测点位名称",sort = 1)
    private String licenceMonName;


    @ApiModelProperty(value = "监测类型")
    /** 监测类型 */
    @Excel(name = "监测类型",sort = 6)
    private String monitoringType;


    @ApiModelProperty(value = "无组织监测点位")
    /** 无组织监测点位 */
    @Excel(name = "无组织监测点位",sort = 7)
    private String monitoringInorganization;


    @ApiModelProperty(value = "主要污染防治措施")
    /** 主要污染防治措施 */
    @Excel(name = "主要污染防治措施",sort = 5)
    private String pollutionPrevention;


    @ApiModelProperty(value = "产污环节")
    /** 产污环节 */
    @Excel(name = "产污环节",sort = 3)
    private String pollutionProductionLink;


    @ApiModelProperty(value = "对应生产设施编号")
    /** 对应生产设施编号 */
    private String correspondingProductionCode;

    @ApiModelProperty(value = "生产设施id, 多个用逗号分隔")
    private String correspondingProductionId;


    @ApiModelProperty(value = "视频监控")
    /** 视频监控 */
    private String devId;


    @ApiModelProperty(value = "对应生产设施名称")
    /** 对应生产设施名称 */
    @Excel(name = "对应生产设施名称",sort = 2)
    private String correspondingProductionName;


    @ApiModelProperty(value = "生产设施参数")
    /** 生产设施参数 */
    private String proFacilityParam;


    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    @Excel(name = "污染物种类",sort = 4)
    private String pollutionType;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("licenceMonName", getLicenceMonName())
            .append("monitoringType", getMonitoringType())
            .append("monitoringInorganization", getMonitoringInorganization())
            .append("pollutionPrevention", getPollutionPrevention())
            .append("pollutionProductionLink", getPollutionProductionLink())
            .append("correspondingProductionCode", getCorrespondingProductionCode())
            .append("devId", getDevId())
            .append("correspondingProductionName", getCorrespondingProductionName())
            .append("proFacilityParam", getProFacilityParam())
            .append("pollutionType", getPollutionType())
            .toString();
    }
}
