package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 废气有组织排放产治排信息对象 b_main_production_organiz_gas
 *
 * @author szhpt
 * @date 2023-02-08*/
@ApiModel(value = "废气有组织排放产治排信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_production_organiz_gas")
public class BMainProductionOrganizGas extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    @Excel(name = "排放口编号",sort = 8)
    private String outletCode;


    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    @Excel(name = "排放口名称",sort = 9)
    private String outletName;


    @ApiModelProperty(value = "排放口类型")
    /** 排放口类型 */
    private String outletType;


    @ApiModelProperty(value = "排口监测类型")
    /** 排口监测类型 */
    @Excel(name = "监测类型",sort = 5)
    private String outletMonType;


    @ApiModelProperty(value = "治理设施编号")
    /** 治理设施编号 */
    @Excel(name = "治理设施编号",sort = 6)
    private String cepFacilityCode;


    @ApiModelProperty(value = "治理设施名称")
    /** 治理设施名称 */
    @Excel(name = "治理设施名称",sort = 7)
    private String cepFacilityName;


    @ApiModelProperty(value = "治理设施工艺")
    /** 治理设施工艺 */
    private String cepFacilityCraft;


    @ApiModelProperty(value = "生产设施编号")
    /** 生产设施编号 */
    @Excel(name = "生产设施编号",sort = 3)
    private String proFacilityCode;


    @ApiModelProperty(value = "生产设施名称")
    /** 生产设施名称 */
    @Excel(name = "生产设施名称",sort = 1)
    private String proFacilityName;


    @ApiModelProperty(value = "视频监控")
    /** 视频监控 */
    private Long devId;


    @ApiModelProperty(value = "生产设施参数")
    /** 生产设施参数 */
    private String proFacilityParam;


    @ApiModelProperty(value = "对应产污环节名称")
    /** 对应产污环节名称 */
    @Excel(name = "对应产污环节名称",sort = 2)
    private String pollutionProductionLink;


    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    @Excel(name = "污染物种类",sort = 4)
    private String pollutionType;

    @ApiModelProperty(value = "治理设施id, 多个用逗号分隔")
    private String cepFacilityId;

    @ApiModelProperty(value = "生产设施id, 多个用逗号分隔")
    private String proFacilityId;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("outletCode", getOutletCode())
            .append("outletName", getOutletName())
            .append("outletType", getOutletType())
            .append("outletMonType", getOutletMonType())
            .append("cepFacilityCode", getCepFacilityCode())
            .append("cepFacilityName", getCepFacilityName())
            .append("cepFacilityCraft", getCepFacilityCraft())
            .append("proFacilityCode", getProFacilityCode())
            .append("proFacilityName", getProFacilityName())
            .append("devId", getDevId())
            .append("proFacilityParam", getProFacilityParam())
            .append("pollutionProductionLink", getPollutionProductionLink())
            .append("pollutionType", getPollutionType())
            .toString();
    }
}
