package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 固危废贮存信息对象 b_main_solid_hazardous
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "固危废贮存信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_solid_hazardous")
public class BMainSolidHazardous extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "自行贮存设施名称")
    /** 自行贮存设施名称 */
    @Excel(name = "自行贮存设施名称",sort = 2)
    private String facilityName;


    @ApiModelProperty(value = "自行贮存设施编号")
    /** 自行贮存设施编号 */
    @Excel(name = "自行贮存设施编号",sort = 3)
    private String facilityCode;

    @ApiModelProperty(value = "视频id")
    @Excel(name = "视频监控",sort = 4)
    private Long devId;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("facilityName", getFacilityName())
            .append("facilityCode", getFacilityCode())
            .toString();
    }
}
