package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 固废产生与处理对象 b_main_solid_waste_output
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "固废产生与处理")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_solid_waste_output")
public class BMainSolidWasteOutput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份*/
    @Excel(name = "年份")
    private String particularYear;


    @ApiModelProperty(value = "月份")
    /** 月份*/
    @Excel(name = "月份")
    private String particularMonth;


    @ApiModelProperty(value = "废物类别")
    /** 废物类别*/
    @Excel(name = "废物类别")
    private String materialsType;


    @ApiModelProperty(value = "废物代码")
    /** 废物代码*/
    @Excel(name = "废物代码")
    private String materialsCode;


    @ApiModelProperty(value = "废物名称")
    /** 废物名称*/
    @Excel(name = "废物名称")
    private String materialsName;


    @ApiModelProperty(value = "产生量（吨）")
    /** 产生量（吨）*/
    @Excel(name = "产生量")
    private String materialsOutput;


    @ApiModelProperty(value = "期初贮存量")
    /** 期初贮存量*/
    @Excel(name = "期初贮存量")
    private String materialsPreliminaryStage;


    @ApiModelProperty(value = "累计贮存量")
    /** 累计贮存量*/
    @Excel(name = "累计贮存量")
    private String materialsAccumulated;


    @ApiModelProperty(value = "自行利用数量")
    /** 自行利用数量*/
    @Excel(name = "自行利用数量")
    private String materialsUse;


    @ApiModelProperty(value = "自行处置数量")
    /** 自行处置数量*/
    @Excel(name = "自行处置数量")
    private String materialsDispose;


    @ApiModelProperty(value = "委托利用数量")
    /** 委托利用数量*/
    @Excel(name = "委托利用数量")
    private String materialsEntrustUse;


    @ApiModelProperty(value = "委托处置数量")
    /** 委托处置数量*/
    @Excel(name = "委托处置数量")
    private String materialsEntrustDispose;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("particularYear", getParticularYear())
            .append("particularMonth", getParticularMonth())
            .append("materialsType", getMaterialsType())
            .append("materialsCode", getMaterialsCode())
            .append("materialsName", getMaterialsName())
            .append("materialsOutput", getMaterialsOutput())
            .append("materialsPreliminaryStage", getMaterialsPreliminaryStage())
            .append("materialsAccumulated", getMaterialsAccumulated())
            .append("materialsUse", getMaterialsUse())
            .append("materialsDispose", getMaterialsDispose())
            .append("materialsEntrustUse", getMaterialsEntrustUse())
            .append("materialsEntrustDispose", getMaterialsEntrustDispose())
            .toString();
    }
}
