package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 移动执法信息-双随机任务-流程步骤对象 b_main_two_random_task_step
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "移动执法信息-双随机任务-流程步骤")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_two_random_task_step")
public class BMainTwoRandomTaskStep extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "双随机任务id")
    /** 双随机任务id */
    @Excel(name = "双随机任务id")
    private String twoRandomTaskId;


    @ApiModelProperty(value = "步骤名")
    /** 步骤名 */
    @Excel(name = "步骤名")
    private String stepName;


    @ApiModelProperty(value = "操作时间")
    /** 操作时间 */
    @Excel(name = "操作时间")
    private String operateTime;


    @ApiModelProperty(value = "操作人名称")
    /** 操作人名称 */
    @Excel(name = "操作人名称")
    private String operateUserName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("twoRandomTaskId", getTwoRandomTaskId())
            .append("stepName", getStepName())
            .append("operateTime", getOperateTime())
            .append("operateUserName", getOperateUserName())
            .toString();
    }
}
