package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
    * 固定源产治排--排污许可--锅炉行业气体燃料信息
    */
@ApiModel(description="固定源产治排--排污许可--锅炉行业气体燃料信息")
@Data
@TableName(value = "b_stat_table_pwxk_boiler_fuel_gas")
public class BStatTablePwxkBoilerFuelGas implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Long id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
     * 主要生产单元名称
     */
    @TableField(value = "production_unit_name")
    @ApiModelProperty(value="主要生产单元名称")
    @Excel(name = "主要生产单元名称")
    private String productionUnitName;

    /**
     * 生产设施编号
     */
    @TableField(value = "production_facilities_code")
    @ApiModelProperty(value="生产设施编号")
    @Excel(name = "生产设施编号")
    private String productionFacilitiesCode;

    /**
     * 生产设施名称
     */
    @TableField(value = "production_facilities_name")
    @ApiModelProperty(value="生产设施名称")
    @Excel(name = "生产设施名称")
    private String productionFacilitiesName;

    /**
     * 燃料名称
     */
    @TableField(value = "fuel_name")
    @ApiModelProperty(value="燃料名称")
    @Excel(name = "燃料名称")
    private String fuelName;

    /**
     * 甲烷（%）
     */
    @TableField(value = "methane")
    @ApiModelProperty(value="甲烷（%）")
    @Excel(name = "甲烷（%）")
    private BigDecimal methane;

    /**
     * 乙烷（%）
     */
    @TableField(value = "ethane")
    @ApiModelProperty(value="乙烷（%）")
    @Excel(name = "乙烷（%）")
    private BigDecimal ethane;

    /**
     * 丙烷（%）
     */
    @TableField(value = "propane")
    @ApiModelProperty(value="丙烷（%）")
    @Excel(name = "丙烷（%）")
    private BigDecimal propane;

    /**
     * 异/正丁烷（%）
     */
    @TableField(value = "butane")
    @ApiModelProperty(value="异/正丁烷（%）")
    @Excel(name = "异/正丁烷（%）")
    private BigDecimal butane;

    /**
     * 异/正戊烷（%）
     */
    @TableField(value = "pentane")
    @ApiModelProperty(value="异/正戊烷（%）")
    @Excel(name = "异/正戊烷（%）")
    private BigDecimal pentane;

    /**
     * 己烷及更重组分（%）
     */
    @TableField(value = "hexane_and_heavier")
    @ApiModelProperty(value="己烷及更重组分（%）")
    @Excel(name = "己烷及更重组分（%）")
    private BigDecimal hexaneAndHeavier;

    /**
     * 一氧化碳（%）
     */
    @TableField(value = "co")
    @ApiModelProperty(value="一氧化碳（%）")
    @Excel(name = "一氧化碳（%）")
    private BigDecimal co;

    /**
     * 二氧化碳（%）
     */
    @TableField(value = "co2")
    @ApiModelProperty(value="二氧化碳（%）")
    @Excel(name = "二氧化碳（%）")
    private BigDecimal co2;

    /**
     * 氢（%）
     */
    @TableField(value = "hydrogen")
    @ApiModelProperty(value="氢（%）")
    @Excel(name = "氢（%）")
    private BigDecimal hydrogen;

    /**
     * 氧（%）
     */
    @TableField(value = "oxygen")
    @ApiModelProperty(value="氧（%）")
    @Excel(name = "氧（%）")
    private BigDecimal oxygen;

    /**
     * 氮（%）
     */
    @TableField(value = "nitrogen")
    @ApiModelProperty(value="氮（%）")
    @Excel(name = "氮（%）")
    private BigDecimal nitrogen;

    /**
     * 硫化氢（%）
     */
    @TableField(value = "hydrogen_sulfide")
    @ApiModelProperty(value="硫化氢（%）")
    @Excel(name = "硫化氢（%）")
    private BigDecimal hydrogenSulfide;

    /**
     * 其他组分（%）
     */
    @TableField(value = "other_components")
    @ApiModelProperty(value="其他组分（%）")
    @Excel(name = "其他组分（%）")
    private BigDecimal otherComponents;

    /**
     * 总硫(%或mg/m3)
     */
    @TableField(value = "total_sulfur")
    @ApiModelProperty(value="总硫(%或mg/m3)")
    @Excel(name = "总硫(%或mg/m3)")
    private BigDecimal totalSulfur;

    /**
     * 低位发热量(MJ/m3)
     */
    @TableField(value = "lower_heating")
    @ApiModelProperty(value="低位发热量(MJ/m3)")
    @Excel(name = "低位发热量(MJ/m3)")
    private BigDecimal lowerHeating;

    /**
     * 年燃料使用量（万m3/a）
     */
    @TableField(value = "year_used")
    @ApiModelProperty(value="年燃料使用量（万m3/a）")
    @Excel(name = "年燃料使用量（万m3/a）")
    private BigDecimal yearUsed;

    @TableField(value = "trade_secrets")
    @ApiModelProperty(value="是否涉及商业秘密（0否1是）")
    @Excel(name = "是否涉及商业秘密", readConverterExp = "0=否,1=是")
    private String tradeSecrets;

    @TableField(value = "other_info")
    @ApiModelProperty(value="其他信息")
    @Excel(name = "其他信息")
    private String otherInfo;

}