package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
    * 固定源产治排--排污许可--锅炉行业固体液体燃料信息
    */
@ApiModel(description="固定源产治排--排污许可--锅炉行业固体液体燃料信息")
@Data
@TableName(value = "b_stat_table_pwxk_boiler_fuel_solid_liquid")
public class BStatTablePwxkBoilerFuelSolidLiquid implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Long id;
    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;
    /**
     * 主要生产单元名称
     */
    @TableField(value = "production_unit_name")
    @ApiModelProperty(value="主要生产单元名称")
    @Excel(name = "主要生产单元名称")
    private String productionUnitName;
    /**
     * 生产设施编号
     */
    @TableField(value = "production_facilities_code")
    @ApiModelProperty(value="生产设施编号")
    @Excel(name = "生产设施编号")
    private String productionFacilitiesCode;
    /**
     * 生产设施名称
     */
    @TableField(value = "production_facilities_name")
    @ApiModelProperty(value="生产设施名称")
    @Excel(name = "生产设施名称")
    private String productionFacilitiesName;
    /**
     * 燃料名称
     */
    @TableField(value = "fuel_name")
    @ApiModelProperty(value="燃料名称")
    @Excel(name = "燃料名称")
    private String fuelName;
    /**
     * 水分（%）
     */
    @TableField(value = "water_content")
    @ApiModelProperty(value="水分（%）")
    @Excel(name = "水分（%）")
    private BigDecimal waterContent;
    /**
     * 灰分（%）
     */
    @TableField(value = "ash_content")
    @ApiModelProperty(value="灰分（%）")
    @Excel(name = "灰分（%）")
    private BigDecimal ashContent;
    /**
     * 挥发分（%）
     */
    @TableField(value = "\"volatile_percentage\"")
    @ApiModelProperty(value="挥发分（%）")
    @Excel(name = "挥发分（%）")
    private BigDecimal volatilePercentage;
    /**
     * 固定碳（%）
     */
    @TableField(value = "fixed_carbon")
    @ApiModelProperty(value="固定碳（%）")
    @Excel(name = "固定碳（%）")
    private BigDecimal fixedCarbon;
    /**
     * 碳（%）
     */
    @TableField(value = "carbon")
    @ApiModelProperty(value="碳（%）")
    @Excel(name = "碳（%）")
    private BigDecimal carbon;
    /**
     * 氢（%）
     */
    @TableField(value = "hydrogen")
    @ApiModelProperty(value="氢（%）")
    @Excel(name = "氢（%）")
    private BigDecimal hydrogen;
    /**
     * 氧（%）
     */
    @TableField(value = "oxygen")
    @ApiModelProperty(value="氧（%）")
    @Excel(name = "氧（%）")
    private BigDecimal oxygen;
    /**
     * 氮（%）
     */
    @TableField(value = "nitrogen")
    @ApiModelProperty(value="氮（%）")
    @Excel(name = "氮（%）")
    private BigDecimal nitrogen;
    /**
     * 硫（%）
     */
    @TableField(value = "sulfur")
    @ApiModelProperty(value="硫（%）")
    @Excel(name = "硫（%）")
    private BigDecimal sulfur;
    /**
     * 低位发热量(MJ/kg)
     */
    @TableField(value = "lower_heating")
    @ApiModelProperty(value="低位发热量(MJ/kg)")
    @Excel(name = "低位发热量(MJ/kg)")
    private BigDecimal lowerHeating;
    /**
     * 汞含量（μg/g）
     */
    @TableField(value = "mercury")
    @ApiModelProperty(value="汞含量（μg/g）")
    @Excel(name = "汞含量（μg/g）")
    private BigDecimal mercury;
    /**
     * 年燃料使用量（t/a）
     */
    @TableField(value = "year_used")
    @ApiModelProperty(value="年燃料使用量（t/a）")
    @Excel(name = "年燃料使用量（t/a）")
    private BigDecimal yearUsed;

    @TableField(value = "trade_secrets")
    @ApiModelProperty(value="是否涉及商业秘密（0否1是）")
    @Excel(name = "是否涉及商业秘密", readConverterExp = "0=否,1=是")
    private String tradeSecrets;

    @TableField(value = "other_info")
    @ApiModelProperty(value="其他信息")
    @Excel(name = "其他信息")
    private String otherInfo;
}