package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 固定源产治排--排污许可--燃料
 */
@ApiModel(description = "固定源产治排--排污许可--燃料")
@Data
@TableName(value = "b_stat_table_pwxk_fuel")
public class BStatTablePwxkFuel implements Serializable {
    public static final String COL_VOLATILE = "volatile";
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value = "企业id")
    private String factoryId;

    /**
     * 燃料名称
     */
    @TableField(value = "fuel_name")
    @ApiModelProperty(value = "燃料名称")
    private String fuelName;

    /**
     * 设计年使用量
     */
    @TableField(value = "year_plan_used")
    @ApiModelProperty(value = "设计年使用量")
    private BigDecimal yearPlanUsed;

    /**
     * 计量单位
     */
    @TableField(value = "unit")
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 灰分（%）
     */
    @TableField(value = "ash_content")
    @ApiModelProperty(value = "灰分（%）")
    private BigDecimal ashContent;

    /**
     * 硫分（%）
     */
    @TableField(value = "sulfur_content")
    @ApiModelProperty(value = "硫分（%）")
    private BigDecimal sulfurContent;

    /**
     * 挥发分（%）
     */
    @TableField(value = "volatile_percentage")
    @ApiModelProperty(value = "挥发分（%）")
    private BigDecimal volatilePercentage;

    /**
     * 低位发热量（kj/kg）
     */
    @TableField(value = "lower_heating")
    @ApiModelProperty(value = "低位发热量（kj/kg）")
    private BigDecimal lowerHeating;

    /**
     * 额外数据，json格式：
     * {
     * // 燃料列表
     * "fuelList": [{
     * "poisonousComponent": "", // 有毒有害成分
     * "ratio": "", // 成分占比（%）
     * }]
     * }
     */
    @TableField(value = "extra")
    @ApiModelProperty(value = "额外数据，json格式：,{,       // 燃料列表,	'fuelList': [{,		'poisonousComponent': '', // 有毒有害成分,		'ratio': '', // 成分占比（%）,	}],}")
    private String extra;

    /**
     * 其他信息
     */
    @TableField(value = "other_info")
    @ApiModelProperty(value = "其他信息")
    private String otherInfo;

    /**
     * 是否涉及商业秘密（0否1是）
     */
    @TableField(value = "trade_secrets")
    @ApiModelProperty(value = "是否涉及商业秘密（0否1是）")
    private String tradeSecrets;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_FACTORY_ID = "factory_id";

    public static final String COL_FUEL_NAME = "fuel_name";

    public static final String COL_YEAR_PLAN_USED = "year_plan_used";

    public static final String COL_UNIT = "unit";

    public static final String COL_ASH_CONTENT = "ash_content";

    public static final String COL_SULFUR_CONTENT = "sulfur_content";

    public static final String COL_VOLATILE_PERCENTAGE = "volatile_percentage";

    public static final String COL_LOWER_HEATING = "lower_heating";

    public static final String COL_EXTRA = "extra";

    public static final String COL_OTHER_INFO = "other_info";

    public static final String COL_TRADE_SECRETS = "trade_secrets";
}