package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * 固定源产治排--排污许可--生产设施信息
 */
@ApiModel(description = "固定源产治排--排污许可--生产设施信息")
@Data
@TableName(value = "b_stat_table_pwxk_production_facilities")
public class BStatTablePwxkProductionFacilities implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value = "企业id")
    private String factoryId;

    /**
     * 生产线类型
     */
    @TableField(value = "production_line_type")
    @ApiModelProperty(value = "生产线类型")
    private String productionLineType;

    /**
     * 生产线编号
     */
    @TableField(value = "production_line_code")
    @ApiModelProperty(value = "生产线编号")
    private String productionLineCode;

    /**
     * 主要生产单元名称
     */
    @TableField(value = "production_unit_name")
    @ApiModelProperty(value = "主要生产单元名称")
    private String productionUnitName;

    /**
     * 主要工艺名称
     */
    @TableField(value = "craft_name")
    @ApiModelProperty(value = "主要工艺名称")
    private Short craftName;

    /**
     * 生产设施名称
     */
    @TableField(value = "facility_name")
    @ApiModelProperty(value = "生产设施名称")
    private String facilityName;

    /**
     * 是否涉及商业秘密（0否1是）
     */
    @TableField(value = "trade_secrets")
    @ApiModelProperty(value = "是否涉及商业秘密（0否1是）")
    private String tradeSecrets;

    /**
     * 生产设施编号
     */
    @TableField(value = "production_facility_code")
    @ApiModelProperty(value = "生产设施编号")
    private String productionFacilityCode;

    /**
     * 其他设施信息
     */
    @TableField(value = "other_facility_info")
    @ApiModelProperty(value = "其他设施信息")
    private String otherFacilityInfo;

    /**
     * 其他工艺信息
     */
    @TableField(value = "other_craft_info")
    @ApiModelProperty(value = "其他工艺信息")
    private String otherCraftInfo;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_FACTORY_ID = "factory_id";

    public static final String COL_PRODUCTION_LINE_TYPE = "production_line_type";

    public static final String COL_PRODUCTION_LINE_CODE = "production_line_code";

    public static final String COL_PRODUCTION_UNIT_NAME = "production_unit_name";

    public static final String COL_CRAFT_NAME = "craft_name";

    public static final String COL_FACILITY_NAME = "facility_name";

    public static final String COL_TRADE_SECRETS = "trade_secrets";

    public static final String COL_PRODUCTION_FACILITY_CODE = "production_facility_code";

    public static final String COL_OTHER_FACILITY_INFO = "other_facility_info";

    public static final String COL_OTHER_CRAFT_INFO = "other_craft_info";
}