package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 固定源产治排--排污许可--生产设施参数信息
 */
@ApiModel(description = "固定源产治排--排污许可--生产设施参数信息")
@Data
@TableName(value = "b_stat_table_pwxk_production_facilities_params")
public class BStatTablePwxkProductionFacilitiesParams implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACILITIES_ID = "facilities_id";
    public static final String COL_PARAMS_NAME = "params_name";
    public static final String COL_PARAMS_UNIT = "params_unit";
    public static final String COL_DESIGN_VALUES = "design_values";
    public static final String COL_OTHER_PARAMS_INFO = "other_params_info";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 设施id
     */
    @TableField(value = "facilities_id")
    @ApiModelProperty(value = "设施id")
    private String facilitiesId;
    /**
     * 参数名
     */
    @TableField(value = "params_name")
    @ApiModelProperty(value = "参数名")
    @Excel(name = "参数名",sort = 2)
    private String paramsName;
    /**
     * 计量单位
     */
    @TableField(value = "params_unit")
    @ApiModelProperty(value = "计量单位")
    @Excel(name = "计量单位",sort = 3)
    private String paramsUnit;
    /**
     * 设计值
     */
    @TableField(value = "design_values")
    @ApiModelProperty(value = "设计值")
    @Excel(name = "设计值",sort = 4)
    private String designValues;
    /**
     * 其他设施信息
     */
    @TableField(value = "other_params_info")
    @ApiModelProperty(value = "其他设施信息")
    @Excel(name = "其他设施信息",sort = 5)
    private String otherParamsInfo;
}