package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
    * 固定源产治排--排污许可--产品信息
    */
@ApiModel(description="固定源产治排--排污许可--产品信息")
@Data
@TableName(value = "b_stat_table_pwxk_products")
public class BStatTablePwxkProducts implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACTORY_ID = "factory_id";
    public static final String COL_PRODUCT_NAME = "product_name";
    public static final String COL_UNIT = "unit";
    public static final String COL_PRODUCTION_CAPACITY = "production_capacity";
    public static final String COL_YEAR_PRODUCTION_TIME = "year_production_time";
    public static final String COL_OTHER_INFO = "other_info";
    public static final String COL_TRADE_SECRETS = "trade_secrets";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Long id;
    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;
    /**
     * 产品名称
     */
    @TableField(value = "product_name")
    @ApiModelProperty(value="产品名称")
    @Excel(name = "产品名称",sort = 9)
    private String productName;
    /**
     * 计量单位
     */
    @TableField(value = "unit")
    @ApiModelProperty(value="计量单位")
    @Excel(name = "计量单位",sort = 10)
    private String unit;
    /**
     * 生产能力
     */
    @TableField(value = "production_capacity")
    @ApiModelProperty(value="生产能力")
    @Excel(name = "生产能力",sort = 11)
    private String productionCapacity;
    /**
     * 设计年生产时间（h）
     */
    @TableField(value = "year_production_time")
    @ApiModelProperty(value="设计年生产时间（h）")
    @Excel(name = "设计年生产时间（h）",sort = 12)
    private Short yearProductionTime;
    /**
     * 其他信息
     */
    @TableField(value = "other_info")
    @ApiModelProperty(value="其他信息")
    @Excel(name = "其他信息",sort = 13)
    private String otherInfo;
    /**
     * 是否涉及商业秘密（0否1是）
     */
    @TableField(value = "trade_secrets")
    @ApiModelProperty(value="是否涉及商业秘密（0否1是）")
    @Excel(name = "是否涉及商业秘密",sort = 14,readConverterExp = "0=否,1=是")
    private String tradeSecrets;
}