package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
    * 固定源产治排--排污许可--原辅料
    */
@ApiModel(description="固定源产治排--排污许可--原辅料")
@Data
@TableName(value = "b_stat_table_pwxk_raw_material")
public class BStatTablePwxkRawMaterial implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Long id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
     * 种类
     */
    @TableField(value = "raw_material_class")
    @ApiModelProperty(value="种类")
    private String rawMaterialClass;

    /**
     * 类型
     */
    @TableField(value = "raw_material_type")
    @ApiModelProperty(value="类型")
    private String rawMaterialType;

    /**
     * 名称
     */
    @TableField(value = "raw_material_name")
    @ApiModelProperty(value="名称")
    private String rawMaterialName;

    /**
     * 年最大使用量
     */
    @TableField(value = "year_max_used")
    @ApiModelProperty(value="年最大使用量")
    private BigDecimal yearMaxUsed;

    /**
     * 设计年使用量
     */
    @TableField(value = "year_plan_used")
    @ApiModelProperty(value="设计年使用量")
    private BigDecimal yearPlanUsed;

    /**
     * 计量单位
     */
    @TableField(value = "unit")
    @ApiModelProperty(value="计量单位")
    private String unit;

    /**
     * 硫元素占比（%）
     */
    @TableField(value = "sulfur_ratio")
    @ApiModelProperty(value="硫元素占比（%）")
    private BigDecimal sulfurRatio;

    /**
     * 有毒有害成分及占比
     */
    @TableField(value = "poisonous_component")
    @ApiModelProperty(value="有毒有害成分及占比")
    private String poisonousComponent;

    /**
     * 额外数据，json格式：
{
       // 辅料列表
	"rawMaterialList": [{
		"poisonousComponent": "", // 有毒有害成分
		"ratio": "", // 成分占比（%）
	}]
}
     */
    @TableField(value = "extra")
    @ApiModelProperty(value="额外数据，json格式：,{,       // 辅料列表,	'rawMaterialList': [{,		'poisonousComponent': '', // 有毒有害成分,		'ratio': '', // 成分占比（%）,	}],}")
    private String extra;

    /**
     * 其他信息
     */
    @TableField(value = "other_info")
    @ApiModelProperty(value="其他信息")
    private String otherInfo;

    /**
     * 是否涉及商业秘密（0否1是）
     */
    @TableField(value = "trade_secrets")
    @ApiModelProperty(value="是否涉及商业秘密（0否1是）")
    private String tradeSecrets;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_FACTORY_ID = "factory_id";

    public static final String COL_RAW_MATERIAL_CLASS = "raw_material_class";

    public static final String COL_RAW_MATERIAL_TYPE = "raw_material_type";

    public static final String COL_RAW_MATERIAL_NAME = "raw_material_name";

    public static final String COL_YEAR_MAX_USED = "year_max_used";

    public static final String COL_YEAR_PLAN_USED = "year_plan_used";

    public static final String COL_UNIT = "unit";

    public static final String COL_SULFUR_RATIO = "sulfur_ratio";

    public static final String COL_POISONOUS_COMPONENT = "poisonous_component";

    public static final String COL_EXTRA = "extra";

    public static final String COL_OTHER_INFO = "other_info";

    public static final String COL_TRADE_SECRETS = "trade_secrets";
}