package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
    * 固定源产治排--排污许可--工业污水进水信息
    */
@ApiModel(description="固定源产治排--排污许可--工业污水进水信息")
@Data
@TableName(value = "b_stat_table_pwxk_water_industry_in")
public class BStatTablePwxkWaterIndustryIn implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACTORY_ID = "factory_id";
    public static final String COL_TREATMENT_PLANT_NAME = "treatment_plant_name";
    public static final String COL_SERVICE_PROVIDER = "service_provider";
    public static final String COL_TREATMENT_PLANT_TYPE = "treatment_plant_type";
    public static final String COL_BELONG_TO_WATER_TREATMENT_FACILITIES = "belong_to_water_treatment_facilities";
    public static final String COL_OUTLET_CODE = "outlet_code";
    public static final String COL_INFLOW_WATER_VOLUME = "inflow_water_volume";
    public static final String COL_INFLOW_WATER_LIMIT = "inflow_water_limit";
    public static final String COL_PIPE_PROPERTIES = "pipe_properties";
    public static final String COL_PIPE_UNIT = "pipe_unit";
    public static final String COL_PIPE_LON = "pipe_lon";
    public static final String COL_PIPE_LAT = "pipe_lat";
    public static final String COL_REMARKS = "remarks";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Long id;
    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;
    /**
     * 污水处理厂名称
     */
    @TableField(value = "treatment_plant_name")
    @ApiModelProperty(value="污水处理厂名称")
    @Excel(name = "污水处理厂名称",sort = 3)
    private String treatmentPlantName;
    /**
     * 运营商名称
     */
    @TableField(value = "service_provider")
    @ApiModelProperty(value="运营商名称")
    @Excel(name = "运营商名称",sort = 4)
    private String serviceProvider;
    /**
     * 污水处理厂类型
     */
    @TableField(value = "treatment_plant_type")
    @ApiModelProperty(value="污水处理厂类型")
    @Excel(name = "污水处理厂类型",sort = 12)
    private String treatmentPlantType;
    /**
     * 是否属于工业园区配套污水处理设施（0否1是）
     */
    @TableField(value = "belong_to_water_treatment_facilities")
    @ApiModelProperty(value="是否属于工业园区配套污水处理设施（0否1是）")
    @Excel(name = "是否属于工业园区配套污水处理设施",sort = 13,readConverterExp = "0=否,1=是")
    private String belongToWaterTreatmentFacilities;
    /**
     * 排放口编号
     */
    @TableField(value = "outlet_code")
    @ApiModelProperty(value="排放口编号")
    @Excel(name = "排放口编号",sort = 15)
    private String outletCode;
    /**
     * 进水水量（m3/h）
     */
    @TableField(value = "inflow_water_volume")
    @ApiModelProperty(value="进水水量（m3/h）")
    @Excel(name = "进水水量（m³/h）",sort = 21)
    private String inflowWaterVolume;
    /**
     * 进水水质与行业排放标准浓度限值（mg/L）
     */
    @TableField(value = "inflow_water_limit")
    @ApiModelProperty(value="进水水质与行业排放标准浓度限值（mg/L）")
    @Excel(name = "进水水质与行业排放标准浓度限值（mg/L）",sort = 22)
    private String inflowWaterLimit;
    /**
     * 管网属性（分流/合流）
     */
    @TableField(value = "pipe_properties")
    @ApiModelProperty(value="管网属性（分流/合流）")
    @Excel(name = "管网属性（分流/合流）",sort = 23)
    private String pipeProperties;
    /**
     * 管网所有权单位
     */
    @TableField(value = "pipe_unit")
    @ApiModelProperty(value="管网所有权单位")
    @Excel(name = "管网所有权单位",sort = 24)
    private String pipeUnit;
    /**
     * 接入管网坐标--经度
     */
    @TableField(value = "pipe_lon")
    @ApiModelProperty(value="接入管网坐标--经度")
    @Excel(name = "接入管网坐标-经度",sort = 25)
    private String pipeLon;
    /**
     * 接入管网坐标--纬度
     */
    @TableField(value = "pipe_lat")
    @ApiModelProperty(value="接入管网坐标--纬度")
    @Excel(name = "接入管网坐标-纬度",sort = 26)
    private String pipeLat;
    /**
     * 备注
     */
    @TableField(value = "remarks")
    @ApiModelProperty(value="备注")
    @Excel(name = "备注",sort = 27)
    private String remarks;
}