package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
    * 固定源产治排--排污许可--工业污水进水合计
    */
@ApiModel(description="固定源产治排--排污许可--工业污水进水合计")
@Data
@TableName(value = "b_stat_table_pwxk_water_industry_in_total")
public class BStatTablePwxkWaterIndustryInTotal implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACTORY_ID = "factory_id";
    public static final String COL_TREATMENT_PLANT_NAME = "treatment_plant_name";
    public static final String COL_SERVICE_PROVIDER = "service_provider";
    public static final String COL_TREATMENT_PLANT_TYPE = "treatment_plant_type";
    public static final String COL_BELONG_TO_WATER_TREATMENT_FACILITIES = "belong_to_water_treatment_facilities";
    public static final String COL_COD_TOTAL = "cod_total";
    public static final String COL_INFLOW_WATER_TOTAL = "inflow_water_total";
    public static final String COL_AMMONIA_NITROGEN_TOTAL = "ammonia_nitrogen_total";
    public static final String COL_TOTAL_NITROGEN_TOTAL = "total_nitrogen_total";
    public static final String COL_TOTAL_PHOSPHORUS_TOTAL = "total_phosphorus_total";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Long id;
    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;
    /**
     * 污水处理厂名称
     */
    @TableField(value = "treatment_plant_name")
    @ApiModelProperty(value="污水处理厂名称")
    @Excel(name = "污水处理厂名称",sort = 3)
    private String treatmentPlantName;
    /**
     * 运营商名称
     */
    @TableField(value = "service_provider")
    @ApiModelProperty(value="运营商名称")
    @Excel(name = "运营商名称",sort = 4)
    private String serviceProvider;
    /**
     * 污水处理厂类型
     */
    @TableField(value = "treatment_plant_type")
    @ApiModelProperty(value="污水处理厂类型")
    @Excel(name = "污水处理厂类型",sort = 12)
    private String treatmentPlantType;
    /**
     * 是否属于工业园区配套污水处理设施（0否1是）
     */
    @TableField(value = "belong_to_water_treatment_facilities")
    @ApiModelProperty(value="是否属于工业园区配套污水处理设施（0否1是）")
    @Excel(name = "是否属于工业园区配套污水处理设施",sort = 13,readConverterExp = "0=否,1=是")
    private String belongToWaterTreatmentFacilities;
    /**
     * CODcr年排放量合计（t/a）
     */
    @TableField(value = "cod_total")
    @ApiModelProperty(value="CODcr年排放量合计（t/a）")
    @Excel(name = "CODcr年排放量合计（t/a）",sort = 14)
    private String codTotal;
    /**
     * 进水量合计（m³/d）
     */
    @TableField(value = "inflow_water_total")
    @ApiModelProperty(value="进水量合计（m³/d）")
    @Excel(name = "进水量合计（m³/d）",sort = 15)
    private String inflowWaterTotal;
    /**
     * 氨氮年排放量合计（t/a）
     */
    @TableField(value = "ammonia_nitrogen_total")
    @ApiModelProperty(value="氨氮年排放量合计（t/a）")
    @Excel(name = "氨氮年排放量合计（t/a）",sort = 16)
    private String ammoniaNitrogenTotal;
    /**
     * 总氮年排放量合计（t/a）
     */
    @TableField(value = "total_nitrogen_total")
    @ApiModelProperty(value="总氮年排放量合计（t/a）")
    @Excel(name = "总氮年排放量合计（t/a）",sort = 17)
    private String totalNitrogenTotal;
    /**
     * 总磷年排放量合计（t/a）
     */
    @TableField(value = "total_phosphorus_total")
    @ApiModelProperty(value="总磷年排放量合计（t/a）")
    @Excel(name = "总磷年排放量合计（t/a）",sort = 18)
    private String totalPhosphorusTotal;
}