package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
    * 固定源产治排--排污许可--生活污水进水信息
    */
@ApiModel(description="固定源产治排--排污许可--生活污水进水信息")
@Data
@TableName(value = "b_stat_table_pwxk_water_life_in")
public class BStatTablePwxkWaterLifeIn implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACTORY_ID = "factory_id";
    public static final String COL_TREATMENT_PLANT_NAME = "treatment_plant_name";
    public static final String COL_SERVICE_PROVIDER = "service_provider";
    public static final String COL_TREATMENT_PLANT_TYPE = "treatment_plant_type";
    public static final String COL_BELONG_TO_WATER_TREATMENT_FACILITIES = "belong_to_water_treatment_facilities";
    public static final String COL_WATER_RANGE_EAST = "water_range_east";
    public static final String COL_WATER_RANGE_WEST = "water_range_west";
    public static final String COL_WATER_RANGE_SOUTH = "water_range_south";
    public static final String COL_WATER_RANGE_NORTH = "water_range_north";
    public static final String COL_POPULATION_NUMBER = "population_number";
    public static final String COL_SERVICE_COUNTRY_CODE = "service_country_code";
    public static final String COL_INFLOW_WATER_VOLUME = "inflow_water_volume";
    public static final String COL_PIPE_PROPERTIES = "pipe_properties";
    public static final String COL_PIPE_UNIT = "pipe_unit";
    public static final String COL_REMARKS = "remarks";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Long id;
    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;
    /**
     * 污水处理厂名称
     */
    @TableField(value = "treatment_plant_name")
    @ApiModelProperty(value="污水处理厂名称")
    @Excel(name = "污水处理厂名称",sort = 3)
    private String treatmentPlantName;
    /**
     * 运营商名称
     */
    @TableField(value = "service_provider")
    @ApiModelProperty(value="运营商名称")
    @Excel(name = "运营商名称",sort = 4)
    private String serviceProvider;
    /**
     * 污水处理厂类型
     */
    @TableField(value = "treatment_plant_type")
    @ApiModelProperty(value="污水处理厂类型")
    @Excel(name = "污水处理厂类型",sort = 12)
    private String treatmentPlantType;
    /**
     * 是否属于工业园区配套污水处理设施（0否1是）
     */
    @TableField(value = "belong_to_water_treatment_facilities")
    @ApiModelProperty(value="是否属于工业园区配套污水处理设施（0否1是）")
    @Excel(name = "是否属于工业园区配套污水处理设施",sort = 13,readConverterExp = "0=否,1=是")
    private String belongToWaterTreatmentFacilities;
    /**
     * 收水四至范围-东
     */
    @TableField(value = "water_range_east")
    @ApiModelProperty(value="收水四至范围-东")
    @Excel(name = "收水四至范围-东至",sort = 14)
    private String waterRangeEast;
    /**
     * 收水四至范围-西
     */
    @TableField(value = "water_range_west")
    @ApiModelProperty(value="收水四至范围-西")
    @Excel(name = "收水四至范围-西至",sort = 15)
    private String waterRangeWest;
    /**
     * 收水四至范围-南
     */
    @TableField(value = "water_range_south")
    @ApiModelProperty(value="收水四至范围-南")
    @Excel(name = "收水四至范围-南至",sort = 16)
    private String waterRangeSouth;
    /**
     * 收水四至范围-北
     */
    @TableField(value = "water_range_north")
    @ApiModelProperty(value="收水四至范围-北")
    @Excel(name = "收水四至范围-北至",sort = 17)
    private String waterRangeNorth;
    /**
     * 服务人口数量
     */
    @TableField(value = "population_number")
    @ApiModelProperty(value="服务人口数量")
    @Excel(name = "服务人口数量（万人）",sort = 18)
    private Integer populationNumber;
    /**
     * 服务范围所属行政区域
     */
    @TableField(value = "service_country_code")
    @ApiModelProperty(value="服务范围所属行政区域")
    @Excel(name = "服务范围所属行政区域",sort = 19)
    private String serviceCountryCode;
    /**
     * 进水水量（m3/h）
     */
    @TableField(value = "inflow_water_volume")
    @ApiModelProperty(value="进水水量（m3/h）")
    @Excel(name = "进水水量（m³/h）",sort = 20)
    private String inflowWaterVolume;
    /**
     * 管网属性
     */
    @TableField(value = "pipe_properties")
    @ApiModelProperty(value="管网属性")
    @Excel(name = "管网属性",sort = 21)
    private String pipeProperties;
    /**
     * 管网所有权单位
     */
    @TableField(value = "pipe_unit")
    @ApiModelProperty(value="管网所有权单位")
    @Excel(name = "管网所有权单位",sort = 22)
    private String pipeUnit;
    /**
     * 备注
     */
    @TableField(value = "remarks")
    @ApiModelProperty(value="备注")
    @Excel(name = "备注",sort = 23)
    private String remarks;
}