package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 固定源产治排--排污许可--污水处理厂进水监测要求
 */
@ApiModel(description = "固定源产治排--排污许可--污水处理厂进水监测要求")
@Data
@TableName(value = "b_stat_table_pwxk_water_treatment_in_ask")
public class BStatTablePwxkWaterTreatmentInAsk implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACTORY_ID = "factory_id";
    public static final String COL_SERVICE_PROVIDER = "service_provider";
    public static final String COL_TREATMENT_PLANT_TYPE = "treatment_plant_type";
    public static final String COL_BELONG_TO_WATER_TREATMENT_FACILITIES = "belong_to_water_treatment_facilities";
    public static final String COL_OUTLET_CODE = "outlet_code";
    public static final String COL_OUTLET_NAME = "outlet_name";
    public static final String COL_MONITORING_CONTENT = "monitoring_content";
    public static final String COL_POLLUTANT_NAME = "pollutant_name";
    public static final String COL_MONITORING_TYPE = "monitoring_type";
    public static final String COL_NETWORKING = "networking";
    public static final String COL_AUTO_MONITOR_NAME = "auto_monitor_name";
    public static final String COL_MONITOR_ADDRESS = "monitor_address";
    public static final String COL_MEET_REQUIREMENT = "meet_requirement";
    public static final String COL_MANUAL_MONITORING_METHOD_NUMBER = "manual_monitoring_method_number";
    public static final String COL_MANUAL_MONITORING_TOTAL = "manual_monitoring_total";
    public static final String COL_MANUAL_TEST_METHOD = "manual_test_method";
    public static final String COL_OTHER = "other";
    public static final String COL_TREATMENT_PLANT_NAME = "treatment_plant_name";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    /**
     * 运营商名称
     */
    @TableField(value = "service_provider")
    @ApiModelProperty(value = "运营商名称")
    @Excel(name = "运营商名称",sort = 4)
    private String serviceProvider;
    /**
     * 污水处理厂类型
     */
    @TableField(value = "treatment_plant_type")
    @ApiModelProperty(value = "污水处理厂类型")
    @Excel(name = "污水处理厂类型",sort = 12)
    private String treatmentPlantType;
    /**
     * 是否属于工业园区配套污水处理设施（0否1是）
     */
    @TableField(value = "belong_to_water_treatment_facilities")
    @ApiModelProperty(value = "是否属于工业园区配套污水处理设施（0否1是）")
    @Excel(name = "是否属于工业园区配套污水处理设施",sort = 13,readConverterExp = "0=否,1=是")
    private String belongToWaterTreatmentFacilities;
    /**
     * 进水口编号
     */
    @TableField(value = "outlet_code")
    @ApiModelProperty(value = "进水口编号")
    @Excel(name = "进水口编号",sort = 14)
    private String outletCode;
    /**
     * 进水口名称
     */
    @TableField(value = "outlet_name")
    @ApiModelProperty(value = "进水口名称")
    @Excel(name = "进水口名称",sort = 15)
    private String outletName;
    /**
     * 监测内容
     */
    @TableField(value = "monitoring_content")
    @ApiModelProperty(value = "监测内容")
    @Excel(name = "监测内容",sort = 16)
    private String monitoringContent;
    /**
     * 污染物名称
     */
    @TableField(value = "pollutant_name")
    @ApiModelProperty(value = "污染物名称")
    @Excel(name = "污染物名称",sort = 17)
    private String pollutantName;
    /**
     * 监测设施
     */
    @TableField(value = "monitoring_type")
    @ApiModelProperty(value = "监测设施")
    @Excel(name = "监测设施",sort = 18)
    private String monitoringType;
    /**
     * 自动监测是否联网
     */
    @TableField(value = "networking")
    @ApiModelProperty(value = "自动监测是否联网")
    @Excel(name = "自动监测是否联网",sort = 19)
    private Short networking;
    /**
     * 自动监测仪器名称
     */
    @TableField(value = "auto_monitor_name")
    @ApiModelProperty(value = "自动监测仪器名称")
    @Excel(name = "自动监测仪器名称",sort = 20)
    private String autoMonitorName;
    /**
     * 自动监测设施安装位置
     */
    @TableField(value = "monitor_address")
    @ApiModelProperty(value = "自动监测设施安装位置")
    @Excel(name = "自动监测设施安装位置",sort = 21)
    private String monitorAddress;
    /**
     * 自动监测设施是否符合安装、运行、维护等管理要求
     */
    @TableField(value = "meet_requirement")
    @ApiModelProperty(value = "自动监测设施是否符合安装、运行、维护等管理要求")
    @Excel(name = "自动监测设施是否符合安装、运行、维护等管理要求",sort = 22)
    private Short meetRequirement;
    /**
     * 手工监测采样方法及个数
     */
    @TableField(value = "manual_monitoring_method_number")
    @ApiModelProperty(value = "手工监测采样方法及个数")
    @Excel(name = "手工监测采样方法及个数",sort = 23)
    private String manualMonitoringMethodNumber;
    /**
     * 手工监测频次
     */
    @TableField(value = "manual_monitoring_total")
    @ApiModelProperty(value = "手工监测频次")
    @Excel(name = "手工监测频次",sort = 24)
    private String manualMonitoringTotal;
    /**
     * 手工测试方法
     */
    @TableField(value = "manual_test_method")
    @ApiModelProperty(value = "手工测试方法")
    @Excel(name = "手工测试方法",sort = 25)
    private String manualTestMethod;
    /**
     * 其他信息
     */
    @TableField(value = "other")
    @ApiModelProperty(value = "其他信息")
    @Excel(name = "其他信息",sort = 26)
    private String other;
    /**
     * 污水处理厂名称
     */
    @TableField(value = "treatment_plant_name")
    @ApiModelProperty(value = "污水处理厂名称")
    @Excel(name = "污水处理厂名称",sort = 3)
    private String treatmentPlantName;
}