package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 固定源产治排--排污许可--水处理行业生产线信息
 */
@ApiModel(description = "固定源产治排--排污许可--水处理行业生产线信息")
@Data
@TableName(value = "b_stat_table_pwxk_water_treatment_line")
public class BStatTablePwxkWaterTreatmentLine implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACTORY_ID = "factory_id";
    public static final String COL_TREATMENT_PLANT_NAME = "treatment_plant_name";
    public static final String COL_SERVICE_PROVIDER = "service_provider";
    public static final String COL_TREATMENT_PLANT_TYPE = "treatment_plant_type";
    public static final String COL_BELONG_TO_WATER_TREATMENT_FACILITIES = "belong_to_water_treatment_facilities";
    public static final String COL_LINE_TYPE = "line_type";
    public static final String COL_LINE_NAME = "line_name";
    public static final String COL_PROCESSING_CAPACITY = "processing_capacity";
    public static final String COL_YEAR_RUN_TIME = "year_run_time";
    public static final String COL_OUTSIDE_WATER_TYPE = "outside_water_type";
    public static final String COL_OTHER_INFO = "other_info";
    public static final String COL_PROCESS_UNIT = "process_unit";
    public static final String COL_POLLUTION_CONTROL_FACILITIES_TYPE = "pollution_control_facilities_type";
    public static final String COL_POLLUTION_CONTROL_FACILITIES_CODE = "pollution_control_facilities_code";
    public static final String COL_WORKABLE_TECHNOLOGY = "workable_technology";
    public static final String COL_TRADE_SECRETS = "trade_secrets";
    public static final String COL_POLLUTION_CONTROL_FACILITIES_OTHER = "pollution_control_facilities_other";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    /**
     * 污水处理厂名称
     */
    @TableField(value = "treatment_plant_name")
    @ApiModelProperty(value = "污水处理厂名称")
    @Excel(name = "污水处理厂名称",sort = 3)
    private String treatmentPlantName;
    /**
     * 运营商名称
     */
    @TableField(value = "service_provider")
    @ApiModelProperty(value = "运营商名称")
    @Excel(name = "运营商名称",sort = 4)
    private String serviceProvider;
    /**
     * 污水处理厂类型
     */
    @TableField(value = "treatment_plant_type")
    @ApiModelProperty(value = "污水处理厂类型")
    @Excel(name = "污水处理厂类型",sort = 12)
    private String treatmentPlantType;
    /**
     * 是否属于工业园区配套污水处理设施（0否1是）
     */
    @TableField(value = "belong_to_water_treatment_facilities")
    @ApiModelProperty(value = "是否属于工业园区配套污水处理设施（0否1是）")
    @Excel(name = "是否属于工业园区配套污水处理设施",sort = 13,readConverterExp = "0=否,1=是")
    private String belongToWaterTreatmentFacilities;
    /**
     * 生产线类别
     */
    @TableField(value = "line_type")
    @ApiModelProperty(value = "生产线类别")
    @Excel(name = "生产线类别",sort = 14)
    private String lineType;
    /**
     * 生产线编号或名称
     */
    @TableField(value = "line_name")
    @ApiModelProperty(value = "生产线编号或名称")
    @Excel(name = "生产线编号或名称",sort = 15)
    private String lineName;
    /**
     * 设计处理能力
     */
    @TableField(value = "processing_capacity")
    @ApiModelProperty(value = "设计处理能力")
    @Excel (name = "设计处理能力",sort = 16)
    private String processingCapacity;
    /**
     * 年运行时间（h）
     */
    @TableField(value = "year_run_time")
    @ApiModelProperty(value = "年运行时间（h）")
    @Excel(name = "年运行时间(h)",sort = 17)
    private Short yearRunTime;
    /**
     * 厂外进水类别
     */
    @TableField(value = "outside_water_type")
    @ApiModelProperty(value = "厂外进水类别")
    @Excel(name = "厂外进水类别",sort = 18)
    private String outsideWaterType;
    /**
     * 其他信息
     */
    @TableField(value = "other_info")
    @ApiModelProperty(value = "其他信息")
    @Excel(name = "其他信息",sort = 19)
    private String otherInfo;
    /**
     * 工艺单元
     */
    @TableField(value = "process_unit")
    @ApiModelProperty(value = "工艺单元")
    @Excel(name = "工艺单元",sort = 20)
    private String processUnit;
    /**
     * 污染治理设施名称
     */
    @TableField(value = "pollution_control_facilities_type")
    @ApiModelProperty(value = "污染治理设施名称")
    @Excel(name = "污染治理设施名称",sort = 21)
    private String pollutionControlFacilitiesType;
    /**
     * 污染治理设施编号
     */
    @TableField(value = "pollution_control_facilities_code")
    @ApiModelProperty(value = "污染治理设施编号")
    @Excel(name = "污染治理设施编号",sort = 22)
    private String pollutionControlFacilitiesCode;
    /**
     * 是否可行技术（0否1是）
     */
    @TableField(value = "workable_technology")
    @ApiModelProperty(value = "是否可行技术（0否1是）")
    @Excel(name = "是否可行技术",sort = 23,readConverterExp = "0=否,1=是")
    private String workableTechnology;
    /**
     * 是否涉及商业秘密（0否1是）
     */
    @TableField(value = "trade_secrets")
    @ApiModelProperty(value = "是否涉及商业秘密（0否1是）")
    @Excel(name = "是否涉及商业秘密",sort = 24,readConverterExp = "0=否,1=是")
    private String tradeSecrets;
    /**
     * 污染治理设施其他信息
     */
    @TableField(value = "pollution_control_facilities_other")
    @ApiModelProperty(value = "污染治理设施其他信息")
    @Excel(name = "污染治理设施其他信息",sort = 25)
    private String pollutionControlFacilitiesOther;
}