package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
    * 固定源产排治--执行报告、排污许可、等-菜单列表table表名--统一查询条件
    */
@ApiModel(description="固定源产排治--执行报告、排污许可、等-菜单列表table表名--统一查询条件")
@Data
@TableName(value = "b_stat_table_query_info")
public class BStatTableQueryInfo implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_QUERY_NAME = "query_name";
    public static final String COL_QUERY_INFO = "query_info";
    public static final String COL_QUERY_USER_ID = "query_user_id";
    public static final String COL_TABLE_STATUS = "table_status";
    public static final String COL_QUERY_TYPE = "query_type";
    public static final String COL_QUERY_CONTENT = "query_content";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @TableField()
    @ApiModelProperty(value="主键id")
    private Long id;
    /**
     * 查询条件名称
     */
    @TableField(value = "query_name")
    @ApiModelProperty(value="查询条件名称")
    private String queryName;
    /**
     * 查询条件说明
     */
    @TableField(value = "query_info")
    @ApiModelProperty(value="查询条件说明")
    private String queryInfo;
    /**
     * 查询人
     */
    @TableField(value = "query_user_id")
    @ApiModelProperty(value="查询人")
    private String queryUserId;
    /**
     * 是否删除 0：否，1：是
     */
    @TableField(value = "table_status")
    @ApiModelProperty(value="是否删除 0：否，1：是")
    private String tableStatus;
    /**
     * 0：系统功能列表，1：执行报告列表，2：排污许可列表
     */
    @TableField(value = "query_type")
    @ApiModelProperty(value="0：系统功能列表，1：执行报告列表，2：排污许可列表")
    private String queryType;
    /**
     * 查询条件内容--json格式
     */
    @TableField(value = "query_content")
    @ApiModelProperty(value="查询条件内容--json格式")
    private String queryContent;
}