package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

@Data
public class BStatTableZxbgJbxxInfoFactoryBase extends BaseEntity implements Serializable
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "排污单位名称")
    /** 排污单位名称 */
    @Excel(name = "排污单位名称")
    private String factoryName;

    @ApiModelProperty(value = "许可证编号")
    /** 许可证编号 */
    @Excel(name = "许可证编号")
    private String pollDisLicenseCode;

    @ApiModelProperty(value = "管理类别")
    /** 许可管理类别 */
    @Excel(name = "管理类别")
    private String licenseManType;

    @ApiModelProperty(value = "所在区县")
    /** 所在区县 */
    @Excel(name = "所在区县")
    private String countryName;

    @ApiModelProperty(value = "所在流域")
    /** 所在流域 */
    @Excel(name = "所在流域")
    private String riverBasin;

    @ApiModelProperty(value = "所属工业园区名称")
    /** 所属工业园区名称 */
    @Excel(name = "所属工业园区名称")
    private String industrialParkName;

    @ApiModelProperty(value = "所属工业园区编码")
    /** 所属工业园区编码 */
    @Excel(name = "所属工业园区编码")
    private String industrialParkCode;

    @ApiModelProperty(name = "行业类别")
    @Excel(name = "行业类别")
    private String industryPermissionName;


    public String getLicenseManType() {
        return licenseManType;
    }

    public void setLicenseManType(String licenseManType) {
        if(StringUtils.isNotBlank(licenseManType)){
            if(licenseManType.equals("FOCUS")){this.licenseManType = "重点管理";}
            if(licenseManType.equals("SIMPLIFY")){this.licenseManType = "简化管理";}
            if(licenseManType.equals("REGISTER")){this.licenseManType = "登记管理";}
        }else {
            this.licenseManType = licenseManType;
        }
    }
}
