package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--特殊时段废气排放量对象 b_stat_table_zxbg_pfl_air_special
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--特殊时段废气排放量")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_pfl_air_special")
public class BStatTableZxbgPflAirSpecial extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "类型:重污染、冬防")
    /** 类型:重污染、冬防 */
    @Excel(name = "类型")
    private String zxbgAirType;


    @ApiModelProperty(value = "废气类型 有组织、无组织、全场总计")
    /** 废气类型 有组织、无组织、全场总计 */
    @Excel(name = "废气类型")
    private String zxbgAirAllType;

    @ApiModelProperty(value = "时间")
    /** 时间 */
    @Excel(name = "时间")
    private String zxbgTime;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    private String zxbgPollutant;

    @ApiModelProperty(value = "实际排放值")
    /** 实际排放值 */
    @Excel(name = "实际排放量(kg)")
    private String zxbgDischargeActual;

    @ApiModelProperty(value = "许可排放量")
    /** 许可排放量 */
    @Excel(name = "许可排放量(kg)")
    private String zxbgDischargeXk;

    @ApiModelProperty(value = "超标原因")
    /** 超标原因 */
    @Excel(name = "超标原因")
    private String overCause;

    @ApiModelProperty(value = "是否删除")
    /** 是否删除 */
    private String isDelete;

    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("zxbgAirType", getZxbgAirType())
            .append("zxbgAirAllType", getZxbgAirAllType())
            .append("zxbgDischargeXk", getZxbgDischargeXk())
            .append("zxbgDischargeActual", getZxbgDischargeActual())
            .append("createTime", getCreateTime())
            .append("isDelete", getIsDelete())
            .append("zxbgPollutant", getZxbgPollutant())
            .append("zxbgTime", getZxbgTime())
            .append("overCause", getOverCause())
            .toString();
    }
}
