package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--污染治理设施正常情况汇总对象 b_stat_table_zxbg_wrzl_total
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--污染治理设施正常情况汇总")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_wrzl_total")
public class BStatTableZxbgWrzlTotal extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "污染源类型")
    /** 污染源类型 */
    @Excel(name = "污染源类型")
    private String zxbgPollutant;


    @ApiModelProperty(value = "污染治理设施编号")
    /** 污染治理设施编号 */
    @Excel(name = "污染治理设施编号")
    private String pollutionControlFacilityCode;


    @ApiModelProperty(value = "污染治理设施名称")
    /** 污染治理设施名称 */
    @Excel(name = "污染治理设施名称")
    private String pollutionControlFacilityName;


    @ApiModelProperty(value = "运行参数")
    /** 运行参数 */
    @Excel(name = "运行参数")
    private String processParameter;


    @ApiModelProperty(value = "数量")
    /** 数量 */
    @Excel(name = "数量")
    private String amount;


    @ApiModelProperty(value = "单位")
    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    @Excel(name = "备注")
    private String remark;


    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("zxbgPollutant", getZxbgPollutant())
            .append("pollutionControlFacilityCode", getPollutionControlFacilityCode())
            .append("pollutionControlFacilityName", getPollutionControlFacilityName())
            .append("processParameter", getProcessParameter())
            .append("amount", getAmount())
            .append("unit", getUnit())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .toString();
    }
}
