package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;


/**
 * basControlValue对象 bas_control_value
 *
 * @author admin
 * @date 2023-06-27
 */
@ApiModel(value = "basControlValue")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_control_value")
public class BasControlValue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "data_id",type = IdType.ASSIGN_UUID)
    private String dataId;


    @ApiModelProperty(value = "企业ID")
    /** 企业ID */
    @Excel(name = "企业ID")
    private String factoryId;

    @ApiModelProperty(value = "行业")
    private String industry;

    @ApiModelProperty(value = "设备类型")
    private String deviceType;

    @ApiModelProperty(value = "调节阀类型：1：开度 2：开关量")
    /** 调节阀类型：1：开度 2：开关量 */
    @Excel(name = "调节阀类型：1：开度 2：开关量")
    private String normalValue;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("normalValue", getNormalValue())
            .toString();
    }
}
