package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 有组织-分表计电设备对应对象 bas_dev_to_elec
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "有组织-分表计电设备对应")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_dev_to_elec")
public class BasDevToElec extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "有组织设备ID")
    /** 有组织设备ID */
    @TableId(value = "device_id",type = IdType.AUTO)
    private String deviceId;


    @ApiModelProperty(value = "计电设备ID")
    /** 计电设备ID */
    private String elecDeviceId;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("elecDeviceId", getElecDeviceId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
