package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 企业设备参数配置对象 bas_device_config
 *
 * @author szhpt
 * @date 2023-04-05*/
@ApiModel(value = "企业设备参数配置")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_device_config")
public class BasDeviceConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "data_id",type = IdType.AUTO)
    private String dataId;

    @ApiModelProperty(value = "企业ID")
    /** 企业ID */
    @Excel(name = "企业ID")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paramCode;

    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    private String paramName;

    @ApiModelProperty(value = "单位")
    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    @ApiModelProperty(value = "行业")
    /** 行业 */
    @Excel(name = "行业")
    private String industry;

    @ApiModelProperty(value = "设备类型")
    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    @ApiModelProperty(value = "配置值")
    /** 配置值 */
    @Excel(name = "配置值")
    private String normalValue;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("deviceName", getDeviceName())
            .append("paramCode", getParamCode())
            .append("paramName", getParamName())
            .append("unit", getUnit())
            .append("industry", getIndustry())
            .append("deviceType", getDeviceType())
            .append("normalValue", getNormalValue())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .toString();
    }
}
