package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
    * 设备-停限产状态表
    */
@ApiModel(value="设备-停限产状态表")
@Data
@EqualsAndHashCode(callSuper=true)
public class BasDeviceSalAnalysis extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
    * 主键id
    */
    @ApiModelProperty(value="主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
    * 设备ID
    */
    @ApiModelProperty(value="设备ID")
    private String deviceId;

    /**
    * 所属企业
    */
    @ApiModelProperty(value="所属企业")
    private String factoryId;

    /**
    * 时间
    */
    @ApiModelProperty(value="时间")
    private Date monTime;

    /**
    * 状态：生产，停产，掉线
    */
    @ApiModelProperty(value="生成监控-状态：生产，停产，离线")
    private String monStatus;

    /**
    * 监测参数，多个逗号隔开
    */
    @ApiModelProperty(value="监测参数，多个逗号隔开")
    private String monParam;

    @ApiModelProperty(value = "煤气放散监控-状态: 正常放散, 异常放散, 未放散, 离线/异常")
    private String coalGasStatus;
}