package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


@ApiModel(value = "分表计电--设备点位表")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_device_site")
public class BasDeviceSite extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "设备ID")
    @Excel(name = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "点位名称")
    @Excel(name = "点位名称")
    private String name;

    @ApiModelProperty(value = "设备名称")
    @TableField(exist = false)
    private String deviceName;

    @ApiModelProperty(value = "点位经度")
    private String pointLng;

    @ApiModelProperty(value = "点位纬度")
    private String pointLat;

    @ApiModelProperty(value = "分表计电-状态: 正常,停运,掉线")
    private String status;

    @ApiModelProperty(value = "点位类型: 生产监测点位...")
    private String type;

    @ApiModelProperty(value = "对应装备名称")
    private String equipName;

    @ApiModelProperty(value = "所属企业")
    private String factoryId;

    @ApiModelProperty(value = "额定功率")
    private String normalValue;

    @ApiModelProperty(value = "最小功率")
    private String minValue;

    @ApiModelProperty(value = "是否统计")
    private String isStat;
}
