package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @className: BasDeviceSiteCoordinateOperationLog
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/30 10:06
 * @Company: Copyright© [2023/04/30 10:06] by [Mr.Yanghongtao]
 **/
@ApiModel(description="分表计电测点坐标操作日志表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "bas_device_site_coordinate_operation_log")
public class BasDeviceSiteCoordinateOperationLog {
    /**
     * 主键标识
     */
    @TableId(value = "log_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键标识")
    private String logId;

    /**
     * 操作时间
     */
    @TableField(value = "operation_time")
    @ApiModelProperty(value="操作时间")
    private Date operationTime;

    /**
     * 分表计电监测点位名称
     */
    @TableField(value = "elec_station_name")
    @ApiModelProperty(value="分表计电监测点位名称")
    private String elecStationName;

    /**
     * 对应设施名称
     */
    @TableField(value = "device_name")
    @ApiModelProperty(value="对应设施名称")
    private String deviceName;

    /**
     * 设施类型
     */
    @TableField(value = "\"type\"")
    @ApiModelProperty(value="设施类型")
    private String type;

    /**
     * 操作前经度
     */
    @TableField(value = "before_modify_lng")
    @ApiModelProperty(value="操作前经度")
    private String beforeModifyLng;

    /**
     * 操作前纬度
     */
    @TableField(value = "before_modify_lag")
    @ApiModelProperty(value="操作前纬度")
    private String beforeModifyLag;

    /**
     * 操作状态
     */
    @TableField(value = "operation_status")
    @ApiModelProperty(value="操作状态")
    private String operationStatus;

    /**
     * 操作后经度
     */
    @TableField(value = "after_modify_lng")
    @ApiModelProperty(value="操作后经度")
    private String afterModifyLng;

    /**
     * 操作后纬度
     */
    @TableField(value = "after_modify_lag")
    @ApiModelProperty(value="操作后纬度")
    private String afterModifyLag;

    /**
     * 操作人
     */
    @TableField(value = "\"operator\"")
    @ApiModelProperty(value="操作人")
    private String operator;

    /**
     * 操作人ID
     */
    @TableField(value = "operator_id")
    @ApiModelProperty(value="操作人ID")
    private String operatorId;

    /**
     * 企业ID
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业ID")
    private String factoryId;

    public static final String COL_LOG_ID = "log_id";

    public static final String COL_OPERATION_TIME = "operation_time";

    public static final String COL_ELEC_STATION_NAME = "elec_station_name";

    public static final String COL_DEVICE_NAME = "device_name";

    public static final String COL_TYPE = "type";

    public static final String COL_BEFORE_MODIFY_LNG = "before_modify_lng";

    public static final String COL_BEFORE_MODIFY_LAG = "before_modify_lag";

    public static final String COL_OPERATION_STATUS = "operation_status";

    public static final String COL_AFTER_MODIFY_LNG = "after_modify_lng";

    public static final String COL_AFTER_MODIFY_LAG = "after_modify_lag";

    public static final String COL_OPERATOR = "operator";

    public static final String COL_OPERATOR_ID = "operator_id";

    public static final String COL_FACTORY_ID = "factory_id";
}