package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 转炉设备与转炉煤气放散设备映射关系对象 bas_device_zl_config
 *
 * @author szhpt
 * @date 2023-06-30*/
@ApiModel(value = "转炉设备与转炉煤气放散设备映射关系")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_device_zl_config")
public class BasDeviceZlConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID")
    /** 主键ID */
    @TableId(value = "data_id",type = IdType.AUTO)
    private String dataId;


    @ApiModelProperty(value = "企业ID")
    /** 企业ID */
    @Excel(name = "企业ID")
    private String factoryId;


    @ApiModelProperty(value = "转炉设备ID")
    /** 转炉设备ID */
    @Excel(name = "转炉设备ID")
    private String deviceId;


    @ApiModelProperty(value = "转炉煤气放散设备ID")
    /** 转炉煤气放散设备ID */
    @Excel(name = "转炉煤气放散设备ID")
    private String fsDeviceId;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("fsDeviceId", getFsDeviceId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
