package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "分表计电设备信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_elec_device")
public class BasElecDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "计电设备ID")
    /** 计电设备ID */
    @TableId(value = "elec_device_id",type = IdType.AUTO)
    private String elecDeviceId;


    @ApiModelProperty(value = "所属企业")
    /** 所属企业 */
    @Excel(name = "所属企业")
    private String factoryId;


    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    @Excel(name = "设备名称")
    private String name;


    @ApiModelProperty(value = "所属行业 枚举。钢铁/焦化/水泥...")
    /** 所属行业 枚举。钢铁/焦化/水泥... */
    @Excel(name = "所属行业 枚举。钢铁/焦化/水泥...")
    private String industry;


    @ApiModelProperty(value = "备注")
    /** 备注 */
    @Excel(name = "备注")
    private String memo;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("elecDeviceId", getElecDeviceId())
            .append("factoryId", getFactoryId())
            .append("name", getName())
            .append("industry", getIndustry())
            .append("memo", getMemo())
            .append("createTime", getCreateTime())
            .toString();
    }
}
