package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @className: BasElecProCepMap
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/06/29 17:53
 * @Company: Copyright© [2023/06/29 17:53] by [Mr.Yanghongtao]
 **/
/**
    * 分表机电生产治理设施对应关系
    */
@ApiModel(description="分表机电生产治理设施对应关系")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "bas_elec_pro_cep_map")
public class BasElecProCepMap {
    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键ID")
    private Integer id;

    /**
     * 生产设施ID
     */
    @TableField(value = "pro_device_id")
    @ApiModelProperty(value="生产设施ID")
    private String proDeviceId;

    /**
     * 治理设施ID
     */
    @TableField(value = "cep_device_id")
    @ApiModelProperty(value="治理设施ID")
    private String cepDeviceId;

    /**
     * 状态0:停用 1:在用
     */
    @TableField(value = "is_status")
    @ApiModelProperty(value="状态0:停用 1:在用")
    private Short isStatus;

    public static final String COL_ID = "id";

    public static final String COL_PRO_DEVICE_ID = "pro_device_id";

    public static final String COL_CEP_DEVICE_ID = "cep_device_id";

    public static final String COL_IS_STATUS = "is_status";
}