package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel(description="bas_model_analyse")
@Data
@TableName(value = "bas_model_analyse")
public class BasModelAnalyse implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_MODEL_NAME = "model_name";
    public static final String COL_PARAM_NAME = "param_name";
    public static final String COL_PARAM_ABBR = "param_abbr";
    public static final String COL_VALUE = "value";
    public static final String COL_RECOMMEND_VALUE = "recommend_value";
    public static final String COL_REMARKS = "remarks";
    public static final String COL_DELETE_STATUS = "delete_status";
    public static final String COL_CREATE_TIME = "create_time";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value="主键id")
    private Long id;
    /**
     * 模型名称
     */
    @TableField(value = "model_name")
    @ApiModelProperty(value="模型名称")
    private String modelName;
    /**
     * 参数名称
     */
    @TableField(value = "param_name")
    @ApiModelProperty(value="参数名称")
    private String paramName;
    /**
     * 参数缩写
     */
    @TableField(value = "param_abbr")
    @ApiModelProperty(value="参数缩写")
    private String paramAbbr;
    /**
     * 取值
     */
    @TableField(value = "\"value\"")
    @ApiModelProperty(value="取值")
    private Double value;
    /**
     * 推荐取值范围
     */
    @TableField(value = "recommend_value")
    @ApiModelProperty(value="推荐取值范围")
    private String recommendValue;
    /**
     * 备注说明
     */
    @TableField(value = "remarks")
    @ApiModelProperty(value="备注说明")
    private String remarks;
    /**
     * 删除状态:0--不删除，1--删除
     */
    @TableField(value = "delete_status")
    @ApiModelProperty(value="删除状态:0--不删除，1--删除")
    private String deleteStatus;
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value="创建时间")
    private Date createTime;
}