package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @className: BasProductionDeviceOperationLog
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 15:26
 * @Company: Copyright© [2023/04/28 15:26] by [Mr.Yanghongtao]
 **/
/**
    * 生产设施坐标操作日志
    */

@ApiModel(value = "生产设施坐标操作日志")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_production_device_operation_log")
public class BasProductionDeviceOperationLog {
    private String logId;

    /**
    * 操作时间
    */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date operationTime;

    /**
    * 生产设施名称
    */
    private String deviceName;

    /**
     * 操作前经度
     */
    private String beforeModifyLng;

    /**
     * 操作前纬度
     */
    private String beforeModifyLag;

    /**
     * 操作状态
     */
    private String operationStatus;

    /**
     * 操作后经度
     */
    private String afterModifyLng;

    /**
     * 操作后纬度
     */
    private String afterModifyLag;

    /**
    * 操作人
    */
    private String operator;

    /**
    * 操作人ID
    */
    private String operatorId;

    /**
    * 所在工序
    */
    private String workProcedure;

    /**
     * 企业ID
     */
    private String factoryId;


}
