package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel(description="base_regional_control_objectives")
public class BaseRegionalControlObjectives implements Serializable {
    /**
    * 主键
    */
    @ApiModelProperty(value="主键")
    private String id;

    /**countryName
    * 区县code
    */
    @ApiModelProperty(value="区县code")
    private String countryCode;


    /**
    * 污染物种类
    */
    @ApiModelProperty(value="污染物种类")
    private String pollutantType;

    /**
    * 建议目标排放量（kg/h）
    */
    @ApiModelProperty(value="建议目标排放量（kg/h）")
    private BigDecimal suggestedEmissions;

    /**
    * 管控目标排放量（kg/h）
    */
    @ApiModelProperty(value="管控目标排放量（kg/h）")
    private BigDecimal controlEmissions;

    /**
    * 创建时间
    */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
    * 更新时间
    */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

}