package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 管控浓度超标预警对象 early_warning
 *
 * @author szhpt
 * @date 2023-04-24*/
@ApiModel(value = "管控浓度超标预警")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("early_warning")
public class EarlyWarning extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "ew_id",type = IdType.AUTO)
    private String ewId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
//    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "行业编码")
    /** 行业编码 */
//    @Excel(name = "行业编码")
    private String industryCode;

    @ApiModelProperty(value = "行业类别")
    /** 行业类别 */
    @Excel(name = "行业类别",sort = 3)
    private String industryName;


    @ApiModelProperty(value = "在线监测点位id")
    /** 在线监测点位id */
//    @Excel(name = "在线监测点位id")
    private String stationId;


    @ApiModelProperty(value = "预警时间")
    /** 预警时间 */
    @Excel(name = "预警时间",sort = 4)
    private String warningTime;


    @ApiModelProperty(value = "预警内容")
    /** 预警内容 */
    @Excel(name = "预警内容",sort = 5)
    private String warningContent;




    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称",sort = 0)
    private String factoryName;


    @ApiModelProperty(value = "在线监测点位名称")
    /** 在线监测点位名称 */
    @Excel(name = "监测点位名称",sort = 1)
    private String stationName;


    @ApiModelProperty(value = "区县编码")
    /** 区县编码 */
//    @Excel(name = "区县编码")
    private String countryCode;


    @ApiModelProperty(value = "区县名称")
    /** 区县名称 */
    @Excel(name = "区县名称",sort = 2)
    private String countryName;
    @ApiModelProperty(value = "预警开始时间")
    @TableField(exist = false)
    private Date startWarningTime;
    @TableField(exist = false)
    @ApiModelProperty(value = "预警结束时间")
    private Date endWarningTime;
    @TableField(exist = false)
    private Date warningDate;

    //标准值
    @TableField(exist = false)
    private BigDecimal controlStandard;
    //污染物名称
    private String pollCode;
    //污染物编码
    private String pollName;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ewId", getEwId())
            .append("factoryId", getFactoryId())
            .append("industryCode", getIndustryCode())
            .append("stationId", getStationId())
            .append("warningTime", getWarningTime())
            .append("warningContent", getWarningContent())
            .append("createTime", getCreateTime())
            .append("factoryName", getFactoryName())
            .append("stationName", getStationName())
            .append("countryCode", getCountryCode())
            .append("countryName", getCountryName())
            .toString();
    }
}
