package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 企业信息上报任务清单对象 factory_reporting_manifest
 *
 * @author szhpt
 * @date 2023-05-09*/
@ApiModel(value = "企业信息上报任务清单")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("factory_reporting_manifest")
public class FactoryReportingManifest extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;


    @ApiModelProperty(value = "统一社会信用代码")
    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String uscCode;


    @ApiModelProperty(value = "所属行业")
    /** 所属行业 */
    @Excel(name = "所属行业")
    private String industryCategory;


    @ApiModelProperty(value = "联系人")
    /** 联系人 */
    @Excel(name = "联系人")
    private String contact;


    @ApiModelProperty(value = "联系电话")
    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactPhone;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "fm_id",type = IdType.INPUT)
    private String fmId;




    @ApiModelProperty(value = "factory_reporting_task表关联id")
    /** factory_reporting_task表关联id */
    @Excel(name = "factory_reporting_task表关联id")
    private String frId;
    @TableField(exist = false)
    private String regionName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("factoryName", getFactoryName())
            .append("uscCode", getUscCode())
            .append("industryCategory", getIndustryCategory())
            .append("contact", getContact())
            .append("contactPhone", getContactPhone())
            .append("fmId", getFmId())
            .append("createTime", getCreateTime())
            .append("frId", getFrId())
            .toString();
    }
}
