package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 企业信息上报提交提示对象 factory_reporting_reminders
 *
 * @author szhpt
 * @date 2023-05-09*/
@ApiModel(value = "企业信息上报提交提示")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("factory_reporting_reminders")
public class FactoryReportingReminders extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "fe_id",type = IdType.INPUT)
    private String feId;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "企业信息提交状态0未提交，1已提交")
    /** 企业信息提交状态0未提交，1已提交 */
    @Excel(name = "企业信息提交状态0未提交，1已提交")
    private String submitStatus;


    @ApiModelProperty(value = "提交时间")
    /** 提交时间 */
    @Excel(name = "提交时间")
    private String submitTime;


    @ApiModelProperty(value = "企业信息弹窗显示状态0不显示，1显示")
    /** 企业信息弹窗显示状态0不显示，1显示 */
    @Excel(name = "企业信息弹窗显示状态0不显示，1显示")
    private String remindersStatus;


    @ApiModelProperty(value = "提交用户")
    /** 提交用户 */
    @Excel(name = "提交用户")
    private String submitUser;
    @ApiModelProperty(value = "企业提交截止时间")
    private String submitEndTime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feId", getFeId())
            .append("factoryId", getFactoryId())
            .append("submitStatus", getSubmitStatus())
            .append("submitTime", getSubmitTime())
            .append("remindersStatus", getRemindersStatus())
            .append("submitUser", getSubmitUser())
            .toString();
    }
}
