package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 企业信息上报任务对象 factory_reporting_task
 *
 * @author szhpt
 * @date 2023-05-09*/
@ApiModel(value = "企业信息上报任务")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("factory_reporting_task")
public class FactoryReportingTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "fr_id",type = IdType.INPUT)
    private String frId;


    @ApiModelProperty(value = "任务名称")
    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;


    @ApiModelProperty(value = "任务来源")
    /** 任务来源 */
    @Excel(name = "任务来源")
    private String taskSource;


    @ApiModelProperty(value = "所属区域")
    /** 所属区域 */
    @Excel(name = "所属区域")
    private String regionName;


    @ApiModelProperty(value = "任务描述")
    /** 任务描述 */
    @Excel(name = "任务描述")
    private String taskDescription;
    private String taskUser;


    @ApiModelProperty(value = "创建任务时间")
    /** 创建任务时间 */
    @Excel(name = "创建任务时间")
    private Date taskTime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("frId", getFrId())
            .append("taskName", getTaskName())
            .append("taskSource", getTaskSource())
            .append("regionName", getRegionName())
            .append("taskDescription", getTaskDescription())
            .append("taskTime", getTaskTime())
            .toString();
    }
}
