package cn.cecep.talroad.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
    * 煤气放散监控实时状态表
    */
@ApiModel(value="煤气放散监控实时状态表")
@Data
public class GasReleaseRealStatus{
    /**
    * 主键
    */
    @ApiModelProperty(value="主键")
    private Long id;

    /**
    * 设备ID
    */
    @ApiModelProperty(value="设备ID")
    private String deviceId;

    /**
    * 时间
    */
    @ApiModelProperty(value="时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    /**
    * 状态:1-掉线,2-正常放散,3-未放散,4-异常放散
    */
    @ApiModelProperty(value="状态:1-掉线,2-正常放散,3-未放散,4-异常放散")
    private String status;
}