package cn.cecep.talroad.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
    * 物联网平台-设备类型
    */
@ApiModel(value="物联网平台-设备类型")
@Data
public class IotDeviceType {
    /**
    * 字典ID
    */
    @ApiModelProperty(value="字典ID")
    private Integer dictId;

    /**
    * 名称
    */
    @ApiModelProperty(value="名称")
    private String name;

    /**
    * 编码
    */
    @ApiModelProperty(value="编码")
    private String deviceCode;

    /**
    * 父级编码
    */
    @ApiModelProperty(value="父级编码")
    private String industryCode;

    /**
    * 值
    */
    @ApiModelProperty(value="值")
    private String value;

    /**
    * 类别 见枚举定义
    */
    @ApiModelProperty(value="类别 见枚举定义")
    private String type;

    /**
    * 显示顺序
    */
    @ApiModelProperty(value="显示顺序")
    private String showOrder;

    /**
    * 状态 0=停用，1=启用
    */
    @ApiModelProperty(value="状态 0=停用，1=启用")
    private String status;

    /**
    * 删除标志 0=未删除，1=已删除
    */
    @ApiModelProperty(value="删除标志 0=未删除，1=已删除")
    private String deleteFlag;

    /**
    * 备注
    */
    @ApiModelProperty(value="备注")
    private String memo;

    /**
    * 创建时间
    */
    @ApiModelProperty(value="创建时间")
    private Date createTime;
}