package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/**
 * 预警报警信息-预警比例定制
 */
@ApiModel(description = "预警报警信息-预警比例定制")
@Schema(description = "预警报警信息-预警比例定制")
@Data
@TableName(value = "m_am_problem_fi_ratio")
public class MAmProblemFiRatio extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    @Schema(description = "主键id")
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value = "企业id")
    @Schema(description = "企业id")
    private String factoryId;

    /**
     * 监测点位id
     */
    @TableField(value = "station_id")
    @ApiModelProperty(value = "监测点位id")
    @Schema(description = "监测点位id")
    private String stationId;

    /**
     * 污染物id
     */
    @TableField(value = "poll_id")
    @ApiModelProperty(value = "污染物id")
    @Schema(description = "污染物id")
    private String pollId;

    /**
     * 预警比例
     */
    @TableField(value = "problem_ratio")
    @ApiModelProperty(value = "预警比例")
    @Schema(description = "预警比例")
    private String problemRatio;

  /** 创建时间 */
  @TableField(value = "create_time")
  @ApiModelProperty(value = "创建时间")
  @Schema(description = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date createTime;

  /** 修改时间 */
  @TableField(value = "update_time")
  @ApiModelProperty(value = "修改时间")
  @Schema(description = "修改时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date updateTime;

    private static final long serialVersionUID = 1L;
}
