package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @className: MAmVideoCoordinateOperationLog
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 15:27
 * @Company: Copyright© [2023/04/28 15:27] by [Mr.Yanghongtao]
 **/
/**
    * 视频坐标操作日志表
    */
@ApiModel(value = "视频坐标操作日志表")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_am_video_coordinate_operation_log")
public class MAmVideoCoordinateOperationLog extends BaseEntity
{
    /**
    * 主键标识
    */
    private String logId;

    /**
    * 操作时间
    */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date operationTime;

    /**
    * 视频监测点位名称
    */
    private String videoStationName;

    /**
    * 操作前经度
    */
    private String beforeModifyLng;

    /**
    * 操作前纬度
    */
    private String beforeModifyLag;

    /**
    * 操作状态
    */
    private String operationStatus;

    /**
    * 操作后经度
    */
    private String afterModifyLng;

    /**
    * 操作后纬度
    */
    private String afterModifyLag;

    /**
    * 操作人
    */
    private String operator;

    /**
    * 操作人ID
    */
    private String operatorId;

    /**
    * 视频通道ID
    */
    private String videoChannel;

    /**
     * 企业ID
     */
    private String factoryId;

}
