package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @className: MAmVideoInfoOperationLog
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/30 10:11
 * @Company: Copyright© [2023/04/30 10:11] by [Mr.Yanghongtao]
 **/
/**
    * 视频信息管理操作日志
    */
@ApiModel(description="视频信息管理操作日志")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "m_am_video_info_operation_log")
public class MAmVideoInfoOperationLog {
    @TableId(value = "log_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键ID")
    private String logId;

    /**
     * 操作时间
     */
    @TableField(value = "operation_time")
    @ApiModelProperty(value="操作时间")
    private Date operationTime;

    /**
     * 视频监测点位名称
     */
    @TableField(value = "video_station_name")
    @ApiModelProperty(value="视频监测点位名称")
    private String videoStationName;

    /**
     * 修改前对应许可证生产设施名称
     */
    @TableField(value = "before_modify_name")
    @ApiModelProperty(value="修改前对应许可证生产设施名称")
    private String beforeModifyName;

    /**
     * 修改前对应许可证生产设施编号
     */
    @TableField(value = "before_modify_code")
    @ApiModelProperty(value="修改前对应许可证生产设施编号")
    private String beforeModifyCode;

    /**
     * 操作状态
     */
    @TableField(value = "operation_status")
    @ApiModelProperty(value="操作状态")
    private String operationStatus;

    /**
     * 修改后对应许可证生产设施名称
     */
    @TableField(value = "after_modify_name")
    @ApiModelProperty(value="修改后对应许可证生产设施名称")
    private String afterModifyName;

    /**
     * 修改后对应许可证生产设施编号
     */
    @TableField(value = "after_modify_code")
    @ApiModelProperty(value="修改后对应许可证生产设施编号")
    private String afterModifyCode;

    /**
     * 操作人
     */
    @TableField(value = "\"operator\"")
    @ApiModelProperty(value="操作人")
    private String operator;

    /**
     * 操作人ID
     */
    @TableField(value = "operator_id")
    @ApiModelProperty(value="操作人ID")
    private String operatorId;

    /**
     * 视频通道ID
     */
    @TableField(value = "video_channel")
    @ApiModelProperty(value="视频通道ID")
    private String videoChannel;

    /**
     * 企业ID
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业ID")
    private String factoryId;

    public static final String COL_LOG_ID = "log_id";

    public static final String COL_OPERATION_TIME = "operation_time";

    public static final String COL_VIDEO_STATION_NAME = "video_station_name";

    public static final String COL_BEFORE_MODIFY_NAME = "before_modify_name";

    public static final String COL_BEFORE_MODIFY_CODE = "before_modify_code";

    public static final String COL_OPERATION_STATUS = "operation_status";

    public static final String COL_AFTER_MODIFY_NAME = "after_modify_name";

    public static final String COL_AFTER_MODIFY_CODE = "after_modify_code";

    public static final String COL_OPERATOR = "operator";

    public static final String COL_OPERATOR_ID = "operator_id";

    public static final String COL_VIDEO_CHANNEL = "video_channel";

    public static final String COL_FACTORY_ID = "factory_id";
}