package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 设备数据-玻璃-小时 保存设备的小时数据对象 mon_dev_bl_hour
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-玻璃-小时 保存设备的小时数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_dev_bl_hour")
public class MonDevBlHour extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;


    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    @Excel(name = "企业ID 冗余")
    private String factoryId;


    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;


    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    /** 时间类型 枚举。分钟/小时... */
    @Excel(name = "时间类型 枚举。分钟/小时...")
    private String timeType;


    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    /** 数据时间 格式因时间类型而异 */
    @Excel(name = "数据时间 格式因时间类型而异")
    private String dataTime;


    @ApiModelProperty(value = "混合机温度 单位: ℃")
    /** 混合机温度 单位: ℃ */
    @Excel(name = "混合机温度 单位: ℃")
    private String bs100;


    @ApiModelProperty(value = "原熔皮带电流 单位: A")
    /** 原熔皮带电流 单位: A */
    @Excel(name = "原熔皮带电流 单位: A")
    private String bs101;


    @ApiModelProperty(value = "投料机输出频率 单位: HZ")
    /** 投料机输出频率 单位: HZ */
    @Excel(name = "投料机输出频率 单位: HZ")
    private String bs102;


    @ApiModelProperty(value = "助燃风量 单位: m3/h")
    /** 助燃风量 单位: m3/h */
    @Excel(name = "助燃风量 单位: m3/h")
    private String bs103;


    @ApiModelProperty(value = "熔窑温度 单位: ℃")
    /** 熔窑温度 单位: ℃ */
    @Excel(name = "熔窑温度 单位: ℃")
    private String bs104;


    @ApiModelProperty(value = "煤气流量 单位: m3/h")
    /** 煤气流量 单位: m3/h */
    @Excel(name = "煤气流量 单位: m3/h")
    private String bs105;


    @ApiModelProperty(value = "天然气流量 单位: m3/h")
    /** 天然气流量 单位: m3/h */
    @Excel(name = "天然气流量 单位: m3/h")
    private String bs106;


    @ApiModelProperty(value = "退火窑辊道车速 单位: m/h")
    /** 退火窑辊道车速 单位: m/h */
    @Excel(name = "退火窑辊道车速 单位: m/h")
    private String bs107;


    @ApiModelProperty(value = "布袋除尘器前后压差 单位: Pa")
    /** 布袋除尘器前后压差 单位: Pa */
    @Excel(name = "布袋除尘器前后压差 单位: Pa")
    private String bz100;


    @ApiModelProperty(value = "电除尘器二次电流 单位: A")
    /** 电除尘器二次电流 单位: A */
    @Excel(name = "电除尘器二次电流 单位: A")
    private String bz101;


    @ApiModelProperty(value = "电除尘器二次电压 单位: V")
    /** 电除尘器二次电压 单位: V */
    @Excel(name = "电除尘器二次电压 单位: V")
    private String bz102;


    @ApiModelProperty(value = "脱硫洗涤塔pH值 单位: ")
    /** 脱硫洗涤塔pH值 单位:  */
    @Excel(name = "脱硫洗涤塔pH值 单位: ")
    private String bz103;


    @ApiModelProperty(value = "脱硫供浆流量 单位: m3/h")
    /** 脱硫供浆流量 单位: m3/h */
    @Excel(name = "脱硫供浆流量 单位: m3/h")
    private String bz104;


    @ApiModelProperty(value = "脱硫供料流量 单位: kg/h")
    /** 脱硫供料流量 单位: kg/h */
    @Excel(name = "脱硫供料流量 单位: kg/h")
    private String bz105;


    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位: 1=运行，0=停止")
    /** 脱硫浆液循环泵运行状态 单位: 1=运行，0=停止 */
    @Excel(name = "脱硫浆液循环泵运行状态 单位: 1=运行，0=停止")
    private String bz106;


    @ApiModelProperty(value = "脱硝反应区温度 单位: ℃")
    /** 脱硝反应区温度 单位: ℃ */
    @Excel(name = "脱硝反应区温度 单位: ℃")
    private String bz107;


    @ApiModelProperty(value = "脱硝还原剂用量 单位: m3/h")
    /** 脱硝还原剂用量 单位: m3/h */
    @Excel(name = "脱硝还原剂用量 单位: m3/h")
    private String bz108;


    @ApiModelProperty(value = "脱硝供给泵电流 单位: A")
    /** 脱硝供给泵电流 单位: A */
    @Excel(name = "脱硝供给泵电流 单位: A")
    private String bz109;


    @ApiModelProperty(value = "氨喷射系统电流 单位: A")
    /** 氨喷射系统电流 单位: A */
    @Excel(name = "氨喷射系统电流 单位: A")
    private String bz110;


    @ApiModelProperty(value = "氨泵风机状态 单位: 1=运行，0=停止")
    /** 氨泵风机状态 单位: 1=运行，0=停止 */
    @Excel(name = "氨泵风机状态 单位: 1=运行，0=停止")
    private String bz111;


    @ApiModelProperty(value = "氨泵风机电流 单位: A")
    /** 氨泵风机电流 单位: A */
    @Excel(name = "氨泵风机电流 单位: A")
    private String bz112;


    @ApiModelProperty(value = "脱硫_湿法脱硫剂使用量 单位: kg")
    /** 脱硫_湿法脱硫剂使用量 单位: kg */
    @Excel(name = "脱硫_湿法脱硫剂使用量 单位: kg")
    private String g140;


    @ApiModelProperty(value = "脱硫_脱硫剂仓料（液）位 单位: m")
    /** 脱硫_脱硫剂仓料（液）位 单位: m */
    @Excel(name = "脱硫_脱硫剂仓料", readConverterExp = "液=")
    private String g141;


    @ApiModelProperty(value = "脱硝_脱硝剂（还原剂或氧化剂）使用量 单位: kg")
    /** 脱硝_脱硝剂（还原剂或氧化剂）使用量 单位: kg */
    @Excel(name = "脱硝_脱硝剂", readConverterExp = "还=原剂或氧化剂")
    private String g313;


    @ApiModelProperty(value = "脱硝_脱硝剂仓料（液）位 单位: m")
    /** 脱硝_脱硝剂仓料（液）位 单位: m */
    @Excel(name = "脱硝_脱硝剂仓料", readConverterExp = "液=")
    private String g314;


    @ApiModelProperty(value = "脱硝_反应器入口烟气温度（SCR 单位: ℃")
    /** 脱硝_反应器入口烟气温度（SCR 单位: ℃ */
    @Excel(name = "脱硝_反应器入口烟气温度", readConverterExp = "脱硝_反应器入口烟气温度（SCR 单位: ℃")
    private String g329;


    @ApiModelProperty(value = "静电除尘器_一次电压 单位: V")
    /** 静电除尘器_一次电压 单位: V */
    @Excel(name = "静电除尘器_一次电压 单位: V")
    private String g501;


    @ApiModelProperty(value = "静电除尘器_一次电流 单位: A")
    /** 静电除尘器_一次电流 单位: A */
    @Excel(name = "静电除尘器_一次电流 单位: A")
    private String g502;


    @ApiModelProperty(value = "袋式除尘器_风机电流 单位: A")
    /** 袋式除尘器_风机电流 单位: A */
    @Excel(name = "袋式除尘器_风机电流 单位: A")
    private String g604;


    @ApiModelProperty(value = "袋式除尘器_清灰周期 单位: h")
    /** 袋式除尘器_清灰周期 单位: h */
    @Excel(name = "袋式除尘器_清灰周期 单位: h")
    private String g605;


    @ApiModelProperty(value = "入料_原料配比后的总重量 单位: kg")
    /** 入料_原料配比后的总重量 单位: kg */
    @Excel(name = "入料_原料配比后的总重量 单位: kg")
    private String g983;


    @ApiModelProperty(value = "锡槽成型、退火_主传动速度 单位: m/s")
    /** 锡槽成型、退火_主传动速度 单位: m/s */
    @Excel(name = "锡槽成型、退火_主传动速度 单位: m/s")
    private String g984;


    @ApiModelProperty(value = "液氨/氨水储存区_氨气泄漏报警信号")
    /** 液氨/氨水储存区_氨气泄漏报警信号 */
    @Excel(name = "液氨/氨水储存区_氨气泄漏报警信号")
    private String g985;


    @ApiModelProperty(value = "在线监测数据或超标报警数据 单位: mg/m3")
    /** 在线监测数据或超标报警数据 单位: mg/m3 */
    @Excel(name = "在线监测数据或超标报警数据 单位: mg/m3")
    private String g986;


    @ApiModelProperty(value = "脱硫_干法脱硫剂使用量 单位: kg")
    /** 脱硫_干法脱硫剂使用量 单位: kg */
    @Excel(name = "脱硫_干法脱硫剂使用量 单位: kg")
    private String gb08;


    @ApiModelProperty(value = "半干法脱硫_脱硫剂使用量 单位: kg")
    /** 半干法脱硫_脱硫剂使用量 单位: kg */
    @Excel(name = "半干法脱硫_脱硫剂使用量 单位: kg")
    private String gb09;


    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    /** 附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...} */
    @Excel(name = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;






    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("timeType", getTimeType())
            .append("dataTime", getDataTime())
            .append("bs100", getBs100())
            .append("bs101", getBs101())
            .append("bs102", getBs102())
            .append("bs103", getBs103())
            .append("bs104", getBs104())
            .append("bs105", getBs105())
            .append("bs106", getBs106())
            .append("bs107", getBs107())
            .append("bz100", getBz100())
            .append("bz101", getBz101())
            .append("bz102", getBz102())
            .append("bz103", getBz103())
            .append("bz104", getBz104())
            .append("bz105", getBz105())
            .append("bz106", getBz106())
            .append("bz107", getBz107())
            .append("bz108", getBz108())
            .append("bz109", getBz109())
            .append("bz110", getBz110())
            .append("bz111", getBz111())
            .append("bz112", getBz112())
            .append("g140", getG140())
            .append("g141", getG141())
            .append("g313", getG313())
            .append("g314", getG314())
            .append("g329", getG329())
            .append("g501", getG501())
            .append("g502", getG502())
            .append("g604", getG604())
            .append("g605", getG605())
            .append("g983", getG983())
            .append("g984", getG984())
            .append("g985", getG985())
            .append("g986", getG986())
            .append("gb08", getGb08())
            .append("gb09", getGb09())
            .append("addiParam", getAddiParam())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
