package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 设备数据-垃圾焚烧-小时 保存设备的小时数据对象 mon_dev_fs_hour
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-垃圾焚烧-小时 保存设备的小时数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_dev_fs_hour")
public class MonDevFsHour extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    @Excel(name = "数据ID")
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;


    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    @Excel(name = "企业ID 冗余")
    private String factoryId;


    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;


    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    /** 时间类型 枚举。分钟/小时... */
    @Excel(name = "时间类型 枚举。分钟/小时...")
    private String timeType;


    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    /** 数据时间 格式因时间类型而异 */
    @Excel(name = "数据时间 格式因时间类型而异")
    private String dataTime;


    @ApiModelProperty(value = "传输系统垃圾处理量 单位: kg/h")
    /** 传输系统垃圾处理量 单位: kg/h */
    @Excel(name = "传输系统垃圾处理量 单位: kg/h")
    private String fs100;


    @ApiModelProperty(value = "焚烧炉炉膛温度 单位: ℃")
    /** 焚烧炉炉膛温度 单位: ℃ */
    @Excel(name = "焚烧炉炉膛温度 单位: ℃")
    private String fs101;


    @ApiModelProperty(value = "脱硝烟气温度 单位: ℃")
    /** 脱硝烟气温度 单位: ℃ */
    @Excel(name = "脱硝烟气温度 单位: ℃")
    private String fz100;


    @ApiModelProperty(value = "脱硝还原剂用量 单位: m3/h")
    /** 脱硝还原剂用量 单位: m3/h */
    @Excel(name = "脱硝还原剂用量 单位: m3/h")
    private String fz101;


    @ApiModelProperty(value = "脱硫半干法石灰浆用量 单位: kg/h")
    /** 脱硫半干法石灰浆用量 单位: kg/h */
    @Excel(name = "脱硫半干法石灰浆用量 单位: kg/h")
    private String fz102;


    @ApiModelProperty(value = "脱硫干法石灰石耗量 单位: kg/h")
    /** 脱硫干法石灰石耗量 单位: kg/h */
    @Excel(name = "脱硫干法石灰石耗量 单位: kg/h")
    private String fz103;


    @ApiModelProperty(value = "脱硫吸收塔内浆液pH值")
    /** 脱硫吸收塔内浆液pH值 */
    @Excel(name = "脱硫吸收塔内浆液pH值")
    private String fz104;


    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位: A")
    /** 脱硫湿法氧化风机电流 单位: A */
    @Excel(name = "脱硫湿法氧化风机电流 单位: A")
    private String fz105;


    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位: 1=运行，0=停止")
    /** 脱硫浆液循环泵运行状态 单位: 1=运行，0=停止 */
    @Excel(name = "脱硫浆液循环泵运行状态 单位: 1=运行，0=停止")
    private String fz106;


    @ApiModelProperty(value = "活性炭用量 单位: kg/h")
    /** 活性炭用量 单位: kg/h */
    @Excel(name = "活性炭用量 单位: kg/h")
    private String fz107;


    @ApiModelProperty(value = "袋式除尘器进出口压差 单位: Pa")
    /** 袋式除尘器进出口压差 单位: Pa */
    @Excel(name = "袋式除尘器进出口压差 单位: Pa")
    private String fz108;


    @ApiModelProperty(value = "脱酸药剂浆液浓度 单位: %")
    /** 脱酸药剂浆液浓度 单位: % */
    @Excel(name = "脱酸药剂浆液浓度 单位: %")
    private String g229;


    @ApiModelProperty(value = "烟气净化单元_半干法脱酸系统_药剂投加速率 单位: kg/h")
    /** 烟气净化单元_半干法脱酸系统_药剂投加速率 单位: kg/h */
    @Excel(name = "烟气净化单元_半干法脱酸系统_药剂投加速率 单位: kg/h")
    private String g230;


    @ApiModelProperty(value = "烟气净化单元_半干法脱酸系统_半干法脱酸塔雾化器电流 单位: A")
    /** 烟气净化单元_半干法脱酸系统_半干法脱酸塔雾化器电流 单位: A */
    @Excel(name = "烟气净化单元_半干法脱酸系统_半干法脱酸塔雾化器电流 单位: A")
    private String g231;


    @ApiModelProperty(value = "烟气净化单元_湿法脱酸系统_湿法脱酸药剂浆液浓度 单位: %")
    /** 烟气净化单元_湿法脱酸系统_湿法脱酸药剂浆液浓度 单位: % */
    @Excel(name = "烟气净化单元_湿法脱酸系统_湿法脱酸药剂浆液浓度 单位: %")
    private String g232;


    @ApiModelProperty(value = "烟气净化单元_湿法脱酸系统_投加速率 单位: kg/h")
    /** 烟气净化单元_湿法脱酸系统_投加速率 单位: kg/h */
    @Excel(name = "烟气净化单元_湿法脱酸系统_投加速率 单位: kg/h")
    private String g233;


    @ApiModelProperty(value = "烟气净化单元_湿法脱酸系统_脱酸塔排出液 单位: ")
    /** 烟气净化单元_湿法脱酸系统_脱酸塔排出液 单位:  */
    @Excel(name = "烟气净化单元_湿法脱酸系统_脱酸塔排出液 单位: ")
    private String g234;


    @ApiModelProperty(value = "烟气净化单元_焚烧炉内PNCR脱硝设施_PNCR脱硝剂投加速率 单位: kg/h")
    /** 烟气净化单元_焚烧炉内PNCR脱硝设施_PNCR脱硝剂投加速率 单位: kg/h */
    @Excel(name = "烟气净化单元_焚烧炉内PNCR脱硝设施_PNCR脱硝剂投加速率 单位: kg/h")
    private String g332;


    @ApiModelProperty(value = "烟气净化单元_焚烧炉外SCR脱硝设施_喷入的脱硝药剂浆液浓度 单位: %")
    /** 烟气净化单元_焚烧炉外SCR脱硝设施_喷入的脱硝药剂浆液浓度 单位: % */
    @Excel(name = "烟气净化单元_焚烧炉外SCR脱硝设施_喷入的脱硝药剂浆液浓度 单位: %")
    private String g333;


    @ApiModelProperty(value = "烟气净化单元_焚烧炉外SCR脱硝设施_投加速率 单位: m3/h")
    /** 烟气净化单元_焚烧炉外SCR脱硝设施_投加速率 单位: m3/h */
    @Excel(name = "烟气净化单元_焚烧炉外SCR脱硝设施_投加速率 单位: m3/h")
    private String g334;


    @ApiModelProperty(value = "烟气净化单元_焚烧炉外SCR脱硝设施_脱硝反应器入口烟气温度 单位: ℃")
    /** 烟气净化单元_焚烧炉外SCR脱硝设施_脱硝反应器入口烟气温度 单位: ℃ */
    @Excel(name = "烟气净化单元_焚烧炉外SCR脱硝设施_脱硝反应器入口烟气温度 单位: ℃")
    private String g335;


    @ApiModelProperty(value = "烟气净化单元_袋式除尘器_袋式除尘器烟气进口温度 单位: ℃")
    /** 烟气净化单元_袋式除尘器_袋式除尘器烟气进口温度 单位: ℃ */
    @Excel(name = "烟气净化单元_袋式除尘器_袋式除尘器烟气进口温度 单位: ℃")
    private String g602;


    @ApiModelProperty(value = "烟气净化单元_活性炭喷射装置_活性炭喷射风机电流 单位: A")
    /** 烟气净化单元_活性炭喷射装置_活性炭喷射风机电流 单位: A */
    @Excel(name = "烟气净化单元_活性炭喷射装置_活性炭喷射风机电流 单位: A")
    private String ga04;


    @ApiModelProperty(value = "烟气净化单元_干法脱酸系统_干法脱酸剂投加速率千克/小时 单位: kg/h")
    /** 烟气净化单元_干法脱酸系统_干法脱酸剂投加速率千克/小时 单位: kg/h */
    @Excel(name = "烟气净化单元_干法脱酸系统_干法脱酸剂投加速率千克/小时 单位: kg/h")
    private String gb14;


    @ApiModelProperty(value = "烟气净化单元_非正常工况（停炉）除臭系统_除臭系统风机风量及电流 单位: A")
    /** 烟气净化单元_非正常工况（停炉）除臭系统_除臭系统风机风量及电流 单位: A */
    @Excel(name = "烟气净化单元_非正常工况", readConverterExp = "停=炉")
    private String gb15;


    @ApiModelProperty(value = "固体废物处理单元_飞灰_飞灰螯合剂浓度 单位: %")
    /** 固体废物处理单元_飞灰_飞灰螯合剂浓度 单位: % */
    @Excel(name = "固体废物处理单元_飞灰_飞灰螯合剂浓度 单位: %")
    private String gb16;


    @ApiModelProperty(value = "固体废物处理单元_飞灰_每批次螯合剂投加计量 单位: kg")
    /** 固体废物处理单元_飞灰_每批次螯合剂投加计量 单位: kg */
    @Excel(name = "固体废物处理单元_飞灰_每批次螯合剂投加计量 单位: kg")
    private String gb17;


    @ApiModelProperty(value = "废水处理单元_垃圾渗滤液处理站_渗滤液处理站臭气收集引风机电流 单位: A")
    /** 废水处理单元_垃圾渗滤液处理站_渗滤液处理站臭气收集引风机电流 单位: A */
    @Excel(name = "废水处理单元_垃圾渗滤液处理站_渗滤液处理站臭气收集引风机电流 单位: A")
    private String gb18;


    @ApiModelProperty(value = "废水处理单元_垃圾渗滤液处理站_曝气风机电流 单位: A")
    /** 废水处理单元_垃圾渗滤液处理站_曝气风机电流 单位: A */
    @Excel(name = "废水处理单元_垃圾渗滤液处理站_曝气风机电流 单位: A")
    private String gb19;


    @ApiModelProperty(value = "各种入炉燃料进厂量_生活垃圾 单位: kg")
    /** 各种入炉燃料进厂量_生活垃圾 单位: kg */
    @Excel(name = "各种入炉燃料进厂量_生活垃圾 单位: kg")
    private String gc00;


    @ApiModelProperty(value = "各种入炉燃料进厂量_污泥 单位: kg")
    /** 各种入炉燃料进厂量_污泥 单位: kg */
    @Excel(name = "各种入炉燃料进厂量_污泥 单位: kg")
    private String gc01;


    @ApiModelProperty(value = "各种入炉燃料进厂量_一般工业固废 单位: kg")
    /** 各种入炉燃料进厂量_一般工业固废 单位: kg */
    @Excel(name = "各种入炉燃料进厂量_一般工业固废 单位: kg")
    private String gc02;


    @ApiModelProperty(value = "各种入炉燃料进厂量_可入炉的医疗废物 单位: kg")
    /** 各种入炉燃料进厂量_可入炉的医疗废物 单位: kg */
    @Excel(name = "各种入炉燃料进厂量_可入炉的医疗废物 单位: kg")
    private String gc03;


    @ApiModelProperty(value = "各种入炉燃料进厂量_其它 单位: kg")
    /** 各种入炉燃料进厂量_其它 单位: kg */
    @Excel(name = "各种入炉燃料进厂量_其它 单位: kg")
    private String gc04;


    @ApiModelProperty(value = "脱酸剂进厂量_消石灰 单位: kg")
    /** 脱酸剂进厂量_消石灰 单位: kg */
    @Excel(name = "脱酸剂进厂量_消石灰 单位: kg")
    private String gc05;


    @ApiModelProperty(value = "脱酸剂进厂量-生石灰 单位: kg")
    /** 脱酸剂进厂量-生石灰 单位: kg */
    @Excel(name = "脱酸剂进厂量-生石灰 单位: kg")
    private String gc06;


    @ApiModelProperty(value = "脱酸剂进厂量_碳酸氢钠 单位: kg")
    /** 脱酸剂进厂量_碳酸氢钠 单位: kg */
    @Excel(name = "脱酸剂进厂量_碳酸氢钠 单位: kg")
    private String gc07;


    @ApiModelProperty(value = "脱酸剂进厂量_氢氧化钠 单位: kg")
    /** 脱酸剂进厂量_氢氧化钠 单位: kg */
    @Excel(name = "脱酸剂进厂量_氢氧化钠 单位: kg")
    private String gc08;


    @ApiModelProperty(value = "脱酸剂进厂量_其它 单位: kg")
    /** 脱酸剂进厂量_其它 单位: kg */
    @Excel(name = "脱酸剂进厂量_其它 单位: kg")
    private String gc09;


    @ApiModelProperty(value = "危险废物进厂量_飞灰 单位: kg")
    /** 危险废物进厂量_飞灰 单位: kg */
    @Excel(name = "危险废物进厂量_飞灰 单位: kg")
    private String gc10;


    @ApiModelProperty(value = "危险废物进厂量_废油及废油桶 单位: kg")
    /** 危险废物进厂量_废油及废油桶 单位: kg */
    @Excel(name = "危险废物进厂量_废油及废油桶 单位: kg")
    private String gc11;


    @ApiModelProperty(value = "危险废物进厂量_废滤袋 单位: kg")
    /** 危险废物进厂量_废滤袋 单位: kg */
    @Excel(name = "危险废物进厂量_废滤袋 单位: kg")
    private String gc12;


    @ApiModelProperty(value = "垃圾及其危险废物进厂量_废钒钛系催化剂 单位: kg")
    /** 垃圾及其危险废物进厂量_废钒钛系催化剂 单位: kg */
    @Excel(name = "垃圾及其危险废物进厂量_废钒钛系催化剂 单位: kg")
    private String gc13;


    @ApiModelProperty(value = "危险废物进厂量_实验室废液 单位: kg")
    /** 危险废物进厂量_实验室废液 单位: kg */
    @Excel(name = "危险废物进厂量_实验室废液 单位: kg")
    private String gc14;


    @ApiModelProperty(value = "危险废物进厂量_其它 单位: kg")
    /** 危险废物进厂量_其它 单位: kg */
    @Excel(name = "危险废物进厂量_其它 单位: kg")
    private String gc15;


    @ApiModelProperty(value = "炉渣出厂量千克 单位: kg")
    /** 炉渣出厂量千克 单位: kg */
    @Excel(name = "炉渣出厂量千克 单位: kg")
    private String gc16;


    @ApiModelProperty(value = "垃圾及其它物料接收贮存单元_垃圾池压力计_垃圾池负压数值千帕 单位: kpa")
    /** 垃圾及其它物料接收贮存单元_垃圾池压力计_垃圾池负压数值千帕 单位: kpa */
    @Excel(name = "垃圾及其它物料接收贮存单元_垃圾池压力计_垃圾池负压数值千帕 单位: kpa")
    private String gc17;


    @ApiModelProperty(value = "垃圾焚烧单元_炉前垃圾给料系统_推料器位移行程米 单位: m")
    /** 垃圾焚烧单元_炉前垃圾给料系统_推料器位移行程米 单位: m */
    @Excel(name = "垃圾焚烧单元_炉前垃圾给料系统_推料器位移行程米 单位: m")
    private String gc19;


    @ApiModelProperty(value = "落料密封门开停信号 单位: 1=运行，0=停止")
    /** 落料密封门开停信号 单位: 1=运行，0=停止 */
    @Excel(name = "落料密封门开停信号 单位: 1=运行，0=停止")
    private String gc20;


    @ApiModelProperty(value = "垃圾焚烧单元_焚烧工况_标记 单位: 1=运行，0=停止")
    /** 垃圾焚烧单元_焚烧工况_标记 单位: 1=运行，0=停止 */
    @Excel(name = "垃圾焚烧单元_焚烧工况_标记 单位: 1=运行，0=停止")
    private String gc21;


    @ApiModelProperty(value = "垃圾焚烧单元_焚烧工况_开始时间")
    /** 垃圾焚烧单元_焚烧工况_开始时间 */
    @Excel(name = "垃圾焚烧单元_焚烧工况_开始时间")
    private String gc22;


    @ApiModelProperty(value = "垃圾焚烧单元_焚烧工况_截止时间")
    /** 垃圾焚烧单元_焚烧工况_截止时间 */
    @Excel(name = "垃圾焚烧单元_焚烧工况_截止时间")
    private String gc23;


    @ApiModelProperty(value = "垃圾焚烧单元_炉膛内热电偶_炉膛压力剂_炉膛内负压 单位: kpa")
    /** 垃圾焚烧单元_炉膛内热电偶_炉膛压力剂_炉膛内负压 单位: kpa */
    @Excel(name = "垃圾焚烧单元_炉膛内热电偶_炉膛压力剂_炉膛内负压 单位: kpa")
    private String gc25;


    @ApiModelProperty(value = "垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机流量 单位: m3/h")
    /** 垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机流量 单位: m3/h */
    @Excel(name = "垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机流量 单位: m3/h")
    private String gc26;


    @ApiModelProperty(value = "垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机电流 单位: A")
    /** 垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机电流 单位: A */
    @Excel(name = "垃圾焚烧单元_一次风系统_炉膛压力剂_一次风风机电流 单位: A")
    private String gc27;


    @ApiModelProperty(value = "垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机流量 单位: m3/h")
    /** 垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机流量 单位: m3/h */
    @Excel(name = "垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机流量 单位: m3/h")
    private String gc28;


    @ApiModelProperty(value = "垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机电流安 单位: A")
    /** 垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机电流安 单位: A */
    @Excel(name = "垃圾焚烧单元_二次风系统_炉膛压力剂_二次风风机电流安 单位: A")
    private String gc29;


    @ApiModelProperty(value = "垃圾焚烧单元_余热锅炉系统_余热锅炉出口烟气温度 单位: ℃")
    /** 垃圾焚烧单元_余热锅炉系统_余热锅炉出口烟气温度 单位: ℃ */
    @Excel(name = "垃圾焚烧单元_余热锅炉系统_余热锅炉出口烟气温度 单位: ℃")
    private String gc30;


    @ApiModelProperty(value = "烟气净化单元_焚烧炉内SNCR脱硝设施_脱硝剂（氨水、尿素等）浆液浓度 单位: %")
    /** 烟气净化单元_焚烧炉内SNCR脱硝设施_脱硝剂（氨水、尿素等）浆液浓度 单位: % */
    @Excel(name = "烟气净化单元_焚烧炉内SNCR脱硝设施_脱硝剂", readConverterExp = "氨=水、尿素等")
    private String gc31;


    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    /** 附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...} */
    @Excel(name = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;






    @ApiModelProperty(value = "炉膛内中部和上部温度（5 分钟均值）")
    /** 炉膛内中部和上部温度（5 分钟均值） */
    @Excel(name = "炉膛内中部和上部温度", readConverterExp = "5=,分=钟均值")
    private String gc24;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("timeType", getTimeType())
            .append("dataTime", getDataTime())
            .append("fs100", getFs100())
            .append("fs101", getFs101())
            .append("fz100", getFz100())
            .append("fz101", getFz101())
            .append("fz102", getFz102())
            .append("fz103", getFz103())
            .append("fz104", getFz104())
            .append("fz105", getFz105())
            .append("fz106", getFz106())
            .append("fz107", getFz107())
            .append("fz108", getFz108())
            .append("g229", getG229())
            .append("g230", getG230())
            .append("g231", getG231())
            .append("g232", getG232())
            .append("g233", getG233())
            .append("g234", getG234())
            .append("g332", getG332())
            .append("g333", getG333())
            .append("g334", getG334())
            .append("g335", getG335())
            .append("g602", getG602())
            .append("ga04", getGa04())
            .append("gb14", getGb14())
            .append("gb15", getGb15())
            .append("gb16", getGb16())
            .append("gb17", getGb17())
            .append("gb18", getGb18())
            .append("gb19", getGb19())
            .append("gc00", getGc00())
            .append("gc01", getGc01())
            .append("gc02", getGc02())
            .append("gc03", getGc03())
            .append("gc04", getGc04())
            .append("gc05", getGc05())
            .append("gc06", getGc06())
            .append("gc07", getGc07())
            .append("gc08", getGc08())
            .append("gc09", getGc09())
            .append("gc10", getGc10())
            .append("gc11", getGc11())
            .append("gc12", getGc12())
            .append("gc13", getGc13())
            .append("gc14", getGc14())
            .append("gc15", getGc15())
            .append("gc16", getGc16())
            .append("gc17", getGc17())
            .append("gc19", getGc19())
            .append("gc20", getGc20())
            .append("gc21", getGc21())
            .append("gc22", getGc22())
            .append("gc23", getGc23())
            .append("gc25", getGc25())
            .append("gc26", getGc26())
            .append("gc27", getGc27())
            .append("gc28", getGc28())
            .append("gc29", getGc29())
            .append("gc30", getGc30())
            .append("gc31", getGc31())
            .append("addiParam", getAddiParam())
            .append("gc24", getGc24())
            .toString();
    }
}
