package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 设备数据-焦化-小时 保存设备的小时数据对象 mon_dev_jh_hour
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-焦化-小时 保存设备的小时数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_dev_jh_hour")
public class MonDevJhHour extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    @Excel(name = "数据ID")
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;


    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    @Excel(name = "企业ID 冗余")
    private String factoryId;


    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;


    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    /** 时间类型 枚举。分钟/小时... */
    @Excel(name = "时间类型 枚举。分钟/小时...")
    private String timeType;


    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    /** 数据时间 格式因时间类型而异 */
    @Excel(name = "数据时间 格式因时间类型而异")
    private String dataTime;


    @ApiModelProperty(value = "装煤时间 1=运行，0=停止")
    /** 装煤时间 1=运行，0=停止 */
    @Excel(name = "装煤时间 1=运行，0=停止")
    private String js100;


    @ApiModelProperty(value = "推焦时间 1=运行，0=停止")
    /** 推焦时间 1=运行，0=停止 */
    @Excel(name = "推焦时间 1=运行，0=停止")
    private String js101;


    @ApiModelProperty(value = "装煤车电流 单位：A")
    /** 装煤车电流 单位：A */
    @Excel(name = "装煤车电流 单位：A")
    private String js102;


    @ApiModelProperty(value = "推焦车电流 单位：A")
    /** 推焦车电流 单位：A */
    @Excel(name = "推焦车电流 单位：A")
    private String js103;


    @ApiModelProperty(value = "煤气使用量 单位：m3/h")
    /** 煤气使用量 单位：m3/h */
    @Excel(name = "煤气使用量 单位：m3/h")
    private String js104;


    @ApiModelProperty(value = "布袋除尘器前后压差 单位：kPa")
    /** 布袋除尘器前后压差 单位：kPa */
    @Excel(name = "布袋除尘器前后压差 单位：kPa")
    private String jz100;


    @ApiModelProperty(value = "电除尘器二次电流 单位：A")
    /** 电除尘器二次电流 单位：A */
    @Excel(name = "电除尘器二次电流 单位：A")
    private String jz101;


    @ApiModelProperty(value = "电除尘器二次电压 单位：V")
    /** 电除尘器二次电压 单位：V */
    @Excel(name = "电除尘器二次电压 单位：V")
    private String jz102;


    @ApiModelProperty(value = "脱硫吸收剂pH值")
    /** 脱硫吸收剂pH值 */
    @Excel(name = "脱硫吸收剂pH值")
    private String jz103;


    @ApiModelProperty(value = "脱硫供浆流量 单位：m3/h")
    /** 脱硫供浆流量 单位：m3/h */
    @Excel(name = "脱硫供浆流量 单位：m3/h")
    private String jz105;


    @ApiModelProperty(value = "脱硫供料流量 单位：kg/h")
    /** 脱硫供料流量 单位：kg/h */
    @Excel(name = "脱硫供料流量 单位：kg/h")
    private String jz106;


    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 1=运行，0=停止")
    /** 脱硫浆液循环泵运行状态 1=运行，0=停止 */
    @Excel(name = "脱硫浆液循环泵运行状态 1=运行，0=停止")
    private String jz107;


    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位：A")
    /** 脱硫湿法氧化风机电流 单位：A */
    @Excel(name = "脱硫湿法氧化风机电流 单位：A")
    private String jz108;


    @ApiModelProperty(value = "脱硝烟气温度 单位：℃")
    /** 脱硝烟气温度 单位：℃ */
    @Excel(name = "脱硝烟气温度 单位：℃")
    private String jz109;


    @ApiModelProperty(value = "脱硝还原剂用量 单位：m3/h")
    /** 脱硝还原剂用量 单位：m3/h */
    @Excel(name = "脱硝还原剂用量 单位：m3/h")
    private String jz110;


    @ApiModelProperty(value = "放散流量 单位：m3/h")
    /** 放散流量 单位：m3/h */
    @Excel(name = "放散流量 单位：m3/h")
    private String js200;


    @ApiModelProperty(value = "放散温度 单位 ℃,")
    /** 放散温度 单位 ℃, */
    @Excel(name = "放散温度 单位 ℃,")
    private String js201;


    @ApiModelProperty(value = "放散流速 单位：m/s")
    /** 放散流速 单位：m/s */
    @Excel(name = "放散流速 单位：m/s")
    private String js202;


    @ApiModelProperty(value = "放散压力 单位：KPa")
    /** 放散压力 单位：KPa */
    @Excel(name = "放散压力 单位：KPa")
    private String js203;


    @ApiModelProperty(value = "脱硫剂仓料（液）位 单位：m")
    /** 脱硫剂仓料（液）位 单位：m */
    @Excel(name = "脱硫剂仓料", readConverterExp = "液=")
    private String g141;


    @ApiModelProperty(value = "脱硝剂仓料（液）位 单位：m")
    /** 脱硝剂仓料（液）位 单位：m */
    @Excel(name = "脱硝剂仓料", readConverterExp = "液=")
    private String g314;


    @ApiModelProperty(value = "反应器入口烟气温度（SCR 艺） 单位：℃")
    /** 反应器入口烟气温度（SCR 艺） 单位：℃ */
    @Excel(name = "反应器入口烟气温度", readConverterExp = "S=CR,艺=")
    private String g329;


    @ApiModelProperty(value = "风机流量 单位：m3/h")
    /** 风机流量 单位：m3/h */
    @Excel(name = "风机流量 单位：m3/h")
    private String g330;


    @ApiModelProperty(value = "风机电流 单位：A")
    /** 风机电流 单位：A */
    @Excel(name = "风机电流 单位：A")
    private String g604;


    @ApiModelProperty(value = "清灰周期 单位：h")
    /** 清灰周期 单位：h */
    @Excel(name = "清灰周期 单位：h")
    private String g605;


    @ApiModelProperty(value = "电机电流 单位：A")
    /** 电机电流 单位：A */
    @Excel(name = "电机电流 单位：A")
    private String g606;


    @ApiModelProperty(value = "主蒸汽流量 单位：m3/s")
    /** 主蒸汽流量 单位：m3/s */
    @Excel(name = "主蒸汽流量 单位：m3/s")
    private String g942;


    @ApiModelProperty(value = "燃料瞬时流量 单位：m3/s")
    /** 燃料瞬时流量 单位：m3/s */
    @Excel(name = "燃料瞬时流量 单位：m3/s")
    private String g943;


    @ApiModelProperty(value = "高炉煤气量 单位：m3/h")
    /** 高炉煤气量 单位：m3/h */
    @Excel(name = "高炉煤气量 单位：m3/h")
    private String g944;


    @ApiModelProperty(value = "锅炉累计运行小时数 单位：个")
    /** 锅炉累计运行小时数 单位：个 */
    @Excel(name = "锅炉累计运行小时数 单位：个")
    private String g945;


    @ApiModelProperty(value = "计划装煤时间")
    /** 计划装煤时间 */
    @Excel(name = "计划装煤时间")
    private String g949;


    @ApiModelProperty(value = "计划装煤量 单位：kg")
    /** 计划装煤量 单位：kg */
    @Excel(name = "计划装煤量 单位：kg")
    private String g951;


    @ApiModelProperty(value = "实际装煤量 单位：kg")
    /** 实际装煤量 单位：kg */
    @Excel(name = "实际装煤量 单位：kg")
    private String g952;


    @ApiModelProperty(value = "提升机作业时间")
    /** 提升机作业时间 */
    @Excel(name = "提升机作业时间")
    private String g956;


    @ApiModelProperty(value = "提升机装载量 单位：kg")
    /** 提升机装载量 单位：kg */
    @Excel(name = "提升机装载量 单位：kg")
    private String g957;


    @ApiModelProperty(value = "提升机电流 单位：A")
    /** 提升机电流 单位：A */
    @Excel(name = "提升机电流 单位：A")
    private String g958;


    @ApiModelProperty(value = "SO2浓度 单位：mg/m3")
    /** SO2浓度 单位：mg/m3 */
    @Excel(name = "SO2浓度 单位：mg/m3")
    private String g960;


    @ApiModelProperty(value = "地面放散口压力 单位：KPa")
    /** 地面放散口压力 单位：KPa */
    @Excel(name = "地面放散口压力 单位：KPa")
    private String g961;


    @ApiModelProperty(value = "火炬点火器启动记录")
    /** 火炬点火器启动记录 */
    @Excel(name = "火炬点火器启动记录")
    private String g962;


    @ApiModelProperty(value = "硫酸使用量 单位：m3/h")
    /** 硫酸使用量 单位：m3/h */
    @Excel(name = "硫酸使用量 单位：m3/h")
    private String g963;


    @ApiModelProperty(value = "洗油使用量 单位：m3/h")
    /** 洗油使用量 单位：m3/h */
    @Excel(name = "洗油使用量 单位：m3/h")
    private String g964;


    @ApiModelProperty(value = "脱苯塔塔顶回流量 单位：m3/h")
    /** 脱苯塔塔顶回流量 单位：m3/h */
    @Excel(name = "脱苯塔塔顶回流量 单位：m3/h")
    private String g965;


    @ApiModelProperty(value = "粗苯外送量 单位：m3/h")
    /** 粗苯外送量 单位：m3/h */
    @Excel(name = "粗苯外送量 单位：m3/h")
    private String g966;


    @ApiModelProperty(value = "塔釜温度 单位：℃")
    /** 塔釜温度 单位：℃ */
    @Excel(name = "塔釜温度 单位：℃")
    private String g967;


    @ApiModelProperty(value = "洗油外送量 单位：m3/h")
    /** 洗油外送量 单位：m3/h */
    @Excel(name = "洗油外送量 单位：m3/h")
    private String g968;


    @ApiModelProperty(value = "压力 单位：KPa")
    /** 压力 单位：KPa */
    @Excel(name = "压力 单位：KPa")
    private String g969;


    @ApiModelProperty(value = "液位 单位：m")
    /** 液位 单位：m */
    @Excel(name = "液位 单位：m")
    private String g970;


    @ApiModelProperty(value = "负压煤气管网压力 单位：KPa")
    /** 负压煤气管网压力 单位：KPa */
    @Excel(name = "负压煤气管网压力 单位：KPa")
    private String g971;


    @ApiModelProperty(value = "风机后煤气管压力 单位：KPa")
    /** 风机后煤气管压力 单位：KPa */
    @Excel(name = "风机后煤气管压力 单位：KPa")
    private String g972;


    @ApiModelProperty(value = "外供煤气流量 单位：m3/h")
    /** 外供煤气流量 单位：m3/h */
    @Excel(name = "外供煤气流量 单位：m3/h")
    private String g973;


    @ApiModelProperty(value = "煤气柜容量 单位：m3")
    /** 煤气柜容量 单位：m3 */
    @Excel(name = "煤气柜容量 单位：m3")
    private String g974;


    @ApiModelProperty(value = "气柜高度 单位：m")
    /** 气柜高度 单位：m */
    @Excel(name = "气柜高度 单位：m")
    private String g975;


    @ApiModelProperty(value = "气柜压力 单位：KPa")
    /** 气柜压力 单位：KPa */
    @Excel(name = "气柜压力 单位：KPa")
    private String g976;


    @ApiModelProperty(value = "水封液位高度 单位：m")
    /** 水封液位高度 单位：m */
    @Excel(name = "水封液位高度 单位：m")
    private String g977;


    @ApiModelProperty(value = "压力 单位：KPa")
    /** 压力 单位：KPa */
    @Excel(name = "压力 单位：KPa")
    private String g978;


    @ApiModelProperty(value = "流量 单位：m3/h")
    /** 流量 单位：m3/h */
    @Excel(name = "流量 单位：m3/h")
    private String g979;


    @ApiModelProperty(value = "火炬点火器启动记录")
    /** 火炬点火器启动记录 */
    @Excel(name = "火炬点火器启动记录")
    private String g980;


    @ApiModelProperty(value = "液位 单位：m")
    /** 液位 单位：m */
    @Excel(name = "液位 单位：m")
    private String g981;


    @ApiModelProperty(value = "温度 单位：℃")
    /** 温度 单位：℃ */
    @Excel(name = "温度 单位：℃")
    private String g982;


    @ApiModelProperty(value = "转炉煤气量 单位：m3/h")
    /** 转炉煤气量 单位：m3/h */
    @Excel(name = "转炉煤气量 单位：m3/h")
    private String g993;


    @ApiModelProperty(value = "焦炉煤气量 单位：m3/h")
    /** 焦炉煤气量 单位：m3/h */
    @Excel(name = "焦炉煤气量 单位：m3/h")
    private String g994;


    @ApiModelProperty(value = "其它燃料量 单位：m3/h")
    /** 其它燃料量 单位：m3/h */
    @Excel(name = "其它燃料量 单位：m3/h")
    private String g995;


    @ApiModelProperty(value = "干法脱硫剂使用量 单位：kg")
    /** 干法脱硫剂使用量 单位：kg */
    @Excel(name = "干法脱硫剂使用量 单位：kg")
    private String gb08;


    @ApiModelProperty(value = "半干法脱硫剂使用量 单位：kg")
    /** 半干法脱硫剂使用量 单位：kg */
    @Excel(name = "半干法脱硫剂使用量 单位：kg")
    private String gb09;


    @ApiModelProperty(value = "酸洗塔碱液使用量 单位：L")
    /** 酸洗塔碱液使用量 单位：L */
    @Excel(name = "酸洗塔碱液使用量 单位：L")
    private String gb11;


    @ApiModelProperty(value = "酸洗塔酸液使用量 单位：L")
    /** 酸洗塔酸液使用量 单位：L */
    @Excel(name = "酸洗塔酸液使用量 单位：L")
    private String gb12;


    @ApiModelProperty(value = "酸洗塔酸液使用量 单位：L")
    /** 酸洗塔酸液使用量 单位：L */
    @Excel(name = "酸洗塔酸液使用量 单位：L")
    private String gb13;

    @ApiModelProperty(value = "颗粒物浓度1 ")
    /** 颗粒物浓度1 单位：mg/m3 */
    @Excel(name = "颗粒物浓度1 ")
    private String ppmCc1;

    @ApiModelProperty(value = "颗粒物浓度2 ")
    /** 颗粒物浓度2 单位：mg/m3 */
    @Excel(name = "颗粒物浓度2 ")
    private String ppmCc2;

    @ApiModelProperty(value = "颗粒物浓度1 单位：mg/m3")
    /** 颗粒物浓度1 单位：mg/m3 */
    @Excel(name = "颗粒物浓度1 单位：mg/m3")
    private String ppmUnitCc1;

    @ApiModelProperty(value = "颗粒物浓度2 单位：mg/m3")
    /** 颗粒物浓度2 单位：mg/m3 */
    @Excel(name = "颗粒物浓度2 单位：mg/m3")
    private String ppmUnitCc2;


    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    /** 附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...} */
    @Excel(name = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    private String addiParam;






    @ApiModelProperty(value = "烟气流量")
    /** 烟气流量 */
    @Excel(name = "烟气流量")
    private String a100;


    @ApiModelProperty(value = "含氧量")
    /** 含氧量 */
    @Excel(name = "含氧量")
    private String a101;


    @ApiModelProperty(value = "温度")
    /** 温度 */
    @Excel(name = "温度")
    private String a102;


    @ApiModelProperty(value = "颗粒物")
    /** 颗粒物 */
    @Excel(name = "颗粒物")
    private String a103;


    @ApiModelProperty(value = "二氧化硫")
    /** 二氧化硫 */
    @Excel(name = "二氧化硫")
    private String a104;


    @ApiModelProperty(value = "氮氧化物浓度")
    /** 氮氧化物浓度 */
    @Excel(name = "氮氧化物浓度")
    private String a105;


    @ApiModelProperty(value = "脱硝剂使用量")
    /** 脱硝剂使用量 */
    @Excel(name = "脱硝剂使用量")
    private String a111;


    @ApiModelProperty(value = "脱硝剂使用量")
    /** 脱硝剂使用量 */
    @Excel(name = "脱硝剂使用量")
    private String txjvol;


    @ApiModelProperty(value = "除尘器风量")
    /** 除尘器风量 */
    @Excel(name = "除尘器风量")
    private String a120;


    @ApiModelProperty(value = "风机电流")
    /** 风机电流 */
    @Excel(name = "风机电流")
    private String a121;


    @ApiModelProperty(value = "除尘器风量")
    /** 除尘器风量 */
    @Excel(name = "除尘器风量")
    private String a130;


    @ApiModelProperty(value = "风机电流")
    /** 风机电流 */
    @Excel(name = "风机电流")
    private String a131;


    @ApiModelProperty(value = "除尘器风量")
    /** 除尘器风量 */
    @Excel(name = "除尘器风量")
    private String a140;


    @ApiModelProperty(value = "风机电流")
    /** 风机电流 */
    @Excel(name = "风机电流")
    private String a141;


    @ApiModelProperty(value = "湿法脱硫剂使用量")
    /** 湿法脱硫剂使用量 */
    @Excel(name = "湿法脱硫剂使用量")
    private String g140;


    @ApiModelProperty(value = "脱硝入口压力")
    /** 脱硝入口压力 */
    @Excel(name = "脱硝入口压力")
    private String g318;


    @ApiModelProperty(value = "脱硝出口压力")
    /** 脱硝出口压力 */
    @Excel(name = "脱硝出口压力")
    private String g325;


    @ApiModelProperty(value = "压差")
    /** 压差 */
    @Excel(name = "压差")
    private String g601;


    @ApiModelProperty(value = "颗粒物")
    /** 颗粒物 */
    @Excel(name = "颗粒物")
    private String g959;


    @ApiModelProperty(value = "颗粒物")
    /** 颗粒物 */
    @Excel(name = "颗粒物")
    private String h959;


    @ApiModelProperty(value = "二氧化硫")
    /** 二氧化硫 */
    @Excel(name = "二氧化硫")
    private String h960;


    @ApiModelProperty(value = "颗粒物")
    /** 颗粒物 */
    @Excel(name = "颗粒物")
    private String j959;


    @ApiModelProperty(value = "二氧化硫")
    /** 二氧化硫 */
    @Excel(name = "二氧化硫")
    private String j960;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("timeType", getTimeType())
            .append("dataTime", getDataTime())
            .append("js100", getJs100())
            .append("js101", getJs101())
            .append("js102", getJs102())
            .append("js103", getJs103())
            .append("js104", getJs104())
            .append("jz100", getJz100())
            .append("jz101", getJz101())
            .append("jz102", getJz102())
            .append("jz103", getJz103())
            .append("jz105", getJz105())
            .append("jz106", getJz106())
            .append("jz107", getJz107())
            .append("jz108", getJz108())
            .append("jz109", getJz109())
            .append("jz110", getJz110())
            .append("js200", getJs200())
            .append("js201", getJs201())
            .append("js202", getJs202())
            .append("js203", getJs203())
            .append("g141", getG141())
            .append("g314", getG314())
            .append("g329", getG329())
            .append("g330", getG330())
            .append("g604", getG604())
            .append("g605", getG605())
            .append("g606", getG606())
            .append("g942", getG942())
            .append("g943", getG943())
            .append("g944", getG944())
            .append("g945", getG945())
            .append("g949", getG949())
            .append("g951", getG951())
            .append("g952", getG952())
            .append("g956", getG956())
            .append("g957", getG957())
            .append("g958", getG958())
            .append("g960", getG960())
            .append("g961", getG961())
            .append("g962", getG962())
            .append("g963", getG963())
            .append("g964", getG964())
            .append("g965", getG965())
            .append("g966", getG966())
            .append("g967", getG967())
            .append("g968", getG968())
            .append("g969", getG969())
            .append("g970", getG970())
            .append("g971", getG971())
            .append("g972", getG972())
            .append("g973", getG973())
            .append("g974", getG974())
            .append("g975", getG975())
            .append("g976", getG976())
            .append("g977", getG977())
            .append("g978", getG978())
            .append("g979", getG979())
            .append("g980", getG980())
            .append("g981", getG981())
            .append("g982", getG982())
            .append("g993", getG993())
            .append("g994", getG994())
            .append("g995", getG995())
            .append("gb08", getGb08())
            .append("gb09", getGb09())
            .append("gb11", getGb11())
            .append("gb12", getGb12())
            .append("gb13", getGb13())
            .append("ppmCc1", getPpmCc1())
            .append("ppmCc2", getPpmCc2())
            .append("addiParam", getAddiParam())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("a100", getA100())
            .append("a101", getA101())
            .append("a102", getA102())
            .append("a103", getA103())
            .append("a104", getA104())
            .append("a105", getA105())
            .append("a111", getA111())
            .append("txjvol", getTxjvol())
            .append("a120", getA120())
            .append("a121", getA121())
            .append("a130", getA130())
            .append("a131", getA131())
            .append("a140", getA140())
            .append("a141", getA141())
            .append("g140", getG140())
            .append("g318", getG318())
            .append("g325", getG325())
            .append("g601", getG601())
            .append("g959", getG959())
            .append("h959", getH959())
            .append("h960", getH960())
            .append("j959", getJ959())
            .append("j960", getJ960())
            .toString();
    }
}
