package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 设备数据-陶瓷-实时 保存设备的实时数据对象 mon_dev_tc_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据-陶瓷-实时 保存设备的实时数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_dev_tc_real")
public class MonDevTcReal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "data_id",type = IdType.AUTO)
    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    @Excel(name = "数据ID")
    private Long dataId;


    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    @Excel(name = "企业ID 冗余")
    private String factoryId;


    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;


    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    /** 时间类型 枚举。总为“实时” */
    @Excel(name = "时间类型 枚举。总为“实时”")
    private String timeType;


    @ApiModelProperty(value = "数据时间")
    /** 数据时间 */
    @Excel(name = "数据时间")
    private Date dataTime;


    @ApiModelProperty(value = "入料_原料配比后的总重量 千克 ")
    /** 入料_原料配比后的总重量 千克  */
    @Excel(name = "入料_原料配比后的总重量 千克 ")
    private String g983;


    @ApiModelProperty(value = "煤气发生炉_供气量 立方纳米/小时")
    /** 煤气发生炉_供气量 立方纳米/小时 */
    @Excel(name = "煤气发生炉_供气量 立方纳米/小时")
    private String g987;


    @ApiModelProperty(value = "喷雾干燥塔_水分蒸发量  单位：千克/小时")
    /** 喷雾干燥塔_水分蒸发量  单位：千克/小时 */
    @Excel(name = "喷雾干燥塔_水分蒸发量  单位：千克/小时")
    private String g988;


    @ApiModelProperty(value = "喷雾干燥塔_供气量 单位：立方纳米/小时")
    /** 喷雾干燥塔_供气量 单位：立方纳米/小时 */
    @Excel(name = "喷雾干燥塔_供气量 单位：立方纳米/小时")
    private String g989;


    @ApiModelProperty(value = "辊道窑、隧道窑_水分蒸发量 单位：千克/小时")
    /** 辊道窑、隧道窑_水分蒸发量 单位：千克/小时 */
    @Excel(name = "辊道窑、隧道窑_水分蒸发量 单位：千克/小时")
    private String g990;


    @ApiModelProperty(value = "辊道窑、隧道窑_供气量 单位：立方纳米/小时")
    /** 辊道窑、隧道窑_供气量 单位：立方纳米/小时 */
    @Excel(name = "辊道窑、隧道窑_供气量 单位：立方纳米/小时")
    private String g991;


    @ApiModelProperty(value = "液氨/氨水储存区_氨气泄漏报警信号 无量纲 N1 1报警，0不报警")
    /** 液氨/氨水储存区_氨气泄漏报警信号 无量纲 N1 1报警，0不报警 */
    @Excel(name = "液氨/氨水储存区_氨气泄漏报警信号 无量纲 N1 1报警，0不报警")
    private String g985;


    @ApiModelProperty(value = "储油罐区_VOCs 在线监测数据或超标报警数据 单位：毫克/立方米")
    /** 储油罐区_VOCs 在线监测数据或超标报警数据 单位：毫克/立方米 */
    @Excel(name = "储油罐区_VOCs 在线监测数据或超标报警数据 单位：毫克/立方米")
    private String g986;


    @ApiModelProperty(value = "脱硫_湿法脱硫剂使用量 单位：千克")
    /** 脱硫_湿法脱硫剂使用量 单位：千克 */
    @Excel(name = "脱硫_湿法脱硫剂使用量 单位：千克")
    private String g140;


    @ApiModelProperty(value = "脱硫_干法脱硫剂使用量 单位：千克")
    /** 脱硫_干法脱硫剂使用量 单位：千克 */
    @Excel(name = "脱硫_干法脱硫剂使用量 单位：千克")
    private String gb08;


    @ApiModelProperty(value = "半干法脱硫_脱硫剂使用量  单位：千克")
    /** 半干法脱硫_脱硫剂使用量  单位：千克 */
    @Excel(name = "半干法脱硫_脱硫剂使用量  单位：千克")
    private String gb09;


    @ApiModelProperty(value = "脱硫_脱硫剂仓料（液）位 米 N6.2 与 CEMS 时间同步")
    /** 脱硫_脱硫剂仓料（液）位 米 N6.2 与 CEMS 时间同步 */
    @Excel(name = "脱硫_脱硫剂仓料", readConverterExp = "液=")
    private String g141;


    @ApiModelProperty(value = "脱硝_脱硝剂（还原剂或氧化剂）使用量 单位:千克")
    /** 脱硝_脱硝剂（还原剂或氧化剂）使用量 单位:千克 */
    @Excel(name = "脱硝_脱硝剂", readConverterExp = "还=原剂或氧化剂")
    private String g313;


    @ApiModelProperty(value = "脱硝_脱硝剂仓料（液）位 单位：米")
    /** 脱硝_脱硝剂仓料（液）位 单位：米 */
    @Excel(name = "脱硝_脱硝剂仓料", readConverterExp = "液=")
    private String g314;


    @ApiModelProperty(value = "脱硝_反应器入口烟气温度（SCR 工艺） 单位：摄氏度 ")
    /** 脱硝_反应器入口烟气温度（SCR 工艺） 单位：摄氏度  */
    @Excel(name = "脱硝_反应器入口烟气温度", readConverterExp = "S=CR,工=艺")
    private String g329;


    @ApiModelProperty(value = "袋式除尘器_风机电流 单位：安[培]")
    /** 袋式除尘器_风机电流 单位：安[培] */
    @Excel(name = "袋式除尘器_风机电流 单位：安[培]")
    private String g604;


    @ApiModelProperty(value = "袋式除尘器_清灰周期 单位：小时 ")
    /** 袋式除尘器_清灰周期 单位：小时  */
    @Excel(name = "袋式除尘器_清灰周期 单位：小时 ")
    private String g605;


    @ApiModelProperty(value = "袋式除尘器_压差 单位：千帕")
    /** 袋式除尘器_压差 单位：千帕 */
    @Excel(name = "袋式除尘器_压差 单位：千帕")
    private String g601;


    @ApiModelProperty(value = "静电除尘器_一次电压 单位：伏[特]")
    /** 静电除尘器_一次电压 单位：伏[特] */
    @Excel(name = "静电除尘器_一次电压 单位：伏[特]")
    private String g501;


    @ApiModelProperty(value = "静电除尘器_一次电流 单位：安[培]")
    /** 静电除尘器_一次电流 单位：安[培] */
    @Excel(name = "静电除尘器_一次电流 单位：安[培]")
    private String g502;


    @ApiModelProperty(value = "静电除尘器_二次电压 单位：伏[特] ")
    /** 静电除尘器_二次电压 单位：伏[特]  */
    @Excel(name = "静电除尘器_二次电压 单位：伏[特] ")
    private String g503;


    @ApiModelProperty(value = "静电除尘器_二次电流 单位：安[培] ")
    /** 静电除尘器_二次电流 单位：安[培]  */
    @Excel(name = "静电除尘器_二次电流 单位：安[培] ")
    private String g504;


    @ApiModelProperty(value = "附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...}")
    /** 附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...} */
    @Excel(name = "附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...}")
    private String addiParam;






    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("timeType", getTimeType())
            .append("dataTime", getDataTime())
            .append("g983", getG983())
            .append("g987", getG987())
            .append("g988", getG988())
            .append("g989", getG989())
            .append("g990", getG990())
            .append("g991", getG991())
            .append("g985", getG985())
            .append("g986", getG986())
            .append("g140", getG140())
            .append("gb08", getGb08())
            .append("gb09", getGb09())
            .append("g141", getG141())
            .append("g313", getG313())
            .append("g314", getG314())
            .append("g329", getG329())
            .append("g604", getG604())
            .append("g605", getG605())
            .append("g601", getG601())
            .append("g501", getG501())
            .append("g502", getG502())
            .append("g503", getG503())
            .append("g504", getG504())
            .append("addiParam", getAddiParam())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
