package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 有组织-分表计电设备对应 两类设备为多对多的关系对象 mon_elec_event
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "有组织-分表计电设备对应 两类设备为多对多的关系")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_elec_event")
public class MonElecEvent extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    @Excel(name = "数据ID")
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;


    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    @Excel(name = "企业ID 冗余")
    private String factoryId;


    @ApiModelProperty(value = "点位ID")
    /** 点位ID */
    @Excel(name = "点位ID")
    private String siteId;


    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    /** 时间类型 枚举。总为“实时” */
    @Excel(name = "时间类型 枚举。总为“实时”")
    private String timeType;


    @ApiModelProperty(value = "数据时间")
    /** 数据时间 */
    @Excel(name = "数据时间")
    private String dataTime;


    @ApiModelProperty(value = "停上电 0=上电，1=停电")
    /** 停上电 0=上电，1=停电 */
    @Excel(name = "停上电 0=上电，1=停电")
    private Long tn50;


    @ApiModelProperty(value = "设备状态 0=关机状态，1=开机状态")
    /** 设备状态 0=关机状态，1=开机状态 */
    @Excel(name = "设备状态 0=关机状态，1=开机状态")
    private Long tn62;


    @ApiModelProperty(value = "电流幅值突变 百分比的分子值")
    /** 电流幅值突变 百分比的分子值 */
    @Excel(name = "电流幅值突变 百分比的分子值")
    private String tn63;


    @ApiModelProperty(value = "电压幅值突变 百分比的分子值")
    /** 电压幅值突变 百分比的分子值 */
    @Excel(name = "电压幅值突变 百分比的分子值")
    private String tn64;


    @ApiModelProperty(value = "设备异常破坏 0=关，1=开")
    /** 设备异常破坏 0=关，1=开 */
    @Excel(name = "设备异常破坏 0=关，1=开")
    private Long tn65;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("siteId", getSiteId())
            .append("timeType", getTimeType())
            .append("dataTime", getDataTime())
            .append("tn50", getTn50())
            .append("tn62", getTn62())
            .append("tn63", getTn63())
            .append("tn64", getTn64())
            .append("tn65", getTn65())
            .append("createTime", getCreateTime())
            .toString();
    }
}
