package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @className: MonElecOperationLog
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 15:25
 * @Company: Copyright© [2023/04/28 15:25] by [Mr.Yanghongtao]
 **/
/**
    * 分表计电系统参数设置操作日志表
    */
@ApiModel(value = "分表计电系统参数设置操作日志")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_elec_operation_log")
public class MonElecOperationLog extends BaseEntity
{
    /**
    * 主键标识
    */
    private String logId;

    /**
    * 操作时间
    */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date operationTime;

    /**
    * 分表计电监测点位名称
    */
    private String elecStationName;

    /**
    * 对应设施名称
    */
    private String deviceName;

    /**
    * 操作前额定功率(kw)
    */
    private String beforeModifyNormal;

    /**
    * 操作后额定功率(kw)
    */
    private String afterModifyNormal;

    /**
    * 操作人
    */
    private String operator;

    /**
     * 操作人ID
     */
    private String operatorId;

    /**
     * 企业ID
     */
    private String factoryId;


}
