package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author thy
 * @since 2023-04-02
 */
@TableName("mon_elec_other")
@Data
@ApiModel(value = "MonElecOther对象", description = "")
public class MonElecOther implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("数据ID")
    private String dataId;

    @ApiModelProperty("设备ID")
    private String deviceId;

    @ApiModelProperty("点位ID")
    private String deviceSiteId;

    @ApiModelProperty("时间类型 D-日，M-月，Y-年")
    private String timeType;

    @ApiModelProperty("数据时间")
    private Date dataTime;

    @ApiModelProperty("总有功功率（千瓦）(功率)")
    private String activePower;

    @ApiModelProperty("总无功功率（千瓦）")
    private String reactivePower;

    @ApiModelProperty("总有功电量示值（安）(用电量)")
    private String activePowerQuantity;

    @ApiModelProperty("总无功电量示值（安）")
    private String reactivePowerQuantity;

    @ApiModelProperty("总功率因数")
    private String totalPower;

    @ApiModelProperty("A相电流（安）")
    private String currentAp;

    @ApiModelProperty("B相电流（安）")
    private String currentBp;

    @ApiModelProperty("C相电流（安）")
    private String currentCp;

    @ApiModelProperty("单相电流（安）")
    private String currentSinglePhase;

    @ApiModelProperty("A相电压（伏）")
    private String voltageAp;

    @ApiModelProperty("B相电压（伏）")
    private String voltageBp;

    @ApiModelProperty("C相电压（伏）")
    private String voltageCp;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("点位名称")
    private String deviceSiteName;

    @Override
    public String toString() {
        return "MonElecHour{" +
            "dataId=" + dataId +
            ", deviceId=" + deviceId +
            ", deviceSiteId=" + deviceSiteId +
            ", timeType=" + timeType +
            ", dataTime=" + dataTime +
            ", activePower=" + activePower +
            ", reactivePower=" + reactivePower +
            ", activePowerQuantity=" + activePowerQuantity +
            ", reactivePowerQuantity=" + reactivePowerQuantity +
            ", totalPower=" + totalPower +
            ", currentAp=" + currentAp +
            ", currentBp=" + currentBp +
            ", currentCp=" + currentCp +
            ", currentSinglePhase=" + currentSinglePhase +
            ", voltageAp=" + voltageAp +
            ", voltageBp=" + voltageBp +
            ", voltageCp=" + voltageCp +
            ", createTime=" + createTime +
            ", deviceSiteName=" + deviceSiteName +
        "}";
    }
}
