package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 分表计电设备-点位对应 设备与点位为多对多的关系对象 mon_elec_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "分表计电设备-点位对应 设备与点位为多对多的关系")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_elec_real")
public class MonElecReal extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据ID")
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;

    @ApiModelProperty(value = "数据时间")
    /** 数据时间 */
    @Excel(name = "数据时间")
    private Date dataTime;

    @ApiModelProperty(value = "点位ID")
    /** 点位ID */
    @Excel(name = "点位ID")
    private String deviceSiteId;

    @ApiModelProperty(value = "点位名称")
    @Excel(name = "点位名称")
    private String deviceSiteName;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;


    @ApiModelProperty(value = "总有功功率（千瓦）")
    @Excel(name = "总有功功率（千瓦）")
    private String activePower;

    @ApiModelProperty(value = "总无功功率（千瓦）")
    @Excel(name = "总无功功率（千瓦）")
    private String reactivePower;

    @ApiModelProperty(value = "总有功电量示值（安）")
    @Excel(name = "总有功电量示值（安）")
    private String activePowerQuantity;

    @ApiModelProperty(value = "总无功电量示值（安）")
    @Excel(name = "总无功电量示值（安）")
    private String reactivePowerQuantity;

    @ApiModelProperty(value = "总功率因数")
    @Excel(name = "总功率因数")
    private String totalPower;

    @ApiModelProperty(value = "A相电流（安）")
    @Excel(name = "A相电流（安）")
    private String currentAp;

    @ApiModelProperty(value = "B相电流（安）")
    @Excel(name = "B相电流（安）")
    private String currentBp;

    @ApiModelProperty(value = "C相电流（安）")
    @Excel(name = "C相电流（安）")
    private String currentCp;

    @ApiModelProperty(value = "单相电流（安）")
    @Excel(name = "单相电流（安）")
    private String currentSinglePhase;

    @ApiModelProperty(value = "A相电压（伏）")
    @Excel(name = "A相电压（伏）")
    private String voltageAp;

    @ApiModelProperty(value = "B相电压（伏）")
    @Excel(name = "B相电压（伏）")
    private String voltageBp;

    @ApiModelProperty(value = "C相电压（伏）")
    @Excel(name = "C相电压（伏）")
    private String voltageCp;

    @TableField(exist = false)
    private String dataTimeStr;
}
