package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 点位信息对象 ods_online_ol_portinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "点位信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ods_online_ol_portinfo_a")
public class OdsOnlineOlPortinfoA extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID")
    /** 主键ID */
    private String id;


    @ApiModelProperty(value = "企业主键ID")
    /** 企业主键ID */
    @Excel(name = "企业主键ID")
    private String psId;


    @ApiModelProperty(value = "监控点编码（保留字典不参与业务）")
    /** 监控点编码（保留字典不参与业务） */
    @Excel(name = "监控点编码", readConverterExp = "保=留字典不参与业务")
    private String portCode;


    @ApiModelProperty(value = "监控点编号（保留字典不参与业务）")
    /** 监控点编号（保留字典不参与业务） */
    @Excel(name = "监控点编号", readConverterExp = "保=留字典不参与业务")
    private String portNum;


    @ApiModelProperty(value = "监测点名称后缀")
    /** 监测点名称后缀 */
    @Excel(name = "监测点名称后缀")
    private String portNameSuffix;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String portName;


    @ApiModelProperty(value = "排口类型，如：水、气（字典数据）")
    /** 排口类型，如：水、气（字典数据） */
    @Excel(name = "排口类型，如：水、气", readConverterExp = "字=典数据")
    private String portTypeId;


    @ApiModelProperty(value = "监控点位置")
    /** 监控点位置 */
    @Excel(name = "监控点位置")
    private String portPosition;


    @ApiModelProperty(value = "经度")
    /** 经度 */
    @Excel(name = "经度")
    private String longitude;


    @ApiModelProperty(value = "纬度")
    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;


    @ApiModelProperty(value = "监测点类型代码")
    /** 监测点类型代码 */
    @Excel(name = "监测点类型代码")
    private String monitorTypeId;


    @ApiModelProperty(value = "行政区划编码")
    /** 行政区划编码 */
    @Excel(name = "行政区划编码")
    private String regionId;


    @ApiModelProperty(value = "是否烧结，1-否 1-是 ")
    /** 是否烧结，1-否 1-是  */
    @Excel(name = "是否烧结，1-否 1-是 ")
    private String isSintering;


    @ApiModelProperty(value = "是否启用，0-否 1-是")
    /** 是否启用，0-否 1-是 */
    @Excel(name = "是否启用，0-否 1-是")
    private String enable;


    @ApiModelProperty(value = "联网时间")
    /** 联网时间 */
    @Excel(name = "联网时间")
    private String networkTime;


    @ApiModelProperty(value = "是否联网，1-是 0-否")
    /** 是否联网，1-是 0-否 */
    @Excel(name = "是否联网，1-是 0-否")
    private Long networkStatus;


    @ApiModelProperty(value = "运维标记联网时间")
    /** 运维标记联网时间 */
    @Excel(name = "运维标记联网时间")
    private String opFlagNetworkTime;


    @ApiModelProperty(value = "运维标记是否联网 1-是 0-否")
    /** 运维标记是否联网 1-是 0-否 */
    @Excel(name = "运维标记是否联网 1-是 0-否")
    private Long opFlagNetworkStatus;


    @ApiModelProperty(value = "异常上限")
    /** 异常上限 */
    @Excel(name = "异常上限")
    private String abnormalUp;


    @ApiModelProperty(value = "异常下限")
    /** 异常下限 */
    @Excel(name = "异常下限")
    private String abnormalDown;


    @ApiModelProperty(value = "是否高架源，0-否 1-是")
    /** 是否高架源，0-否 1-是 */
    @Excel(name = "是否高架源，0-否 1-是")
    private String highChimney;


    @ApiModelProperty(value = "是否垃圾焚烧，0-否 1-是")
    /** 是否垃圾焚烧，0-否 1-是 */
    @Excel(name = "是否垃圾焚烧，0-否 1-是")
    private String rubbish;


    @ApiModelProperty(value = "排放规律")
    /** 排放规律 */
    @Excel(name = "排放规律")
    private String outputRule;






    @ApiModelProperty(value = "delete_time")
    /** delete_time */
    @Excel(name = "delete_time")
    private String deleteTime;


    @ApiModelProperty(value = "由禁用改为启用时间")
    /** 由禁用改为启用时间 */
    @Excel(name = "由禁用改为启用时间")
    private String enableTime;


    @ApiModelProperty(value = "监测点状态，1-在线 2-超标 3-异常 4-离线")
    /** 监测点状态，1-在线 2-超标 3-异常 4-离线 */
    @Excel(name = "监测点状态，1-在线 2-超标 3-异常 4-离线")
    private String portState;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String isSync;


    @ApiModelProperty(value = "排放口id")
    /** 排放口id */
    @Excel(name = "排放口id")
    private String outletId;


    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;


    @ApiModelProperty(value = "编辑人")
    /** 编辑人 */
    @Excel(name = "编辑人")
    private String updatedBy;


    @ApiModelProperty(value = "基准含氧量")
    /** 基准含氧量 */
    @Excel(name = "基准含氧量")
    private String outletYq;


    @ApiModelProperty(value = "排污许可编号")
    /** 排污许可编号 */
    @Excel(name = "排污许可编号")
    private String pwxkBh;


    @ApiModelProperty(value = "国发监测点id")
    /** 国发监测点id */
    @Excel(name = "国发监测点id")
    private String gfPortId;


    @ApiModelProperty(value = "是否同步给长天 1同步 0不同步")
    /** 是否同步给长天 1同步 0不同步 */
    @Excel(name = "是否同步给长天 1同步 0不同步")
    private Long sySky;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("psId", getPsId())
            .append("portCode", getPortCode())
            .append("portNum", getPortNum())
            .append("portNameSuffix", getPortNameSuffix())
            .append("portName", getPortName())
            .append("portTypeId", getPortTypeId())
            .append("portPosition", getPortPosition())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("monitorTypeId", getMonitorTypeId())
            .append("regionId", getRegionId())
            .append("isSintering", getIsSintering())
            .append("enable", getEnable())
            .append("networkTime", getNetworkTime())
            .append("networkStatus", getNetworkStatus())
            .append("opFlagNetworkTime", getOpFlagNetworkTime())
            .append("opFlagNetworkStatus", getOpFlagNetworkStatus())
            .append("abnormalUp", getAbnormalUp())
            .append("abnormalDown", getAbnormalDown())
            .append("highChimney", getHighChimney())
            .append("rubbish", getRubbish())
            .append("outputRule", getOutputRule())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("deleteTime", getDeleteTime())
            .append("enableTime", getEnableTime())
            .append("portState", getPortState())
            .append("isSync", getIsSync())
            .append("outletId", getOutletId())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("outletYq", getOutletYq())
            .append("pwxkBh", getPwxkBh())
            .append("gfPortId", getGfPortId())
            .append("sySky", getSySky())
            .toString();
    }
}
