package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_psinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ods_online_ol_psinfo_a")
public class OdsOnlineOlPsinfoA extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键ID")
    /** 主键ID */
    private String id;


    @ApiModelProperty(value = "企业代码：社会统计信用代码")
    /** 企业代码：社会统计信用代码 */
    @Excel(name = "企业代码：社会统计信用代码")
    private String psCode;


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String psName;


    @ApiModelProperty(value = "企业名拼音")
    /** 企业名拼音 */
    @Excel(name = "企业名拼音")
    private String psLetter;


    @ApiModelProperty(value = "企业地址")
    /** 企业地址 */
    @Excel(name = "企业地址")
    private String address;


    @ApiModelProperty(value = "国民经济行业代码")
    /** 国民经济行业代码 */
    @Excel(name = "国民经济行业代码")
    private String industryCode;


    @ApiModelProperty(value = "环保行业代码")
    /** 环保行业代码 */
    @Excel(name = "环保行业代码")
    private String regulationIndustryId;


    @ApiModelProperty(value = "行政区划代码ID，区县级")
    /** 行政区划代码ID，区县级 */
    @Excel(name = "行政区划代码ID，区县级")
    private String regionId;


    @ApiModelProperty(value = "企业经度")
    /** 企业经度 */
    @Excel(name = "企业经度")
    private String longitude;


    @ApiModelProperty(value = "企业纬度")
    /** 企业纬度 */
    @Excel(name = "企业纬度")
    private String latitude;


    @ApiModelProperty(value = "联系人")
    /** 联系人 */
    @Excel(name = "联系人")
    private String contact;


    @ApiModelProperty(value = "联系人手机")
    /** 联系人手机 */
    @Excel(name = "联系人手机")
    private String contactphone;


    @ApiModelProperty(value = "是否高架源，1-是")
    /** 是否高架源，1-是 */
    @Excel(name = "是否高架源，1-是")
    private String isHighChimney;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String isRubbish;


    @ApiModelProperty(value = "重点非重点code")
    /** 重点非重点code */
    @Excel(name = "重点非重点code")
    private String categoryTypeId;


    @ApiModelProperty(value = "是否有排污许可证 0否 1是")
    /** 是否有排污许可证 0否 1是 */
    @Excel(name = "是否有排污许可证 0否 1是")
    private String isPwxk;


    @ApiModelProperty(value = "企业状态，1-在线 2-超标 3-异常 4-离线")
    /** 企业状态，1-在线 2-超标 3-异常 4-离线 */
    @Excel(name = "企业状态，1-在线 2-超标 3-异常 4-离线")
    private String psState;


    @ApiModelProperty(value = "是否启用，1-启用 0-禁用")
    /** 是否启用，1-启用 0-禁用 */
    @Excel(name = "是否启用，1-启用 0-禁用")
    private String enable;


    @ApiModelProperty(value = "联网时间")
    /** 联网时间 */
    @Excel(name = "联网时间")
    private String networkTime;


    @ApiModelProperty(value = "是否联网，1-是 0-否")
    /** 是否联网，1-是 0-否 */
    @Excel(name = "是否联网，1-是 0-否")
    private Long networkStatus;


    @ApiModelProperty(value = "运维标记联网时间")
    /** 运维标记联网时间 */
    @Excel(name = "运维标记联网时间")
    private String opFlagNetworkTime;


    @ApiModelProperty(value = "运维标记是否联网 1-是 0-否")
    /** 运维标记是否联网 1-是 0-否 */
    @Excel(name = "运维标记是否联网 1-是 0-否")
    private Long opFlagNetworkStatus;






    @ApiModelProperty(value = "停用改启用时间")
    /** 停用改启用时间 */
    @Excel(name = "停用改启用时间")
    private String enableTime;


    @ApiModelProperty(value = "禁用时间")
    /** 禁用时间 */
    @Excel(name = "禁用时间")
    private String deleteTime;


    @ApiModelProperty(value = "是否同步给省厅 1同步 0不同步")
    /** 是否同步给省厅 1同步 0不同步 */
    @Excel(name = "是否同步给省厅 1同步 0不同步")
    private Long syProvince;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long sySky;


    @ApiModelProperty(value = "企业类型 0线上(非现场执法),1线下")
    /** 企业类型 0线上(非现场执法),1线下 */
    @Excel(name = "企业类型 0线上(非现场执法),1线下")
    private Long psType;


    @ApiModelProperty(value = "企业是否生成处置单 0不生成,1生成")
    /** 企业是否生成处置单 0不生成,1生成 */
    @Excel(name = "企业是否生成处置单 0不生成,1生成")
    private Long psDisposal;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("psCode", getPsCode())
            .append("psName", getPsName())
            .append("psLetter", getPsLetter())
            .append("address", getAddress())
            .append("industryCode", getIndustryCode())
            .append("regulationIndustryId", getRegulationIndustryId())
            .append("regionId", getRegionId())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("contact", getContact())
            .append("contactphone", getContactphone())
            .append("isHighChimney", getIsHighChimney())
            .append("isRubbish", getIsRubbish())
            .append("categoryTypeId", getCategoryTypeId())
            .append("isPwxk", getIsPwxk())
            .append("psState", getPsState())
            .append("enable", getEnable())
            .append("networkTime", getNetworkTime())
            .append("networkStatus", getNetworkStatus())
            .append("opFlagNetworkTime", getOpFlagNetworkTime())
            .append("opFlagNetworkStatus", getOpFlagNetworkStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("enableTime", getEnableTime())
            .append("deleteTime", getDeleteTime())
            .append("syProvince", getSyProvince())
            .append("sySky", getSySky())
            .append("psType", getPsType())
            .append("psDisposal", getPsDisposal())
            .toString();
    }
}
