package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain
 * @ClassName: PCodCompany
 * @Author: wyg
 * @Description:污染源信息对象 p_code_company
 * @Date: 2023/6/13 14:55
 * @Version: 1.0
 */
@Data
@ApiModel(value = "污染源信息模型")
public class PCodCompany {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @TableId(value = "company_id", type = IdType.AUTO)
    @ApiModelProperty(value = "$column.columnComment")
    private String companyId;

    /**
     * 公司名称
     */
    @Excel(name = "公司名称")
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    /**
     * 详细地址
     */
    @Excel(name = "详细地址")
    @ApiModelProperty(value = "详细地址")
    private String address;

    /**
     * 所属行业
     */
    @Excel(name = "所属行业")
    @ApiModelProperty(value = "所属行业")
    private Integer industryCode;

    /**
     * 省份编号
     */
    @Excel(name = "省份编号")
    @ApiModelProperty(value = "省份编号")
    private String provinceCode;

    /**
     * 省份名称
     */
    @Excel(name = "省份名称")
    @ApiModelProperty(value = "省份名称")
    private String province;

    /**
     * 城市编号
     */
    @Excel(name = "城市编号")
    @ApiModelProperty(value = "城市编号")
    private String cityCode;

    /**
     * 城市名称
     */
    @Excel(name = "城市名称")
    @ApiModelProperty(value = "城市名称")
    private String city;

    /**
     * 区县编号
     */
    @Excel(name = "区县编号")
    @ApiModelProperty(value = "区县编号")
    private String districtCode;

    /**
     * 区县名称
     */
    @Excel(name = "区县名称")
    @ApiModelProperty(value = "区县名称")
    private String district;

    /**
     * 现状（无问题0、 整改中1、完成整改2、未整改3）
     */
    @Excel(name = "现状", readConverterExp = "无=问题0、,整=改中1、完成整改2、未整改3")
    @ApiModelProperty(value = "现状（无问题0、 整改中1、完成整改2、未整改3）")
    private String status;

    /**
     * 是否有排口，0没有，1有
     */
    @Excel(name = "是否有排口，0没有，1有")
    @ApiModelProperty(value = "是否有排口，0没有，1有")
    private String hasoutlet;

    /**
     * 备注
     */
    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remarks;

    /**
     * 责任单位
     */
    @Excel(name = "责任单位")
    @ApiModelProperty(value = "责任单位")
    private String dutyCompany;

    /**
     * 创建人编号
     */
    @Excel(name = "创建人编号")
    @ApiModelProperty(value = "创建人编号")
    private String createUser;

    /**
     * 企业类型
     */
    @Excel(name = "企业类型")
    @ApiModelProperty(value = "企业类型")
    private Integer companyType;

    /**
     * 企业标签
     */
    @Excel(name = "企业标签")
    @ApiModelProperty(value = "企业标签")
    private Integer companyTag;

    /**
     * 企业信用代码
     */
    @Excel(name = "企业信用代码")
    @ApiModelProperty(value = "企业信用代码")
    private String creditCode;

    /**
     * 涉气污染物id（多个用,分割）
     */
    @Excel(name = "涉气污染物id", readConverterExp = "多=个用,分割")
    @ApiModelProperty(value = "涉气污染物id（多个用,分割）")
    private String fkAirPollutant;

    /**
     * 排污许可证编码（多个用,分割）
     */
    @Excel(name = "排污许可证编码", readConverterExp = "排污许可证编码")
    @ApiModelProperty(value = "排污许可证编码")
    private String pwxkz;

    /**
     * 登记地址
     */
    @Excel(name = "登记地址", readConverterExp = "登记地址")
    @ApiModelProperty(value = "登记地址")
    private String registAddress;


}
