package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain
 * @ClassName: PCodeAreaInfo
 * @Author: wyg
 * @Description: 1
 * @Date: 2023/6/13 09:58
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("p_code_area_info")
@ApiModel(value="PCodAreaInfo对象", description="监测地图-公共查询-数据查询")
public class PCodeAreaInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "区域编码")
    @TableId(value = "area_code", type = IdType.AUTO)
    private Integer areaCode;

    @ApiModelProperty(value = "区域名称")
    @TableField("area_name")
    private String areaName;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private String latitude;

    @ApiModelProperty(value = "0-使用 1-未使用")
    @TableField("is_used")
    private Integer isUsed;

    @TableField("area_type")
    private Integer areaType;
}
