package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


/**
 * 企业接入数据类型对象 pc_adsl
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业接入数据类型")
@Data
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("pc_adsl")
public class PcAdsl extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "adsl_id",type = IdType.AUTO)
    private Long adslId;


    @ApiModelProperty(value = "接入数据类型编码")
    /** 接入数据类型编码 */
    @Excel(name = "接入数据类型编码")
    private String adslName;


    @ApiModelProperty(value = "接入数据类型名称")
    /** 接入数据类型名称 */
    @Excel(name = "接入数据类型名称")
    private String adslCode;


    @ApiModelProperty(value = "是否启用(0-否,1-是)")
    /** 是否启用 */
    @Excel(name = "是否启用", readConverterExp = "0=否,1=是")
    private String adslEnable;

    @ApiModelProperty(value = "排序")
    /** 排序 */
    private String sort;

}
