package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


/**
 * 企业与接入数据类型关联对象 pc_adsl_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业与接入数据类型关联")
@Data
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("pc_adsl_factory")
public class PcAdslFactory extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "接入数据类型编码")
    /** 接入数据类型编码 */
    @Excel(name = "接入数据类型编码")
    private String adslCode;



}
