package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 管控要求对象 pc_control_requirements
 */
@ApiModel(value = "管控要求")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_control_requirements")
public class PcControlRequirements extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    @Excel(name = "排口id")
    private String outletId;


    @ApiModelProperty(value = "污染物种类id")
    /** 污染物种类id*/
    @Excel(name = "污染物种类id")
    private String pollutantId;


    @ApiModelProperty(value = "国家或地方污染物排放标准名")
    /** 国家或地方污染物排放标准名*/
    @Excel(name = "国家或地方污染物排放标准名")
    private String pollutantStandardName;


    @ApiModelProperty(value = "排放标准浓度限值")
    /** 排放标准浓度限值*/
    @Excel(name = "排放标准浓度限值")
    private String emissionStandardConcentrationLim;


    @ApiModelProperty(value = "排放标准浓度单位")
    /** 排放标准浓度单位*/
    @Excel(name = "排放标准浓度单位")
    private String emissionStandardConcentrationUnit;


    @ApiModelProperty(value = "排放标准速率限值（kg/h）")
    /** 排放标准速率限值（kg/h）*/
    @Excel(name = "排放标准速率限值", readConverterExp = "k=g/h")
    private String emissionStandardRateLim;


    @ApiModelProperty(value = "环境影响评价批复要求")
    /** 环境影响评价批复要求*/
    @Excel(name = "环境影响评价批复要求")
    private String approvalRequirements;


    @ApiModelProperty(value = "许可排放小时浓度限值")
    /** 许可排放小时浓度限值*/
    @Excel(name = "许可排放小时浓度限值")
    private String permissibleConcentrationLimHour;


    @ApiModelProperty(value = "许可排放日均浓度限值")
    /** 许可排放日均浓度限值*/
    @Excel(name = "许可排放日均浓度限值")
    private String permissibleConcentrationLimDay;


    @ApiModelProperty(value = "许可排放速率限值（kg/h）")
    /** 许可排放速率限值（kg/h）*/
    @Excel(name = "许可排放速率限值", readConverterExp = "k=g/h")
    private String permissibleRateLim;


    @ApiModelProperty(value = "许可年排放量限值-第一年（t/a）")
    /** 许可年排放量限值-第一年（t/a）*/
    @Excel(name = "许可年排放量限值-第一年", readConverterExp = "t=/a")
    private String permissibleLimFirst;


    @ApiModelProperty(value = "许可年排放量限值-第二年（t/a）")
    /** 许可年排放量限值-第二年（t/a）*/
    @Excel(name = "许可年排放量限值-第二年", readConverterExp = "t=/a")
    private String permissibleLimSecond;


    @ApiModelProperty(value = "许可年排放量限值-第三年（t/a）")
    /** 许可年排放量限值-第三年（t/a）*/
    @Excel(name = "许可年排放量限值-第三年", readConverterExp = "t=/a")
    private String permissibleLimThird;


    @ApiModelProperty(value = "许可年排放量限值-第四年（t/a）")
    /** 许可年排放量限值-第四年（t/a）*/
    @Excel(name = "许可年排放量限值-第四年", readConverterExp = "t=/a")
    private String permissibleLimFourth;


    @ApiModelProperty(value = "许可年排放量限值-第五年（t/a）")
    /** 许可年排放量限值-第五年（t/a）*/
    @Excel(name = "许可年排放量限值-第五年", readConverterExp = "t=/a")
    private String permissibleLimSfifth;


    @ApiModelProperty(value = "承诺更加严格排放浓度限值")
    /** 承诺更加严格排放浓度限值*/
    @Excel(name = "承诺更加严格排放浓度限值")
    private String commitmentEmissionLim;


    @ApiModelProperty(value = "监测设施")
    /** 监测设施*/
    @Excel(name = "监测设施")
    private String monitoringFacilities;


    @ApiModelProperty(value = "自动监测是否联网")
    /** 自动监测是否联网*/
    @Excel(name = "自动监测是否联网")
    private String whetherAutoMonitorConn;


    @ApiModelProperty(value = "自动监测仪器名称")
    /** 自动监测仪器名称*/
    @Excel(name = "自动监测仪器名称")
    private String autoMonitorName;


    @ApiModelProperty(value = "自动监测设施安装位置")
    /** 自动监测设施安装位置*/
    @Excel(name = "自动监测设施安装位置")
    private String autoMonitorAddress;


    @ApiModelProperty(value = "自动监测设施是否符合安装、运行、维护等管理要求")
    /** 自动监测设施是否符合安装、运行、维护等管理要求*/
    @Excel(name = "自动监测设施是否符合安装、运行、维护等管理要求")
    private String whetherAutoMonitorRequire;


    @ApiModelProperty(value = "手工监测采样方法及个数")
    /** 手工监测采样方法及个数*/
    @Excel(name = "手工监测采样方法及个数")
    private String manualMonitorNumber;


    @ApiModelProperty(value = "手工监测频次")
    /** 手工监测频次*/
    @Excel(name = "手工监测频次")
    private String manualMonitorFrequency;


    @ApiModelProperty(value = "手工测定方法")
    /** 手工测定方法*/
    @Excel(name = "手工测定方法")
    private String manualMonitorMethod;


    @ApiModelProperty(value = "其他信息")
    /** 其他信息*/
    @Excel(name = "其他信息")
    private String otherInformation;

    @ApiModelProperty(value = "管控要求污染物名称-用于页签")
    private String pollutantName;

    @ApiModelProperty(value = "主要污染防治措施")
    private String pollutionPreventionMeasures;

    @ApiModelProperty(value = "申请特殊时段许可排放量限值")
    private String commitmentEmissionPromise;

    @ApiModelProperty(value = "许可排放浓度限值（水）")
    private String permissibleConcentrationLimWater;

}
