package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 企业门禁信息
 *
 * @author szhpt
 * @date 2023-07-18*/
@ApiModel(value = "企业门禁信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_factory_access_control")
public class PcFactoryAccessControl {
    /**
    * 企业id
    */
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
    * 门禁名称
    */
    @ApiModelProperty(value="门禁名称")
    private String accessControlName;

    /**
    * 门禁编码
    */
    @ApiModelProperty(value="门禁编码")
    private String accessControlCode;

    /**
    * 门禁经度
    */
    @ApiModelProperty(value="门禁经度")
    private String accessControlLng;

    /**
    * 门禁纬度
    */
    @ApiModelProperty(value="门禁纬度")
    private String accessControlLat;
}