package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Description: 企业坐标操作记录表
 * @Author: code-generate
 * @Date:   2023-07-18
 * @Version: V1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="企业坐标操作记录表")
@TableName("pc_factory_coordinate_operation_log")
public class PcFactoryCoordinateOperationLog {
    
	/**主键标识*/
	@Excel(name = "主键标识")
    @ApiModelProperty(value = "主键标识")
	private String logId;
	/**操作时间*/
    @ApiModelProperty(value = "操作时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private java.util.Date operationTime;
	@Excel(name = "企业名称")
	@ApiModelProperty(value = "企业名称")
	private String factoryName;
	/**操作前经度*/
	@Excel(name = "操作前经度")
	@ApiModelProperty(value = "操作前经度")
	private String beforeModifyLng;
	/**操作前纬度*/
	@Excel(name = "操作前纬度")
	@ApiModelProperty(value = "操作前纬度")
	private String beforeModifyLag;
	/**操作状态*/
	@Excel(name = "操作状态")
	@ApiModelProperty(value = "操作状态")
	private String operationStatus;
	/**操作后经度*/
	@Excel(name = "操作后经度")
	@ApiModelProperty(value = "操作后经度")
	private String afterModifyLng;
	/**操作后纬度*/
	@Excel(name = "操作后纬度")
	@ApiModelProperty(value = "操作后纬度")
	private String afterModifyLag;
	/**操作人*/
	@Excel(name = "操作人")
	@ApiModelProperty(value = "操作人")
	private String operator;
	/**操作人ID*/
	@Excel(name = "操作人ID")
	@ApiModelProperty(value = "操作人ID")
	private String operatorId;
	/**企业ID*/
	@Excel(name = "企业ID")
	@ApiModelProperty(value = "企业ID")
	private String factoryId;
}
