package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业与污染物关系对象 pc_factory_pollutant
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "企业与污染物关系")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_factory_pollutant")
public class PcFactoryPollutant extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "中间表id")
    /** 中间表id */
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    @Excel(name = "排口id")
    private String outletId;


    @ApiModelProperty(value = "污染物id")
    /** 污染物id*/
    @Excel(name = "污染物id")
    private String pollutantId;
    @ApiModelProperty(value = "是否使用0否 1是")
    private String isStatus;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("outletId", getOutletId())
            .append("pollutantId", getPollutantId())
            .toString();
    }
}
