package cn.cecep.talroad.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
    * 危废排放跟踪-实际产生-计划申报
    */
@ApiModel(value="危废排放跟踪-实际产生-计划申报")
@Data
public class PcFactoryWasteEmissionsRank {
    /**
    * 主键ID
    */
    @ApiModelProperty(value="主键ID")
    private String id;

    /**
    * 企业id
    */
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
    * 废物类别
    */
    @ApiModelProperty(value="废物类别")
    private String wasteType;

    /**
    * 排放量排名
    */
    @ApiModelProperty(value="排放量排名")
    private String emissionsRank;

    /**
    * 实际产生量
    */
    @ApiModelProperty(value="实际产生量")
    private BigDecimal emissionsActual;

    /**
    * 计划申报量
    */
    @ApiModelProperty(value="计划申报量")
    private BigDecimal emissionsPermit;

    /**
    * 占比
    */
    @ApiModelProperty(value="占比")
    private BigDecimal emissionsRatio;

    /**
    * 0-系统, 1-执行报告
    */
    @ApiModelProperty(value="0-系统, 1-执行报告")
    private String dataSource;

    /**
    * 废物名称
    */
    @ApiModelProperty(value="废物名称")
    private String wasteName;

    /**
    * 废物代码
    */
    @ApiModelProperty(value="废物代码")
    private String wasteCode;
}