package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 行业对象 pc_industry
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "行业")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_industry")
public class PcIndustry extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "行业编码")
    /** 行业编码*/
    @Excel(name = "行业编码")
    private String indusCode;


    @ApiModelProperty(value = "行业名称")
    /** 行业名称 */
    @Excel(name = "行业名称")
    private String indusName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("indusCode", getIndusCode())
            .append("indusName", getIndusName())
            .toString();
    }
}
