package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;


/**
 * 特征标签-与企业关系中间对象 pc_label_factory
 */
@ApiModel(value = "特征标签-与企业关系中间")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_label_factory")
public class PcLabelFactory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.INPUT)
    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "企业id")
    @Excel(name = "企业id")
    @NotBlank(message = "企业不可以为空")
    private String factoryId;


    @ApiModelProperty(value = "特征标签id")
    @Excel(name = "特征标签id")
    @NotBlank(message = "标签不可以为空")
    private String labelId;

    @ApiModelProperty(value = "是否是企业重点展示标签")
    @Excel(name = "是否是企业重点展示标签")
    private String lableUseing;

    @ApiModelProperty(value = "标签值")
    @NotBlank(message = "标签值不能为空")
    private String labelValue;

}
