package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 特征标签-参数值对象 pc_label_value
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "特征标签-参数值")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_label_value")
public class PcLabelValue extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;


    @ApiModelProperty(value = "特征标签id")
    /** 特征标签id */
    @Excel(name = "特征标签id")
    private String labelId;


    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    @Excel(name = "参数编码")
    private String argumentsCode;


    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    private String argumentsName;

    @ApiModelProperty(value = "排序")
    /** 排序*/
    private int orderNum;

    @ApiModelProperty("标签别名")
    private String labelAlias;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("labelId", getLabelId())
            .append("argumentsCode", getArgumentsCode())
            .append("argumentsName", getArgumentsName())
            .toString();
    }
}
