package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业档案菜单管理对象 pc_menu
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业档案菜单管理")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_menu")
public class PcMenu extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "菜单名称")
    /** 菜单名称 */
    @Excel(name = "菜单名称")
    private String menuCode;


    @ApiModelProperty(value = "菜单编码")
    /** 菜单编码 */
    @Excel(name = "菜单编码")
    private String menuName;


    @ApiModelProperty(value = "是否启用")
    /** 是否启用 */
    @Excel(name = "是否启用")
    private String menuIfUse;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("menuCode", getMenuCode())
            .append("menuName", getMenuName())
            .append("menuIfUse", getMenuIfUse())
            .toString();
    }
}
