package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业档案菜单与企业关联中间对象 pc_menu_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业档案菜单与企业关联中间")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_menu_factory")
public class PcMenuFactory extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "菜单表id")
    /** 菜单表id */
    @Excel(name = "菜单表id")
    private String menuId;


    @ApiModelProperty(value = "是否启用(移除功能)")
    /** 是否启用(移除功能) */
    @Excel(name = "是否启用(移除功能)")
    private String menuIfUse;


    @ApiModelProperty(value = "是否重点关注")
    /** 是否重点关注 */
    @Excel(name = "是否重点关注")
    private String menuFocus;


    @ApiModelProperty(value = "是否重点排序")
    /** 是否重点排序 */
    @Excel(name = "是否重点排序")
    private String menuFocusIndex;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("menuId", getMenuId())
            .append("menuIfUse", getMenuIfUse())
            .append("menuFocus", getMenuFocus())
            .append("menuFocusIndex", getMenuFocusIndex())
            .toString();
    }
}
