package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 噪声排放类型对象 pc_noise_type
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "噪声排放类型")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_noise_type")
public class PcNoiseType extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "噪声类别id")
    /** 噪声类别id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "噪声类型名称")
    /** 噪声类型名称*/
    @Excel(name = "噪声类型名称")
    private String noiseTypeName;


    @ApiModelProperty(value = "噪声编码")
    /** 噪声编码*/
    @Excel(name = "噪声编码")
    private String noiseTypeCode;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("noiseTypeName", getNoiseTypeName())
            .append("noiseTypeCode", getNoiseTypeCode())
            .toString();
    }
}
