package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 污染物对象 pc_pollutant
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "污染物")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_pollutant")
public class PcPollutant extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别*/
    @Excel(name = "污染物类别")
    private String pollCategory;


    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称*/
    @Excel(name = "污染物名称")
    private String pollName;


    @ApiModelProperty(value = "污染物编码")
    /** 污染物编码*/
    @Excel(name = "污染物编码")
    private String pollCode;


    @ApiModelProperty(value = "污染物单位")
    /** 污染物单位*/
    @Excel(name = "污染物单位")
    private String pollUnit;


    @ApiModelProperty(value = "排放规律")
    /** 排放规律*/
    @Excel(name = "排放规律")
    private String emissionsLaws;

    @ApiModelProperty(value = "阈值下限")
    private String lowerThreshold;

    @ApiModelProperty(value = "阈值上限")
    private String upperThreshold;


    @ApiModelProperty(value = "执行标准")
    /** 执行标准*/
    @Excel(name = "执行标准")
    private String executiveStandard;

    @ApiModelProperty(value = "是否大气管控监管污染物")
    @TableField("is_gas_type")
    private String gasType;

    @ApiModelProperty(value = "监测数据实体类中（SEnvGasMonReal）对应的排放量属性")
    private String gasMonRealProperty;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pollCategory", getPollCategory())
            .append("pollName", getPollName())
            .append("pollCode", getPollCode())
            .append("pollUnit", getPollUnit())
            .append("emissionsLaws", getEmissionsLaws())
            .append("executiveStandard", getExecutiveStandard())
            .toString();
    }
}
