package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 站房基本信息对象 pc_station_building
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "站房基本信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_station_building")
public class PcStationBuilding extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "站房序号")
    /** 站房序号*/
    @Excel(name = "站房序号")
    private String stationBuildingCode;


    @ApiModelProperty(value = "站房名称")
    /** 站房名称*/
    @Excel(name = "站房名称")
    private String stationBuildingName;


    @ApiModelProperty(value = "CEMS设备品牌")
    /** CEMS设备品牌*/
    @Excel(name = "CEMS设备品牌")
    private String equipmentBrandCems;


    @ApiModelProperty(value = "对应监测点位id")
    /** 对应监测点位id*/
    @Excel(name = "对应监测点位id")
    private String stationId;


    @ApiModelProperty(value = "对应监测点位名称")
    /** 对应监测点位名称*/
    @Excel(name = "对应监测点位名称")
    private String stationName;


    @ApiModelProperty(value = "对应排口id")
    /** 对应排口id*/
    @Excel(name = "对应排口id")
    private String outletId;


    @ApiModelProperty(value = "对应排口名称")
    /** 对应排口名称*/
    @Excel(name = "对应排口名称")
    private String outletName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("stationBuildingCode", getStationBuildingCode())
            .append("stationBuildingName", getStationBuildingName())
            .append("equipmentBrandCems", getEquipmentBrandCems())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("outletId", getOutletId())
            .append("outletName", getOutletName())
            .toString();
    }
}
