package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 站房门禁监管信息对象 pc_station_building_entrance_gu
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "站房门禁监管信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_station_building_entrance_gu")
public class PcStationBuildingEntranceGu extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "站房id")
    /** 站房id*/
    private String stationBuildingId;


    @ApiModelProperty(value = "刷卡时间")
    /** 刷卡时间*/
    @Excel(name = "刷卡时间")
    private String visitTime;


    @ApiModelProperty(value = "门禁卡号")
    /** 门禁卡号*/
    @Excel(name = "门禁卡号")
    private String entranceGuardCode;


    @ApiModelProperty(value = "持卡人名称")
    /** 持卡人名称*/
    @Excel(name = "持卡人名称")
    private String entranceGuardSignature;


    @ApiModelProperty(value = "门禁卡类型")
    /** 门禁卡类型*/
    @Excel(name = "门禁卡类型")
    private String entranceGuardType;


    @ApiModelProperty(value = "图片")
    /** 图片*/
    private String entranceGuardImage;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationBuildingId", getStationBuildingId())
            .append("visitTime", getVisitTime())
            .append("entranceGuardCode", getEntranceGuardCode())
            .append("entranceGuardSignature", getEntranceGuardSignature())
            .append("entranceGuardType", getEntranceGuardType())
            .append("entranceGuardImage", getEntranceGuardImage())
            .toString();
    }
}
