package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 站房运维签到信息对象 pc_station_building_ops
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "站房运维签到信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_station_building_ops")
public class PcStationBuildingOps extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "站房id")
    /** 站房id*/
    private String stationBuildingId;

    @ApiModelProperty(value = "签到人员")
    /** 签到人员*/
    @Excel(name = "签到人员")
    private String signInPersonnel;


    @ApiModelProperty(value = "签到时间")
    /** 签到时间*/
    @Excel(name = "签到时间")
    private String signInTime;

    @ApiModelProperty(value = "签到图片")
    /** 签到图片*/
    private String signInImage;


    @ApiModelProperty(value = "运维活动")
    /** 运维活动*/
    @Excel(name = "运维活动")
    private String signOutPersonnel;


    @ApiModelProperty(value = "签退时间")
    /** 签退时间*/
    @Excel(name = "签退时间")
    private String signOutTime;


    @ApiModelProperty(value = "签退图片")
    /** 签退图片*/
    private String signOutImage;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stationBuildingId", getStationBuildingId())
            .append("signInPersonnel", getSignInPersonnel())
            .append("signInTime", getSignInTime())
            .append("signInImage", getSignInImage())
            .append("signOutPersonnel", getSignOutPersonnel())
            .append("signOutTime", getSignOutTime())
            .append("signOutImage", getSignOutImage())
            .toString();
    }
}
