package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;

import java.math.BigInteger;
import java.util.Date;


/**
 * 站房信息--站房门禁进出统计分析对象 pc_station_building_stat
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "站房信息--站房门禁进出统计分析")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_station_building_stat")
public class PcStationBuildingStat extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;


    @ApiModelProperty(value = "企业表主键id")
    /** 企业表主键id */
    @Excel(name = "企业表主键id")
    private String factoryId;


    @ApiModelProperty(value = "统计时间")
    /** 统计时间 */
    @Excel(name = "统计时间")
    private Date statisticalTime;


    @ApiModelProperty(value = "站房表主键id")
    /** 站房表主键id */
    @Excel(name = "站房表主键id")
    private String stationBuildingId;


    @ApiModelProperty(value = "刷卡次数")
    /** 刷卡次数 */
    @Excel(name = "刷卡次数")
    private Long swipesOfNumber;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("statisticalTime", getStatisticalTime())
            .append("stationBuildingId", getStationBuildingId())
            .append("swipesOfNumber", getSwipesOfNumber())
            .append("createTime", getCreateTime())
            .toString();
    }
}
