package cn.cecep.talroad.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *站点小时数据表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QEnvgasAreaHour implements Serializable {

    @Id
    private String id;

    @ApiModelProperty(value = "数据时间")
    private String data_time;

    @ApiModelProperty(value = "区域编号")
    private String region_code;

    @ApiModelProperty(value = "区域级别")
    private String region_level;

    @ApiModelProperty(value = "AQI")
    private Integer aqi;

    @ApiModelProperty(value = "综合指数")
    private BigDecimal pmi;

    @ApiModelProperty(value = "区间最大综合指数")
    private BigDecimal max_ipmi;

    @ApiModelProperty(value = "首要污染物")
    private String fk_pollutant_id;

    @ApiModelProperty(value = "空气质量级别")
    private Integer fk_aqilevel_id;

    @ApiModelProperty(value = "臭氧综合指数")
    private BigDecimal ipmi_o3;

    @ApiModelProperty(value = "总悬浮颗粒物")
    private BigDecimal tsp;

    @ApiModelProperty(value = "氮氧化物")
    private BigDecimal nox;

    @ApiModelProperty(value = "TVOC")
    private BigDecimal tvoc;

    @ApiModelProperty(value = "二氧化硫")
    private BigDecimal so2;

    @ApiModelProperty(value = "二氧化氮")
    private BigDecimal no2;

    @ApiModelProperty(value = "PM10")
    private BigDecimal pm10;

    @ApiModelProperty(value = "PM2.5")
    private BigDecimal pm25;

    @ApiModelProperty(value = "一氧化碳")
    private BigDecimal co;

    @ApiModelProperty(value = "臭氧")
    private BigDecimal o3;

    @ApiModelProperty(value = "温度")
    private BigDecimal temp;

    @ApiModelProperty(value = "湿度")
    private BigDecimal humi;

    @ApiModelProperty(value = "风速")
    private BigDecimal winds;

    @ApiModelProperty(value = "风向")
    private BigDecimal windd;

    @ApiModelProperty(value = "气压")
    private BigDecimal pres;

    @ApiModelProperty(value = "一氧化氮")
    private BigDecimal no;

    @ApiModelProperty(value = "能见度")
    private BigDecimal vis;

    @ApiModelProperty(value = "降水强度")
    private BigDecimal pi;

    @ApiModelProperty(value = "风力级别")
    private String wind_level;

    @ApiModelProperty(value = "风向")
    private String wind_direction;

    @ApiModelProperty(value = "二氧化硫分指数")
    private Integer iaqi_so2;

    @ApiModelProperty(value = "二氧化硫综合指数")
    private BigDecimal ipmi_so2;

    @ApiModelProperty(value = "二氧化氮分指数")
    private Integer iaqi_no2;

    @ApiModelProperty(value = "二氧化氮综合指数")
    private BigDecimal ipmi_no2;

    @ApiModelProperty(value = "PM10分指数")
    private Integer iaqi_pm10;

    @ApiModelProperty(value = "PM10综合指数")
    private BigDecimal ipmi_pm10;

    @ApiModelProperty(value = "一氧化碳分指数")
    private Integer iaqi_co;

    @ApiModelProperty(value = "一氧化碳综合指数")
    private BigDecimal ipmi_co;

    @ApiModelProperty(value = "臭氧分指数")
    private Integer iaqi_o3;

    @ApiModelProperty(value = "PM2.5分指数")
    private Integer iaqi_pm25;

    @ApiModelProperty(value = "PM2.5综合指数")
    private BigDecimal ipmi_pm25;

    @ApiModelProperty(value = "二氧化硫是否超标")
    private Integer so2_is_over;

    @ApiModelProperty(value = "二氧化硫区间最大值")
    private BigDecimal so2_max_value;

    @ApiModelProperty(value = "二氧化硫区间最小值")
    private BigDecimal so2_min_value;

    @ApiModelProperty(value = "二氧化氮是否超标")
    private Integer no2_is_over;

    @ApiModelProperty(value = "二氧化氮区间最大值")
    private BigDecimal no2_max_value;

    @ApiModelProperty(value = "二氧化氮区间最小值")
    private BigDecimal no2_min_value;

    @ApiModelProperty(value = "PM10是否超标")
    private Integer pm10_is_over;

    @ApiModelProperty(value = "PM10区间最大值")
    private BigDecimal pm10_max_value;

    @ApiModelProperty(value = "PM10区间最小值")
    private BigDecimal pm10_min_value;

    @ApiModelProperty(value = "PM2.5是否超标")
    private Integer pm25_is_over;

    @ApiModelProperty(value = "PM2.5区间最大值")
    private BigDecimal pm25_max_value;

    @ApiModelProperty(value = "PM2.5区间最小值")
    private BigDecimal pm25_min_value;

    @ApiModelProperty(value = "一氧化碳是否超标")
    private Integer co_is_over;

    @ApiModelProperty(value = "一氧化碳区间最大值")
    private BigDecimal co_max_value;

    @ApiModelProperty(value = "一氧化碳区间最小值")
    private BigDecimal co_min_value;

    @ApiModelProperty(value = "臭氧是否超标")
    private Integer o3_is_over;

    @ApiModelProperty(value = "臭氧区间最大值")
    private BigDecimal o3_max_value;

    @ApiModelProperty(value = "臭氧区间最小值")
    private BigDecimal o3_min_value;

    @ApiModelProperty(value = "温度是否超标")
    private Integer temp_is_over;

    @ApiModelProperty(value = "温度区间最大值")
    private BigDecimal temp_max_value;

    @ApiModelProperty(value = "温度区间最小值")
    private BigDecimal temp_min_value;

    @ApiModelProperty(value = "湿度是否超标")
    private Integer humi_is_over;

    @ApiModelProperty(value = "湿度区间最大值")
    private BigDecimal humi_max_value;

    @ApiModelProperty(value = "湿度区间最小值")
    private BigDecimal humi_min_value;

    @ApiModelProperty(value = "风速是否超标")
    private Integer winds_is_over;

    @ApiModelProperty(value = "风速区间最大值")
    private BigDecimal winds_max_value;

    @ApiModelProperty(value = "风速区间最小值")
    private BigDecimal winds_min_value;

    @ApiModelProperty(value = "气压是否超标")
    private Integer pres_is_over;

    @ApiModelProperty(value = "气压区间最大值")
    private BigDecimal pres_max_value;

    @ApiModelProperty(value = "气压区间最小值")
    private BigDecimal pres_min_value;

    @ApiModelProperty(value = "创建时间")
    private String create_time;

    @ApiModelProperty(value = "更新时间")
    private String updateTime;



}
