package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 站点小时数据对象 q_envgas_station_day
 */
@Data
@ApiModel(value = "站点小时数据模型")
public class QEnvgasStationDay {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 数据时间
     */
    @Excel(name = "数据时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "数据时间")
    private Date dataTime;

    /**
     * 站点编号
     */
    @Excel(name = "站点编号")
    @ApiModelProperty(value = "站点编号")
    private String stationCode;

    /**
     * AQI
     */
    @Excel(name = "AQI")
    @ApiModelProperty(value = "AQI")
    private Integer aqi;

    /**
     * 综合指数
     */
    @Excel(name = "综合指数")
    @ApiModelProperty(value = "综合指数")
    private BigDecimal pmi;

    /**
     * 区间最大综合指数
     */
    @Excel(name = "区间最大综合指数")
    @ApiModelProperty(value = "区间最大综合指数")
    private BigDecimal maxIpmi;

    /**
     * 空气质量级别
     */
    @Excel(name = "空气质量级别")
    @ApiModelProperty(value = "空气质量级别")
    private Integer fkAqilevelId;

    /**
     * 二氧化硫
     */
    @Excel(name = "二氧化硫")
    @ApiModelProperty(value = "二氧化硫")
    private BigDecimal so2;

    /**
     * 二氧化硫是否超标
     */
    @Excel(name = "二氧化硫是否超标")
    @ApiModelProperty(value = "二氧化硫是否超标")
    private Integer so2IsOver;

    /**
     * 二氧化硫区间最大值
     */
    @Excel(name = "二氧化硫区间最大值")
    @ApiModelProperty(value = "二氧化硫区间最大值")
    private BigDecimal so2MaxValue;

    /**
     * 二氧化硫区间最小值
     */
    @Excel(name = "二氧化硫区间最小值")
    @ApiModelProperty(value = "二氧化硫区间最小值")
    private BigDecimal so2MinValue;

    /**
     * 二氧化氮
     */
    @Excel(name = "二氧化氮")
    @ApiModelProperty(value = "二氧化氮")
    private BigDecimal no2;

    /**
     * 二氧化氮是否超标
     */
    @Excel(name = "二氧化氮是否超标")
    @ApiModelProperty(value = "二氧化氮是否超标")
    private Integer no2IsOver;

    /**
     * 二氧化氮区间最大值
     */
    @Excel(name = "二氧化氮区间最大值")
    @ApiModelProperty(value = "二氧化氮区间最大值")
    private BigDecimal no2MaxValue;

    /**
     * 二氧化氮区间最小值
     */
    @Excel(name = "二氧化氮区间最小值")
    @ApiModelProperty(value = "二氧化氮区间最小值")
    private BigDecimal no2MinValue;

    /**
     * PM10
     */
    @Excel(name = "PM10")
    @ApiModelProperty(value = "PM10")
    private BigDecimal pm10;

    /**
     * PM10是否超标
     */
    @Excel(name = "PM10是否超标")
    @ApiModelProperty(value = "PM10是否超标")
    private Integer pm10IsOver;

    /**
     * PM10区间最大值
     */
    @Excel(name = "PM10区间最大值")
    @ApiModelProperty(value = "PM10区间最大值")
    private BigDecimal pm10MaxValue;

    /**
     * PM10区间最小值
     */
    @Excel(name = "PM10区间最小值")
    @ApiModelProperty(value = "PM10区间最小值")
    private BigDecimal pm10MinValue;

    /**
     * PM2.5
     */
    @Excel(name = "PM2.5")
    @ApiModelProperty(value = "PM2.5")
    private BigDecimal pm25;

    /**
     * PM2.5是否超标
     */
    @Excel(name = "PM2.5是否超标")
    @ApiModelProperty(value = "PM2.5是否超标")
    private Integer pm25IsOver;

    /**
     * PM2.5区间最大值
     */
    @Excel(name = "PM2.5区间最大值")
    @ApiModelProperty(value = "PM2.5区间最大值")
    private BigDecimal pm25MaxValue;

    /**
     * PM2.5区间最小值
     */
    @Excel(name = "PM2.5区间最小值")
    @ApiModelProperty(value = "PM2.5区间最小值")
    private BigDecimal pm25MinValue;

    /**
     * 一氧化碳
     */
    @Excel(name = "一氧化碳")
    @ApiModelProperty(value = "一氧化碳")
    private BigDecimal co;

    /**
     * 一氧化碳是否超标
     */
    @Excel(name = "一氧化碳是否超标")
    @ApiModelProperty(value = "一氧化碳是否超标")
    private Integer coIsOver;

    /**
     * 一氧化碳区间最大值
     */
    @Excel(name = "一氧化碳区间最大值")
    @ApiModelProperty(value = "一氧化碳区间最大值")
    private BigDecimal coMaxValue;

    /**
     * 一氧化碳区间最小值
     */
    @Excel(name = "一氧化碳区间最小值")
    @ApiModelProperty(value = "一氧化碳区间最小值")
    private BigDecimal coMinValue;

    /**
     * 臭氧
     */
    @Excel(name = "臭氧")
    @ApiModelProperty(value = "臭氧")
    private BigDecimal o3;

    /**
     * 臭氧是否超标
     */
    @Excel(name = "臭氧是否超标")
    @ApiModelProperty(value = "臭氧是否超标")
    private Integer o3IsOver;

    /**
     * 臭氧区间最大值
     */
    @Excel(name = "臭氧区间最大值")
    @ApiModelProperty(value = "臭氧区间最大值")
    private BigDecimal o3MaxValue;

    /**
     * 臭氧区间最小值
     */
    @Excel(name = "臭氧区间最小值")
    @ApiModelProperty(value = "臭氧区间最小值")
    private BigDecimal o3MinValue;

    /**
     * 臭氧
     */
    @Excel(name = "臭氧")
    @ApiModelProperty(value = "臭氧")
    @TableField(value = "o3_8h")
    private BigDecimal o38h;

    /**
     * 臭氧八小时平均 是否超标
     */
    @Excel(name = "臭氧八小时平均 是否超标")
    @ApiModelProperty(value = "臭氧八小时平均 是否超标")
    @TableField(value = "o3_8h_is_over")
    private Integer o38hIsOver;

    /**
     * 臭氧八小时平均 区间最大值
     */
    @Excel(name = "臭氧八小时平均 区间最大值")
    @ApiModelProperty(value = "臭氧八小时平均 区间最大值")
    @TableField(value = "o3_8h_max_value")
    private BigDecimal o38hMaxValue;

    /**
     * 臭氧八小时平均 区间最小值
     */
    @Excel(name = "臭氧八小时平均 区间最小值")
    @ApiModelProperty(value = "臭氧八小时平均 区间最小值")
    @TableField(value = "o3_8h_min_value")
    private BigDecimal o38hMinValue;

    /**
     * 温度
     */
    @Excel(name = "温度")
    @ApiModelProperty(value = "温度")
    private BigDecimal temp;

    /**
     * 温度是否超标
     */
    @Excel(name = "温度是否超标")
    @ApiModelProperty(value = "温度是否超标")
    private Integer tempIsOver;

    /**
     * 温度区间最大值
     */
    @Excel(name = "温度区间最大值")
    @ApiModelProperty(value = "温度区间最大值")
    private BigDecimal tempMaxValue;

    /**
     * 温度区间最小值
     */
    @Excel(name = "温度区间最小值")
    @ApiModelProperty(value = "温度区间最小值")
    private BigDecimal tempMinValue;

    /**
     * 湿度
     */
    @Excel(name = "湿度")
    @ApiModelProperty(value = "湿度")
    private BigDecimal humi;

    /**
     * 湿度是否超标
     */
    @Excel(name = "湿度是否超标")
    @ApiModelProperty(value = "湿度是否超标")
    private Integer humiIsOver;

    /**
     * 湿度区间最大值
     */
    @Excel(name = "湿度区间最大值")
    @ApiModelProperty(value = "湿度区间最大值")
    private BigDecimal humiMaxValue;

    /**
     * 湿度区间最小值
     */
    @Excel(name = "湿度区间最小值")
    @ApiModelProperty(value = "湿度区间最小值")
    private BigDecimal humiMinValue;

    /**
     * 风速
     */
    @Excel(name = "风速")
    @ApiModelProperty(value = "风速")
    private BigDecimal winds;

    /**
     * 风速是否超标
     */
    @Excel(name = "风速是否超标")
    @ApiModelProperty(value = "风速是否超标")
    private Integer windsIsOver;

    /**
     * 风速区间最大值
     */
    @Excel(name = "风速区间最大值")
    @ApiModelProperty(value = "风速区间最大值")
    private BigDecimal windsMaxValue;

    /**
     * 风速区间最小值
     */
    @Excel(name = "风速区间最小值")
    @ApiModelProperty(value = "风速区间最小值")
    private BigDecimal windsMinValue;

    /**
     * 风向
     */
    @Excel(name = "风向")
    @ApiModelProperty(value = "风向")
    private BigDecimal windd;

    /**
     * 风力
     */
    @Excel(name = "风力")
    @ApiModelProperty(value = "风力")
    private String windLevel;

    /**
     * 气压
     */
    @Excel(name = "气压")
    @ApiModelProperty(value = "气压")
    private BigDecimal pres;

    /**
     * 气压区间最大值
     */
    @Excel(name = "气压区间最大值")
    @ApiModelProperty(value = "气压区间最大值")
    private Integer presIsOver;

    /**
     * 气压区间最小值
     */
    @Excel(name = "气压区间最小值")
    @ApiModelProperty(value = "气压区间最小值")
    private BigDecimal presMaxValue;

    /**
     * 行政区域编号
     */
    @Excel(name = "行政区域编号")
    @ApiModelProperty(value = "行政区域编号")
    private BigDecimal presMinValue;

    /**
     * 二氧化硫分指数
     */
    @Excel(name = "二氧化硫分指数")
    @ApiModelProperty(value = "二氧化硫分指数")
    private BigDecimal iaqiSo2;

    /**
     * 二氧化硫综合指数
     */
    @Excel(name = "二氧化硫综合指数")
    @ApiModelProperty(value = "二氧化硫综合指数")
    private BigDecimal ipmiSo2;

    /**
     * 二氧化氮分指数
     */
    @Excel(name = "二氧化氮分指数")
    @ApiModelProperty(value = "二氧化氮分指数")
    private BigDecimal iaqiNo2;

    /**
     * 二氧化氮综合指数
     */
    @Excel(name = "二氧化氮综合指数")
    @ApiModelProperty(value = "二氧化氮综合指数")
    private BigDecimal ipmiNo2;

    /**
     * PM10分指数
     */
    @Excel(name = "PM10分指数")
    @ApiModelProperty(value = "PM10分指数")
    private BigDecimal iaqiPm10;

    /**
     * PM10综合指数
     */
    @Excel(name = "PM10综合指数")
    @ApiModelProperty(value = "PM10综合指数")
    private BigDecimal ipmiPm10;

    /**
     * 一氧化碳分指数
     */
    @Excel(name = "一氧化碳分指数")
    @ApiModelProperty(value = "一氧化碳分指数")
    private BigDecimal iaqiCo;

    /**
     * 一氧化碳综合指数
     */
    @Excel(name = "一氧化碳综合指数")
    @ApiModelProperty(value = "一氧化碳综合指数")
    private BigDecimal ipmiCo;

    /**
     * 臭氧分指数
     */
    @Excel(name = "臭氧分指数")
    @ApiModelProperty(value = "臭氧分指数")
    private BigDecimal iaqiO3;

    /**
     * 臭氧综合指数
     */
    @Excel(name = "臭氧综合指数")
    @ApiModelProperty(value = "臭氧综合指数")
    private BigDecimal ipmiO3;

    /**
     * PM2.5分指数
     */
    @Excel(name = "PM2.5分指数")
    @ApiModelProperty(value = "PM2.5分指数")
    private BigDecimal iaqiPm25;

    /**
     * PM2.5综合指数
     */
    @Excel(name = "PM2.5综合指数")
    @ApiModelProperty(value = "PM2.5综合指数")
    private BigDecimal ipmiPm25;

    /**
     * 臭氧八小时平均 分指数
     */
    @Excel(name = "臭氧八小时平均 分指数")
    @ApiModelProperty(value = "臭氧八小时平均 分指数")
    @TableField(value = "iaqi_o3_8h")
    private BigDecimal iaqiO38h;

    /**
     * 臭氧八小时平均 综合指数
     */
    @Excel(name = "臭氧八小时平均 综合指数")
    @ApiModelProperty(value = "臭氧八小时平均 综合指数")
    @TableField(value = "ipmi_o3_8h")
    private BigDecimal ipmiO38h;

    /**
     * 总悬浮颗粒物
     */
    @Excel(name = "总悬浮颗粒物")
    @ApiModelProperty(value = "总悬浮颗粒物")
    private BigDecimal tsp;

    /**
     * 氮氧化物
     */
    @Excel(name = "氮氧化物")
    @ApiModelProperty(value = "氮氧化物")
    private BigDecimal nox;

    /**
     * TVOC
     */
    @Excel(name = "TVOC")
    @ApiModelProperty(value = "TVOC")
    private BigDecimal tvoc;


    /**
     * 首要污染物(首要污染物可能是多个)
     */
    @Excel(name = "首要污染物(首要污染物可能是多个)")
    @ApiModelProperty(value = "首要污染物(首要污染物可能是多个)")
    private String fkPollutantId;

    private Date createTime;

    private Date updateTime;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "$column.columnComment")
    private String cdResourceUrl;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "$column.columnComment")
    private String cdResourceName;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "$column.columnComment")
    private String cdResourceType;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "$column.columnComment")
    private String cdResourceLevel;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "$column.columnComment")
    private String cdResourceRegionLevel;


}
