package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * 废水监测数据对象 s_env_water_mon_real
 */
@ApiModel(value = "废水监测数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_env_water_mon_hour")
public class SEnvWaterMonHour extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排口id")
    /** 排口id */
    @Excel(name = "排口id")
    private String outletId;


    @ApiModelProperty(value = "数据类型（日：d；小时：h；分钟：m）")
    /** 数据类型（日：d；小时：h；分钟：m） */
    @Excel(name = "数据类型", readConverterExp = "日=：d；小时：h；分钟：m")
    private String dataType;


    @ApiModelProperty(value = "日期")
    /** 日期 */
    @Excel(name = "日期")
    private String monitoringTime;


    @ApiModelProperty(value = "污水")
    /** 污水 */
    @Excel(name = "污水")
    private String sewage;


    @ApiModelProperty(value = "污水排放量")
    /** 污水排放量 */
    @Excel(name = "污水排放量")
    private String sewageEmission;


    @ApiModelProperty(value = "化学需氧量")
    /** 化学需氧量 */
    @Excel(name = "化学需氧量")
    private String cod;


    @ApiModelProperty(value = "cod浓度")
    /** cod浓度 */
    @Excel(name = "cod浓度")
    private String codConcentration;


    @ApiModelProperty(value = "化学需氧量排放量")
    /** 化学需氧量排放量 */
    @Excel(name = "化学需氧量排放量")
    private String codEmission;


    @ApiModelProperty(value = "氨氮")
    /** 氨氮 */
    @Excel(name = "氨氮")
    private String ammoniaNitrogen;


    @ApiModelProperty(value = "氨氮排放量")
    /** 氨氮排放量 */
    @Excel(name = "氨氮排放量")
    private String ammoniaNitrogenEmission;


    @ApiModelProperty(value = "总氮浓度")
    /** 总氮浓度 */
    @Excel(name = "总氮浓度")
    private String nitrogenConcentration;


    @ApiModelProperty(value = "总氮排放量")
    /** 总氮排放量 */
    @Excel(name = "总氮排放量")
    private String nitrogenConcentrationEmission;


    @ApiModelProperty(value = "总磷浓度")
    /** 总磷浓度 */
    @Excel(name = "总磷浓度")
    private String phosphorusConcentration;


    @ApiModelProperty(value = "总磷排放量")
    /** 总磷排放量 */
    @Excel(name = "总磷排放量")
    private String phosphorusConcentrationEmission;


    @ApiModelProperty(value = "ph值")
    /** ph值 */
    @Excel(name = "ph值")
    private String phValue;


    @ApiModelProperty(value = "废水流量")
    /** 废水流量 */
    @Excel(name = "废水流量")
    private String wastewaterFlow;

    private Date dateTime;
    private String sewageFlag;
    private String phValueFlag;
    private String codFlag;
    private String ammoniaNitrogenFlag;
    private String nitrogenConcentrationFlag;
    private String phosphorusConcentrationFlag;
    private String dataFlag;

    // 修约排放量
    private String codCorrectEmission;
    private String ammoniaCorrectEmission;
    private String nitrogenCorrectEmission;
    private String phosphorusCorrectEmission;

}
