package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 多源排放量汇总分析-废水-手工监测数据对象 s_env_water_self_day
 *
 * @author szhpt
 * @date 2023-07-26
 */
@ApiModel(value = "多源排放量汇总分析-废水-手工监测数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_env_water_self_day")
public class SEnvWaterSelfDay extends BaseEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id ")
    /** 主键id */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    private String outletId;

    @ApiModelProperty(value = "数据类型（日：D；小时：H；分钟：M）")
    /** 数据类型（日：D；小时：H；分钟：M） */
    private String dataType;

    @ApiModelProperty(value = "日期")
    /** 日期*/
    private String monitoringTime;

    @ApiModelProperty(value = "污水")
    /** 污水*/
    @Excel(name = "污水")
    private String sewage;

    @ApiModelProperty(value = "污水排放")
    /** 污水排放 */
    @Excel(name = "污水排放")
    private String sewageEmission;

    @ApiModelProperty(value = "PH值")
    /** PH值 */
    @Excel(name = "PH值")
    private String phValue;

    @ApiModelProperty(value = "化学需氧量")
    /** 化学需氧量 */
    @Excel(name = "化学需氧量")
    private String cod;

    @ApiModelProperty(value = "化学需氧量排放")
    /** 化学需氧量排放 */
    @Excel(name = "化学需氧量排放")
    private String codEmission;

    @ApiModelProperty(value = "氨氮")
    /** 氨氮 */
    @Excel(name = "氨氮")
    private String ammoniaNitrogen;

    @ApiModelProperty(value = "氨氮折算排放")
    /** 氨氮折算排放 */
    @Excel(name = "氨氮折算排放")
    private String ammoniaNitrogenEmission;

    @ApiModelProperty(value = "COD浓度")
    /** COD浓度 */
    @Excel(name = "COD浓度")
    private String codConcentration;

    @ApiModelProperty(value = "废水流量")
    /** 废水流量 */
    @Excel(name = "废水流量")
    private String wastewaterFlow;

    @ApiModelProperty(value = "总氮浓度")
    /** 总氮浓度 */
    @Excel(name = "总氮浓度")
    private String nitrogenConcentration;

    @ApiModelProperty(value = "总氮排放")
    /** 总氮排放 */
    @Excel(name = "总氮排放")
    private String nitrogenConcentrationEmission;

    @ApiModelProperty(value = "总磷浓度")
    /** 总磷浓度 */
    @Excel(name = "总磷浓度")
    private String phosphorusConcentration;

    @ApiModelProperty(value = "总磷排放")
    /** 总磷排放 */
    @Excel(name = "总磷排放")
    private String phosphorusConcentrationEmission;

    @ApiModelProperty(value = "采集时间（时间类型）")
    /** 采集时间（时间类型） */
    @Excel(name = "采集时间", readConverterExp = "时=间类型")
    private String dateTime;

    @ApiModelProperty(value = "污水数据标记")
    /** 污水数据标记 */
    @Excel(name = "污水数据标记")
    private String sewageFlag;

    @ApiModelProperty(value = "PH值数据标记")
    /** PH值数据标记 */
    @Excel(name = "PH值数据标记")
    private String phValueFlag;

    @ApiModelProperty(value = "化学需氧量数据标记")
    /** 化学需氧量数据标记 */
    @Excel(name = "化学需氧量数据标记")
    private String codFlag;

    @ApiModelProperty(value = "氨氮数据标记")
    /** 氨氮数据标记 */
    @Excel(name = "氨氮数据标记")
    private String ammoniaNitrogenFlag;

    @ApiModelProperty(value = "总氮数据标记")
    /** 总氮数据标记 */
    @Excel(name = "总氮数据标记")
    private String nitrogenConcentrationFlag;

    @ApiModelProperty(value = "总磷数据标记")
    /** 总磷数据标记 */
    @Excel(name = "总磷数据标记")
    private String phosphorusConcentrationFlag;

    @ApiModelProperty(value = "数据标记 见字典类型anal_data_flag")
    /** 数据标记 见字典类型anal_data_flag */
    @Excel(name = "数据标记 见字典类型anal_data_flag")
    private String dataFlag;

    @ApiModelProperty(value = "cod修约排放量")
    /** cod修约排放量 */
    @Excel(name = "cod修约排放量")
    private String codCorrectEmission;

    @ApiModelProperty(value = "氨氮修约排放量")
    /** 氨氮修约排放量 */
    @Excel(name = "氨氮修约排放量")
    private String ammoniaCorrectEmission;

    @ApiModelProperty(value = "总氮修约排放量")
    /** 总氮修约排放量 */
    @Excel(name = "总氮修约排放量")
    private String nitrogenCorrectEmission;

    @ApiModelProperty(value = "总磷修约排放量")
    /** 总磷修约排放量 */
    @Excel(name = "总磷修约排放量")
    private String phosphorusCorrectEmission;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("outletId", getOutletId())
            .append("dataType", getDataType())
            .append("monitoringTime", getMonitoringTime())
            .append("sewage", getSewage())
            .append("sewageEmission", getSewageEmission())
            .append("phValue", getPhValue())
            .append("cod", getCod())
            .append("codEmission", getCodEmission())
            .append("ammoniaNitrogen", getAmmoniaNitrogen())
            .append("ammoniaNitrogenEmission", getAmmoniaNitrogenEmission())
            .append("codConcentration", getCodConcentration())
            .append("wastewaterFlow", getWastewaterFlow())
            .append("nitrogenConcentration", getNitrogenConcentration())
            .append("nitrogenConcentrationEmission", getNitrogenConcentrationEmission())
            .append("phosphorusConcentration", getPhosphorusConcentration())
            .append("phosphorusConcentrationEmission", getPhosphorusConcentrationEmission())
            .append("dateTime", getDateTime())
            .append("sewageFlag", getSewageFlag())
            .append("phValueFlag", getPhValueFlag())
            .append("codFlag", getCodFlag())
            .append("ammoniaNitrogenFlag", getAmmoniaNitrogenFlag())
            .append("nitrogenConcentrationFlag", getNitrogenConcentrationFlag())
            .append("phosphorusConcentrationFlag", getPhosphorusConcentrationFlag())
            .append("dataFlag", getDataFlag())
            .append("codCorrectEmission", getCodCorrectEmission())
            .append("ammoniaCorrectEmission", getAmmoniaCorrectEmission())
            .append("nitrogenCorrectEmission", getNitrogenCorrectEmission())
            .append("phosphorusCorrectEmission", getPhosphorusCorrectEmission())
            .toString();
    }
}
