package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain
 * @ClassName: SEnvgasAqilevel
 * @Author: wyg
 * @Description:
 * @Date: 2023/6/13 15:21
 * @Version: 1.0
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("s_envgas_aqilevel")
@ApiModel(value="SEnvgasAqilevel对象", description="空气质量等级表")
public class SEnvgasAqilevel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "pk_id", type = IdType.AUTO)
    private Integer pkId;

    @ApiModelProperty(value = "上限值")
    @TableField("upper_value")
    private BigDecimal upperValue;

    @ApiModelProperty(value = "下限值")
    @TableField("lower_value")
    private BigDecimal lowerValue;

    @ApiModelProperty(value = "级别")
    @TableField("aqi_level")
    private String aqiLevel;

    @ApiModelProperty(value = "类别")
    @TableField("aqi_type")
    private String aqiType;

    @ApiModelProperty(value = "颜色(色号)")
    @TableField("aqi_color")
    private String aqiColor;

    @ApiModelProperty(value = "影响")
    @TableField("aqi_effect")
    private String aqiEffect;

    @ApiModelProperty(value = "措施")
    @TableField("aqi_measure")
    private String aqiMeasure;


}
