package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain
 * @ClassName: SEnvgasPollutionControl
 * @Author: wyg
 * @Description: 污染物控制表
 * @Date: 2023/6/13 11:14
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("s_envgas_pollution_control")
@ApiModel(value = "SEnvgasPollutionControl对象", description = "污染物控制表 ")
public class SEnvgasPollutionControl implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "控制级别id")
    @TableField("control_level_id")
    private Integer controlLevelId;

    @ApiModelProperty(value = "污染因子id")
    @TableField("pollution_id")
    private Integer pollutionId;

    @ApiModelProperty(value = "1:因子类型 2：气象类型")
    @TableField("type")
    private String type;


}
