package cn.cecep.talroad.domain;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain
 * @ClassName:
 * @Author: wyg
 * @Description:
 * @Date: 2023/6/13 11:36
 * @Version: 1.0
 */
@Data
@ApiModel(value = "污染源企业类型模型")
public class SEnvgasPollutionMold implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "pk_id", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long pkId;

    /**
     * 污染编号
     */
    @Excel(name = "污染编号")
    @ApiModelProperty(value = "污染编号")
    private String code;

    /**
     * 名称
     */
    @Excel(name = "名称")
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 账号区域id
     */
    @Excel(name = "账号区域id")
    @ApiModelProperty(value = "账号区域id")
    private String regionCode;

    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long serial;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @TableField(exist = false)
    private Integer pageNum;
    @TableField(exist = false)
    private Integer pageSize;
}
