package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 日常检查信息对象 s_integrated_routine_inspection
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "日常检查信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_integrated_routine_inspection")
public class SIntegratedRoutineInspection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;


    @ApiModelProperty(value = "年份")
    /** 年份*/
    @Excel(name = "年份")
    private String particularYear;


    @ApiModelProperty(value = "检查轮次")
    /** 检查轮次*/
    @Excel(name = "检查轮次")
    private String checkRounds;


    @ApiModelProperty(value = "检查时间")
    /** 检查时间*/
    @Excel(name = "检查时间")
    private String checkTime;


    @ApiModelProperty(value = "检查人员")
    /** 检查人员*/
    @Excel(name = "检查人员")
    private String inspector;


    @ApiModelProperty(value = "检查评分")
    /** 检查评分*/
    @Excel(name = "检查评分")
    private String checkScore;


    @ApiModelProperty(value = "总分")
    /** 总分*/
    @Excel(name = "总分")
    private String totalPoints;


    @ApiModelProperty(value = "审查类型")
    /** 审查类型*/
    @Excel(name = "审查类型")
    private String reviewTypes;


    @ApiModelProperty(value = "审核状态")
    /** 审核状态*/
    @Excel(name = "审核状态")
    private String reviewStatus;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("particularYear", getParticularYear())
            .append("checkRounds", getCheckRounds())
            .append("checkTime", getCheckTime())
            .append("inspector", getInspector())
            .append("checkScore", getCheckScore())
            .append("totalPoints", getTotalPoints())
            .append("reviewTypes", getReviewTypes())
            .append("reviewStatus", getReviewStatus())
            .toString();
    }
}
