package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 基本信息-废气、废水排口档案-动态管控信息对象 s_main_dynamic_control
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "基本信息-废气、废水排口档案-动态管控信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_main_dynamic_control")
public class SMainDynamicControl extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排口id")
    /** 排口id */
    @Excel(name = "排口id")
    private String outletId;


    @ApiModelProperty(value = "CEMS设备品牌")
    /** CEMS设备品牌 */
    @Excel(name = "CEMS设备品牌")
    private String equipmentBrandCems;


    @ApiModelProperty(value = "仪器状态")
    /** 仪器状态 */
    @Excel(name = "仪器状态")
    private String equipmentState;


    @ApiModelProperty(value = "管控类型编码")
    /** 管控类型编码 */
    @Excel(name = "管控类型编码")
    private String controlTypeCode;


    @ApiModelProperty(value = "管控类型名称")
    private String controlTypeName;

    private String mn;


}
