package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联对象 s_main_dynamic_control_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_main_dynamic_control_factory")
public class SMainDynamicControlFactory extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "排口id")
    /** 排口id */
    @Excel(name = "排口id")
    private String outletId;


    @ApiModelProperty(value = "管控类型编码")
    private String controlTypeCode;


    @ApiModelProperty(value = "实测值")
    /** 实测值 */
    @Excel(name = "实测值")
    private String measuredValue;


    @ApiModelProperty(value = "验收标准值")
    /** 验收标准值 */
    @Excel(name = "验收标准值")
    private String standardValue;

    private String mn;
    private String argumentsName;

}
