package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 站点类型字典对象 s_station_type_dict
 */
@ApiModel(value = "站点类型字典")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_station_type_dict")
public class SStationTypeDict extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;

    @ApiModelProperty(value = "类型名称")
    private String typeName;
    private Long typeCode;

    @ApiModelProperty(value = "站点类型。1:大气, 2:水")
    private Long stationType;

    @ApiModelProperty(value = "是否启用0启用，1禁用")
    private Long status;

    @ApiModelProperty(value = "展示类型1:大屏")
    private Long showType;

    @ApiModelProperty(value = "排序")
    private Long sort;

    @ApiModelProperty(value = "数据源 1:大气, 2:水")
    private String dataSource;

    @ApiModelProperty(value = "图表中展示的监测参数，多个用逗号分隔")
    private String chartPollutant;

}
