package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
    * 产量趋势指标小时天月数据表
    */
@ApiModel(value="产量趋势指标小时天月数据表")
@Data
public class STaskYieldTrend {
    /**
    * 数据ID
    */
    @ApiModelProperty(value="数据ID")
    @TableId(value = "data_id",type = IdType.AUTO)
    private Long dataId;

    /**
    * 企业主键
    */
    @ApiModelProperty(value="企业主键")
    private String factoryId;

    /**
    * 时间类型(日：D；小时：H；分钟：M)
    */
    @ApiModelProperty(value="时间类型(日：D；小时：H；分钟：M)")
    private String timeType;

    /**
    * 数据时间
    */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="数据时间")
    private Date dataTime;

    /**
    * 数量
    */
    @ApiModelProperty(value="数量")
    private BigDecimal number;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
    * pc_yield_trend编码
    */
    @ApiModelProperty(value="pc_yield_trend编码")
    private String dictCode;

    @ApiModelProperty(value="设备ID")
    private String deviceId;
}
