package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 大气环境、水环境站点对象 t_cod_station
 */
@ApiModel(value = "大气环境、水环境站点")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_cod_station")
public class TCodStation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "站点名称")
    private String stationName;


    @ApiModelProperty(value = "站点类型。关联s_station_type_dict表的id")
    private Long stationTypeDictId;


    @ApiModelProperty(value = "经度")
    private BigDecimal lon;


    @ApiModelProperty(value = "纬度")
    private BigDecimal lat;

}
