package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 水环境站点监测数据对象 t_cod_station_data_water
 */
@ApiModel(value = "水环境站点监测数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_cod_station_data_water")
public class TCodStationDataWater extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "站点id。关联t_cod_station表id")
    private String stationId;


    @ApiModelProperty(value = "监测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date monitorTime;


    @ApiModelProperty(value = "数据类型。D:日, H:小时, M:分钟")
    private String dataType;


    @ApiModelProperty(value = "水质级别")
    private String waterLevel;


    @ApiModelProperty(value = "cod")
    private BigDecimal cod;


    @ApiModelProperty(value = "氨氮")
    private BigDecimal ammoniaNitrogen;


    @ApiModelProperty(value = "总氮")
    private BigDecimal totalNitrogen;


    @ApiModelProperty(value = "总磷")
    private BigDecimal totalPhosphorus;
}
