package cn.cecep.talroad.domain.analysis;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * CO放散计划
 */
@ApiModel(description = "CO放散计划")
@Data
@TableName(value = "b_co_discharge_plan")
public class BCoDischargePlan implements Serializable {
    @TableField(value = "plan_id")
    @ApiModelProperty(value = "主键")
    @TableId(type = IdType.AUTO)
    private Integer planId;

    @TableField(value = "factory_id")
    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @TableField(value = "plan_number")
    @ApiModelProperty(value = "计划数量")
    private Integer planNumber;

    @TableField(value = "report_status")
    @ApiModelProperty(value = "1：已上报，0：未上报")
    private Integer reportStatus;

    @TableField(value = "create_time")
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date createTime;

    @TableField(value = "create_user")
    @ApiModelProperty(value = "上报人")
    private String createUser;

    /**
     * 删除状态：0：不删除，1：删除
     */
    @TableField(value = "delete_status")
    @ApiModelProperty(value = "删除状态：0：不删除，1：删除")
    private Integer deleteStatus;

    /**
     * 企业名
     */
    @TableField(value = "factory_name")
    @ApiModelProperty(value = "企业名")
    private String factoryName;

    /**
     * 县名称
     */
    @TableField(value = "country_name")
    @ApiModelProperty(value = "县名称")
    private String countryName;

    /**
     * 行业名
     */
    @TableField(value = "industry_category_name")
    @ApiModelProperty(value = "行业名")
    private String industryCategoryName;

    private static final long serialVersionUID = 1L;

    public static final String COL_PLAN_ID = "plan_id";

    public static final String COL_FACTORY_ID = "factory_id";

    public static final String COL_PLAN_NUMBER = "plan_number";

    public static final String COL_REPORT_STATUS = "report_status";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_CREATE_USER = "create_user";

    public static final String COL_DELETE_STATUS = "delete_status";

    public static final String COL_FACTORY_NAME = "factory_name";

    public static final String COL_COUNTRY_NAME = "country_name";

    public static final String COL_INDUSTRY_CATEGORY_NAME = "industry_category_name";
}