package cn.cecep.talroad.domain.analysis;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel(description="b_co_discharge_plan_info")
@Data
@TableName(value = "b_co_discharge_plan_info")
public class BCoDischargePlanInfo implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_PLAN_ID = "plan_id";
    public static final String COL_TYPE = "type";
    public static final String COL_NAME = "name";
    public static final String COL_DEVICE_ID = "device_id";
    public static final String COL_PLAN_START_TIME = "plan_start_time";
    public static final String COL_PLAN_END_TIME = "plan_end_time";
    public static final String COL_REMARKS = "remarks";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    private static final long serialVersionUID = 1L;
    @TableField(value = "id")
    @ApiModelProperty(value="主键")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;
    @TableField(value = "plan_id")
    @ApiModelProperty(value="计划主表id")
    private Integer planId;
    @TableField(value = "type")
    @ApiModelProperty(value="煤气放散口类型")
    private String type;
    @TableField(value = "name")
    @ApiModelProperty(value="设备名称")
    private String name;
    @TableField(value = "device_id")
    @ApiModelProperty(value="设备ID")
    private String deviceId;
    @TableField(value = "plan_start_time")
    @ApiModelProperty(value="计划放散开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date planStartTime;
    @TableField(value = "plan_end_time")
    @ApiModelProperty(value="计划放散结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date planEndTime;
    @TableField(value = "remarks")
    @ApiModelProperty(value="备注")
    private String remarks;
    @TableField(value = "create_time")
    @ApiModelProperty(value="创建时间")
    private Date createTime;
    @TableField(value = "update_time")
    @ApiModelProperty(value="更新时间")
    private Date updateTime;
}