package cn.cecep.talroad.domain.analysis;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
    * 检修计划详情
    */
@ApiModel(description="检修计划详情")
@Data
@TableName(value = "b_maintenance_plan_info")
public class BMaintenancePlanInfo implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_PLAN_ID = "plan_id";
    public static final String COL_TYPE = "type";
    public static final String COL_NAME = "name";
    public static final String COL_DEVICE_ID = "device_id";
    public static final String COL_PLAN_START_TIME = "plan_start_time";
    public static final String COL_PLAN_END_TIME = "plan_end_time";
    public static final String COL_REMARKS = "remarks";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value="主键")
    private String id;
    /**
     * 计划主表id
     */
    @TableField(value = "plan_id")
    @ApiModelProperty(value="计划主表id")
    private Integer planId;
    /**
     * 装备类型
     */
    @TableField(value = "\"type\"")
    @ApiModelProperty(value="装备类型")
    private String type;
    /**
     * 装备名称
     */
    @TableField(value = "\"name\"")
    @ApiModelProperty(value="装备名称")
    private String name;
    /**
     * 装备ID
     */
    @TableField(value = "device_id")
    @ApiModelProperty(value="装备ID")
    private String deviceId;
    /**
     * 计划检修开始时间
     */
    @TableField(value = "plan_start_time")
    @ApiModelProperty(value="计划检修开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date planStartTime;
    /**
     * 计划检修结束时间
     */
    @TableField(value = "plan_end_time")
    @ApiModelProperty(value="计划检修结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm" ,timezone = "GMT+8")
    private Date planEndTime;
    /**
     * 备注
     */
    @TableField(value = "remarks")
    @ApiModelProperty(value="备注")
    private String remarks;
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value="创建时间")
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value="更新时间")
    private Date updateTime;
}