package cn.cecep.talroad.domain.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
    * 分析设置(按参数)-管理端后台
    */
@ApiModel(description="分析设置(按参数)-管理端后台")
@Data
@TableName(value = "bas_device_param_analyse")
public class BasDeviceParamAnalyse implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_DATA_TYPE = "data_type";
    public static final String COL_DEVICE_TYPE = "device_type";
    public static final String COL_DEVICE_CART = "device_cart";
    public static final String COL_DEVICE_CART_CODE = "device_cart_code";
    public static final String COL_DEVICE_PARAM_NAME = "device_param_name";
    public static final String COL_DEVICE_PARAM_CODE = "device_param_code";
    public static final String COL_DEVICE_PARAM_UNIT = "device_param_unit";
    public static final String COL_CONTOUR_EW = "contour_ew";
    public static final String COL_DATA_LOGIC_ABNORMAL_EW = "data_logic_abnormal_ew";
    public static final String COL_DATA_LOGIC_FLUCTUATE_EW = "data_logic_fluctuate_ew";
    public static final String COL_DATA_LOGIC_DEFICIENCY_EW = "data_logic_deficiency_ew";
    public static final String COL_STOP_THRESHOLD_VALUE = "stop_threshold_value";
    public static final String COL_CO_DIFFUSE_THRESHOLD_VALUE = "co_diffuse_threshold_value";
    public static final String COL_UPDATE_TIME = "update_time";
    public static final String COL_IS_STATUS = "is_status";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    @Excel(name = "主键id", sort = 0)
    private Long id;
    /**
     * 数据类型 1：DCS监控数据:，2：分表计电监测数据，3：在线监测数据，4：无组织监控数据:5：网格化监控数据，6：废水国省控站点监控数据，7：废气国省控站点监控数据
     */
    @TableField(value = "data_type")
    @ApiModelProperty(value="数据类型 1：DCS监控数据:，2：分表计电监测数据，3：在线监测数据，4：无组织监控数据:5：网格化监控数据，6：废水国省控站点监控数据，7：废气国省控站点监控数据")
    @Excel(name = "数据类型", width = 25, sort = 1,readConverterExp = "1=DCS监控数据,2=分表计电监测数据,3=在线监测数据,4=无组织监控数据,5=网格化监控数据,6=废水国省控站点监控数据,7=废气国省控站点监控数据",
            combo = {"DCS监控数据","分表计电监测数据","在线监测数据","无组织监控数据","网格化监控数据","废水国省控站点监控数据","废气国省控站点监控数据"})
    private String dataType;
    /**
     * 设备类型
     */
    @TableField(value = "device_type")
    @ApiModelProperty(value="设备类型")
    @Excel(name = "设备类型", width = 25, sort = 2)
    private String deviceType;
    /**
     * 设备工艺
     */
    @TableField(value = "device_cart")
    @ApiModelProperty(value="设备工艺")
    @Excel(name = "工艺类型", width = 25, sort = 4)
    private String deviceCart;
    /**
     * 设备工艺编码
     */
    @TableField(value = "device_cart_code")
    @ApiModelProperty(value="设备工艺编码")
    private String deviceCartCode;
    /**
     * 参数名称
     */
    @TableField(value = "device_param_name")
    @ApiModelProperty(value="参数名称")
    @Excel(name = "参数名称", width = 25, sort = 6)
    private String deviceParamName;
    /**
     * 参数id
     */
    @TableField(value = "device_param_code")
    @ApiModelProperty(value="参数id")
    @Excel(name = "参数id", width = 25, sort = 5)
    private String deviceParamCode;
    /**
     * 参数单位
     */
    @TableField(value = "device_param_unit")
    @ApiModelProperty(value="参数单位")
    @Excel(name = "参数单位", width = 25, sort = 7)
    private String deviceParamUnit;
    /**
     * 是否参与恒值预警 0否1是
     */
    @TableField(value = "contour_ew")
    @ApiModelProperty(value="是否参与恒值报警 0否1是")
    @Excel(name = "是否参与恒值报警", width = 25, sort = 8,readConverterExp = "0=否,1=是",combo = {"是", "否"})
    private String contourEw;
    /**
     * 是否参与数据逻辑异常预警 0否1是
     */
    @TableField(value = "data_logic_abnormal_ew")
    @ApiModelProperty(value="是否参与数据逻辑异常报警 0否1是")
    @Excel(name = "是否参与数据逻辑异常报警", width = 25, sort = 9,readConverterExp = "0=否,1=是",combo = {"是", "否"})
    private String dataLogicAbnormalEw;
    /**
     * 是否参与数据异常波动预警 0否1是
     */
    @TableField(value = "data_logic_fluctuate_ew")
    @ApiModelProperty(value="是否参与数据异常波动报警 0否1是")
    @Excel(name = "是否参与数据异常波动报警", width = 25, sort = 10,readConverterExp = "0=否,1=是",combo = {"是", "否"})
    private String dataLogicFluctuateEw;
    /**
     * 是否参与数据缺失报警 0否1是
     */
    @TableField(value = "data_logic_deficiency_ew")
    @ApiModelProperty(value="是否参与数据缺失报警 0否1是")
    @Excel(name = "是否参与数据缺失报警", width = 25, sort = 11,readConverterExp = "0=否,1=是",combo = {"是", "否"})
    private String dataLogicDeficiencyEw;
    /**
     * 停限产判断阈值
     */
    @TableField(value = "stop_threshold_value")
    @ApiModelProperty(value="停限产判断阈值")
    @Excel(name = "停限产判断阈值", width = 25, sort = 12)
    private String stopThresholdValue;
    /**
     * CO放散分析判断阈值
     */
    @TableField(value = "co_diffuse_threshold_value")
    @ApiModelProperty(value="CO放散分析判断阈值")
    @Excel(name = "CO放散分析判断阈值", width = 25, sort = 13)
    private String coDiffuseThresholdValue;
    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value="修改时间")
    private Date updateTime;
    /**
     * 是否启用
     */
    @TableField(value = "is_status")
    @ApiModelProperty(value="是否启用")
    private String isStatus;

    private String industry;
    @TableField(exist = false)
    @Excel(name = "行业", width = 25, sort = 3)
    private String industryName;
}