package cn.cecep.talroad.domain.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
    * 关联分析-阈值设置
    */
@ApiModel(description="关联分析-阈值设置")
@Data
@TableName(value = "bas_threshold_config")
public class BasThresholdConfig implements Serializable  {
    public static final String COL_DATA_ID = "data_id";
    public static final String COL_TASK_NAME = "task_name";
    public static final String COL_PARAM_CODE = "param_code";
    public static final String COL_PARAM_NAME = "param_name";
    public static final String COL_FREQUENCY = "frequency";
    public static final String COL_THRESHOLD_VALUE = "threshold_value";
    public static final String COL_UNIT = "unit";
    public static final String COL_REMARK = "remark";
    public static final String COL_CREATE_BY = "create_by";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_BY = "update_by";
    public static final String COL_UPDATE_TIME = "update_time";
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId(value = "data_id", type = IdType.INPUT)
    @ApiModelProperty(value="主键")
    @Excel(name = "主键", width = 25, sort = 1)
    private Integer dataId;
    /**
     * 分析任务名称
     */
    @TableField(value = "task_name")
    @ApiModelProperty(value="分析任务名称")
    @Excel(name = "分析任务", width = 25, sort = 2)
    private String taskName;
    /**
     * 参数编码
     */
    @TableField(value = "param_code")
    @ApiModelProperty(value="参数编码")
    private String paramCode;
    /**
     * 参数名称
     */
    @TableField(value = "param_name")
    @ApiModelProperty(value="参数名称")
    @Excel(name = "参数名称", width = 25, sort = 3)
    private String paramName;
    /**
     * 阈值频次：D:日 H：小时
     */
    @TableField(value = "frequency")
    @ApiModelProperty(value="阈值频次：D=日,H=时,M=月,Y=年,W=星期,S=秒,m=分")
    @Excel(name = "阈值时间类型", width = 25, sort = 4,readConverterExp = "D=日,H=时,M=月,Y=年,W=星期,S=秒,m=分",combo = {"年","月","日", "星期","时","秒","分"})
    private String frequency;
    /**
     * 阈值
     */
    @TableField(value = "threshold_value")
    @ApiModelProperty(value="阈值")
    @Excel(name = "阈值", width = 25, sort = 5)
    private BigDecimal thresholdValue;
    /**
     * 单位
     */
    @TableField(value = "unit")
    @ApiModelProperty(value="单位")
    @Excel(name = "阈值单位", width = 25, sort = 6)
    private String unit;
    /**
     * 备注
     */
    @TableField(value = "remark")
    @ApiModelProperty(value="备注")
    @Excel(name = "备注说明", width = 25, sort = 7)
    private String remark;
    /**
     * 创建人
     */
    @TableField(value = "create_by")
    @ApiModelProperty(value="创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value="创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @TableField(value = "update_by")
    @ApiModelProperty(value="更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value="更新时间")
    private Date updateTime;
}