package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 问题分类对象 pc_ra_problem_type
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "问题分类")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_ra_problem_type")
public class PcRaProblemType extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "分类名称")
    /** 分类名称 */
    @Excel(name = "分类名称")
    private String name;


    @ApiModelProperty(value = "父分类id")
    /** 父分类id */
    @Excel(name = "父分类id")
    private String parentId;


    @ApiModelProperty(value = "排序")
    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    @ApiModelProperty(value = "详情跳转路由")
    private String route;

    private String problemType;

    private String topType;

    private String isStatus;

}
