package cn.cecep.talroad.domain.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;


/**
 * 执行报告规范性审核对象 s_ra_action_reports_audit
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告规范性审核")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_action_reports_audit")
public class SRaActionReportsAudit extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    /** id */
    @TableId(value = "id",type = IdType.INPUT)
    private String id;


    @ApiModelProperty(value = "执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    /** 执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报） */
    @Excel(name = "执行报告类型", readConverterExp = "Y=年报,S=季报,M=月报,d=日报",width = 25)
    private String reportType;


    @ApiModelProperty(value = "报告期;年：2023 月：2023-02 日： 2023-02-01")
    /** 报告期;年：2023 月：2023-02 日： 2023-02-01 */
    @Excel(name = "报告期",width = 25)
    private String reportTime;


    @ApiModelProperty(value = "应提交企业数量")
    /** 应提交企业数量 */
    @Excel(name = "应提交企业数量",width = 25)
    private Long totalEnterprises;


    @ApiModelProperty(value = "已提交企业数量")
    /** 已提交企业数量 */
    @Excel(name = "已提交企业数量",width = 25)
    private Long submittedEnterprises;


    @ApiModelProperty(value = "提交率")
    /** 提交率 */
    @Excel(name = "提交率",width = 25)
    private BigDecimal submissionRate;


    @ApiModelProperty(value = "未提交企业清单")
    /** 未提交企业清单 */
//    @Excel(name = "未提交企业清单")
    private String nonSubmittedEnterprisesUrl;


    @ApiModelProperty(value = "规范性审核;审核状态：1 审核中   9 审核完成")
    /** 规范性审核;审核状态：1 审核中   9 审核完成 */
    private Long auditStatus;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportType", getReportType())
            .append("reportTime", getReportTime())
            .append("totalEnterprises", getTotalEnterprises())
            .append("submittedEnterprises", getSubmittedEnterprises())
            .append("submissionRate", getSubmissionRate())
            .append("nonSubmittedEnterprisesUrl", getNonSubmittedEnterprisesUrl())
            .append("auditStatus", getAuditStatus())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
