package cn.cecep.talroad.domain.analysis;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 执行报告规范性审核记录对象 s_ra_action_reports_audit_record
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告规范性审核记录")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_action_reports_audit_record")
public class SRaActionReportsAuditRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    /** id */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "执行报告id")
    /** 执行报告id */
    private String reportId;


    @ApiModelProperty(value = "系统审核时间")
    /** 系统审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "系统审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;


    @ApiModelProperty(value = "应提交企业数量")
    /** 应提交企业数量 */
    @Excel(name = "应提交企业数量")
    private Long totalEnterprises;


    @ApiModelProperty(value = "已提交企业数量")
    /** 已提交企业数量 */
    @Excel(name = "已提交企业数量")
    private Long submittedEnterprises;


    @ApiModelProperty(value = "审核企业数量")
    /** 已审核企业数量 */
    @Excel(name = "审核企业数量")
    private Long auditedEnterprises;


    @ApiModelProperty(value = "存在问题企业数")
    /** 存在问题企业数 */
    @Excel(name = "存在问题企业数")
    private Long problemsEnterprises;


    @ApiModelProperty(value = "审核状态;审核状态：1 审核中   9 审核完成")
    /** 审核状态;审核状态：1 审核中   9 审核完成 */
    @Excel(name = "审核状态", readConverterExp = "1=审核中,9=审核完成")
    private Long auditStatus;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportId", getReportId())
            .append("auditTime", getAuditTime())
            .append("totalEnterprises", getTotalEnterprises())
            .append("submittedEnterprises", getSubmittedEnterprises())
            .append("auditedEnterprises", getAuditedEnterprises())
            .append("problemsEnterprises", getProblemsEnterprises())
            .append("auditStatus", getAuditStatus())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
