package cn.cecep.talroad.domain.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 区域传输率分析
 */
@ApiModel(description = "区域传输率分析")
@Data
@TableName(value = "s_ra_area_transfer_rate_analysis")
public class SRaAreaTransferRateAnalysis  extends BaseEntity  implements Serializable{
    public static final String COL_ID = "id";
    public static final String COL_COUNT_TYPE = "count_type";
    public static final String COL_DISTRICT_NAME = "district_name";
    public static final String COL_DISTRICT_CODE = "district_code";
    public static final String COL_STATISTICS_TIME = "statistics_time";
    public static final String COL_ELEC_TRANSMITT_NUM = "elec_transmitt_num";
    public static final String COL_ELEC_ACTUAL_TRANSMITT_NUM = "elec_actual_transmitt_num";
    public static final String COL_ELEC_TRANSMISSION_RATE = "elec_transmission_rate";
    public static final String COL_UNORGANIZED_TRANSMITT_MINUTE_NUM = "unorganized_transmitt_minute_num";
    public static final String COL_UNORGANIZED_ACTUAL_TRANSMITT_MINUTE_NUM = "unorganized_actual_transmitt_minute_num";
    public static final String COL_UNORGANIZED_TRANSMISSION_MINUTE_RATE = "unorganized_transmission_minute_rate";
    public static final String COL_UNORGANIZED_TRANSMITT_HOUR_NUM = "unorganized_transmitt_hour_num";
    public static final String COL_UNORGANIZED_ACTUAL_TRANSMITT_HOUR_NUM = "unorganized_actual_transmitt_hour_num";
    public static final String COL_UNORGANIZED_TRANSMISSION_HOUR_RATE = "unorganized_transmission_hour_rate";
    public static final String COL_UNORGANIZED_TRANSMITT_DAY_NUM = "unorganized_transmitt_day_num";
    public static final String COL_UNORGANIZED_ACTUAL_TRANSMITT_DAY_NUM = "unorganized_actual_transmitt_day_num";
    public static final String COL_UNORGANIZED_TRANSMISSION_DAY_RATE = "unorganized_transmission_day_rate";
    public static final String COL_DCS_TRANSMITT_MINUTE_NUM = "dcs_transmitt_minute_num";
    public static final String COL_DCS_ACTUAL_TRANSMITT_NUM = "dcs_actual_transmitt_num";
    public static final String COL_DCS_TRANSMISSION_RATE = "dcs_transmission_rate";
    public static final String COL_GRIDDED_TRANSMITT_MINUTE_NUM = "gridded_transmitt_minute_num";
    public static final String COL_GRIDDED_ACTUAL_TRANSMITT_MINUTE_NUM = "gridded_actual_transmitt_minute_num";
    public static final String COL_GRIDDED_TRANSMISSION_MINUTE_RATE = "gridded_transmission_minute_rate";
    public static final String COL_GRIDDED_TRANSMITT_HOUR_NUM = "gridded_transmitt_hour_num";
    public static final String COL_GRIDDED_ACTUAL_TRANSMITT_HOUR_NUM = "gridded_actual_transmitt_hour_num";
    public static final String COL_GRIDDED_TRANSMISSION_HOUR_RATE = "gridded_transmission_hour_rate";
    public static final String COL_GRIDDED_TRANSMITT_DAY_NUM = "gridded_transmitt_day_num";
    public static final String COL_GRIDDED_ACTUAL_TRANSMITT_GRIDDED_TRANSMITT_DAY_NUM = "gridded_actual_transmitt_gridded_transmitt_day_num";
    public static final String COL_GRIDDED_TRANSMISSION_DAY_RATE = "gridded_transmission_day_rate";
    public static final String COL_ONLINE_MONITORING__MINUTE_NUM = "online_monitoring__minute_num";
    public static final String COL_ONLINE_MONITORING_ACTUAL_MINUTE_NUM = "online_monitoring_actual_minute_num";
    public static final String COL_ONLINE_MONITORING_MINUTE_RATE = "online_monitoring_minute_rate";
    public static final String COL_ONLINE_MONITORING_HOUR_NUM = "online_monitoring_hour_num";
    public static final String COL_ONLINE_MONITORING_ACTUAL_HOUR_NUM = "online_monitoring_actual_hour_num";
    public static final String COL_ONLINE_MONITORING_HOUR_RATE = "online_monitoring_hour_rate";
    public static final String COL_ONLINE_MONITORING_DAY_NUM = "online_monitoring_day_num";
    public static final String COL_ONLINE_MONITORING_ACTUAL_DAY_NUM = "online_monitoring_actual_day_num";
    public static final String COL_ONLINE_MONITORING_DAY_RATE = "online_monitoring_day_rate";
    public static final String COL_CREATE_BY = "create_by";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_BY = "update_by";
    public static final String COL_UPDATE_TIME = "update_time";
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 统计类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）
     */
    @TableField(value = "count_type")
    @ApiModelProperty(value = "统计类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    private String countType;
    /**
     * 区域名称
     */
    @TableField(value = "district_name")
    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    @Excel(name = "区县名称", width = 30,sort = 1)
    private String districtName;
    /**
     * 区域编码
     */
    @TableField(value = "district_code")
    @ApiModelProperty(value = "区域编码")
    private String districtCode;
    /**
     * 统计时间
     */
    @TableField(value = "statistics_time")
    @ApiModelProperty(value = "统计时间")
    /** 统计时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "统计时间", width = 30, sort = 2)
    private String statisticsTime;

    @TableField(value = "data_time")
    @ApiModelProperty(value = "统计时间")
    private Date dataTime;
    /**
     * 分表计电-应传个数
     */
    @TableField(value = "elec_transmitt_num")
    @ApiModelProperty(value = "分表计电-应传个数")
    @Excel(name = "分表计电-应传个数",sort = 12,width = 25)
    private Integer elecTransmittNum;
    /**
     * 分表计电-实际上传个数
     */
    @TableField(value = "elec_actual_transmitt_num")
    @ApiModelProperty(value = "分表计电-实际上传个数")
    @Excel(name = "分表计电-实际上传个数",sort = 13,width = 25)
    private Integer elecActualTransmittNum;
    /**
     * 分表计电-传输率
     */
    @TableField(value = "elec_transmission_rate")
    @ApiModelProperty(value = "分表计电-传输率")
    @Excel(name = "分表计电-传输率",sort = 14,width = 25)
    private BigDecimal elecTransmissionRate;
    /**
     * 无组织管控-分钟数据-应传个数
     */
    @TableField(value = "unorganized_transmitt_minute_num")
    @ApiModelProperty(value = "无组织管控-分钟数据-应传个数")
//    @Excel(name = "无组织管控-分钟数据-应传个数",sort = 10,width = 30)
    private Integer unorganizedTransmittMinuteNum;
    /**
     * 无组织管控-分钟数据-实际上传个数
     */
    @TableField(value = "unorganized_actual_transmitt_minute_num")
    @ApiModelProperty(value = "无组织管控-分钟数据-实际上传个数")
//    @Excel(name = "无组织管控-分钟数据-实际上传个数",sort = 11,width = 30)
    private Integer unorganizedActualTransmittMinuteNum;
    /**
     * 无组织管控-分钟数据-传输率
     */
    @TableField(value = "unorganized_transmission_minute_rate")
    @ApiModelProperty(value = "无组织管控-分钟数据-传输率")
//    @Excel(name = "无组织管控-分钟数据-传输率",sort = 12,width = 30)
    private BigDecimal unorganizedTransmissionMinuteRate;
    /**
     * 无组织管控-小时数据-应传个数
     */
    @TableField(value = "unorganized_transmitt_hour_num")
    @ApiModelProperty(value = "无组织管控-小时数据-应传个数")
    @Excel(name = "无组织管控-小时数据-应传个数",sort = 15,width = 25)
    private Integer unorganizedTransmittHourNum;
    /**
     * 无组织管控-小时数据-实际上传个数
     */
    @TableField(value = "unorganized_actual_transmitt_hour_num")
    @ApiModelProperty(value = "无组织管控-小时数据-实际上传个数")
    @Excel(name = "无组织管控-小时数据-实际上传个数",sort = 16,width = 25)
    private Integer unorganizedActualTransmittHourNum;
    /**
     * 无组织管控-小时数据-传输率
     */
    @TableField(value = "unorganized_transmission_hour_rate")
    @ApiModelProperty(value = "无组织管控-小时数据-传输率")
    @Excel(name = "无组织管控-小时数据-传输率",sort = 17,width = 25)
    private BigDecimal unorganizedTransmissionHourRate;
    /**
     * 无组织管控-日数据-应传个数
     */
    @TableField(value = "unorganized_transmitt_day_num")
    @ApiModelProperty(value = "无组织管控-日数据-应传个数")
//    @Excel(name = "无组织管控-小时数据-传输率",sort = 15,width = 30)
    private Integer unorganizedTransmittDayNum;
    /**
     * 无组织管控-日数据-实际上传个数
     */
    @TableField(value = "unorganized_actual_transmitt_day_num")
    @ApiModelProperty(value = "无组织管控-日数据-实际上传个数")
//    @Excel(name = "无组织管控-小时数据-传输率",sort = 15,width = 30)
    private Integer unorganizedActualTransmittDayNum;
    /**
     * 无组织管控-日数据-传输率
     */
    @TableField(value = "unorganized_transmission_day_rate")
    @ApiModelProperty(value = "无组织管控-日数据-传输率")
//    @Excel(name = "无组织管控-小时数据-传输率",sort = 15,width = 30)
    private BigDecimal unorganizedTransmissionDayRate;
    /**
     * dcs监控数据-应传个数
     */
    @TableField(value = "dcs_transmitt_minute_num")
    @ApiModelProperty(value = "dcs监控数据-应传个数")
    @Excel(name = "dcs监控数据-应传个数",sort = 18,width = 25)
    private Integer dcsTransmittMinuteNum;
    /**
     * dcs监控数据-实际上传个数
     */
    @TableField(value = "dcs_actual_transmitt_num")
    @ApiModelProperty(value = "dcs监控数据-实际上传个数")
    @Excel(name = "dcs监控数据-实际上传个数",sort = 19,width = 25)
    private Integer dcsActualTransmittNum;
    /**
     * dcs监控数据-传输率
     */
    @TableField(value = "dcs_transmission_rate")
    @ApiModelProperty(value = "dcs监控数据-传输率")
    @Excel(name = "dcs监控数据-传输率",sort = 20,width = 25)
    private BigDecimal dcsTransmissionRate;
    /**
     * 网格化数据-分钟数据-应传个数
     */
    @TableField(value = "gridded_transmitt_minute_num")
    @ApiModelProperty(value = "网格化数据-分钟数据-应传个数")
//    @Excel(name = "网格化数据-分钟数据-应传个数",sort = 19,width = 30)
    private Integer griddedTransmittMinuteNum;
    /**
     * 网格化数据-分钟数据-实际上传个数
     */
    @TableField(value = "gridded_actual_transmitt_minute_num")
    @ApiModelProperty(value = "网格化数据-分钟数据-实际上传个数")
//    @Excel(name = "网格化数据-分钟数据-实际上传个数",sort = 20,width = 30)
    private Integer griddedActualTransmittMinuteNum;
    /**
     * 网格化数据-分钟数据-传输率
     */
    @TableField(value = "gridded_transmission_minute_rate")
    @ApiModelProperty(value = "网格化数据-分钟数据-传输率")
//    @Excel(name = "网格化数据-分钟数据-传输率",sort = 21,width = 30)
    private BigDecimal griddedTransmissionMinuteRate;
    /**
     * 网格化数据-小时数据-应传个数
     */
    @TableField(value = "gridded_transmitt_hour_num")
    @ApiModelProperty(value = "网格化数据-小时数据-应传个数")
    @Excel(name = "网格化数据-小时数据-应传个数",sort = 21,width = 30)
    private Integer griddedTransmittHourNum;
    /**
     * 网格化数据-小时数据-实际上传个数
     */
    @TableField(value = "gridded_actual_transmitt_hour_num")
    @ApiModelProperty(value = "网格化数据-小时数据-实际上传个数")
    @Excel(name = "网格化数据-小时数据-实际上传个数",sort = 22,width = 30)
    private Integer griddedActualTransmittHourNum;
    /**
     * 网格化数据-小时数据-传输率
     */
    @TableField(value = "gridded_transmission_hour_rate")
    @ApiModelProperty(value = "网格化数据-小时数据-传输率")
    @Excel(name = "网格化数据-小时数据-传输率",sort = 23,width = 30)
    private BigDecimal griddedTransmissionHourRate;
    /**
     * 网格化数据-日数据-应传个数
     */
    @TableField(value = "gridded_transmitt_day_num")
    @ApiModelProperty(value = "网格化数据-日数据-应传个数")
//    @Excel(name = "网格化数据-日数据-应传个数",sort = 25,width = 30)
    private Integer griddedTransmittDayNum;
    /**
     * 网格化数据-日数据-实际上传个数
     */
    @TableField(value = "gridded_actual_transmitt_gridded_transmitt_day_num")
    @ApiModelProperty(value = "网格化数据-日数据-实际上传个数")
//    @Excel(name = "网格化数据-日数据-实际上传个数",sort = 26,width = 30)
    private Integer griddedActualTransmittGriddedTransmittDayNum;
    /**
     * 网格化数据-日数据-传输率
     */
    @TableField(value = "gridded_transmission_day_rate")
    @ApiModelProperty(value = "网格化数据-日数据-传输率")
//    @Excel(name = "网格化数据-日数据-传输率",sort = 27,width = 30)
    private BigDecimal griddedTransmissionDayRate;
    /**
     * 在线监测-分钟数据-应传个数
     */
    @TableField(value = "online_monitoring_minute_num")
    @ApiModelProperty(value = "在线监测-分钟数据-应传个数")
    @Excel(name = "在线监测-分钟数据-应传个数", width = 30,sort = 3)
    private Integer onlineMonitoringMinuteNum;
    /**
     * 在线监测-分钟数据-实际上传个数
     */
    @TableField(value = "online_monitoring_actual_minute_num")
    @ApiModelProperty(value = "在线监测-分钟数据-实际上传个数")
    @Excel(name = "在线监测-分钟数据-实际上传个数", width = 30,sort = 4)
    private Integer onlineMonitoringActualMinuteNum;
    /**
     * 在线监测-分钟数据-传输率
     */
    @TableField(value = "online_monitoring_minute_rate")
    @ApiModelProperty(value = "在线监测-分钟数据-传输率")
    @Excel(name = "在线监测-分钟数据-传输率", width = 30,sort = 5)
    private BigDecimal onlineMonitoringMinuteRate;
    /**
     * 在线监测-小时数据-应传个数
     */
    @TableField(value = "online_monitoring_hour_num")
    @ApiModelProperty(value = "在线监测-小时数据-应传个数")
    @Excel(name = "在线监测-小时数据-应传个数", width = 30,sort = 6)
    private Integer onlineMonitoringHourNum;
    /**
     * 在线监测-小时数据-实际上传个数
     */
    @TableField(value = "online_monitoring_actual_hour_num")
    @ApiModelProperty(value = "在线监测-小时数据-实际上传个数")
    @Excel(name = "在线监测-小时数据-实际上传个数", width = 30,sort = 7)
    private Integer onlineMonitoringActualHourNum;
    /**
     * 在线监测-小时数据-传输率
     */
    @TableField(value = "online_monitoring_hour_rate")
    @ApiModelProperty(value = "在线监测-小时数据-传输率")
    @Excel(name = "在线监测-小时数据-传输率", width = 30,sort = 8)
    private BigDecimal onlineMonitoringHourRate;
    /**
     * 在线监测-日数据-应传个数
     */
    @TableField(value = "online_monitoring_day_num")
    @ApiModelProperty(value = "在线监测-日数据-应传个数")
    @Excel(name = "在线监测-日数据-应传个数", width = 30,sort = 9)
    private Integer onlineMonitoringDayNum;
    /**
     * 在线监测-日数据-实际上传个数
     */
    @TableField(value = "online_monitoring_actual_day_num")
    @ApiModelProperty(value = "在线监测-日数据-实际上传个数")
    @Excel(name = "在线监测-日数据-实际上传个数", width = 30,sort = 10)
    private Integer onlineMonitoringActualDayNum;
    /**
     * 在线监测-日数据-传输率
     */
    @TableField(value = "online_monitoring_day_rate")
    @ApiModelProperty(value = "在线监测-日数据-传输率")
    @Excel(name = "在线监测-日数据-传输率", width = 30,sort = 11)
    private BigDecimal onlineMonitoringDayRate;
    /**
     * 创建人
     */
    @TableField(value = "create_by")
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @TableField(value = "update_by")
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("districtName", getDistrictName())
                .append("districtCode", getDistrictCode())
                .append("statisticsTime", getStatisticsTime())
                .append("elecTransmittNum", getElecTransmittNum())
                .append("elecActualTransmittNum", getElecActualTransmittNum())
                .append("elecTransmissionRate", getElecTransmissionRate())
                .append("unorganizedTransmittMinuteNum", getUnorganizedTransmittMinuteNum())
                .append("unorganizedActualTransmittMinuteNum", getUnorganizedActualTransmittMinuteNum())
                .append("unorganizedTransmissionMinuteRate", getUnorganizedTransmissionMinuteRate())
                .append("unorganizedTransmittHourNum", getUnorganizedTransmittHourNum())
                .append("unorganizedActualTransmittHourNum", getUnorganizedActualTransmittHourNum())
                .append("unorganizedTransmissionHourRate", getUnorganizedTransmissionHourRate())
                .append("dcsTransmittMinuteNum", getDcsTransmittMinuteNum())
                .append("dcsActualTransmittNum", getDcsActualTransmittNum())
                .append("dcsTransmissionRate", getDcsTransmissionRate())
                .append("griddedTransmittMinuteNum", getGriddedTransmittMinuteNum())
                .append("griddedActualTransmittMinuteNum", getGriddedActualTransmittMinuteNum())
                .append("griddedTransmissionMinuteRate", getGriddedTransmissionMinuteRate())
                .append("griddedTransmittHourNum", getGriddedTransmittHourNum())
                .append("griddedActualTransmittHourNum", getGriddedActualTransmittHourNum())
                .append("griddedTransmissionHourRate", getGriddedTransmissionHourRate())
                .append("griddedTransmittDayNum", getGriddedTransmittDayNum())
                .append("griddedActualTransmittGriddedTransmittDayNum", getGriddedActualTransmittGriddedTransmittDayNum())
                .append("griddedTransmissionDayRate", getGriddedTransmissionDayRate())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }

}
