package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 关联分析系统-减排方案管理-管控时间段信息对象 s_ra_control_scheme
 *
 * @author szhpt
 * @date 2023-04-02*/
@ApiModel(value = "关联分析系统-减排方案管理-管控时间段信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_control_scheme")
public class SRaControlScheme extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "方案主键")
    /** 方案主键 */
    @TableId(value="scheme_id",type = IdType.ASSIGN_UUID)
    private String schemeId;


    @ApiModelProperty(value = "方案名称")
    /** 方案名称 */
    @Excel(name = "方案名称")
    private String schemeName;


    @ApiModelProperty(value = "预警级别(1-红色预警,2-橙色预警,3-黄色预警)")
    /** 预警级别(1-红色预警,2-橙色预警,3-黄色预警) */
    @Excel(name = "预警级别(1-红色预警,2-橙色预警,3-黄色预警)")
    private String warningLevel;


    @ApiModelProperty(value = "管控措施")
    /** 管控措施 */
    @Excel(name = "管控措施")
    private String controlMeasures;


    @ApiModelProperty(value = "管控开始时间")
    /** 管控开始时间 */
    @Excel(name = "管控开始时间")
    private String controlStartTime;


    @ApiModelProperty(value = "管控截至时间")
    /** 管控截至时间 */
    @Excel(name = "管控截至时间")
    private String controlEndTime;


    @ApiModelProperty(value = "停止国四及以下车辆通行(0-否,1-是)")
    /** 停止国四及以下车辆通行(0-否,1-是) */
    @Excel(name = "停止国四及以下车辆通行(0-否,1-是)")
    private String stopCar;


    @ApiModelProperty(value = "基准开始时间")
    /** 基准开始时间 */
    @Excel(name = "基准开始时间")
    private String noControlStartTime;


    @ApiModelProperty(value = "基准截至时间")
    /** 基准截至时间 */
    @Excel(name = "基准截至时间")
    private String noControlEndTime;










    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("schemeId", getSchemeId())
            .append("schemeName", getSchemeName())
            .append("warningLevel", getWarningLevel())
            .append("controlMeasures", getControlMeasures())
            .append("controlStartTime", getControlStartTime())
            .append("controlEndTime", getControlEndTime())
            .append("stopCar", getStopCar())
            .append("noControlStartTime", getNoControlStartTime())
            .append("noControlEndTime", getNoControlEndTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
