package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;

import java.math.BigInteger;
import java.util.Date;


/**
 * 企业异常行为分析-企业排放分析-监测差异分析对象 s_ra_emissions_monitoring_variance
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "企业异常行为分析-企业排放分析-监测差异分析")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_emissions_monitoring_variance")
public class SRaEmissionsMonitoringVariance extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    @Excel(name = "监测时间")
    private Date stationTime;


    @ApiModelProperty(value = "监测点id")
    /** 监测点id */
    @Excel(name = "监测点id")
    private String stationId;


    @ApiModelProperty(value = "污染物种类id")
    /** 污染物种类id */
    @Excel(name = "污染物种类id")
    private String pollId;


    @ApiModelProperty(value = "在线监测浓度")
    /** 在线监测浓度 */
    @Excel(name = "在线监测浓度")
    private Double concentrationOnline;


    @ApiModelProperty(value = "自行监测浓度")
    /** 自行监测浓度 */
    @Excel(name = "自行监测浓度")
    private Double concentrationPm;


    @ApiModelProperty(value = "执法监测浓度")
    /** 执法监测浓度 */
    @Excel(name = "执法监测浓度")
    private Double concentrationEtl;


    @ApiModelProperty(value = "差异率")
    /** 差异率 */
    @Excel(name = "差异率")
    private Double differenceRatio;






    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("stationTime", getStationTime())
            .append("stationId", getStationId())
            .append("pollId", getPollId())
            .append("concentrationOnline", getConcentrationOnline())
            .append("concentrationPm", getConcentrationPm())
            .append("concentrationEtl", getConcentrationEtl())
            .append("differenceRatio", getDifferenceRatio())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
