package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业排放水平分析对象 s_ra_emissions_standard
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "企业排放水平分析")
@Data
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_emissions_standard")
public class SRaEmissionsStandard extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;


    @ApiModelProperty(value = "行业类别名称(多个使用''、''拼接)")
    /** 行业类别名称(多个使用''、''拼接) */
    @Excel(name = "行业名称")
    private String industryCategoryName;


    @ApiModelProperty(value = "行业类别编码(多个使用''、''拼接)")
    /** 行业类别编码(多个使用''、''拼接) */
    private String industryCategoryCode;


    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    @Excel(name = "区县名称")
    private String districtName;


    @ApiModelProperty(value = "区域编码")
    /** 区域编码 */
    private String districtCode;


    @ApiModelProperty(value = "分析年份")
    /** 分析年份 */
    @Excel(name = "分析年份")
    private String analyseYear;


    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    private String pollutantName;


    @ApiModelProperty(value = "区域排名")
    /** 区域排名 */
    @Excel(name = "区域排名")
    private String regionRanking;


    @ApiModelProperty(value = "行业排名")
    /** 行业排名 */
    @Excel(name = "行业排名")
    private String industryRanking;


    @ApiModelProperty(value = "是否排放大户(0-否, 1-是)")
    /** 是否排放大户 */
    @Excel(name = "是否排放大户", readConverterExp = "0=否,1=是")
    private String isEmissionsBigUser;


    @ApiModelProperty(value = "排放规模")
    /** 排放规模 */
    @Excel(name = "排放规模")
    private String emissionsScale;


    @ApiModelProperty(value = "单位产品排放量强度")
    /** 单位产品排放量强度 */
    @Excel(name = "单位产品排放量强度")
    private String unitEmissions;

}
