package cn.cecep.talroad.domain.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
    * 企业异常行为分析-异常行为统计分析
    */
@ApiModel(description="企业异常行为分析-异常行为统计分析")
@Data
@TableName(value = "s_ra_emissions_statistics")
public class SRaEmissionsStatistics implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键")
    private String id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;


    @TableField(value = "factory_name")
    @ApiModelProperty(value="企业名字")
    private String factoryName;

    /**
     * 行业id
     */
    @TableField(value = "industry_id")
    @ApiModelProperty(value="行业id")
    private String industryId;

    /**
     * 行业名称
     */
    @TableField(value = "industry_name")
    @ApiModelProperty(value="行业名称")
    private String industryName;

    /**
     * 区域编码
     */
    @TableField(value = "region_code")
    @ApiModelProperty(value="区域编码")
    private String regionCode;

    /**
     * 区域名称
     */
    @TableField(value = "region_name")
    @ApiModelProperty(value="区域名称")
    private String regionName;

    /**
     * 问题类型名字id
     */
    @TableField(value = "problem_id")
    @ApiModelProperty(value="问题类型名字id")
    private String problemId;

    /**
     * 问题类型名字
     */
    @TableField(value = "problem_name")
    @ApiModelProperty(value="问题类型名字")
    private String problemName;

    /**
     * 问题数量
     */
    @TableField(value = "problem_value")
    @ApiModelProperty(value="问题数量")
    private Long problemValue;

    /**
     * 问题时间
     */
    @TableField(value = "problem_time")
    @ApiModelProperty(value="问题时间")
    private Date problemTime;


    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_FACTORY_ID = "factory_id";

    public static final String COL_INDUSTRY_ID = "industry_id";

    public static final String COL_INDUSTRY_NAME = "industry_name";

    public static final String COL_REGION_CODE = "region_code";

    public static final String COL_REGION_NAME = "region_name";

    public static final String COL_PROBLEM_ID = "problem_id";

    public static final String COL_PROBLEM_NAME = "problem_name";

    public static final String COL_PROBLEM_VALUE = "problem_value";

    public static final String COL_PROBLEM_TIME = "problem_time";

}