package cn.cecep.talroad.domain.analysis;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 企业传输率分析
 */
@ApiModel(description = "企业传输率分析")
@Data
@TableName(value = "s_ra_factory_transfer_rate_analysis")
public class SRaFactoryTransferRateAnalysis implements Serializable {
    public static final String COL_DATA_SOURCE = "data_source";
    public static final String COL_TRANSMITT_NUM = "transmitt_num";
    public static final String COL_ACTUAL_TRANSMITT_NUM = "actual_transmitt_num";
    public static final String COL_TRANSMISSION_RATE = "transmission_rate";
    public static final String COL_DIV_CODE = "div_code";
    public static final String COL_DIV_NAME = "div_name";
    /**
     * id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value = "企业id")
    private String factoryId;

    /**
     * 企业名
     */
    @TableField(value = "factory_name")
    @ApiModelProperty(value = "企业名")
    private String factoryName;

    /**
     * 区域名称
     */
    @TableField(value = "district_name")
    @ApiModelProperty(value = "区域名称")
    private String districtName;

    /**
     * 区域编码
     */
    @TableField(value = "district_code")
    @ApiModelProperty(value = "区域编码")
    private String districtCode;

    /**
     * 所属行业名称
     */
    @TableField(value = "industry_category_name")
    @ApiModelProperty(value = "所属行业名称")
    private String industryCategoryName;

    /**
     * 所属行业编码
     */
    @TableField(value = "industry_category_code")
    @ApiModelProperty(value = "所属行业编码")
    private String industryCategoryCode;

    /**
     * 点位编号/设备编号
     */
    @TableField(value = "outlet_code")
    @ApiModelProperty(value = "点位编号/设备编号")
    private String outletCode;

    /**
     * 点位名称/设备名称
     */
    @TableField(value = "outlet_name")
    @ApiModelProperty(value = "点位名称/设备名称")
    private String outletName;

    /**
     * 统计类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）年：2023，季：20231，月：202301，日：20230101
     */
    @TableField(value = "count_type")
    @ApiModelProperty(value = "统计类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）年：2023，季：20231，月：202301，日：20230101")
    private String countType;

    /**
     * 统计时间
     */
    @TableField(value = "statistics_time")
    @ApiModelProperty(value = "统计时间")
    private String statisticsTime;

    @TableField(value = "data_time")
    @ApiModelProperty(value = "统计时间")
    private Date dataTime;

    /**
     * 分表计电-应传个数
     */
    @TableField(value = "elec_transmitt_num")
    @ApiModelProperty(value = "分表计电-应传个数")
    private Integer elecTransmittNum;

    /**
     * 分表计电-实际上传个数
     */
    @TableField(value = "elec_actual_transmitt_num")
    @ApiModelProperty(value = "分表计电-实际上传个数")
    private Integer elecActualTransmittNum;

    /**
     * 分表计电-传输率
     */
    @TableField(value = "elec_transmission_rate")
    @ApiModelProperty(value = "分表计电-传输率")
    private BigDecimal elecTransmissionRate;

    /**
     * 无组织管控-分钟数据-应传个数
     */
    @TableField(value = "unorganized_transmitt_minute_num")
    @ApiModelProperty(value = "无组织管控-分钟数据-应传个数")
    private Integer unorganizedTransmittMinuteNum;

    /**
     * 无组织管控-分钟数据-实际上传个数
     */
    @TableField(value = "unorganized_actual_transmitt_minute_num")
    @ApiModelProperty(value = "无组织管控-分钟数据-实际上传个数")
    private Integer unorganizedActualTransmittMinuteNum;

    /**
     * 无组织管控-分钟数据-传输率
     */
    @TableField(value = "unorganized_transmission_minute_rate")
    @ApiModelProperty(value = "无组织管控-分钟数据-传输率")
    private BigDecimal unorganizedTransmissionMinuteRate;

    /**
     * 无组织管控-小时数据-应传个数
     */
    @TableField(value = "unorganized_transmitt_hour_num")
    @ApiModelProperty(value = "无组织管控-小时数据-应传个数")
    private Integer unorganizedTransmittHourNum;

    /**
     * 无组织管控-小时数据-实际上传个数
     */
    @TableField(value = "unorganized_actual_transmitt_hour_num")
    @ApiModelProperty(value = "无组织管控-小时数据-实际上传个数")
    private Integer unorganizedActualTransmittHourNum;

    /**
     * 无组织管控-小时数据-传输率
     */
    @TableField(value = "unorganized_transmission_hour_rate")
    @ApiModelProperty(value = "无组织管控-小时数据-传输率")
    private BigDecimal unorganizedTransmissionHourRate;

    /**
     * 无组织管控-日数据-应传个数
     */
    @TableField(value = "unorganized_transmitt_day_num")
    @ApiModelProperty(value = "无组织管控-日数据-应传个数")
    private Integer unorganizedTransmittDayNum;

    /**
     * 无组织管控-日数据-实际上传个数
     */
    @TableField(value = "unorganized_actual_transmitt_day_num")
    @ApiModelProperty(value = "无组织管控-日数据-实际上传个数")
    private Integer unorganizedActualTransmittDayNum;

    /**
     * 无组织管控-日数据-传输率
     */
    @TableField(value = "unorganized_transmission_day_rate")
    @ApiModelProperty(value = "无组织管控-日数据-传输率")
    private BigDecimal unorganizedTransmissionDayRate;

    /**
     * dcs监控数据-应传个数
     */
    @TableField(value = "dcs_transmitt_minute_num")
    @ApiModelProperty(value = "dcs监控数据-应传个数")
    private Integer dcsTransmittMinuteNum;

    /**
     * dcs监控数据-实际上传个数
     */
    @TableField(value = "dcs_actual_transmitt_num")
    @ApiModelProperty(value = "dcs监控数据-实际上传个数")
    private Integer dcsActualTransmittNum;

    /**
     * dcs监控数据-传输率
     */
    @TableField(value = "dcs_transmission_rate")
    @ApiModelProperty(value = "dcs监控数据-传输率")
    private BigDecimal dcsTransmissionRate;

    /**
     * 网格化数据-分钟数据-应传个数
     */
    @TableField(value = "gridded_transmitt_minute_num")
    @ApiModelProperty(value = "网格化数据-分钟数据-应传个数")
    private Integer griddedTransmittMinuteNum;

    /**
     * 网格化数据-分钟数据-实际上传个数
     */
    @TableField(value = "gridded_actual_transmitt_minute_num")
    @ApiModelProperty(value = "网格化数据-分钟数据-实际上传个数")
    private Integer griddedActualTransmittMinuteNum;

    /**
     * 网格化数据-分钟数据-传输率
     */
    @TableField(value = "gridded_transmission_minute_rate")
    @ApiModelProperty(value = "网格化数据-分钟数据-传输率")
    private BigDecimal griddedTransmissionMinuteRate;

    /**
     * 网格化数据-小时数据-应传个数
     */
    @TableField(value = "gridded_transmitt_hour_num")
    @ApiModelProperty(value = "网格化数据-小时数据-应传个数")
    private Integer griddedTransmittHourNum;

    /**
     * 网格化数据-小时数据-实际上传个数
     */
    @TableField(value = "gridded_actual_transmitt_hour_num")
    @ApiModelProperty(value = "网格化数据-小时数据-实际上传个数")
    private Integer griddedActualTransmittHourNum;

    /**
     * 网格化数据-小时数据-传输率
     */
    @TableField(value = "gridded_transmission_hour_rate")
    @ApiModelProperty(value = "网格化数据-小时数据-传输率")
    private BigDecimal griddedTransmissionHourRate;

    /**
     * 网格化数据-日数据-应传个数
     */
    @TableField(value = "gridded_transmitt_day_num")
    @ApiModelProperty(value = "网格化数据-日数据-应传个数")
    private Integer griddedTransmittDayNum;

    /**
     * 网格化数据-日数据-实际上传个数
     */
    @TableField(value = "gridded_actual_transmitt_gridded_transmitt_day_num")
    @ApiModelProperty(value = "网格化数据-日数据-实际上传个数")
    private Integer griddedActualTransmittGriddedTransmittDayNum;

    /**
     * 网格化数据-日数据-传输率
     */
    @TableField(value = "gridded_transmission_day_rate")
    @ApiModelProperty(value = "网格化数据-日数据-传输率")
    private BigDecimal griddedTransmissionDayRate;

    /**
     * 在线监测-分钟数据-应传个数
     */
    @TableField(value = "online_monitoring_minute_num")
    @ApiModelProperty(value = "在线监测-分钟数据-应传个数")
    private Integer onlineMonitoringMinuteNum;

    /**
     * 在线监测-分钟数据-实际上传个数
     */
    @TableField(value = "online_monitoring_actual_minute_num")
    @ApiModelProperty(value = "在线监测-分钟数据-实际上传个数")
    private Integer onlineMonitoringActualMinuteNum;

    /**
     * 在线监测-分钟数据-传输率
     */
    @TableField(value = "online_monitoring_minute_rate")
    @ApiModelProperty(value = "在线监测-分钟数据-传输率")
    private BigDecimal onlineMonitoringMinuteRate;

    /**
     * 在线监测-小时数据-应传个数
     */
    @TableField(value = "online_monitoring_hour_num")
    @ApiModelProperty(value = "在线监测-小时数据-应传个数")
    private Integer onlineMonitoringHourNum;

    /**
     * 在线监测-小时数据-实际上传个数
     */
    @TableField(value = "online_monitoring_actual_hour_num")
    @ApiModelProperty(value = "在线监测-小时数据-实际上传个数")
    private Integer onlineMonitoringActualHourNum;

    /**
     * 在线监测-小时数据-传输率
     */
    @TableField(value = "online_monitoring_hour_rate")
    @ApiModelProperty(value = "在线监测-小时数据-传输率")
    private BigDecimal onlineMonitoringHourRate;

    /**
     * 在线监测-日数据-应传个数
     */
    @TableField(value = "online_monitoring_day_num")
    @ApiModelProperty(value = "在线监测-日数据-应传个数")
    private Integer onlineMonitoringDayNum;

    /**
     * 在线监测-日数据-实际上传个数
     */
    @TableField(value = "online_monitoring_actual_day_num")
    @ApiModelProperty(value = "在线监测-日数据-实际上传个数")
    private Integer onlineMonitoringActualDayNum;

    /**
     * 在线监测-日数据-传输率
     */
    @TableField(value = "online_monitoring_day_rate")
    @ApiModelProperty(value = "在线监测-日数据-传输率")
    private BigDecimal onlineMonitoringDayRate;

    /**
     * 创建人
     */
    @TableField(value = "create_by")
    @ApiModelProperty(value = "创建人")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(value = "update_by")
    @ApiModelProperty(value = "更新人")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_FACTORY_ID = "factory_id";

    public static final String COL_FACTORY_NAME = "factory_name";

    public static final String COL_DISTRICT_NAME = "district_name";

    public static final String COL_DISTRICT_CODE = "district_code";

    public static final String COL_INDUSTRY_CATEGORY_NAME = "industry_category_name";

    public static final String COL_INDUSTRY_CATEGORY_CODE = "industry_category_code";

    public static final String COL_OUTLET_CODE = "outlet_code";

    public static final String COL_OUTLET_NAME = "outlet_name";

    public static final String COL_COUNT_TYPE = "count_type";

    public static final String COL_STATISTICS_TIME = "statistics_time";

    public static final String COL_ELEC_TRANSMITT_NUM = "elec_transmitt_num";

    public static final String COL_ELEC_ACTUAL_TRANSMITT_NUM = "elec_actual_transmitt_num";

    public static final String COL_ELEC_TRANSMISSION_RATE = "elec_transmission_rate";

    public static final String COL_UNORGANIZED_TRANSMITT_MINUTE_NUM = "unorganized_transmitt_minute_num";

    public static final String COL_UNORGANIZED_ACTUAL_TRANSMITT_MINUTE_NUM = "unorganized_actual_transmitt_minute_num";

    public static final String COL_UNORGANIZED_TRANSMISSION_MINUTE_RATE = "unorganized_transmission_minute_rate";

    public static final String COL_UNORGANIZED_TRANSMITT_HOUR_NUM = "unorganized_transmitt_hour_num";

    public static final String COL_UNORGANIZED_ACTUAL_TRANSMITT_HOUR_NUM = "unorganized_actual_transmitt_hour_num";

    public static final String COL_UNORGANIZED_TRANSMISSION_HOUR_RATE = "unorganized_transmission_hour_rate";

    public static final String COL_UNORGANIZED_TRANSMITT_DAY_NUM = "unorganized_transmitt_day_num";

    public static final String COL_UNORGANIZED_ACTUAL_TRANSMITT_DAY_NUM = "unorganized_actual_transmitt_day_num";

    public static final String COL_UNORGANIZED_TRANSMISSION_DAY_RATE = "unorganized_transmission_day_rate";

    public static final String COL_DCS_TRANSMITT_MINUTE_NUM = "dcs_transmitt_minute_num";

    public static final String COL_DCS_ACTUAL_TRANSMITT_NUM = "dcs_actual_transmitt_num";

    public static final String COL_DCS_TRANSMISSION_RATE = "dcs_transmission_rate";

    public static final String COL_GRIDDED_TRANSMITT_MINUTE_NUM = "gridded_transmitt_minute_num";

    public static final String COL_GRIDDED_ACTUAL_TRANSMITT_MINUTE_NUM = "gridded_actual_transmitt_minute_num";

    public static final String COL_GRIDDED_TRANSMISSION_MINUTE_RATE = "gridded_transmission_minute_rate";

    public static final String COL_GRIDDED_TRANSMITT_HOUR_NUM = "gridded_transmitt_hour_num";

    public static final String COL_GRIDDED_ACTUAL_TRANSMITT_HOUR_NUM = "gridded_actual_transmitt_hour_num";

    public static final String COL_GRIDDED_TRANSMISSION_HOUR_RATE = "gridded_transmission_hour_rate";

    public static final String COL_GRIDDED_TRANSMITT_DAY_NUM = "gridded_transmitt_day_num";

    public static final String COL_GRIDDED_ACTUAL_TRANSMITT_GRIDDED_TRANSMITT_DAY_NUM = "gridded_actual_transmitt_gridded_transmitt_day_num";

    public static final String COL_GRIDDED_TRANSMISSION_DAY_RATE = "gridded_transmission_day_rate";

    public static final String COL_ONLINE_MONITORING__MINUTE_NUM = "online_monitoring__minute_num";

    public static final String COL_ONLINE_MONITORING_ACTUAL_MINUTE_NUM = "online_monitoring_actual_minute_num";

    public static final String COL_ONLINE_MONITORING_MINUTE_RATE = "online_monitoring_minute_rate";

    public static final String COL_ONLINE_MONITORING_HOUR_NUM = "online_monitoring_hour_num";

    public static final String COL_ONLINE_MONITORING_ACTUAL_HOUR_NUM = "online_monitoring_actual_hour_num";

    public static final String COL_ONLINE_MONITORING_HOUR_RATE = "online_monitoring_hour_rate";

    public static final String COL_ONLINE_MONITORING_DAY_NUM = "online_monitoring_day_num";

    public static final String COL_ONLINE_MONITORING_ACTUAL_DAY_NUM = "online_monitoring_actual_day_num";

    public static final String COL_ONLINE_MONITORING_DAY_RATE = "online_monitoring_day_rate";

    public static final String COL_CREATE_BY = "create_by";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_BY = "update_by";

    public static final String COL_UPDATE_TIME = "update_time";
}
