package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 关联分析系统-企业异常行为分析-企业排放分析-废气在线监测标记汇总对象 s_ra_gas_flag
 */
@ApiModel(value = "关联分析系统-企业异常行为分析-企业排放分析-废气在线监测标记汇总")
@Data
@TableName("s_ra_gas_flag")
public class SRaGasFlag extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "监测点id")
    private String outletId;


    @ApiModelProperty(value = "数据标记")
    private String dataFlag;


    @ApiModelProperty(value = "开始时间")
    private Date startTime;


    @ApiModelProperty(value = "结束时间")
    private Date endTime;


    @ApiModelProperty(value = "时长")
    private BigDecimal duration;


    @ApiModelProperty(value = "平均时长")
    private BigDecimal durationAvg;


    @ApiModelProperty(value = "废气排放量（m³）")
    private BigDecimal oxygenEmission;


    @ApiModelProperty(value = "烟尘折算浓度（mg/m³）")
    private BigDecimal smokeDustConvert;


    @ApiModelProperty(value = "烟尘排放量（kg）")
    private BigDecimal smokeDustEmission;


    @ApiModelProperty(value = "NOx折算浓度（mg/m³）")
    private BigDecimal noxConvert;


    @ApiModelProperty(value = "NOx排放量（kg）")
    private BigDecimal noxEmission;


    @ApiModelProperty(value = "SO₂折算浓度（mg/m³）")
    private BigDecimal so2Convert;


    @ApiModelProperty(value = "SO₂排放量（kg）")
    private BigDecimal so2Emission;


    @ApiModelProperty(value = "氧含量均值（%）")
    private BigDecimal o3;


    @ApiModelProperty(value = "烟气流速平均值（m/s）")
    private BigDecimal smokeDustFlowVelocity;


    @ApiModelProperty(value = "烟气温度平均值（℃）")
    private BigDecimal smokeDustTem;


    @ApiModelProperty(value = "烟气压力平均值（千帕）")
    private BigDecimal smokeDustPressure;

}
