package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;


/**
 * 手工监测排放监控-气污染要素对象 s_ra_handwork_emissions_gas
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "手工监测排放监控-气污染要素")
@Data
@EqualsAndHashCode(callSuper = false)
@ToString
@TableName("s_ra_handwork_emissions_gas")
public class SRaHandworkEmissionsGas extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;


    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    private String industryCategoryName;


    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;


    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;


    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;



    @ApiModelProperty(value = "监测点位名称")
    /** 监测点位名称 */
    @Excel(name = "监测点位名称")
    private String pointName;


    @ApiModelProperty(value = "排口编号")
    /** 排口编号 */
    @Excel(name = "排口编号")
    private String outletCode;


    @ApiModelProperty(value = "排口类型")
    /** 排口类型 */
    @Excel(name = "排口类型")
    private String outletType;


    @ApiModelProperty(value = "污染物")
    /** 污染物种类 */
    @Excel(name = "污染物")
    private String pollutantName;

    @ApiModelProperty(value = "污染物因子编码")
    /** 污染物因子编码 */
    private String pollutantCode;


    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "监测时间", dateFormat = "yyyy-MM-dd HH:mm")
    private Date monitorTime;


    @ApiModelProperty(value = "监测浓度")
    /** 监测浓度 */
    @Excel(name = "监测浓度")
    private String monitorVal;


    @ApiModelProperty(value = "浓度单位")
    /** 浓度单位 */
    @Excel(name = "浓度单位")
    private String unit;


    @ApiModelProperty(value = "烟气流量（m³/h）")
    /** 烟气流量（m³/h） */
    @Excel(name = "烟气流量（m³/h）")
    private String flueGasFlow;


    @ApiModelProperty(value = "核算周期开始")
    /** 核算周期开始 */
    @JsonFormat(pattern = "yyyyMMdd")
    private Date checkCycleStart;


    @ApiModelProperty(value = "核算周期结束")
    /** 核算周期结束 */
    @JsonFormat(pattern = "yyyyMMdd")
    private Date checkCycleEnd;

    @ApiModelProperty("核算周期(前端展示使用)")
    @Excel(name = "核算周期")
    @TableField(exist = false)
    private String checkTime;


    @ApiModelProperty(value = "核算周期生产运行时间")
    /** 核算周期生产运行时间 */
    @Excel(name = "核算周期生产运行时间")
    private String checkRunTime;


    @ApiModelProperty(value = "运行时间来源")
    /** 运行时间来源 */
    @Excel(name = "运行时间来源")
    private String runTimeSource;


    @ApiModelProperty(value = "排放量（t）")
    /** 排放量（t） */
    @Excel(name = "排放量（t）")
    private String emissions;

}
