package cn.cecep.talroad.domain.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
    * 关联分析系统-执法监测数据--其他
    */
@ApiModel(description="关联分析系统-执法监测数据--其他")
@Data
@TableName(value = "s_ra_low_monitoring_other")
public class SRaLowMonitoringOther implements Serializable {
    public static final String COL_DATA_ID = "data_id";
    public static final String COL_FACTORY_ID = "factory_id";
    public static final String COL_FACTORY_NAME = "factory_name";
    public static final String COL_INDUSTRY_CATEGORY_NAME = "industry_category_name";
    public static final String COL_INDUSTRY_CATEGORY_CODE = "industry_category_code";
    public static final String COL_DISTRICT_NAME = "district_name";
    public static final String COL_DISTRICT_CODE = "district_code";
    public static final String COL_MONITOR_TIME = "monitor_time";
    public static final String COL_MOITOR_NAME = "moitor_name";
    public static final String COL_MONITOR_ID = "monitor_id";
    public static final String COL_MONITORING_TYPE = "monitoring_type";
    public static final String COL_EMISSION_STANDARD_NAME = "emission_standard_name";
    public static final String COL_STANDARD_NUM = "standard_num";
    public static final String COL_MONITORING_CLASS = "monitoring_class";
    public static final String COL_CONCENTRATION = "concentration";
    public static final String COL_UPPER_VALUE = "upper_value";
    public static final String COL_LOWER_VALUE = "lower_value";
    public static final String COL_UNIT = "unit";
    public static final String COL_EXCEEDING_STANDARD = "exceeding_standard";
    public static final String COL_EXCEEDING_MULTIPLE = "exceeding_multiple";
    private static final long serialVersionUID = 1L;
    /**
     * 数据主键
     */
    @TableId(value = "data_id", type = IdType.INPUT)
    @ApiModelProperty(value="数据主键")
    private Object dataId;
    /**
     * 企业主键
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业主键")
    private String factoryId;
    /**
     * 企业名称
     */
    @TableField(value = "factory_name")
    @ApiModelProperty(value="企业名称")
    @Excel(name = "企业名称",sort = 1,width = 25)
    private String factoryName;
    /**
     * 行业类别名称(多个使用'、'拼接)
     */
    @TableField(value = "industry_category_name")
    @ApiModelProperty(value="行业类别名称(多个使用'、'拼接)")
    @Excel(name = "行业类别",sort = 2,width = 25)
    private String industryCategoryName;
    /**
     * 行业类别编码(多个使用'、'拼接)
     */
    @TableField(value = "industry_category_code")
    @ApiModelProperty(value="行业类别编码(多个使用'、'拼接)")
    private String industryCategoryCode;
    /**
     * 所在区县名称
     */
    @TableField(value = "district_name")
    @ApiModelProperty(value="所在区县名称")
    @Excel(name = "区县名称",sort = 3,width = 25)
    private String districtName;
    /**
     * 所在区县编码
     */
    @TableField(value = "district_code")
    @ApiModelProperty(value="所在区县编码")
    private String districtCode;
    /**
     * 监测日期
     */
    @TableField(value = "monitor_time")
    @ApiModelProperty(value="监测日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "监测日期",sort = 4,width = 25,dateFormat = "yyyy-MM-dd")
    private Date monitorTime;
    /**
     * 监测点名称
     */
    @TableField(value = "moitor_name")
    @ApiModelProperty(value="监测点名称")
    @Excel(name = "监测点名称",sort = 6,width = 25)
    private String moitorName;
    /**
     * 监测点id
     */
    @TableField(value = "monitor_id")
    @ApiModelProperty(value="监测点id")
    private String monitorId;
    /**
     * 监测类型
     */
    @TableField(value = "monitoring_type")
    @ApiModelProperty(value="监测类型")
    @Excel(name = "监测类型",sort = 5,width = 25)
    private String monitoringType;
    /**
     * 排放标准名称
     */
    @TableField(value = "emission_standard_name")
    @ApiModelProperty(value="排放标准名称")
    @Excel(name = "排放标准名称",sort = 7,width = 25)
    private String emissionStandardName;
    /**
     * 标准条目
     */
    @TableField(value = "standard_num")
    @ApiModelProperty(value="标准条目")
    @Excel(name = "标准条目",sort = 8,width = 25)
    private String standardNum;
    /**
     * 监测项目
     */
    @TableField(value = "monitoring_class")
    @ApiModelProperty(value="监测项目")
    @Excel(name = "监测项目",sort = 9,width = 25)
    private String monitoringClass;
    /**
     * 浓度
     */
    @TableField(value = "concentration")
    @ApiModelProperty(value="浓度")
    @Excel(name = "浓度",sort = 10,width = 25)
    private String concentration;
    /**
     * 上限
     */
    @TableField(value = "upper_value")
    @ApiModelProperty(value="上限")
    @Excel(name = "上限",sort = 11,width = 25)
    private String upperValue;
    /**
     * 下限
     */
    @TableField(value = "lower_value")
    @ApiModelProperty(value="下限")
    @Excel(name = "下限",sort = 12,width = 25)
    private String lowerValue;
    /**
     * 单位
     */
    @TableField(value = "unit")
    @ApiModelProperty(value="单位")
    @Excel(name = "单位",sort = 13,width = 25)
    private String unit;
    /**
     * 是否超标；0---否，1----是
     */
    @TableField(value = "exceeding_standard")
    @ApiModelProperty(value="是否超标；0---否，1----是")
    @Excel(name = "是否超标",sort = 14,width = 25,readConverterExp = "1=是,0=否")
    private String exceedingStandard;
    /**
     * 超标倍数
     */
    @TableField(value = "exceeding_multiple")
    @ApiModelProperty(value="超标倍数")
    @Excel(name = "超标倍数",sort = 15,width = 25)
    private String exceedingMultiple;
}