package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "超标率分析-气污染要素")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_over_rate_gas")
public class SRaOverRateGas extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "监测点位名称")
    private String pointName;


    @ApiModelProperty(value = "排口编号")
    private String outletCode;


    @ApiModelProperty(value = "有效监测数据（小时值）数量")
    private String validDataCount;


    @ApiModelProperty(value = "so2超标次数")
    private String so2OverCount;


    @ApiModelProperty(value = "so2超标率")
    private String so2OverRate;


    @ApiModelProperty(value = "NOx超标次数")
    private String noxOverCount;


    @ApiModelProperty(value = "NOx超标率")
    private String noxOverRate;


    @ApiModelProperty(value = "颗粒物超标次数")
    private String pmOverCount;


    @ApiModelProperty(value = "颗粒物超标率")
    private String pmOverRate;


    @ApiModelProperty(value = "VOCs超标次数")
    private String vocsOverCount;


    @ApiModelProperty(value = "VOCs超标率")
    private String vocsOverRate;


    @ApiModelProperty(value = "统计类型 N:月, Q:季度, Y:年")
    private String statisticsType;


    @ApiModelProperty(value = "统计时间")
    private String statisticsTime;

}
