package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "超标率分析-水污染要素")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_over_rate_water")
public class SRaOverRateWater extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "监测点位名称")
    private String pointName;


    @ApiModelProperty(value = "排口编号")
    private String outletCode;


    @ApiModelProperty(value = "有效监测数据（日均值）数量")
    private String validDataCount;


    @ApiModelProperty(value = "COD超标次数")
    private String codOverCount;


    @ApiModelProperty(value = "COD超标率")
    private String codOverRate;


    @ApiModelProperty(value = "氨氮超标次数")
    private String nh3OverCount;


    @ApiModelProperty(value = "氨氮超标率")
    private String nh3OverRate;


    @ApiModelProperty(value = "总磷超标次数")
    private String tpOverCount;


    @ApiModelProperty(value = "总磷超标率")
    private String tpOverRate;


    @ApiModelProperty(value = "总氮超标次数")
    private String tnOverCount;


    @ApiModelProperty(value = "总氮超标率")
    private String tnOverRate;


    @ApiModelProperty(value = "统计类型 N:月, Q:季度, Y:年")
    private String statisticsType;


    @ApiModelProperty(value = "统计时间 格式")
    private String statisticsTime;

}
