package cn.cecep.talroad.domain.analysis;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
    * 关联分析系统-证后监管辅助分析--排污许可管理级别变化统计
    */
@ApiModel(description="关联分析系统-证后监管辅助分析--排污许可管理级别变化统计")
@Data
@TableName(value = "s_ra_poll_man_type_change")
public class SRaPollManTypeChange implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键")
    private String id;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
     * 上次排污许可证发证日期
     */
    @TableField(value = "last_license_time")
    @ApiModelProperty(value="上次排污许可证发证日期")
    private Date lastLicenseTime;

    /**
     * 上次排污许可证管理级别
     */
    @TableField(value = "last_license_man_type")
    @ApiModelProperty(value="上次排污许可证管理级别")
    private String lastLicenseManType;

    /**
     * 本次排污许可证发证日期
     */
    @TableField(value = "now_license_time")
    @ApiModelProperty(value="本次排污许可证发证日期")
    private Date nowLicenseTime;

    /**
     * 本次排污许可证管理级别
     */
    @TableField(value = "now_license_man_type")
    @ApiModelProperty(value="本次排污许可证管理级别")
    private String nowLicenseManType;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_FACTORY_ID = "factory_id";

    public static final String COL_LAST_LICENSE_TIME = "last_license_time";

    public static final String COL_LAST_LICENSE_MAN_TYPE = "last_license_man_type";

    public static final String COL_NOW_LICENSE_TIME = "now_license_time";

    public static final String COL_NOW_LICENSE_MAN_TYPE = "now_license_man_type";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_TIME = "update_time";
}