package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;

import javax.validation.constraints.NotBlank;
import java.math.BigInteger;
import java.util.Date;


/**
 * 关联分析系统-企业生产过程分析-监测点位对比分析-分组对象 s_ra_real_time_analysic_comsit
 *
 * @author szhpt
 * @date 2023-07-14*/
@ApiModel(value = "关联分析系统-企业生产过程分析-监测点位对比分析-分组")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_real_time_analysic_comsit")
public class SRaRealTimeAnalysicComsit
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "data_id")
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger dataId;


    @ApiModelProperty(value = "分组名称")
    /** 分组名称 */
    @Excel(name = "分组名称")
    @NotBlank(message = "分组名称不能为空")
    private String sectionalizationName;


    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    @NotBlank(message = "参数名称不能为空")
    private String paramName;


    @ApiModelProperty(value = "数据分析时间")
    /** 数据分析时间 */
    @Excel(name = "数据分析时间")
    private String analysisTime;


    @ApiModelProperty(value = "监测点数量")
    /** 监测点数量 */
    @Excel(name = "监测点数量")
    private Long stationNum;




    @ApiModelProperty(value = "平均值")
    /** 平均值 */
    @Excel(name = "平均值")
    private String avgValue;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("sectionalizationName", getSectionalizationName())
            .append("paramName", getParamName())
            .append("analysisTime", getAnalysisTime())
            .append("stationNum", getStationNum())
            .append("createTime", getCreateTime())
            .append("avgValue", getAvgValue())
            .toString();
    }
}
