package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;

import java.math.BigInteger;
import java.util.Date;


/**
 * 关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位对象 s_ra_real_time_analysic_comsit_monitor
 *
 * @author szhpt
 * @date 2023-07-14*/
@ApiModel(value = "关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_real_time_analysic_comsit_monitor")
public class SRaRealTimeAnalysicComsitMonitor
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "data_id")
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger dataId;


    @ApiModelProperty(value = "分组表id")
    /** 分组表id */
    @Excel(name = "分组表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger comsitId;


    @ApiModelProperty(value = "监测点id")
    /** 监测点id */
    @Excel(name = "监测点id")
    private String monitorId;

    private Date createTime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("comsitId", getComsitId())
            .append("monitorId", getMonitorId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
