package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


/**
 * 企业装备停限产分析报(DCS)对象 s_ra_real_time_analysis_stop
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "企业装备停限产分析报(DCS)")
@Data
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_real_time_analysis_stop")
public class SRaRealTimeAnalysisStop extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    @TableId(value = "data_id", type = IdType.ASSIGN_UUID)
    private String dataId;


    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;


    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    @Excel(name = "行业类别")
    private String industryCategoryName;


    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;


    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    @Excel(name = "所在区县")
    private String districtName;


    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;


    @ApiModelProperty(value = "绩效级别")
    /** 绩效级别 */
    @Excel(name = "绩效级别",readConverterExp = "A=A级,B=B级,B-=B-级,C=C级,D=D级,EXEMPTION=豁免类,NOT_RATED=未评级,NON_PERFORMING_BUSINESS=非绩效企业")
    private String performanceLevel;

    @ApiModelProperty(value = "工序")
    /** 工序 */
    @Excel(name = "工序")
    private String workingProcedure;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;


    @ApiModelProperty(value = "设备编号")
    /** 设备编号 */
    private String deviceId;


    @ApiModelProperty(value = "运行状态时间段")
    /** 运行状态时间段 */
    @Excel(name = "运行状态时间段",width = 100)
    private String runEtc;


    @ApiModelProperty(value = "异常情况")
    /** 异常情况 */
    @Excel(name = "异常情况",width = 50)
    private String goingsOn;


    @ApiModelProperty(value = "分析时间")
    /** 分析时间 */
    private String analyseTime;
    @ApiModelProperty(value = "运行状态(1=运行,2=停运,3=启停,4=停启,5=数据缺失,6=数据恒值,7-数据异常)")
    /** 运行状态 */
    private String operationStatus;

    @ApiModelProperty(value = "运行状态开始时间")
    /** 运行状态开始时间 */
    private String runStatTime;
    @ApiModelProperty(value = "运行状态结束时间")
    /** 运行状态结束时间 */
    private String runStopTime;

}
