package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 关联分析系统-企业异常行为分析-企业排放分析-废水在线监测标记汇总对象 s_ra_water_flag
 */
@ApiModel(value = "关联分析系统-企业异常行为分析-企业排放分析-废水在线监测标记汇总")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_water_flag")
public class SRaWaterFlag extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "监测点id")
    private String outletId;


    @ApiModelProperty(value = "数据标记")
    private String dataFlag;


    @ApiModelProperty(value = "开始时间")
    private Date startTime;


    @ApiModelProperty(value = "结束时间")
    private Date endTime;


    @ApiModelProperty(value = "时长")
    private BigDecimal duration;


    @ApiModelProperty(value = "平均时长")
    private BigDecimal durationAvg;


    @ApiModelProperty(value = "COD浓度（mg/L）")
    private BigDecimal codConcentration;


    @ApiModelProperty(value = "氨氮浓度（mg/L）")
    private BigDecimal ammoniaNitrogen;


    @ApiModelProperty(value = "总氮浓度（mg/L）")
    private BigDecimal nitrogenConcentration;

    @ApiModelProperty(value = "总磷浓度（mg/L）")
    private BigDecimal phosphorusConcentration;


    @ApiModelProperty(value = "PH值")
    private BigDecimal phValue;


    @ApiModelProperty(value = "废水流量（m³）")
    private BigDecimal wastewaterFlow;

}
