package cn.cecep.talroad.domain.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;


@Data
@ApiModel(value = "地图排口24小时趋势查询表单类")
public class MapOutlet24HourDataDTO {

    @ApiModelProperty(value = "污染物类型，1COD，2氨氮")
    private Integer pollutantType = 1;

    @ApiModelProperty(value = "企业id")
    @NotBlank
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    @NotBlank
    private String outletId;

    @ApiModelProperty(value = "开始日期")
    private String monitoringStartTime;

    @ApiModelProperty(value = "结束日期")
    private String monitoringEndTime;

    @ApiModelProperty(value = "数据类型（日：D；小时：H；分钟：M）")
    private String dataType;

}
