package cn.cecep.talroad.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author: he yun long
 * @create: 2022-07-14 09:51
 */
@Data
@ApiModel(value="SequenceDto", description="SequenceDto")
public class SequenceDto {


    @ApiModelProperty("区域 或者 站点 类型  (1插值图 2渲染图) ")
    private   String     type;
    @ApiModelProperty("区域编码多个用 ,分割")
    private   String     regionCode;
    @ApiModelProperty("站点id多个用 ,分割")
    private   String     stationId;
    @ApiModelProperty("1小时 2日均 3月均")
    private   String     property;
    @ApiModelProperty(value = "开始时间")
    private   String     startTime;
    @ApiModelProperty(value = "结束时间")
    private   String     endTime;
    @ApiModelProperty(value = "因子")
    private   String     factorCode;
    //参数
    private   String      param;
    //年份
    @ApiModelProperty(value = "年份")
    private   String      yearTime;

    @ApiModelProperty(value = "日")
    private   String      dayTime;
    @ApiModelProperty(value = "月")
    private   String      monthTime;

    @ApiModelProperty(value = "城市 1自南向北 2自北向南、3 自东向西、4 自西向东、5 自东北向西南、6 自西南向东北、7 自西北向东南、8自东南向西北")
    private   String      citySort;

    @ApiModelProperty(value = "区域账号Code")
    private String userRegionCode;
    @ApiModelProperty(value = "userRegionName")
    private String userRegionName;

    @ApiModelProperty(value = "时间")
    private   String      monitorTime;

    @ApiModelProperty(value = "1正 2反")
    private   Boolean      positive;

    @ApiModelProperty(value = "城市还是站点 1: 城市, 2: 站点")
    private Integer cityOrStation;

    private   List<String>     regionCodeList;

    private   List<String>     stationIdList;
}
