package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 站点超标预警--废气
 */
@ApiModel(description = "站点超标预警--废气")
@Data
@TableName(value = "e_rm_station_exceed")
public class ERmStationExceed implements Serializable {
    public static final String COL_STATION_NAME = "station_name";
    public static final String COL_STATION_CODE = "station_code";
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 站点id(关联t_cod_station表id)
     */
    @TableField(value = "station_id")
    @ApiModelProperty(value = "站点id(关联t_cod_station表id)")
    private String stationId;

    /**
     * 超标因子
     */
    @TableField(value = "exceed_factor")
    @ApiModelProperty(value = "超标因子")
    private String exceedFactor;

    /**
     * 超标类型
     */
    @TableField(value = "exceed_type")
    @ApiModelProperty(value = "超标类型")
    private String exceedType;

    /**
     * 超标时间
     */
    @TableField(value = "exceed_time")
    @ApiModelProperty(value = "超标时间")
    private Date exceedTime;

    /**
     * 是否删除。0否，1是
     */
    @TableField(value = "exceed_delete")
    @ApiModelProperty(value = "是否删除。0否，1是")
    private String exceedDelete;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_STATION_ID = "station_id";

    public static final String COL_EXCEED_FACTOR = "exceed_factor";

    public static final String COL_EXCEED_TYPE = "exceed_type";

    public static final String COL_EXCEED_TIME = "exceed_time";

    public static final String COL_EXCEED_DELETE = "exceed_delete";
}