package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 废气站点六大污染物实时数据
 */
@ApiModel(description = "废气站点六大污染物实时数据")
@Data
@TableName(value = "e_rm_station_hour")
public class ERmStationHour implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_STATION_NAME = "station_name";
    public static final String COL_STATION_CODE = "station_code";
    public static final String COL_STATION_TYPE = "station_type";
    public static final String COL_STATION_REGION_NAME = "station_region_name";
    public static final String COL_LONGITUDE = "longitude";
    public static final String COL_LATITUDE = "latitude";
    public static final String COL_PM25 = "pm25";
    public static final String COL_PM10 = "pm10";
    public static final String COL_SO2 = "so2";
    public static final String COL_NO2 = "no2";
    public static final String COL_CO = "co";
    public static final String COL_O3 = "o3";
    public static final String COL_TEMPERATURE = "temperature";
    public static final String COL_HUMIDITY = "humidity";
    public static final String COL_WIND_DIRECTION = "wind_direction";
    public static final String COL_WIND_SPEED = "wind_speed";
    public static final String COL_BAROMETRIC_PRESSURE = "barometric_pressure";
    public static final String COL_AQI = "aqi";
    public static final String COL_POLLUTANT = "pollutant";
    public static final String COL_AIR_QUALITYCLASS = "air_qualityclass";
    public static final String COL_DATA_TIME = "data_time";
    public static final String COL_CREATE_TIME = "create_time";
    public static final String COL_UPDATE_TIME = "update_time";
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 站点名称
     */
    @TableField(value = "station_name")
    @ApiModelProperty(value = "站点名称")
    private String stationName;
    /**
     * 站点编码
     */
    @TableField(value = "station_code")
    @ApiModelProperty(value = "站点编码")
    private String stationCode;
    /**
     * 站点类型：1：国控站，2：省控站，3，市控站，4：微站 5：六参数微站，6：小型站，7：β射线扬尘站 8： TVOC微站，9：颗粒物微站，10：气象站 11：尾气遥测，12：超级站，13：黑烟车监测 14：园区站
     */
    @TableField(value = "station_type")
    @ApiModelProperty(value = "站点类型：1：国控站，2：省控站，3，市控站，4：微站 5：六参数微站，6：小型站，7：β射线扬尘站 8： TVOC微站，9：颗粒物微站，10：气象站 11：尾气遥测，12：超级站，13：黑烟车监测 14：园区站")
    private String stationType;
    /**
     * 站点所属区域
     */
    @TableField(value = "station_region_name")
    @ApiModelProperty(value = "站点所属区域")
    private String stationRegionName;
    /**
     * 经度
     */
    @TableField(value = "longitude")
    @ApiModelProperty(value = "经度")
    private String longitude;
    /**
     * 维度
     */
    @TableField(value = "latitude")
    @ApiModelProperty(value = "维度")
    private String latitude;
    /**
     * （μg/m³）
     */
    @TableField(value = "pm25")
    @ApiModelProperty(value = "（μg/m³）")
    private String pm25;
    /**
     * （μg/m³）
     */
    @TableField(value = "pm10")
    @ApiModelProperty(value = "（μg/m³）")
    private String pm10;
    /**
     * （μg/m³）
     */
    @TableField(value = "so2")
    @ApiModelProperty(value = "（μg/m³）")
    private String so2;
    /**
     * （μg/m³）
     */
    @TableField(value = "no2")
    @ApiModelProperty(value = "（μg/m³）")
    private String no2;
    /**
     * （μg/m³）
     */
    @TableField(value = "co")
    @ApiModelProperty(value = "（μg/m³）")
    private String co;
    /**
     * （μg/m³）
     */
    @TableField(value = "o3")
    @ApiModelProperty(value = "（μg/m³）")
    private String o3;
    /**
     * 温度（℃）
     */
    @TableField(value = "temperature")
    @ApiModelProperty(value = "温度（℃）")
    private String temperature;
    /**
     * 湿度（%RH）
     */
    @TableField(value = "humidity")
    @ApiModelProperty(value = "湿度（%RH）")
    private String humidity;
    /**
     * 风向（°）
     */
    @TableField(value = "wind_direction")
    @ApiModelProperty(value = "风向（°）")
    private String windDirection;
    /**
     * 风速（m/s）
     */
    @TableField(value = "wind_speed")
    @ApiModelProperty(value = "风速（m/s）")
    private Double windSpeed;
    /**
     * 大气压（hPa）
     */
    @TableField(value = "barometric_pressure")
    @ApiModelProperty(value = "大气压（hPa）")
    private String barometricPressure;
    /**
     * aqi
     */
    @TableField(value = "aqi")
    @ApiModelProperty(value = "aqi")
    private String aqi;
    /**
     * 首要污染物
     */
    @TableField(value = "pollutant")
    @ApiModelProperty(value = "首要污染物")
    private String pollutant;
    /**
     * 空气质量级别
     */
    @TableField(value = "air_qualityclass")
    @ApiModelProperty(value = "空气质量级别")
    private String airQualityclass;
    /**
     * 站点数据时间
     */
    @TableField(value = "data_time")
    @ApiModelProperty(value = "站点数据时间")
    private Date dataTime;
    /**
     * 入库时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "入库时间")
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}