package cn.cecep.talroad.domain.effective;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
    * 管控效果延时评估 
    */
@ApiModel(description="管控效果延时评估 ")
@Data
@TableName(value = "m_ai_control_delay_assessment")
public class MAiControlDelayAssessment implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_FACTORY_NAME = "factory_name";
    public static final String COL_AVERAGE_SPEED = "average_speed";
    public static final String COL_WIND_DIRECTION = "wind_direction";
    public static final String COL_CHIMNEY_HEIGHT = "chimney_height";
    public static final String COL_SITE_NAME = "site_name";
    public static final String COL_SITE_TYPE = "site_type";
    public static final String COL_ESTIMATED_TIME = "estimated_time";
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键")
    private String id;
    /**
     * 企业名
     */
    @TableField(value = "factory_name")
    @ApiModelProperty(value="企业名")
    @Excel(name = "企业名", width = 25, sort = 1)
    private String factoryName;
    /**
     * 平均风速
     */
    @TableField(value = "average_speed")
    @ApiModelProperty(value="平均风速")
    @Excel(name = "平均风速", width = 25, sort = 2)
    private String averageSpeed;
    /**
     * 风向=E=东,S=南,W=西,N=北 ,SE=东南,SW=西南,NE=东北,NW=西北
     */
    @TableField(value = "wind_direction")
    @ApiModelProperty(value="风向 E=东,S=南,W=西,N=北 ,SE=东南,SW=西南,NE=东北,NW=西北,A=全方位")
    @Excel(name = "风向", width = 25, sort = 3,readConverterExp ="E=东,S=南,W=西,N=北 ,SE=东南,SW=西南,NE=东北,NW=西北,A=全方位" )
    private String windDirection;
    /**
     * 烟囱高度
     */
    @TableField(value = "chimney_height")
    @ApiModelProperty(value="烟囱高度")
    @Excel(name = "烟囱高度", width = 25, sort = 4)
    private Double chimneyHeight;
    /**
     * 影响站点名称
     */
    @TableField(value = "site_name")
    @ApiModelProperty(value="影响站点名称")
    @Excel(name = "影响站点名称", width = 25, sort = 5)
    private String siteName;
    /**
     * 站点类型
     */
    @TableField(value = "site_type")
    @ApiModelProperty(value="站点类型")
    @Excel(name = "站点类型", width = 25, sort = 6)
    private String siteType;
    /**
     * 预计时间
     */
    @TableField(value = "estimated_time")
    @ApiModelProperty(value="预计时间")
    @Excel(name = "预计时间", width = 25, sort = 7)
    private Integer estimatedTime;
}