package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * 成效评估--治理技术评估---企业维度
 */
@ApiModel(description = "成效评估--治理技术评估---企业维度")
@Data
@TableName(value = "m_governance_technology_estimate_factory")
public class MGovernanceTechnologyEstimateFactory implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 企业名称
     */
    @TableField(value = "factory_name")
    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    /**
     * 行业类别
     */
    @TableField(value = "industry_category")
    @ApiModelProperty(value = "行业类别")
    private String industryCategory;

    /**
     * 县名称
     */
    @TableField(value = "country_name")
    @ApiModelProperty(value = "县名称")
    private String countryName;

    /**
     * 治理技术
     */
    @TableField(value = "governance_technology")
    @ApiModelProperty(value = "治理技术")
    private String governanceTechnology;

    /**
     * 治理设施数量
     */
    @TableField(value = "facilities_num")
    @ApiModelProperty(value = "治理设施数量")
    private Integer facilitiesNum;

    /**
     * 评估结果
     */
    @TableField(value = "administer_results")
    @ApiModelProperty(value = "评估结果")
    private String administerResults;

    /**
     * 治理效果--治理效率
     */
    @TableField(value = "administer_efficiency")
    @ApiModelProperty(value = "治理效果--治理效率")
    private String administerEfficiency;

    /**
     * 治理效果--单位产品污染物排放量（kg/t
     */
    @TableField(value = "administer_pollutant_num")
    @ApiModelProperty(value = "治理效果--单位产品污染物排放量（kg/t")
    private String administerPollutantNum;

    /**
     * 治理效果--单位产品污染物排放浓度（mg/m3）
     */
    @TableField(value = "administer_pollutant_concentration")
    @ApiModelProperty(value = "治理效果--单位产品污染物排放浓度（mg/m3）")
    private String administerPollutantConcentration;

    /**
     * 运行经济性--单位产品药剂投加量
     */
    @TableField(value = "operation_drug_num")
    @ApiModelProperty(value = "运行经济性--单位产品药剂投加量")
    private String operationDrugNum;

    /**
     * 运行经济性--单位污染物排放药剂投加量
     */
    @TableField(value = "operation_pollutant_drug_num")
    @ApiModelProperty(value = "运行经济性--单位污染物排放药剂投加量")
    private String operationPollutantDrugNum;

    /**
     * 运行经济性--单位污染物排放治理设施用电量（KW/kg）
     */
    @TableField(value = "operation_pollutant_electricity_num")
    @ApiModelProperty(value = "运行经济性--单位污染物排放治理设施用电量（KW/kg）")
    private String operationPollutantElectricityNum;

    /**
     * 管理控制水平--生产治理运行时间比
     */
    @TableField(value = "management_level_time_ratio")
    @ApiModelProperty(value = "管理控制水平--生产治理运行时间比")
    private String managementLevelTimeRatio;

    /**
     * 管理控制水平--单位产品排放超标次数
     */
    @TableField(value = "management_excess_num")
    @ApiModelProperty(value = "管理控制水平--单位产品排放超标次数")
    private String managementExcessNum;

    /**
     * 管理控制水平--单位产品排放预警次数
     */
    @TableField(value = "management_warning_num")
    @ApiModelProperty(value = "管理控制水平--单位产品排放预警次数")
    private String managementWarningNum;

    /**
     * 管理控制水平--生产设施开启后1小时内平均排放浓度（mg/m3
     */
    @TableField(value = "management_concentration")
    @ApiModelProperty(value = "管理控制水平--生产设施开启后1小时内平均排放浓度（mg/m3")
    private String managementConcentration;

    /**
     * 季度：1，2，3，4
     */
    @TableField(value = "quarter")
    @ApiModelProperty(value = "季度：1，2，3，4")
    private String quarter;

    /**
     * 年份
     */
    @TableField(value = "year")
    @ApiModelProperty(value = "年份")
    private String year;

    /**
     * 设施类型：1：脱硫设施，2：脱硝设施，3：除尘设施
     */
    @TableField(value = "type")
    @ApiModelProperty(value = "设施类型：1：脱硫设施，2：脱硝设施，3：除尘设施")
    private Integer type;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_FACTORY_NAME = "factory_name";

    public static final String COL_INDUSTRY_CATEGORY = "industry_category";

    public static final String COL_COUNTRY_NAME = "country_name";

    public static final String COL_GOVERNANCE_TECHNOLOGY = "governance_technology";

    public static final String COL_FACILITIES_NUM = "facilities_num";

    public static final String COL_ADMINISTER_RESULTS = "administer_results";

    public static final String COL_ADMINISTER_EFFICIENCY = "administer_efficiency";

    public static final String COL_ADMINISTER_POLLUTANT_NUM = "administer_pollutant_num";

    public static final String COL_ADMINISTER_POLLUTANT_CONCENTRATION = "administer_pollutant_concentration";

    public static final String COL_OPERATION_DRUG_NUM = "operation_drug_num";

    public static final String COL_OPERATION_POLLUTANT_DRUG_NUM = "operation_pollutant_drug_num";

    public static final String COL_OPERATION_POLLUTANT_ELECTRICITY_NUM = "operation_pollutant_electricity_num";

    public static final String COL_MANAGEMENT_LEVEL_TIME_RATIO = "management_level_time_ratio";

    public static final String COL_MANAGEMENT_EXCESS_NUM = "management_excess_num";

    public static final String COL_MANAGEMENT_WARNING_NUM = "management_warning_num";

    public static final String COL_MANAGEMENT_CONCENTRATION = "management_concentration";

    public static final String COL_QUARTER = "quarter";

    public static final String COL_YEAR = "year";

    public static final String COL_TYPE = "type";
}