package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
    * 行政区域表
    */
@ApiModel(description="行政区域表")
@Data
@TableName(value = "p_code_region")
public class PCodeRegion implements Serializable {
    /**
     * 行政区域id
     */
    @TableId(value = "region_id", type = IdType.INPUT)
    @ApiModelProperty(value="行政区域id")
    private Long regionId;

    /**
     * 区域编号
     */
    @TableField(value = "region_code")
    @ApiModelProperty(value="区域编号")
    private String regionCode;

    /**
     * 区域名称
     */
    @TableField(value = "region_name")
    @ApiModelProperty(value="区域名称")
    private String regionName;

    /**
     * 行政级别 1-中国，2-省级，3-市级，4-县级级，5-乡镇
     */
    @TableField(value = "region_lever")
    @ApiModelProperty(value="行政级别 1-中国，2-省级，3-市级，4-县级级，5-乡镇")
    private String regionLever;

    /**
     * 区域电话
     */
    @TableField(value = "region_tel")
    @ApiModelProperty(value="区域电话")
    private String regionTel;

    /**
     * 父code
     */
    @TableField(value = "parent_code")
    @ApiModelProperty(value="父code")
    private String parentCode;

    /**
     * 0--正常 1--删除
     */
    @TableField(value = "delete_flag")
    @ApiModelProperty(value="0--正常 1--删除")
    private Short deleteFlag;

    /**
     * 创建时间
     */
    @TableField(value = "create_date")
    @ApiModelProperty(value="创建时间")
    private Date createDate;

    /**
     * 创建人id
     */
    @TableField(value = "create_id")
    @ApiModelProperty(value="创建人id")
    private Integer createId;

    /**
     * 修改时间
     */
    @TableField(value = "update_date")
    @ApiModelProperty(value="修改时间")
    private Date updateDate;

    /**
     * 修改人id
     */
    @TableField(value = "update_id")
    @ApiModelProperty(value="修改人id")
    private Integer updateId;

    /**
     * 经度
     */
    @TableField(value = "longitude")
    @ApiModelProperty(value="经度")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @TableField(value = "latitude")
    @ApiModelProperty(value="纬度")
    private BigDecimal latitude;

    /**
     * 是否是168城市
     */
    @TableField(value = "is168")
    @ApiModelProperty(value="是否是168城市")
    private Short is168;

    /**
     * 是否是74城市
     */
    @TableField(value = "is74")
    @ApiModelProperty(value="是否是74城市")
    private Short is74;

    /**
     * 是否是2+26城市
     */
    @TableField(value = "is28")
    @ApiModelProperty(value="是否是2+26城市")
    private Short is28;

    /**
     * 是否是337城市
     */
    @TableField(value = "is337")
    @ApiModelProperty(value="是否是337城市")
    private Short is337;

    private static final long serialVersionUID = 1L;

    public static final String COL_REGION_ID = "region_id";

    public static final String COL_REGION_CODE = "region_code";

    public static final String COL_REGION_NAME = "region_name";

    public static final String COL_REGION_LEVER = "region_lever";

    public static final String COL_REGION_TEL = "region_tel";

    public static final String COL_PARENT_CODE = "parent_code";

    public static final String COL_DELETE_FLAG = "delete_flag";

    public static final String COL_CREATE_DATE = "create_date";

    public static final String COL_CREATE_ID = "create_id";

    public static final String COL_UPDATE_DATE = "update_date";

    public static final String COL_UPDATE_ID = "update_id";

    public static final String COL_LONGITUDE = "longitude";

    public static final String COL_LATITUDE = "latitude";

    public static final String COL_IS168 = "is168";

    public static final String COL_IS74 = "is74";

    public static final String COL_IS28 = "is28";

    public static final String COL_IS337 = "is337";
}