package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
    * 全国城市168、337 省内排名---小时数据
    */
@ApiModel(description="全国城市168、337排名---小时数据")
@Data
@TableName(value = "pc_national_city_ranking_hour")
public class PcNationalCityRankingHour implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_PCODE = "pcode";
    public static final String COL_PNAME = "pname";
    public static final String COL_CITYNAME = "cityName";
    public static final String COL_CITYID = "cityId";
    public static final String COL_AQI = "aqi";
    public static final String COL_MAXPOLLUTION = "maxPollution";
    public static final String COL_PM25 = "pm25";
    public static final String COL_PM10 = "pm10";
    public static final String COL_O3 = "o3";
    public static final String COL_SO2 = "so2";
    public static final String COL_NO2 = "no2";
    public static final String COL_CO = "co";
    public static final String COL_DATE_TIME = "date_time";
    public static final String COL_INDEX_337 = "index_337";
    public static final String COL_IS_337 = "is_337";
    public static final String COL_IS_168 = "is_168";
    public static final String COL_INDEX_168 = "index_168";
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Integer id;
    /**
     * 省编码
     */
    @TableField(value = "pcode")
    @ApiModelProperty(value="省编码")
    private String pcode;
    /**
     * 省名称
     */
    @TableField(value = "pname")
    @ApiModelProperty(value="省名称")
    private String pname;
    /**
     * 城市名称
     */
    @TableField(value = "\"cityName\"")
    @ApiModelProperty(value="城市名称")
    private String cityname;
    /**
     * 城市行政区划代码
     */
    @TableField(value = "\"cityId\"")
    @ApiModelProperty(value="城市行政区划代码")
    private Integer cityid;
    /**
     * AQI
     */
    @TableField(value = "aqi")
    @ApiModelProperty(value="AQI")
    private String aqi;
    /**
     * 最大污染物
     */
    @TableField(value = "\"maxPollution\"")
    @ApiModelProperty(value="最大污染物")
    private String maxpollution;
    /**
     * pm25
     */
    @TableField(value = "pm25")
    @ApiModelProperty(value="pm25")
    private String pm25;
    /**
     * pm10
     */
    @TableField(value = "pm10")
    @ApiModelProperty(value="pm10")
    private String pm10;
    /**
     * o3
     */
    @TableField(value = "o3")
    @ApiModelProperty(value="o3")
    private String o3;
    /**
     * so2
     */
    @TableField(value = "so2")
    @ApiModelProperty(value="so2")
    private String so2;
    /**
     * no2
     */
    @TableField(value = "no2")
    @ApiModelProperty(value="no2")
    private String no2;
    /**
     * co
     */
    @TableField(value = "co")
    @ApiModelProperty(value="co")
    private String co;
    /**
     * 数据时间 小时
     */
    @TableField(value = "date_time")
    @ApiModelProperty(value="数据时间 小时")
    private Date dateTime;
    /**
     * 排名
     */
    @TableField(value = "index_337")
    @ApiModelProperty(value="排名")
    private String index337;
    @TableField(value = "is_337")
    @ApiModelProperty(value="")
    private String is337;
    @TableField(value = "is_168")
    @ApiModelProperty(value="")
    private String is168;
    @TableField(value = "index_168")
    @ApiModelProperty(value="")
    private String index168;

    @TableField(exist = false)
    private String index;
    @ApiModelProperty(value="省内城市排名")
    private String indexProvinceCity;
}
