package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
    * 全国城市168、337排名--其他时间日、月、年
    */
@ApiModel(description="全国城市168、337排名--其他时间日、月、年")
@Data
@TableName(value = "pc_national_city_ranking_other")
public class PcNationalCityRankingOther implements Serializable {
    public static final String COL_ID = "id";
    public static final String COL_PCODE = "pcode";
    public static final String COL_PNAME = "pname";
    public static final String COL_CITYNAME = "cityName";
    public static final String COL_CITYID = "cityId";
    public static final String COL_AQI = "aqi";
    public static final String COL_MAXPOLLUTION = "maxPollution";
    public static final String COL_PM25 = "pm25";
    public static final String COL_PM10 = "pm10";
    public static final String COL_O3 = "o3";
    public static final String COL_SO2 = "so2";
    public static final String COL_NO2 = "no2";
    public static final String COL_CO = "co";
    public static final String COL_DATE_TIME = "date_time";
    public static final String COL_INDEX_337 = "index_337";
    public static final String COL_IS_337 = "is_337";
    public static final String COL_IS_168 = "is_168";
    public static final String COL_INDEX_168 = "index_168";
    public static final String COL_DATE_TYPE = "date_type";
    private static final long serialVersionUID = 1L;
    /**
     * 主键地
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键地")
    private Integer id;
    /**
     * 省编码
     */
    @TableField(value = "pcode")
    @ApiModelProperty(value="省编码")
    private String pcode;
    /**
     * 省名称
     */
    @TableField(value = "pname")
    @ApiModelProperty(value="省名称")
    private String pname;
    /**
     * 城市名称
     */
    @TableField(value = "cityName")
    @ApiModelProperty(value="城市名称")
    private String cityname;
    /**
     * 城市行政区划代码
     */
    @TableField(value = "cityId")
    @ApiModelProperty(value="城市行政区划代码")
    private Integer cityid;
    @TableField(value = "aqi")
    @ApiModelProperty(value="")
    private String aqi;
    /**
     * 颗粒物(PM10)
     */
    @TableField(value = "maxPollution")
    @ApiModelProperty(value="颗粒物(PM10)")
    private String maxpollution;
    @TableField(value = "pm25")
    @ApiModelProperty(value="")
    private String pm25;
    @TableField(value = "pm10")
    @ApiModelProperty(value="")
    private String pm10;
    @TableField(value = "o3")
    @ApiModelProperty(value="")
    private String o3;
    @TableField(value = "so2")
    @ApiModelProperty(value="")
    private String so2;
    @TableField(value = "no2")
    @ApiModelProperty(value="")
    private String no2;
    @TableField(value = "co")
    @ApiModelProperty(value="")
    private String co;
    /**
     * 数据时间 小时
     */
    @TableField(value = "date_time")
    @ApiModelProperty(value="数据时间 小时")
    private Date dateTime;
    /**
     * 排名
     */
    @TableField(value = "index_337")
    @ApiModelProperty(value="排名")
    private String index337;
    @TableField(value = "is_337")
    @ApiModelProperty(value="")
    private String is337;
    @TableField(value = "is_168")
    @ApiModelProperty(value="")
    private String is168;
    @TableField(value = "index_168")
    @ApiModelProperty(value="")
    private String index168;
    /**
     * 日：D，月：M，年：Y
     */
    @TableField(value = "date_type")
    @ApiModelProperty(value="日：D，月：M，年：Y")
    private String dateType;
    private String dateTimeFormat;

    @TableField(exist = false)
    private String index;
    @ApiModelProperty(value="省内城市排名")
    private String indexProvinceCity;
}
