package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: wyg
 * @Description: 省区县-实体
 * @Date: 2023/6/16 17:14
 * @Version: 1.0
 */
@ApiModel(description = "全国城市省区县数据")
@Data
@TableName(value = "pc_national_county_ranking_hour")
public class PcNationalCountyRankingHour {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 市级编码
     */
    @TableField(value = "citycode")
    @ApiModelProperty(value = "市级编码")
    private String citycode;

    /**
     * 市级名称
     */
    @TableField(value = "cityname")
    @ApiModelProperty(value = "市级名称")
    private String cityname;


    /**
     * 县编码
     */
    @TableField(value = "countrycode")
    @ApiModelProperty(value = "县编码")
    private String countrycode;

    /**
     * 县名称
     */
    @TableField(value = "countryname")
    @ApiModelProperty(value = "县名称")
    private String countryname;

    /**
     * 爬取的城市名称
     */
    @TableField(value = "allname")
    @ApiModelProperty(value = "爬取的城市名称")
    private String allname;

    /**
     * 最大污染物
     */
    @TableField(value = "\"maxPollution\"")
    @ApiModelProperty(value = "最大污染物")
    private String maxpollution;


    /**
     * pm25
     */
    @TableField(value = "pm25")
    @ApiModelProperty(value = "pm25")
    private String pm25;
    /**
     * pm10
     */
    @TableField(value = "pm10")
    @ApiModelProperty(value = "pm10")
    private String pm10;
    /**
     * o3
     */
    @TableField(value = "o3")
    @ApiModelProperty(value = "o3")
    private String o3;


    /**
     * so2
     */
    @TableField(value = "so2")
    @ApiModelProperty(value = "so2")
    private String so2;
    /**
     * AQI
     */
    @TableField(value = "AQI")
    @ApiModelProperty(value = "AQI")
    private String aqi;

    /**
     * no2
     */
    @TableField(value = "no2")
    @ApiModelProperty(value = "no2")
    private String no2;
    /**
     * co
     */
    @TableField(value = "co")
    @ApiModelProperty(value = "co")
    private String co;
    /**
     * 数据时间 小时
     */
    @TableField(value = "date_time")
    @ApiModelProperty(value = "数据时间 小时")
    private Date dateTime;
    /**
     * 排名
     */
    @TableField(value = "index")
    @ApiModelProperty(value = "排名")
    private String index;
}
