package cn.cecep.talroad.domain.effective;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 目标管理对象 q_envgas_area_target
 *
 * @author talroad
 * @date 2022-09-19 15:09:25
 */
@Data
@ApiModel(value = "目标管理模型")
public class QEnvgasAreaTarget {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "pk_id")
    @ApiModelProperty(value = "主键")
    private String pkId;

    /**
     * 1:日 2:月 3:年 4:秋防 5:冬防 6:秋冬防总计
     */
    @Excel(name = "1:日 2:月 3:年 4:秋防 5:冬防 6:秋冬防总计")
    @ApiModelProperty(value = "1:日 2:月 3:年 4:秋防 5:冬防 6:秋冬防总计")
    private Integer timeType;

    /**
     * 时间 年:yyyy 月yyyy-MM 日 yyyy-MM-dd
     */
    @Excel(name = "时间 年:yyyy 月yyyy-MM 日 yyyy-MM-dd")
    @ApiModelProperty(value = "时间 年:yyyy 月yyyy-MM 日 yyyy-MM-dd")
    private String time;

    /**
     * 目标值
     */
    @Excel(name = "目标值")
    @ApiModelProperty(value = "目标值")
    private BigDecimal targetValue;

    /**
     * 累计值
     */
    @Excel(name = "累计值")
    @ApiModelProperty(value = "累计值")
    private BigDecimal actualValue;

    /**
     * 因子id（关联表p_code_index_pollutant）
     */
    @Excel(name = "因子id", readConverterExp = "关=联表p_code_index_pollutant")
    @ApiModelProperty(value = "因子id（关联表p_code_index_pollutant）")
    private Integer fkFactorId;

    /**
     * 区域编号
     */
    @Excel(name = "区域编号")
    @ApiModelProperty(value = "区域编号")
    private String regionCode;

    /**
     * 0:未删除 1:已删除
     */
    @Excel(name = "0:未删除 1:已删除")
    @ApiModelProperty(value = "0:未删除 1:已删除")
    private Integer deleteFlag;


    @Excel(name = "0:否 1:是")
    @ApiModelProperty(value = "0:否 1:是")
    private Integer lockSign;

    private Date createTime;
}
