package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 区域年数据表
 * </p>
 *
 * @author author
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("q_envgas_wq_year")
@ApiModel(value="QEnvgasWqYear对象", description="区域年数据表")
public class QEnvgasWqYear implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = " 主键")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = " 数据时间")
    @TableField("data_time")
    private LocalDateTime dataTime;

    @ApiModelProperty(value = "年份yyyy")
    @TableField("year_time")
    private String yearTime;

    @ApiModelProperty(value = " 行政区域编号")
    @TableField("region_code")
    private String regionCode;

    @ApiModelProperty(value = " 总悬浮颗粒物")
    @TableField("tsp")
    private BigDecimal tsp;

    @ApiModelProperty(value = " 氮氧化物")
    @TableField("nox")
    private BigDecimal nox;

    @ApiModelProperty(value = "  TVOC")
    @TableField("tvoc")
    private BigDecimal tvoc;

    @ApiModelProperty(value = "  风力级别")
    @TableField("wind_level")
    private Integer windLevel;

    @ApiModelProperty(value = "  风向名称")
    @TableField("wind_direction")
    private String windDirection;

    @ApiModelProperty(value = " 综合指数")
    @TableField("pmi")
    private BigDecimal pmi;

    @ApiModelProperty(value = " AQI")
    @TableField("aqi")
    private BigDecimal aqi;

    @ApiModelProperty(value = " 二氧化硫")
    @TableField("so2")
    private BigDecimal so2;

    @ApiModelProperty(value = " 二氧化氮")
    @TableField("no2")
    private BigDecimal no2;

    @ApiModelProperty(value = "  PM2.5")
    @TableField("pm25")
    private BigDecimal pm25;

    @ApiModelProperty(value = "  PM10")
    @TableField("pm10")
    private BigDecimal pm10;

    @ApiModelProperty(value = "  一氧化碳")
    @TableField("co")
    private BigDecimal co;

    @ApiModelProperty(value = "  臭氧")
    @TableField("o3")
    private BigDecimal o3;

    @ApiModelProperty(value = "臭氧")
    @TableField("o3_8h")
    private BigDecimal o38h;

    @ApiModelProperty(value = "co 90百分位数")
    @TableField("co_95_percent")
    private BigDecimal co95Percent;

    @ApiModelProperty(value = "o38h 95百分位数")
    @TableField("o38h_90_percent")
    private BigDecimal o38h90Percent;

    @ApiModelProperty(value = " 首要污染物")
    @TableField("fk_pollutant_id")
    private String fkPollutantId;

    @ApiModelProperty(value = "  区间最大综合指数")
    @TableField("max_ipmi")
    private BigDecimal maxIpmi;

    @ApiModelProperty(value = "  空气质量级别")
    @TableField("fk_aqilevel_id")
    private Integer fkAqilevelId;

    @ApiModelProperty(value = " 二氧化硫是否超标")
    @TableField("so2_is_over")
    private Integer so2IsOver;

    @ApiModelProperty(value = " 二氧化硫区间最大值")
    @TableField("so2_max_value")
    private BigDecimal so2MaxValue;

    @ApiModelProperty(value = " 二氧化硫区间最小值")
    @TableField("so2_min_value")
    private BigDecimal so2MinValue;

    @ApiModelProperty(value = "  二氧化硫分指数")
    @TableField("iaqi_so2")
    private BigDecimal iaqiSo2;

    @ApiModelProperty(value = "  二氧化硫综合指数")
    @TableField("ipmi_so2")
    private BigDecimal ipmiSo2;

    @ApiModelProperty(value = " 二氧化氮是否超标")
    @TableField("no2_is_over")
    private Integer no2IsOver;

    @ApiModelProperty(value = " 二氧化氮区间最大值")
    @TableField("no2_max_value")
    private BigDecimal no2MaxValue;

    @ApiModelProperty(value = " 二氧化氮区间最小值")
    @TableField("no2_min_value")
    private BigDecimal no2MinValue;

    @ApiModelProperty(value = "  二氧化氮分指数")
    @TableField("iaqi_no2")
    private BigDecimal iaqiNo2;

    @ApiModelProperty(value = "  二氧化氮综合指数")
    @TableField("ipmi_no2")
    private BigDecimal ipmiNo2;

    @ApiModelProperty(value = "  PM10是否超标")
    @TableField("pm10_is_over")
    private Integer pm10IsOver;

    @ApiModelProperty(value = "  PM10区间最大值")
    @TableField("pm10_max_value")
    private BigDecimal pm10MaxValue;

    @ApiModelProperty(value = "  PM10区间最小值")
    @TableField("pm10_min_value")
    private BigDecimal pm10MinValue;

    @ApiModelProperty(value = " PM10分指数")
    @TableField("iaqi_pm10")
    private BigDecimal iaqiPm10;

    @ApiModelProperty(value = " PM10综合指数")
    @TableField("ipmi_pm10")
    private BigDecimal ipmiPm10;

    @ApiModelProperty(value = "  PM2.5是否超标")
    @TableField("pm25_is_over")
    private Integer pm25IsOver;

    @ApiModelProperty(value = "  PM2.5区间最大值")
    @TableField("pm25_max_value")
    private BigDecimal pm25MaxValue;

    @ApiModelProperty(value = "  PM2.5区间最小值")
    @TableField("pm25_min_value")
    private BigDecimal pm25MinValue;

    @ApiModelProperty(value = " PM2.5分指数")
    @TableField("iaqi_pm25")
    private BigDecimal iaqiPm25;

    @ApiModelProperty(value = " PM2.5综合指数")
    @TableField("ipmi_pm25")
    private BigDecimal ipmiPm25;

    @ApiModelProperty(value = "  一氧化碳是否超标")
    @TableField("co_is_over")
    private Integer coIsOver;

    @ApiModelProperty(value = "  一氧化碳区间最大值")
    @TableField("co_max_value")
    private BigDecimal coMaxValue;

    @ApiModelProperty(value = "  一氧化碳区间最小值")
    @TableField("co_min_value")
    private BigDecimal coMinValue;

    @ApiModelProperty(value = " 一氧化碳分指数")
    @TableField("iaqi_co")
    private BigDecimal iaqiCo;

    @ApiModelProperty(value = " 一氧化碳综合指数")
    @TableField("ipmi_co")
    private BigDecimal ipmiCo;

    @ApiModelProperty(value = "  臭氧是否超标")
    @TableField("o3_is_over")
    private Integer o3IsOver;

    @ApiModelProperty(value = "  臭氧区间最大值")
    @TableField("o3_max_value")
    private BigDecimal o3MaxValue;

    @ApiModelProperty(value = "  臭氧区间最小值")
    @TableField("o3_min_value")
    private BigDecimal o3MinValue;

    @ApiModelProperty(value = " 臭氧分指数")
    @TableField("iaqi_o3")
    private BigDecimal iaqiO3;

    @ApiModelProperty(value = " 臭氧综合指数")
    @TableField("ipmi_o3")
    private BigDecimal ipmiO3;

    @ApiModelProperty(value = "臭氧八小时平均 是否超标")
    @TableField("o3_8h_is_over")
    private Integer o38hIsOver;

    @ApiModelProperty(value = "臭氧八小时平均 区间最大值")
    @TableField("o3_8h_max_value")
    private BigDecimal o38hMaxValue;

    @ApiModelProperty(value = "臭氧八小时平均 区间最小值")
    @TableField("o3_8h_min_value")
    private BigDecimal o38hMinValue;

    @ApiModelProperty(value = "臭氧八小时平均 分指数")
    @TableField("iaqi_o3_8h")
    private BigDecimal iaqiO38h;

    @ApiModelProperty(value = "臭氧八小时平均 综合指数")
    @TableField("ipmi_o3_8h")
    private BigDecimal ipmiO38h;

    @ApiModelProperty(value = "  温度")
    @TableField("temp")
    private BigDecimal temp;

    @ApiModelProperty(value = "  温度区间最大值")
    @TableField("temp_max_value")
    private BigDecimal tempMaxValue;

    @ApiModelProperty(value = "  温度区间最小值")
    @TableField("temp_min_value")
    private BigDecimal tempMinValue;

    @ApiModelProperty(value = "  湿度")
    @TableField("humi")
    private BigDecimal humi;

    @ApiModelProperty(value = "  湿度区间最大值")
    @TableField("humi_max_value")
    private BigDecimal humiMaxValue;

    @ApiModelProperty(value = "  湿度区间最小值")
    @TableField("humi_min_value")
    private BigDecimal humiMinValue;

    @ApiModelProperty(value = " 风速")
    @TableField("winds")
    private BigDecimal winds;

    @ApiModelProperty(value = " 风速区间最大值")
    @TableField("winds_max_value")
    private BigDecimal windsMaxValue;

    @ApiModelProperty(value = " 风速区间最小值")
    @TableField("winds_min_value")
    private BigDecimal windsMinValue;

    @ApiModelProperty(value = " 风向")
    @TableField("windd")
    private BigDecimal windd;

    @ApiModelProperty(value = "  气压")
    @TableField("pres")
    private BigDecimal pres;

    @ApiModelProperty(value = "  气压区间最大值")
    @TableField("pres_max_value")
    private BigDecimal presMaxValue;

    @ApiModelProperty(value = "  气压区间最小值")
    @TableField("pres_min_value")
    private BigDecimal presMinValue;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;


}
