package cn.cecep.talroad.domain.effective;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 目标管理配置对象 q_target_config
 * @author talroad
 * @date 2022-09-20 11:41:36
 */
@Data
@ApiModel(value="目标管理配置模型")
public class QTargetConfig
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "pk_id", type = IdType.AUTO)
    @ApiModelProperty(value="主键")
    private Long pkId;

    /** pm25高值月分配值 */
    @Excel(name = "pm25高值月分配值")
    @ApiModelProperty(value="pm25高值月分配值")
    private Integer pm25Control;

    /** pm25高值月数量 */
    @Excel(name = "pm25高值月数量")
    @ApiModelProperty(value="pm25高值月数量")
    private Integer pm25Month;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value="$column.columnComment")
    private Integer pm10Control;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value="$column.columnComment")
    private Integer pm10Month;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value="$column.columnComment")
    private Integer so2Control;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value="$column.columnComment")
    private Integer so2Month;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value="$column.columnComment")
    private Integer no2Control;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value="$column.columnComment")
    private Integer no2Month;

    /** 区域code */
    @Excel(name = "区域code")
    @ApiModelProperty(value="区域code")
    private String regionCode;


}
