package cn.cecep.talroad.domain.effective;


import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.common.core.utils.PageUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 整改效果评估查询类
 */
@ApiModel(value = "整改效果评估查询类")
@Data
public class RectificationEffectQueryDTO extends PageQuery {

    @ApiModelProperty(value = "统计开始时间 yyyy-MM-dd HH:mm:ss")
    private String startTime;
    @ApiModelProperty(value = "统计结束时间 yyyy-MM-dd HH:mm:ss")
    private String endTime;
    @ApiModelProperty(value = "地区编码")
    private String regionCode;
    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @ApiModelProperty(value = "行业编码")
    private String categoryCode;
    @ApiModelProperty(value = "地区编码集合，根据用户地区查询用",hidden = true)
    private List<String> regionCodes;
}
