package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 污染物表
 * </p>
 *
 * @author author
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("s_envgas_pollutant")
@ApiModel(value="SEnvgasPollutant对象", description="污染物表")
public class SEnvgasPollutant implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "pk_id", type = IdType.AUTO)
    private Integer pkId;

    @ApiModelProperty(value = "污染因子类型（1.水、2.首页达标展示类型）")
    @TableField("fk_pollutant_type_id")
    private Integer fkPollutantTypeId;

    @ApiModelProperty(value = "污染因子编号")
    @TableField("pollutant_code")
    private String pollutantCode;

    @ApiModelProperty(value = "污染因子名称")
    @TableField("pollutant_name")
    private String pollutantName;

    @ApiModelProperty(value = "单位（显示）")
    @TableField("unit")
    private String unit;

    @ApiModelProperty(value = "排序")
    @TableField("serial")
    private Integer serial;

    @ApiModelProperty(value = "保留小数")
    @TableField("decimal_point")
    private Integer decimalPoint;

    @ApiModelProperty(value = "是否启用 0 在用，1 停用")
    @TableField("is_used")
    private Boolean isUsed;

    @ApiModelProperty(value = "是否可以计算总量0否1是")
    @TableField("is_pollutant")
    private Integer isPollutant;

    @ApiModelProperty(value = "映射字段 小时，月，日字段")
    @TableField("field")
    private String field;

    @ApiModelProperty(value = "是否涉气 0 否 1是")
    @TableField("involved")
    private String involved;

}
