package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 站点控制级别表
 * </p>
 *
 * @author author
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("s_envgas_station_control")
@ApiModel(value="SEnvgasStationControl对象", description="站点控制级别表")
public class SEnvgasStationControl implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "pk_id", type = IdType.AUTO)
    private Integer pkId;

    @ApiModelProperty(value = "编码")
    @TableField("level_code")
    private String levelCode;

    @ApiModelProperty(value = "名称")
    @TableField("level_name")
    private String levelName;

    @ApiModelProperty(value = "控制类型，1：站点   2：污染源")
    @TableField("control_type")
    private String controlType;


}
