package cn.cecep.talroad.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.vo
 * @ClassName: ControlSuperiorVo
 * @Author: wyg
 * @Description: ControlSuperiorVo
 * @Date: 2023/6/13 10:15
 * @Version: 1.0
 */

@Data
public class ControlSuperiorVo {


    @ApiModelProperty(value = "行政区域id")
    @TableId(value = "region_id", type = IdType.AUTO)
    private Integer regionId;

    @ApiModelProperty(value = "区域编号")
    @TableField("region_code")
    private String regionCode;

    @ApiModelProperty(value = "区域名称")
    @TableField("region_name")
    private String regionName;

    @ApiModelProperty(value = "行政级别 1-中国，2-省级，3-市级，4-县级级，5-乡镇")
    @TableField("region_lever")
    private String regionLever;

    @ApiModelProperty(value = "区域电话")
    @TableField("region_tel")
    private String regionTel;

    @ApiModelProperty(value = "父code")
    @TableField("parent_code")
    private String parentCode;

    @ApiModelProperty(value = "0--正常 1--删除")
    @TableField("delete_flag")
    private Boolean deleteFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_date")
    private Date createDate;

    @ApiModelProperty(value = "创建人id")
    @TableField("create_id")
    private Integer createId;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_date")
    private Date updateDate;

    @ApiModelProperty(value = "修改人id")
    @TableField("update_id")
    private Integer updateId;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "是否是168城市")
    @TableField("is168")
    private Boolean is168;

    @ApiModelProperty(value = "是否是74城市")
    @TableField("is74")
    private Boolean is74;

    @ApiModelProperty(value = "是否是2+26城市")
    @TableField("is28")
    private Boolean is28;

    @ApiModelProperty(value = "是否是337城市")
    @TableField("is337")
    private Boolean is337;


    @ApiModelProperty(value = "城市编号")
    @TableId(value = "city_code", type = IdType.AUTO)
    private Integer cityCode;

    @ApiModelProperty(value = "墨迹天气CityID")
    @TableField("city_id")
    private String cityId;

    @ApiModelProperty(value = "省份")
    @TableField("province")
    private String province;

    @ApiModelProperty(value = "城市名称")
    @TableField("city_name")
    private String cityName;

    @ApiModelProperty(value = "类型 1 168 2 74 3 2+26 4 其它")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "区域编号，外键")
    @TableField("area_code")
    private String areaCode;

    @ApiModelProperty(value = "是否是测试城市")
    @TableField("isTest")
    private Boolean isTest;


//    站点


    @ApiModelProperty(value = "主键")
//    @TableId(value = "station_id", type = IdType.UUID)
    @TableId(value = "station_id")
    private String stationId;

    @TableField("province_code")
    private String provinceCode;


    @ApiModelProperty(value = "市")
    @TableField("city")
    private String city;

    @TableField("district_code")
    private String districtCode;

    @ApiModelProperty(value = "区")
    @TableField("district")
    private String district;

    @ApiModelProperty(value = "站点名称")
    @TableField("station_name")
    private String stationName;

    @ApiModelProperty(value = "站点编号")
    @TableField("station_code")
    private String stationCode;

    @ApiModelProperty(value = "站点状态0 离线，1在线，2超标,3异常")
    @TableField("status")
    private Integer status;


    @ApiModelProperty(value = "所属功能区 商业/工业/住宅/绿化/文化教育")
    @TableField("function_id")
    private Integer functionId;

    @ApiModelProperty(value = "1：国控站，2：省控站，3，市控站，4：微站 5：六参数微站，6：小型站，7：β射线扬尘站 8： TVOC微站，9：颗粒物微站，10：气象站 11：尾气遥测，12：超级站，13：黑烟车监测 14：园区站")
    @TableField("station_level")
    private Integer stationLevel;

    @ApiModelProperty(value = "站点类型 1大气环境 2污染源废气 3水监测 4污染源废水")
    @TableField("station_type")
    private Integer stationType;


    @ApiModelProperty(value = "百度地图经度")
    @TableField("bmap_longitude")
    private BigDecimal bmapLongitude;

    @ApiModelProperty(value = "百度地图纬度")
    @TableField("bmap_latitude")
    private BigDecimal bmapLatitude;

    @ApiModelProperty(value = "GCG102 经度")
    @TableField("gcg_longitude")
    private String gcgLongitude;

    @ApiModelProperty(value = "GCG102 纬度")
    @TableField("gcg_latitude")
    private String gcgLatitude;


    //
    @ApiModelProperty(value = "主键")
    @TableId(value = "pk_id")
    private String pkId;

    @ApiModelProperty(value = "站点编号(或区域编号)")
    @TableField("fk_stationId")
    private String fkStationid;

    @ApiModelProperty(value = "0-站点 1-区域")
    @TableField("aqi_data_type")
    private Boolean aqiDataType;

    @ApiModelProperty(value = "监测时间")
    @TableField("monitor_time")
    private Date monitorTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "二氧化硫 浓度值")
    @TableField("so2")
    private BigDecimal so2;

    @ApiModelProperty(value = "二氧化硫分指数 分指数")
    @TableField("iaqi_so2")
    private Integer iaqiSo2;

    @ApiModelProperty(value = "IPMI_SO2 单项指数")
    @TableField("ipmi_so2")
    private BigDecimal ipmiSo2;

    @ApiModelProperty(value = "二氧化氮")
    @TableField("no2")
    private BigDecimal no2;

    @ApiModelProperty(value = "二氧化氮分指数")
    @TableField("iaqi_no2")
    private Integer iaqiNo2;

    @ApiModelProperty(value = "IPMI_NO2")
    @TableField("ipmi_no2")
    private BigDecimal ipmiNo2;

    @ApiModelProperty(value = "PM10")
    @TableField("pm10")
    private BigDecimal pm10;

    @ApiModelProperty(value = "IAQI_PM10")
    @TableField("iaqi_pm10")
    private Integer iaqiPm10;

    @ApiModelProperty(value = "IPMI_PM10")
    @TableField("ipmi_pm10")
    private BigDecimal ipmiPm10;

    @ApiModelProperty(value = "PM10_24h")
    @TableField("pm10_24h")
    private BigDecimal pm1024h;

    @ApiModelProperty(value = "IAQI_PM10_24h")
    @TableField("iaqi_pm10_24h")
    private Integer iaqiPm1024h;

    @ApiModelProperty(value = "CO")
    @TableField("co")
    private BigDecimal co;

    @ApiModelProperty(value = "IAQI_CO")
    @TableField("iaqi_co")
    private Integer iaqiCo;

    @ApiModelProperty(value = "IPMI_CO")
    @TableField("ipmi_ci")
    private BigDecimal ipmiCi;

    @ApiModelProperty(value = "95_CO")
    @TableField("co_95")
    private BigDecimal co95;

    @TableField("o3")
    private BigDecimal o3;

    @TableField("iaqi_o3")
    private Integer iaqiO3;

    @ApiModelProperty(value = "IPMI_O3")
    @TableField("ipmi_o3")
    private BigDecimal ipmiO3;

    @ApiModelProperty(value = "95_O3 95百分位数")
    @TableField("o3_90")
    private BigDecimal o390;

    @TableField("o3_8h")
    private BigDecimal o38h;

    @TableField("iaqi_o3_8h")
    private Integer iaqiO38h;

    @TableField("pm25")
    private BigDecimal pm25;

    @TableField("iaqi_pm25")
    private Integer iaqiPm25;

    @ApiModelProperty(value = "IPMI_PM25")
    @TableField("ipmi_pm25")
    private BigDecimal ipmiPm25;

    @TableField("pm25_24h")
    private BigDecimal pm2524h;

    @TableField("iaqi_pm25_24h")
    private Integer iaqiPm2524h;

    @ApiModelProperty(value = "风速")
    @TableField("winds")
    private BigDecimal winds;

    @ApiModelProperty(value = "气压")
    @TableField("pres")
    private BigDecimal pres;

    @ApiModelProperty(value = "湿度")
    @TableField("humi")
    private BigDecimal humi;

    @ApiModelProperty(value = "温度")
    @TableField("temp")
    private BigDecimal temp;

    @ApiModelProperty(value = "风向")
    @TableField("windd")
    private BigDecimal windd;

    @ApiModelProperty(value = "TVOC")
    @TableField("tvoc")
    private BigDecimal tvoc;

    @ApiModelProperty(value = "风力级别")
    @TableField("wind_level")
    private String windLevel;

    @ApiModelProperty(value = "风向中文")
    @TableField("wind_direction")
    private String windDirection;

    @ApiModelProperty(value = "紫外线指数")
    @TableField("uv")
    private String uv;

    @ApiModelProperty(value = "天气")
    @TableField("weahter")
    private String weahter;

    @ApiModelProperty(value = "NO")
    @TableField("no")
    private BigDecimal no;

    @ApiModelProperty(value = "NOX")
    @TableField("nox")
    private BigDecimal nox;

    @ApiModelProperty(value = "空气质量指数")
    @TableField("aqi")
    private Integer aqi;

    @ApiModelProperty(value = "空气质量综合指数")
    @TableField("pmi")
    private BigDecimal pmi;

    @ApiModelProperty(value = "总悬浮颗粒物")
    @TableField("tsp")
    private BigDecimal tsp;

    @ApiModelProperty(value = "空气质量最大指数")
    @TableField("max_ipmi")
    private BigDecimal maxIpmi;

    @ApiModelProperty(value = "首要污染物")
    @TableField("fk_pollutant_id")
    private Integer fkPollutantId;

    @ApiModelProperty(value = "空气质量类别")
    @TableField("fk_aqilevel_id")
    private Integer fkAqilevelId;



    //地图边界
    @ApiModelProperty(value = "纬度最小值")
    @TableField("lat_min")
    private String latMin;

    @ApiModelProperty(value = "维度最大值")
    @TableField("lat_max")
    private String latMax;

    @ApiModelProperty(value = "经度最小值")
    @TableField("lng_min")
    private String lngMin;

    @ApiModelProperty(value = "精度最大值")
    @TableField("lng_max")
    private String lngMax;

    @TableField("spatial_reference_wkid")
    private String spatialReferenceWkid;

    @ApiModelProperty(value = "是否正常 1：正常 0：异常")
    @TableField("is_normal")
    private Integer isNormal;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "中心点经度")
    @TableField("center_lng")
    private String centerLng;

    @ApiModelProperty(value = "中心点纬度")
    @TableField("center_lat")
    private String centerLat;

    @ApiModelProperty(value = "缩放级别")
    @TableField("zoom_level")
    private Integer zoomLevel;

    @ApiModelProperty(value = "地图边界url")
    @TableField("map_url")
    private String mapUrl;

    @ApiModelProperty(value = "经度")
    @TableField("user_map_center_longitude")
    private String userMapCenterLongitude;

    @ApiModelProperty(value = "纬度")
    @TableField("user_map_center_latitude")
    private String userMapCenterLatitude;

    @ApiModelProperty(value = "边界接口路径")
    @TableField("map_xzqh_url")
    private String mapXzqhUrl;


    @ApiModelProperty(value = "区域级别")
    @TableField("region_level")
    private Integer regionLevel;

}
