package cn.cecep.talroad.domain.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.domain.MonElecReal;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @className: MonElecRealVO
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/03/30 6:38 PM
 * @Company: Copyright© [2023/03/30 6:38 PM] by [Mr.Yanghongtao]
 **/
@Data
public class MonElecRealVO extends MonElecReal {
    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备类型")
    private String deviceType;

    @ApiModelProperty(value = "企业ID")
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "总有功功率（千瓦）(功率)")
    private String activePower;

    @ApiModelProperty(value = "额定功率（千瓦）")
    private String powerRating;

    @ApiModelProperty(value = "是否运行")
    private Boolean isRun;


    @ApiModelProperty(value = "行业类别")
    /** 行业类别 */
    @Excel(name = "行业类别")
    private String industryCategory;

    @ApiModelProperty(name = "行业名称")
    @TableField(exist = false)
    private String indusName;

    @ApiModelProperty(value = "市编码")
    /** 市编码 */
    @Excel(name = "市编码")
    private String cityCode;


    @ApiModelProperty(value = "市名称")
    /** 市名称 */
    @Excel(name = "市名称")
    private String cityName;


    @ApiModelProperty(value = "绩效管控级别")
    /** 绩效管控级别 */
    @Excel(name = "绩效管控级别")
    private String preConLevel;

}
