package cn.cecep.talroad.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.vo
 * @ClassName: PCodeRegionVo
 * @Author: wyg
 * @Description: PCodeRegionVo
 * @Date: 2023/6/13 10:10
 * @Version: 1.0
 */
@Data
public class PCodeRegionVo {


    @ApiModelProperty(value = "行政区域id")
    @TableId(value = "region_id", type = IdType.AUTO)
    private Integer regionId;

    @ApiModelProperty(value = "区域编号")
    @TableField("region_code")
    private String regionCode;

    @ApiModelProperty(value = "区域名称")
    @TableField("region_name")
    private String regionName;

    @ApiModelProperty(value = "行政级别 1-中国，2-省级，3-市级，4-县级级，5-乡镇")
    @TableField("region_lever")
    private String regionLever;

    @ApiModelProperty(value = "区域电话")
    @TableField("region_tel")
    private String regionTel;

    @ApiModelProperty(value = "父code")
    @TableField("parent_code")
    private String parentCode;

    @ApiModelProperty(value = "0--正常 1--删除")
    @TableField("delete_flag")
    private Boolean deleteFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_date")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人id")
    @TableField("create_id")
    private Integer createId;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_date")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "修改人id")
    @TableField("update_id")
    private Integer updateId;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private BigDecimal latitude;

    @ApiModelProperty(value = "是否是168城市")
    @TableField("is168")
    private Boolean is168;

    @ApiModelProperty(value = "是否是74城市")
    @TableField("is74")
    private Boolean is74;

    @ApiModelProperty(value = "是否是2+26城市")
    @TableField("is28")
    private Boolean is28;

    @ApiModelProperty(value = "是否是337城市")
    @TableField("is337")
    private Boolean is337;

    @ApiModelProperty(value = "悬浮名称")
    private String suspensionName;

}
