package cn.cecep.talroad.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
public class QEnvgasAreaStationHourVo {
    //空气因子值
    @ApiModelProperty(value = "aqi")
    private Integer aqi;
    @ApiModelProperty(value = "pmi")
    private BigDecimal pmi;
    @ApiModelProperty(value = "pm25 监测值")
    private BigDecimal pm25;
    @ApiModelProperty(value = "pm10 监测值")
    private BigDecimal pm10;
    @ApiModelProperty(value = "so2 监测值")
    private BigDecimal so2;
    @ApiModelProperty(value = "no2 监测值")
    private BigDecimal no2;
    @ApiModelProperty(value = "co 监测值")
    private BigDecimal co;
    @ApiModelProperty(value = "o3 监测值")
    private BigDecimal o3;
    @ApiModelProperty(value = "臭氧八小时 监测值")
    private BigDecimal o38h;
    @ApiModelProperty(value = "日最大o3值 监测值")
    private BigDecimal dayMaxO3;
    @ApiModelProperty(value = "o3 95百分位 监测值")
    private BigDecimal co95Percent;
    @ApiModelProperty(value = "o38h 90百分位 监测值")
    private BigDecimal o38h90Percnet;
    @ApiModelProperty(value = "tvoc 监测值")
    private BigDecimal tvoc;
    @ApiModelProperty(value = "tsp 监测值")
    private BigDecimal tsp;
    //气象因子值
    @ApiModelProperty(value = "风速")
    private BigDecimal winds;
    @ApiModelProperty(value = "气压")
    private BigDecimal pres;
    @ApiModelProperty(value = "湿度")
    private BigDecimal humi;
    @ApiModelProperty(value = "温度")
    private BigDecimal temp;
    @ApiModelProperty(value = "风速")
    private BigDecimal windd;
    @ApiModelProperty(value = "风力级别")
    private String windLevel;

    @ApiModelProperty(value = "风力级别")
    private String wind_level;


    @ApiModelProperty(value = "风向 中文")
    private String windDirection;
    //分指数值
    @ApiModelProperty(value = "pm25 分指数")
    private Integer iaqiPm25;
    @ApiModelProperty(value = "pm10 分指数")
    private Integer iaqiPm10;
    @ApiModelProperty(value = "so2 分指数")
    private Integer iaqiSo2;
    @ApiModelProperty(value = "no2 分指数")
    private Integer iaqiNo2;
    @ApiModelProperty(value = "co 分指数")
    private Integer iaqiCO;
    @ApiModelProperty(value = "o3 分指数")
    private Integer iaqiO3;
    @ApiModelProperty(value = "o38h 分指数")
    private Integer iaqiO38h;
    //综合指数值
    @ApiModelProperty(value = "pm25 综合指数")
    private BigDecimal ipmiPm25;
    @ApiModelProperty(value = "pm10 综合指数")
    private BigDecimal ipmiPm10;
    @ApiModelProperty(value = "so2 综合指数")
    private BigDecimal ipmiSo2;
    @ApiModelProperty(value = "no2 综合指数")
    private BigDecimal ipmiNo2;
    @ApiModelProperty(value = "co 综合指数")
    private BigDecimal ipmiCo;
    @ApiModelProperty(value = "o3 综合指数")
    private BigDecimal ipmiO3;
    @ApiModelProperty(value = "o38h 综合指数")
    private BigDecimal ipmiO38h;
    //部分业务值
    @ApiModelProperty(value = "首要污染物id")
    private String fkPollutantId;
    @ApiModelProperty(value = "首要污染物名称")
    private String fkPollutantName;
    @ApiModelProperty(value = "空气质量类别 id")
    private Integer fkAqiLevelId;
    @ApiModelProperty(value = "空气质量类别 名称")
    private String fkAqiLevelName;
    @ApiModelProperty(value = "空气质量类别 颜色")
    private String fkAqiLevelColor;
    @ApiModelProperty(value = "空气质量最大指数")
    private Integer maxIpmi;

    @ApiModelProperty(value = "监测时间")
    private String monitorTime;

    @ApiModelProperty(value = "站点id")
    private String stationId;
    @ApiModelProperty(value = "站点名称")
    private String stationName;
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;
    @ApiModelProperty(value = "站点控制级别id")
    private Integer stationLevel;

    @ApiModelProperty(value = "区县编号")
    private String regionCode;
    @ApiModelProperty(value = "区县名称")
    private String regionName;
    @ApiModelProperty(value = "省份编号")
    private String provinceCode;
    @ApiModelProperty(value = "省份名称")
    private String provinceName;
    @ApiModelProperty(value = "区域级别")
    private String regionlevel;

    @ApiModelProperty(value = "区域级别")
    private String stationRegionName;

    @ApiModelProperty(value = "站点区域id")
    private   String     stationCodeId;
}
