package cn.cecep.talroad.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


@ApiModel(value = "站点信息管理VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SiteOperationVo {
    @ApiModelProperty(value = "站点id")
    private String stationId;
    @ApiModelProperty(value = "序号")
    private Integer indexNo;
    @ApiModelProperty(value = "省份")
    private String province;
    private String provinceCode;
    @ApiModelProperty(value = "城市")
    private String city;
    private String cityCode;
    @ApiModelProperty(value = "区县")
    private String county;
    private String countyCode;
    @ApiModelProperty(value = "乡镇")
    private String townShip;
    private String townShipCode;
    @ApiModelProperty(value = "站点类型")
    private Integer stationLevel;
    @ApiModelProperty(value = "站点类型名称")
    private String stationLevelName;
    @ApiModelProperty(value = "站点名称")
    private String stationName;
    @ApiModelProperty(value = "站点编码")
    private String stationCode;
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;
    @ApiModelProperty(value = "详细地址")
    private String address;
    @ApiModelProperty(value = "创建人")
    private String createUser;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "状态")
    private Integer status;
    @ApiModelProperty(value = "站点负责人")
    private String principal;
    @ApiModelProperty(value = "负责人电话")
    private String phone;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "城市考核点 0:否 1:是")
    private Integer cityAssesmentPoint;
    @ApiModelProperty(value = "区县考核点 0:否 1:是")
    private Integer districtAssesmentPoint;
    @ApiModelProperty(value = "乡镇考核点 0:否 1:是")
    private Integer streetAssesmentPoint;

    private String cityAssStr;
    private String districtAssStr;
    private String streetAssStr;
    private String statusStr;
}
