package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.AmProblemFiRatioVo;
import cn.cecep.talroad.vo.PcOutletVo;
import cn.cecep.talroad.vo.PcPollutantVo;
import cn.cecep.talroad.vo.query.AmProblemFiRatioQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.AmProblemFiRatio;
import org.apache.ibatis.annotations.Param;

/**
 * 预警报警信息-预警比例定制Mapper接口
 *
 * @author szhpt
 * @date 2023-06-27*/
@Mapper
public interface AmProblemFiRatioMapper extends BaseMapper<AmProblemFiRatio>
{
    /**
     * 查询预警报警信息-预警比例定制列表
     *
     * @param amProblemFiRatio 预警报警信息-预警比例定制
     * @return 预警报警信息-预警比例定制集合
     */
    List<AmProblemFiRatioVo> selectAmProblemFiRatioList(AmProblemFiRatioQuery amProblemFiRatio);

    List<AmProblemFiRatioVo> pageList
            (Page<AmProblemFiRatioVo> page, @Param("query") AmProblemFiRatioQuery query);

    List<PcPollutantVo> pcPollutantList();

    AmProblemFiRatioVo selectAmProblemFiRatio(Long id);
}
