package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainEmissionPollutionAir;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业排放信息-不同污染物年度排放趋势-废气Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainEmissionPollutionAirMapper extends BaseMapper<BMainEmissionPollutionAir>
{
    /**
     * 查询企业排放信息-不同污染物年度排放趋势-废气列表
     *
     * @param bMainEmissionPollutionAir 企业排放信息-不同污染物年度排放趋势-废气
     * @return 企业排放信息-不同污染物年度排放趋势-废气集合
     */
    public List<BMainEmissionPollutionAir> selectBMainEmissionPollutionAirList(BMainEmissionPollutionAir bMainEmissionPollutionAir);

    /**
     * 废气 年统计数据
     */
    List<BMainEmissionPollutionAir> selectEmissionDataList(@Param("dataSource") String dataSource,
                                                           @Param("factoryId") String factoryId,
                                                           @Param("year") String year,
                                                           @Param("industry") String industry,
                                                           @Param("groupByField") String groupByField,
                                                           @Param("groupByIndustry") boolean groupByIndustry,
                                                           @Param("regionCodes")  List<String> regionCodes);

    List<BMainEmissionPollutionAir> selectEmissioinDataByYear(@Param("lastYear") String lastYear);
}
