package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainEmissionPollutionWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业排放信息-不同污染物年度排放趋势-废水Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainEmissionPollutionWaterMapper extends BaseMapper<BMainEmissionPollutionWater>
{
    /**
     * 查询企业排放信息-不同污染物年度排放趋势-废水列表
     *
     * @param bMainEmissionPollutionWater 企业排放信息-不同污染物年度排放趋势-废水
     * @return 企业排放信息-不同污染物年度排放趋势-废水集合
     */
    public List<BMainEmissionPollutionWater> selectBMainEmissionPollutionWaterList(BMainEmissionPollutionWater bMainEmissionPollutionWater);

    /**
     * 首页统计接口
     */
    public List<BMainEmissionPollutionWater> selectEmissionDataList(@Param("dataSource") String dataSource,
                                                                    @Param("factoryId") String factoryId,
                                                                    @Param("year") String year,
                                                                    @Param("industry") String industry,
                                                                    @Param("groupByField") String groupByField,
                                                                    @Param("groupByIndustry") boolean groupByIndustry,
                                                                    @Param("regionCodes")  List<String> regionCodes);

    List<BMainEmissionPollutionWater> selectEmissioinDataByYear(@Param("lastYear") String lastYear);
}
