package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainHazardousWasteOutput;
import cn.cecep.talroad.vo.IndustrialHazardousWasteVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 危废产生与处理Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BMainHazardousWasteOutputMapper extends BaseMapper<BMainHazardousWasteOutput>
{
    /**
     * 查询危废产生与处理列表
     *
     * @param bMainHazardousWasteOutput 危废产生与处理
     * @return 危废产生与处理集合
     */
    public List<BMainHazardousWasteOutput> selectBMainHazardousWasteOutputList(BMainHazardousWasteOutput bMainHazardousWasteOutput);

    List<IndustrialHazardousWasteVo> selectTop5WasteByIndustry(@Param("industry") String industry, @Param("regionCodes") List<String> regionCodes);

    List<IndustrialHazardousWasteVo> selectWasteListGroupByIndustry(@Param("startYear") String startYear, @Param("endYear") String endYear, @Param("startMonth") String startMonth, @Param("endMonth") String endMonth, @Param("industry") String industry, @Param("regionCodes") List<String> regionCodes);
}
