package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainMobileEnforcement;
import cn.cecep.talroad.vo.LawEnforcementPieStatisticsVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 移动执法信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BMainMobileEnforcementMapper extends BaseMapper<BMainMobileEnforcement>
{
    /**
     * 查询移动执法信息列表
     *
     * @param bMainMobileEnforcement 移动执法信息
     * @return 移动执法信息集合
     */
    public List<BMainMobileEnforcement> selectBMainMobileEnforcementList(BMainMobileEnforcement bMainMobileEnforcement);

    List<HashMap<String, Object>> selectLawEnforcementStatistics(String industry);

    /**
     * 根据开始-结束时间获取执法情况饼图信息
     * @return
     */
    List<LawEnforcementPieStatisticsVo> selectLawEnforcementPieStatistics(Map map);
}
