package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisGasOout;
import cn.cecep.talroad.vo.analysis.PollDisPollutantGroupVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 排污许可大气一般排放口Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisGasOoutMapper extends BaseMapper<BMainPollDisGasOout>
{
    /**
     * 查询排污许可大气一般排放口列表
     *
     * @param bMainPollDisGasOout 排污许可大气一般排放口
     * @return 排污许可大气一般排放口集合
     */
    public List<BMainPollDisGasOout> selectBMainPollDisGasOoutList(BMainPollDisGasOout bMainPollDisGasOout);

    /**
     * 查询排口排污许可限值
     * @param factoryId
     * @param licenseId
     * @param outletCode
     * @return
     */
    List<PollDisPollutantGroupVO> selectPollutantGroupList(@Param("factoryId") String factoryId, @Param("licenseId")int licenseId, @Param("outletCode")String outletCode);
}
