package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDis;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 排污许可Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisMapper extends BaseMapper<BMainPollDis>
{
    /**
     * 查询排污许可列表
     *
     * @param bMainPollDis 排污许可
     * @return 排污许可集合
     */
    public List<BMainPollDis> selectBMainPollDisList(BMainPollDis bMainPollDis);

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/9 11:24 PM
     * @Deseription: 查询排污许可证办理时间
     * @Params: null
     * @Return:
     * @Throws:
     */
    List<BMainPollDis> selectBMainPollDisListByFactory();

    List<BMainPollDis> selectDisPermitData(@Param("businessType") String businessType, @Param("currDay") String currDay, @Param("deadLineDay") String deadLineDay);
}
