package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisSelfMon;
import cn.cecep.talroad.domain.dto.BMainPollMonDTO;
import cn.cecep.talroad.vo.BMainEmissionAndstatusCountVo;
import cn.cecep.talroad.vo.homepage.HpmEmissionRatioOverviewVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.Date;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 排污许可自行监测要求Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisSelfMonMapper extends BaseMapper<BMainPollDisSelfMon>
{
    /**
     * 查询排污许可自行监测要求列表
     *
     * @param bMainPollDisSelfMon 排污许可自行监测要求
     * @return 排污许可自行监测要求集合
     */
    public List<BMainPollDisSelfMon> selectBMainPollDisSelfMonList(BMainPollDisSelfMon bMainPollDisSelfMon);

    HpmEmissionRatioOverviewVo selectCountByPollutantsName(@Param("regionCodes") List<String> regionCodes);

    List<BMainPollMonDTO> selectBMainPollDisMonList(@Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("type") String type);

    List<BMainPollDisSelfMon> selectGasDataList(@Param("frequency") String frequency);

    List<BMainPollDisSelfMon> selectWaterDataList(@Param("frequency") String frequency);


    BMainEmissionAndstatusCountVo selectEmissionAndstatus(@Param("regionCodes") List<String> regionCodes);
}
