package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisWaterMout;
import cn.cecep.talroad.vo.analysis.OutletPermitPollutantVO;
import cn.cecep.talroad.vo.analysis.OutletPollutantVO;
import cn.cecep.talroad.vo.analysis.PollDisPollutantGroupVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 排污许可水污染物主排放口Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisWaterMoutMapper extends BaseMapper<BMainPollDisWaterMout>
{
    /**
     * 查询排污许可水污染物主排放口列表
     *
     * @param bMainPollDisWaterMout 排污许可水污染物主排放口
     * @return 排污许可水污染物主排放口集合
     */
    public List<BMainPollDisWaterMout> selectBMainPollDisWaterMoutList(BMainPollDisWaterMout bMainPollDisWaterMout);

    List<PollDisPollutantGroupVO> selectPollutantGroupList(@Param("factoryId") String factoryId, @Param("licenseId")int licenseId, @Param("outletCode")String outletCode);


    /**
     * 查询污染源下排口的因子许可排放量与监测类型
     * @return
     */
    List<OutletPermitPollutantVO> selectWaterOutletPermitPollutant();

    List<OutletPollutantVO> selectWaterOnlineOutletPollutant(@Param("factoryIds") List<String> factoryIds, @Param("outletCodes")List<String> outletCodes);

}
