package cn.cecep.talroad.mapper;

import cn.cecep.talroad.data.analyse.task.entity.MainProductDeviceVo;
import cn.cecep.talroad.domain.BMainProductionOrganizGas;
import cn.cecep.talroad.vo.BMainProductionOrganizGasVo;
import cn.cecep.talroad.vo.query.BMainProductionOrganizGasQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 废气有组织排放产治排信息Mapper接口
 *
 * @author szhpt
 * @date 2023-02-08*/
@Mapper
public interface BMainProductionOrganizGasMapper extends BaseMapper<BMainProductionOrganizGas>
{
    /**
     * 查询废气有组织排放产治排信息列表
     *
     * @param bMainProductionOrganizGas 废气有组织排放产治排信息
     * @return 废气有组织排放产治排信息集合
     */
    public List<BMainProductionOrganizGas> selectBMainProductionOrganizGasList(BMainProductionOrganizGas bMainProductionOrganizGas);

    List<MainProductDeviceVo> selectDeviceIdByPollutantType(String code);

    List<BMainProductionOrganizGasVo.PwxkCzp> selectPwxkList(@Param("factoryIds") List<String> factoryIds, @Param("query") BMainProductionOrganizGasQuery.PwxkCzp query);
}
