package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BaseRegionalControlObjectives;
import java.util.List;

import cn.cecep.talroad.vo.BaseRegionalControlObjectivesVo;
import cn.cecep.talroad.vo.query.BaseRegionalControlObjectivesQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BaseRegionalControlObjectivesMapper extends BaseMapper<BaseRegionalControlObjectives> {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(BaseRegionalControlObjectives record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(BaseRegionalControlObjectives record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    BaseRegionalControlObjectives selectByPrimaryKey(String id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(BaseRegionalControlObjectives record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(BaseRegionalControlObjectives record);

    int batchInsert(@Param("list") List<BaseRegionalControlObjectives> list);

    int updateBatchSelective(List<BaseRegionalControlObjectives> list);

    /**
     * 查询列表
     * @param page 分页信息
     * @param query 查询信息
     * @return 结果集
     */
    IPage<BaseRegionalControlObjectivesVo> selectListPage
    (Page<BaseRegionalControlObjectives> page, @Param("query") BaseRegionalControlObjectivesQuery query);

    List<BaseRegionalControlObjectives> selectRegionAdviseEmissions();

    void updateBatchSuggestedEmissions(@Param("updataList") List<BaseRegionalControlObjectives> updataList);
}