package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.EarlyWarningQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.EarlyWarning;
import org.apache.ibatis.annotations.Param;

/**
 * 管控浓度超标预警Mapper接口
 *
 * @author szhpt
 * @date 2023-04-24*/
@Mapper
public interface EarlyWarningMapper extends BaseMapper<EarlyWarning>
{
    /**
     * 查询管控浓度超标预警列表
     *
     * @param earlyWarning 管控浓度超标预警
     * @param warning_time
     * @param warning
     * @param startTime
     * @param endTime
     * @return 管控浓度超标预警集合
     */
    public List<EarlyWarning> selectEarlyWarningList(Page<?> page, @Param("warning") EarlyWarningQuery warning, @Param("ew") QueryWrapper<EarlyWarning> ew, @Param("startTime") DateTime startTime, @Param("endTime") DateTime endTime);

    void batchSave(@Param("addList") List<EarlyWarning> addList);
}
