package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasDeviceSite;
import cn.cecep.talroad.domain.vo.MonElecRealVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.sql.Timestamp;
import java.util.List;

/**
 * @className: ElectricityMeterMapper
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/03/30 5:46 PM
 * @Company: Copyright© [2023/03/30 5:46 PM] by [Mr.Yanghongtao]
 **/
@Mapper
public interface ElectricityMeterMapper {

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/3/30 6:32 PM
     * @Deseription: 查询企业设备的监测点
     * @Params: dateTime 日期时间
     * @Params: deviceType 1-生产设施，2-治理设施
     * @Return:
     * @Throws:
     */
    List<MonElecRealVO> selectDeviceSiteList(@Param("dateTime") Timestamp dateTime,
                                             @Param("endTime") Timestamp endTime,
                                             @Param("deviceType") Integer deviceType);

    /**
     * @Author: Mr.Yanghongtao
     * @Date: 2023/6/9 13:35
     * @Deseription: 批量更新分表计设备监测点状态
     * @Params: null
     * @Return:
     * @Throws:
     */
    void updateBatchStatus(@Param("list") List<MonElecRealVO> list);
}
