package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.FactoryReportingRemindersVo;
import cn.cecep.talroad.vo.query.FactoryReportingRemindersQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.FactoryReportingReminders;
import org.apache.ibatis.annotations.Param;

/**
 * 企业信息上报提交提示Mapper接口
 *
 * @author szhpt
 * @date 2023-05-09*/
@Mapper
public interface FactoryReportingRemindersMapper extends BaseMapper<FactoryReportingReminders>
{
    /**
     * 查询企业信息上报提交提示列表
     *
     * @param factoryReportingReminders 企业信息上报提交提示
     * @return 企业信息上报提交提示集合
     */
    public List<FactoryReportingReminders> selectFactoryReportingRemindersList(FactoryReportingReminders factoryReportingReminders);

    Integer updateReminder(@Param("factfactoryReportingReminders") FactoryReportingRemindersVo factfactoryReportingReminders);

    List<FactoryReportingRemindersVo> factoryReportingRemindersList(@Param("page") Page<FactoryReportingRemindersVo> page, @Param("query") FactoryReportingRemindersQuery query);
}
