package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MonDevReal;
import cn.cecep.talroad.vo.MonDevGtRealVO;
import cn.cecep.talroad.vo.analysis.AvgValueVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import java.util.Date;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface MonDevRealMapper extends BaseMapper<MonDevReal>
{
    /**
     * 查询设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数列表
     *
     * @param monDevReal 设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数
     * @return 设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数集合
     */
    public List<MonDevReal> selectMonDevRealList(MonDevReal monDevReal);

    List<MonDevGtRealVO> getDataPage2(Page page, @Param(Constants.WRAPPER) QueryWrapper<MonDevGtRealVO> queryWrapper);

    public  List<MonDevReal> selectLatestByCondition(@Param("industry") String industry,@Param("deviceType") String deviceType, @Param("startDate") Date startDate,@Param("endDate") Date endDate);

    List<MonDevReal> selectLastHourData(MonDevReal real);

    List<MonDevReal> selectLastHourDataOne(MonDevReal real);

    List<MonDevReal> selectLatestByParam(@Param("industry") String industry,@Param("deviceType") String deviceType, @Param("startDate") Date startDate,@Param("endDate") Date endDate);

    List<AvgValueVo> selectAvgTempByParams(@Param("lastHourBegin") Date lastHourBegin, @Param("lastHourEnd") Date lastHourEnd);

    List<AvgValueVo> selectAvgPressByParams(@Param("lastHourBegin") Date lastHourBegin, @Param("lastHourEnd") Date lastHourEnd);

    List<MonDevReal> selectLatestMqgwByParam(@Param("industry") String industry,@Param("deviceType") String deviceType, @Param("startDate") Date startDate,@Param("endDate") Date endDate);

    List<AvgValueVo> selectLastDayData(@Param("lastDayBegin") DateTime lastDayBegin, @Param("lastDayEnd")DateTime lastDayEnd);
}
