package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PCodCompany;
import cn.cecep.talroad.domain.dto.PollutionSourceDto;
import cn.cecep.talroad.domain.vo.PCodCompanyVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.mapper
 * @ClassName: PCodCompanyMapper
 * @Author: wyg
 * @Description: PCodCompanyMapper
 * @Date: 2023/6/13 14:54
 * @Version: 1.0
 */
public interface PCodCompanyMapper extends BaseMapper<PCodCompany> {
    /**
     * 查询污染源信息
     *
     * @param pollutionSourceDto
     */
    public List<PCodCompanyVo> queryPCodCompanyList(@Param("source") PollutionSourceDto pollutionSourceDto);

    Integer checkNameIsExist(@Param("name") String name, @Param("areaCode") String areaCode);

    Integer checkNameForUpdate(@Param("name") String name, @Param("areaCode") String areaCode, @Param("companyId") String companyId);
}
