package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PCodeStation;
import cn.cecep.talroad.domain.vo.SiteOperationParamVo;
import cn.cecep.talroad.domain.vo.SiteOperationVo;
import cn.cecep.talroad.domain.vo.SiteQueryParamVo;
import cn.cecep.talroad.domain.vo.StationUnrepeatedVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 站点表 Mapper 接口
 */
public interface PCodeStationMapper extends BaseMapper<PCodeStation> {

    List<PCodeStation> querySiteInformations(@Param("site") SiteQueryParamVo paramVo);

    List<SiteOperationVo> findSiteList(@Param("site") SiteOperationParamVo siteOperationParamVo);

    List<String> isExist(@Param("info") StationUnrepeatedVo stationUnrepeatedVo);

    /**
     * 查询全国国省控站点
     * @return
     */
    List<PCodeStation> findAllCityStations();


    /**
     * 查询站点部分信息
     *
     * @param stationId 站点id
     * @return
     */
    Map<String, Object> findStationInfo(@Param("stationId") String stationId);

    /**
     * 查询城市编号
     *
     * @param stationId 站点id
     * @return
     */
    String findCityCodeByStationId(@Param("stationId") String stationId);

}
