package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcFactoryPollutantEmissionsRank;
import cn.cecep.talroad.vo.IndustryEmissionTrackingOverviewVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 污染排放跟踪(实际排放/许可排放)Mapper接口
 *
 * @author szhpt
 * @date 2023-02-10*/
@Mapper
public interface PcFactoryPollutantEmissionsRankMapper extends BaseMapper<PcFactoryPollutantEmissionsRank>
{
    /**
     * 查询污染排放跟踪(实际排放/许可排放)列表
     *
     * @param pcFactoryPollutantEmissionsRank 污染排放跟踪(实际排放/许可排放)
     * @return 污染排放跟踪(实际排放/许可排放)集合
     */
    public List<PcFactoryPollutantEmissionsRank> selectPcFactoryPollutantEmissionsRankList(PcFactoryPollutantEmissionsRank pcFactoryPollutantEmissionsRank);

    List<IndustryEmissionTrackingOverviewVo> selectRankList(@Param("factoryId") String factoryId, @Param("emissionType") String dataSource);
}
