package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcLabel;
import cn.cecep.talroad.vo.PcLabelVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 特征标签Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcLabelMapper extends BaseMapper<PcLabel>
{
    /**
     * 查询特征标签列表
     *
     * @param pcLabel 特征标签
     * @return 特征标签集合
     */
    public List<PcLabel> selectPcLabelList(PcLabel pcLabel);

    /**
     * 根据参数获取树结构
     *
     * @param id        必传 特征标签id
     * @param factoryId 非必传 企业id
     * @return
     */
    List<PcLabelVo> selectTreeList(@Param("id") String id, @Param("factoryId") String factoryId);

}
