package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcStationBuildingEntranceGu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 站房门禁监管信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcStationBuildingEntranceGuMapper extends BaseMapper<PcStationBuildingEntranceGu>
{
    /**
     * 查询站房门禁监管信息列表
     *
     * @param pcStationBuildingEntranceGu 站房门禁监管信息
     * @return 站房门禁监管信息集合
     */
    public List<PcStationBuildingEntranceGu> selectPcStationBuildingEntranceGuList(PcStationBuildingEntranceGu pcStationBuildingEntranceGu);

  List<PcStationBuildingEntranceGu> selectDayTask(
      @Param("startTime") Date startTime, @Param("endTime") Date endTime);
}
