package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.PcStationBuildingStatVo;
import cn.cecep.talroad.vo.query.PcStationBuildingStatQuery;
import cn.cecep.talroad.domain.PcStationBuildingStat;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 站房信息--站房门禁进出统计分析Mapper接口
 *
 * @author szhpt
 * @date 2023-06-27*/
@Mapper
public interface PcStationBuildingStatMapper extends BaseMapper<PcStationBuildingStat>
{

    List<PcStationBuildingStatVo> selectPage(@Param("page") Page<PcStationBuildingStatVo> page, @Param("query") PcStationBuildingStatQuery query);

    /**
     * 查询站房信息--站房门禁进出统计分析列表
     *
     * @param pcStationBuildingStat 站房信息--站房门禁进出统计分析
     * @return 站房信息--站房门禁进出统计分析集合
     */
    public List<PcStationBuildingStat> selectPcStationBuildingStatList(PcStationBuildingStat pcStationBuildingStat);

  int batchInsert(List<PcStationBuildingStat> pcStationBuildingStatList);

    List<PcStationBuildingStat> selectStatisticsData(@Param("startDate") String startDate, @Param("endDate") String endDate);
}
