package cn.cecep.talroad.mapper;

import cn.cecep.talroad.vo.PointIsOfflineVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.sql.Timestamp;
import java.util.List;

/**
 * @className: PointIsOfflineMapper
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/15 5:16 PM
 * @Company: Copyright© [2023/04/15 5:16 PM] by [Mr.Yanghongtao]
 **/
@Mapper
public interface PointIsOfflineMapper {

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/15 5:19 PM
     * @Deseription: 查询无组织点位8个小时内数据
     * @Params: null
     * @Return:
     * @Throws:
     */
    List<PointIsOfflineVO> selectDisorganizationListByDateTime(@Param("startTime") Timestamp startTime, @Param("endTime") Timestamp endTime);

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/15 5:56 PM
     * @Deseription: 更新无组织监测点状态
     * @Params: null
     * @Return:
     * @Throws:
     */
    void updatePcOutletWzzStatus(@Param("outletId") String outletId, @Param("status") String status);

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/15 6:23 PM
     * @Deseription: 查询在线监测点位30分钟数据
     * @Params: null
     * @Return: 
     * @Throws: 
     */
    List<PointIsOfflineVO> selectOnLineMonitoringListByDateTime(@Param("startTime") Timestamp startTime, @Param("endTime") Timestamp endTime);

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/15 6:29 PM
     * @Deseription: 更新在线监测点位状态
     * @Params: null
     * @Return:
     * @Throws:
     */
    void updatePcOutletOutletStatus(@Param("outletId") String outletId, @Param("status") String status);

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/15 6:29 PM
     * @Deseription: 批量更新无组织监测点状态
     * @Params: null
     * @Return:
     * @Throws:
     */
    void updatePcOutletStatus(List<PointIsOfflineVO> pointIsOfflineVOS);
}
