package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SEnvWaterMonDay;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.Set;

/**
 * 废水监测数据Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/

@Mapper
public interface SEnvWaterMonDayMapper extends BaseMapper<SEnvWaterMonDay>
{
  List<SEnvWaterMonDay> selectMaxByDate(@Param("startTime") String startTime,@Param("endTime") String endTime);

    List<FactoryOutletStaticsVo> selectLastDayCountData(@Param("lastDayBegin") DateTime queryBeginTime, @Param("lastDayEnd") DateTime queryEndTime);

    List<SEnvWaterMonDay> selectHourDataByTime(@Param("factoryId") String factoryId, @Param("monitorId") String monitorId, @Param("monitorTime") Date monitorTime);

  List<FactoryOutletStaticsVo.EmissionAvgAndMax> selectEmissionAvgAndMax(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("outletIds") Set<String> outletIds);

}
