package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SupermonitorDrainOutlet;
import cn.cecep.talroad.vo.SupermonitorDrainOutletVo;
import cn.cecep.talroad.vo.query.SupermonitorDrainOutletQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 排污口Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface SupermonitorDrainOutletMapper extends BaseMapper<SupermonitorDrainOutlet>
{
    /**
     * 查询排污口列表
     *
     * @param supermonitorDrainOutlet 排污口
     * @return 排污口集合
     */
    List<SupermonitorDrainOutlet> selectSupermonitorDrainOutletList(SupermonitorDrainOutlet supermonitorDrainOutlet);

    List<SupermonitorDrainOutletVo.PwxkRh> selectRhPwxkList(@Param("factoryIds") List<String> factoryIds, @Param("query") SupermonitorDrainOutletQuery.PwxkRh query);

    List<SupermonitorDrainOutletVo.PwxkYs> selectYsPwxkList(@Param("factoryIds") List<String> factoryIds, @Param("query") SupermonitorDrainOutletQuery.PwxkYs query);
}
