package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.PcRaProblemType;
import cn.cecep.talroad.vo.effective.ForecastAccuracyInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 问题分类Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface PcRaProblemTypeMapper extends BaseMapper<PcRaProblemType>
{
    /**
     * 查询问题分类列表
     *
     * @param pcRaProblemType 问题分类
     * @return 问题分类集合
     */
    public List<PcRaProblemType> selectPcRaProblemTypeList(PcRaProblemType pcRaProblemType);

    List<PcRaProblemType> getProblemList(String problemType);

    IPage<ForecastAccuracyInfo> getAIProblemList( Page page,
                                                 @Param("problemType") String problemType,
                                                 @Param("startTime") Date startTime,
                                                 @Param("endTime") Date endTime);
}
