package cn.cecep.talroad.mapper.analysis;


import cn.cecep.talroad.domain.analysis.SRaActionReportsAuditRecord;
import cn.cecep.talroad.domain.dto.RecordListDTO;
import cn.cecep.talroad.domain.vo.AuditRecordLIstVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 执行报告规范性审核记录Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaActionReportsAuditRecordMapper extends BaseMapper<SRaActionReportsAuditRecord>
{
    /**
     * 查询执行报告规范性审核记录列表
     *
     * @param sRaActionReportsAuditRecord 执行报告规范性审核记录
     * @return 执行报告规范性审核记录集合
     */
    public List<SRaActionReportsAuditRecord> selectSRaActionReportsAuditRecordList(SRaActionReportsAuditRecord sRaActionReportsAuditRecord);

    /**
     * 新建审核记录查询未审核企业列表
     * @param recordListDTO
     * @return
     */
    Page<AuditRecordLIstVO> recordList(Page page, @Param("recordListDTO") RecordListDTO recordListDTO);
}
