package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsAuditResult;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 执行报告规范性审核结果Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaActionReportsAuditResultMapper extends BaseMapper<SRaActionReportsAuditResult>
{
    /**
     * 查询执行报告规范性审核结果列表
     *
     * @param sRaActionReportsAuditResult 执行报告规范性审核结果
     * @return 执行报告规范性审核结果集合
     */
    public List<SRaActionReportsAuditResult> selectSRaActionReportsAuditResultList(SRaActionReportsAuditResult sRaActionReportsAuditResult);

    Page<SRaActionReportsAuditResult> resultList(Page<SRaActionReportsAuditResult> page, @Param("ew") QueryWrapper<SRaActionReportsAuditResult> orderByDesc);

    int batchUpdate(@Param("list") List<SRaActionReportsAuditResult> recordList);
}
