package cn.cecep.talroad.mapper.analysis;

import java.util.List;

import cn.cecep.talroad.domain.PcPollutant;
import cn.cecep.talroad.vo.analysis.SRaEmissionsMonitoringVarianceVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsMonitoringVarianceQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.analysis.SRaEmissionsMonitoringVariance;
import org.apache.ibatis.annotations.Param;

/**
 * 企业异常行为分析-企业排放分析-监测差异分析Mapper接口
 *
 * @author szhpt
 * @date 2023-06-27*/
@Mapper
public interface SRaEmissionsMonitoringVarianceMapper extends BaseMapper<SRaEmissionsMonitoringVariance>
{
    /**
     * 查询企业异常行为分析-企业排放分析-监测差异分析列表
     *
     * @param sRaEmissionsMonitoringVariance 企业异常行为分析-企业排放分析-监测差异分析
     * @return 企业异常行为分析-企业排放分析-监测差异分析集合
     */
    public List<SRaEmissionsMonitoringVariance> selectSRaEmissionsMonitoringVarianceList(SRaEmissionsMonitoringVariance sRaEmissionsMonitoringVariance);

    List<SRaEmissionsMonitoringVarianceVo> selectList(@Param("page") Page<SRaEmissionsMonitoringVarianceVo> page,@Param("query") SRaEmissionsMonitoringVarianceQuery query);

    List<PcPollutant> pollList();
}
