package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsStandard;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsStandardQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 企业排放水平分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaEmissionsStandardMapper extends BaseMapper<SRaEmissionsStandard>
{
    /**
     * 查询企业排放水平分析列表
     *
     * @param sRaEmissionsStandard 企业排放水平分析
     * @param start
     * @param end
     * @return 企业排放水平分析集合
     */
    public List<SRaEmissionsStandard> selectSRaEmissionsStandardList(Page<?> page, @Param("sRaEmissionsStandard") SRaEmissionsStandardQuery sRaEmissionsStandard, @Param("start") BigDecimal start, @Param("end") BigDecimal end);

    /**
     * 参数名称options
     * @return options
     */
    List<Map<String, String>> pullPollutantOptions();

    /**
     * 排放规模options
     * @return options
     */
    Map<String, BigDecimal> pullEmissionScaleOptions();

}
