package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsStatistics;
import cn.cecep.talroad.domain.vo.ProblemGroupTimeCountVO;
import cn.cecep.talroad.vo.analysis.FactoryIndustryProblemCountVO;
import cn.cecep.talroad.vo.analysis.FactoryTop10ProblemCountVO;
import cn.cecep.talroad.vo.query.analysis.SREStatisticsQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SRaEmissionsStatisticsMapper extends BaseMapper<SRaEmissionsStatistics> {
    List<SREStatisticsQuery> selectListAll(SREStatisticsQuery query);

    /**
     * 时间段内查询问题分类饼图
     * @param query
     * @return
     */
    List<ProblemGroupTimeCountVO> selectFactoryProblemGroup(SREStatisticsQuery query);

    /**
     * 问题分类查询
     * @return
     */
    List<String> selectProblemType();

    /**
     * 查询问题Top10
     * @param query
     * @return
     */
    List<FactoryTop10ProblemCountVO> selectTop10Factory(SREStatisticsQuery query);

    /**
     * 企业行业类别分组问题统计查询
     * @param query
     * @return
     */
    List<FactoryIndustryProblemCountVO>selectFactoryIndustryProblemGroup(SREStatisticsQuery query);

    /**
     * 查询top10问题数量的行业类别
     * @return
     */
    List<FactoryIndustryProblemCountVO> selectTop10FactoryIndustry(SREStatisticsQuery query);


}