package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaGasPermittedEmissions;
import cn.cecep.talroad.vo.query.analysis.SRaGasPermittedEmissionsQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 许可排放量废气明细Mapper接口
 *
 * @author szhpt
 * @date 2023-06-02*/
@Mapper
public interface SRaGasPermittedEmissionsMapper extends BaseMapper<SRaGasPermittedEmissions>
{
    /**
     * 查询许可排放量废气明细列表
     *
     * @param sRaGasPermittedEmissions 许可排放量废气明细
     * @return 许可排放量废气明细集合
     */
    public List<SRaGasPermittedEmissions> selectSRaGasPermittedEmissionsList(SRaGasPermittedEmissionsQuery sRaGasPermittedEmissions);

    List<SRaGasPermittedEmissions> selectSRaGasPermittedEmissionsListBy(Page<SRaGasPermittedEmissions> page, @Param("lambdaQueryWrapper") SRaGasPermittedEmissionsQuery lambdaQueryWrapper);

    List<Map<String, Object>> pullMonitorNameOptions(@Param("factoryName") String factoryName);
}
