package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaGasPermittedOnline;
import cn.cecep.talroad.vo.query.analysis.SRaGasPermittedOnlineQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 在线排放量废气明细Mapper接口
 *
 * @author szhpt
 * @date 2023-06-02*/
@Mapper
public interface SRaGasPermittedOnlineMapper extends BaseMapper<SRaGasPermittedOnline>
{
    /**
     * 查询在线排放量废气明细列表
     *
     * @param sRaGasPermittedOnline 在线排放量废气明细
     * @return 在线排放量废气明细集合
     */
    public List<SRaGasPermittedOnline> selectSRaGasPermittedOnlineList(SRaGasPermittedOnline sRaGasPermittedOnline);

    List<SRaGasPermittedOnline> selectSRaGasPermittedOnlineListBy(Page<SRaGasPermittedOnline> page, @Param("lambdaQueryWrapper") SRaGasPermittedOnlineQuery lambdaQueryWrapper);

    List<Map<String, Object>> pullMonitorNameOptions(@Param("factoryName") String factoryName);
}
