package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaHandworkEmissionsWater;
import cn.cecep.talroad.vo.query.analysis.SRaHandworkEmissionsWaterQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 手工监测排放监控-水污染要素Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaHandworkEmissionsWaterMapper extends BaseMapper<SRaHandworkEmissionsWater>
{
    /**
     * 查询手工监测排放监控-水污染要素列表
     *
     * @param sRaHandworkEmissionsWater 手工监测排放监控-水污染要素
     * @param startTime
     * @param endTime
     * @param cycStartTime
     * @param cycEndTime
     * @return 手工监测排放监控-水污染要素集合
     */
    public List<SRaHandworkEmissionsWater> selectSRaHandworkEmissionsWaterList(@Param("sRaHandworkEmissionsWater") SRaHandworkEmissionsWaterQuery sRaHandworkEmissionsWater, @Param("startTime") DateTime startTime, @Param("endTime") DateTime endTime, @Param("cycStartTime") DateTime cycStartTime, @Param("cycEndTime") DateTime cycEndTime);

    /**
     * 查询监测点位名称options
     * @return options
     */
    List<Map<String, String>> pullPointOptions();

    /**
     * 查询污染物options
     * @return options
     */
    List<Map<String, String>> pullPollutantOptions();

    /**
     * 查询企业手工数据当前年均值
     * @param factoryId
     * @param dateStr
     * @param dateStrEnd
     * @return
     */
    List<SRaHandworkEmissionsWater> selectAgvDataList(@Param("factoryId") String factoryId, @Param("dateStr")String dateStr, @Param("dateStrEnd")String dateStrEnd);
}
