package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaMultiSource;
import cn.cecep.talroad.vo.query.analysis.SRaMultiSourceQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 多源排放量汇总Mapper接口
 *
 * @author szhpt
 * @date 2023-06-03*/
@Mapper
public interface SRaMultiSourceMapper extends BaseMapper<SRaMultiSource>
{
    /**
     * 查询多源排放量汇总列表
     *
     * @param sRaMultiSource 多源排放量汇总
     * @return 多源排放量汇总集合
     */
    public List<SRaMultiSource> selectSRaMultiSourceList(SRaMultiSourceQuery sRaMultiSource);

    List<SRaMultiSource> selectSRaMultiSourceListBy(Page<SRaMultiSource> page, @Param("lambdaQueryWrapper") SRaMultiSourceQuery lambdaQueryWrapper);

    List<SRaMultiSource> selectSRaMultiSourceListDetailsBy(Page<SRaMultiSource> page, @Param("lambdaQueryWrapper") SRaMultiSourceQuery lambdaQueryWrapper);

    String pullMonitorNameOptions(@Param("lambdaQueryWrapper") SRaMultiSourceQuery lambdaQueryWrapper);
}
