package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisFurnace;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCementQuery;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisFurnaceQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCement;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析系统-企业生产过程分析-水泥熟料产量分析Mapper接口
 *
 * @author szhpt
 * @date 2023-04-02*/
@Mapper
public interface SRaRealTimeAnalysisCementMapper extends BaseMapper<SRaRealTimeAnalysisCement>
{
    /**
     * 查询关联分析系统-企业生产过程分析-水泥熟料产量分析列表
     *
     * @param sRaRealTimeAnalysisCement 关联分析系统-企业生产过程分析-水泥熟料产量分析
     * @return 关联分析系统-企业生产过程分析-水泥熟料产量分析集合
     */
    public List<SRaRealTimeAnalysisCement> selectSRaRealTimeAnalysisCementList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCement);
    List<SRaRealTimeAnalysisCement> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCement);
    List<SRaRealTimeAnalysisCement> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCement);

    List<SRaRealTimeAnalysisCement> resultCurve( @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCement);

    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName")String factoryName);
}
