package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCoal;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCoalQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 装煤推焦次数分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaRealTimeAnalysisCoalMapper extends BaseMapper<SRaRealTimeAnalysisCoal>
{
    /**
     * 查询装煤推焦次数分析列表
     *
     * @param sRaRealTimeAnalysisCoal 装煤推焦次数分析
     * @return 装煤推焦次数分析集合
     */
    public List<SRaRealTimeAnalysisCoal> selectSRaRealTimeAnalysisCoalList(Page<?> page, @Param("sRaRealTimeAnalysisCoal") SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoal);

    /**
     * 设备名称options
     * @param factoryName
     * @return
     */
    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName") String factoryName);

    List<SRaRealTimeAnalysisCoal> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCoal") SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoal);
    List<SRaRealTimeAnalysisCoal> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCoal") SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoal);

    List<SRaRealTimeAnalysisCoal> resultCurve( @Param("sRaRealTimeAnalysisCoal") SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoal);
}
