package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisConverter;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCokeQuery;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisConverterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCoke;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析系统-企业生产过程分析-焦炭产量分析Mapper接口
 *
 * @author szhpt
 * @date 2023-04-03*/
@Mapper
public interface SRaRealTimeAnalysisCokeMapper extends BaseMapper<SRaRealTimeAnalysisCoke>
{
    /**
     * 查询关联分析系统-企业生产过程分析-焦炭产量分析列表
     *
     * @param sRaRealTimeAnalysisCoke 关联分析系统-企业生产过程分析-焦炭产量分析
     * @return 关联分析系统-企业生产过程分析-焦炭产量分析集合
     */
    public List<SRaRealTimeAnalysisCoke> selectSRaRealTimeAnalysisCokeList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoke);
    List<SRaRealTimeAnalysisCoke> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoke);
    List<SRaRealTimeAnalysisCoke> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoke);

    List<SRaRealTimeAnalysisCoke> resultCurve( @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoke);

    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName") String factoryName);
}
