package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCoal;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisConverter;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCoalQuery;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisConverterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 转炉产量分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaRealTimeAnalysisConverterMapper extends BaseMapper<SRaRealTimeAnalysisConverter>
{
    /**
     * 查询转炉产量分析列表
     *
     * @param sRaRealTimeAnalysisConverter 转炉产量分析
     * @return 转炉产量分析集合
     */
    public List<SRaRealTimeAnalysisConverter> selectSRaRealTimeAnalysisConverterList(Page<?> page,@Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisConverter);

    /**
     * 获取设备名称options
     * @return
     */
    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName") String factoryName);
    List<SRaRealTimeAnalysisConverter> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisCoal);
    List<SRaRealTimeAnalysisConverter> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisCoal);

    List<SRaRealTimeAnalysisConverter> resultCurve( @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisCoal);
}
