package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCoke;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisFurnace;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCokeQuery;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisFurnaceQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 高炉产量分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaRealTimeAnalysisFurnaceMapper extends BaseMapper<SRaRealTimeAnalysisFurnace>
{
    /**
     * 查询高炉产量分析列表
     *
     * @param sRaRealTimeAnalysisFurnace 高炉产量分析
     * @return 高炉产量分析集合
     */
    public List<SRaRealTimeAnalysisFurnace> selectSRaRealTimeAnalysisFurnaceList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisFurnace);
    List<SRaRealTimeAnalysisFurnace> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisFurnace);
    List<SRaRealTimeAnalysisFurnace> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisFurnace);

    List<SRaRealTimeAnalysisFurnace> resultCurve( @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisFurnace);

    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName")String factoryName);
}
