package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCoke;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCokeQuery;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisGlassQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisGlass;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析系统-企业生产过程分析-玻璃产量分析Mapper接口
 *
 * @author szhpt
 * @date 2023-04-02*/
@Mapper
public interface SRaRealTimeAnalysisGlassMapper extends BaseMapper<SRaRealTimeAnalysisGlass>
{
    /**
     * 查询关联分析系统-企业生产过程分析-玻璃产量分析列表
     *
     * @param sRaRealTimeAnalysisGlass 关联分析系统-企业生产过程分析-玻璃产量分析
     * @return 关联分析系统-企业生产过程分析-玻璃产量分析集合
     */
    public List<SRaRealTimeAnalysisGlass> selectSRaRealTimeAnalysisGlassList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisGlass);
    List<SRaRealTimeAnalysisGlass> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisGlass);
    List<SRaRealTimeAnalysisGlass> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisGlass);

    List<SRaRealTimeAnalysisGlass> resultCurve( @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisGlass);

    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName")String factoryName);
}
