package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisKwh;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisKwhQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 企业用电水平分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaRealTimeAnalysisKwhMapper extends BaseMapper<SRaRealTimeAnalysisKwh>
{
    /**
     * 查询企业用电水平分析列表
     *
     * @param sRaRealTimeAnalysisKwh 企业用电水平分析
     * @param start
     * @param end
     * @return 企业用电水平分析集合
     */
    public List<SRaRealTimeAnalysisKwh> selectSRaRealTimeAnalysisKwhList(Page<?> page, @Param("sRaRealTimeAnalysisKwh") SRaRealTimeAnalysisKwhQuery sRaRealTimeAnalysisKwh,@Param("start") BigDecimal start,@Param("end") BigDecimal end);

    List<Map<String, String>> pullPollutantOptions();

    Map<String, BigDecimal> pullEmissionScaleOptions();

}
