package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisGlass;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisGlassQuery;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisPowerQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisPower;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析系统-企业生产过程分析-机组负荷分析Mapper接口
 *
 * @author szhpt
 * @date 2023-04-02*/
@Mapper
public interface SRaRealTimeAnalysisPowerMapper extends BaseMapper<SRaRealTimeAnalysisPower>
{
    /**
     * 查询关联分析系统-企业生产过程分析-机组负荷分析列表
     *
     * @param sRaRealTimeAnalysisPower 关联分析系统-企业生产过程分析-机组负荷分析
     * @return 关联分析系统-企业生产过程分析-机组负荷分析集合
     */
    public List<SRaRealTimeAnalysisPower> selectSRaRealTimeAnalysisPowerList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisPower);
    List<SRaRealTimeAnalysisPower> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisPower);
    List<SRaRealTimeAnalysisPower> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisPower);

    List<SRaRealTimeAnalysisPower> resultCurve( @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisPower);

    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName")String factoryName);
}
