package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisPower;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisPowerQuery;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisRubbishQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisRubbish;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析系统-企业生产过程分析-垃圾处理量分析Mapper接口
 *
 * @author szhpt
 * @date 2023-04-03*/
@Mapper
public interface SRaRealTimeAnalysisRubbishMapper extends BaseMapper<SRaRealTimeAnalysisRubbish>
{
    /**
     * 查询关联分析系统-企业生产过程分析-垃圾处理量分析列表
     *
     * @param sRaRealTimeAnalysisRubbish 关联分析系统-企业生产过程分析-垃圾处理量分析
     * @return 关联分析系统-企业生产过程分析-垃圾处理量分析集合
     */
    public List<SRaRealTimeAnalysisRubbish> selectSRaRealTimeAnalysisRubbishList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisRubbish);
    List<SRaRealTimeAnalysisRubbish> statisticsList(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisRubbish);
    List<SRaRealTimeAnalysisRubbish> statisticsListByDevice(Page<?> page, @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisRubbish);

    List<SRaRealTimeAnalysisRubbish> resultCurve( @Param("sRaRealTimeAnalysisCo") SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisRubbish);

    List<Map<String, Object>> pullDeviceNameOptions(@Param("factoryName")String factoryName);
}
