package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.EarlyWarning;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisStop;
import cn.cecep.talroad.vo.analysis.DeviceStatusWorkStepVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisStopQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 企业装备停限产分析报(DCS)Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaRealTimeAnalysisStopMapper extends BaseMapper<SRaRealTimeAnalysisStop>
{
    /**
     * 查询企业装备停限产分析报(DCS)列表
     *
     * @param sRaRealTimeAnalysisStop 企业装备停限产分析报(DCS)
     * @return 企业装备停限产分析报(DCS)集合
     */
    public List<SRaRealTimeAnalysisStop> selectSRaRealTimeAnalysisStopList(Page<?> page,@Param("sRaRealTimeAnalysisStop") SRaRealTimeAnalysisStopQuery sRaRealTimeAnalysisStop);

    /**
     * 工序options
     * @param industryCategoryCode
     * @return
     */
    List<Map<String, Object>> pullWorkingProcedureOptions(@Param("industryCategoryCode") String industryCategoryCode);

    List<SRaRealTimeAnalysisStop> selectSRaRealTimeAnalysisStopListPage(Page<?> page, @Param("sRaRealTimeAnalysisStop") SRaRealTimeAnalysisStopQuery sRaRealTimeAnalysisStop);

    List<SRaRealTimeAnalysisStop> selectSRaRealTimeAnalysisStopListById(@Param("sRaRealTimeAnalysisStop") SRaRealTimeAnalysisStopQuery sRaRealTimeAnalysisStop, @Param("list") List<String> list);

    List<DeviceStatusWorkStepVO> selectDeviceByStatusAndWorkStep(@Param("sRaRealTimeAnalysisStop")SRaRealTimeAnalysisStopQuery sRaRealTimeAnalysisStop);
}
