package cn.cecep.talroad.mapper.analysis;

import java.sql.Timestamp;
import java.util.Date;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaSelfMonitoringData;
import cn.cecep.talroad.vo.query.analysis.SRaSelfMonitoringDataQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析系统-企业自行监测数据Mapper接口
 *
 * @author szhpt
 * @date 2023-06-27*/
@Mapper
public interface SRaSelfMonitoringDataMapper extends BaseMapper<SRaSelfMonitoringData>
{
    /**
     * 查询关联分析系统-企业自行监测数据列表
     *
     * @param sRaSelfMonitoringData 关联分析系统-企业自行监测数据
     * @return 关联分析系统-企业自行监测数据集合
     */
    public List<SRaSelfMonitoringData> selectSRaSelfMonitoringDataList(SRaSelfMonitoringDataQuery sRaSelfMonitoringData);

	List<Map<String, Object>> pullPollutantNameOptions(@Param("name") String name);

	List<SRaSelfMonitoringData> queryList(@Param("startDate") Date startDate, @Param("endDate") Date endDate);

    List<SRaSelfMonitoringData> selectLastDayGasData(@Param("startDate") Date lastDayBegin, @Param("endDate") Date lastDayEnd);

    List<SRaSelfMonitoringData> selectAllLastDayGasData(@Param("startDate") Date lastDayBegin, @Param("endDate") Date lastDayEnd);

    List<SRaSelfMonitoringData> selectLastDayWaterData(@Param("startDate") Date lastDayBegin, @Param("endDate") Date lastDayEnd);

    List<SRaSelfMonitoringData> selectAllLastDayWaterData(@Param("startDate") Date lastDayBegin, @Param("endDate") Date lastDayEnd);
}
