package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaWaterPermittedEmissions;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedEmissionsQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 许可排放量废水明细Mapper接口
 *
 * @author szhpt
 * @date 2023-06-02*/
@Mapper
public interface SRaWaterPermittedEmissionsMapper extends BaseMapper<SRaWaterPermittedEmissions>
{
    /**
     * 查询许可排放量废水明细列表
     *
     * @param sRaWaterPermittedEmissions 许可排放量废水明细
     * @return 许可排放量废水明细集合
     */
    public List<SRaWaterPermittedEmissions> selectSRaWaterPermittedEmissionsList(SRaWaterPermittedEmissions sRaWaterPermittedEmissions);

    List<SRaWaterPermittedEmissions> selectSRaWaterPermittedEmissionsListBy(Page<SRaWaterPermittedEmissions> page, @Param("lambdaQueryWrapper") SRaWaterPermittedEmissionsQuery lambdaQueryWrapper);

    List<Map<String, Object>> pullMonitorNameOptions(@Param("factoryName") String factoryName);
}
