package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaWaterPermittedOnline;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedOnlineQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 许可排放量废水明细Mapper接口
 *
 * @author szhpt
 * @date 2023-06-02*/
@Mapper
public interface SRaWaterPermittedOnlineMapper extends BaseMapper<SRaWaterPermittedOnline>
{
    /**
     * 查询许可排放量废水明细列表
     *
     * @param sRaWaterPermittedOnline 许可排放量废水明细
     * @return 许可排放量废水明细集合
     */
    public List<SRaWaterPermittedOnline> selectSRaWaterPermittedOnlineList(SRaWaterPermittedOnline sRaWaterPermittedOnline);

    List<SRaWaterPermittedOnline> selectSRaGasPermittedOnlineListBy(Page<SRaWaterPermittedOnline> page, @Param("lambdaQueryWrapper") SRaWaterPermittedOnlineQuery lambdaQueryWrapper);

    List<Map<String, Object>> pullMonitorNameOptions(@Param("factoryName") String factoryName);
}
