package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.vo.AmProblemFiRatioImportVo;
import cn.cecep.talroad.vo.AmProblemFiRatioVo;
import cn.cecep.talroad.vo.AmProblemFiVo;
import cn.cecep.talroad.vo.PcPollutantVo;
import cn.cecep.talroad.vo.query.AmProblemFiRatioQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.AmProblemFiRatio;

/**
 * 预警报警信息-预警比例定制Service接口
 *
 * @author szhpt
 * @date 2023-06-27*/
public interface IAmProblemFiRatioService extends  IService<AmProblemFiRatio>
{
    /**
     * 查询预警报警信息-预警比例定制列表
     *
     * @param amProblemFiRatio 预警报警信息-预警比例定制
     * @return 预警报警信息-预警比例定制集合
     */
    List<AmProblemFiRatioVo> selectAmProblemFiRatioList(AmProblemFiRatioQuery amProblemFiRatio);


    /**
     * 查询预警报警信息-预警比例定制列表（分页）
     *
     * @param amProblemFiRatio 预警报警信息-预警比例定制
     * @return 预警报警信息-预警比例定制集合
     */
    List<AmProblemFiRatioVo> pageList(Page<AmProblemFiRatioVo> page, AmProblemFiRatioQuery amProblemFiRatio);

    /**
     * 查询预警报警信息-污染物下拉框
     *
     * @return 预警报警信息-污染物下拉框集合
     */
    List<PcPollutantVo> pcPollutantList();

    /**
     * 导入预警报警信息-预警比例定制列表
     *
     * @return 预警报警信息-导入返回值
     */
    String importAmProblemFiRatioList(List<AmProblemFiRatioImportVo> amProblemFiRatioList);

    /**
     * 预警报警信息-查询详情
     *
     * @return 预警报警信息-详情信息
     */
    AmProblemFiRatioVo selectAmProblemFiRatio(Long id);
}
