package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainEmissionPollutionWater;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业排放信息-不同污染物年度排放趋势-废水Service接口
 *
 * @author szhpt
 * @date 2023-01-31*/
public interface IBMainEmissionPollutionWaterService extends  IService<BMainEmissionPollutionWater>
{
    /**
     * 查询企业排放信息-不同污染物年度排放趋势-废水列表
     *
     * @param bMainEmissionPollutionWater 企业排放信息-不同污染物年度排放趋势-废水
     * @return 企业排放信息-不同污染物年度排放趋势-废水集合
     */
    public List<BMainEmissionPollutionWater> selectBMainEmissionPollutionWaterList(BMainEmissionPollutionWater bMainEmissionPollutionWater);

    /**
     * 查询 废水 年统计排放趋势数据
     * @param dataSource 数据类型： 系统核算/执行报告
     * @param factoryId 企业id
     * @param industry 企业行业
     * @param year 年份
     * @param groupByField 对其他字段进行分组
     * @param groupByIndustry 是否对行业进行分组
     * @return 排放趋势数据列表
     */
    List<BMainEmissionPollutionWater> selectEmissionDataList(String dataSource, String factoryId, String industry, String year, String groupByField, boolean groupByIndustry);

    void doProcessEmissionDataByYear(String lastYear);
}
