package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDis;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * 排污许可Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisService extends  IService<BMainPollDis>
{
    /**
     * 查询排污许可列表
     *
     * @param bMainPollDis 排污许可
     * @return 排污许可集合
     */
    public List<BMainPollDis> selectBMainPollDisList(BMainPollDis bMainPollDis);

    /**
     * 查询企业排污许可证列表(版本号倒序)
     * @param factoryId 企业主键
     * @return
     */
    List<BMainPollDis> pullXkzList(String factoryId);

    List<BMainPollDis> selectDisPermitData(String businessType,String currDay, String deadLineDay);
}
