package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainProductionOrganizGas;
import cn.cecep.talroad.vo.BMainProductionOrganizGasVo;
import cn.cecep.talroad.vo.query.BMainProductionOrganizGasQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 废气有组织排放产治排信息Service接口
 *
 * @author szhpt
 * @date 2023-02-08*/
public interface IBMainProductionOrganizGasService extends  IService<BMainProductionOrganizGas>
{
    /**
     * 查询废气有组织排放产治排信息列表
     *
     * @param bMainProductionOrganizGas 废气有组织排放产治排信息
     * @return 废气有组织排放产治排信息集合
     */
    List<BMainProductionOrganizGas> selectBMainProductionOrganizGasList(BMainProductionOrganizGas bMainProductionOrganizGas);

    IProductionManageService.FrameDataVo getFrameData(String id, String startTime, String endTime, Long pageNum, Long pageSize);

    List<BMainProductionOrganizGasVo.PwxkCzp> selectPwxkList(Page<BMainProductionOrganizGasVo.PwxkCzp> page, BMainProductionOrganizGasQuery.PwxkCzp query);
}
