package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevBlReal;
import cn.cecep.talroad.vo.MonDevBlRealVo;
import cn.cecep.talroad.vo.analysis.AvgValueVo;
import cn.cecep.talroad.vo.analysis.PumpStateVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Date;

/**
 * 设备数据-玻璃-实时 保存设备的实时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevBlRealService extends  IService<MonDevBlReal>
{
    /**
     * 查询设备数据-玻璃-实时 保存设备的实时数据列表
     *
     * @param monDevBlReal 设备数据-玻璃-实时 保存设备的实时数据
     * @return 设备数据-玻璃-实时 保存设备的实时数据集合
     */
    public List<MonDevBlReal> selectMonDevBlRealList(MonDevBlReal monDevBlReal);

    List<MonDevBlRealVo> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);


    public List<MonDevBlReal> selectLatestByParams(String industry,String deviceType,Date lastDate,Date currDate);

    List<AvgValueVo> selectAvgPhByParams(Date lastDayBegin, Date lastDayEnd);

    List<PumpStateVo> selectPumpStateByParams(Date lastHourBegin, Date lastHourEnd);

    List<AvgValueVo> selectAvgTempByParams(Date lastHourBegin, Date lastHourEnd);

    List<AvgValueVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime);
}
