package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevDlReal;
import cn.cecep.talroad.vo.MonDevDlRealVo;
import cn.cecep.talroad.vo.analysis.AvgValueVo;
import cn.cecep.talroad.vo.analysis.PumpStateVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Date;

/**
 * 设备数据-电力-实时 保存设备的实时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevDlRealService extends  IService<MonDevDlReal>
{
    /**
     * 查询设备数据-电力-实时 保存设备的实时数据列表
     *
     * @param monDevDlReal 设备数据-电力-实时 保存设备的实时数据
     * @return 设备数据-电力-实时 保存设备的实时数据集合
     */
    public List<MonDevDlReal> selectMonDevDlRealList(MonDevDlReal monDevDlReal);

    List<MonDevDlRealVo> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);


    List<MonDevDlReal> selectLatestByParams(String industry, String deviceType, Date lastHour,Date curr);

    List<AvgValueVo> selectAvgPhByParams(Date lastDayBegin, Date lastDayEnd);

    List<PumpStateVo> selectPumpStateByParams(Date lastHourBegin, Date lastHourEnd);

    List<PumpStateVo> selectOxFanStateByParams(Date lastHourBegin, Date lastHourEnd);

    List<AvgValueVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime);
}
