package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevSnReal;
import cn.cecep.talroad.vo.MonDevSnRealVo;
import cn.cecep.talroad.vo.analysis.AvgValueVo;
import cn.cecep.talroad.vo.analysis.PumpStateVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Date;

/**
 * 设备数据-水泥-实时 保存设备的实时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevSnRealService extends  IService<MonDevSnReal>
{
    /**
     * 查询设备数据-水泥-实时 保存设备的实时数据列表
     *
     * @param monDevSnReal 设备数据-水泥-实时 保存设备的实时数据
     * @return 设备数据-水泥-实时 保存设备的实时数据集合
     */
    public List<MonDevSnReal> selectMonDevSnRealList(MonDevSnReal monDevSnReal);

    List<MonDevSnRealVo> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);

    List<MonDevSnReal> selectLatestByParams(String industry, String deviceType, Date lastHour,Date currDate);

    List<PumpStateVo> selectPumpStateByParams(Date lastHourBegin, Date lastHourEnd);

    List<PumpStateVo> selectOxFanStateByParams(Date lastHourBegin, Date lastHourEnd);

    List<AvgValueVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime);
}
