package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcControlRequirements;
import cn.cecep.talroad.vo.PcControlRequirementsVo;
import cn.cecep.talroad.vo.query.PcControlRequirementsQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 管控要求Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcControlRequirementsService extends  IService<PcControlRequirements>
{
    /**
     * 查询管控要求列表
     *
     * @param pcControlRequirements 管控要求
     * @return 管控要求集合
     */
    public List<PcControlRequirements> selectPcControlRequirementsList(PcControlRequirements pcControlRequirements);

    List<PcControlRequirementsVo.PwxkGasOrg> selectPwxkGasOrg(Page<PcControlRequirementsVo.PwxkGasOrg> page, PcControlRequirementsQuery.PwxkGasOrg query);

    List<PcControlRequirementsVo.PwxkGasNoOrg> selectPwxkGasNoOrg(Page<PcControlRequirementsVo.PwxkGasNoOrg> page, PcControlRequirementsQuery.PwxkGasNoOrg query);

    List<PcControlRequirementsVo.PwxkWaterDirect> selectPwxkWaterDirect(Page<PcControlRequirementsVo.PwxkWaterDirect> page, PcControlRequirementsQuery.PwxkWaterDirect query);

    List<PcControlRequirementsVo.PwxkWaterIndirect> selectPwxkWaterIndirect(Page<PcControlRequirementsVo.PwxkWaterIndirect> page, PcControlRequirementsQuery.PwxkWaterIndirect query);
}
