package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SEnvWaterMonReal;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.SEnvWaterMonRealVo;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.cecep.talroad.vo.query.SEnvWaterMonRealQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * 废水监测数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface ISEnvWaterMonRealService extends  IService<SEnvWaterMonReal>
{
    /**
     * 查询废水监测数据列表
     *
     * @param sEnvWaterMonReal 废水监测数据
     * @return 废水监测数据集合
     */
    List<SEnvWaterMonRealVo> selectSEnvWaterMonRealList(SEnvWaterMonRealQuery sEnvWaterMonReal);

    IPage<SEnvWaterMonRealVo> selectSEnvWaterMonRealPage(SEnvWaterMonRealQuery sEnvWaterMonReal);

    EChartsVO getCharData(SEnvWaterMonRealQuery sEnvWaterMonReal);

    List<EChartsVO> getCharDataList(SEnvWaterMonRealQuery sEnvWaterMonReal);

    List<SEnvWaterMonReal> selectLastDayData(String pollutantOutletType, Date lastDayBegin, Date lastDayEnd);

    List<FactoryOutletStaticsVo> selectLastDayCountData(DateTime queryBeginTime, DateTime queryEndTime);
}
