package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SupermonitorDrainOutlet;
import cn.cecep.talroad.vo.SupermonitorDrainOutletVo;
import cn.cecep.talroad.vo.query.SupermonitorDrainOutletQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污口Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface ISupermonitorDrainOutletService extends  IService<SupermonitorDrainOutlet>
{
    /**
     * 查询排污口列表
     *
     * @param supermonitorDrainOutlet 排污口
     * @return 排污口集合
     */
    List<SupermonitorDrainOutlet> selectSupermonitorDrainOutletList(SupermonitorDrainOutlet supermonitorDrainOutlet);

    List<SupermonitorDrainOutletVo.PwxkRh> selectRhPwxkList(Page<SupermonitorDrainOutletVo.PwxkRh> page, SupermonitorDrainOutletQuery.PwxkRh query);

    List<SupermonitorDrainOutletVo.PwxkYs> selectYsPwxkList(Page<SupermonitorDrainOutletVo.PwxkYs> page, SupermonitorDrainOutletQuery.PwxkYs query);
}
