package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaAbNalysisLowCar;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaAbNalysisLowCarQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import freemarker.template.TemplateException;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 管控期车辆异常分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaAbNalysisLowCarService extends IService<SRaAbNalysisLowCar>
{
    /**
     * 查询管控期车辆异常分析列表
     *
     * @param sRaAbNalysisLowCar 管控期车辆异常分析
     * @return 管控期车辆异常分析集合
     */
    List<SRaAbNalysisLowCar> selectSRaAbNalysisLowCarList(SRaAbNalysisLowCarQuery sRaAbNalysisLowCar);

    EChartsVO chartData(List<SRaAbNalysisLowCar> list, SRaAbNalysisLowCarQuery sRaAbNalysisLowCar);

    EChartsVO parkChartData(List<SRaAbNalysisLowCar> list );

    /**
     * 车辆出入异常报告word导出
     * @param response
     * @param sRaAbNalysisLowCar
     */
    void exportWordReport(HttpServletResponse response, SRaAbNalysisLowCarQuery sRaAbNalysisLowCar) throws TemplateException, IOException;
}
