package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.common.core.web.page.PageData;
import cn.cecep.talroad.domain.analysis.SRaActionReportsAuditRecord;
import cn.cecep.talroad.domain.dto.AuditRecordDTO;
import cn.cecep.talroad.domain.dto.RecordListDTO;
import cn.cecep.talroad.domain.vo.AuditRecordLIstVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 执行报告规范性审核记录Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaActionReportsAuditRecordService extends IService<SRaActionReportsAuditRecord>
{
    /**
     * 查询执行报告规范性审核记录列表
     *
     * @param sRaActionReportsAuditRecord 执行报告规范性审核记录
     * @return 执行报告规范性审核记录集合
     */
    public List<SRaActionReportsAuditRecord> selectSRaActionReportsAuditRecordList(SRaActionReportsAuditRecord sRaActionReportsAuditRecord);

    /**
     * 新建审核记录查询未审核企业列表
     * @param recordListDTO
     * @return
     */
    AjaxResults<Page<AuditRecordLIstVO>> recordList(RecordListDTO recordListDTO);


    /**
     * 新增审核记录
     * @param auditRecordDTO
     * @return
     */
    AjaxResults saveRecord(AuditRecordDTO auditRecordDTO);
}
