package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.analysis.SRaActionReportsAuditResult;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import freemarker.template.TemplateException;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 执行报告规范性审核结果Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaActionReportsAuditResultService extends IService<SRaActionReportsAuditResult>
{
    /**
     * 查询执行报告规范性审核结果列表
     *
     * @param sRaActionReportsAuditResult 执行报告规范性审核结果
     * @return 执行报告规范性审核结果集合
     */
    public List<SRaActionReportsAuditResult> selectSRaActionReportsAuditResultList(SRaActionReportsAuditResult sRaActionReportsAuditResult);

    IPage<SRaActionReportsAuditResult> resultList(Page<SRaActionReportsAuditResult> page, QueryWrapper<SRaActionReportsAuditResult> orderByDesc);

    /**
     * 审核结果企业详情word表格导出
     * @param id
     * @param response
     */
    void getResultFactoryDetailWord(String id, HttpServletResponse response) throws IOException, TemplateException, IllegalAccessException;


    /**
     * 发送问题企业给报警表
     * @param id
     * @return
     */
    AjaxResults<String> sendQuestion(String id);
}
