package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsStandard;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsStandardQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 企业排放水平分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaEmissionsStandardService extends IService<SRaEmissionsStandard>
{
    /**
     * 查询企业排放水平分析列表
     *
     * @param sRaEmissionsStandard 企业排放水平分析
     * @return 企业排放水平分析集合
     */
    public List<SRaEmissionsStandard> selectSRaEmissionsStandardList(SRaEmissionsStandardQuery sRaEmissionsStandard);

    /**
     * 参数名称options
     * @return options
     */
    List<Map<String, String>> pullPollutantOptions();

    /**
     * 排放规模options
     * @return options
     */
    List<Map<String, String>> pullEmissionScaleOptions();
}
