package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaGasPermittedEmissions;
import cn.cecep.talroad.vo.query.analysis.SRaGasPermittedEmissionsQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 许可排放量废气明细Service接口
 *
 * @author szhpt
 * @date 2023-06-02*/
public interface ISRaGasPermittedEmissionsService extends  IService<SRaGasPermittedEmissions>
{
    /**
     * 查询许可排放量废气明细列表
     *
     * @param sRaGasPermittedEmissions 许可排放量废气明细
     * @return 许可排放量废气明细集合
     */
    public List<SRaGasPermittedEmissions> selectSRaGasPermittedEmissionsList(SRaGasPermittedEmissionsQuery sRaGasPermittedEmissions);

    IPage<SRaGasPermittedEmissions> selectSRaGasPermittedEmissionsListBy(SRaGasPermittedEmissionsQuery lambdaQueryWrapper);

    List<Map<String, Object>> pullMonitorNameOptions(String factoryName);
}
