package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaGasPermittedOnline;
import cn.cecep.talroad.domain.analysis.SRaWaterPermittedOnline;
import cn.cecep.talroad.vo.query.analysis.SRaGasPermittedOnlineQuery;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedOnlineQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 在线排放量废气明细Service接口
 *
 * @author szhpt
 * @date 2023-06-02*/
public interface ISRaGasPermittedOnlineService extends  IService<SRaGasPermittedOnline>
{
    /**
     * 查询在线排放量废气明细列表
     *
     * @param sRaGasPermittedOnline 在线排放量废气明细
     * @return 在线排放量废气明细集合
     */
    public List<SRaWaterPermittedOnline> selectSRaGasPermittedOnlineList(SRaWaterPermittedOnlineQuery sRaGasPermittedOnline);

    IPage<SRaWaterPermittedOnline> selectSRaGasPermittedOnlineListBy(SRaWaterPermittedOnlineQuery sRaGasPermittedOnline);

    List<Map<String, Object>> pullMonitorNameOptions(String factoryName);
}
