package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaHandworkEmissionsGas;
import cn.cecep.talroad.vo.query.analysis.SRaHandworkEmissionsGasQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 手工监测排放监控-气污染要素Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaHandworkEmissionsGasService extends IService<SRaHandworkEmissionsGas>
{
    /**
     * 查询手工监测排放监控-气污染要素列表
     *
     * @param sRaHandworkEmissionsGas 手工监测排放监控-气污染要素
     * @return 手工监测排放监控-气污染要素集合
     */
    public List<SRaHandworkEmissionsGas> selectSRaHandworkEmissionsGasList(SRaHandworkEmissionsGasQuery sRaHandworkEmissionsGas);

    /**
     * 查询监测点位名称options
     * @return options
     */
    List<Map<String, String>> pullPointOptions();

    /**
     * 查询污染物options
     * @return options
     */
    List<Map<String, String>> pullPollutantOptions();

}
