package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaMultiSource;
import cn.cecep.talroad.domain.analysis.SRaWaterPermittedOnline;
import cn.cecep.talroad.vo.query.analysis.SRaMultiSourceQuery;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedOnlineQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 多源排放量汇总Service接口
 *
 * @author szhpt
 * @date 2023-06-03*/
public interface ISRaMultiSourceService extends  IService<SRaMultiSource>
{
    /**
     * 查询多源排放量汇总列表
     *
     * @param sRaMultiSource 多源排放量汇总
     * @return 多源排放量汇总集合
     */
    public List<SRaWaterPermittedOnline> selectSRaMultiSourceList(SRaWaterPermittedOnlineQuery sRaMultiSource);

    IPage<SRaWaterPermittedOnline> selectSRaMultiSourceListBy(SRaWaterPermittedOnlineQuery sRaMultiSource);

    IPage<SRaMultiSource> selectSRaMultiSourceListDetailsBy(SRaMultiSourceQuery sRaMultiSource);

    List<SRaMultiSource> selectSRaMultiSourceListDetails(SRaMultiSourceQuery sRaMultiSource);

    String pullMonitorNameOptions(SRaMultiSourceQuery lambdaQueryWrapper);
}
