package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCementQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCement;

/**
 * 关联分析系统-企业生产过程分析-水泥熟料产量分析Service接口
 *
 * @author szhpt
 * @date 2023-04-02*/
public interface ISRaRealTimeAnalysisCementService extends  IService<SRaRealTimeAnalysisCement>
{
    /**
     * 查询关联分析系统-企业生产过程分析-水泥熟料产量分析列表
     *
     * @param sRaRealTimeAnalysisCement 关联分析系统-企业生产过程分析-水泥熟料产量分析
     * @return 关联分析系统-企业生产过程分析-水泥熟料产量分析集合
     */
    public List<SRaRealTimeAnalysisCement> selectSRaRealTimeAnalysisCementList(SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCement);

    IPage<SRaRealTimeAnalysisCement> statisticsList(SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCement);

    List<SRaRealTimeAnalysisCement> statisticsExport(SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCement);

    EChartsVO resultCurve(SRaRealTimeAnalysisCementQuery sRaRealTimeAnalysisCoa);

    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);
}
