package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCoal;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCoalQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 装煤推焦次数分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaRealTimeAnalysisCoalService extends IService<SRaRealTimeAnalysisCoal>
{
    /**
     * 查询装煤推焦次数分析列表
     *
     * @param sRaRealTimeAnalysisCoal 装煤推焦次数分析
     * @return 装煤推焦次数分析集合
     */
    public List<SRaRealTimeAnalysisCoal> selectSRaRealTimeAnalysisCoalList(SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoal);

    /**
     * 设备名称options
     * @param factoryName
     * @return
     */
    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);

    IPage<SRaRealTimeAnalysisCoal> statisticsList(SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoal);

    List<SRaRealTimeAnalysisCoal> statisticsExport(SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoal);

    EChartsVO resultCurve(SRaRealTimeAnalysisCoalQuery sRaRealTimeAnalysisCoa);

}
