package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisCokeQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCoke;

/**
 * 关联分析系统-企业生产过程分析-焦炭产量分析Service接口
 *
 * @author szhpt
 * @date 2023-04-03*/
public interface ISRaRealTimeAnalysisCokeService extends  IService<SRaRealTimeAnalysisCoke>
{
    /**
     * 查询关联分析系统-企业生产过程分析-焦炭产量分析列表
     *
     * @param sRaRealTimeAnalysisCoke 关联分析系统-企业生产过程分析-焦炭产量分析
     * @return 关联分析系统-企业生产过程分析-焦炭产量分析集合
     */
    public List<SRaRealTimeAnalysisCoke> selectSRaRealTimeAnalysisCokeList(SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoke);

    IPage<SRaRealTimeAnalysisCoke> statisticsList(SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoke);

    List<SRaRealTimeAnalysisCoke> statisticsExport(SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoke);

    EChartsVO resultCurve(SRaRealTimeAnalysisCokeQuery sRaRealTimeAnalysisCoa);

    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);
}
