package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisConverter;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisConverterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 转炉产量分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaRealTimeAnalysisConverterService extends IService<SRaRealTimeAnalysisConverter>
{
    /**
     * 查询转炉产量分析列表
     *
     * @param sRaRealTimeAnalysisConverter 转炉产量分析
     * @return 转炉产量分析集合
     */
    public List<SRaRealTimeAnalysisConverter> selectSRaRealTimeAnalysisConverterList(SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisConverter);

    /**
     * 设备名称options
     * @param factoryName
     * @return
     */
    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);

    IPage<SRaRealTimeAnalysisConverter> statisticsList(SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisConverter);

    List<SRaRealTimeAnalysisConverter> statisticsExport(SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisConverter);

    EChartsVO resultCurve(SRaRealTimeAnalysisConverterQuery sRaRealTimeAnalysisCoa);
}
