package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisFurnace;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisFurnaceQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 高炉产量分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaRealTimeAnalysisFurnaceService extends IService<SRaRealTimeAnalysisFurnace>
{
    /**
     * 查询高炉产量分析列表
     *
     * @param sRaRealTimeAnalysisFurnace 高炉产量分析
     * @return 高炉产量分析集合
     */
    public List<SRaRealTimeAnalysisFurnace> selectSRaRealTimeAnalysisFurnaceList(SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisFurnace);

    IPage<SRaRealTimeAnalysisFurnace> statisticsList(SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisFurnace);

    List<SRaRealTimeAnalysisFurnace> statisticsExport(SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisFurnace);

    EChartsVO resultCurve(SRaRealTimeAnalysisFurnaceQuery sRaRealTimeAnalysisCoa);

    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);
}
