package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisGlassQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisGlass;

/**
 * 关联分析系统-企业生产过程分析-玻璃产量分析Service接口
 *
 * @author szhpt
 * @date 2023-04-02*/
public interface ISRaRealTimeAnalysisGlassService extends  IService<SRaRealTimeAnalysisGlass>
{
    /**
     * 查询关联分析系统-企业生产过程分析-玻璃产量分析列表
     *
     * @param sRaRealTimeAnalysisGlass 关联分析系统-企业生产过程分析-玻璃产量分析
     * @return 关联分析系统-企业生产过程分析-玻璃产量分析集合
     */
    public List<SRaRealTimeAnalysisGlass> selectSRaRealTimeAnalysisGlassList(SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisGlass);

    IPage<SRaRealTimeAnalysisGlass> statisticsList(SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisGlass);

    List<SRaRealTimeAnalysisGlass> statisticsExport(SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisGlass);

    EChartsVO resultCurve(SRaRealTimeAnalysisGlassQuery sRaRealTimeAnalysisCoa);

    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);
}
