package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisKwh;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisKwhQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 企业用电水平分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaRealTimeAnalysisKwhService extends IService<SRaRealTimeAnalysisKwh>
{
    /**
     * 查询企业用电水平分析列表
     *
     * @param sRaRealTimeAnalysisKwh 企业用电水平分析
     * @return 企业用电水平分析集合
     */
    public List<SRaRealTimeAnalysisKwh> selectSRaRealTimeAnalysisKwhList(SRaRealTimeAnalysisKwhQuery sRaRealTimeAnalysisKwh);

    List<Map<String, String>> pullPollutantOptions();

    List<Map<String, String>> pullEmissionScaleOptions();
}
