package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisPowerQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisPower;

/**
 * 关联分析系统-企业生产过程分析-机组负荷分析Service接口
 *
 * @author szhpt
 * @date 2023-04-02*/
public interface ISRaRealTimeAnalysisPowerService extends  IService<SRaRealTimeAnalysisPower>
{
    /**
     * 查询关联分析系统-企业生产过程分析-机组负荷分析列表
     *
     * @param sRaRealTimeAnalysisPower 关联分析系统-企业生产过程分析-机组负荷分析
     * @return 关联分析系统-企业生产过程分析-机组负荷分析集合
     */
    public List<SRaRealTimeAnalysisPower> selectSRaRealTimeAnalysisPowerList(SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisPower);

    IPage<SRaRealTimeAnalysisPower> statisticsList(SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisPower);

    List<SRaRealTimeAnalysisPower> statisticsExport(SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisPower);

    EChartsVO resultCurve(SRaRealTimeAnalysisPowerQuery sRaRealTimeAnalysisCoa);

    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);
}
