package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaSelfMonitoringData;
import cn.cecep.talroad.vo.query.analysis.SRaSelfMonitoringDataQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 关联分析系统-企业自行监测数据Service接口
 *
 * @author szhpt
 * @date 2023-06-27*/
public interface ISRaSelfMonitoringDataService extends IService<SRaSelfMonitoringData>
{
    /**
     * 查询关联分析系统-企业自行监测数据列表
     *
     * @param sRaSelfMonitoringData 关联分析系统-企业自行监测数据
     * @return 关联分析系统-企业自行监测数据集合
     */
    public List<SRaSelfMonitoringData> selectSRaSelfMonitoringDataList(SRaSelfMonitoringDataQuery sRaSelfMonitoringData);

    List<Map<String, Object>> pullPollutantNameOptions(String name);

    void doProcessHandleData(DateTime lastDayBegin, DateTime lastDayEnd);
}
