package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaWaterPermittedEmissions;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedEmissionsQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 许可排放量废水明细Service接口
 *
 * @author szhpt
 * @date 2023-06-02*/
public interface ISRaWaterPermittedEmissionsService extends  IService<SRaWaterPermittedEmissions>
{
    /**
     * 查询许可排放量废水明细列表
     *
     * @param sRaWaterPermittedEmissions 许可排放量废水明细
     * @return 许可排放量废水明细集合
     */
    public List<SRaWaterPermittedEmissions> selectSRaWaterPermittedEmissionsList(SRaWaterPermittedEmissionsQuery sRaWaterPermittedEmissions);

    IPage<SRaWaterPermittedEmissions> selectSRaWaterPermittedEmissionsListBy(SRaWaterPermittedEmissionsQuery sRaWaterPermittedEmissions);

    List<Map<String, Object>> pullMonitorNameOptions(String factoryName);
}
