package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.analysis.SRaWaterPermittedOnline;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedOnlineQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 许可排放量废水明细Service接口
 *
 * @author szhpt
 * @date 2023-06-02*/
public interface ISRaWaterPermittedOnlineService extends  IService<SRaWaterPermittedOnline>
{
    /**
     * 查询许可排放量废水明细列表
     *
     * @param sRaWaterPermittedOnline 许可排放量废水明细
     * @return 许可排放量废水明细集合
     */
    public List<SRaWaterPermittedOnline> selectSRaWaterPermittedOnlineList(SRaWaterPermittedOnlineQuery sRaWaterPermittedOnline);

    IPage<SRaWaterPermittedOnline> selectSRaWaterPermittedOnlineListBy(SRaWaterPermittedOnlineQuery sRaWaterPermittedOnline);

    List<Map<String, Object>> pullMonitorNameOptions(String factoryName);
}
