package cn.cecep.talroad.service.effective;

import cn.cecep.talroad.domain.dto.PollutantCharacterAnalysisDto;

import java.util.List;
import java.util.Map;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.service
 * @ClassName: PollutionCharacterAnalysisService
 * @Author: wyg
 * @Description:污染特征分析
 * @Date: 2023/6/13 15:11
 * @Version: 1.0
 */
public interface PollutionCharacterAnalysisService {
    /**
     * 特征比值
     *
     * @param analysisDto 参数dto
     * @return
     */
    List<Map<String, Object>> ratioOf(PollutantCharacterAnalysisDto analysisDto);

    /**
     * 计算皮尔逊相关系数
     *
     * @return
     */
    public double[][] plxValue(PollutantCharacterAnalysisDto analysisDto);


}
