package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.AmDoorMonitorAccountFi;
import cn.cecep.talroad.mapper.AmDoorMonitorAccountFiMapper;
import cn.cecep.talroad.service.IAmDoorMonitorAccountFiService;
import cn.cecep.talroad.vo.AmDoorMonitorAccountFiVo;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;




/**
 * 门禁监控Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class AmDoorMonitorAccountFiServiceImpl extends ServiceImpl<AmDoorMonitorAccountFiMapper,AmDoorMonitorAccountFi> implements IAmDoorMonitorAccountFiService
{
    @Autowired
    private AmDoorMonitorAccountFiMapper amDoorMonitorAccountFiMapper;

    /**
     * 查询门禁监控列表
     *
     * @param amDoorMonitorAccountFi 门禁监控
     * @return 门禁监控
     */
    @Override
    public List<AmDoorMonitorAccountFi> selectAmDoorMonitorAccountFiList(AmDoorMonitorAccountFi amDoorMonitorAccountFi)
    {
        return amDoorMonitorAccountFiMapper.selectAmDoorMonitorAccountFiList(amDoorMonitorAccountFi);
    }

    @Override
    public List<AmDoorMonitorAccountFiVo> selectLabelAccount(String lastDayBegin, String lastDayEnd) {
        return amDoorMonitorAccountFiMapper.selectLabelAccount(lastDayBegin,lastDayEnd);
    }

    @Override
    public List<AmDoorMonitorAccountFiVo> selectCarEntryCount(String controlStartTime, String controlEndTime, String lastHourBegin, String lastHourEnd) {
        return amDoorMonitorAccountFiMapper.selectCarEntryCount(controlStartTime,controlEndTime,lastHourBegin,lastHourEnd);
    }

}
