package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainAllowablePollutionAir;
import cn.cecep.talroad.mapper.BMainAllowablePollutionAirMapper;
import cn.cecep.talroad.service.IBMainAllowablePollutionAirService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 总许可量-大气排放总许可量要求Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-31*/
@Service
public class BMainAllowablePollutionAirServiceImpl extends ServiceImpl<BMainAllowablePollutionAirMapper,BMainAllowablePollutionAir> implements IBMainAllowablePollutionAirService
{
    @Autowired
    private BMainAllowablePollutionAirMapper bMainAllowablePollutionAirMapper;

    /**
     * 查询总许可量-大气排放总许可量要求列表
     *
     * @param bMainAllowablePollutionAir 总许可量-大气排放总许可量要求
     * @return 总许可量-大气排放总许可量要求
     */
    @Override
    public List<BMainAllowablePollutionAir> selectBMainAllowablePollutionAirList(BMainAllowablePollutionAir bMainAllowablePollutionAir)
    {
        return bMainAllowablePollutionAirMapper.selectBMainAllowablePollutionAirList(bMainAllowablePollutionAir);
    }

    @Override
    public IPage<BMainAllowablePollutionAir> selectBMainAllowablePollutionAirPageList(Page<BMainAllowablePollutionAir> page, QueryWrapper<BMainAllowablePollutionAir> lambdaQueryWrapper) {
        return bMainAllowablePollutionAirMapper.selectBMainAllowablePollutionAirPageList(page, lambdaQueryWrapper);
    }

}
