package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainAllowablePollutionWater;
import cn.cecep.talroad.mapper.BMainAllowablePollutionWaterMapper;
import cn.cecep.talroad.service.IBMainAllowablePollutionWaterService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 总许可量- 废水排放总许可量要求Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-31*/
@Service
public class BMainAllowablePollutionWaterServiceImpl extends ServiceImpl<BMainAllowablePollutionWaterMapper,BMainAllowablePollutionWater> implements IBMainAllowablePollutionWaterService
{
    @Autowired
    private BMainAllowablePollutionWaterMapper bMainAllowablePollutionWaterMapper;

    /**
     * 查询总许可量- 废水排放总许可量要求列表
     *
     * @param bMainAllowablePollutionWater 总许可量- 废水排放总许可量要求
     * @return 总许可量- 废水排放总许可量要求
     */
    @Override
    public List<BMainAllowablePollutionWater> selectBMainAllowablePollutionWaterList(BMainAllowablePollutionWater bMainAllowablePollutionWater)
    {
        return bMainAllowablePollutionWaterMapper.selectBMainAllowablePollutionWaterList(bMainAllowablePollutionWater);
    }

    @Override
    public IPage<BMainAllowablePollutionWater> selectBMainAllowablePollutionWaterPageList(Page<?> page, QueryWrapper<BMainAllowablePollutionWater> lambdaQueryWrapper) {
        return bMainAllowablePollutionWaterMapper.selectBMainAllowablePollutionWaterPageList(page, lambdaQueryWrapper);
    }

}
