package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteCr;
import cn.cecep.talroad.mapper.BMainHazardousSolidWasteCrMapper;
import cn.cecep.talroad.service.IBMainHazardousSolidWasteCrService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 固体废物环境管理要求Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-11*/
@Service
public class BMainHazardousSolidWasteCrServiceImpl extends ServiceImpl<BMainHazardousSolidWasteCrMapper,BMainHazardousSolidWasteCr> implements IBMainHazardousSolidWasteCrService
{
    @Autowired
    private BMainHazardousSolidWasteCrMapper bMainHazardousSolidWasteCrMapper;

    /**
     * 查询固体废物环境管理要求列表
     *
     * @param bMainHazardousSolidWasteCr 固体废物环境管理要求
     * @return 固体废物环境管理要求
     */
    @Override
    public List<BMainHazardousSolidWasteCr> selectBMainHazardousSolidWasteCrList(BMainHazardousSolidWasteCr bMainHazardousSolidWasteCr)
    {
        return bMainHazardousSolidWasteCrMapper.selectBMainHazardousSolidWasteCrList(bMainHazardousSolidWasteCr);
    }
    
}
