package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteLe;
import cn.cecep.talroad.mapper.BMainHazardousSolidWasteLeMapper;
import cn.cecep.talroad.service.IBMainHazardousSolidWasteLeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 固体废物排放信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class BMainHazardousSolidWasteLeServiceImpl extends ServiceImpl<BMainHazardousSolidWasteLeMapper,BMainHazardousSolidWasteLe> implements IBMainHazardousSolidWasteLeService
{
    @Autowired
    private BMainHazardousSolidWasteLeMapper bMainHazardousSolidWasteLeMapper;

    /**
     * 查询固体废物排放信息列表
     *
     * @param bMainHazardousSolidWasteLe 固体废物排放信息
     * @return 固体废物排放信息
     */
    @Override
    public List<BMainHazardousSolidWasteLe> selectBMainHazardousSolidWasteLeList(BMainHazardousSolidWasteLe bMainHazardousSolidWasteLe)
    {
        return bMainHazardousSolidWasteLeMapper.selectBMainHazardousSolidWasteLeList(bMainHazardousSolidWasteLe);
    }
    
}
