package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainHazardousSolidWaste;
import cn.cecep.talroad.mapper.BMainHazardousSolidWasteMapper;
import cn.cecep.talroad.service.IBMainHazardousSolidWasteService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 固体废物基础信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class BMainHazardousSolidWasteServiceImpl extends ServiceImpl<BMainHazardousSolidWasteMapper,BMainHazardousSolidWaste> implements IBMainHazardousSolidWasteService
{
    @Autowired
    private BMainHazardousSolidWasteMapper bMainHazardousSolidWasteMapper;

    /**
     * 查询固体废物基础信息列表
     *
     * @param bMainHazardousSolidWaste 固体废物基础信息
     * @return 固体废物基础信息
     */
    @Override
    public List<BMainHazardousSolidWaste> selectBMainHazardousSolidWasteList(BMainHazardousSolidWaste bMainHazardousSolidWaste)
    {
        return bMainHazardousSolidWasteMapper.selectBMainHazardousSolidWasteList(bMainHazardousSolidWaste);
    }
    
}
