package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainMobileEnforcement;
import cn.cecep.talroad.mapper.BMainMobileEnforcementMapper;
import cn.cecep.talroad.service.IBMainMobileEnforcementService;
import cn.cecep.talroad.vo.query.BMainMobileEnforcementQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 移动执法信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class BMainMobileEnforcementServiceImpl extends ServiceImpl<BMainMobileEnforcementMapper,BMainMobileEnforcement> implements IBMainMobileEnforcementService
{
    @Autowired
    private BMainMobileEnforcementMapper bMainMobileEnforcementMapper;

    /**
     * 查询移动执法信息列表
     *
     * @param bMainMobileEnforcement 移动执法信息
     * @return 移动执法信息
     */
    @Override
    public List<BMainMobileEnforcement> selectBMainMobileEnforcementList(BMainMobileEnforcement bMainMobileEnforcement)
    {
        return bMainMobileEnforcementMapper.selectBMainMobileEnforcementList(bMainMobileEnforcement);
    }

    @Override
    public IPage<BMainMobileEnforcement> pullPage(BMainMobileEnforcementQuery bMainMobileEnforcement) {
        Page<BMainMobileEnforcement> page = new Page<>(bMainMobileEnforcement.getPageNum(), bMainMobileEnforcement.getPageSize());
        IPage<BMainMobileEnforcement> list = bMainMobileEnforcementMapper.selectPage(page, BMainMobileEnforcementQuery.createLambdaQueryWrapper(bMainMobileEnforcement));
        return list;
    }
}
