package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisEmlRecord;
import cn.cecep.talroad.mapper.BMainPollDisEmlRecordMapper;
import cn.cecep.talroad.service.IBMainPollDisEmlRecordService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可环境管理台账Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisEmlRecordServiceImpl extends ServiceImpl<BMainPollDisEmlRecordMapper,BMainPollDisEmlRecord> implements IBMainPollDisEmlRecordService
{
    @Autowired
    private BMainPollDisEmlRecordMapper bMainPollDisEmlRecordMapper;

    /**
     * 查询排污许可环境管理台账列表
     *
     * @param bMainPollDisEmlRecord 排污许可环境管理台账
     * @return 排污许可环境管理台账
     */
    @Override
    public List<BMainPollDisEmlRecord> selectBMainPollDisEmlRecordList(BMainPollDisEmlRecord bMainPollDisEmlRecord)
    {
        return bMainPollDisEmlRecordMapper.selectBMainPollDisEmlRecordList(bMainPollDisEmlRecord);
    }

    @Override
    public List<BMainPollDisEmlRecord> pullBookRecord(String xkzId) {
        return bMainPollDisEmlRecordMapper.selectList(new QueryWrapper<BMainPollDisEmlRecord>().eq("poll_dis_id", xkzId));
    }

}
