package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisEnforcement;
import cn.cecep.talroad.mapper.BMainPollDisEnforcementMapper;
import cn.cecep.talroad.service.IBMainPollDisEnforcementService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 排污许可执行守法报告Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisEnforcementServiceImpl extends ServiceImpl<BMainPollDisEnforcementMapper,BMainPollDisEnforcement> implements IBMainPollDisEnforcementService
{
    @Autowired
    private BMainPollDisEnforcementMapper bMainPollDisEnforcementMapper;

    /**
     * 查询排污许可执行守法报告列表
     *
     * @param bMainPollDisEnforcement 排污许可执行守法报告
     * @return 排污许可执行守法报告
     */
    @Override
    public List<BMainPollDisEnforcement> selectBMainPollDisEnforcementList(BMainPollDisEnforcement bMainPollDisEnforcement)
    {
        return bMainPollDisEnforcementMapper.selectBMainPollDisEnforcementList(bMainPollDisEnforcement);
    }

    @Override
    public List<BMainPollDisEnforcement> pullImplementReport(String xkzId) {
        return bMainPollDisEnforcementMapper.selectList(new QueryWrapper<BMainPollDisEnforcement>().eq("poll_dis_id", xkzId));
    }
}
