package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisGasTout;
import cn.cecep.talroad.mapper.BMainPollDisGasToutMapper;
import cn.cecep.talroad.service.IBMainPollDisGasToutService;
import cn.cecep.talroad.vo.query.BMainPollDisGasToutQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可大气排放总计Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisGasToutServiceImpl extends ServiceImpl<BMainPollDisGasToutMapper,BMainPollDisGasTout> implements IBMainPollDisGasToutService
{
    @Autowired
    private BMainPollDisGasToutMapper bMainPollDisGasToutMapper;

    /**
     * 查询排污许可大气排放总计列表
     *
     * @param bMainPollDisGasTout 排污许可大气排放总计
     * @return 排污许可大气排放总计
     */
    @Override
    public List<BMainPollDisGasTout> selectBMainPollDisGasToutList(BMainPollDisGasTout bMainPollDisGasTout)
    {
        return bMainPollDisGasToutMapper.selectBMainPollDisGasToutList(bMainPollDisGasTout);
    }

    @Override
    public IPage<BMainPollDisGasTout> pullPage(BMainPollDisGasToutQuery bMainPollDisGasTout) {
        Page<BMainPollDisGasTout> page = new Page<>(bMainPollDisGasTout.getPageNum(), bMainPollDisGasTout.getPageSize());
        IPage<BMainPollDisGasTout> list = bMainPollDisGasToutMapper.selectPage(page, BMainPollDisGasToutQuery.createLambdaQueryWrapper(bMainPollDisGasTout));
        return list;
    }
}
