package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisInformation;
import cn.cecep.talroad.mapper.BMainPollDisInformationMapper;
import cn.cecep.talroad.service.IBMainPollDisInformationService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可信息公开Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisInformationServiceImpl extends ServiceImpl<BMainPollDisInformationMapper,BMainPollDisInformation> implements IBMainPollDisInformationService
{
    @Autowired
    private BMainPollDisInformationMapper bMainPollDisInformationMapper;

    /**
     * 查询排污许可信息公开列表
     *
     * @param bMainPollDisInformation 排污许可信息公开
     * @return 排污许可信息公开
     */
    @Override
    public List<BMainPollDisInformation> selectBMainPollDisInformationList(BMainPollDisInformation bMainPollDisInformation)
    {
        return bMainPollDisInformationMapper.selectBMainPollDisInformationList(bMainPollDisInformation);
    }

    @Override
    public BMainPollDisInformation pullInformationDisclosure(String xkzId) {
        return bMainPollDisInformationMapper.selectOne(new QueryWrapper<BMainPollDisInformation>().eq("poll_dis_id", xkzId));
    }
}
