package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisNoiseRegulation;
import cn.cecep.talroad.mapper.BMainPollDisNoiseRegulationMapper;
import cn.cecep.talroad.service.IBMainPollDisNoiseRegulationService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可其他许可改正规定Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisNoiseRegulationServiceImpl extends ServiceImpl<BMainPollDisNoiseRegulationMapper,BMainPollDisNoiseRegulation> implements IBMainPollDisNoiseRegulationService
{
    @Autowired
    private BMainPollDisNoiseRegulationMapper bMainPollDisNoiseRegulationMapper;

    /**
     * 查询排污许可其他许可改正规定列表
     *
     * @param bMainPollDisNoiseRegulation 排污许可其他许可改正规定
     * @return 排污许可其他许可改正规定
     */
    @Override
    public List<BMainPollDisNoiseRegulation> selectBMainPollDisNoiseRegulationList(BMainPollDisNoiseRegulation bMainPollDisNoiseRegulation)
    {
        return bMainPollDisNoiseRegulationMapper.selectBMainPollDisNoiseRegulationList(bMainPollDisNoiseRegulation);
    }

    @Override
    public List<BMainPollDisNoiseRegulation> pullOtherXkAskRectifyAndReform(String xkzId) {
        return bMainPollDisNoiseRegulationMapper.selectList(new QueryWrapper<BMainPollDisNoiseRegulation>().eq("poll_dis_id", xkzId));
    }
}
