package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisNoiseRequire;
import cn.cecep.talroad.mapper.BMainPollDisNoiseRequireMapper;
import cn.cecep.talroad.service.IBMainPollDisNoiseRequireService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可环境管理要求Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisNoiseRequireServiceImpl extends ServiceImpl<BMainPollDisNoiseRequireMapper,BMainPollDisNoiseRequire> implements IBMainPollDisNoiseRequireService
{
    @Autowired
    private BMainPollDisNoiseRequireMapper bMainPollDisNoiseRequireMapper;

    /**
     * 查询排污许可环境管理要求列表
     *
     * @param bMainPollDisNoiseRequire 排污许可环境管理要求
     * @return 排污许可环境管理要求
     */
    @Override
    public List<BMainPollDisNoiseRequire> selectBMainPollDisNoiseRequireList(BMainPollDisNoiseRequire bMainPollDisNoiseRequire)
    {
        return bMainPollDisNoiseRequireMapper.selectBMainPollDisNoiseRequireList(bMainPollDisNoiseRequire);
    }

    @Override
    public BMainPollDisNoiseRequire pullOtherXkAskManage(String xkzId) {
        return bMainPollDisNoiseRequireMapper.selectOne(new QueryWrapper<BMainPollDisNoiseRequire>().eq("poll_dis_id", xkzId).last("limit 1"));
    }
}
