package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisWaterMout;
import cn.cecep.talroad.mapper.BMainPollDisWaterMoutMapper;
import cn.cecep.talroad.service.IBMainPollDisWaterMoutService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可水污染物主排放口Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisWaterMoutServiceImpl extends ServiceImpl<BMainPollDisWaterMoutMapper,BMainPollDisWaterMout> implements IBMainPollDisWaterMoutService
{
    @Autowired
    private BMainPollDisWaterMoutMapper bMainPollDisWaterMoutMapper;

    /**
     * 查询排污许可水污染物主排放口列表
     *
     * @param bMainPollDisWaterMout 排污许可水污染物主排放口
     * @return 排污许可水污染物主排放口
     */
    @Override
    public List<BMainPollDisWaterMout> selectBMainPollDisWaterMoutList(BMainPollDisWaterMout bMainPollDisWaterMout)
    {
        return bMainPollDisWaterMoutMapper.selectBMainPollDisWaterMoutList(bMainPollDisWaterMout);
    }
    
}
