package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisWaterTout;
import cn.cecep.talroad.mapper.BMainPollDisWaterToutMapper;
import cn.cecep.talroad.service.IBMainPollDisWaterToutService;
import cn.cecep.talroad.vo.query.BMainPollDisWaterToutQuery;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可水污染物排放总计Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisWaterToutServiceImpl extends ServiceImpl<BMainPollDisWaterToutMapper,BMainPollDisWaterTout> implements IBMainPollDisWaterToutService
{
    @Autowired
    private BMainPollDisWaterToutMapper bMainPollDisWaterToutMapper;

    /**
     * 查询排污许可水污染物排放总计列表
     *
     * @param bMainPollDisWaterTout 排污许可水污染物排放总计
     * @return 排污许可水污染物排放总计
     */
    @Override
    public List<BMainPollDisWaterTout> selectBMainPollDisWaterToutList(BMainPollDisWaterTout bMainPollDisWaterTout)
    {
        return bMainPollDisWaterToutMapper.selectBMainPollDisWaterToutList(bMainPollDisWaterTout);
    }

    @Override
    public IPage<BMainPollDisWaterTout> pullPage(BMainPollDisWaterToutQuery bMainPollDisWaterTout) {
        Page<BMainPollDisWaterTout> page = new Page<>(bMainPollDisWaterTout.getPageNum(), bMainPollDisWaterTout.getPageSize());
        IPage<BMainPollDisWaterTout> list = bMainPollDisWaterToutMapper.selectPage(page, BMainPollDisWaterToutQuery.createLambdaQueryWrapper(bMainPollDisWaterTout));
        return list;
    }
}
