package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmission;
import cn.cecep.talroad.mapper.BStatTableZxbgGasEmissionMapper;
import cn.cecep.talroad.service.IBStatTableZxbgGasEmissionService;
import cn.cecep.talroad.mapper.BStatTableZxbgGasEmissionMapper;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmission;
import cn.cecep.talroad.service.IBStatTableZxbgGasEmissionService;




/**
 * 固定源产排治--执行报告--有组织废气污染物排放浓度监测数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgGasEmissionServiceImpl extends ServiceImpl<BStatTableZxbgGasEmissionMapper,BStatTableZxbgGasEmission> implements IBStatTableZxbgGasEmissionService
{
    @Autowired
    private BStatTableZxbgGasEmissionMapper bStatTableZxbgGasEmissionMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--有组织废气污染物排放浓度监测数据列表
     *
     * @param bStatTableZxbgGasEmission 固定源产排治--执行报告--有组织废气污染物排放浓度监测数据
     * @return 固定源产排治--执行报告--有组织废气污染物排放浓度监测数据
     */
    @Override
    public List<BStatTableZxbgGasEmission> selectBStatTableZxbgGasEmissionList(BStatTableZxbgGasEmission bStatTableZxbgGasEmission)
    {
        return bStatTableZxbgGasEmissionMapper.selectBStatTableZxbgGasEmissionList(bStatTableZxbgGasEmission);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgGasEmission>> selectBStatTableZxbgGasEmissionListBy(BStatTablepPwxkWaterQuery query) {
       return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgGasEmissionMapper::selectListAndFactory,query);
    }
}
