package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionSpeed;
import cn.cecep.talroad.mapper.BStatTableZxbgGasEmissionSpeedMapper;
import cn.cecep.talroad.service.IBStatTableZxbgGasEmissionSpeedService;
import cn.cecep.talroad.mapper.BStatTableZxbgGasEmissionSpeedMapper;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionSpeed;
import cn.cecep.talroad.service.IBStatTableZxbgGasEmissionSpeedService;




/**
 * 固定源产排治--执行报告--有组织废气污染物排放速率监测Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgGasEmissionSpeedServiceImpl extends ServiceImpl<BStatTableZxbgGasEmissionSpeedMapper,BStatTableZxbgGasEmissionSpeed> implements IBStatTableZxbgGasEmissionSpeedService
{
    @Autowired
    private BStatTableZxbgGasEmissionSpeedMapper bStatTableZxbgGasEmissionSpeedMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--有组织废气污染物排放速率监测列表
     *
     * @param bStatTableZxbgGasEmissionSpeed 固定源产排治--执行报告--有组织废气污染物排放速率监测
     * @return 固定源产排治--执行报告--有组织废气污染物排放速率监测
     */
    @Override
    public List<BStatTableZxbgGasEmissionSpeed> selectBStatTableZxbgGasEmissionSpeedList(BStatTableZxbgGasEmissionSpeed bStatTableZxbgGasEmissionSpeed)
    {
        return bStatTableZxbgGasEmissionSpeedMapper.selectBStatTableZxbgGasEmissionSpeedList(bStatTableZxbgGasEmissionSpeed);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgGasEmissionSpeed>> selectBStatTableZxbgGasEmissionSpeedListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgGasEmissionSpeedMapper::selectListAndFactory,query);
    }
}
