package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionStatistics;
import cn.cecep.talroad.mapper.BStatTableZxbgGasEmissionStatisticsMapper;
import cn.cecep.talroad.service.IBStatTableZxbgGasEmissionStatisticsService;
import cn.cecep.talroad.mapper.BStatTableZxbgGasEmissionStatisticsMapper;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionStatistics;
import cn.cecep.talroad.service.IBStatTableZxbgGasEmissionStatisticsService;




/**
 * 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgGasEmissionStatisticsServiceImpl extends ServiceImpl<BStatTableZxbgGasEmissionStatisticsMapper,BStatTableZxbgGasEmissionStatistics> implements IBStatTableZxbgGasEmissionStatisticsService
{
    @Autowired
    private BStatTableZxbgGasEmissionStatisticsMapper bStatTableZxbgGasEmissionStatisticsMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计列表
     *
     * @param bStatTableZxbgGasEmissionStatistics 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计
     * @return 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计
     */
    @Override
    public List<BStatTableZxbgGasEmissionStatistics> selectBStatTableZxbgGasEmissionStatisticsList(BStatTableZxbgGasEmissionStatistics bStatTableZxbgGasEmissionStatistics)
    {
        return bStatTableZxbgGasEmissionStatisticsMapper.selectBStatTableZxbgGasEmissionStatisticsList(bStatTableZxbgGasEmissionStatistics);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgGasEmissionStatistics>> selectBStatTableZxbgGasEmissionStatisticsListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgGasEmissionStatisticsMapper::selectListAndFactory,query);
    }
}
