package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgWaterEmission;
import cn.cecep.talroad.mapper.BStatTableZxbgWaterEmissionMapper;
import cn.cecep.talroad.service.IBStatTableZxbgWaterEmissionService;
import cn.cecep.talroad.mapper.BStatTableZxbgWaterEmissionMapper;
import cn.cecep.talroad.domain.BStatTableZxbgWaterEmission;
import cn.cecep.talroad.service.IBStatTableZxbgWaterEmissionService;




/**
 * 固定源产排治--执行报告--废水污染物排放浓度监测数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgWaterEmissionServiceImpl extends ServiceImpl<BStatTableZxbgWaterEmissionMapper,BStatTableZxbgWaterEmission> implements IBStatTableZxbgWaterEmissionService
{
    @Autowired
    private BStatTableZxbgWaterEmissionMapper bStatTableZxbgWaterEmissionMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--废水污染物排放浓度监测数据列表
     *
     * @param bStatTableZxbgWaterEmission 固定源产排治--执行报告--废水污染物排放浓度监测数据
     * @return 固定源产排治--执行报告--废水污染物排放浓度监测数据
     */
    @Override
    public List<BStatTableZxbgWaterEmission> selectBStatTableZxbgWaterEmissionList(BStatTableZxbgWaterEmission bStatTableZxbgWaterEmission)
    {
        return bStatTableZxbgWaterEmissionMapper.selectBStatTableZxbgWaterEmissionList(bStatTableZxbgWaterEmission);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgWaterEmission>> selectBStatTableZxbgWaterEmissionListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgWaterEmissionMapper::selectListAndFactory,query);
    }
}
