package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BasDevToElec;
import cn.cecep.talroad.mapper.BasDevToElecMapper;
import cn.cecep.talroad.service.IBasDevToElecService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 有组织-分表计电设备对应Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class BasDevToElecServiceImpl extends ServiceImpl<BasDevToElecMapper,BasDevToElec> implements IBasDevToElecService
{
    @Autowired
    private BasDevToElecMapper basDevToElecMapper;

    /**
     * 查询有组织-分表计电设备对应列表
     *
     * @param basDevToElec 有组织-分表计电设备对应
     * @return 有组织-分表计电设备对应
     */
    @Override
    public List<BasDevToElec> selectBasDevToElecList(BasDevToElec basDevToElec)
    {
        return basDevToElecMapper.selectBasDevToElecList(basDevToElec);
    }
    
}
