package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BasDeviceConfig;
import cn.cecep.talroad.mapper.BasDeviceConfigMapper;
import cn.cecep.talroad.service.IBasDeviceConfigService;
import cn.cecep.talroad.mapper.BasDeviceConfigMapper;
import cn.cecep.talroad.domain.BasDeviceConfig;
import cn.cecep.talroad.service.IBasDeviceConfigService;




/**
 * 企业设备参数配置Service业务层处理
 *
 * @author szhpt
 * @date 2023-04-05*/
@Service
public class BasDeviceConfigServiceImpl extends ServiceImpl<BasDeviceConfigMapper,BasDeviceConfig> implements IBasDeviceConfigService
{
    @Autowired
    private BasDeviceConfigMapper basDeviceConfigMapper;

    /**
     * 查询企业设备参数配置列表
     *
     * @param basDeviceConfig 企业设备参数配置
     * @return 企业设备参数配置
     */
    @Override
    public List<BasDeviceConfig> selectBasDeviceConfigList(BasDeviceConfig basDeviceConfig)
    {
        return basDeviceConfigMapper.selectBasDeviceConfigList(basDeviceConfig);
    }
    
}
