package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BasDeviceZlConfig;
import cn.cecep.talroad.mapper.BasDeviceZlConfigMapper;
import cn.cecep.talroad.service.IBasDeviceZlConfigService;
import cn.cecep.talroad.mapper.BasDeviceZlConfigMapper;
import cn.cecep.talroad.domain.BasDeviceZlConfig;
import cn.cecep.talroad.service.IBasDeviceZlConfigService;




/**
 * 转炉设备与转炉煤气放散设备映射关系Service业务层处理
 *
 * @author szhpt
 * @date 2023-06-30*/
@Service
public class BasDeviceZlConfigServiceImpl extends ServiceImpl<BasDeviceZlConfigMapper,BasDeviceZlConfig> implements IBasDeviceZlConfigService
{
    @Autowired
    private BasDeviceZlConfigMapper basDeviceZlConfigMapper;

    /**
     * 查询转炉设备与转炉煤气放散设备映射关系列表
     *
     * @param basDeviceZlConfig 转炉设备与转炉煤气放散设备映射关系
     * @return 转炉设备与转炉煤气放散设备映射关系
     */
    @Override
    public List<BasDeviceZlConfig> selectBasDeviceZlConfigList(BasDeviceZlConfig basDeviceZlConfig)
    {
        return basDeviceZlConfigMapper.selectBasDeviceZlConfigList(basDeviceZlConfig);
    }
    
}
