package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.FactoryReportingManifest;
import cn.cecep.talroad.mapper.FactoryReportingManifestMapper;
import cn.cecep.talroad.service.IFactoryReportingManifestService;
import cn.cecep.talroad.mapper.FactoryReportingManifestMapper;
import cn.cecep.talroad.domain.FactoryReportingManifest;
import cn.cecep.talroad.service.IFactoryReportingManifestService;




/**
 * 企业信息上报任务清单Service业务层处理
 *
 * @author szhpt
 * @date 2023-05-09*/
@Service
public class FactoryReportingManifestServiceImpl extends ServiceImpl<FactoryReportingManifestMapper,FactoryReportingManifest> implements IFactoryReportingManifestService
{
    @Autowired
    private FactoryReportingManifestMapper factoryReportingManifestMapper;

    /**
     * 查询企业信息上报任务清单列表
     *
     * @param factoryReportingManifest 企业信息上报任务清单
     * @return 企业信息上报任务清单
     */
    @Override
    public List<FactoryReportingManifest> selectFactoryReportingManifestList(FactoryReportingManifest factoryReportingManifest)
    {
        return factoryReportingManifestMapper.selectFactoryReportingManifestList(factoryReportingManifest);
    }
    
}
