package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.MonDevJhHour;
import cn.cecep.talroad.mapper.MonDevJhHourMapper;
import cn.cecep.talroad.service.IMonDevJhHourService;
import cn.cecep.talroad.vo.MonDevJhVO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 设备数据-焦化-小时 保存设备的小时数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class MonDevJhHourServiceImpl extends ServiceImpl<MonDevJhHourMapper,MonDevJhHour> implements IMonDevJhHourService
{
    @Autowired
    private MonDevJhHourMapper monDevJhHourMapper;

    /**
     * 查询设备数据-焦化-小时 保存设备的小时数据列表
     *
     * @param monDevJhHour 设备数据-焦化-小时 保存设备的小时数据
     * @return 设备数据-焦化-小时 保存设备的小时数据
     */
    @Override
    public List<MonDevJhHour> selectMonDevJhHourList(MonDevJhHour monDevJhHour)
    {
        return monDevJhHourMapper.selectMonDevJhHourList(monDevJhHour);
    }

    @Override
    public List<MonDevJhVO> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page) {
        QueryWrapper<MonDevJhVO> queryWrapper = new QueryWrapper<MonDevJhVO>()
                .eq("r.factory_id", factoryId)
                .in("r.device_id", deviceIds)
                .ge("r.data_time", startTime)
                .le("r.data_time", endTime)
                .orderBy(StringUtils.isNotEmpty(orderField), "asc".equals(orderType), orderField, "r.data_id");
        return baseMapper.getDataPage(page, queryWrapper);
    }

}
