package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.MonElecEvent;
import cn.cecep.talroad.mapper.MonElecEventMapper;
import cn.cecep.talroad.service.IMonElecEventService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 有组织-分表计电设备对应 两类设备为多对多的关系Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class MonElecEventServiceImpl extends ServiceImpl<MonElecEventMapper,MonElecEvent> implements IMonElecEventService
{
    @Autowired
    private MonElecEventMapper monElecEventMapper;

    /**
     * 查询有组织-分表计电设备对应 两类设备为多对多的关系列表
     *
     * @param monElecEvent 有组织-分表计电设备对应 两类设备为多对多的关系
     * @return 有组织-分表计电设备对应 两类设备为多对多的关系
     */
    @Override
    public List<MonElecEvent> selectMonElecEventList(MonElecEvent monElecEvent)
    {
        return monElecEventMapper.selectMonElecEventList(monElecEvent);
    }
    
}
