package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcAdslFactory;
import cn.cecep.talroad.mapper.PcAdslFactoryMapper;
import cn.cecep.talroad.service.IPcAdslFactoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;




/**
 * 企业与接入数据类型关联Service业务层处理
 *
 * @author szhpt
 * @date 2023-02-02*/
@Service
public class PcAdslFactoryServiceImpl extends ServiceImpl<PcAdslFactoryMapper,PcAdslFactory> implements IPcAdslFactoryService
{
    @Autowired
    private PcAdslFactoryMapper pcAdslFactoryMapper;

    /**
     * 查询企业与接入数据类型关联列表
     *
     * @param pcAdslFactory 企业与接入数据类型关联
     * @return 企业与接入数据类型关联
     */
    @Override
    public List<PcAdslFactory> selectPcAdslFactoryList(PcAdslFactory pcAdslFactory)
    {
        return pcAdslFactoryMapper.selectPcAdslFactoryList(pcAdslFactory);
    }

    @Override
    public List<Map<String, String>> selectEntInDatas(String factoryId) {
        return pcAdslFactoryMapper.selectEntInDatas(factoryId);
    }
}
