package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.vo.FactoryReportingRemindersVo;
import cn.cecep.talroad.vo.PcStationBuildingStatVo;
import cn.cecep.talroad.vo.query.PcStationBuildingStatQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.PcStationBuildingStat;
import cn.cecep.talroad.mapper.PcStationBuildingStatMapper;
import cn.cecep.talroad.service.IPcStationBuildingStatService;
import cn.cecep.talroad.mapper.PcStationBuildingStatMapper;
import cn.cecep.talroad.domain.PcStationBuildingStat;
import cn.cecep.talroad.service.IPcStationBuildingStatService;




/**
 * 站房信息--站房门禁进出统计分析Service业务层处理
 *
 * @author szhpt
 * @date 2023-06-27*/
@Service
public class PcStationBuildingStatServiceImpl extends ServiceImpl<PcStationBuildingStatMapper,PcStationBuildingStat> implements IPcStationBuildingStatService
{
    @Autowired
    private PcStationBuildingStatMapper pcStationBuildingStatMapper;

    @Override
    public List<PcStationBuildingStatVo> selectPage(Page<PcStationBuildingStatVo> page, PcStationBuildingStatQuery query) {
        List<PcStationBuildingStatVo> vos = pcStationBuildingStatMapper.selectPage(page, query);
        page.setRecords(vos);
        return vos;
    }

    /**
     * 查询站房信息--站房门禁进出统计分析列表
     *
     * @param pcStationBuildingStat 站房信息--站房门禁进出统计分析
     * @return 站房信息--站房门禁进出统计分析
     */
    @Override
    public List<PcStationBuildingStat> selectPcStationBuildingStatList(PcStationBuildingStat pcStationBuildingStat)
    {
        return pcStationBuildingStatMapper.selectPcStationBuildingStatList(pcStationBuildingStat);
    }

}
