package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.mapper.ProductionScheduledMapper;
import cn.cecep.talroad.service.ProductionScheduledService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 开发公司：中节能天融科技有限公司
 *
 * ProductionScheduledServiceImpl
 * 定时更新产治排设施关联关系
 * @author fzx
 * @date 2023-6-7 00:03:07
 */
@Service
public class ProductionScheduledServiceImpl implements ProductionScheduledService {

    @Autowired
    private ProductionScheduledMapper productionScheduledMapper;

    @Override
    public void timingUpdateProduction() {
        // 定时更新废气有组织生产设施关联关系
        productionScheduledMapper.updateOrganizProDevice();
        // 定时更新废气有组织治理设施关联关系
        productionScheduledMapper.updateOrganizCepDevice();
    }
}
