package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.utils.StringUtils;
import cn.cecep.talroad.domain.PcOutlet;
import cn.cecep.talroad.domain.SEnvGasMonReal;
import cn.cecep.talroad.domain.SEnvWaterMonDay;
import cn.cecep.talroad.domain.SEnvWaterMonHour;
import cn.cecep.talroad.enums.TimeTypeEnum;
import cn.cecep.talroad.mapper.PcOutletMapper;
import cn.cecep.talroad.mapper.SEnvWaterMonDayMapper;
import cn.cecep.talroad.service.ISEnvWaterMonDayService;
import cn.cecep.talroad.vo.AmProblemFiVo;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.SEnvWaterMonDayVo;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.cecep.talroad.vo.query.SEnvWaterMonDayQuery;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 废水监测数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class SEnvWaterMonDayServiceImpl extends ServiceImpl<SEnvWaterMonDayMapper,SEnvWaterMonDay> implements ISEnvWaterMonDayService
{
    @Autowired
    private SEnvWaterMonDayMapper sEnvWaterMonDayMapper;

    @Override
    public List<FactoryOutletStaticsVo> selectLastDayCountData(DateTime queryBeginTime, DateTime queryEndTime) {
        return sEnvWaterMonDayMapper.selectLastDayCountData(queryBeginTime,queryEndTime);
    }

    @Override
    public List<SEnvWaterMonDay> selectHourDataByTime(String factoryId, String monitorId, Date monitorTime) {
        return sEnvWaterMonDayMapper.selectHourDataByTime(factoryId,monitorId,monitorTime);
    }
}
