package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.vo.query.SRaRealTimeAnalysisRunOneQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.SRaRealTimeAnalysisRunOne;
import cn.cecep.talroad.mapper.SRaRealTimeAnalysisRunOneMapper;
import cn.cecep.talroad.service.ISRaRealTimeAnalysisRunOneService;
import cn.cecep.talroad.mapper.SRaRealTimeAnalysisRunOneMapper;
import cn.cecep.talroad.domain.SRaRealTimeAnalysisRunOne;
import cn.cecep.talroad.service.ISRaRealTimeAnalysisRunOneService;




/**
 * 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-05-17*/
@Service
public class SRaRealTimeAnalysisRunOneServiceImpl extends ServiceImpl<SRaRealTimeAnalysisRunOneMapper,SRaRealTimeAnalysisRunOne> implements ISRaRealTimeAnalysisRunOneService
{
    @Autowired
    private SRaRealTimeAnalysisRunOneMapper sRaRealTimeAnalysisRunOneMapper;

    /**
     * 查询关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据列表
     *
     * @param sRaRealTimeAnalysisRunOne 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据
     * @return 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据
     */
    @Override
    public List<SRaRealTimeAnalysisRunOne> selectSRaRealTimeAnalysisRunOneList(SRaRealTimeAnalysisRunOneQuery sRaRealTimeAnalysisRunOne)
    {
        Page<SRaRealTimeAnalysisRunOne> page = new Page<>(1, 999999);
        return sRaRealTimeAnalysisRunOneMapper.selectSRaRealTimeAnalysisRunOneList(page,sRaRealTimeAnalysisRunOne);
    }


    @Override
    public IPage<SRaRealTimeAnalysisRunOne> selectSRaRealTimeAnalysisRunOneListPage(SRaRealTimeAnalysisRunOneQuery sRaRealTimeAnalysisRunOne) {
        Page<SRaRealTimeAnalysisRunOne> page = new Page<>(sRaRealTimeAnalysisRunOne.getPageNum(), sRaRealTimeAnalysisRunOne.getPageSize());
        List<SRaRealTimeAnalysisRunOne> sRaRealTimeAnalysisRunOnes= sRaRealTimeAnalysisRunOneMapper.selectSRaRealTimeAnalysisRunOneList(page,sRaRealTimeAnalysisRunOne);
        page.setRecords(sRaRealTimeAnalysisRunOnes);
        return page;
    }

	@Override
    public List<SRaRealTimeAnalysisRunOne> selectAnalysisRunByParams(SRaRealTimeAnalysisRunOne run) {
        return sRaRealTimeAnalysisRunOneMapper.selectAnalysisRunByParams(run);
    }

}
