package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaAbNalysisCar;
import cn.cecep.talroad.mapper.analysis.SRaAbNalysisCarMapper;
import cn.cecep.talroad.service.analysis.ISRaAbNalysisCarService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 管控期车辆异常分析Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-24*/
@Service
public class SRaAbNalysisCarServiceImpl extends ServiceImpl<SRaAbNalysisCarMapper, SRaAbNalysisCar> implements ISRaAbNalysisCarService
{
    @Autowired
    private SRaAbNalysisCarMapper sRaAbNalysisCarMapper;

    /**
     * 查询管控期车辆异常分析列表
     *
     * @param sRaAbNalysisCar 管控期车辆异常分析
     * @return 管控期车辆异常分析
     */
    @Override
    public List<SRaAbNalysisCar> selectSRaAbNalysisCarList(SRaAbNalysisCar sRaAbNalysisCar)
    {
        return sRaAbNalysisCarMapper.selectSRaAbNalysisCarList(sRaAbNalysisCar);
    }
    
}
