package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsActualEmissions;
import cn.cecep.talroad.mapper.analysis.SRaActionReportsActualEmissionsMapper;
import cn.cecep.talroad.service.analysis.ISRaActionReportsActualEmissionsService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 执行报告实际排放情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-28*/
@Service
public class SRaActionReportsActualEmissionsServiceImpl extends ServiceImpl<SRaActionReportsActualEmissionsMapper, SRaActionReportsActualEmissions> implements ISRaActionReportsActualEmissionsService
{
    @Autowired
    private SRaActionReportsActualEmissionsMapper sRaActionReportsActualEmissionsMapper;

    /**
     * 查询执行报告实际排放情况列表
     *
     * @param sRaActionReportsActualEmissions 执行报告实际排放情况
     * @return 执行报告实际排放情况
     */
    @Override
    public List<SRaActionReportsActualEmissions> selectSRaActionReportsActualEmissionsList(QueryWrapper<SRaActionReportsActualEmissions> lambdaQueryWrapper)
    {
        return sRaActionReportsActualEmissionsMapper.selectSRaActionReportsActualEmissionsList(lambdaQueryWrapper);
    }

    @Override
    public IPage<SRaActionReportsActualEmissions> selectSRaActionReportsActualEmissionsPage(Page<SRaActionReportsActualEmissions> page, QueryWrapper<SRaActionReportsActualEmissions> lambdaQueryWrapper) {
        return sRaActionReportsActualEmissionsMapper.selectSRaActionReportsActualEmissionsPage(page, lambdaQueryWrapper);
    }

}
