package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsActualYield;
import cn.cecep.talroad.mapper.analysis.SRaActionReportsActualYieldMapper;
import cn.cecep.talroad.service.analysis.ISRaActionReportsActualYieldService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 执行报告实际产量情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-28*/
@Service
public class SRaActionReportsActualYieldServiceImpl extends ServiceImpl<SRaActionReportsActualYieldMapper, SRaActionReportsActualYield> implements ISRaActionReportsActualYieldService
{
    @Autowired
    private SRaActionReportsActualYieldMapper sRaActionReportsActualYieldMapper;

    /**
     * 查询执行报告实际产量情况列表
     *
     * @param sRaActionReportsActualYield 执行报告实际产量情况
     * @return 执行报告实际产量情况
     */
    @Override
    public List<SRaActionReportsActualYield> selectSRaActionReportsActualYieldList(QueryWrapper<SRaActionReportsActualYield> lambdaQueryWrapper)
    {
        return sRaActionReportsActualYieldMapper.selectSRaActionReportsActualYieldList(lambdaQueryWrapper);
    }

    @Override
    public IPage<SRaActionReportsActualYield> selectSRaActionReportsActualYieldPage(Page<SRaActionReportsActualYield> page, QueryWrapper<SRaActionReportsActualYield> lambdaQueryWrapper) {
        return sRaActionReportsActualYieldMapper.selectSRaActionReportsActualYieldPage(page, lambdaQueryWrapper);
    }

}
