package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaAreaRegulatoryIssues;
import cn.cecep.talroad.mapper.analysis.SRaAreaRegulatoryIssuesMapper;
import cn.cecep.talroad.service.analysis.ISRaAreaRegulatoryIssuesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 区域证后监管问题总表Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-28*/
@Service
public class SRaAreaRegulatoryIssuesServiceImpl extends ServiceImpl<SRaAreaRegulatoryIssuesMapper, SRaAreaRegulatoryIssues> implements ISRaAreaRegulatoryIssuesService
{
    @Autowired
    private SRaAreaRegulatoryIssuesMapper sRaAreaRegulatoryIssuesMapper;

    /**
     * 查询区域证后监管问题总表列表
     *
     * @param sRaAreaRegulatoryIssues 区域证后监管问题总表
     * @return 区域证后监管问题总表
     */
    @Override
    public List<SRaAreaRegulatoryIssues> selectSRaAreaRegulatoryIssuesList(SRaAreaRegulatoryIssues sRaAreaRegulatoryIssues)
    {
        return sRaAreaRegulatoryIssuesMapper.selectSRaAreaRegulatoryIssuesList(sRaAreaRegulatoryIssues);
    }

}
