package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaAreaTransferRateAnalysis;
import cn.cecep.talroad.mapper.analysis.SRaAreaTransferRateAnalysisMapper;
import cn.cecep.talroad.service.analysis.ISRaAreaTransferRateAnalysisService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 区域传输率分析Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-28*/
@Service
public class SRaAreaTransferRateAnalysisServiceImpl extends ServiceImpl<SRaAreaTransferRateAnalysisMapper, SRaAreaTransferRateAnalysis> implements ISRaAreaTransferRateAnalysisService
{
    @Autowired
    private SRaAreaTransferRateAnalysisMapper sRaAreaTransferRateAnalysisMapper;

    /**
     * 查询区域传输率分析列表
     *
     * @param sRaAreaTransferRateAnalysis 区域传输率分析
     * @return 区域传输率分析
     */
    @Override
    public List<SRaAreaTransferRateAnalysis> selectSRaAreaTransferRateAnalysisList(SRaAreaTransferRateAnalysis sRaAreaTransferRateAnalysis)
    {
        return sRaAreaTransferRateAnalysisMapper.selectSRaAreaTransferRateAnalysisList(sRaAreaTransferRateAnalysis);
    }

}
