package cn.cecep.talroad.service.impl.analysis;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.domain.PcPollutant;
import cn.cecep.talroad.vo.analysis.SRaEmissionsMonitoringVarianceVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsMonitoringVarianceQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.mapper.analysis.SRaEmissionsMonitoringVarianceMapper;
import cn.cecep.talroad.domain.analysis.SRaEmissionsMonitoringVariance;
import cn.cecep.talroad.service.analysis.ISRaEmissionsMonitoringVarianceService;




/**
 * 企业异常行为分析-企业排放分析-监测差异分析Service业务层处理
 *
 * @author szhpt
 * @date 2023-06-27*/
@Service
public class SRaEmissionsMonitoringVarianceServiceImpl extends ServiceImpl<SRaEmissionsMonitoringVarianceMapper,SRaEmissionsMonitoringVariance> implements ISRaEmissionsMonitoringVarianceService
{
    @Autowired
    private SRaEmissionsMonitoringVarianceMapper sRaEmissionsMonitoringVarianceMapper;

    /**
     * 查询企业异常行为分析-企业排放分析-监测差异分析列表
     *
     * @param sRaEmissionsMonitoringVariance 企业异常行为分析-企业排放分析-监测差异分析
     * @return 企业异常行为分析-企业排放分析-监测差异分析
     */
    @Override
    public List<SRaEmissionsMonitoringVariance> selectSRaEmissionsMonitoringVarianceList(SRaEmissionsMonitoringVariance sRaEmissionsMonitoringVariance)
    {
        return sRaEmissionsMonitoringVarianceMapper.selectSRaEmissionsMonitoringVarianceList(sRaEmissionsMonitoringVariance);
    }

    @Override
    public List<SRaEmissionsMonitoringVarianceVo> selectList(Page<SRaEmissionsMonitoringVarianceVo> page, SRaEmissionsMonitoringVarianceQuery query) {
        List<SRaEmissionsMonitoringVarianceVo> vos = sRaEmissionsMonitoringVarianceMapper.selectList(page, query);
        page.setRecords(vos);
        return vos;
    }

    @Override
    public List<PcPollutant> pollList() {
        return sRaEmissionsMonitoringVarianceMapper.pollList();
    }

}
