package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaFactoryRegulatoryIssues;
import cn.cecep.talroad.mapper.analysis.SRaFactoryRegulatoryIssuesMapper;
import cn.cecep.talroad.service.analysis.ISRaFactoryRegulatoryIssuesService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业证后监管问题总表Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-28*/
@Service
public class SRaFactoryRegulatoryIssuesServiceImpl extends ServiceImpl<SRaFactoryRegulatoryIssuesMapper, SRaFactoryRegulatoryIssues> implements ISRaFactoryRegulatoryIssuesService
{
    @Autowired
    private SRaFactoryRegulatoryIssuesMapper sRaFactoryRegulatoryIssuessMapper;

    /**
     * 查询企业证后监管问题总表列表
     *
     * @param lambdaQueryWrapper 企业证后监管问题总表
     * @return 企业证后监管问题总表
     */
    @Override
    public List<SRaFactoryRegulatoryIssues> selectSRaFactoryRegulatoryIssuesList(QueryWrapper<SRaFactoryRegulatoryIssues> lambdaQueryWrapper)
    {
        return sRaFactoryRegulatoryIssuessMapper.selectSRaFactoryRegulatoryIssuesList(lambdaQueryWrapper);
    }

    @Override
    public IPage<SRaFactoryRegulatoryIssues> selectSRaFactoryRegulatoryIssuesPage(Page<SRaFactoryRegulatoryIssues> page, QueryWrapper<SRaFactoryRegulatoryIssues> lambdaQueryWrapper) {
        return sRaFactoryRegulatoryIssuessMapper.selectSRaFactoryRegulatoryIssuesPage(page, lambdaQueryWrapper);
    }

}
