package cn.cecep.talroad.service.strategy;

import cn.cecep.talroad.vo.FactoryDeviceVo;
import java.util.Date;

/**
 * 钢铁行业策略接口
 */
public interface Strategy {

    /**
     * 分析处理设备参数，判断设施是否停产，并更新设施状态
     * @param industry
     * @param deviceType
     */
    public void doCheckProcess(String industry,String deviceType,Date tempDate);

    /**
     * 历史产量-处理数据
     * @param factoryId
     *
     * @param industry
     * @param deviceType
     * @param date
     */
    public void doCheckProcessTemp(String factoryId,String industry,String deviceType,Date date);

    public void doCheckProcessYield(FactoryDeviceVo vo);
}
