package cn.cecep.talroad.task;

import cn.cecep.talroad.data.analyse.task.service.GasExceededLabelTaskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author hehongyu
 * @description: 废气排放超标 标签任务
 * @date 2023/6/30 0:02
 */
@Api(tags = "废气排放超标 标签任务")
@RestController
@RequestMapping("/gas/exceeded/label")
@Slf4j
public class GasExceededLabelTaskController {

    @Autowired
    private GasExceededLabelTaskService gasExceededLabelTaskService;

    @ApiOperation(value = "废气排放超标 标签任务")
    @GetMapping("/invoke")
    public void electricityAnalyse(){
        try {
            gasExceededLabelTaskService.invoke();
        }catch (Exception e){
            log.error("废气排放超标 标签任务 打标签 失败！",e);
        }
    }
}
