//package cn.cecep.talroad.util;
//
//import com.google.zxing.BarcodeFormat;
//import com.google.zxing.EncodeHintType;
//import com.google.zxing.MultiFormatWriter;
//import com.google.zxing.WriterException;
//import com.google.zxing.common.BitMatrix;
//import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
//import org.springframework.web.client.RestTemplate;
//
//import javax.imageio.ImageIO;
//import java.awt.*;
//import java.awt.geom.RoundRectangle2D;
//import java.awt.image.BufferedImage;
//import java.io.ByteArrayOutputStream;
//import java.io.File;
//import java.util.*;
//
///**
// * @Description：二维码工具类
// * @PACKAGE_NAME: cn.cecep.talroad.utils
// * @date 2021-12-21 11:10*/
//public class QrCodeUtils {
//
//    private static final int BLACK = 0xFF000000;
//    private static final int WHITE = 0xFFFFFFFF;
//    private static final String CHARSET = "utf-8";
//    private static final String FORMAT_NAME = "JPG";
//    // 二维码尺寸
//    private static final int QRCODE_SIZE = 300;
//    // LOGO宽度
//    private static final int WIDTH = 60;
//    // LOGO高度
//    private static final int HEIGHT = 60;
//
//    private static RestTemplate restTemplate = new RestTemplate();
//
//
//    /**
//     * 生成二维码
//     * 经过base64编码
//     *
//     * @param url
//     * @return
//     */
//    public static BufferedImage createQrCode(String url) throws WriterException {
//        Map<EncodeHintType, String> hints = new HashMap<EncodeHintType, String>(4);
//        hints.put(EncodeHintType.CHARACTER_SET, "UTF-8");
//        BitMatrix bitMatrix = new MultiFormatWriter().encode(url, BarcodeFormat.QR_CODE, 500, 500, hints);
//
//        return  toBufferedImage(bitMatrix);
//    }
//
//    /**
//     * 生成二维码
//     * 经过base64编码
//     *
//     * @param url
//     * @return
//     */
//    public static String createQrCodeBase64(String url) {
//        String base64String = "";
//        try {
//            Map<EncodeHintType, String> hints = new HashMap<EncodeHintType, String>(4);
//            hints.put(EncodeHintType.CHARACTER_SET, "UTF-8");
//            BitMatrix bitMatrix = new MultiFormatWriter().encode(url, BarcodeFormat.QR_CODE, 400, 400, hints);
//            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
//
//            BufferedImage bufferedImage = toBufferedImage(bitMatrix);
//            ImageIO.write(bufferedImage, "jpg", outputStream);
//            Base64.Encoder encoder = Base64.getEncoder();
//            base64String = encoder.encodeToString(outputStream.toByteArray());
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        //return "data:image/jpg;base64," + base64String;
//        return   base64String;
//    }
//
//    private static BufferedImage toBufferedImage(BitMatrix matrix) {
//        int width = matrix.getWidth();
//        int height = matrix.getHeight();
//        BufferedImage image = new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);
//        for (int x = 0; x < width; x++) {
//            for (int y = 0; y < height; y++) {
//                image.setRGB(x, y, matrix.get(x, y) ? BLACK : WHITE);
//            }
//        }
//        return image;
//    }
//
//    /**
//     * 生成二维码(内嵌LOGO)
//     * author zhangpeizhi
//     * @param content      内容
//     * @param logoFile     LOGO文件
//     * @param needCompress 是否压缩LOGO
//     * @throws Exception
//     */
//    public static String createQrCodeBase64Encode(String content, File logoFile,
//                                boolean needCompress) throws Exception {
//        BufferedImage image = createImage(content, logoFile,
//                needCompress);
//
//        ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
//
//        ImageIO.write(image, "jpg", outputStream);
//        Base64.Encoder encoder = Base64.getEncoder();
//        String  base64String = encoder.encodeToString(outputStream.toByteArray());
//
//        return base64String;
//    }
//
//
//    /**
//     * 生成二维码(内嵌LOGO)
//     *
//     * @param content      内容
//     * @param logoFile     LOGO文件
//     * @param destPath     存放目录
//     * @param needCompress 是否压缩LOGO
//     * @throws Exception
//     */
//    public static String encode(String content, File logoFile, String destPath,
//                                boolean needCompress) throws Exception {
//        BufferedImage image = createImage(content, logoFile,
//                needCompress);
//        mkdirs(destPath);
//        String file = new Random().nextInt(99999999) + ".jpg";
//        ImageIO.write(image, FORMAT_NAME, new File(destPath + "/" + file));
//        return file;
//    }
//
//    private static BufferedImage createImage(String content, File logoFile,
//                                             boolean needCompress) throws Exception {
//        Hashtable<EncodeHintType, Object> hints = new Hashtable<EncodeHintType, Object>();
//        hints.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.H);
//        hints.put(EncodeHintType.CHARACTER_SET, CHARSET);
//        hints.put(EncodeHintType.MARGIN, 1);
//        BitMatrix bitMatrix = new MultiFormatWriter().encode(content,
//                BarcodeFormat.QR_CODE, QRCODE_SIZE, QRCODE_SIZE, hints);
//        int width = bitMatrix.getWidth();
//        int height = bitMatrix.getHeight();
//        BufferedImage image = new BufferedImage(width, height,
//                BufferedImage.TYPE_INT_RGB);
//        for (int x = 0; x < width; x++) {
//            for (int y = 0; y < height; y++) {
//                image.setRGB(x, y, bitMatrix.get(x, y) ? 0xFF000000
//                        : 0xFFFFFFFF);
//            }
//        }
//        if (CmUtil.isEmpty(logoFile)) {
//            return image;
//        }
//        // 插入图片
//        insertImage(image, logoFile, needCompress);
//        return image;
//    }
//
//    /**
//     * 当文件夹不存在时，mkdirs会自动创建多层目录，区别于mkdir．(mkdir如果父目录不存在则会抛出异常)
//     *
//     * @param destPath 存放目录
//     * @date 2013-12-11 上午10:16:36
//     */
//    public static void mkdirs(String destPath) {
//        File file = new File(destPath);
//        //当文件夹不存在时，mkdirs会自动创建多层目录，区别于mkdir．(mkdir如果父目录不存在则会抛出异常)
//        if (!file.exists() && !file.isDirectory()) {
//            file.mkdirs();
//        }
//    }
//
//    public static class CmUtil{
//        public static boolean isEmpty(File file){
//            if (null == file || 0 == file.length() || !file.exists()) return true;
//            return false;
//        }
//    }
//
//
//    /**
//     * 插入LOGO
//     *
//     * @param source       二维码图片
//     * @param logoFile     LOGO图片文件
//     * @param needCompress 是否压缩
//     * @throws Exception
//     */
//    private static void insertImage(BufferedImage source, File logoFile,
//                                    boolean needCompress) throws Exception {
//
//        if (!logoFile.exists()) {
//            System.err.println("" + logoFile + "   该文件不存在！");
//            return;
//        }
//        Image src = ImageIO.read(logoFile);
//        int width = src.getWidth(null);
//        int height = src.getHeight(null);
//        // 压缩LOGO
//        if (needCompress) {
//            if (width > WIDTH) {
//                width = WIDTH;
//            }
//            if (height > HEIGHT) {
//                height = HEIGHT;
//            }
//            Image image = src.getScaledInstance(width, height,
//                    Image.SCALE_SMOOTH);
//            BufferedImage tag = new BufferedImage(width, height,
//                    BufferedImage.TYPE_INT_RGB);
//            Graphics g = tag.getGraphics();
//            // 绘制缩小后的图
//            g.drawImage(image, 0, 0, null);
//            g.dispose();
//            src = image;
//        }
//        // 插入LOGO
//        Graphics2D graph = source.createGraphics();
//        int x = (QRCODE_SIZE - width) / 2;
//        int y = (QRCODE_SIZE - height) / 2;
//        graph.drawImage(src, x, y, width, height, null);
//        Shape shape = new RoundRectangle2D.Float(x, y, width, width, 6, 6);
//        graph.setStroke(new BasicStroke(3f));
//        graph.draw(shape);
//        graph.dispose();
//    }
//
//}
