package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 *
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "预警报警信息-预警比例定制（导入实体）")
@EqualsAndHashCode(callSuper = false)
@Data
public class AmProblemFiRatioImportVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "监测点位id")
    /** 监测点位id */
    private String stationId;

    @ApiModelProperty(value = "污染物id")
    /** 污染物id */
    private String pollId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "监测点位名称")
    /** 监测点位名称 */
    @Excel(name = "监测点位名称")
    private String monitoringPointName;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    private String pollName;

    @ApiModelProperty(value = "预警比例")
    /** 预警比例 */
    @Excel(name = "预警比例")
    private String problemRatio;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "修改时间")
    /** 修改时间 */
    private String updateTime;

}
