package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.List;


/**
 * 视频监控对象 m_am_video_dev_fi
 */
@ApiModel(value = "视频监控vo")
@EqualsAndHashCode(callSuper = false)
@Data
public class AmVideoDevFiVo
{
    private BigInteger id;

    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @ApiModelProperty(value = "摄像头ID")
    private String devId;

    @ApiModelProperty(value = "摄像头名称")
    private String devName;

    @ApiModelProperty(value = "视频分组名称，名称一样的属于同一个分组")
    private String devType;

    @ApiModelProperty(value = "安装位置")
    private String location;

    @ApiModelProperty(value = "经度(地图)")
    private BigDecimal lonMap;

    @ApiModelProperty(value = "纬度(地图)")
    private BigDecimal latMap;

    @ApiModelProperty(value = "liveGBS平台设备id")
    private String gbsDeviceId;

    @ApiModelProperty(value = "liveGBS设备通道id")
    private String channelId;

    @ApiModelProperty(value = "摄像头状态 1:在线, 2:离线")
    private String status;

    @ApiModelProperty("设备来源 1:GB28181, 2:污染源动态管控")
    private String devSource;

    @Data
    @ApiModel(value = "视频监控类型分组vo")
    public static class DevTypeGroup {
        @ApiModelProperty("分组名")
        private String name;

        @ApiModelProperty("分组数据")
        private List<AmVideoDevFiVo> videoDevFiVos;
    }

}
