package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 知识库-生态环境标准对象 b_enterprise_ir_ees
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "知识库-生态环境标准")
@EqualsAndHashCode(callSuper = false)
@Data
public class BEnterpriseIrEesVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "标准分类:水环境保护-101、大气环境保护-102、环境噪声与振动-103、土壤环境保护-104、固体废物与化学品环境污染控制-105、核辐射与电磁辐射环境保护-106、生态环境保护-107、环境影响评价-108、排污许可-109、其他环境保护标准-110、污染防治技术政策-111、环境检测方法标准及监测规范-112。")
    /** 标准分类:水环境保护-101、大气环境保护-102、环境噪声与振动-103、土壤环境保护-104、固体废物与化学品环境污染控制-105、核辐射与电磁辐射环境保护-106、生态环境保护-107、环境影响评价-108、排污许可-109、其他环境保护标准-110、污染防治技术政策-111、环境检测方法标准及监测规范-112。 */
    private String eesClassify;

    @ApiModelProperty(value = "标准子类:10101水环境质量标准、10102水污染排放标准、10103相关标准；10201大气环境质量标准、10202大气固定源污染物排放标准、10203大气移动原污染物排放标准、10204相关标准；10301生环境质量标准、10302环境噪声排放标准；10401土壤环境标准;...")
    /** 标准子类:10101水环境质量标准、10102水污染排放标准、10103相关标准；10201大气环境质量标准、10202大气固定源污染物排放标准、10203大气移动原污染物排放标准、10204相关标准；10301生环境质量标准、10302环境噪声排放标准；10401土壤环境标准;... */
    private String eesType;

    @ApiModelProperty(value = "标准名称")
    /** 标准名称 */
    private String eesName;

    @ApiModelProperty(value = "标准标题")
    /** 标准标题 */
    private String eesTitle;

    @ApiModelProperty(value = "标准内容")
    /** 标准内容 */
    private String eesDetails;

    @ApiModelProperty(value = "标准附件名称")
    /** 标准附件名称 */
    private String eesFileName;

    @ApiModelProperty(value = "标准附件url")
    /** 标准附件url */
    private String eesFileUrl;

    @ApiModelProperty(value = "标准实施时间")
    /** 标准实施时间 */
    private String eesTime;

}
