package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 排放监测及排放情况-大气和废水手工自动占比统计表
 *
 * @author szhpt
 * @date 2023-07-26*/
@ApiModel(value = "排放监测及排放情况-大气和废水手工自动统计数量表")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionAndstatusCountVo {

    @ApiModelProperty(value = "手动监测大气数量")
    private BigDecimal permissibleDischargeAtmosphere;
    @ApiModelProperty(value = "自动监测大气数量")
    private BigDecimal actualDischargeAtmosphere;
    @ApiModelProperty(value = "手动监测废水数量")
    private BigDecimal permissibleDischargeWater;
    @ApiModelProperty(value = "自动监测废水数量")
    private BigDecimal actualDischargeWater;
    @ApiModelProperty(value = "大气数量")
    private BigDecimal atmosphere;
    @ApiModelProperty(value = "废水数量")
    private BigDecimal water;

}
