package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * 排放监测及排放情况-大气和废水手工自动占比统计表
 *
 * @author szhpt
 * @date 2023-07-26*/
@ApiModel(value = "排放监测及排放情况-大气和废水手工自动统计数量表")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionAndstatusScaleVo {

    @ApiModelProperty(value = "手动监测大气占比")
    private BigDecimal permissibleDischargeAtmosphereScale;
    @ApiModelProperty(value = "自动监测大气占比")
    private BigDecimal actualDischargeAtmosphereScale;
    @ApiModelProperty(value = "手动监测废水占比")
    private BigDecimal permissibleDischargeWaterScale;
    @ApiModelProperty(value = "自动监测废水占比")
    private BigDecimal actualDischargeWaterScale;

    private List<String> xData;
}
