package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;



/**
 * 企业排放信息-在线监测排放趋势-废气对象 b_main_emission_online_mon_air
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-在线监测排放趋势-废气")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionOnlineMonAirVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "监测点位名称")
    /** 监测点位名称 */
    private String monName;

    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别 */
    private String pollutionCategory;

    @ApiModelProperty(value = "排口编号")
    /** 排口编号 */
    private String outletCode;

    @ApiModelProperty(value = "排口类型")
    /** 排口类型 */
    private String outletType;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutionType;

    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    private Date monitoningTime;

    @ApiModelProperty(value = "浓度小时均值")
    /** 浓度小时均值 */
    private String meanConcentrationHour;

    @ApiModelProperty(value = "浓度单位")
    /** 浓度单位 */
    private String meanUnit;

    @ApiModelProperty(value = "烟气流量(m3/h)")
    /** 烟气流量(m3/h) */
    private String flueGasFlowRate;

    @ApiModelProperty(value = "污染物排放量(kg)")
    /** 污染物排放量(kg) */
    private String pollutionDischarge;

    @ApiModelProperty(value = "是否有效")
    /** 是否有效 */
    private String whetherEffective;

    @ApiModelProperty(value = "修约排放量(kg)")
    /** 修约排放量(kg) */
    private String revisingDischarge;

    @ApiModelProperty(value = "修约说明")
    /** 修约说明 */
    private String revisingExplain;

    @ApiModelProperty(value = "纳入计算排放量(kg)")
    /** 纳入计算排放量(kg) */
    private String inclusionCalculationDischarge;

}
