package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 企业排放信息-不同污染物年度排放趋势-废气对象 b_main_emission_pollution_air
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-不同污染物年度排放趋势-废气")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionPollutionAirVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "年份")
    /** 年份 */
    private String pollYear;

    @ApiModelProperty(value = "污染类别")
    /** 污染类别 */
    private String pollutionCategory;

    @ApiModelProperty(value = "数据源")
    /** 数据源 */
    private String dataSource;

    @ApiModelProperty(value = "SO2实际排放量")
    /** SO2实际排放量 */
    private String actuallyEmittingSo2;

    @ApiModelProperty(value = "SO2许可排放量")
    /** SO2许可排放量 */
    private String allowableEmissionSo2;

    @ApiModelProperty(value = "NOx实际排放量")
    /** NOx实际排放量 */
    private String actuallyEmittingNox;

    @ApiModelProperty(value = "NOx许可排放量")
    /** NOx许可排放量 */
    private String allowableEmissionNox;

    @ApiModelProperty(value = "颗粒物实际排放量")
    /** 颗粒物实际排放量 */
    private String actuallyEmittingPm;

    @ApiModelProperty(value = "颗粒物许可排放量")
    /** 颗粒物许可排放量 */
    private String allowableEmissionPm;

    @ApiModelProperty(value = "VOCs实际排放量")
    /** VOCs实际排放量 */
    private String actuallyEmittingVocs;

    @ApiModelProperty(value = "VOCs许可排放量")
    /** VOCs许可排放量 */
    private String allowableEmissionVocs;

    @Data
    public static class IndustryRank {
        private String industryCategory;

        private BigDecimal so2Actually;
        private BigDecimal so2Allowable;
        private BigDecimal so2Ratio;
        private Integer so2Rank;

        private BigDecimal noxActually;
        private BigDecimal noxAllowable;
        private BigDecimal noxRatio;
        private Integer noxRank;

        private BigDecimal pmActually;
        private BigDecimal pmAllowable;
        private BigDecimal pmRatio;
        private Integer pmRank;

        private BigDecimal vocsActually;
        private BigDecimal vocsAllowable;
        private BigDecimal vocsRatio;
        private Integer vocsRank;
    }

}
