package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 企业排放信息-不同污染物年度排放趋势-废水对象 b_main_emission_pollution_water
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-不同污染物年度排放趋势-废水")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionPollutionWaterVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "年份")
    /** 年份 */
    private String pollYear;

    @ApiModelProperty(value = "污染类别")
    /** 污染类别 */
    private String pollutionCategory;

    @ApiModelProperty(value = "数据源")
    /** 数据源 */
    private String dataSource;

    @ApiModelProperty(value = "COD实际排放量")
    /** COD实际排放量 */
    private String actuallyEmittingCod;

    @ApiModelProperty(value = "COD许可排放量")
    /** COD许可排放量 */
    private String allowableEmissionCod;

    @ApiModelProperty(value = "氨氮实际排放量")
    /** 氨氮实际排放量 */
    private String actuallyEmittingNhn;

    @ApiModelProperty(value = "氨氮许可排放量")
    /** 氨氮许可排放量 */
    private String allowableEmissionNhn;

    @ApiModelProperty(value = "总氮实际排放量")
    /** 总氮实际排放量 */
    private String actuallyEmittingTn;

    @ApiModelProperty(value = "总氮许可排放量")
    /** 总氮许可排放量 */
    private String allowableEmissionTn;

    @ApiModelProperty(value = "总磷实际排放量")
    /** 总磷实际排放量 */
    private String actuallyEmittingTp;

    @ApiModelProperty(value = "总磷许可排放量")
    /** 总磷许可排放量 */
    private String allowableEmissionTp;

    @Data
    public static class IndustryRank {
        private String industryCategory;

        private BigDecimal codActually;
        private BigDecimal codAllowable;
        private BigDecimal codRatio;
        private Integer codRank;

        private BigDecimal nhhActually;
        private BigDecimal nhhAllowable;
        private BigDecimal nhhRatio;
        private Integer nhhRank;

        private BigDecimal tnActually;
        private BigDecimal tnAllowable;
        private BigDecimal tnRatio;
        private Integer tnRank;

        private BigDecimal tpActually;
        private BigDecimal tpAllowable;
        private BigDecimal tpRatio;
        private Integer tpRank;
    }

}
