package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 移动执法信息-企业核查对象 b_main_factory_verification
 *
 * @author szhpt
 * @date 2023-03-30*/
@ApiModel(value = "移动执法信息-企业核查")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainFactoryVerificationVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "任务名称")
    /** 任务名称 */
    private String taskName;

    @ApiModelProperty(value = "任务来源")
    /** 任务来源 */
    private String taskSource;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "企业地址")
    /** 企业地址 */
    private String factoryAddress;

    @ApiModelProperty(value = "所属区域")
    /** 所属区域 */
    private String area;

    @ApiModelProperty(value = "统一社会信用代码")
    /** 统一社会信用代码 */
    private String creditCode;

    @ApiModelProperty(value = "当前办理人")
    /** 当前办理人 */
    private String handlePerson;

    @ApiModelProperty(value = "完成时间")
    /** 完成时间 */
    private String completeTime;

    @ApiModelProperty(value = "核查内容")
    /** 核查内容 */
    private String verificationContent;

    @ApiModelProperty(value = "核查时间")
    /** 核查时间 */
    private String verificationTime;

    @ApiModelProperty(value = "任务状态;任务状态（0=办理中 4=已交办 5=已办结 9=已归档）")
    /** 任务状态;任务状态（0=办理中 4=已交办 5=已办结 9=已归档） */
    private String taskStatus;

    @ApiModelProperty(value = "企业类型;1 涉水 2涉气 3固废 4其他")
    /** 企业类型;1 涉水 2涉气 3固废 4其他 */
    private String factoryType;

    @ApiModelProperty(value = "是否现场执法;0 否 1 是")
    /** 是否现场执法;0 否 1 是 */
    private String isLawEnforcement;

    @ApiModelProperty(value = "下达隐患提示函;0 否 1 是")
    /** 下达隐患提示函;0 否 1 是 */
    private String isHiddenDangerReminder;

    @ApiModelProperty(value = "是否存在问题;0 否 1 是")
    /** 是否存在问题;0 否 1 是 */
    private String isProblem;

    @ApiModelProperty(value = "执法人员名称")
    /** 执法人员名称 */
    private String lawEnforcementPerson;

    @ApiModelProperty(value = "执法小结")
    /** 执法小结 */
    private String enforcementSummary;

    @ApiModelProperty(value = "备注信息")
    /** 备注信息 */
    private String remark;

    @ApiModelProperty(value = "证据清单")
    /** 证据清单 */
    private String evidenceList;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

}
