package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 固体废物排放信息对象 b_main_hazardous_solid_waste_le
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "固体废物排放信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainHazardousSolidWasteLeVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "固体废物id")
    /** 固体废物id*/
    private String solidWasteId;

    @ApiModelProperty(value = "自行处置量（t/a）")
    /** 自行处置量（t/a）*/
    private String selfDisposalVolume;

    @ApiModelProperty(value = "委托处置量")
    /** 委托处置量*/
    private String entrustedDisposalVolume;

    @ApiModelProperty(value = "外委处置单位名称")
    /** 外委处置单位名称*/
    private String entrustedDisposalUnitName;

    @ApiModelProperty(value = "危险废物处置单位名称")
    /** 危险废物处置单位名称*/
    private String hazardousWasteUnitName;

    @ApiModelProperty(value = "危险废物处置单位经营许可证编号")
    /** 危险废物处置单位经营许可证编号*/
    private String hazardousWasteLicenceCode;

    @ApiModelProperty(value = "自行贮存设施名称")
    /** 自行贮存设施名称*/
    private String storageFacilityName;

    @ApiModelProperty(value = "自行贮存设施编号")
    /** 自行贮存设施编号*/
    private String storageFacilityCode;

    @ApiModelProperty(value = "视频监控")
    /** 视频监控*/
    private String videoSurveillance;

}
