package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 固体废物基础信息对象 b_main_hazardous_solid_waste
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "固体废物基础信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainHazardousSolidWasteVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "固体废物类别")
    /** 固体废物类别*/
    @Excel(name = "固体废物类别",sort = 9)
    private String solidWasteType;

    @ApiModelProperty(value = "固体废物名称")
    /** 固体废物名称*/
    @Excel(name = "固体废物名称",sort = 10)
    private String solidWasteName;

    @ApiModelProperty(value = "代码")
    /** 代码*/
    @Excel(name = "代码",sort = 11)
    private String solidWasteCode;

    @ApiModelProperty(value = "危险特性")
    /** 危险特性*/
    @Excel(name = "危险特性",sort = 12)
    private String hazardousCharacteristics;

    @ApiModelProperty(value = "类别")
    /** 类别*/
    @Excel(name = "类别",sort = 13)
    private String category;

    @ApiModelProperty(value = "物理性状")
    /** 物理性状*/
    @Excel(name = "物理性状",sort = 14)
    private String physicalCharacteristics;

    @ApiModelProperty(value = "产生环节")
    /** 产生环节*/
    @Excel(name = "产生环节",sort = 15)
    private String productionLink;

    @ApiModelProperty(value = "去向")
    /** 去向*/
    @Excel(name = "去向",sort = 16)
    private String whereAbouts;

    @ApiModelProperty(value = "备注")
    /** 备注*/
    @Excel(name = "备注",sort = 17)
    private String remark;

    @ApiModelProperty(value = "排污单位名称")
    /** 排污单位名称 */
    @Excel(name = "排污单位名称",sort = 2)
    private String factoryName;

    @ApiModelProperty(value = "排污许可证编码")
    @Excel(name = "排污许可证编码",sort = 1)
    private String pollDisLicenseCode;

    @ApiModelProperty(value = "市编码")
    /** 市编码 */
    @Excel(name = "市编码")
    private String cityCode;


    @ApiModelProperty(value = "市名称")
    /** 市名称 */
    @Excel(name = "市名称")
    private String cityName;


    @ApiModelProperty(value = "县编码")
    /** 县编码 */
    @Excel(name = "县编码")
    private String countryCode;


    @ApiModelProperty(value = "县名称")
    /** 县名称 */
    @Excel(name = "所在区县",sort = 4)
    private String countryName;

    @ApiModelProperty(value = "许可管理类别")
    /** 许可管理类别 */
    @Excel(name = "管理类别",sort = 3,readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记")
    private String licenseManType;
    @ApiModelProperty(value = "是否位于工业园区")
    /** 是否位于工业园区 */
    private String whetherLocalPark;
    @ApiModelProperty(name = "排污许可行业名称")
    /** 排污许可行业名称 */
    @Excel(name = "行业类别",sort = 8)
    private String industryPermissionName;
    @ApiModelProperty(value = "工业园区名称")
    /** 工业园区名称 */
    @Excel(name = "所属工业园区名称",sort = 6)
    private String industrialParkName;

    @ApiModelProperty(value = "工业园区编码")
    /** 工业园区编码 */
    @Excel(name = "所属工业园区编码",sort = 7)
    private String industrialParkCode;
    @ApiModelProperty(value = "所属流域")
    /** 工业园区编码 */
    @Excel(name = "所属流域",sort = 5)
    private String riverBasin;

}
