package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 噪声排放信息对象 b_main_noise_emissions
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "噪声排放信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainNoiseEmissionsVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "噪声类别id")
    /** 噪声类别id*/
    private String noiseTypeId;

    @ApiModelProperty(value = "生产时间段-昼间")
    /** 生产时间段-昼间*/
    private String productionPeriodDaytime;

    @ApiModelProperty(value = "生产时间段-夜间")
    /** 生产时间段-夜间*/
    private String productionPeriodNighttime
;

    @ApiModelProperty(value = "执行排放标准")
    /** 执行排放标准*/
    private String implementationEmissionStandards;

    @ApiModelProperty(value = "厂界噪声排放限值昼间dB（a）")
    /** 厂界噪声排放限值昼间dB（a）*/
    private String noiseEmissionsDaytime;

    @ApiModelProperty(value = "厂界噪声排放限值夜间dB（a）")
    /** 厂界噪声排放限值夜间dB（a）*/
    private String noiseEmissionsNighttime;

}
