package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可环境管理台账对象 b_main_poll_dis_eml_record
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可环境管理台账")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisEmlRecordVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long emlId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    @Excel(name = "其他信息",sort = 13)
    private String othersInformation;

    @ApiModelProperty(value = "主要内容")
    /** 主要内容 */
    private String mainContent;

    @ApiModelProperty(value = "上报频次")
    /** 上报频次 */
    private String reportingFrequency;

    @ApiModelProperty(value = "类别")
    /** 类别 */
    @Excel(name = "类别",sort = 9)
    private String emlType;

    @ApiModelProperty(value = "记录内容")
    /** 记录内容 */
    @Excel(name = "记录内容",sort = 10)
    private String recordContent;

    @ApiModelProperty(value = "记录频次")
    /** 记录频次 */
    @Excel(name = "记录频次",sort = 11)
    private String recordFrequency;

    @ApiModelProperty(value = "记录形式")
    /** 记录形式 */
    @Excel(name = "记录形式",sort = 12)
    private String openContent;

    @ApiModelProperty(value = "排污单位名称")
    /** 排污单位名称 */
    @Excel(name = "排污单位名称",sort = 2)
    private String factoryName;

    @ApiModelProperty(value = "排污许可证编码")
    @Excel(name = "许可证编号",sort = 1)
    private String pollDisLicenseCode;

    @ApiModelProperty(value = "市编码")
    /** 市编码 */
    private String cityCode;


    @ApiModelProperty(value = "市名称")
    /** 市名称 */
    private String cityName;


    @ApiModelProperty(value = "县编码")
    /** 县编码 */
    private String countryCode;


    @ApiModelProperty(value = "县名称")
    /** 县名称 */
    @Excel(name = "所在区县",sort = 4)
    private String countryName;

    @ApiModelProperty(value = "许可管理类别")
    /** 许可管理类别 */
    @Excel(name = "管理类别",sort = 3,readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记")
    private String licenseManType;
    @ApiModelProperty(value = "是否位于工业园区")
    /** 是否位于工业园区 */

    private String whetherLocalPark;
    @ApiModelProperty(name = "排污许可行业名称")
    @Excel(name = "行业类别",sort = 8)
    private String industryPermissionName;
    @ApiModelProperty(value = "工业园区名称")
    /** 工业园区名称 */
    @Excel(name = "所属工业园区名称",sort = 6)
    private String industrialParkName;

    @ApiModelProperty(value = "工业园区编码")
    /** 工业园区编码 */
    @Excel(name = "所属工业园区编码",sort = 7)
    private String industrialParkCode;
    @ApiModelProperty(value = "所属流域")
    /** 工业园区编码 */
    @Excel(name = "所属流域",sort = 5)
    private String riverBasin;

}
