package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可大气主排放口对象 b_main_poll_dis_gas_mout
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可大气主排放口")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisGasMoutVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long moutId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    private String outletCode;

    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    private String outletName;

    @ApiModelProperty(value = "排放口是否合计")
    /** 排放口是否合计 */
    private String outletUseTotal;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantsType;

    @ApiModelProperty(value = "许可排放小时浓度限值")
    /** 许可排放小时浓度限值 */
    private String pollutantsMgHour;

    @ApiModelProperty(value = "许可排放日均浓度限值")
    /** 许可排放日均浓度限值 */
    private String pollutantsMgDay;

    @ApiModelProperty(value = "许可排放速率限值")
    /** 许可排放速率限值 */
    private String pollutantsMgRate;

    @ApiModelProperty(value = "第一年")
    /** 第一年 */
    private String pollutantsTotalFrist;

    @ApiModelProperty(value = "第二年")
    /** 第二年 */
    private String pollutantsTotalSecond;

    @ApiModelProperty(value = "第三年")
    /** 第三年 */
    private String pollutantsTotalThird;

    @ApiModelProperty(value = "第四年")
    /** 第四年 */
    private String pollutantsTotalFourth;

    @ApiModelProperty(value = "第五年")
    /** 第五年 */
    private String pollutantsTotalFifth;

    @ApiModelProperty(value = "承诺更加严格排放浓度限值")
    /** 承诺更加严格排放浓度限值 */
    private String exactDemandsPollutantsMg;

}
