package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可其他许可改正规定对象 b_main_poll_dis_noise_regulation
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可其他许可改正规定")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisNoiseRegulationVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long regulationId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "整改问题")
    /** 整改问题 */
    @Excel(name = "整改问题", sort = 9)
    private String rectificationProblem;

    @ApiModelProperty(value = "整改措施")
    /** 整改措施 */
    @Excel(name = "整改措施", sort = 10)
    private String rectificationMeasures;

    @ApiModelProperty(value = "整改时限")
    /** 整改时限 */
    @Excel(name = "整改时限", sort = 11)
    private String rectificationTime;

    @ApiModelProperty(value = "整改计划")
    /** 整改计划 */
    @Excel(name = "整改计划", sort = 12)
    private String rectificationPlan;

    @ApiModelProperty(value = "是否完成整改")
    /** 是否完成整改 */
    @Excel(name = "是否完成整改", sort = 13,readConverterExp = "0=否,1=是")
    private String rectificationIsComplete;

    @ApiModelProperty(value = "排污单位名称")
    /** 排污单位名称 */
    @Excel(name = "排污单位名称",sort = 2)
    private String factoryName;

    @ApiModelProperty(value = "排污许可证编码")
    @Excel(name = "许可证编号",sort = 1)
    private String pollDisLicenseCode;



    @ApiModelProperty(value = "县名称")
    /** 县名称 */
    @Excel(name = "所在区县",sort = 4)
    private String countryName;

    @ApiModelProperty(value = "许可管理类别")
    /** 许可管理类别 */
    @Excel(name = "管理类别",sort = 3,readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记")
    private String licenseManType;

    @ApiModelProperty(name = "排污许可行业名称")
    @Excel(name = "行业类别",sort = 8)
    private String industryPermissionName;

    @ApiModelProperty(value = "工业园区名称")
    /** 工业园区名称 */
    @Excel(name = "所属工业园区名称",sort = 6)
    private String industrialParkName;

    @ApiModelProperty(value = "工业园区编码")
    /** 工业园区编码 */
    @Excel(name = "所属工业园区编码",sort = 7)
    private String industrialParkCode;

    @ApiModelProperty(value = "所属流域")
    /** 工业园区编码 */
    @Excel(name = "所属流域",sort = 5)
    private String riverBasin;


}
