package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;



/**
 * 排污许可对象 b_main_poll_dis
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "许可证编号")
    /** 许可证编号 */
    private String pollDisLicenseCode;

    @ApiModelProperty(value = "业务类型")
    /** 业务类型 */
    private String businessType;

    @ApiModelProperty(value = "版本")
    /** 版本 */
    private String editionCode;

    @ApiModelProperty(value = "办结日期")
    /** 办结日期 */
    private Date completionTime;

    @ApiModelProperty(value = "有效期限")
    /** 有效期限 */
    private String pollDisLicenseDeadline;

    @ApiModelProperty(value = "许可证正本")
    /** 许可证正本 */
    private String pollDisOriginal;

    @ApiModelProperty(value = "许可证副本")
    /** 许可证副本 */
    private String pollDisEctype;

}
