package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 废水排放产治排信息对象 b_main_production_water
 *
 * @author szhpt
 * @date 2023-02-08*/
@ApiModel(value = "废水排放产治排信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainProductionWaterVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    private String outletCode;

    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    private String outletName;

    @ApiModelProperty(value = "排放口类型")
    /** 排放口类型 */
    private String outletType;

    @ApiModelProperty(value = "排口监测类型")
    /** 排口监测类型 */
    private String outletMonType;

    @ApiModelProperty(value = "治理设施编号")
    /** 治理设施编号 */
    private String cepFacilityCode;

    @ApiModelProperty(value = "治理设施名称")
    /** 治理设施名称 */
    private String cepFacilityName;

    @ApiModelProperty(value = "治理设施工艺")
    /** 治理设施工艺 */
    private String cepFacilityCraft;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutionType;

    @ApiModelProperty(value = "废水类别")
    /** 废水类别 */
    private String waterType;

    @ApiModel(value = "排污许可-废水类别及治理设施信息vo")
    @Data
    public static class PwxkCzp {
        @Excel(name = "排污许可证编号", sort = 0)
        @ApiModelProperty(value = "排污许可证编码")
        private String pollDisLicenseCode;

        @Excel(name = "排污单位名称", sort = 10)
        @ApiModelProperty(value = "排污单位名称")
        private String factoryName;

        @ApiModelProperty(value = "管理类别")
        @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
        private String licenseManType;

        @ApiModelProperty(value = "所在区县")
        @Excel(name = "所在区县", sort = 30)
        private String countryName;

        @ApiModelProperty(value = "所在流域")
        @Excel(name = "所在流域", sort = 31)
        private String riverBasin;

        @ApiModelProperty(value = "所属工业园区名称")
        @Excel(name = "所属工业园区名称", sort = 40)
        private String industrialParkName;

        @ApiModelProperty(value = "所属工业园区编码")
        @Excel(name = "所属工业园区编码", sort = 50)
        private String industrialParkCode;

        @ApiModelProperty(value = "行业类别")
        @Excel(name = "行业类别", sort = 60)
        private String industryPermissionName;

        @ApiModelProperty(value = "废水类别")
        @Excel(name = "废水类别", sort = 70)
        private String waterType;

        @ApiModelProperty(value = "污染物种类")
        @Excel(name = "污染物种类", sort = 100)
        private String pollutionType;

        @ApiModelProperty(value = "治理设施编号")
        @Excel(name = "污染治理设施编号", sort = 120, parentName = "污染治理设施")
        private String cepFacilityCode;

        @ApiModelProperty(value = "治理设施名称")
        @Excel(name = "污染治理设施名称", sort = 130, parentName = "污染治理设施")
        private String cepFacilityName;

        @ApiModelProperty(value = "治理设施工艺")
        @Excel(name = "污染治理设施工艺", sort = 140, parentName = "污染治理设施")
        private String cepFacilityCraft;

        @ApiModelProperty(value = "排水去向")
        @Excel(name = "排水去向", sort = 120)
        private String directionDrainage;

        @ApiModelProperty(value = "排放形式。 直接排放/间接排放")
        @Excel(name = "排放形式", sort = 125)
        private String emissionsForm;

        @ApiModelProperty(value = "排放规律")
        @Excel(name = "排放规律", sort = 130)
        private String dischargeLaw;

        @ApiModelProperty(value = "排放口编号")
        @Excel(name = "排放口编号", sort = 140)
        private String outletCode;

        @ApiModelProperty(value = "排放口名称")
        @Excel(name = "排放口名称", sort = 150)
        private String outletName;

        @ApiModelProperty(value = "排放口设置是否符合要求 0:否, 1:是")
        @Excel(name = "排放口设置是否符合要求", readConverterExp = "1=是,0=否", sort = 160)
        private String whetherOutletRequirements;

        @ApiModelProperty(value = "排口类型 1:主要排口, 2:一般排口")
        @Excel(name = "排口类型", readConverterExp = "1=主要排口,2=一般排口", sort = 170)
        private String outletTypes;

        @ApiModelProperty(value = "其他信息")
        @Excel(name = "其他信息", sort = 190)
        private String moreDetails;
    }

}
