package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 固废产生与处理对象 b_main_solid_waste_output
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "固废产生与处理")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainSolidWasteOutputVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "年份")
    /** 年份*/
    private String particularYear;

    @ApiModelProperty(value = "月份")
    /** 月份*/
    private String particularMonth;

    @ApiModelProperty(value = "废物类别")
    /** 废物类别*/
    private String materialsType;

    @ApiModelProperty(value = "废物代码")
    /** 废物代码*/
    private String materialsCode;

    @ApiModelProperty(value = "废物名称")
    /** 废物名称*/
    private String materialsName;

    @ApiModelProperty(value = "产生量（吨）")
    /** 产生量（吨）*/
    private String materialsOutput;

    @ApiModelProperty(value = "期初贮存量")
    /** 期初贮存量*/
    private String materialsPreliminaryStage;

    @ApiModelProperty(value = "累计贮存量")
    /** 累计贮存量*/
    private String materialsAccumulated;

    @ApiModelProperty(value = "自行利用数量")
    /** 自行利用数量*/
    private String materialsUse;

    @ApiModelProperty(value = "自行处置数量")
    /** 自行处置数量*/
    private String materialsDispose;

    @ApiModelProperty(value = "委托利用数量")
    /** 委托利用数量*/
    private String materialsEntrustUse;

    @ApiModelProperty(value = "委托处置数量")
    /** 委托处置数量*/
    private String materialsEntrustDispose;

}
