package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 三监联动执法信息记录对象 b_main_three_supervision_enforc_record
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "三监联动执法信息记录")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainThreeSupervisionEnforcRecordVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String recordId;

    @ApiModelProperty(value = "父任务id")
    /** 父任务id */
    private String taskId;

    @ApiModelProperty(value = "办理部门")
    /** 办理部门 */
    private String handleDeptId;

    @ApiModelProperty(value = "办理部门名称")
    /** 办理部门名称 */
    private String handleDeptName;

    @ApiModelProperty(value = "实际办理人员")
    /** 实际办理人员 */
    private String handlePerson;

    @ApiModelProperty(value = "办理时间")
    /** 办理时间 */
    private String handleTime;

    @ApiModelProperty(value = "是否现场执法;0 否 1 是")
    /** 是否现场执法;0 否 1 是 */
    private String isEnforcement;

    @ApiModelProperty(value = "结论(多个结论逗号分割)")
    /** 结论(多个结论逗号分割) */
    private String conclusion;

    @ApiModelProperty(value = "具体结论")
    /** 具体结论 */
    private String specificConclusion;

    @ApiModelProperty(value = "问题附件")
    /** 问题附件 */
    private String questionAttachment;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

}
