package cn.cecep.talroad.vo;

import cn.cecep.talroad.domain.BMainThreeSupervisionEnforcRecord;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.util.List;

/**
 * 三监联动执法信息对象 b_main_three_supervision_enforc
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "三监联动执法信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainThreeSupervisionEnforcVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String taskId;

    @ApiModelProperty(value = "任务名称")
    /** 任务名称 */
    private String taskName;

    @ApiModelProperty(value = "排污单位")
    /** 排污单位 */
    private String factoryId;

    @ApiModelProperty(value = "排污单位名称")
    /** 排污单位名称 */
    private String factoryName;

    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    private String districtName;

    @ApiModelProperty(value = "区域编码")
    /** 区域编码 */
    private String districtCode;

    @ApiModelProperty(value = "所属行业名称")
    /** 所属行业名称 */
    private String industryCategoryName;

    @ApiModelProperty(value = "所属行业编码")
    /** 所属行业编码 */
    private String industryCategoryCode;

    @ApiModelProperty(value = "管理类别;(重点=focus、简化=simplify、登记=register)")
    /** 管理类别;(重点=focus、简化=simplify、登记=register) */
    private String manType;

    @ApiModelProperty(value = "行业类别")
    /** 行业类别 */
    private String industryCategory;

    @ApiModelProperty(value = "办结时间")
    /** 办结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date closingTime;

    @ApiModelProperty(value = "归档时间")
    /** 归档时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date archiveTime;

    @ApiModelProperty(value = "任务状态;字典bus_task_status(任务状态（0=办理中 5=已办结 9=已归档)")
    /** 任务状态;字典bus_task_status(任务状态（0=办理中 5=已办结 9=已归档) */
    private String taskStatus;

    @ApiModelProperty(value = "发起时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date initiatingTime;

    @ApiModelProperty(value = "发起部门id")
    /** 发起部门id */
    private String initiatingDeptId;

    @ApiModelProperty(value = "发起部门名称")
    /** 发起部门名称 */
    private String initiatingDeptName;

    @ApiModelProperty(value = "紧急程度;字典bus_emergency_level(1=一般,2=紧急,3=特急)")
    /** 紧急程度;字典bus_emergency_level(1=一般,2=紧急,3=特急) */
    private String emergencyLevel;

    @ApiModelProperty(value = "预计完成时间")
    /** 预计完成时间 */
    private Date estimatedCompletionTime;

    @ApiModelProperty(value = "单位地址")
    /** 单位地址 */
    private String factoryAddress;

    @ApiModelProperty(value = "具体问题")
    /** 具体问题 */
    private String specificIssues;

    @ApiModelProperty(value = "任务描述")
    /** 任务描述 */
    private String taskDetails;

    @ApiModelProperty(value = "问题附件")
    /** 问题附件 */
    private String questionAttachment;

    @ApiModelProperty(value = "接受部门ids")
    /** 接受部门ids */
    private String receivingDeptIds;

    @ApiModelProperty(value = "接受部门名称(逗号分割)")
    /** 接受部门名称(逗号分割) */
    private String receivingDeptNames;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    private List<BMainThreeSupervisionEnforcRecord> receivingDeptList;

    private List<BMainThreeSupervisionEnforcRecord> recordList;
}
