package cn.cecep.talroad.vo;

import cn.cecep.talroad.domain.BMainTwoRandomTaskStep;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.util.List;


/**
 * 移动执法信息-双随机任务对象 b_main_two_random_task
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "移动执法信息-双随机任务")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainTwoRandomTaskVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String id;

    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "任务类型")
    /** 任务类型 */
    private String taskType;

    @ApiModelProperty(value = "任务状态")
    /** 任务状态 */
    private String taskStatus;

    @ApiModelProperty(value = "执法人员")
    /** 执法人员 */
    private String enforceUser;

    @ApiModelProperty(value = "当前办理人")
    /** 当前办理人 */
    private String currentDealUser;

    @ApiModelProperty(value = "联合抽查部门")
    /** 联合抽查部门 */
    private String checkDept;

    @ApiModelProperty(value = "联合抽查人")
    /** 联合抽查人 */
    private String checkUser;

    @ApiModelProperty(value = "计划完成时间")
    /** 计划完成时间 */
    private String planCompleteTime;

    @ApiModelProperty(value = "完成时间")
    /** 完成时间 */
    private String completeTime;

    @ApiModelProperty(value = "任务描述")
    /** 任务描述 */
    private String taksDesc;

    @ApiModelProperty(value = "企业类别")
    /** 企业类别 */
    private String factoryType;

    @ApiModelProperty(value = "法定代表人")
    /** 法定代表人 */
    private String factoryPrincipalMan;

    @ApiModelProperty(value = "企业地址")
    /** 企业地址 */
    private String factoryAddr;

    @ApiModelProperty(value = "统一信用编码")
    /** 统一信用编码 */
    private String factoryUscCode;

    @ApiModelProperty(value = "排污许可证号")
    /** 排污许可证号 */
    private String factoryPollDisLicenseCode;

    @ApiModelProperty(value = "环保负责人")
    /** 环保负责人 */
    private String factoryEnvUser;

    @ApiModelProperty(value = "联系电话")
    /** 联系电话 */
    private String factoryPhone;

    @ApiModelProperty(value = "企业类型")
    /** 企业类型 */
    private String factoryPollutantType;

    @ApiModelProperty(value = "企业状态")
    /** 企业状态 */
    private String factoryStatus;

    @ApiModelProperty(value = "在线监测情况")
    /** 在线监测情况 */
    private String factoryMonitor;

    @ApiModelProperty(value = "内部联合抽查")
    /** 内部联合抽查 */
    private String isInnerCheck;

    @ApiModelProperty(value = "现场执法")
    /** 现场执法 */
    private String isSceneEnforce;

    @ApiModelProperty(value = "非现场执法")
    /** 非现场执法 */
    private String noSceneEnforce;

    @ApiModelProperty(value = "涉及环境问题")
    /** 涉及环境问题 */
    private String withEnvProblem;

    @ApiModelProperty(value = "下达隐患提示函")
    /** 下达隐患提示函 */
    private String isHiddenTroubleLetter;

    @ApiModelProperty(value = "公示结果")
    /** 公示结果 */
    private String publicResult;

    @ApiModelProperty(value = "执法结论")
    /** 执法结论 */
    private String enforceConclusion;

    @ApiModelProperty(value = "核查结论备注")
    /** 核查结论备注 */
    private String checkRemarks;

    @ApiModelProperty(value = "证据清单附件")
    /** 证据清单附件 */
    private String evidenceFileUrl;
    private String evidenceFileName;

    @ApiModelProperty(value = "流程步骤")
    private List<BMainTwoRandomTaskStep> steps;

    @ApiModelProperty(value = "已完成的最后一步步骤号")
    private int stepNum;

}
