package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.ExcelNew;
import cn.cecep.talroad.domain.BStatTablePwxkFuel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BStatTablePwxkFuelVo extends BStatTablePwxkFuel {
    /** 排污单位名称 */
    @ApiModelProperty(value = "排污单位名称")
    @ExcelNew(needMerge = true,name = "排污单位名称",sort = 2)
    private String factoryName;


    @ApiModelProperty(value = "县名称")
    /** 县名称 */
    @ExcelNew(needMerge = true,name = "所在区县",sort = 4)
    private String countryName;
    @ApiModelProperty(value = "许可管理类别")
    /** 许可管理类别 */
    @ExcelNew(needMerge = true,name = "管理类别",sort = 3,readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记")
    private String licenseManType;

    @ApiModelProperty(name = "排污许可行业名称")
    @ExcelNew(needMerge = true,name = "行业",sort = 8)
    private String industryPermissionName;
    @ApiModelProperty(value = "工业园区名称")
    /** 工业园区名称 */
    @ExcelNew(needMerge = true,name = "所属工业园区名称",sort = 6)
    private String industrialParkName;

    @ApiModelProperty(value = "工业园区编码")
    /** 工业园区编码 */
    @ExcelNew(needMerge = true,name = "所属工业园区编码",sort = 7)
    private String industrialParkCode;
    @ApiModelProperty(value = "所属流域")
    /** 工业园区编码 */
    @ExcelNew(needMerge = true,name = "所属流域",sort = 5)
    private String riverBasin;
    @ApiModelProperty(value = "排污许可证编码")
    /** 排污许可证编码 */
    @ExcelNew(needMerge = true,name = "许可证编号",sort = 1)
    private String pollDisLicenseCode;
}
