package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.domain.BStatTablePwxkProductionFacilitiesParams;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "生产设施信息")
public class BStatTablePwxkProductionFacilitiesVo {

    private Long id;

    /** 排污单位名称 */
    @ApiModelProperty(value = "排污单位名称")
    @Excel(name = "排污单位名称",sort = 2)
    private String factoryName;


    @ApiModelProperty(value = "县名称")
    /** 县名称 */
    @Excel(name = "所在区县",sort = 4)
    private String countryName;
    @ApiModelProperty(value = "许可管理类别")
    /** 许可管理类别 */
    @Excel(name = "管理类别",sort = 3,readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记")
    private String licenseManType;

    @ApiModelProperty(name = "排污许可行业名称")
    @Excel(name = "行业",sort = 8)
    private String industryPermissionName;
    @ApiModelProperty(value = "工业园区名称")
    /** 工业园区名称 */
    @Excel(name = "所属工业园区名称",sort = 6)
    private String industrialParkName;

    @ApiModelProperty(value = "工业园区编码")
    /** 工业园区编码 */
    @Excel(name = "所属工业园区编码",sort = 7)
    private String industrialParkCode;
    @ApiModelProperty(value = "所属流域")
    /** 工业园区编码 */
    @Excel(name = "所属流域",sort = 5)
    private String riverBasin;
    @ApiModelProperty(value = "排污许可证编码")
    /** 排污许可证编码 */
    @Excel(name = "许可证编号",sort = 1)
    private String pollDisLicenseCode;
    /**
     * 生产线类型
     */
    @TableField(value = "production_line_type")
    @ApiModelProperty(value = "生产线类型")
    @Excel(name = "生产线类型",sort = 9)
    private String productionLineType;

    /**
     * 生产线编号
     */
    @TableField(value = "production_line_code")
    @ApiModelProperty(value = "生产线编号")
    @Excel(name = "生产线编号",sort = 10)
    private String productionLineCode;

    /**
     * 主要生产单元名称
     */
    @TableField(value = "production_unit_name")
    @ApiModelProperty(value = "主要生产单元名称")
    @Excel(name = "主要生产单元名称",sort = 11)
    private String productionUnitName;

    /**
     * 主要工艺名称
     */
    @TableField(value = "craft_name")
    @ApiModelProperty(value = "主要工艺名称")
    @Excel(name = "主要工艺名称",sort = 12)
    private Short craftName;

    /**
     * 生产设施名称
     */
    @TableField(value = "facility_name")
    @ApiModelProperty(value = "生产设施名称")
    @Excel(name = "生产设施名称",sort = 13)
    private String facilityName;

    /**
     * 是否涉及商业秘密（0否1是）
     */
    @TableField(value = "trade_secrets")
    @ApiModelProperty(value = "是否涉及商业秘密（0否1是）")
    @Excel(name = "是否涉及商业秘密",sort = 14,readConverterExp = "0=否,1=是")
    private String tradeSecrets;

    /**
     * 生产设施编号
     */
    @TableField(value = "production_facility_code")
    @ApiModelProperty(value = "生产设施编号")
    @Excel(name = "生产设施编号",sort = 15)
    private String productionFacilityCode;

    /**
     * 其他设施信息
     */
    @TableField(value = "other_facility_info")
    @ApiModelProperty(value = "其他设施信息")
    @Excel(name = "其他设施信息",sort = 17)
    private String otherFacilityInfo;

    /**
     * 其他工艺信息
     */
    @TableField(value = "other_craft_info")
    @ApiModelProperty(value = "其他工艺信息")
    @Excel(name = "其他工艺信息",sort = 18)
    private String otherCraftInfo;

    @Excel(name = "设施参数",sort = 16,parentName = "设施参数")
    @ApiModelProperty(value = "设施参数")
    private List<BStatTablePwxkProductionFacilitiesParams> params;
}
