package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.domain.BStatTablePwxkWaterLifeIn;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BStatTablePwxkWaterLifeInVo extends BStatTablePwxkWaterLifeIn {
    @ApiModelProperty(value = "排污单位名称")
    /** 排污单位名称 */
    @Excel(name = "排污单位名称",sort = 2)
    private String factoryName;
    @ApiModelProperty(value = "市编码")
    /** 市编码 */
    private String cityCode;


    @ApiModelProperty(value = "市名称")
    /** 市名称 */
    private String cityName;


    @ApiModelProperty(value = "县编码")
    /** 县编码 */
    private String countryCode;


    @ApiModelProperty(value = "县名称")
    /** 县名称 */
    @Excel(name = "所在区县",sort = 6)
    private String countryName;

    @ApiModelProperty(value = "许可管理类别:重点FOCUS、简化 SIMPLIFY、登记 REGISTER")
    /** 许可管理类别 */
    @Excel(name = "管理类别",readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记",sort = 5)
    private String licenseManType;
    @ApiModelProperty(value = "是否位于工业园区")
    /** 是否位于工业园区 */
    @Excel(name = "是否位于工业园区", sort = 9)
    private String whetherLocalPark;
    @ApiModelProperty(name = "排污许可行业名称")
    @Excel(name = "行业类别",sort = 8)
    private String industryPermissionName;
    @ApiModelProperty(value = "工业园区名称")
    /** 工业园区名称 */
    @Excel(name = "所属工业园区名称",sort = 10)
    private String industrialParkName;

    @ApiModelProperty(value = "工业园区编码")
    /** 工业园区编码 */
    @Excel(name = "所属工业园区编码",sort = 11)
    private String industrialParkCode;
    @ApiModelProperty(value = "所属流域")
    /** 工业园区编码 */
    @Excel(name = "所属流域",sort = 7)
    private String riverBasin;
    @ApiModelProperty(value = "排污许可证编码")
    @Excel(name = "许可证编码",sort = 1)
    private String pollDisLicenseCode;
}
