package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--有组织废气污染物排放速率监测对象 b_stat_table_zxbg_gas_emission_speed
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--有组织废气污染物排放速率监测")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgGasEmissionSpeedVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "排放口编码")
    /** 排放口编码 */
    private String outletCode;

    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    private String outletName;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String pollutantName;

    @ApiModelProperty(value = "污染物编码")
    /** 污染物编码 */
    private String pollutantCode;

    @ApiModelProperty(value = "许可排放浓度限值")
    /** 许可排放浓度限值 */
    private String emissionConcentration;

    @ApiModelProperty(value = "有效监测数据(小时值)数量")
    /** 有效监测数据(小时值)数量 */
    private String effectivelyHour;

    @ApiModelProperty(value = "实际排放速率最小值")
    /** 实际排放速率最小值 */
    private String detectionMinHour;

    @ApiModelProperty(value = "实际排放速率最大值")
    /** 实际排放速率最大值 */
    private String detectionMaxHour;

    @ApiModelProperty(value = "实际排放速率平均值")
    /** 实际排放速率平均值 */
    private String detectionAvgHour;

    @ApiModelProperty(value = "超标数据个数")
    /** 超标数据个数 */
    private String exceededData;

    @ApiModelProperty(value = "超标率（%）")
    /** 超标率（%） */
    private String exceededRate;

    @ApiModelProperty(value = "超标原因")
    /** 超标原因 */
    private String exceededCause;

}
