package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计对象 b_stat_table_zxbg_gas_emission_statistics
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgGasEmissionStatisticsVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "类型")
    /** 类型 */
    private String zxbgPollutantType;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String pollutantName;

    @ApiModelProperty(value = "设施名称")
    /** 设施名称 */
    private String facilityName;

    @ApiModelProperty(value = "生产设施/无组织排放编号")
    /** 生产设施/无组织排放编号 */
    private String facilitiesCode;

    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    private String monitoringTime;

    @ApiModelProperty(value = "监测次数")
    /** 监测次数 */
    private Long monitoringNumber;

    @ApiModelProperty(value = "许可排放浓度限值")
    /** 许可排放浓度限值 */
    private String emissionConcentration;

    @ApiModelProperty(value = "浓度监测结果（小时浓度）")
    /** 浓度监测结果（小时浓度） */
    private String monitoringResultsHour;

    @ApiModelProperty(value = "浓度监测结果（折标，小时浓度）")
    /** 浓度监测结果（折标，小时浓度） */
    private String monitoringFoldsHour;

    @ApiModelProperty(value = "是否超标:0否1是")
    /** 是否超标:0否1是 */
    private String isExceeded;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
