package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--有组织废气污染物排放浓度监测数据对象 b_stat_table_zxbg_gas_emission
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--有组织废气污染物排放浓度监测数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgGasEmissionVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "类型")
    /** 类型 */
    private String zxbgPollutantType;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "排放口编码")
    /** 排放口编码 */
    private String outletCode;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String pollutantName;

    @ApiModelProperty(value = "监测设施:手工、自动")
    /** 监测设施:手工、自动 */
    private String monitoringFacilities;

    @ApiModelProperty(value = "设施名称")
    /** 设施名称 */
    private String facilityName;

    @ApiModelProperty(value = "许可排放浓度限值")
    /** 许可排放浓度限值 */
    private String emissionConcentration;

    @ApiModelProperty(value = "有效监测数据(小时值)数量")
    /** 有效监测数据(小时值)数量 */
    private String effectivelyHour;

    @ApiModelProperty(value = "检测结果（小时浓度）最小值mg/m3")
    /** 检测结果（小时浓度）最小值mg/m3 */
    private String detectionMinHour;

    @ApiModelProperty(value = "检测结果（小时浓度）最大值mg/m3")
    /** 检测结果（小时浓度）最大值mg/m3 */
    private String detectionMaxHour;

    @ApiModelProperty(value = "检测结果（小时浓度）平均值")
    /** 检测结果（小时浓度）平均值 */
    private String detectionAvgHour;

    @ApiModelProperty(value = "监测结果（折标，小时浓度,mg/Nm3）最小值")
    /** 监测结果（折标，小时浓度,mg/Nm3）最小值 */
    private String foldsMinHour;

    @ApiModelProperty(value = "监测结果（折标，小时浓度,mg/Nm3）最大值")
    /** 监测结果（折标，小时浓度,mg/Nm3）最大值 */
    private String foldsMaxHour;

    @ApiModelProperty(value = "监测结果（折标，小时浓度,mg/Nm3）平均值")
    /** 监测结果（折标，小时浓度,mg/Nm3）平均值 */
    private String foldsAvgHour;

    @ApiModelProperty(value = "超标数据个数")
    /** 超标数据个数 */
    private String exceededData;

    @ApiModelProperty(value = "超标率（%）")
    /** 超标率（%） */
    private String exceededRate;

    @ApiModelProperty(value = "实际产生量（吨）")
    /** 实际产生量（吨） */
    private String actualAmount;

    @ApiModelProperty(value = "实际排放量（吨）")
    /** 实际排放量（吨） */
    private String actualEmissions;

    @ApiModelProperty(value = "监测仪器名称或型号")
    /** 监测仪器名称或型号 */
    private String instrumentName;

    @ApiModelProperty(value = "手工监测采样方法及个数")
    /** 手工监测采样方法及个数 */
    private String samplingMethod;

    @ApiModelProperty(value = "手工测定方法")
    /** 手工测定方法 */
    private String manualMethod;

    @ApiModelProperty(value = "监测设备测量范围(mg/m3)")
    /** 监测设备测量范围(mg/m3) */
    private String deviceRange;

    @ApiModelProperty(value = "监测设备准确度")
    /** 监测设备准确度 */
    private String deviceAccuracy;

    @ApiModelProperty(value = "监测设备检出下限mg/m3")
    /** 监测设备检出下限mg/m3 */
    private String deviceCheckout;

}
