package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--火电燃料分析对象 b_stat_table_zxbg_hd_fuel_analysis
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电燃料分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdFuelAnalysisVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "生产单元")
    /** 生产单元 */
    private String productionUnit;

    @ApiModelProperty(value = "燃料名称")
    /** 燃料名称 */
    private String fuelName;

    @ApiModelProperty(value = "使用量（万t/a、万m³/a）")
    /** 使用量（万t/a、万m³/a） */
    private String usage;

    @ApiModelProperty(value = "灰分（%）")
    /** 灰分（%） */
    private String ashContent;

    @ApiModelProperty(value = "硫分（%）")
    /** 硫分（%） */
    private String sulfur;

    @ApiModelProperty(value = "挥发分（%）")
    /** 挥发分（%） */
    private String volatileContent;

    @ApiModelProperty(value = "热值（MJ/kg、MJ/m³）")
    /** 热值（MJ/kg、MJ/m³） */
    private String caloricValue;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
