package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--火电废气污染治理设施正常情况对象 b_stat_table_zxbg_hd_gas_pollution
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电废气污染治理设施正常情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdGasPollutionVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "生产设施名称")
    /** 生产设施名称 */
    private String productionFacilityName;

    @ApiModelProperty(value = "生产设施编号")
    /** 生产设施编号 */
    private String productionFacilityCode;

    @ApiModelProperty(value = "治理设施编号")
    /** 治理设施编号 */
    private String governanceFacilityCode;

    @ApiModelProperty(value = "治理设施名称")
    /** 治理设施名称 */
    private String governanceFacilityName;


    @ApiModelProperty(value = "治理设施运行时间（小时）")
    /** 治理设施运行时间（小时） */
    private String governanceFacilityTime;

    @ApiModelProperty(value = "粉煤灰产生量（吨）")
    /** 粉煤灰产生量（吨） */
    private String flyAshProduction;

    @ApiModelProperty(value = "布袋除尘器清灰周期和换代情况")
    /** 布袋除尘器清灰周期和换代情况 */
    private String bagFilter;

    @ApiModelProperty(value = "除尘效率设计值")
    /** 除尘效率设计值 */
    private String dustRemovalEfficiency;

    @ApiModelProperty(value = "除尘效率实际值")
    /** 除尘效率实际值 */
    private String actualValue;

    @ApiModelProperty(value = "脱硫剂用量（吨）")
    /** 脱硫剂用量（吨） */
    private String desulfurizerDosage;

    @ApiModelProperty(value = "脱硫副产物产生量（吨）")
    /** 脱硫副产物产生量（吨） */
    private String amountProduct;

    @ApiModelProperty(value = "脱硫效率设计值%")
    /** 脱硫效率设计值% */
    private String designValues;

    @ApiModelProperty(value = "脱硫效率实际值%")
    /** 脱硫效率实际值% */
    private String actualEfficiency;

    @ApiModelProperty(value = "脱硝还原剂用量（吨）")
    /** 脱硝还原剂用量（吨） */
    private String reducingAgentDosage;

    @ApiModelProperty(value = "脱硝效率设计值")
    /** 脱硝效率设计值 */
    private String denitrationEfficiency;

    @ApiModelProperty(value = "脱硝效率实际")
    /** 脱硝效率实际 */
    private String efficiencyPractical;

    @ApiModelProperty(value = "污染治理设施运行费用（万元）")
    /** 污染治理设施运行费用（万元） */
    private String facilityOperatingCosts;

    @ApiModelProperty(value = "综合除尘效率设计值")
    /** 综合除尘效率设计值 */
    private String efficiencyDesignValues;

    @ApiModelProperty(value = "综合除尘效率实际值")
    /** 综合除尘效率实际值 */
    private String actualDustRemoval;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
