package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--火电、钢铁基本信息对象 b_stat_table_zxbg_hd_gt_basic
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电、钢铁基本信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdGtBasicVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "机组名称")
    /** 机组名称 */
    private String unitName;

    @ApiModelProperty(value = "规模（万千瓦）")
    /** 规模（万千瓦） */
    private String scale;

    @ApiModelProperty(value = "设计运行时间（小时）")
    /** 设计运行时间（小时） */
    private String runTime;

    @ApiModelProperty(value = "发电量（万千瓦时）")
    /** 发电量（万千瓦时） */
    private String powerGeneration;

    @ApiModelProperty(value = "供热量（万吉焦）")
    /** 供热量（万吉焦） */
    private String heatSupply;

    @ApiModelProperty(value = "实际运行时间（小时）")
    /** 实际运行时间（小时） */
    private String actualRunningTime;

    @ApiModelProperty(value = "平均负荷率")
    /** 平均负荷率 */
    private String averageLoadRatio;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
