package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--火电、钢铁燃料信息对象 b_stat_table_zxbg_hd_gt_fuel
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电、钢铁燃料信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdGtFuelVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "机组名称")
    /** 机组名称 */
    private String unitName;

    @ApiModelProperty(value = "机组类型")
    /** 机组类型 */
    private String unitType;

    @ApiModelProperty(value = "燃料消耗量")
    /** 燃料消耗量 */
    private String fuelConsumption;

    @ApiModelProperty(value = "燃料消耗量单位")
    /** 燃料消耗量单位 */
    private String fuelConsumptionUnits;

    @ApiModelProperty(value = "发电标准煤耗")
    /** 发电标准煤耗 */
    private String coalConsumption;

    @ApiModelProperty(value = "发电标准煤耗单位")
    /** 发电标准煤耗单位 */
    private String coalConsumptionUnits;

    @ApiModelProperty(value = "产灰量")
    /** 产灰量 */
    private String ashProduction;

    @ApiModelProperty(value = "产灰量单位")
    /** 产灰量单位 */
    private String ashProductionUits;

    @ApiModelProperty(value = "产渣量")
    /** 产渣量 */
    private String slagProduction;

    @ApiModelProperty(value = "产渣量单位")
    /** 产渣量单位 */
    private String slagProductionUnits;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
