package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况对象 b_stat_table_zxbg_hd_gt_investment
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdGtInvestmentVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "机组名称")
    /** 机组名称 */
    private String unitName;

    @ApiModelProperty(value = "治理类型")
    /** 治理类型 */
    private String governanceType;

    @ApiModelProperty(value = "开工时间")
    /** 开工时间 */
    private String startTime;

    @ApiModelProperty(value = "建成投产时间（拟）")
    /** 建成投产时间（拟） */
    private String productionTime;

    @ApiModelProperty(value = "计划总投资")
    /** 计划总投资 */
    private String plannedInvestment;

    @ApiModelProperty(value = "计划周期内完成投资")
    /** 计划周期内完成投资 */
    private String cycleCompleteInvestment;


    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
