package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--火电废水污染治理设施正常情况对象 b_stat_table_zxbg_hd_water_pollution
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电废水污染治理设施正常情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdWaterPollutionVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "废水类别")
    /** 废水类别 */
    private String waterCategory;


    @ApiModelProperty(value = "治理设施编号")
    /** 治理设施编号 */
    private String governanceFacilityCode;

    @ApiModelProperty(value = "治理设施名称")
    /** 治理设施名称 */
    private String governanceFacilityName;

    @ApiModelProperty(value = "治理设施运行时间（小时）")
    /** 治理设施运行时间（小时） */
    private String governanceFacilityTime;

    @ApiModelProperty(value = "污染治理设施工艺")
    /** 污染治理设施工艺 */
    private String pollutionFacilityTechnology;

    @ApiModelProperty(value = "污染因子")
    /** 污染因子 */
    private String contaminateFactor;

    @ApiModelProperty(value = "排放去向")
    /** 排放去向 */
    private String emissions;

    @ApiModelProperty(value = "受纳水体名称")
    /** 受纳水体名称 */
    private String receivingName;

    @ApiModelProperty(value = "用电量")
    /** 用电量 */
    private String electricityConsumption;

    @ApiModelProperty(value = "污水设计处理能力")
    /** 污水设计处理能力 */
    private String processingPower;

    @ApiModelProperty(value = "污水实际处理量")
    /** 污水实际处理量 */
    private String actualProcessingVolume;

    @ApiModelProperty(value = "污水实际会用量")
    /** 污水实际会用量 */
    private String willAmount;

    @ApiModelProperty(value = "污水实际排放量")
    /** 污水实际排放量 */
    private String actualEmissions;

    @ApiModelProperty(value = "废水设计处理能力")
    /** 废水设计处理能力 */
    private String designProcessingPower;

    @ApiModelProperty(value = "废水实际处理量")
    /** 废水实际处理量 */
    private String waterTreatmentVolume;

    @ApiModelProperty(value = "废水实际会用量")
    /** 废水实际会用量 */
    private String waterWillAmount;

    @ApiModelProperty(value = "废水实际排放量")
    /** 废水实际排放量 */
    private String waterActualEmissions;

    @ApiModelProperty(value = "污泥生成量")
    /** 污泥生成量 */
    private String sludgeGeneration;

    @ApiModelProperty(value = "污泥含水率")
    /** 污泥含水率 */
    private String sludgeMoistureContent;

    @ApiModelProperty(value = "循环冷却水排放量")
    /** 循环冷却水排放量 */
    private String circulatingCooling;

    @ApiModelProperty(value = "直流冷却水排水量")
    /** 直流冷却水排水量 */
    private String coolingDischarge;

    @ApiModelProperty(value = "污泥处置方式")
    /** 污泥处置方式 */
    private String sludgeDisposalMethod;

    @ApiModelProperty(value = "污染治理设施运行费用")
    /** 污染治理设施运行费用 */
    private String facilityOperatingCosts;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
