package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--特殊时段废气排放量对象 b_stat_table_zxbg_pfl_air_special
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--特殊时段废气排放量")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgPflAirSpecialVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "类型:重污染、冬防")
    /** 类型:重污染、冬防 */
    private String zxbgAirType;

    @ApiModelProperty(value = "废气类型 有组织、无组织、全场总计")
    /** 废气类型 有组织、无组织、全场总计 */
    private String zxbgAirAllType;

    @ApiModelProperty(value = "许可排放量")
    /** 许可排放量 */
    private String zxbgDischargeXk;

    @ApiModelProperty(value = "实际排放值")
    /** 实际排放值 */
    private String zxbgDischargeActual;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "是否删除")
    /** 是否删除 */
    private String isDelete;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String zxbgPollutant;

    @ApiModelProperty(value = "时间")
    /** 时间 */
    private String zxbgTime;

    @ApiModelProperty(value = "超标原因")
    /** 超标原因 */
    private String overCause;

}
