package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--废水超标排放信息对象 b_stat_table_zxbg_pfl_water_voerproof
 *
 * @author szhpt
 * @date 2023-07-28*/
@ApiModel(value = "固定源产排治--执行报告--废水超标排放信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgPflWaterVoerproofVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "排口编码")
    /** 排口编码 */
    private String zxbgOutletCode;


    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String zxbgPollutant;

    @ApiModelProperty(value = "实际排放浓度（折标，mg/m3）")
    /** 实际排放浓度（折标，mg/m3） */
    private String zxbgDischargeTrue;

    @ApiModelProperty(value = "实际排放值")
    /** 实际排放值 */
    private String zxbgDischargeActual;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "是否删除")
    /** 是否删除 */
    private String isDelete;

    @ApiModelProperty(value = "超标开始时间")
    /** 超标开始时间 */
    private String overStartTime;

    @ApiModelProperty(value = "超标截止时间")
    /** 超标截止时间 */
    private String overEndTime;

    @ApiModelProperty(value = "超标原因说明")
    /** 超标原因说明 */
    private String overRemark;

    @ApiModelProperty(value = "计量单位")
    /** 计量单位 */
    private String overUnit;

}
