package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--总计废水实际排放量对象 b_stat_table_zxbg_pflall_water
 *
 * @author szhpt
 * @date 2023-07-28*/
@ApiModel(value = "固定源产排治--执行报告--总计废水实际排放量")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgPflallWaterVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;


    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String zxbgPollutant;

    @ApiModelProperty(value = "年许可排放量")
    /** 年许可排放量 */
    private String zxbgDischargeYear;

    @ApiModelProperty(value = "实际排放值")
    /** 实际排放值 */
    private String zxbgDischargeActual;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "是否删除")
    /** 是否删除 */
    private String isDelete;

    @ApiModelProperty(value = "排放口id")
    /** 排放口id */
    private String zxbgOutletId;

    @ApiModelProperty(value = "排放形式、直接排放、间接排放")
    /** 排放形式、直接排放、间接排放 */
    private String zxbgEmissionType;

}
