package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--污染治理设施异常情况对象 b_stat_table_zxbg_wrzl_abnormalities
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--污染治理设施异常情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgWrzlAbnormalitiesVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "类型")
    /** 类型 */
    private String zxbgPollutantType;

    @ApiModelProperty(value = "超标开始时间")
    /** 超标开始时间 */
    private String overStartTime;

    @ApiModelProperty(value = "超标结束时间")
    /** 超标结束时间 */
    private String overEndTime;

    @ApiModelProperty(value = "故障设备名称")
    /** 故障设备名称 */
    private String facilityName;

    @ApiModelProperty(value = "故障设备编号")
    /** 故障设备编号 */
    private String facilityCode;

    @ApiModelProperty(value = "污染因子")
    /** 污染因子 */
    private String zxbgPollutant;

    @ApiModelProperty(value = "排放范围")
    /** 排放范围 */
    private String dischargeRange;

    @ApiModelProperty(value = "应对措施")
    /** 应对措施 */
    private String solutions;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

}
