package cn.cecep.talroad.vo;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import cn.cecep.talroad.domain.BasDeviceParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 设备信息(有组织)对象 bas_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "DCS系统参数设置ExcelVo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BasDeviceDCSSystemParamExcelVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    @Excel(name = "序号")
    private Integer serialnumber;

    @ApiModelProperty(value = "工序")
    /** 所属工序名 */
    @Excel(name = "工序")
    private String workStep;

    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;



    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    @Excel(name = "设备名称")
    private String name;


    @Excel(name = "参数名称")
    private String paramName;
    @Excel(name = "参数单位")
    private String paramUnit;


    @ApiModelProperty(value = "正常值")
    /** 正常值 */
    @Excel(name = "正常生产或设计值")
    private Double normalValue;


    @ApiModelProperty(value = "最小值")
    /** 最小值 */
    @Excel(name = "正常运行低限")
    private Double minValue;


    @ApiModelProperty(value = "最大值")
    /** 最大值 */
    @Excel(name = "正常运行高限")
    private Double maxValue;

}
