package cn.cecep.talroad.vo;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import cn.cecep.talroad.domain.BasDeviceParam;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;


/**
 * 设备信息(有组织)对象 bas_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "DCS系统参数设置Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BasDeviceDCSSystemParamVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    private String deviceId;



    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    private String name;


    @ApiModelProperty(value = "所属行业 枚举。钢铁/焦化/水泥...")
    /** 所属行业 枚举。钢铁/焦化/水泥... */
    private String industry;


    @ApiModelProperty(value = "所属工序名")
    /** 所属工序名 */
    private String workStep;


    @ApiModelProperty(value = "设备类型 枚举。焦炉/烧结机...")
    /** 设备类型 枚举。焦炉/烧结机... */
    private String type;
    List<BasDeviceParamListVo> basDeviceParamList;

}
