package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备信息(有组织)对象 bas_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备信息(有组织)出参")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasDeviceIndustryVo
{


    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "所属企业")
    private String factoryId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "所属行业 枚举。钢铁/焦化/水泥...")
    private String industry;

    @ApiModelProperty(value = "所属工序名")
    private String workStep;

    @ApiModelProperty(value = "设备类型 枚举。焦炉/烧结机...")
    private String type;

    @ApiModelProperty(value = "设备类型 枚举。焦炉/烧结机...")
    private String typeTxt;

    @ApiModelProperty(value = "状态 ≤0=禁用(0=无此设备)，>0=正常")
    private Long status;

    @ApiModelProperty(value = "工艺参数")
    private String craftParam;

    @ApiModelProperty(value = "DCS系统品牌")
    private String dcsBrand;

    @ApiModelProperty(value = "DCS系统型号")
    private String dcsModel;

    @ApiModelProperty(value = "脱硫工艺")
    private String tlCraft;

    @ApiModelProperty(value = "脱硝工艺")
    private String txCraft;

    @ApiModelProperty(value = "脱硝设施数量")
    private String txNum;

    @ApiModelProperty(value = "除尘工艺")
    private String ccCraft;

    @ApiModelProperty(value = "除尘设施数量")
    private String ccNum;

    @ApiModelProperty(value = "CEMS系统数量")
    private String cemsNum;

    @ApiModelProperty(value = "视频设备ID。JSON")
    private String videoDevId;


    @ApiModelProperty(value="设备状态对应的文本")
    private String statusTxt;

    @ApiModelProperty(value = "212协议中的设备MN号")
    private String hj212Mn;

    @ApiModelProperty(value = "经度(原始)")
    private String lon;

    @ApiModelProperty(value = "纬度(原始)")
    private String lat;

    @ApiModelProperty(value = "经度(地图)")
    private String lonMap;

    @ApiModelProperty(value = "纬度(地图)")
    private String latMap;

    @ApiModelProperty(value = "排污许可设施编码")
    private String pollutantCode;

    @ApiModelProperty(value = "排污许可设施名称")
    private String pollutantName;


    /** 设置设备状态 */
    public void setStatus(Long in)
    {
        if(in == null)
            return;
        this.status = in;
        if(in < 0)
            setStatusTxt("停用");
        else if(in == 0)
            setStatusTxt("停产");
        else
            setStatusTxt("正常");
    }
}
