package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 各设备的监测参数属性对象 bas_device_param
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "各设备的监测参数属性")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasDeviceParamVo
{


    @ApiModelProperty(value = "ID")
    /** ID */
    private Long id;

    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    private String deviceId;

    @ApiModelProperty(value = "参数ID")
    /** 参数ID */
    private String paramId;

    @ApiModelProperty(value = "所属行业 枚举。钢铁/焦化/水泥...")
    /** 所属行业 枚举。钢铁/焦化/水泥... */
    private String industry;

    @ApiModelProperty(value = "所属设备类别 枚举。焦炉/烧结机...")
    /** 所属设备类别 枚举。焦炉/烧结机... */
    private String deviceType;

    @ApiModelProperty(value = "所属设施类别 枚举。生产/CEMS...")
    /** 所属设施类别 枚举。生产/CEMS... */
    private String facilityType;

    @ApiModelProperty(value = "正常值")
    /** 正常值 */
    private BigDecimal normalValue;

    @ApiModelProperty(value = "最小值")
    /** 最小值 */
    private BigDecimal minValue;

    @ApiModelProperty(value = "最大值")
    /** 最大值 */
    private BigDecimal maxValue;

    @ApiModelProperty(value = "Q1(下四分位)值 用于异常值判断")
    /** Q1(下四分位)值 用于异常值判断 */
    private String q1Value;

    @ApiModelProperty(value = "Q2(上四分位)值 用于异常值判断")
    /** Q2(上四分位)值 用于异常值判断 */
    private String q2Value;

    @ApiModelProperty(value = "参数是否联网 0=否，1=是")
    /** 参数是否联网 0=否，1=是 */
    private Long isOnline;

    @ApiModelProperty(value = "备用值数量 数量不含原值")
    /** 备用值数量 数量不含原值 */
    private Long standbyNum;

    @ApiModelProperty(value = "多值数量 数量不含原值")
    /** 多值数量 数量不含原值 */
    private Long multiNum;

    @ApiModelProperty(value = "超标阈值 超过此值则认为超标")
    /** 超标阈值 超过此值则认为超标 */
    private String overMaxVal;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    /**
     * 参数名称
     */
    private String paramName;

    /**
     * 参数单位
     */
    private String paramUnit;

    @ApiModelProperty(value = "参数编码")
    private String paramCodeSvc;
    @ApiModelProperty(value = "停限产阈值")
    private String stopValue;

}
