package cn.cecep.talroad.vo;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


@ApiModel(value = "设备点位vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BasDeviceSiteVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "点位名称")
    private String name;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "点位经度")
    private String pointLng;

    @ApiModelProperty(value = "点位纬度")
    private String pointLat;

    @ApiModelProperty(value = "分表计电-状态: 正常,停运,掉线")
    private String status;

    @ApiModelProperty(value = "点位类型: 生产监测点位...")
    private String type;

    @ApiModelProperty(value = "对应装备名称")
    private String equipName;

    @ApiModelProperty(value = "所属企业")
    private String factoryId;

    @ApiModelProperty(value = "额定功率")
    private String normalValue;

    @ApiModelProperty(value = "最小功率")
    private String minValue;

    @ApiModelProperty(value = "是否统计")
    private String isStat;

    @Data
    public static class SimpleVo {
        private String id;

        @ApiModelProperty(value = "点位名称")
        private String name;

        @ApiModelProperty(value = "曲线图展示的参数")
        private List<AmProblemFiVo.PollutantVo> pollutantVos;
    }

    @ApiModel(value = "分表计电数量总览")
    @Data
    public static class CountOverview {
        @ApiModelProperty(value = "分表计电点位")
        private Long count;

        @ApiModelProperty(value = "生产设施监测点位")
        private Long scCount;

        @ApiModelProperty(value = "治理设施监测点位")
        private Long zlCount;
    }
}
