package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.domain.BaseControlConcentStandards;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("管控浓度标准VO")
public class BaseControlConcentStandardsVo extends BaseControlConcentStandards {

    /**
     * 区县code
     */
    @ApiModelProperty(value="区县名称")
    @Excel(name = "区县名称",sort = 2)
    private String countryName;

    @Excel(name = "行业名称",sort = 3)
    @ApiModelProperty(value="行业名称")
    private String industryCategoryName;

    @ApiModelProperty(value="行业Code")
    private String industryCategoryCode;

    @ApiModelProperty(value="污染物名称")
    @TableField(exist = false)
    @Excel(name = "污染物名称",sort = 5)
    private String pollName;

    @ApiModelProperty(value="企业名称")
    @Excel(name = "企业名称" ,sort = 1,width = 30)
    private String factoryName;

    @Excel(name = "监测点位名称",sort =4)
    private String monitoringPointName;

}
