package cn.cecep.talroad.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 企业信息上报提交提示对象 factory_reporting_reminders
 *
 * @author szhpt
 * @date 2023-05-09*/
@ApiModel(value = "企业信息上报提交提示")
@EqualsAndHashCode(callSuper = false)
@Data
public class FactoryReportingRemindersVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String feId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "区县名称")
    /** 区县名称 */
    private String regionName;

    @ApiModelProperty(value = "区县编码")
    /** 区县编码 */
    private String regionCode;

    @ApiModelProperty(value = "行业类别")
    /** 行业 */
    private String industryCategory;

    @ApiModelProperty(value = "行业")
    /** 行业 */
    private String industryPermissionName;

    @ApiModelProperty(value = "企业信息提交状态0未提交，1已提交")
    /** 企业信息提交状态0未提交，1已提交 */
    private String submitStatus;

    @ApiModelProperty(value = "提交时间")
    /** 提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;

    @ApiModelProperty(value = "企业信息弹窗显示状态0不显示，1显示")
    /** 企业信息弹窗显示状态0不显示，1显示 */
    private String remindersStatus;

    @ApiModelProperty(value = "提交用户")
    /** 提交用户 */
    private String submitUser;

}
