package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "重点排放行业分析-行业企业总览-行业污染物排放跟踪")
@EqualsAndHashCode(callSuper = false)
@Data
public class IndustryEmissionTrackingOverviewVo
{

    @ApiModelProperty(value = "污染物名称")
    private String pollName;

    @ApiModelProperty(value = "实际排放")
    private BigDecimal emissionsActual;

    @ApiModelProperty(value = "许可排放")
    private BigDecimal emissionsPermit;

    @ApiModelProperty(value = "比较值")
    private BigDecimal calculate;

    @ApiModelProperty(value = "实际排放占比")
    private BigDecimal emissionsActualRatio;

    @ApiModelProperty(value = "实际排放排名")
    private Integer rank;

    @ApiModelProperty(value = "当前污染物排放大户数量")
    private Integer majorEmittersInTheIndustryNumber;

}
