package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "重点排放行业分析-行业企业总览-行业污染物排放TOP10企业")
@EqualsAndHashCode(callSuper = false)
@Data
public class IndustryPollutantEmissionsTop10Vo {

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "所属区县")
    private String district;

    @ApiModelProperty(value = "排放量（t）")
    private BigDecimal emissions;

    @ApiModelProperty(value = "是否排放大户（0否 1是）")
    private Integer isBigEmitter;

    @ApiModelProperty(value = "当前排名(序号,不连续，如果排放量一样，则排名相同)")
    private Integer rank;

}
