package cn.cecep.talroad.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.math.BigInteger;


/**
 * 基础信息 与 产治排跟踪--视频设施清单对象 m_am_video_dev_fi
 *
 * @author szhpt
 * @date 2023-02-10*/
@ApiModel(value = "基础信息 与 产治排跟踪--视频设施清单")
@EqualsAndHashCode(callSuper = false)
@Data
public class MAmVideoDevFiVo
{


    @ApiModelProperty(value = "设备主键")
    /** 设备主键 */
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;

    @ApiModelProperty(value = "摄像头ID")
    /** 摄像头ID */
    private String devId;

    @ApiModelProperty(value = "摄像头名称")
    /** 摄像头名称 */
    private String devName;

    @ApiModelProperty(value = "摄像头内部编号")
    /** 摄像头内部编号 */
    private String devInsideCode;

    @ApiModelProperty(value = "验证码")
    /** 验证码 */
    private String devCode;

    @ApiModelProperty(value = "型号")
    /** 型号 */
    private String model;

    @ApiModelProperty(value = "通道号")
    /** 通道号 */
    private String modelRoad;

    @ApiModelProperty(value = "安装位置")
    /** 安装位置 */
    private String location;

    @ApiModelProperty(value = "经度(地图)")
    /** 经度(地图) */
    private BigDecimal lonMap;

    @ApiModelProperty(value = "纬度(地图)")
    /** 纬度(地图) */
    private BigDecimal latMap;

    @ApiModelProperty(value = "备注说明")
    /** 备注说明 */
    private String descrAny;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "修改时间")
    /** 修改时间 */
    private String updateTime;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id */
    private String outletId;

    @ApiModelProperty(value = "设备类型")
    /** 设备类型 */
    private String devType;

    @ApiModelProperty(value = "设备来源")
    /** 设备来源 */
    private String devSource;
    @ApiModelProperty(value = "设备id，用于视频来源于GB28181")
    /** 设备id，用于视频来源于GB28181 */
    private String gbsDeviceId;
    private String channelId;
    private String status;
    private String stationBuildingMn;
    private String deviceId;

}
