package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Author: weizhuang
 * @Date:2023/2/16 10:12
 * @Version 1.0
 */
@Data
@ApiModel("地图点Vo")
public class MapPointVo {
    @ApiModelProperty("点位名称")
    private String pointName;
    @ApiModelProperty("点位编码")
    private String pointCode;
    @ApiModelProperty("点位位置")
    private String pointLocation;
    @ApiModelProperty("点经度")
    private BigDecimal pointLng;
    @ApiModelProperty("点纬度")
    private BigDecimal pointLat;
    @ApiModelProperty("点位状态")
    private String pointStatus;
    @ApiModelProperty("点位类型[门禁、生产监控、煤气放散监控、在线监测、无组织监控、分表计电、视频监控]")
    private String pointType;
    @ApiModelProperty("点位类型对应小类")
    private String pointSubClass;
    @ApiModelProperty("点位图标内展示内容")
    private Object pointIconContent;
    @ApiModelProperty("点位附加数据{name:'',value:''}")
    private List<Map<String, Object>> addDatas;

    @ApiModelProperty("企业id")
    private String factoryId;
}
