package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 设备数据-玻璃-实时 保存设备的实时数据
 * </p>
 *
 * @author wl
 * @since 2021-10-09
 */
@Data
@ApiModel
public class MonDevBlVO
{

    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "混合机温度 单位:℃")
    private Double bs100;

    @ApiModelProperty(value = "原熔皮带电流 单位:A")
    private Double bs101;

    @ApiModelProperty(value = "投料机输出频率 单位:HZ")
    private Double bs102;

    @ApiModelProperty(value = "助燃风量 单位:m3/h")
    private Double bs103;

    @ApiModelProperty(value = "熔窑温度 单位:℃")
    private Double bs104;

    @ApiModelProperty(value = "煤气流量 单位:m3/h")
    private Double bs105;

    @ApiModelProperty(value = "天然气流量 单位:m3/h")
    private Double bs106;

    @ApiModelProperty(value = "退火窑辊道车速 单位:m/h")
    private Double bs107;

    @ApiModelProperty(value = "布袋除尘器前后压差 单位:Pa")
    private Double bz100;

    @ApiModelProperty(value = "电除尘器二次电流 单位:A")
    private Double bz101;

    @ApiModelProperty(value = "电除尘器二次电压 单位:V")
    private Double bz102;

    @ApiModelProperty(value = "脱硫洗涤塔pH值 单位:")
    private Double bz103;

    @ApiModelProperty(value = "脱硫供浆流量 单位:m3/h")
    private Double bz104;

    @ApiModelProperty(value = "脱硫供料流量 单位:kg/h")
    private Double bz105;

    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位:")
    private Double bz106;

    @ApiModelProperty(value = "脱硝反应区温度 单位:℃")
    private Double bz107;

    @ApiModelProperty(value = "脱硝还原剂用量 单位:m3/h")
    private Double bz108;

    @ApiModelProperty(value = "脱硝供给泵电流 单位:A")
    private Double bz109;

    @ApiModelProperty(value = "氨喷射系统电流 单位:A")
    private Double bz110;

    @ApiModelProperty(value = "氨泵风机状态 单位:1=运行，0=停止")
    private Double bz111;

    @ApiModelProperty(value = "氨泵风机电流 单位:A")
    private Double bz112;

    @ApiModelProperty(value = "湿法脱硫剂使用量 单位:kg/h")
    private Double g140;

    @ApiModelProperty(value = "脱硫剂仓料（液）位 单位:m")
    private Double g141;

    @ApiModelProperty(value = "脱硝剂仓料（液）位 单位:m")
    private Double g314;

    @ApiModelProperty(value = "反应器入口烟气温度（SCR 工艺） 单位:℃")
    private Double g329;

    @ApiModelProperty(value = "一次电压 单位:V")
    private Double g501;

    @ApiModelProperty(value = "一次电流 单位:A")
    private Double g502;

    @ApiModelProperty(value = "风机电流 单位:A")
    private Double g604;

    @ApiModelProperty(value = "清灰周期 单位:h")
    private Double g605;

    @ApiModelProperty(value = "原料配比后的总重量 单位:kg")
    private Double g983;

    @ApiModelProperty(value = "锡槽成型主传动速度 单位:m/s")
    private Double g984;

    @ApiModelProperty(value = "氨气泄漏报警信号 单位:")
    private Double g985;

    @ApiModelProperty(value = "储油罐区_VOCs 在线监测数据 单位:mg/m3")
    private Double g986;

    @ApiModelProperty(value = "干法脱硫剂使用量 单位:kg/h")
    private Double gb08;

    @ApiModelProperty(value = "半干法脱硫剂使用量 单位:kg/h")
    private Double gb09;

    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;

}
