package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * <p>
 * 设备数据-电力-实时 保存设备的实时数据
 * </p>
 *
 * @author wl
 * @since 2021-10-08
 */
@Data
@ApiModel
public class MonDevDlStringVO {
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "增压风机状态 单位:")
    private String g101;

    @ApiModelProperty(value = "氧化风机电流 单位:A")
    private String g102;

    @ApiModelProperty(value = "浆液循环泵状态 单位:")
    private String g103;

    @ApiModelProperty(value = "浆液循环泵电流 单位:A")
    private String g104;

    @ApiModelProperty(value = "浆液泵状态 单位:")
    private String g109;

    @ApiModelProperty(value = "塔（或浆液池）内浆液密度 单位:kg/m3")
    private String g115;

    @ApiModelProperty(value = "FGD入口SO2信号 单位:mg/m3")
    private String g119;

    @ApiModelProperty(value = "FGD入口NOX信号 单位:mg/m3")
    private String g120;

    @ApiModelProperty(value = "FGD入口O2信号 单位:%")
    private String g121;

    @ApiModelProperty(value = "FGD入口流量信号 单位:m3/h")
    private String g122;

    @ApiModelProperty(value = "FGD入口温度信号 单位:℃")
    private String g123;

    @ApiModelProperty(value = "FGD入口烟尘信号 单位:mg/m3")
    private String g124;

    @ApiModelProperty(value = "FGD入口压力信号 单位:KPa")
    private String g125;

    @ApiModelProperty(value = "FGD入口湿度信号 单位:%")
    private String g126;

    @ApiModelProperty(value = "FGD出口SO2信号 单位:mg/m3")
    private String g127;

    @ApiModelProperty(value = "FGD出口NOX信号 单位:mg/m3")
    private String g128;

    @ApiModelProperty(value = "FGD出口O2信号 单位:%")
    private String g129;

    @ApiModelProperty(value = "FGD出口流量信号 单位:m3/h")
    private String g130;

    @ApiModelProperty(value = "FGD出口温度信号 单位:℃")
    private String g131;

    @ApiModelProperty(value = "FGD出口烟尘信号 单位:mg/m3")
    private String g132;

    @ApiModelProperty(value = "FGD出口压力信号 单位:KPa")
    private String g133;

    @ApiModelProperty(value = "FGD出口湿度信号 单位:%")
    private String g134;

    @ApiModelProperty(value = "浆液泵电流 单位:A")
    private String g136;

    @ApiModelProperty(value = "氧化风机状态 单位:")
    private String g138;

    @ApiModelProperty(value = "氧化风机电流 单位:A")
    private String g139;

    @ApiModelProperty(value = "塔（或浆液池）内浆液液位 单位:m")
    private String g141;

    @ApiModelProperty(value = "脱硫塔内喷水泵电流 单位:A")
    private String g201;

    @ApiModelProperty(value = "脱硫剂输送装置电流 单位:A")
    private String g202;

    @ApiModelProperty(value = "脱硫剂输送装置信号 单位:")
    private String g203;

    @ApiModelProperty(value = "脱硫塔温度 单位:℃")
    private String g204;

    @ApiModelProperty(value = "FGD入口SO2信号 单位:mg/m3")
    private String g213;

    @ApiModelProperty(value = "FGD入口NOX信号 单位:mg/m3")
    private String g214;

    @ApiModelProperty(value = "FGD入口O2信号 单位:%")
    private String g215;

    @ApiModelProperty(value = "FGD入口流量信号 单位:m3/h")
    private String g216;

    @ApiModelProperty(value = "FGD入口温度信号 单位:℃")
    private String g217;

    @ApiModelProperty(value = "FGD入口烟尘信号 单位:mg/m3")
    private String g218;

    @ApiModelProperty(value = "FGD入口压力信号 单位:KPa")
    private String g219;

    @ApiModelProperty(value = "FGD入口湿度信号 单位:%")
    private String g220;

    @ApiModelProperty(value = "FGD出口SO2信号 单位:mg/m3")
    private String g221;

    @ApiModelProperty(value = "FGD出口NOX信号 单位:mg/m3")
    private String g222;

    @ApiModelProperty(value = "FGD出口O2信号 单位:%")
    private String g223;

    @ApiModelProperty(value = "FGD出口流量信号 单位:m3/h")
    private String g224;

    @ApiModelProperty(value = "FGD出口温度信号 单位:℃")
    private String g225;

    @ApiModelProperty(value = "FGD出口烟尘信号 单位:mg/m3")
    private String g226;

    @ApiModelProperty(value = "FGD出口压力信号 单位:KPa")
    private String g227;

    @ApiModelProperty(value = "FGD出口湿度信号 单位:%")
    private String g228;

    @ApiModelProperty(value = "氨喷射系统电流 单位:A")
    private String g301;

    @ApiModelProperty(value = "稀释风机状态 单位:")
    private String g302;

    @ApiModelProperty(value = "稀释风机电流 单位:A")
    private String g303;

    @ApiModelProperty(value = "氨泵风机状态 单位:")
    private String g304;

    @ApiModelProperty(value = "氨泵风机电流 单位:A")
    private String g305;

    @ApiModelProperty(value = "旁路挡板状态 单位:")
    private String g306;

    @ApiModelProperty(value = "旁路挡板状开度 单位:%")
    private String g307;

    @ApiModelProperty(value = "旁路挡板左右压差 单位:KPa")
    private String g308;

    @ApiModelProperty(value = "喷枪运行状态 单位:")
    private String g310;

    @ApiModelProperty(value = "尿素循环泵状态 单位:")
    private String g311;

    @ApiModelProperty(value = "尿素循环泵电流 单位:A")
    private String g312;

    @ApiModelProperty(value = "入口 NOX 单位:mg/m3")
    private String g315;

    @ApiModelProperty(value = "入口O2 单位:%")
    private String g316;

    @ApiModelProperty(value = "入口温度 单位:℃")
    private String g317;

    @ApiModelProperty(value = "入口压力 单位:KPa")
    private String g318;

    @ApiModelProperty(value = "入口流量 单位:m3/h")
    private String g319;

    @ApiModelProperty(value = "入口湿度 单位:%")
    private String g320;

    @ApiModelProperty(value = "入口NH3 单位:mg/m3")
    private String g321;

    @ApiModelProperty(value = "出口NOX 单位:mg/m3")
    private String g322;

    @ApiModelProperty(value = "出口O2 单位:%")
    private String g323;

    @ApiModelProperty(value = "出口温度 单位:℃")
    private String g324;

    @ApiModelProperty(value = "出口压力 单位:KPa")
    private String g325;

    @ApiModelProperty(value = "出口流量 单位:m3/h")
    private String g326;

    @ApiModelProperty(value = "出口湿度 单位:%")
    private String g327;

    @ApiModelProperty(value = "出口NH3 单位:mg/m3")
    private String g328;

    @ApiModelProperty(value = "电除尘器一次电流 单位:A")
    private String g501;

    @ApiModelProperty(value = "电除尘器一次电压 单位:V")
    private String g502;

    @ApiModelProperty(value = "布袋除尘器进口温度 单位:℃")
    private String g602;

    @ApiModelProperty(value = "氨法脱硫_吸收塔供氨流量立 单位:m3/h")
    private String g705;

    @ApiModelProperty(value = "锅炉燃料给料量 单位:t/h")
    private String g903;

    @ApiModelProperty(value = "锅炉机组锅炉 MFT信号 单位:")
    private String g904;

    @ApiModelProperty(value = "引风机状态 单位:")
    private String g905;

    @ApiModelProperty(value = "引风机电流 单位:A")
    private String g906;

    @ApiModelProperty(value = "机组负荷(有功功率) 单位:MW")
    private String g947;

    @ApiModelProperty(value = "FGD出口SO2信号 单位:mg/m3")
    private String gb00;

    @ApiModelProperty(value = "FGD出口NOX信号 单位:mg/m3")
    private String gb01;

    @ApiModelProperty(value = "FGD出口O2信号 单位:%")
    private String gb02;

    @ApiModelProperty(value = "FGD出口流量信号 单位:m3/h")
    private String gb03;

    @ApiModelProperty(value = "FGD出口温度信号 单位:℃")
    private String gb04;

    @ApiModelProperty(value = "FGD出口烟尘信号 单位:mg/m3")
    private String gb05;

    @ApiModelProperty(value = "FGD出口压力信号 单位:KPa")
    private String gb06;

    @ApiModelProperty(value = "FGD出口湿度信号 单位:%")
    private String gb07;

    @ApiModelProperty(value = "脱硫剂或吸附剂喷入量 单位:kg/h")
    private String gb08;

    @ApiModelProperty(value = "脱硫剂使用量 单位:kg/h")
    private String gb09;

    @ApiModelProperty(value = "发机侧气轮机功率 单位:MW")
    private String hq100;

    @ApiModelProperty(value = "锅炉侧锅炉氧含量 单位:%")
    private String hs100;

    @ApiModelProperty(value = "发机侧锅炉蒸发量 单位:m3/h")
    private String hs101;

    @ApiModelProperty(value = "布袋除尘器前后压差 单位:Pa")
    private String hz100;

    @ApiModelProperty(value = "电除尘器二次电流 单位:A")
    private String hz101;

    @ApiModelProperty(value = "电除尘器二次电压 单位:V")
    private String hz102;

    @ApiModelProperty(value = "脱硫吸收剂pH值 单位:")
    private String hz103;

    @ApiModelProperty(value = "脱硫供浆流量 单位:m3/h")
    private String hz105;

    @ApiModelProperty(value = "脱硫供料流量 单位:kg/h")
    private String hz106;

    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位:")
    private String hz107;

    @ApiModelProperty(value = "脱硝还原剂用量 单位:m3/h")
    private String hz108;

    @ApiModelProperty(value = "煤气轮机功率 单位:MW")
    private String p103;

    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;

    /** 处理数据时间：将秒部分清零 */
    public void cleanDataTime()
    {
        if( StringUtils.isEmpty(dataTime) )
            return;
        if(dataTime.length() == "2022-01-01 00:00:00".length())
            dataTime = dataTime.substring(0,dataTime.length()-2) + "00";
    }

}
