package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 设备数据-电力-实时 保存设备的实时数据
 * </p>
 *
 * @author wl
 * @since 2021-10-08
 */
@Data
@ApiModel
public class MonDevDlVO
{
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;

    @ApiModelProperty(value = "增压风机状态 单位:")
    private Double g101;

    @ApiModelProperty(value = "氧化风机电流 单位:A")
    private Double g102;

    @ApiModelProperty(value = "浆液循环泵状态 单位:")
    private Double g103;

    @ApiModelProperty(value = "浆液循环泵电流 单位:A")
    private Double g104;

    @ApiModelProperty(value = "浆液泵状态 单位:")
    private Double g109;

    @ApiModelProperty(value = "塔（或浆液池）内浆液密度 单位:kg/m3")
    private Double g115;

    @ApiModelProperty(value = "FGD入口SO2信号 单位:mg/m3")
    private Double g119;

    @ApiModelProperty(value = "FGD入口NOX信号 单位:mg/m3")
    private Double g120;

    @ApiModelProperty(value = "FGD入口O2信号 单位:%")
    private Double g121;

    @ApiModelProperty(value = "FGD入口流量信号 单位:m3/h")
    private Double g122;

    @ApiModelProperty(value = "FGD入口温度信号 单位:℃")
    private Double g123;

    @ApiModelProperty(value = "FGD入口烟尘信号 单位:mg/m3")
    private Double g124;

    @ApiModelProperty(value = "FGD入口压力信号 单位:KPa")
    private Double g125;

    @ApiModelProperty(value = "FGD入口湿度信号 单位:%")
    private Double g126;

    @ApiModelProperty(value = "FGD出口SO2信号 单位:mg/m3")
    private Double g127;

    @ApiModelProperty(value = "FGD出口NOX信号 单位:mg/m3")
    private Double g128;

    @ApiModelProperty(value = "FGD出口O2信号 单位:%")
    private Double g129;

    @ApiModelProperty(value = "FGD出口流量信号 单位:m3/h")
    private Double g130;

    @ApiModelProperty(value = "FGD出口温度信号 单位:℃")
    private Double g131;

    @ApiModelProperty(value = "FGD出口烟尘信号 单位:mg/m3")
    private Double g132;

    @ApiModelProperty(value = "FGD出口压力信号 单位:KPa")
    private Double g133;

    @ApiModelProperty(value = "FGD出口湿度信号 单位:%")
    private Double g134;

    @ApiModelProperty(value = "浆液泵电流 单位:A")
    private Double g136;

    @ApiModelProperty(value = "氧化风机状态 单位:")
    private Double g138;

    @ApiModelProperty(value = "氧化风机电流 单位:A")
    private Double g139;

    @ApiModelProperty(value = "塔（或浆液池）内浆液液位 单位:m")
    private Double g141;

    @ApiModelProperty(value = "脱硫塔内喷水泵电流 单位:A")
    private Double g201;

    @ApiModelProperty(value = "脱硫剂输送装置电流 单位:A")
    private Double g202;

    @ApiModelProperty(value = "脱硫剂输送装置信号 单位:")
    private Double g203;

    @ApiModelProperty(value = "脱硫塔温度 单位:℃")
    private Double g204;

    @ApiModelProperty(value = "FGD入口SO2信号 单位:mg/m3")
    private Double g213;

    @ApiModelProperty(value = "FGD入口NOX信号 单位:mg/m3")
    private Double g214;

    @ApiModelProperty(value = "FGD入口O2信号 单位:%")
    private Double g215;

    @ApiModelProperty(value = "FGD入口流量信号 单位:m3/h")
    private Double g216;

    @ApiModelProperty(value = "FGD入口温度信号 单位:℃")
    private Double g217;

    @ApiModelProperty(value = "FGD入口烟尘信号 单位:mg/m3")
    private Double g218;

    @ApiModelProperty(value = "FGD入口压力信号 单位:KPa")
    private Double g219;

    @ApiModelProperty(value = "FGD入口湿度信号 单位:%")
    private Double g220;

    @ApiModelProperty(value = "FGD出口SO2信号 单位:mg/m3")
    private Double g221;

    @ApiModelProperty(value = "FGD出口NOX信号 单位:mg/m3")
    private Double g222;

    @ApiModelProperty(value = "FGD出口O2信号 单位:%")
    private Double g223;

    @ApiModelProperty(value = "FGD出口流量信号 单位:m3/h")
    private Double g224;

    @ApiModelProperty(value = "FGD出口温度信号 单位:℃")
    private Double g225;

    @ApiModelProperty(value = "FGD出口烟尘信号 单位:mg/m3")
    private Double g226;

    @ApiModelProperty(value = "FGD出口压力信号 单位:KPa")
    private Double g227;

    @ApiModelProperty(value = "FGD出口湿度信号 单位:%")
    private Double g228;

    @ApiModelProperty(value = "氨喷射系统电流 单位:A")
    private Double g301;

    @ApiModelProperty(value = "稀释风机状态 单位:")
    private Double g302;

    @ApiModelProperty(value = "稀释风机电流 单位:A")
    private Double g303;

    @ApiModelProperty(value = "氨泵风机状态 单位:")
    private Double g304;

    @ApiModelProperty(value = "氨泵风机电流 单位:A")
    private Double g305;

    @ApiModelProperty(value = "旁路挡板状态 单位:")
    private Double g306;

    @ApiModelProperty(value = "旁路挡板状开度 单位:%")
    private Double g307;

    @ApiModelProperty(value = "旁路挡板左右压差 单位:KPa")
    private Double g308;

    @ApiModelProperty(value = "喷枪运行状态 单位:")
    private Double g310;

    @ApiModelProperty(value = "尿素循环泵状态 单位:")
    private Double g311;

    @ApiModelProperty(value = "尿素循环泵电流 单位:A")
    private Double g312;

    @ApiModelProperty(value = "入口 NOX 单位:mg/m3")
    private Double g315;

    @ApiModelProperty(value = "入口O2 单位:%")
    private Double g316;

    @ApiModelProperty(value = "入口温度 单位:℃")
    private Double g317;

    @ApiModelProperty(value = "入口压力 单位:KPa")
    private Double g318;

    @ApiModelProperty(value = "入口流量 单位:m3/h")
    private Double g319;

    @ApiModelProperty(value = "入口湿度 单位:%")
    private Double g320;

    @ApiModelProperty(value = "入口NH3 单位:mg/m3")
    private Double g321;

    @ApiModelProperty(value = "出口NOX 单位:mg/m3")
    private Double g322;

    @ApiModelProperty(value = "出口O2 单位:%")
    private Double g323;

    @ApiModelProperty(value = "出口温度 单位:℃")
    private Double g324;

    @ApiModelProperty(value = "出口压力 单位:KPa")
    private Double g325;

    @ApiModelProperty(value = "出口流量 单位:m3/h")
    private Double g326;

    @ApiModelProperty(value = "出口湿度 单位:%")
    private Double g327;

    @ApiModelProperty(value = "出口NH3 单位:mg/m3")
    private Double g328;

    @ApiModelProperty(value = "电除尘器一次电流 单位:A")
    private Double g501;

    @ApiModelProperty(value = "电除尘器一次电压 单位:V")
    private Double g502;

    @ApiModelProperty(value = "布袋除尘器进口温度 单位:℃")
    private Double g602;

    @ApiModelProperty(value = "氨法脱硫_吸收塔供氨流量立 单位:m3/h")
    private Double g705;

    @ApiModelProperty(value = "锅炉燃料给料量 单位:t/h")
    private Double g903;

    @ApiModelProperty(value = "锅炉机组锅炉 MFT信号 单位:")
    private Double g904;

    @ApiModelProperty(value = "引风机状态 单位:")
    private Double g905;

    @ApiModelProperty(value = "引风机电流 单位:A")
    private Double g906;

    @ApiModelProperty(value = "机组负荷(有功功率) 单位:MW")
    private Double g947;

    @ApiModelProperty(value = "FGD出口SO2信号 单位:mg/m3")
    private Double gb00;

    @ApiModelProperty(value = "FGD出口NOX信号 单位:mg/m3")
    private Double gb01;

    @ApiModelProperty(value = "FGD出口O2信号 单位:%")
    private Double gb02;

    @ApiModelProperty(value = "FGD出口流量信号 单位:m3/h")
    private Double gb03;

    @ApiModelProperty(value = "FGD出口温度信号 单位:℃")
    private Double gb04;

    @ApiModelProperty(value = "FGD出口烟尘信号 单位:mg/m3")
    private Double gb05;

    @ApiModelProperty(value = "FGD出口压力信号 单位:KPa")
    private Double gb06;

    @ApiModelProperty(value = "FGD出口湿度信号 单位:%")
    private Double gb07;

    @ApiModelProperty(value = "脱硫剂或吸附剂喷入量 单位:kg/h")
    private Double gb08;

    @ApiModelProperty(value = "脱硫剂使用量 单位:kg/h")
    private Double gb09;

    @ApiModelProperty(value = "发机侧气轮机功率 单位:MW")
    private Double hq100;

    @ApiModelProperty(value = "锅炉侧锅炉氧含量 单位:%")
    private Double hs100;

    @ApiModelProperty(value = "发机侧锅炉蒸发量 单位:m3/h")
    private Double hs101;

    @ApiModelProperty(value = "布袋除尘器前后压差 单位:Pa")
    private Double hz100;

    @ApiModelProperty(value = "电除尘器二次电流 单位:A")
    private Double hz101;

    @ApiModelProperty(value = "电除尘器二次电压 单位:V")
    private Double hz102;

    @ApiModelProperty(value = "脱硫吸收剂pH值 单位:")
    private Double hz103;

    @ApiModelProperty(value = "脱硫供浆流量 单位:m3/h")
    private Double hz105;

    @ApiModelProperty(value = "脱硫供料流量 单位:kg/h")
    private Double hz106;

    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位:")
    private Double hz107;

    @ApiModelProperty(value = "脱硝还原剂用量 单位:m3/h")
    private Double hz108;

    @ApiModelProperty(value = "煤气轮机功率 单位:MW")
    private Double p103;

}
