package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * <p>
 * 设备数据-垃圾焚烧-实时 保存设备的实时数据
 * </p>
 *
 * @author wl
 * @since 2021-10-08
 */
@Data
@ApiModel
public class MonDevFsStringVO {
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "传输系统垃圾处理量 单位:kg/h")
    private String fs100;

    @ApiModelProperty(value = "焚烧炉炉膛温度 单位:℃")
    private String fs101;

    @ApiModelProperty(value = "脱硝烟气温度 单位:℃")
    private String fz100;

    @ApiModelProperty(value = "脱硝还原剂用量 单位:m3/h")
    private String fz101;

    @ApiModelProperty(value = "脱硫半干法石灰浆用量 单位:kg/h")
    private String fz102;

    @ApiModelProperty(value = "脱硫干法石灰石耗量 单位:kg/h")
    private String fz103;

    @ApiModelProperty(value = "脱硫吸收塔内浆液pH值 单位:")
    private String fz104;

    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位:A")
    private String fz105;

    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位:")
    private String fz106;

    @ApiModelProperty(value = "活性炭用量 单位:kg/h")
    private String fz107;

    @ApiModelProperty(value = "袋式除尘器进出口压差 单位:KPa")
    private String fz108;

    @ApiModelProperty(value = "脱酸药剂浆液浓度 单位:%")
    private String g229;

    @ApiModelProperty(value = "脱酸剂投加速率 单位:kg/h")
    private String g230;

    @ApiModelProperty(value = "雾化器电流 单位:A")
    private String g231;

    @ApiModelProperty(value = "药剂浆液浓度 单位:%")
    private String g232;

    @ApiModelProperty(value = "投加速率 单位:kg/h")
    private String g233;

    @ApiModelProperty(value = "脱酸塔排出液 pH 值 单位:")
    private String g234;

    @ApiModelProperty(value = "PNCR 脱硝剂投加速率 单位:kg/h")
    private String g332;

    @ApiModelProperty(value = "硝药剂浆液浓度 单位:%")
    private String g333;

    @ApiModelProperty(value = "投加速率 单位:kg/h")
    private String g334;

    @ApiModelProperty(value = "脱硝反应器入口烟气温度 单位:℃")
    private String g335;

    @ApiModelProperty(value = "进口温度 单位:℃")
    private String g602;

    @ApiModelProperty(value = "喷射风机电流 单位:A")
    private String ga04;

    @ApiModelProperty(value = "脱酸剂投加速率 单位:kg/h")
    private String gb14;

    @ApiModelProperty(value = "风机风量 单位:m3/h")
    private String gb15;

    @ApiModelProperty(value = "风机电流 单位:A")
    private String fz109;

    @ApiModelProperty(value = "飞灰螯合剂浓度 单位:%")
    private String gb16;

    @ApiModelProperty(value = "每批次螯合剂投加计量 单位:kg")
    private String gb17;

    @ApiModelProperty(value = "臭气收集引风机电流 单位:kg")
    private String gb18;

    @ApiModelProperty(value = "曝气风机电流 单位:kg")
    private String gb19;

    @ApiModelProperty(value = "生活垃圾进厂量 单位:kg")
    private String gc00;

    @ApiModelProperty(value = "污泥进厂量 单位:kg")
    private String gc01;

    @ApiModelProperty(value = "一般工业固废进厂量 单位:kg")
    private String gc02;

    @ApiModelProperty(value = "可入炉的医疗废物进厂量 单位:kg")
    private String gc03;

    @ApiModelProperty(value = "其它燃料进厂量 单位:kg")
    private String gc04;

    @ApiModelProperty(value = "消石灰进厂量 单位:kg")
    private String gc05;

    @ApiModelProperty(value = "生石灰进厂量 单位:kg")
    private String gc06;

    @ApiModelProperty(value = "碳酸氢钠进厂量 单位:kg")
    private String gc07;

    @ApiModelProperty(value = "氢氧化钠进厂量 单位:kg")
    private String gc08;

    @ApiModelProperty(value = "其它脱酸剂进厂量 单位:kg")
    private String gc09;

    @ApiModelProperty(value = "飞灰进厂量 单位:kg")
    private String gc10;

    @ApiModelProperty(value = "废油及废油桶进厂量 单位:kg")
    private String gc11;

    @ApiModelProperty(value = "废滤袋进厂量 单位:kg")
    private String gc12;

    @ApiModelProperty(value = "废钒钛系催化剂进厂量 单位:kg")
    private String gc13;

    @ApiModelProperty(value = "实验室废液进厂量 单位:kg")
    private String gc14;

    @ApiModelProperty(value = "其它危险废物进厂量 单位:kg")
    private String gc15;

    @ApiModelProperty(value = "炉渣出厂量 单位:kg")
    private String gc16;

    @ApiModelProperty(value = "垃圾池负压数值 单位:KPa")
    private String gc17;

    @ApiModelProperty(value = "推料器位移行程 单位:m")
    private String gc19;

    @ApiModelProperty(value = "落料密封门开停信号 单位:")
    private String gc20;

    @ApiModelProperty(value = "焚烧工况_标记 单位:")
    private String gc21;

    @ApiModelProperty(value = "焚烧工况_开始时间 单位:")
    private String gc22;

    @ApiModelProperty(value = "焚烧工况_截止时间 单位:")
    private String gc23;

    @ApiModelProperty(value = "炉膛内中部和上部温度（5 分钟均值） 单位:℃")
    private String gc24;

    @ApiModelProperty(value = "炉膛内负压 单位:KPa")
    private String gc25;

    @ApiModelProperty(value = "一次风风机流量 单位:m3/h")
    private String gc26;

    @ApiModelProperty(value = "一次风风机电流 单位:A")
    private String gc27;

    @ApiModelProperty(value = "二次风风机流量 单位:m3/h")
    private String gc28;

    @ApiModelProperty(value = "二次风风机电流 单位:A")
    private String gc29;

    @ApiModelProperty(value = "余热锅炉出口烟气温度 单位:℃")
    private String gc30;

    @ApiModelProperty(value = "SNCR 脱硝剂（氨水、尿素等）浆液浓度 单位:%")
    private String gc31;

    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;


    /** 处理数据时间：将秒部分清零 */
    public void cleanDataTime()
    {
        if( StringUtils.isEmpty(dataTime) )
            return;
        if(dataTime.length() == "2022-01-01 00:00:00".length())
            dataTime = dataTime.substring(0,dataTime.length()-2) + "00";
    }

}
