package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 设备数据-垃圾焚烧-实时 保存设备的实时数据
 * </p>
 *
 * @author wl
 * @since 2021-10-08
 */
@Data
@ApiModel
public class MonDevFsVO
{
    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "传输系统垃圾处理量 单位:kg/h")
    private Double fs100;

    @ApiModelProperty(value = "焚烧炉炉膛温度 单位:℃")
    private Double fs101;

    @ApiModelProperty(value = "脱硝烟气温度 单位:℃")
    private Double fz100;

    @ApiModelProperty(value = "脱硝还原剂用量 单位:m3/h")
    private Double fz101;

    @ApiModelProperty(value = "脱硫半干法石灰浆用量 单位:kg/h")
    private Double fz102;

    @ApiModelProperty(value = "脱硫干法石灰石耗量 单位:kg/h")
    private Double fz103;

    @ApiModelProperty(value = "脱硫吸收塔内浆液pH值 单位:")
    private Double fz104;

    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位:A")
    private Double fz105;

    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位:")
    private Double fz106;

    @ApiModelProperty(value = "活性炭用量 单位:kg/h")
    private Double fz107;

    @ApiModelProperty(value = "袋式除尘器进出口压差 单位:KPa")
    private Double fz108;

    @ApiModelProperty(value = "脱酸药剂浆液浓度 单位:%")
    private Double g229;

    @ApiModelProperty(value = "脱酸剂投加速率 单位:kg/h")
    private Double g230;

    @ApiModelProperty(value = "雾化器电流 单位:A")
    private Double g231;

    @ApiModelProperty(value = "药剂浆液浓度 单位:%")
    private Double g232;

    @ApiModelProperty(value = "投加速率 单位:kg/h")
    private Double g233;

    @ApiModelProperty(value = "脱酸塔排出液 pH 值 单位:")
    private Double g234;

    @ApiModelProperty(value = "PNCR 脱硝剂投加速率 单位:kg/h")
    private Double g332;

    @ApiModelProperty(value = "硝药剂浆液浓度 单位:%")
    private Double g333;

    @ApiModelProperty(value = "投加速率 单位:kg/h")
    private Double g334;

    @ApiModelProperty(value = "脱硝反应器入口烟气温度 单位:℃")
    private Double g335;

    @ApiModelProperty(value = "进口温度 单位:℃")
    private Double g602;

    @ApiModelProperty(value = "喷射风机电流 单位:A")
    private Double ga04;

    @ApiModelProperty(value = "脱酸剂投加速率 单位:kg/h")
    private Double gb14;

    @ApiModelProperty(value = "风机风量 单位:m3/h")
    private Double gb15;

    @ApiModelProperty(value = "风机电流 单位:A")
    private Double fz109;

    @ApiModelProperty(value = "飞灰螯合剂浓度 单位:%")
    private Double gb16;

    @ApiModelProperty(value = "每批次螯合剂投加计量 单位:kg")
    private Double gb17;

    @ApiModelProperty(value = "臭气收集引风机电流 单位:kg")
    private Double gb18;

    @ApiModelProperty(value = "曝气风机电流 单位:kg")
    private Double gb19;

    @ApiModelProperty(value = "生活垃圾进厂量 单位:kg")
    private Double gc00;

    @ApiModelProperty(value = "污泥进厂量 单位:kg")
    private Double gc01;

    @ApiModelProperty(value = "一般工业固废进厂量 单位:kg")
    private Double gc02;

    @ApiModelProperty(value = "可入炉的医疗废物进厂量 单位:kg")
    private Double gc03;

    @ApiModelProperty(value = "其它燃料进厂量 单位:kg")
    private Double gc04;

    @ApiModelProperty(value = "消石灰进厂量 单位:kg")
    private Double gc05;

    @ApiModelProperty(value = "生石灰进厂量 单位:kg")
    private Double gc06;

    @ApiModelProperty(value = "碳酸氢钠进厂量 单位:kg")
    private Double gc07;

    @ApiModelProperty(value = "氢氧化钠进厂量 单位:kg")
    private Double gc08;

    @ApiModelProperty(value = "其它脱酸剂进厂量 单位:kg")
    private Double gc09;

    @ApiModelProperty(value = "飞灰进厂量 单位:kg")
    private Double gc10;

    @ApiModelProperty(value = "废油及废油桶进厂量 单位:kg")
    private Double gc11;

    @ApiModelProperty(value = "废滤袋进厂量 单位:kg")
    private Double gc12;

    @ApiModelProperty(value = "废钒钛系催化剂进厂量 单位:kg")
    private Double gc13;

    @ApiModelProperty(value = "实验室废液进厂量 单位:kg")
    private Double gc14;

    @ApiModelProperty(value = "其它危险废物进厂量 单位:kg")
    private Double gc15;

    @ApiModelProperty(value = "炉渣出厂量 单位:kg")
    private Double gc16;

    @ApiModelProperty(value = "垃圾池负压数值 单位:KPa")
    private Double gc17;

    @ApiModelProperty(value = "推料器位移行程 单位:m")
    private Double gc19;

    @ApiModelProperty(value = "落料密封门开停信号 单位:")
    private Double gc20;

    @ApiModelProperty(value = "焚烧工况_标记 单位:")
    private Double gc21;

    @ApiModelProperty(value = "焚烧工况_开始时间 单位:")
    private String gc22;

    @ApiModelProperty(value = "焚烧工况_截止时间 单位:")
    private String gc23;

    @ApiModelProperty(value = "炉膛内中部和上部温度（5 分钟均值） 单位:℃")
    private Double gc24;

    @ApiModelProperty(value = "炉膛内负压 单位:KPa")
    private Double gc25;

    @ApiModelProperty(value = "一次风风机流量 单位:m3/h")
    private Double gc26;

    @ApiModelProperty(value = "一次风风机电流 单位:A")
    private Double gc27;

    @ApiModelProperty(value = "二次风风机流量 单位:m3/h")
    private Double gc28;

    @ApiModelProperty(value = "二次风风机电流 单位:A")
    private Double gc29;

    @ApiModelProperty(value = "余热锅炉出口烟气温度 单位:℃")
    private Double gc30;

    @ApiModelProperty(value = "SNCR 脱硝剂（氨水、尿素等）浆液浓度 单位:%")
    private Double gc31;


    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;

}
