package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

@Data
@ApiModel
public class MonDevGtStringVO {

    @ApiModelProperty(value = "数据ID")
    private Long dataId;

    @ApiModelProperty(value = "工厂ID")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    private String timeType;

    @ApiModelProperty(value = "采集时间")
    private String dataTime;

    @ApiModelProperty(value = "flowIn数据标志")
    private String flowInFlag;

    @ApiModelProperty(value = "tempIn数据标志")
    private String tempInFlag;

    @ApiModelProperty(value = "noxIn数据标志")
    private String noxInFlag;

    @ApiModelProperty(value = "pmIn数据标志")
    private String pmInFlag;

    @ApiModelProperty(value = "so2In数据标志")
    private String so2InFlag;

    @ApiModelProperty(value = "tspIn数据标志")
    private String tspInFlag;

    @ApiModelProperty(value = "flowOut数据标志")
    private String flowOutFlag;

    @ApiModelProperty(value = "tempOut数据标志")
    private String tempOutFlag;

    @ApiModelProperty(value = "noxOut数据标志")
    private String noxOutFlag;

    @ApiModelProperty(value = "o2Out数据标志")
    private String o2OutFlag;

    @ApiModelProperty(value = "pmOut数据标志")
    private String pmOutFlag;

    @ApiModelProperty(value = "so2Out数据标志")
    private String so2OutFlag;

    @ApiModelProperty(value = "除尘器风量 单位:m3/h")
    private String a140;

    @ApiModelProperty(value = "风机电流 单位:A")
    private String a141;

    @ApiModelProperty(value = "煤气使用量 单位:m3/h")
    private String b104;

    @ApiModelProperty(value = "煤气放散阀开度")
    private String b806;

    @ApiModelProperty(value = "烟气流量(入口) 单位:m3/h")
    private String flowIn;

    @ApiModelProperty(value = "烟气流量(出口) 单位:m3/h")
    private String flowOut;

    @ApiModelProperty(value = "湿法脱硫剂使用量 单位:kg/h")
    private String g140;

    @ApiModelProperty(value = "脱硫剂仓料 （液）位 单位:m")
    private String g141;

    @ApiModelProperty(value = "脱硝剂使用量 单位:kg/h")
    private String g313;

    @ApiModelProperty(value = "脱硝剂仓料（液）位 单位:m")
    private String g314;

    @ApiModelProperty(value = "脱硝入口压力 单位:KPa")
    private String g318;

    @ApiModelProperty(value = "脱硝出口压力 单位:KPa")
    private String g325;

    @ApiModelProperty(value = "反应器入口烟气温度（SCR 艺） 单位:℃")
    private String g329;

    @ApiModelProperty(value = "风机流量 单位:m3/h")
    private String g330;

    @ApiModelProperty(value = "一次电压 单位:V")
    private String g501;

    @ApiModelProperty(value = "一次电流 单位:A")
    private String g502;

    @ApiModelProperty(value = "二次电压 单位:V")
    private String g503;

    @ApiModelProperty(value = "二次电流 单位:A")
    private String g504;

    @ApiModelProperty(value = "压差 单位:KPa")
    private String g601;

    @ApiModelProperty(value = "风机电流 单位:A")
    private String g604;

    @ApiModelProperty(value = "清灰周期 单位:h")
    private String g605;

    @ApiModelProperty(value = "电机电流 单位:A")
    private String g606;

    @ApiModelProperty(value = "风门开度 单位:%")
    private String g912;

    @ApiModelProperty(value = "烧结矿产量 单位:kg")
    private String g914;

    @ApiModelProperty(value = "皮带秤作业时间 单位:")
    private String g915;

    @ApiModelProperty(value = "皮带秤配料量 单位:kg")
    private String g916;

    @ApiModelProperty(value = "料层厚度 单位:m")
    private String g917;

    @ApiModelProperty(value = "燃料（煤气） 流量 单位:m3/h")
    private String g921;

    @ApiModelProperty(value = "矿槽称量漏斗作业时间 单位:")
    private String g926;

    @ApiModelProperty(value = "矿槽称量漏斗装料量 单位:kg")
    private String g927;

    @ApiModelProperty(value = "出铁时间 单位:")
    private String g928;

    @ApiModelProperty(value = "出铁量 单位:kg")
    private String g929;

    @ApiModelProperty(value = "热风炉鼓风量 单位:m3/s")
    private String g930;

    @ApiModelProperty(value = "鼓风含氧量 单位:％")
    private String g931;

    @ApiModelProperty(value = "煤气使用量 单位:m3/h")
    private String g932;

    @ApiModelProperty(value = "加料时间 单位:")
    private String g935;

    @ApiModelProperty(value = "加铁水量 单位:kg")
    private String g936;

    @ApiModelProperty(value = "加废钢量 单位:kg")
    private String g937;

    @ApiModelProperty(value = "出钢量 单位:kg")
    private String g938;

    @ApiModelProperty(value = "出渣量 单位:kg")
    private String g939;

    @ApiModelProperty(value = "石灰窑温度 单位:℃")
    private String g941;

    @ApiModelProperty(value = "主蒸汽流量 单位:m3/s")
    private String g942;

    @ApiModelProperty(value = "燃料瞬时流量 单位:m3/s")
    private String g943;

    @ApiModelProperty(value = "高炉煤量 单位:m3/h")
    private String g944;

    @ApiModelProperty(value = "锅炉累计运行小时 单位:个")
    private String g945;

    @ApiModelProperty(value = "")
    private String g947;

    @ApiModelProperty(value = "装煤量 单位:t")
    private String g952;

    @ApiModelProperty(value = "提升机作业时间 单位:")
    private String g956;

    @ApiModelProperty(value = "装载量 单位:m3/h")
    private String g957;

    @ApiModelProperty(value = "提升机电流 单位:A")
    private String g958;

    @ApiModelProperty(value = "地面放散口压力 单位:KPa")
    private String g961;

    @ApiModelProperty(value = "火炬点火器启动记录 单位:1=开，0=关")
    private String g962;

    @ApiModelProperty(value = "硫酸使用量 单位:m3/h")
    private String g963;

    @ApiModelProperty(value = "洗油使用量 单位:m3/h")
    private String g964;

    @ApiModelProperty(value = "脱苯塔塔顶回流量 单位:m3/h")
    private String g965;

    @ApiModelProperty(value = "粗苯外送量 单位:m3/h")
    private String g966;

    @ApiModelProperty(value = "塔釜温度 单位:℃")
    private String g967;

    @ApiModelProperty(value = "洗油外送量 单位:m3/h")
    private String g968;

    @ApiModelProperty(value = "压力 单位:KPa")
    private String g969;

    @ApiModelProperty(value = "液位 单位:m")
    private String g970;

    @ApiModelProperty(value = "负压煤气管网压力 单位:KPa")
    private String g971;

    @ApiModelProperty(value = "（风机后）煤气管压力 单位:KPa")
    private String g972;

    @ApiModelProperty(value = "外供煤气流量 单位:m3/h")
    private String g973;

    @ApiModelProperty(value = "煤气柜容量 单位:m3")
    private String g974;

    @ApiModelProperty(value = "气柜高度 单位:m")
    private String g975;

    @ApiModelProperty(value = "气柜压力 单位:KPa")
    private String g976;

    @ApiModelProperty(value = "水封液位高度 单位:m")
    private String g977;

    @ApiModelProperty(value = "压力 单位:KPa")
    private String g978;

    @ApiModelProperty(value = "流量 单位:m3/h")
    private String g979;

    @ApiModelProperty(value = "火炬点火器启动记录 单位:1=开，0=关")
    private String g980;

    @ApiModelProperty(value = "放散口温度 单位:摄氏度")
    private String js201;

    @ApiModelProperty(value = "放散流速 单位:米/秒")
    private String js202;

    @ApiModelProperty(value = "液位 单位:m")
    private String g981;

    @ApiModelProperty(value = "温度 单位:℃")
    private String g982;

    @ApiModelProperty(value = "转炉煤气量 单位:m3/h")
    private String g993;

    @ApiModelProperty(value = "焦炉煤气量 单位:m3/h")
    private String g994;

    @ApiModelProperty(value = "其它燃料量 单位:m3/h")
    private String g995;

    @ApiModelProperty(value = "干法脱硫剂使用量 单位:kg/h")
    private String gb08;

    @ApiModelProperty(value = "半干法脱硫剂使用量 单位:kg/h")
    private String gb09;

    @ApiModelProperty(value = "碱洗塔碱液使用量 单位:L")
    private String gb11;

    @ApiModelProperty(value = "酸洗塔酸液使用量 单位:L")
    private String gb12;

    @ApiModelProperty(value = "洗油塔洗油使用量 单位:L")
    private String gb13;

    @ApiModelProperty(value = "颗粒物 单位:mg/m3")
    private String h959;

    @ApiModelProperty(value = "二氧化硫 单位:mg/m3")
    private String h960;

    @ApiModelProperty(value = "均压回收阀门状态 单位:1=开，0=关")
    private String mq1;

    @ApiModelProperty(value = "放散阀门状态 单位:1=开，0=关")
    private String mq2;

    @ApiModelProperty(value = "均压煤气回收流量 单位:m3/h")
    private String mq3;

    @ApiModelProperty(value = "均压累计煤气回收量 单位:m3/次")
    private String mq4;

    @ApiModelProperty(value = "放散口温度 单位:℃")
    private String mq5;

    @ApiModelProperty(value = "放散管流速 单位:m/s")
    private String mq6;

    @ApiModelProperty(value = "氮氧化物(入口) 单位:mg/m3")
    private String noxIn;

    @ApiModelProperty(value = "氮氧化物(出口) 单位:mg/m3")
    private String noxOut;

    @ApiModelProperty(value = "含氧量(出口) 单位:%")
    private String o2Out;

    @ApiModelProperty(value = "燃气流量 单位:m3/h")
    private String p1;

    @ApiModelProperty(value = "压力 单位:KPa")
    private String p2;

    @ApiModelProperty(value = "机组运行功率 单位:MW")
    private String p3;

    @ApiModelProperty(value = "动力鼓风机风量 单位:m3/h")
    private String p4;

    @ApiModelProperty(value = "颗粒物(料仓) 单位:mg/m3")
    private String pmCc1;

    @ApiModelProperty(value = "颗粒物(出铁场) 单位:mg/m3")
    private String pmCc2;

    @ApiModelProperty(value = "颗粒物(入口) 单位:mg/m3")
    private String pmIn;

    @ApiModelProperty(value = "颗粒物(出口) 单位:mg/m3")
    private String pmOut;

    @ApiModelProperty(value = "二氧化硫(装煤) 单位:mg/m3")
    private String so2Cc1;

    @ApiModelProperty(value = "二氧化硫(推焦) 单位:mg/m3")
    private String so2Cc2;

    @ApiModelProperty(value = "二氧化硫(入口) 单位:mg/m3")
    private String so2In;

    @ApiModelProperty(value = "二氧化硫(出口) 单位:mg/m3")
    private String so2Out;

    @ApiModelProperty(value = "温度(入口) 单位:℃")
    private String tempIn;

    @ApiModelProperty(value = "温度(出口) 单位:℃")
    private String tempOut;

    @ApiModelProperty(value = "湿法脱硫剂使用量 单位:kg/h")
    private String tljVol;

    @ApiModelProperty(value = "推焦时间 单位:1=开始，0=停止")
    private String tmTime;

    @ApiModelProperty(value = "脱硝剂使用量 单位:m3/h")
    private String txjVol;

    @ApiModelProperty(value = "风机电流(料仓) 单位:A")
    private String windElecCc1;

    @ApiModelProperty(value = "风机电流(出铁场) 单位:A")
    private String windElecCc2;

    @ApiModelProperty(value = "风量(料仓) 单位:m3/s")
    private String windVolCc1;

    @ApiModelProperty(value = "风量(出铁场) 单位:m3/s")
    private String windVolCc2;

    @ApiModelProperty(value = "装煤时间 单位:1=开始，0=停止")
    private String zmTime;

    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;


    /** 处理数据时间：将秒部分清零 */
    public void cleanDataTime()
    {
        if( StringUtils.isEmpty(dataTime) )
            return;
        if(dataTime.length() == "2022-01-01 00:00:00".length())
            dataTime = dataTime.substring(0,dataTime.length()-2) + "00";
    }

}
