package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 设备数据-焦化-实时 保存设备的实时数据
 * </p>
 *
 * @author wl
 * @since 2021-10-08
 */
@Data
@ApiModel
public class MonDevJhVO
{

    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "烟气流量 单位:m3/h")
    private Double a100;

    @ApiModelProperty(value = "含氧量 单位:")
    private Double a101;

    @ApiModelProperty(value = "温度 单位:℃")
    private Double a102;

    @ApiModelProperty(value = "颗粒物 单位:mg/m3")
    private Double a103;

    @ApiModelProperty(value = "二氧化硫 单位:mg/m3")
    private Double a104;

    @ApiModelProperty(value = "氮氧化物浓度 单位:mg/m3")
    private Double a105;

    @ApiModelProperty(value = "脱硝剂使用量 单位:kg/h")
    private Double a111;

    @ApiModelProperty(value = "除尘器风量 单位:m3/h")
    private Double a120;

    @ApiModelProperty(value = "风机电流 单位:A")
    private Double a121;

    @ApiModelProperty(value = "除尘器风量 单位:m3/h")
    private Double a130;

    @ApiModelProperty(value = "风机电流 单位:A")
    private Double a131;

    @ApiModelProperty(value = "除尘器风量 单位:m3/h")
    private Double a140;

    @ApiModelProperty(value = "风机电流 单位:A")
    private Double a141;

    @ApiModelProperty(value = "湿法脱硫剂使用量 单位:kg/h")
    private Double g140;

    @ApiModelProperty(value = "脱硫剂仓料（液）位 单位:m")
    private Double g141;

    @ApiModelProperty(value = "脱硝剂仓料（液）位 单位:m")
    private Double g314;

    @ApiModelProperty(value = "脱硝入口压力 单位:KPa")
    private Double g318;

    @ApiModelProperty(value = "脱硝出口压力 单位:KPa")
    private Double g325;

    @ApiModelProperty(value = "反应器入口烟气温度（SCR 艺） 单位:℃")
    private Double g329;

    @ApiModelProperty(value = "风机流量 单位:m3/h")
    private Double g330;

    @ApiModelProperty(value = "压差 单位:KPa")
    private Double g601;

    @ApiModelProperty(value = "风机电流 单位:A")
    private Double g604;

    @ApiModelProperty(value = "清灰周期 单位:h")
    private Double g605;

    @ApiModelProperty(value = "电机电流 单位:A")
    private Double g606;

    @ApiModelProperty(value = "主蒸汽流量 单位:m3/s")
    private Double g942;

    @ApiModelProperty(value = "燃料瞬时流量 单位:m3/s")
    private Double g943;

    @ApiModelProperty(value = "高炉煤气量 单位:m3/h")
    private Double g944;

    @ApiModelProperty(value = "累计运行小时 单位:个")
    private Double g945;

    @ApiModelProperty(value = "装煤量 单位:t")
    private Double g952;

    @ApiModelProperty(value = "提升机作业时间 单位:")
    private String g956;

    @ApiModelProperty(value = "装载量 单位:kg")
    private Double g957;

    @ApiModelProperty(value = "提升机电流 单位:A")
    private Double g958;

    @ApiModelProperty(value = "颗粒物 单位:mg/m3")
    private Double g959;

    @ApiModelProperty(value = "二氧化硫 单位:mg/m3")
    private Double g960;

    @ApiModelProperty(value = "地面放散口压力 单位:KPa")
    private Double g961;

    @ApiModelProperty(value = "火炬点火器启动记录 单位:")
    private Double g962;

    @ApiModelProperty(value = "硫酸使用量 单位:m3/h")
    private Double g963;

    @ApiModelProperty(value = "洗油使用量 单位:m3/h")
    private Double g964;

    @ApiModelProperty(value = "脱苯塔塔顶回流量 单位:m3/h")
    private Double g965;

    @ApiModelProperty(value = "粗苯外送量 单位:m3/h")
    private Double g966;

    @ApiModelProperty(value = "塔釜温度 单位:℃")
    private Double g967;

    @ApiModelProperty(value = "洗油外送量 单位:m3/h")
    private Double g968;

    @ApiModelProperty(value = "压力 单位:KPa")
    private Double g969;

    @ApiModelProperty(value = "液位 单位:m")
    private Double g970;

    @ApiModelProperty(value = "负压煤气管网压力 单位:KPa")
    private Double g971;

    @ApiModelProperty(value = "（风机后）煤气管压力 单位:KPa")
    private Double g972;

    @ApiModelProperty(value = "外供煤气流量 单位:m3/h")
    private Double g973;

    @ApiModelProperty(value = "煤气柜容量 单位:m3")
    private Double g974;

    @ApiModelProperty(value = "气柜高度 单位:m")
    private Double g975;

    @ApiModelProperty(value = "气柜压力 单位:KPa")
    private Double g976;

    @ApiModelProperty(value = "水封液位高度 单位:m")
    private Double g977;

    @ApiModelProperty(value = "压力 单位:KPa")
    private Double g978;

    @ApiModelProperty(value = "流量 单位:m3/h")
    private Double g979;

    @ApiModelProperty(value = "火炬点火器启动记录 单位:1=开，0=关")
    private Double g980;

    @ApiModelProperty(value = "液位 单位:m")
    private Double g981;

    @ApiModelProperty(value = "温度 单位:℃")
    private Double g982;

    @ApiModelProperty(value = "转炉煤气量 单位:m3/h")
    private Double g993;

    @ApiModelProperty(value = "焦炉煤气量 单位:m3/h")
    private Double g994;

    @ApiModelProperty(value = "其它燃料量 单位:m3/h")
    private Double g995;

    @ApiModelProperty(value = "干法脱硫剂使用量 单位:kg/h")
    private Double gb08;

    @ApiModelProperty(value = "半干法脱硫剂使用量 单位:kg/h")
    private Double gb09;

    @ApiModelProperty(value = "碱洗塔碱液使用量 单位:L")
    private Double gb11;

    @ApiModelProperty(value = "酸洗塔酸液使用量 单位:L")
    private Double gb12;

    @ApiModelProperty(value = "洗油塔洗油使用量 单位:L")
    private Double gb13;

    @ApiModelProperty(value = "颗粒物 单位:mg/m3")
    private Double h959;

    @ApiModelProperty(value = "二氧化硫 单位:mg/m3")
    private Double h960;

    @ApiModelProperty(value = "颗粒物 单位:mg/m3")
    private Double j959;

    @ApiModelProperty(value = "二氧化硫 单位:mg/m3")
    private Double j960;

    @ApiModelProperty(value = "装煤时间 单位:")
    private String js100;

    @ApiModelProperty(value = "推焦时间 单位:")
    private String js101;

    @ApiModelProperty(value = "装煤车电流 单位:A")
    private Double js102;

    @ApiModelProperty(value = "推焦车电流 单位:A")
    private Double js103;

    @ApiModelProperty(value = "煤气使用量 单位:m3/h")
    private Double js104;

    @ApiModelProperty(value = "放散流量 单位:m3/h")
    private Double js200;

    @ApiModelProperty(value = "放散温度 单位:℃")
    private Double js201;

    @ApiModelProperty(value = "放散流速 单位:m/s")
    private Double js202;

    @ApiModelProperty(value = "放散压力 单位:KPa")
    private Double js203;

    @ApiModelProperty(value = "布袋除尘器前后压差 单位:Pa")
    private Double jz100;

    @ApiModelProperty(value = "电除尘器二次电流 单位:A")
    private Double jz101;

    @ApiModelProperty(value = "电除尘器二次电压 单位:V")
    private Double jz102;

    @ApiModelProperty(value = "脱硫吸收剂pH值 单位:")
    private Double jz103;

    @ApiModelProperty(value = "湿法脱硫剂使用量 单位:m3/h")
    private Double jz105;

    @ApiModelProperty(value = "脱硫供料流量 单位:kg/h")
    private Double jz106;

    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 单位:1=运行，0=停止")
    private Double jz107;

    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位:A")
    private Double jz108;

    @ApiModelProperty(value = "反应器入口烟气温度（SCR 艺） 单位:℃")
    private Double jz109;

    @ApiModelProperty(value = "脱硝还原剂使用量 单位:m3/h")
    private Double jz110;

    @ApiModelProperty(value = "脱硝剂使用量 单位:kg/h")
    private Double txjVol;


    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;

}
