package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数对象 mon_dev_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据(有组织)-实时 保存有组织设备的实时数据。p1~pn字段对应各设备的生产过程类参数")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonDevRealVo
{


    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    private Long dataId;

    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    private String deviceId;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    /** 时间类型 枚举。总为“实时” */
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    /** 数据时间 */
    private String dataTime;

    @ApiModelProperty(value = "装煤时间")
    /** 装煤时间 */
    private String zmTime;

    @ApiModelProperty(value = "推焦时间")
    /** 推焦时间 */
    private String tmTime;

    @ApiModelProperty(value = "生产过程参数1 含义因设备而异")
    /** 生产过程参数1 含义因设备而异 */
    private String p1;

    @ApiModelProperty(value = "生产过程参数2 含义因设备而异")
    /** 生产过程参数2 含义因设备而异 */
    private String p2;

    @ApiModelProperty(value = "生产过程参数3 含义因设备而异")
    /** 生产过程参数3 含义因设备而异 */
    private String p3;

    @ApiModelProperty(value = "生产过程参数4 含义因设备而异")
    /** 生产过程参数4 含义因设备而异 */
    private String p4;

    @ApiModelProperty(value = "烟气流量-in")
    /** 烟气流量-in */
    private String flowIn;

    @ApiModelProperty(value = "温度-in")
    /** 温度-in */
    private String tempIn;

    @ApiModelProperty(value = "NOx-in")
    /** NOx-in */
    private String noxIn;

    @ApiModelProperty(value = "颗粒物-in")
    /** 颗粒物-in */
    private String pmIn;

    @ApiModelProperty(value = "SO2-in")
    /** SO2-in */
    private String so2In;

    @ApiModelProperty(value = "烟气流量-out")
    /** 烟气流量-out */
    private String flowOut;

    @ApiModelProperty(value = "温度-out")
    /** 温度-out */
    private String tempOut;

    @ApiModelProperty(value = "NOx-out")
    /** NOx-out */
    private String noxOut;

    @ApiModelProperty(value = "含氧量-out")
    /** 含氧量-out */
    private String o2Out;

    @ApiModelProperty(value = "颗粒物-out")
    /** 颗粒物-out */
    private String pmOut;

    @ApiModelProperty(value = "SO2-out")
    /** SO2-out */
    private String so2Out;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String flowInFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String tempInFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String noxInFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String pmInFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String so2InFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String flowOutFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String tempOutFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String noxOutFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String o2OutFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String pmOutFlag;

    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    private String so2OutFlag;

    @ApiModelProperty(value = "脱硫剂使用量")
    /** 脱硫剂使用量 */
    private String tljVol;

    @ApiModelProperty(value = "脱硝剂使用量")
    /** 脱硝剂使用量 */
    private String txjVol;

    @ApiModelProperty(value = "SO2-除尘1")
    /** SO2-除尘1 */
    private String so2Cc1;

    @ApiModelProperty(value = "颗粒物-除尘1")
    /** 颗粒物-除尘1 */
    private String pmCc1;

    @ApiModelProperty(value = "风机电流-除尘1")
    /** 风机电流-除尘1 */
    private String windElecCc1;

    @ApiModelProperty(value = "除尘器风量-除尘1")
    /** 除尘器风量-除尘1 */
    private String windVolCc1;

    @ApiModelProperty(value = "SO2-除尘2")
    /** SO2-除尘2 */
    private String so2Cc2;

    @ApiModelProperty(value = "颗粒物-除尘2")
    /** 颗粒物-除尘2 */
    private String pmCc2;

    @ApiModelProperty(value = "风机电流-除尘2")
    /** 风机电流-除尘2 */
    private String windElecCc2;

    @ApiModelProperty(value = "除尘器风量-除尘2")
    /** 除尘器风量-除尘2 */
    private String windVolCc2;

    @ApiModelProperty(value = "风机电流-除尘3")
    /** 风机电流-除尘3 */
    private String windElecCc3;

    @ApiModelProperty(value = "煤气参数3 含义因设备而异")
    /** 煤气参数3 含义因设备而异 */
    private String mq1;

    @ApiModelProperty(value = "煤气参数2 含义因设备而异")
    /** 煤气参数2 含义因设备而异 */
    private String mq2;

    @ApiModelProperty(value = "煤气参数1 含义因设备而异")
    /** 煤气参数1 含义因设备而异 */
    private String mq3;

    @ApiModelProperty(value = "煤气参数4 含义因设备而异")
    /** 煤气参数4 含义因设备而异 */
    private String mq4;

    @ApiModelProperty(value = "煤气参数5 含义因设备而异")
    /** 煤气参数5 含义因设备而异 */
    private String mq5;

    @ApiModelProperty(value = "煤气参数6 含义因设备而异")
    /** 煤气参数6 含义因设备而异 */
    private String mq6;

    @ApiModelProperty(value = "脱硫剂仓料（液）位")
    /** 脱硫剂仓料（液）位 */
    private String g141;

    @ApiModelProperty(value = "脱硝剂仓料（液）位")
    /** 脱硝剂仓料（液）位 */
    private String g314;

    @ApiModelProperty(value = "反应器入口烟气温度（SCR工艺）")
    /** 反应器入口烟气温度（SCR工艺） */
    private String g329;

    @ApiModelProperty(value = "静电除尘器一次电压")
    /** 静电除尘器一次电压 */
    private String g501;

    @ApiModelProperty(value = "静电除尘器一次电流")
    /** 静电除尘器一次电流 */
    private String g502;

    @ApiModelProperty(value = "静电除尘器二次电压")
    /** 静电除尘器二次电压 */
    private String g503;

    @ApiModelProperty(value = "静电除尘器二次电流")
    /** 静电除尘器二次电流 */
    private String g504;

    @ApiModelProperty(value = "压差")
    /** 压差 */
    private String g601;

    @ApiModelProperty(value = "清灰周期")
    /** 清灰周期 */
    private String g605;

    @ApiModelProperty(value = "电机电流")
    /** 电机电流 */
    private String g606;

    @ApiModelProperty(value = "风门开度")
    /** 风门开度 */
    private String g912;

    @ApiModelProperty(value = "烧结矿产量")
    /** 烧结矿产量 */
    private String g914;

    @ApiModelProperty(value = "皮带秤作业时间")
    /** 皮带秤作业时间 */
    private String g915;

    @ApiModelProperty(value = "皮带秤配料量")
    /** 皮带秤配料量 */
    private String g916;

    @ApiModelProperty(value = "料层厚度")
    /** 料层厚度 */
    private String g917;

    @ApiModelProperty(value = "燃料（煤气）流量")
    /** 燃料（煤气）流量 */
    private String g921;

    @ApiModelProperty(value = "矿槽称量漏斗作业时间")
    /** 矿槽称量漏斗作业时间 */
    private String g926;

    @ApiModelProperty(value = "矿槽称量漏斗装料量")
    /** 矿槽称量漏斗装料量 */
    private String g927;

    @ApiModelProperty(value = "出铁时间")
    /** 出铁时间 */
    private String g928;

    @ApiModelProperty(value = "出铁量")
    /** 出铁量 */
    private String g929;

    @ApiModelProperty(value = "热风炉鼓风量")
    /** 热风炉鼓风量 */
    private String g930;

    @ApiModelProperty(value = "出铁量")
    /** 出铁量 */
    private String g931;

    @ApiModelProperty(value = "煤气使用量")
    /** 煤气使用量 */
    private String g932;

    @ApiModelProperty(value = "加料时间")
    /** 加料时间 */
    private String g935;

    @ApiModelProperty(value = "加铁水量")
    /** 加铁水量 */
    private String g936;

    @ApiModelProperty(value = "加废钢量")
    /** 加废钢量 */
    private String g937;

    @ApiModelProperty(value = "出钢量")
    /** 出钢量 */
    private String g938;

    @ApiModelProperty(value = "出渣量")
    /** 出渣量 */
    private String g939;

    @ApiModelProperty(value = "石灰窑温度")
    /** 石灰窑温度 */
    private String g941;

    @ApiModelProperty(value = "主蒸汽流量")
    /** 主蒸汽流量 */
    private String g942;

    @ApiModelProperty(value = "高炉煤气")
    /** 高炉煤气 */
    private String g944;

    @ApiModelProperty(value = "锅炉累计运行小时数")
    /** 锅炉累计运行小时数 */
    private String g945;

    @ApiModelProperty(value = "转炉煤气")
    /** 转炉煤气 */
    private String g993;

    @ApiModelProperty(value = "焦炉煤气")
    /** 焦炉煤气 */
    private String g994;

    @ApiModelProperty(value = "其它燃料量")
    /** 其它燃料量 */
    private String g995;

    @ApiModelProperty(value = "干法脱硫剂使用量")
    /** 干法脱硫剂使用量 */
    private String gb08;

    @ApiModelProperty(value = "半干发脱硫剂使用量")
    /** 半干发脱硫剂使用量 */
    private String gb09;

    @ApiModelProperty(value = "附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...}")
    /** 附加参数 JSON。格式类似：{{pmIn:{02:12,03:23},...} */
    private String addiParam;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "除尘器风量")
    /** 除尘器风量 */
    private String a140;

    @ApiModelProperty(value = "风机电流")
    /** 风机电流 */
    private String a141;

    @ApiModelProperty(value = "煤气使用量")
    /** 煤气使用量 */
    private String b104;

    @ApiModelProperty(value = "脱硝剂使用量")
    /** 脱硝剂使用量 */
    private String g313;

    @ApiModelProperty(value = "脱硝入口压力")
    /** 脱硝入口压力 */
    private String g318;

    @ApiModelProperty(value = "脱硝出口压力")
    /** 脱硝出口压力 */
    private String g325;

    @ApiModelProperty(value = "风机流量")
    /** 风机流量 */
    private String g330;

    @ApiModelProperty(value = "风机电流")
    /** 风机电流 */
    private String g604;

    @ApiModelProperty(value = "燃料瞬时流量")
    /** 燃料瞬时流量 */
    private String g943;

    @ApiModelProperty(value = "装煤量")
    /** 装煤量 */
    private String g952;

    @ApiModelProperty(value = "提升机作业时间")
    /** 提升机作业时间 */
    private String g956;

    @ApiModelProperty(value = "装载量")
    /** 装载量 */
    private String g957;

    @ApiModelProperty(value = "提升机电流")
    /** 提升机电流 */
    private String g958;

    @ApiModelProperty(value = "地面放散口压力")
    /** 地面放散口压力 */
    private String g961;

    @ApiModelProperty(value = "火炬点火器启动记录")
    /** 火炬点火器启动记录 */
    private String g962;

    @ApiModelProperty(value = "硫酸使用量")
    /** 硫酸使用量 */
    private String g963;

    @ApiModelProperty(value = "洗油使用量")
    /** 洗油使用量 */
    private String g964;

    @ApiModelProperty(value = "脱苯塔塔顶回流量")
    /** 脱苯塔塔顶回流量 */
    private String g965;

    @ApiModelProperty(value = "粗苯外送量")
    /** 粗苯外送量 */
    private String g966;

    @ApiModelProperty(value = "塔釜温度")
    /** 塔釜温度 */
    private String g967;

    @ApiModelProperty(value = "洗油外送量")
    /** 洗油外送量 */
    private String g968;

    @ApiModelProperty(value = "压力")
    /** 压力 */
    private String g969;

    @ApiModelProperty(value = "液位")
    /** 液位 */
    private String g970;

    @ApiModelProperty(value = "负压煤气管网压力")
    /** 负压煤气管网压力 */
    private String g971;

    @ApiModelProperty(value = "（风机后）煤气管压力")
    /** （风机后）煤气管压力 */
    private String g972;

    @ApiModelProperty(value = "外供煤气流量")
    /** 外供煤气流量 */
    private String g973;

    @ApiModelProperty(value = "煤气柜容量")
    /** 煤气柜容量 */
    private String g974;

    @ApiModelProperty(value = "气柜高度")
    /** 气柜高度 */
    private String g975;

    @ApiModelProperty(value = "气柜压力")
    /** 气柜压力 */
    private String g976;

    @ApiModelProperty(value = "水封液位高度")
    /** 水封液位高度 */
    private String g977;

    @ApiModelProperty(value = "压力")
    /** 压力 */
    private String g978;

    @ApiModelProperty(value = "流量")
    /** 流量 */
    private String g979;

    @ApiModelProperty(value = "火炬点火器启动记录")
    /** 火炬点火器启动记录 */
    private String g980;

    @ApiModelProperty(value = "液位")
    /** 液位 */
    private String g981;

    @ApiModelProperty(value = "温度")
    /** 温度 */
    private String g982;

    @ApiModelProperty(value = "碱洗塔碱液使用量")
    /** 碱洗塔碱液使用量 */
    private String gb11;

    @ApiModelProperty(value = "酸洗塔酸液使用量")
    /** 酸洗塔酸液使用量 */
    private String gb12;

    @ApiModelProperty(value = "洗油塔洗油使用量")
    /** 洗油塔洗油使用量 */
    private String gb13;

    @ApiModelProperty(value = "颗粒物")
    /** 颗粒物 */
    private String h959;

    @ApiModelProperty(value = "二氧化硫")
    /** 二氧化硫 */
    private String h960;

}
