package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * <p>
 * 设备数据-水泥-实时 保存设备的实时数据
 * </p>
 *
 * @author wl
 * @since 2021-10-08
 */
@Data
@ApiModel
public class MonDevSnStringVO {

    @ApiModelProperty(value = "企业ID 冗余")
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "生产端加料量 单位：kg/h")
    private String ss100;

    @ApiModelProperty(value = "生产端窑尾烟室温度 单位：℃")
    private String ss101;

    @ApiModelProperty(value = "窑头布袋除尘器前后压差 单位：Pa")
    private String sz100;

    @ApiModelProperty(value = "窑尾布袋除尘器前后压差 单位：Pa")
    private String sz101;

    @ApiModelProperty(value = "窑头电除尘器二次电流 单位：A")
    private String sz102;

    @ApiModelProperty(value = "窑尾电除尘器二次电流 单位：A")
    private String sz103;

    @ApiModelProperty(value = "窑头电除尘器二次电压 单位：V")
    private String sz104;

    @ApiModelProperty(value = "窑尾电除尘器二次电压 单位：V")
    private String sz105;

    @ApiModelProperty(value = "脱硝还原剂用量 单位：m3/h")
    private String sz106;

    @ApiModelProperty(value = "脱硫洗涤塔pH值v")
    private String sz107;

    @ApiModelProperty(value = "脱硫供浆流量 单位：m3/h")
    private String sz108;

    @ApiModelProperty(value = "脱硫供料流量 单位：kg/h")
    private String sz109;

    @ApiModelProperty(value = "脱硫浆液循环泵运行状态 1=运行，0=停止")
    private String sz110;

    @ApiModelProperty(value = "脱硫湿法氧化风机电流 单位：A")
    private String sz111;

    @ApiModelProperty(value = "窑头除尘器进口压力 单位：kPa")
    private String sz112;

    @ApiModelProperty(value = "窑头除尘器出口压力 单位：kPa")
    private String sz113;

    @ApiModelProperty(value = "窑尾除尘器出口压力 单位：kPa")
    private String sz114;

    @ApiModelProperty(value = "窑尾除尘器进口压力 单位：kPa")
    private String sz115;

    @ApiModelProperty(value = "附加参数 JSON")
    private String addiParam;

    /** 处理数据时间：将秒部分清零 */
    public void cleanDataTime()
    {
        if( StringUtils.isEmpty(dataTime) )
            return;
        if(dataTime.length() == "2022-01-01 00:00:00".length())
            dataTime = dataTime.substring(0,dataTime.length()-2) + "00";
    }

}
