package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 有组织-分表计电设备对应 两类设备为多对多的关系对象 mon_elec_event
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "有组织-分表计电设备对应 两类设备为多对多的关系")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonElecEventVo
{


    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    private Long dataId;

    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    private String factoryId;

    @ApiModelProperty(value = "点位ID")
    /** 点位ID */
    private String siteId;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    /** 时间类型 枚举。总为“实时” */
    private String timeType;

    @ApiModelProperty(value = "数据时间")
    /** 数据时间 */
    private String dataTime;

    @ApiModelProperty(value = "停上电 0=上电，1=停电")
    /** 停上电 0=上电，1=停电 */
    private Long tn50;

    @ApiModelProperty(value = "设备状态 0=关机状态，1=开机状态")
    /** 设备状态 0=关机状态，1=开机状态 */
    private Long tn62;

    @ApiModelProperty(value = "电流幅值突变 百分比的分子值")
    /** 电流幅值突变 百分比的分子值 */
    private String tn63;

    @ApiModelProperty(value = "电压幅值突变 百分比的分子值")
    /** 电压幅值突变 百分比的分子值 */
    private String tn64;

    @ApiModelProperty(value = "设备异常破坏 0=关，1=开")
    /** 设备异常破坏 0=关，1=开 */
    private Long tn65;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
