package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 分表计电设备-点位对应 设备与点位为多对多的关系对象 mon_elec_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "分表计电设备-点位对应 设备与点位为多对多的关系")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonElecRealVo
{
    @ApiModelProperty(value = "数据ID")
    private Long dataId;

    @ApiModelProperty(value = "时间类型 枚举。总为“实时”")
    private String timeType;

    @Excel(name = "数据时间")
    @ApiModelProperty(value = "数据时间")
    private String dataTime;

    @ApiModelProperty(value = "设备名称")
    @Excel(name = "设备名称")
    private String deviceName;

    private String deviceSiteId;

    @Excel(name = "点位")
    private String deviceSiteName;

    @ApiModelProperty(value = "总有功功率（千瓦）")
    @Excel(name = "总有功功率（千瓦）")
    private String activePower;

    @ApiModelProperty(value = "总无功功率（千瓦）")
    @Excel(name = "总无功功率（千瓦）")
    private String reactivePower;

    @ApiModelProperty(value = "总有功电量示值（安）")
    @Excel(name = "总有功电量示值（安）")
    private String activePowerQuantity;

    @ApiModelProperty(value = "总无功电量示值（安）")
    @Excel(name = "总无功电量示值（安）")
    private String reactivePowerQuantity;

    @ApiModelProperty(value = "总功率因数")
    @Excel(name = "总功率因数")
    private String totalPower;

    @ApiModelProperty(value = "A相电流（安）")
    @Excel(name = "A相电流（安）")
    private String currentAp;

    @ApiModelProperty(value = "B相电流（安）")
    @Excel(name = "B相电流（安）")
    private String currentBp;

    @ApiModelProperty(value = "C相电流（安）")
    @Excel(name = "C相电流（安）")
    private String currentCp;

    @ApiModelProperty(value = "单相电流（安）")
    @Excel(name = "单相电流（安）")
    private String currentSinglePhase;

    @ApiModelProperty(value = "A相电压（伏）")
    @Excel(name = "A相电压（伏）")
    private String voltageAp;

    @ApiModelProperty(value = "B相电压（伏）")
    @Excel(name = "B相电压（伏）")
    private String voltageBp;

    @ApiModelProperty(value = "C相电压（伏）")
    @Excel(name = "C相电压（伏）")
    private String voltageCp;

    @ApiModel(value = "分表计电大屏-用电量监控vo")
    @Data
    public static class KwhMonitorVo {
        @ApiModelProperty(value = "分组名称")
        private String name;

        @ApiModelProperty(value = "用电量")
        private BigDecimal kwh;

        @ApiModelProperty(value = "百分比")
        private String percentage;
    }

}
