package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * ods层网格化市控站点小时增量对象 ods_meshing_sh_station_hour_i
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "ods层网格化市控站点小时增量")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsMeshingShStationHourIVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "站点id")
    /** 站点id */
    private String stationId;

    @ApiModelProperty(value = "站点编码")
    /** 站点编码 */
    private String stationCode;

    @ApiModelProperty(value = "数据采集时间")
    /** 数据采集时间 */
    private String receiveTime;

    @ApiModelProperty(value = "SO2浓度实况值")
    /** SO2浓度实况值 */
    private String so2Live;

    @ApiModelProperty(value = "NO2浓度实况值")
    /** NO2浓度实况值 */
    private String no2Live;

    @ApiModelProperty(value = "CO浓度实况值")
    /** CO浓度实况值 */
    private String coLive;

    @ApiModelProperty(value = "O3浓度实况值")
    /** O3浓度实况值 */
    private String o3Live;

    @ApiModelProperty(value = "PM10浓度实况值")
    /** PM10浓度实况值 */
    private String pm10Live;

    @ApiModelProperty(value = "PM2.5浓度实况值")
    /** PM2.5浓度实况值 */
    private String pm25Live;

    @ApiModelProperty(value = "温度")
    /** 温度 */
    private String temperature;

    @ApiModelProperty(value = "湿度")
    /** 湿度 */
    private String humidity;

    @ApiModelProperty(value = "大气压")
    /** 大气压 */
    private String apress;

    @ApiModelProperty(value = "风向")
    /** 风向 */
    private String wdirect;

    @ApiModelProperty(value = "风速")
    /** 风速 */
    private String wspeed;

    @ApiModelProperty(value = "噪声")
    /** 噪声 */
    private String noise;

    @ApiModelProperty(value = "MAXID值")
    /** MAXID值 */
    private String maxId;

    @ApiModelProperty(value = "无用")
    /** 无用 */
    private String flag;

    @ApiModelProperty(value = "PM10标况值")
    /** PM10标况值 */
    private String pm10Bk;

    @ApiModelProperty(value = "PM25标况值")
    /** PM25标况值 */
    private String pm25Bk;

    @ApiModelProperty(value = "SO2标况值")
    /** SO2标况值 */
    private String so2Bk;

    @ApiModelProperty(value = "NO2标况值")
    /** NO2标况值 */
    private String no2Bk;

    @ApiModelProperty(value = "CO标况值")
    /** CO标况值 */
    private String coBk;

    @ApiModelProperty(value = "O3标况值")
    /** O3标况值 */
    private String o3Bk;

    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String pmi;

    @ApiModelProperty(value = "PMI标况值")
    /** PMI标况值 */
    private String pmiBk;

    @ApiModelProperty(value = "TSP实况值")
    /** TSP实况值 */
    private String tspLive;

    @ApiModelProperty(value = "TSP标况值")
    /** TSP标况值 */
    private String tspBk;

    @ApiModelProperty(value = "NO实况值")
    /** NO实况值 */
    private String noLive;

    @ApiModelProperty(value = "TVOC值")
    /** TVOC值 */
    private String tvoc;

    @ApiModelProperty(value = "co2浓度值")
    /** co2浓度值 */
    private String co2;

    @ApiModelProperty(value = "氮氧化物浓度值")
    /** 氮氧化物浓度值 */
    private String nox;

    @ApiModelProperty(value = "数据创建时间")
    /** 数据创建时间 */
    private String createTime;

    @ApiModelProperty(value = "数据更新时间")
    /** 数据更新时间 */
    private String updateTime;

}
