package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * ods层网格化微站站点小时增量对象 ods_meshing_wei_station_hour_i
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "ods层网格化微站站点小时增量")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsMeshingWeiStationHourIVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "站点id")
    /** 站点id */
    private String stationId;

    @ApiModelProperty(value = "站点编码")
    /** 站点编码 */
    private String stationCode;

    @ApiModelProperty(value = "数据采集时间")
    /** 数据采集时间 */
    private String receiveTime;

    @ApiModelProperty(value = "co浓度值 单位 mg/m3")
    /** co浓度值 单位 mg/m3 */
    private String co;

    @ApiModelProperty(value = "NO2浓度值 单位μg/m3")
    /** NO2浓度值 单位μg/m3 */
    private String no2;

    @ApiModelProperty(value = "SO2 浓度值 单位μg/m3")
    /** SO2 浓度值 单位μg/m3 */
    private String so2;

    @ApiModelProperty(value = "O3浓度值 单位μg/m3")
    /** O3浓度值 单位μg/m3 */
    private String o3;

    @ApiModelProperty(value = "VOC浓度值 单位PPB")
    /** VOC浓度值 单位PPB */
    private String voc;

    @ApiModelProperty(value = "噪声")
    /** 噪声 */
    private String noise;

    @ApiModelProperty(value = "PM2.5浓度值 单位μg/m3")
    /** PM2.5浓度值 单位μg/m3 */
    private String pm25;

    @ApiModelProperty(value = "PM10浓度值 单位μg/m3")
    /** PM10浓度值 单位μg/m3 */
    private String pm10;

    @ApiModelProperty(value = "温度 单位 ℃")
    /** 温度 单位 ℃ */
    private String temperature;

    @ApiModelProperty(value = "utc")
    /** utc */
    private String utc;

    @ApiModelProperty(value = "湿度 单位%RH")
    /** 湿度 单位%RH */
    private String humidity;

    @ApiModelProperty(value = "风向 单位°")
    /** 风向 单位° */
    private String wdirect;

    @ApiModelProperty(value = "风速 单位 m/s")
    /** 风速 单位 m/s */
    private String wspeed;

    @ApiModelProperty(value = "大气压 单位 hPa")
    /** 大气压 单位 hPa */
    private String apress;

    @ApiModelProperty(value = "设备状态")
    /** 设备状态 */
    private String equstatename;

    @ApiModelProperty(value = "设备状态码")
    /** 设备状态码 */
    private String equstate;

    @ApiModelProperty(value = "NO 浓度值 单位μg/m3")
    /** NO 浓度值 单位μg/m3 */
    private String no;

    @ApiModelProperty(value = "TSP 浓度值")
    /** TSP 浓度值 */
    private String tsp;

    @ApiModelProperty(value = "AQI值")
    /** AQI值 */
    private String aqi;

    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String aqiLevel;

    @ApiModelProperty(value = "首要污染物")
    /** 首要污染物 */
    private String priPollute;

    @ApiModelProperty(value = "PointHour 表示微型站数据，VocHour 表示 VOC 站数据")
    /** PointHour 表示微型站数据，VocHour 表示 VOC 站数据 */
    private String type;

    @ApiModelProperty(value = "O38H浓度值 单位μg/m3")
    /** O38H浓度值 单位μg/m3 */
    private String o38h;

    @ApiModelProperty(value = "数据创建时间")
    /** 数据创建时间 */
    private String createTime;

    @ApiModelProperty(value = "数据更新时间")
    /** 数据更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "氮氧化物浓度值")
    /** 氮氧化物浓度值 */
    private String nox;

    @ApiModelProperty(value = "TVOC值")
    /** TVOC值 */
    private String tvoc;

}
