package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "企业分类档案相关vo")
@Data
public class PcArchivesFactoryVo {

    @ApiModelProperty("重点关注列表")
    private List<Archives> followList;

    @ApiModelProperty("分类列表")
    private List<Type> typeList;


    @ApiModel(value = "企业档案vo")
    @Data
    public static class Archives {
        @ApiModelProperty("企业分类档案表id")
        private String pcArchivesFactoryId;

        @ApiModelProperty("档案名称")
        private String name;

        @ApiModelProperty("档案url")
        private String url;
    }


    @ApiModel(value = "企业分类档案类型vo")
    @Data
    public static class Type {
        @ApiModelProperty("分类名称")
        private String name;

        @ApiModelProperty("档案列表")
        private List<Archives> archives;

        @ApiModelProperty("还原档案列表")
        private List<Archives> hideArchives;
    }


}
