package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 管控要求对象 pc_control_requirements
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "管控要求")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcControlRequirementsVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    private String outletId;

    @ApiModelProperty(value = "污染物种类id")
    /** 污染物种类id*/
    private String pollutantId;

    @ApiModelProperty(value = "国家或地方污染物排放标准名")
    /** 国家或地方污染物排放标准名*/
    private String pollutantStandardName;

    @ApiModelProperty(value = "排放标准浓度限值")
    /** 排放标准浓度限值*/
    private String emissionStandardConcentrationLim;

    @ApiModelProperty(value = "排放标准浓度单位")
    /** 排放标准浓度单位*/
    private String emissionStandardConcentrationUnit;

    @ApiModelProperty(value = "排放标准速率限值（kg/h）")
    /** 排放标准速率限值（kg/h）*/
    private String emissionStandardRateLim;

    @ApiModelProperty(value = "环境影响评价批复要求")
    /** 环境影响评价批复要求*/
    private String approvalRequirements;

    @ApiModelProperty(value = "许可排放小时浓度限值")
    /** 许可排放小时浓度限值*/
    private String permissibleConcentrationLimHour;

    @ApiModelProperty(value = "许可排放日均浓度限值")
    /** 许可排放日均浓度限值*/
    private String permissibleConcentrationLimDay;

    @ApiModelProperty(value = "许可排放速率限值（kg/h）")
    /** 许可排放速率限值（kg/h）*/
    private String permissibleRateLim;

    @ApiModelProperty(value = "许可年排放量限值-第一年（t/a）")
    /** 许可年排放量限值-第一年（t/a）*/
    private String permissibleLimFirst;

    @ApiModelProperty(value = "许可年排放量限值-第二年（t/a）")
    /** 许可年排放量限值-第二年（t/a）*/
    private String permissibleLimSecond;

    @ApiModelProperty(value = "许可年排放量限值-第三年（t/a）")
    /** 许可年排放量限值-第三年（t/a）*/
    private String permissibleLimThird;

    @ApiModelProperty(value = "许可年排放量限值-第四年（t/a）")
    /** 许可年排放量限值-第四年（t/a）*/
    private String permissibleLimFourth;

    @ApiModelProperty(value = "许可年排放量限值-第五年（t/a）")
    /** 许可年排放量限值-第五年（t/a）*/
    private String permissibleLimSfifth;

    @ApiModelProperty(value = "承诺更加严格排放浓度限值")
    /** 承诺更加严格排放浓度限值*/
    private String commitmentEmissionLim;

    @ApiModelProperty(value = "监测设施")
    /** 监测设施*/
    private String monitoringFacilities;

    @ApiModelProperty(value = "自动监测是否联网")
    /** 自动监测是否联网*/
    private String whetherAutoMonitorConn;

    @ApiModelProperty(value = "自动监测仪器名称")
    /** 自动监测仪器名称*/
    private String autoMonitorName;

    @ApiModelProperty(value = "自动监测设施安装位置")
    /** 自动监测设施安装位置*/
    private String autoMonitorAddress;

    @ApiModelProperty(value = "自动监测设施是否符合安装、运行、维护等管理要求")
    /** 自动监测设施是否符合安装、运行、维护等管理要求*/
    private String whetherAutoMonitorRequire;

    @ApiModelProperty(value = "手工监测采样方法及个数")
    /** 手工监测采样方法及个数*/
    private String manualMonitorNumber;

    @ApiModelProperty(value = "手工监测频次")
    /** 手工监测频次*/
    private String manualMonitorFrequency;

    @ApiModelProperty(value = "手工测定方法")
    /** 手工测定方法*/
    private String manualMonitorMethod;

    @ApiModelProperty(value = "其他信息")
    /** 其他信息*/
    private String otherInformation;
    @ApiModelProperty(value = "管控要求污染物名称-用于页签")
    /** 管控要求污染物名称-用于页签*/
    private String pollutantName;

    @ApiModelProperty(value = "主要污染防治措施")
    /** 主要污染防治措施*/
    private String pollutionPreventionMeasures;

    @ApiModelProperty(value = "申请特殊时段许可排放量限值")
    /** 申请特殊时段许可排放量限值*/
    private String commitmentEmissionPromise;

    @ApiModelProperty(value = "许可排放浓度限值（水）")
    private String permissibleConcentrationLimWater;

    @ApiModel(value = "排污许可-废气有组织排放要求vo")
    @Data
    public static class PwxkGasOrg {
        @Excel(name = "排污许可证编号", sort = 0)
        @ApiModelProperty(value = "排污许可证编码")
        private String pollDisLicenseCode;

        @Excel(name = "排污单位名称", sort = 10)
        @ApiModelProperty(value = "排污单位名称")
        private String factoryName;

        @ApiModelProperty(value = "管理类别")
        @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
        private String licenseManType;

        @ApiModelProperty(value = "所在区县")
        @Excel(name = "所在区县", sort = 30)
        private String countryName;

        @ApiModelProperty(value = "所在流域")
        @Excel(name = "所在流域", sort = 31)
        private String riverBasin;

        @ApiModelProperty(value = "所属工业园区名称")
        @Excel(name = "所属工业园区名称", sort = 40)
        private String industrialParkName;

        @ApiModelProperty(value = "所属工业园区编码")
        @Excel(name = "所属工业园区编码", sort = 50)
        private String industrialParkCode;

        @ApiModelProperty(value = "行业类别")
        @Excel(name = "行业类别", sort = 60)
        private String industryPermissionName;

        @ApiModelProperty(value = "排放口编号")
        @Excel(name = "排放口编号", sort = 70)
        private String outletCode;

        @ApiModelProperty(value = "排放口名称")
        @Excel(name = "排放口名称", sort = 80)
        private String outletName;

        @ApiModelProperty(value = "排口类型 1:主要排口, 2:一般排口")
        @Excel(name = "排口类型", sort = 81, readConverterExp = "1=主要排口,2=一般排口")
        private String outletTypes;

        @ApiModelProperty(value = "排口经度")
        @Excel(name = "经度", parentName = "排放口地理坐标", sort = 90)
        private String outletLon;

        @ApiModelProperty(value = "排口纬度")
        @Excel(name = "纬度", parentName = "排放口地理坐标", sort = 100)
        private String outletLat;

        @ApiModelProperty(value = "排气筒高度（m）")
        @Excel(name = "排气筒高度（m）", sort = 110)
        private String exhaustFunnelHight;

        @ApiModelProperty(value = "排气筒出口内径（m）")
        @Excel(name = "排气筒出口内径（m）", sort = 120)
        private String exhaustFunnelInner;

        @ApiModelProperty(value = "排气温度")
        @Excel(name = "排气温度", sort = 130)
        private String exhaustGasTemperature;

        @ApiModelProperty(value = "污染物种类")
        @Excel(name = "污染物种类", sort = 131)
        private String pollutantName;

        @ApiModelProperty(value = "国家或地方污染物排放标准名")
        @Excel(name = "名称", parentName = "国家或地方污染物排放标准", sort = 140)
        private String pollutantStandardName;

        @ApiModelProperty(value = "排放标准浓度限值")
        @Excel(name = "浓度限值", parentName = "国家或地方污染物排放标准", sort = 150)
        private String emissionStandardConcentrationLim;

        @ApiModelProperty(value = "排放标准浓度单位")
        @Excel(name = "浓度单位", parentName = "国家或地方污染物排放标准", sort = 160)
        private String emissionStandardConcentrationUnit;

        @ApiModelProperty(value = "排放标准速率限值（kg/h）")
        @Excel(name = "速率限值（kg/h）", parentName = "国家或地方污染物排放标准", sort = 170)
        private String emissionStandardRateLim;

        @ApiModelProperty(value = "环境影响评价批复要求")
        @Excel(name = "环境影响评价批复要求", sort = 180)
        private String approvalRequirements;

        @ApiModelProperty(value = "许可排放小时浓度限值")
        @Excel(name = "许可排放小时浓度限值", sort = 190)
        private String permissibleConcentrationLimHour;

        @ApiModelProperty(value = "许可排放日均浓度限值")
        @Excel(name = "许可排放日均浓度限值", sort = 200)
        private String permissibleConcentrationLimDay;

        @ApiModelProperty(value = "许可排放速率限值（kg/h）")
        @Excel(name = "许可排放速率限值（kg/h）", sort = 210)
        private String permissibleRateLim;

        @ApiModelProperty(value = "许可年排放量限值-第一年（t/a）")
        @Excel(name = "第一年", parentName = "许可年排放量限值（t/a）", sort = 220)
        private String permissibleLimFirst;

        @ApiModelProperty(value = "许可年排放量限值-第二年（t/a）")
        @Excel(name = "第二年", parentName = "许可年排放量限值（t/a）", sort = 230)
        private String permissibleLimSecond;

        @ApiModelProperty(value = "许可年排放量限值-第三年（t/a）")
        @Excel(name = "第三年", parentName = "许可年排放量限值（t/a）", sort = 240)
        private String permissibleLimThird;

        @ApiModelProperty(value = "许可年排放量限值-第四年（t/a）")
        @Excel(name = "第四年", parentName = "许可年排放量限值（t/a）", sort = 250)
        private String permissibleLimFourth;

        @ApiModelProperty(value = "许可年排放量限值-第五年（t/a）")
        @Excel(name = "第五年", parentName = "许可年排放量限值（t/a）", sort = 260)
        private String permissibleLimSfifth;

        @ApiModelProperty(value = "承诺更加严格排放浓度限值")
        @Excel(name = "承诺更加严格排放浓度限值", sort = 270)
        private String commitmentEmissionLim;

        @ApiModelProperty(value = "监测设施")
        @Excel(name = "监测设施", sort = 280)
        private String monitoringFacilities;

        @ApiModelProperty(value = "自动监测是否联网")
        @Excel(name = "自动监测是否联网", sort = 290)
        private String whetherAutoMonitorConn;

        @ApiModelProperty(value = "自动监测仪器名称")
        @Excel(name = "自动监测仪器名称", sort = 300)
        private String autoMonitorName;

        @ApiModelProperty(value = "自动监测设施安装位置")
        @Excel(name = "自动监测设施安装位置", sort = 310)
        private String autoMonitorAddress;

        @ApiModelProperty(value = "自动监测设施是否符合安装、运行、维护等管理要求")
        @Excel(name = "自动监测设施是否符合安装、运行、维护等管理要求", sort = 320)
        private String whetherAutoMonitorRequire;

        @ApiModelProperty(value = "手工监测采样方法及个数")
        @Excel(name = "手工监测采样方法及个数", sort = 330)
        private String manualMonitorNumber;

        @ApiModelProperty(value = "手工监测频次")
        @Excel(name = "手工监测频次", sort = 340)
        private String manualMonitorFrequency;

        @ApiModelProperty(value = "手工测定方法")
        @Excel(name = "手工测定方法", sort = 350)
        private String manualMonitorMethod;

        @ApiModelProperty(value = "其他信息")
        @Excel(name = "其他信息", sort = 360)
        private String otherInformation;
    }

    @ApiModel(value = "排污许可-废气无组织排放要求vo")
    @Data
    public static class PwxkGasNoOrg {
        @Excel(name = "排污许可证编号", sort = 0)
        @ApiModelProperty(value = "排污许可证编码")
        private String pollDisLicenseCode;

        @Excel(name = "排污单位名称", sort = 10)
        @ApiModelProperty(value = "排污单位名称")
        private String factoryName;

        @ApiModelProperty(value = "管理类别")
        @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
        private String licenseManType;

        @ApiModelProperty(value = "所在区县")
        @Excel(name = "所在区县", sort = 30)
        private String countryName;

        @ApiModelProperty(value = "所在流域")
        @Excel(name = "所在流域", sort = 31)
        private String riverBasin;

        @ApiModelProperty(value = "所属工业园区名称")
        @Excel(name = "所属工业园区名称", sort = 40)
        private String industrialParkName;

        @ApiModelProperty(value = "所属工业园区编码")
        @Excel(name = "所属工业园区编码", sort = 50)
        private String industrialParkCode;

        @ApiModelProperty(value = "行业类别")
        @Excel(name = "行业类别", sort = 60)
        private String industryPermissionName;

        @ApiModelProperty(value = "无组织排放编号")
        @Excel(name = "无组织排放编号", sort = 70)
        private String outletCode;

        @ApiModelProperty(value = "产污环节")
        @Excel(name = "产污环节", sort = 80)
        private String productionProcess;

        @ApiModelProperty(value = "污染物种类")
        @Excel(name = "污染物种类", sort = 131)
        private String pollutantName;

        @ApiModelProperty(value = "主要污染防治措施")
        @Excel(name = "主要污染防治措施", sort = 135)
        private String pollutionPreventionMeasures;


        @ApiModelProperty(value = "国家或地方污染物排放标准名")
        @Excel(name = "名称", parentName = "国家或地方污染物排放标准", sort = 140)
        private String pollutantStandardName;

        @ApiModelProperty(value = "许可排放小时浓度限值")
        @Excel(name = "小时浓度限值", parentName = "国家或地方污染物排放标准", sort = 190)
        private String permissibleConcentrationLimHour;

        @ApiModelProperty(value = "许可排放日均浓度限值")
        @Excel(name = "日均浓度限值", parentName = "国家或地方污染物排放标准", sort = 200)
        private String permissibleConcentrationLimDay;

        @ApiModelProperty(value = "排放标准浓度单位")
        @Excel(name = "浓度限制单位", parentName = "国家或地方污染物排放标准", sort = 160)
        private String emissionStandardConcentrationUnit;


        @ApiModelProperty(value = "许可年排放量限值-第一年（t/a）")
        @Excel(name = "第一年", parentName = "许可年排放量限值（t/a）", sort = 220)
        private String permissibleLimFirst;

        @ApiModelProperty(value = "许可年排放量限值-第二年（t/a）")
        @Excel(name = "第二年", parentName = "许可年排放量限值（t/a）", sort = 230)
        private String permissibleLimSecond;

        @ApiModelProperty(value = "许可年排放量限值-第三年（t/a）")
        @Excel(name = "第三年", parentName = "许可年排放量限值（t/a）", sort = 240)
        private String permissibleLimThird;

        @ApiModelProperty(value = "许可年排放量限值-第四年（t/a）")
        @Excel(name = "第四年", parentName = "许可年排放量限值（t/a）", sort = 250)
        private String permissibleLimFourth;

        @ApiModelProperty(value = "许可年排放量限值-第五年（t/a）")
        @Excel(name = "第五年", parentName = "许可年排放量限值（t/a）", sort = 260)
        private String permissibleLimSfifth;

        @ApiModelProperty(value = "申请特殊时段许可排放量限值")
        @Excel(name = "申请特殊时段许可排放量限值", sort = 270)
        private String commitmentEmissionPromise;

        @ApiModelProperty(value = "监测设施")
        @Excel(name = "监测设施", sort = 280)
        private String monitoringFacilities;

        @ApiModelProperty(value = "自动监测是否联网")
        @Excel(name = "自动监测是否联网", sort = 290)
        private String whetherAutoMonitorConn;

        @ApiModelProperty(value = "自动监测仪器名称")
        @Excel(name = "自动监测仪器名称", sort = 300)
        private String autoMonitorName;

        @ApiModelProperty(value = "自动监测设施安装位置")
        @Excel(name = "自动监测设施安装位置", sort = 310)
        private String autoMonitorAddress;

        @ApiModelProperty(value = "自动监测设施是否符合安装、运行、维护等管理要求")
        @Excel(name = "自动监测设施是否符合安装、运行、维护等管理要求", sort = 320)
        private String whetherAutoMonitorRequire;

        @ApiModelProperty(value = "手工监测采样方法及个数")
        @Excel(name = "手工监测采样方法及个数", sort = 330)
        private String manualMonitorNumber;

        @ApiModelProperty(value = "手工监测频次")
        @Excel(name = "手工监测频次", sort = 340)
        private String manualMonitorFrequency;

        @ApiModelProperty(value = "手工测定方法")
        @Excel(name = "手工测定方法", sort = 350)
        private String manualMonitorMethod;

        @ApiModelProperty(value = "其他信息")
        @Excel(name = "其他信息", sort = 360)
        private String otherInformation;
    }

    @ApiModel(value = "排污许可-废水直接排口排放要求vo")
    @Data
    public static class PwxkWaterDirect {
        @Excel(name = "排污许可证编号", sort = 0)
        @ApiModelProperty(value = "排污许可证编码")
        private String pollDisLicenseCode;

        @Excel(name = "排污单位名称", sort = 10)
        @ApiModelProperty(value = "排污单位名称")
        private String factoryName;

        @ApiModelProperty(value = "管理类别")
        @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
        private String licenseManType;

        @ApiModelProperty(value = "所在区县")
        @Excel(name = "所在区县", sort = 30)
        private String countryName;

        @ApiModelProperty(value = "所在流域")
        @Excel(name = "所在流域", sort = 31)
        private String riverBasin;

        @ApiModelProperty(value = "所属工业园区名称")
        @Excel(name = "所属工业园区名称", sort = 40)
        private String industrialParkName;

        @ApiModelProperty(value = "所属工业园区编码")
        @Excel(name = "所属工业园区编码", sort = 50)
        private String industrialParkCode;

        @ApiModelProperty(value = "行业类别")
        @Excel(name = "行业类别", sort = 60)
        private String industryPermissionName;

        @ApiModelProperty(value = "排放口编号")
        @Excel(name = "排放口编号", sort = 70)
        private String outletCode;

        @ApiModelProperty(value = "排放口名称")
        @Excel(name = "排放口名称", sort = 80)
        private String outletName;

        @ApiModelProperty(value = "排口类型 1:主要排口, 2:一般排口")
        @Excel(name = "排口类型", readConverterExp = "1=主要排口,2=一般排口", sort = 90)
        private String outletTypes;

        @ApiModelProperty(value = "排口经度")
        @Excel(name = "经度", parentName = "排放口地理位置", sort = 100)
        private BigDecimal outletLon;

        @ApiModelProperty(value = "排口纬度")
        @Excel(name = "纬度", parentName = "排放口地理位置", sort = 110)
        private BigDecimal outletLat;

        @ApiModelProperty(value = "排水去向")
        @Excel(name = "排水去向", sort = 120)
        private String directionDrainage;

        @ApiModelProperty(value = "排放规律")
        @Excel(name = "排放规律", sort = 130)
        private String dischargeLaw;

        @ApiModelProperty(value = "间歇式排放时段")
        @Excel(name = "间歇式排放时段", sort = 140)
        private String intermittentEmissionPeriod;

        @ApiModelProperty(value = "受纳自然水体信息-名称")
        @Excel(name = "名称", parentName = "受纳自然水体信息", sort = 150)
        private String receivingWaterName;

        @ApiModelProperty(value = "受纳自然水体信息-功能目标")
        @Excel(name = "功能目标", parentName = "受纳自然水体信息", sort = 160)
        private String receivingWaterObjective;

        @ApiModelProperty(value = "汇入受纳自然水体处地理坐标-经度")
        @Excel(name = "经度", parentName = "汇入受纳自然水体处地理坐标", sort = 170)
        private String receivingWaterLon;

        @ApiModelProperty(value = "汇入受纳自然水体处地理坐标-纬度")
        @Excel(name = "纬度", parentName = "汇入受纳自然水体处地理坐标", sort = 180)
        private String receivingWaterLat;

        @ApiModelProperty(value = "污染物种类")
        @Excel(name = "污染物种类", sort = 190)
        private String pollutantName;

        @ApiModelProperty(value = "国家或地方污染物排放标准名")
        @Excel(name = "名称", parentName = "国家或地方污染物排放标准", sort = 200)
        private String pollutantStandardName;

        @ApiModelProperty(value = "排放标准浓度限值")
        @Excel(name = "浓度限值", parentName = "国家或地方污染物排放标准", sort = 210)
        private String emissionStandardConcentrationLim;

        @ApiModelProperty(value = "环境影响评价审批意见要求")
        @Excel(name = "环境影响评价审批意见要求", sort = 220)
        private String approvalRequirements;

        @ApiModelProperty(value = "承诺更加严格排放限值")
        @Excel(name = "承诺更加严格排放限值", sort = 230)
        private String commitmentEmissionLim;

        @ApiModelProperty(value = "许可排放浓度限值")
        @Excel(name = "许可排放浓度限值", sort = 240)
        private String permissibleConcentrationLimWater;

        @ApiModelProperty(value = "浓度限制单位")
        @Excel(name = "浓度限制单位", sort = 250)
        private String emissionStandardConcentrationUnit;

        @ApiModelProperty(value = "许可年排放量限值-第一年（t/a）")
        @Excel(name = "第一年", parentName = "许可年排放量限值（t/a）", sort = 260)
        private String permissibleLimFirst;

        @ApiModelProperty(value = "许可年排放量限值-第二年（t/a）")
        @Excel(name = "第二年", parentName = "许可年排放量限值（t/a）", sort = 270)
        private String permissibleLimSecond;

        @ApiModelProperty(value = "许可年排放量限值-第三年（t/a）")
        @Excel(name = "第三年", parentName = "许可年排放量限值（t/a）", sort = 280)
        private String permissibleLimThird;

        @ApiModelProperty(value = "许可年排放量限值-第四年（t/a）")
        @Excel(name = "第四年", parentName = "许可年排放量限值（t/a）", sort = 290)
        private String permissibleLimFourth;

        @ApiModelProperty(value = "许可年排放量限值-第五年（t/a）")
        @Excel(name = "第五年", parentName = "许可年排放量限值（t/a）", sort = 300)
        private String permissibleLimSfifth;

        @ApiModelProperty(value = "申请特殊时段许可排放量限值")
        @Excel(name = "申请特殊时段许可排放量限值", sort = 310)
        private String commitmentEmissionPromise;


        @ApiModelProperty(value = "监测设施")
        @Excel(name = "监测设施", sort = 320)
        private String monitoringFacilities;

        @ApiModelProperty(value = "自动监测是否联网")
        @Excel(name = "自动监测是否联网", sort = 330)
        private String whetherAutoMonitorConn;

        @ApiModelProperty(value = "自动监测仪器名称")
        @Excel(name = "自动监测仪器名称", sort = 340)
        private String autoMonitorName;

        @ApiModelProperty(value = "自动监测设施安装位置")
        @Excel(name = "自动监测设施安装位置", sort = 350)
        private String autoMonitorAddress;

        @ApiModelProperty(value = "自动监测设施是否符合安装、运行、维护等管理要求")
        @Excel(name = "自动监测设施是否符合安装、运行、维护等管理要求", sort = 360)
        private String whetherAutoMonitorRequire;

        @ApiModelProperty(value = "手工监测采样方法及个数")
        @Excel(name = "手工监测采样方法及个数", sort = 370)
        private String manualMonitorNumber;

        @ApiModelProperty(value = "手工监测频次")
        @Excel(name = "手工监测频次", sort = 380)
        private String manualMonitorFrequency;

        @ApiModelProperty(value = "手工测定方法")
        @Excel(name = "手工测定方法", sort = 390)
        private String manualMonitorMethod;

        @ApiModelProperty(value = "其他信息")
        @Excel(name = "其他信息", sort = 400)
        private String otherInformation;
    }

    @ApiModel(value = "排污许可-废水间接排口排放要求vo")
    @Data
    public static class PwxkWaterIndirect {
        @Excel(name = "排污许可证编号", sort = 0)
        @ApiModelProperty(value = "排污许可证编码")
        private String pollDisLicenseCode;

        @Excel(name = "排污单位名称", sort = 10)
        @ApiModelProperty(value = "排污单位名称")
        private String factoryName;

        @ApiModelProperty(value = "管理类别")
        @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
        private String licenseManType;

        @ApiModelProperty(value = "所在区县")
        @Excel(name = "所在区县", sort = 30)
        private String countryName;

        @ApiModelProperty(value = "所在流域")
        @Excel(name = "所在流域", sort = 31)
        private String riverBasin;

        @ApiModelProperty(value = "所属工业园区名称")
        @Excel(name = "所属工业园区名称", sort = 40)
        private String industrialParkName;

        @ApiModelProperty(value = "所属工业园区编码")
        @Excel(name = "所属工业园区编码", sort = 50)
        private String industrialParkCode;

        @ApiModelProperty(value = "行业类别")
        @Excel(name = "行业类别", sort = 60)
        private String industryPermissionName;

        @ApiModelProperty(value = "排放口编号")
        @Excel(name = "排放口编号", sort = 70)
        private String outletCode;

        @ApiModelProperty(value = "排放口名称")
        @Excel(name = "排放口名称", sort = 80)
        private String outletName;

        @ApiModelProperty(value = "排口类型 1:主要排口, 2:一般排口")
        @Excel(name = "排口类型", readConverterExp = "1=主要排口,2=一般排口", sort = 90)
        private String outletTypes;

        @ApiModelProperty(value = "排口经度")
        @Excel(name = "经度", parentName = "排放口地理坐标", sort = 100)
        private BigDecimal outletLon;

        @ApiModelProperty(value = "排口纬度")
        @Excel(name = "纬度", parentName = "排放口地理坐标", sort = 110)
        private BigDecimal outletLat;

        @ApiModelProperty(value = "排水去向")
        @Excel(name = "排水去向", sort = 120)
        private String directionDrainage;

        @ApiModelProperty(value = "排放规律")
        @Excel(name = "排放规律", sort = 130)
        private String dischargeLaw;

        @ApiModelProperty(value = "间歇式排放时段")
        @Excel(name = "间歇式排放时段", sort = 140)
        private String intermittentEmissionPeriod;

        @ApiModelProperty(value = "受纳污水处理厂名称")
        @Excel(name = "受纳污水处理厂名称", sort = 150)
        private String treatmentPlantAcceptedName;


        @ApiModelProperty(value = "污染物种类")
        @Excel(name = "污染物种类", sort = 190)
        private String pollutantName;

        @ApiModelProperty(value = "国家或地方污染物排放标准名")
        @Excel(name = "名称", parentName = "国家或地方污染物排放标准", sort = 200)
        private String pollutantStandardName;

        @ApiModelProperty(value = "排放标准浓度限值")
        @Excel(name = "浓度限值", parentName = "国家或地方污染物排放标准", sort = 210)
        private String emissionStandardConcentrationLim;

        @ApiModelProperty(value = "环境影响评价审批意见要求")
        @Excel(name = "环境影响评价审批意见要求", sort = 220)
        private String approvalRequirements;

        @ApiModelProperty(value = "承诺更加严格排放限值")
        @Excel(name = "承诺更加严格排放限值", sort = 230)
        private String commitmentEmissionLim;

        @ApiModelProperty(value = "许可排放浓度限值")
        @Excel(name = "许可排放浓度限值", sort = 240)
        private String permissibleConcentrationLimWater;

        @ApiModelProperty(value = "浓度限制单位")
        @Excel(name = "浓度限制单位", sort = 250)
        private String emissionStandardConcentrationUnit;

        @ApiModelProperty(value = "许可年排放量限值-第一年（t/a）")
        @Excel(name = "第一年", parentName = "许可年排放量限值（t/a）", sort = 260)
        private String permissibleLimFirst;

        @ApiModelProperty(value = "许可年排放量限值-第二年（t/a）")
        @Excel(name = "第二年", parentName = "许可年排放量限值（t/a）", sort = 270)
        private String permissibleLimSecond;

        @ApiModelProperty(value = "许可年排放量限值-第三年（t/a）")
        @Excel(name = "第三年", parentName = "许可年排放量限值（t/a）", sort = 280)
        private String permissibleLimThird;

        @ApiModelProperty(value = "许可年排放量限值-第四年（t/a）")
        @Excel(name = "第四年", parentName = "许可年排放量限值（t/a）", sort = 290)
        private String permissibleLimFourth;

        @ApiModelProperty(value = "许可年排放量限值-第五年（t/a）")
        @Excel(name = "第五年", parentName = "许可年排放量限值（t/a）", sort = 300)
        private String permissibleLimSfifth;

        @ApiModelProperty(value = "申请特殊时段许可排放量限值")
        @Excel(name = "申请特殊时段许可排放量限值", sort = 310)
        private String commitmentEmissionPromise;


        @ApiModelProperty(value = "监测设施")
        @Excel(name = "监测设施", sort = 320)
        private String monitoringFacilities;

        @ApiModelProperty(value = "自动监测是否联网")
        @Excel(name = "自动监测是否联网", sort = 330)
        private String whetherAutoMonitorConn;

        @ApiModelProperty(value = "自动监测仪器名称")
        @Excel(name = "自动监测仪器名称", sort = 340)
        private String autoMonitorName;

        @ApiModelProperty(value = "自动监测设施安装位置")
        @Excel(name = "自动监测设施安装位置", sort = 350)
        private String autoMonitorAddress;

        @ApiModelProperty(value = "自动监测设施是否符合安装、运行、维护等管理要求")
        @Excel(name = "自动监测设施是否符合安装、运行、维护等管理要求", sort = 360)
        private String whetherAutoMonitorRequire;

        @ApiModelProperty(value = "手工监测采样方法及个数")
        @Excel(name = "手工监测采样方法及个数", sort = 370)
        private String manualMonitorNumber;

        @ApiModelProperty(value = "手工监测频次")
        @Excel(name = "手工监测频次", sort = 380)
        private String manualMonitorFrequency;

        @ApiModelProperty(value = "手工测定方法")
        @Excel(name = "手工测定方法", sort = 390)
        private String manualMonitorMethod;

        @ApiModelProperty(value = "其他信息")
        @Excel(name = "其他信息", sort = 400)
        private String otherInformation;
    }
}
