package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@ApiModel(value = "企业坐标信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcFactoryCoordinateVo
{

    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @Excel(name = "序号")
    @TableField(exist = false)
    private Integer serialnumber;

    @ApiModelProperty(value = "排污单位名称")
    @Excel(name = "排污单位名称")
    private String factoryName;

    @ApiModelProperty(value = "经度")
    /** 生产经营场所中心经度 */
    @Excel(name = "经度")
    private String productionLon;

    @ApiModelProperty(value = "纬度")
    /** 生产经营场所中心纬度 */
    @Excel(name = "纬度")
    private String productionLat;

}
