package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 特征标签-与企业关系中间对象 pc_label_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "特征标签-与企业关系中间")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcLabelFactoryVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "特征标签id")
    /** 特征标签id */
    private String labelId;

    @ApiModelProperty(value = "特征标签名称")
    private String labelName;

    @ApiModelProperty(value = "是否是企业重点展示标签")
    /** 特征标签id */
    private String lableUseing;

    @ApiModelProperty(value = "标签值")
    private String labelValue;

    @Data
    @ApiModel(value = "企业-标签批量维护表单")
    public static class FactoryLabelUpdateForm {
        @NotNull(message = "factoryIds不可以为空")
        @NotEmpty(message = "factoryIds不可以为空")
        private List<String> factoryIds;

        @NotBlank(message = "labelId不可以为空")
        @ApiModelProperty(value = "标签id")
        private String labelId;

        @NotBlank(message = "labelValue不可以为空")
        @ApiModelProperty(value = "标签值编码")
        private String labelValue;

        @NotNull(message = "checked不可以为空")
        @ApiModelProperty(value = "true:选中, false:取消选中")
        private Boolean checked;
    }

}
