package cn.cecep.talroad.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 特征标签对象 pc_label
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "特征标签")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcLabelVo
{

    @ApiModelProperty(value = "标签类型id")
    /** 标签类型id*/
    private String id;

    @ApiModelProperty(value = "标签类型")
    /** 标签类型*/
    private String labelType;

    @ApiModelProperty(value = "标签类别")
    /** 标签类别*/
    private String labelCategory;

    @ApiModelProperty(value = "标签编码")
    /** 标签编码*/
    private String labelCode;

    @ApiModelProperty(value = "标签值")
    /** 标签值*/
    private String labelVal;

    @ApiModelProperty(value = "标签级别")
    /** 标签级别*/
    private String labelLevel;

    @ApiModelProperty(value = "标签父类id")
    /** 标签父类id*/
    private String labelParamid;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间*/
    private String updateTimes;

    @ApiModelProperty(value = "排序")
    /** 排序*/
    private int orderNum;

    @ApiModelProperty(value = "参数是否多选(0:单选，1:多选)")
    /** 参数是否多选(0:单选，1:多选)*/
    private String labelMultipleChoice;

    @ApiModelProperty(value = "参数列表")
    /** 参数列表*/
    @TableField(exist = false)
    private List<PcLabelValueVo> pcLabelValueVos;

    @ApiModelProperty(value = "企业id", notes = "可能为空")
    @TableField(exist = false)
    /** 企业id */
    private String factoryId;

    /**
     * 选择的参数Id
     */
    private String[] selectedIds;
}
