package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @Description: 在线监测,无组织点位,排口经纬度坐标操作记录表
 * @Author: code-generate
 * @Date:   2023-07-19
 * @Version: V1.0
 */
@ApiModel(value="在线监测,无组织点位,排口经纬度坐标操作记录出参")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcOutletCoordinateOperationLogVo
{

	/**主键标识*/
    @ApiModelProperty(value = "主键标识")
    @Excel(name = "主键标识")
	private String logId;
	/**操作时间*/
    @ApiModelProperty(value = "操作时间")
    @Excel(name = "操作时间")
	private java.util.Date operationTime;
	/**污染物类型（1废气、2废水、3无组织、4在线监测）*/
    @ApiModelProperty(value = "污染物类型（1废气、2废水、3无组织、4在线监测）")
    @Excel(name = "污染物类型（1废气、2废水、3无组织、4在线监测）")
	private String pollutantType;
	/**在线监测点位名称/无组织点位名称*/
    @ApiModelProperty(value = "在线监测点位名称/无组织点位名称")
    @Excel(name = "在线监测点位名称/无组织点位名称")
	private String monitoringPointName;
	/**排口名称称*/
    @ApiModelProperty(value = "排口名称称")
    @Excel(name = "排口名称称")
	private String outletName;
	/**操作前经度*/
    @ApiModelProperty(value = "操作前经度")
    @Excel(name = "操作前经度")
	private String beforeModifyLng;
	/**操作前纬度*/
    @ApiModelProperty(value = "操作前纬度")
    @Excel(name = "操作前纬度")
	private String beforeModifyLag;
	/**操作状态*/
    @ApiModelProperty(value = "操作状态")
    @Excel(name = "操作状态")
	private String operationStatus;
	/**操作后经度*/
    @ApiModelProperty(value = "操作后经度")
    @Excel(name = "操作后经度")
	private String afterModifyLng;
	/**操作后纬度*/
    @ApiModelProperty(value = "操作后纬度")
    @Excel(name = "操作后纬度")
	private String afterModifyLag;
	/**操作人*/
    @ApiModelProperty(value = "操作人")
    @Excel(name = "操作人")
	private String operator;
	/**操作人ID*/
    @ApiModelProperty(value = "操作人ID")
    @Excel(name = "操作人ID")
	private String operatorId;
	/**企业ID*/
    @ApiModelProperty(value = "企业ID")
    @Excel(name = "企业ID")
	private String factoryId;

}
