package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 导出在线监测,无组织,排口坐标出参
 *
 * @author szhpt
 * @date 2023-07-19*/
@ApiModel(value = "导出在线监测,无组织,排口坐标出参")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcOutletCoordinateVo {

    @Excel(name = "序号")
    @TableField(exist = false)
    private Integer serialnumber;
    /**企业id*/
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "在线监测点位名称")
    @Excel(name = "在线监测点位名称")
    private String monitoringPointName;
    @ApiModelProperty(value = "无组织点位名称")
    @Excel(name = "无组织点位名称")
    private String inorganizationPointName;
    @ApiModelProperty(value = "排口名称")
    @Excel(name = "排口名称")
    private String outletName;
    @ApiModelProperty(value = "经度")
    @Excel(name = "经度")
    private BigDecimal outletLon;
    @ApiModelProperty(value = "纬度")
    @Excel(name = "纬度")
    private BigDecimal outletLat;
}
