package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigInteger;
import java.util.Date;



/**
 * 站房信息--站房门禁进出统计分析对象 pc_station_building_stat
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "站房信息--站房门禁进出统计分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcStationBuildingStatVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;

    @ApiModelProperty(value = "企业表主键id")
    /** 企业表主键id */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    @Excel(name = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "行业类别")
    /** 行业类别 */
    @Excel(name = "行业类别")
    private String industryPermissionName;

    @ApiModelProperty(value = "区县编码")
    /** 区县编码 */
    private String countryCode;

    @ApiModelProperty(value = "区县名称")
    /** 区县名称 */
    @Excel(name = "区县名称")
    private String countryName;

    @ApiModelProperty(value = "站房表主键id")
    /** 站房表主键id */
    private Long stationBuildingId;

    @ApiModelProperty(value = "站房名称")
    /** 站房名称 */
    @Excel(name = "站房名称")
    private String stationBuildingName;

    @ApiModelProperty(value = "站房编号")
    /** 站房编号 */
    @Excel(name = "站房编号")
    private String stationBuildingCode;

    @ApiModelProperty(value = "统计时间")
    /** 统计时间 */
    @Excel(name = "统计时间")
    private String statisticalTime;

    @ApiModelProperty(value = "刷卡次数")
    /** 刷卡次数 */
    @Excel(name = "刷卡次数")
    private Long swipesOfNumber;

    @ApiModelProperty(value = "添加时间")
    /** 添加时间 */
    private String createTime;

}
