package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "排污许可企业vo")
@Data
public class PwxkFactoryVo {
    @ApiModelProperty("排污许可证编码")
    @Excel(name = "许可证编号", sort = 1)
    private String pollDisLicenseCode;

    @ApiModelProperty("排污许可证有效期限")
    @Excel(name = "有效期限", sort = 10)
    private String pollDisLicenseDeadline;

    // TODO 发证日期

    @ApiModelProperty("排污单位名称")
    @Excel(name = "排污单位名称", sort = 20)
    private String factoryName;

    @ApiModelProperty(value = "管理类别")
    @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 30)
    private String licenseManType;

    @ApiModelProperty("县名称")
    @Excel(name = "所在区县", sort = 40)
    private String countryName;

    @ApiModelProperty(value = "所在流域")
    @Excel(name = "所在流域", sort = 31)
    private String riverBasin;

    @ApiModelProperty("注册地址")
    @Excel(name = "注册地址", sort = 50)
    private String address;

    @ApiModelProperty("生产经营场所地址")
    @Excel(name = "生产经营场所地址", sort = 60)
    private String prodBusiOperation;

    @ApiModelProperty("邮政编码")
    @Excel(name = "邮政编码", sort = 70)
    private String postalCode;

    @ApiModelProperty(value = "行业类别")
    @Excel(name = "行业类别", sort = 80)
    private String industryPermissionName;

    @ApiModelProperty("其他行业类别")
    @Excel(name = "其他行业类别", sort = 90)
    private String industryCategoryOther;

    @ApiModelProperty("许可是否整改(限期整改 0否 1是 )")
    @Excel(name = "是否需要整改", readConverterExp = "0=否,1=是", sort = 100)
    private String licenseWabarbeitung;

    @ApiModelProperty("是否投产")
    @Excel(name = "是否投产", sort = 110)
    private String whetherProduction;

    @ApiModelProperty("投产日期")
    @Excel(name = "投产日期", sort = 120)
    private String productionDate;

    @ApiModelProperty("生产经营场所中心经度")
    @Excel(name = "生产经营场所中心经度", sort = 130)
    private String productionLon;

    @ApiModelProperty("生产经营场所中心纬度")
    @Excel(name = "生产经营场所中心纬度", sort = 140)
    private String productionLat;

    @ApiModelProperty("组织机构代码")
    @Excel(name = "组织机构代码", sort = 150)
    private String insFramCode;

    @ApiModelProperty("统一社会信用代码")
    @Excel(name = "统一社会信用代码", sort = 160)
    private String uscCode;

    @ApiModelProperty("法定代表人（主要负责人）")
    @Excel(name = "法定代表人（主要负责人）", sort = 170)
    private String principalMan;

    @ApiModelProperty("技术负责人")
    @Excel(name = "技术负责人", sort = 180)
    private String technicalMan;

    @ApiModelProperty("固定电话")
    @Excel(name = "固定电话", sort = 190)
    private String tel;

    @ApiModelProperty("移动电话")
    @Excel(name = "移动电话", sort = 200)
    private String mobileTelephone;

    @ApiModelProperty("所在地是否属于大气重点控制区")
    @Excel(name = "所在地是否属于大气重点控制区", sort = 210)
    private String whetherLocalKeyAri;

    @ApiModelProperty("所在地是否属于总磷控制区")
    @Excel(name = "所在地是否属于总磷控制区", sort = 220)
    private String whetherLocalKeyPho;

    @ApiModelProperty("所在地是否属于总氮控制区")
    @Excel(name = "所在地是否属于总氮控制区", sort = 230)
    private String whetherLocalKeyNitrogen;

    @ApiModelProperty("所在地是否属于重金属污染物特别排放限值实施区域")
    @Excel(name = "所在地是否属于重金属污染物特别排放限值实施区域", sort = 240)
    private String whetherLocalKeyPollArea;

    @ApiModelProperty("是否位于工业园区")
    @Excel(name = "是否位于工业园区", sort = 250)
    private String whetherLocalPark;

    @ApiModelProperty("工业园区名称")
    @Excel(name = "所属工业园区名称", sort = 260)
    private String industrialParkName;

    @ApiModelProperty("工业园区编码")
    @Excel(name = "所属工业园区编码", sort = 270)
    private String industrialParkCode;

    @ApiModelProperty("是否有环评审批文件")
    @Excel(name = "是否有环评审批文件", sort = 280)
    private String whetherReviewFile;

    @ApiModelProperty("环境影响评价审批文件文号或备案编号")
    @Excel(name = "环境影响评价审批文件文号或备案编号", sort = 290)
    private String environmentalCode;

    @ApiModelProperty("是否有地方政府对违规项目的认定或备案文件")
    @Excel(name = "是否有地方政府对违规项目的认定或备案文件", sort = 300)
    private String whetherGovProFile;

    @ApiModelProperty("地方政府对违规项目的认定或备案文件文号")
    @Excel(name = "认定或备案文件文号", sort = 310)
    private String govProIdentFile;

    @ApiModelProperty("是否有主要污染物总量分配计划文件")
    @Excel(name = "是否有主要污染物总量分配计划文件", sort = 320)
    private String pollutantTotalFileWhere;

    // TODO 大气污染物控制指标
    // TODO 水污染物控制指标


    @ApiModelProperty("主键id")
    private String id;

}
