package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 废水监测数据对象 s_env_water_mon_real
 *
 * @author szhpt
 * @date 2023-04-06*/
@ApiModel(value = "废水监测数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class SEnvWaterMonDayVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id */
    private String outletId;


    @ApiModelProperty(value = "数据类型（日：d；小时：h；分钟：m）")
    /** 数据类型（日：d；小时：h；分钟：m） */
    private String dataType;

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "排口名称")
    /** 排口名称*/
    @Excel(name = "排口名称")
    private String outletName;

    @ApiModelProperty(value = "排口编号")
    /** 排口名称*/
    @Excel(name = "排口编号")
    private String outletCode;

    @ApiModelProperty(value = "监测点位名称")
    @Excel(name = "监测点位名称")
    private String monitoringPointName;

    @ApiModelProperty(value = "日期")
    /** 日期 */
    @Excel(name = "时间")
    private String monitoringTime;

    @ApiModelProperty(value = "标记说明")
    @Excel(name = "标记说明", readConverterExp="N=正常,F=停运,M=维护/维修,S=手工输入的设定值,D=故障/断电,C=校准,T=超测量上限")
    private String mark;

    @ApiModelProperty(value = "污水")
    /** 污水 */
    private String sewage;

    @ApiModelProperty(value = "污水排放量")
    /** 污水排放量 */
    private String sewageEmission;

    @ApiModelProperty(value = "化学需氧量")
    /** 化学需氧量 */
    private String cod;

    @ApiModelProperty(value = "COD浓度")
    /** cod浓度 */
    @Excel(name = "COD浓度")
    private String codConcentration;

    @ApiModelProperty(value = "化学需氧量排放量")
    /** 化学需氧量排放量 */
    private String codEmission;

    @ApiModelProperty(value = "氨氮")
    /** 氨氮 */
    @Excel(name = "氨氮浓度")
    private String ammoniaNitrogen;

    @ApiModelProperty(value = "氨氮排放量")
    /** 氨氮排放量 */
    private String ammoniaNitrogenEmission;

    @ApiModelProperty(value = "总氮浓度")
    /** 总氮浓度 */
    @Excel(name = "总氮浓度")
    private String nitrogenConcentration;

    @ApiModelProperty(value = "总氮排放量")
    /** 总氮排放量 */
    private String nitrogenConcentrationEmission;

    @ApiModelProperty(value = "总磷浓度")
    /** 总磷浓度 */
    @Excel(name = "总磷浓度")
    private String phosphorusConcentration;

    @ApiModelProperty(value = "总磷排放量")
    /** 总磷排放量 */
    private String phosphorusConcentrationEmission;

    @ApiModelProperty(value = "ph值")
    /** ph值 */
    @Excel(name = "PH值")
    private String phValue;

    @ApiModelProperty(value = "废水流量")
    /** 废水流量 */
    @Excel(name = "废水流量")
    private String wastewaterFlow;

}
