package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;


/**
 * 基本信息-废气、废水排口档案-动态管控信息调整 -参数对象 s_main_dynamic_control_param
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "基本信息-废气、废水排口档案-动态管控信息调整 -参数")
@EqualsAndHashCode(callSuper = false)
@Data
public class SMainDynamicControlParamVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "管控类型编码")
    /** 管控类型编码 */
    private String controlTypeCode;

    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    private String argumentsCode;

    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    private String argumentsName;

    @ApiModelProperty(value = "是否启用")
    /** 是否启用 */
    private String argumentsEnable;

    @ApiModel(value = "参数表格")
    @Data
    public static class Table {
        @ApiModelProperty(value = "参数表格头")
        private List<Map<String, Object>> paramHeaders;

        @ApiModelProperty(value = "参数表格数据")
        private List<Map<String, Object>> paramData;
    }

}
