package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据对象 s_ra_real_time_analysis_run_one
 *
 * @author szhpt
 * @date 2023-05-17*/
@ApiModel(value = "关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaRealTimeAnalysisRunOneVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    private String industryCategoryName;

    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;

    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;

    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;

    @ApiModelProperty(value = "绩效级别")
    /** 绩效级别 */
    private String performanceLevel;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    /** 设备编号 */
    private String deviceId;

    @ApiModelProperty(value = "设备类型(生产设备/治理设备)")
    /** 设备类型(生产设备/治理设备) */
    private String deviceType;

    @ApiModelProperty(value = "运行状态(1=运行,2=停运,3=启停,4=停启,5=数据缺失,6=数据恒值,7-数据异常)")
    /** 运行状态(1=运行,2=停运,3=启停,4=停启,5=数据缺失,6=数据恒值,7-数据异常) */
    private String operationStatus;

    @ApiModelProperty(value = "判断依据(1=工况数据,2=分表计电数据,3=数据缺失,4=无法判断)")
    /** 判断依据(1=工况数据,2=分表计电数据,3=数据缺失,4=无法判断) */
    private String judgementBasis;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "创建时间(默认当前时间)")
    /** 创建时间(默认当前时间) */
    private String createTime;

    @ApiModelProperty(value = "运行时间段")
    /** 运行时间段 */
    private String runEtc;

    @ApiModelProperty(value = "异常情况")
    /** 异常情况 */
    private String goingsOn;

    @ApiModelProperty(value = "总有功电量示值（安）(用电量)")
    /** 总有功电量示值（安）(用电量) */
    private String activePowerQuantityTmp;

    @ApiModelProperty(value = "总有功电量示值（安）(用电量)")
    /** 总有功电量示值（安）(用电量) */
    private String activePowerQuantity;

}
