package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污口对象 m_supermonitor_drain_outlet
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "排污口")
@EqualsAndHashCode(callSuper = false)
@Data
public class SupermonitorDrainOutletVo
{


    @ApiModelProperty(value = "主键id ")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    private String outletId;

    @ApiModelProperty(value = "排放口类型（入河、雨水）")
    /** 排放口类型（入河、雨水）*/
    private String outletType;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号*/
    private String outletCode;

    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称*/
    private String outletName;

    @ApiModelProperty(value = "入河排污口批复文号")
    /** 入河排污口批复文号*/
    private String approvalDocument;

    @ApiModelProperty(value = "其他信息")
    /** 其他信息*/
    private String otherInformation;

    @ApiModelProperty(value = "排放口地理位置-经度")
    /** 排放口地理位置-经度*/
    private String lon;

    @ApiModelProperty(value = "排放口地理位置-纬度")
    /** 排放口地理位置-纬度*/
    private String lat;

    @ApiModelProperty(value = "排水去向")
    /** 排水去向*/
    private String drainageTo;

    @ApiModelProperty(value = "排放规律")
    /** 排放规律*/
    private String emissionsLaws;

    @ApiModelProperty(value = "间歇式排放时间段")
    /** 间歇式排放时间段*/
    private String intermittentEmissionPeriod;

    @ApiModelProperty(value = "受纳自然水体信息-名称")
    /** 受纳自然水体信息-名称*/
    private String receivingWaterName;

    @ApiModelProperty(value = "受纳自然水体信息-功能目标")
    /** 受纳自然水体信息-功能目标*/
    private String receivingWaterObjective;

    @ApiModelProperty(value = "汇入受纳自然水体处地理坐标-经度")
    /** 汇入受纳自然水体处地理坐标-经度*/
    private String receivingWaterLon;

    @ApiModelProperty(value = "汇入受纳自然水体处地理坐标-纬度")
    /** 汇入受纳自然水体处地理坐标-纬度*/
    private String receivingWaterLat;

    @ApiModelProperty(value = "入河口名称")
    /** 入河口名称*/
    private String riversOutletName;

    @ApiModelProperty(value = "入河口编号")
    /** 入河口编号*/
    private String riversOutletCode;

    @ApiModel(value = "排污许可-入河排口信息vo")
    @Data
    public static class PwxkRh {
        @Excel(name = "排污许可证编号", sort = 0)
        @ApiModelProperty(value = "排污许可证编码")
        private String pollDisLicenseCode;

        @Excel(name = "排污单位名称", sort = 10)
        @ApiModelProperty(value = "排污单位名称")
        private String factoryName;

        @ApiModelProperty(value = "管理类别")
        @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
        private String licenseManType;

        @ApiModelProperty(value = "所在区县")
        @Excel(name = "所在区县", sort = 30)
        private String countryName;

        @ApiModelProperty(value = "所在流域")
        @Excel(name = "所在流域", sort = 31)
        private String riverBasin;

        @ApiModelProperty(value = "所属工业园区名称")
        @Excel(name = "所属工业园区名称", sort = 40)
        private String industrialParkName;

        @ApiModelProperty(value = "所属工业园区编码")
        @Excel(name = "所属工业园区编码", sort = 50)
        private String industrialParkCode;

        @ApiModelProperty(value = "行业类别")
        @Excel(name = "行业类别", sort = 60)
        private String industryPermissionName;

        @ApiModelProperty(value = "排放口编号")
        @Excel(name = "排放口编号", sort = 70)
        private String outletCode;

        @ApiModelProperty(value = "排放口名称")
        @Excel(name = "排放口名称", sort = 80)
        private String outletName;

        @ApiModelProperty(value = "入河口名称")
        @Excel(name = "名称", parentName = "入河排污口", sort = 90)
        private String riversOutletName;

        @ApiModelProperty(value = "入河口编号")
        @Excel(name = "编号", parentName = "入河排污口", sort = 100)
        private String riversOutletCode;

        @ApiModelProperty(value = "入河排污口批复文号")
        @Excel(name = "批复文号", parentName = "入河排污口", sort = 110)
        private String approvalDocument;

        @ApiModelProperty(value = "其他信息")
        private String otherInformation;

    }

    @ApiModel(value = "排污许可-入河排口信息vo")
    @Data
    public static class PwxkYs {
        @Excel(name = "排污许可证编号", sort = 0)
        @ApiModelProperty(value = "排污许可证编码")
        private String pollDisLicenseCode;

        @Excel(name = "排污单位名称", sort = 10)
        @ApiModelProperty(value = "排污单位名称")
        private String factoryName;

        @ApiModelProperty(value = "管理类别")
        @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
        private String licenseManType;

        @ApiModelProperty(value = "所在区县")
        @Excel(name = "所在区县", sort = 30)
        private String countryName;

        @ApiModelProperty(value = "所在流域")
        @Excel(name = "所在流域", sort = 31)
        private String riverBasin;

        @ApiModelProperty(value = "所属工业园区名称")
        @Excel(name = "所属工业园区名称", sort = 40)
        private String industrialParkName;

        @ApiModelProperty(value = "所属工业园区编码")
        @Excel(name = "所属工业园区编码", sort = 50)
        private String industrialParkCode;

        @ApiModelProperty(value = "行业类别")
        @Excel(name = "行业类别", sort = 60)
        private String industryPermissionName;

        @ApiModelProperty(value = "排放口编号")
        @Excel(name = "排放口编号", sort = 70)
        private String outletCode;

        @ApiModelProperty(value = "排放口名称")
        @Excel(name = "排放口名称", sort = 80)
        private String outletName;

        @ApiModelProperty(value = "排放口地理位置-经度")
        @Excel(name = "经度", parentName = "排放口地理位置", sort = 90)
        private String lon;

        @ApiModelProperty(value = "排放口地理位置-纬度")
        @Excel(name = "纬度", parentName = "排放口地理位置", sort = 100)
        private String lat;

        @ApiModelProperty(value = "排水去向")
        @Excel(name = "排水去向", sort = 110)
        private String drainageTo;

        @ApiModelProperty(value = "排放规律")
        @Excel(name = "排放规律", sort = 120)
        private String emissionsLaws;

        @ApiModelProperty(value = "间歇式排放时间段")
        @Excel(name = "间歇式排放时间段", sort = 130)
        private String intermittentEmissionPeriod;

        @ApiModelProperty(value = "受纳自然水体信息-名称")
        @Excel(name = "名称", parentName = "受纳自然水体信息", sort = 140)
        private String receivingWaterName;

        @ApiModelProperty(value = "受纳自然水体信息-功能目标")
        @Excel(name = "功能目标", parentName = "受纳自然水体信息", sort = 150)
        private String receivingWaterObjective;

        @ApiModelProperty(value = "汇入受纳自然水体处地理坐标-经度")
        @Excel(name = "经度", parentName = "汇入受纳自然水体处地理坐标", sort = 160)
        private String receivingWaterLon;

        @ApiModelProperty(value = "汇入受纳自然水体处地理坐标-纬度")
        @Excel(name = "纬度", parentName = "汇入受纳自然水体处地理坐标", sort = 170)
        private String receivingWaterLat;

        @ApiModelProperty(value = "其他信息")
        @Excel(name = "其他信息", sort = 180)
        private String otherInformation;
    }

}
