package cn.cecep.talroad.vo;

import cn.cecep.talroad.domain.TCodStationDataAir;
import cn.cecep.talroad.domain.TCodStationDataWater;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@ApiModel(value = "大气环境、水环境站点vo")
@EqualsAndHashCode(callSuper = false)
@Data
public class TCodStationVo {

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "站点名称")
    private String stationName;

    @ApiModelProperty(value = "站点类型 1:废气，2废水")
    private Long stationType;

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "类型编码")
    private String typeCode;

    @ApiModelProperty(value = "经度")
    private BigDecimal lon;

    @ApiModelProperty(value = "纬度")
    private BigDecimal lat;

    private String aqi;
    private String airQualityClass;
    private String waterlevel;

    @ApiModel(value = "大气环境、水环境站点查询条件vo")
    @Data
    public static class SearchVo {
        @ApiModelProperty(value = "站点名称")
        private String stationName;

        @ApiModelProperty(value = "站点类型字典id，多个用逗号分隔")
        private List<Integer> stationTypeDictIds;
    }

    @ApiModel(value = "大气环境站点详情vo")
    @Data
    public static class Air {
        @ApiModelProperty(value = "站点名称")
        private String stationName;

        @ApiModelProperty(value = "最新监测数据")
        private TCodStationDataAir realData;

        @ApiModelProperty(value = "图表数据")
        private EChartsVO chartsVO;
    }

    @ApiModel(value = "水环境站点详情vo")
    @Data
    public static class Water {
        @ApiModelProperty(value = "站点名称")
        private String stationName;

        @ApiModelProperty(value = "最新监测数据")
        private TCodStationDataWater realData;

        @ApiModelProperty(value = "图表数据")
        private EChartsVO chartsVO;
    }

}
