package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * CO放散计划信息列表数据---产治排
 */
@Data
public class CoPlanAllInfo extends PageQuery {

    @ApiModelProperty(value = "上报时间")
    @Excel(name = "上报时间", width = 25, sort = 10,dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "上报人")
    @Excel(name = "上报人", width = 25, sort = 11)
    private String createUser;
    /**
     * 企业名
     */
    @ApiModelProperty(value = "企业名")
    @Excel(name = "企业名称", width = 25, sort = 1)
    private String factoryName;

    /**
     * 县名称
     */
    @ApiModelProperty(value = "县名称")
    @Excel(name = "区县名称", width = 25, sort = 2)
    private String countryName;

    /**
     * 县名称
     */
    @ApiModelProperty(value = "地区code集合")
    private List<String> regionCodes;

    /**
     * 行业名
     */
    @ApiModelProperty(value = "行业名")
    @Excel(name = "行业名称", width = 25, sort = 3)
    private String industryCategoryName;

    @ApiModelProperty(value="类型")
    @Excel(name = "煤气放散口类型", width = 25, sort = 4)
    private String type;

    @ApiModelProperty(value="设备名称")
    @Excel(name = "放散设备名称", width = 25, sort = 5)
    private String name;

    @ApiModelProperty(value="计划开始时间")
    @Excel(name = "计划放散开始时间", width = 25, sort = 7,dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date planStartTime;

    @ApiModelProperty(value="计划结束时间")
    @Excel(name = "计划放散结束时间", width = 25, sort = 8,dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date planEndTime;

    @ApiModelProperty(value="备注")
    @Excel(name = "备注", width = 25, sort = 9)
    private String remarks;

    @ApiModelProperty(value="当前状态")
    @Excel(name = "当前放散状态", width = 25, sort = 6)
    private String status;

    @ApiModelProperty(value="上报开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createStartTime;
    @ApiModelProperty(value="上报结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createEndTime;

    private String statusSource;
    private String statusSourceMQ;

    private Integer planId;
}
