package cn.cecep.talroad.vo.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 排口因子排污许可限值与监测类型实体
 */
@Data
public class OutletPermitPollutantVO {

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantsType;

    private String pollutantCode;

    /** 第一年 */
    private String pollutantsTotalFrist;


    /** 第二年 */
    private String pollutantsTotalSecond;


    /** 第三年 */
    private String pollutantsTotalThird;


    /** 第四年 */
    private String pollutantsTotalFourth;


    /** 第五年 */
    private String pollutantsTotalFifth;

    /**
     * 污染源id
     */
    private String factoryId;

    /**
     * 污染源名称
     */
    private String factoryName;

    /**
     * 排口编号
     */
    private String outletCode;

    /**
     * 废气小时浓度限值
     */
    private String pollutantsMgHour;

    /**
     * 废水流速限值
     */
    private String pollutantsMgRate;

    /**
     * 排口类型（1主要排口，2一般排口）
     */
    private Integer outletType;

    /**
     * 监测类型
     */
    private String outletMonType;



}
