package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 管控期车辆异常分析对象 s_ra_ab_nalysis_low_car
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "管控期车辆异常分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaAbNalysisLowCarVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    private String industryCategoryName;

    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;

    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;

    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;

    @ApiModelProperty(value = "绩效级别")
    /** 绩效级别 */
    private String performanceLevel;

    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String workingProcedure;

    @ApiModelProperty(value = "国四及以下车辆进出厂次数")
    /** 国四及以下车辆进出厂次数 */
    private Long inOutNumber;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "创建时间(默认当前时间)")
    /** 创建时间(默认当前时间) */
    private String createTime;

    @ApiModelProperty(value = "分析时间(原型中日期)")
    /** 分析时间(原型中日期) */
    private String analyseTime;

}
