package cn.cecep.talroad.vo.analysis;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 执行报告实际排放情况对象 s_ra_action_reports_actual_emissions
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告实际排放情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaActionReportsActualEmissionsVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    /** 执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报） */
    private String reportType;

    @ApiModelProperty(value = "执行报告时间;年：2023 季：20232(2023第二个季度) 月： 2023-02")
    /** 执行报告时间;年：2023 季：20232(2023第二个季度) 月： 2023-02 */
    private String reportTime;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排放类型;排放类型（1废气,2废水）")
    /** 排放类型;排放类型（1废气,2废水） */
    private String outletType;

    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    private String outletName;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    private String outletCode;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String pollutantName;

    @ApiModelProperty(value = "污染物code")
    /** 污染物code */
    private String pollutantCode;

    @ApiModelProperty(value = "许可排放量（t）")
    /** 许可排放量（t） */
    private BigDecimal permittedEmissions;

    @ApiModelProperty(value = "实际排放量（t）")
    /** 实际排放量（t） */
    private BigDecimal actualEmissions;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

}
