package cn.cecep.talroad.vo.analysis;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 执行报告实际产量情况对象 s_ra_action_reports_actual_yield
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告实际产量情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaActionReportsActualYieldVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    /** 执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报） */
    private String reportType;

    @ApiModelProperty(value = "执行报告时间;字典bus_executive_report：年：2023 月：2023-02 日： 2023-02-01")
    /** 执行报告时间;字典bus_executive_report：年：2023 月：2023-02 日： 2023-02-01 */
    private String reportTime;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "主要生产单元")
    /** 主要生产单元 */
    private String productionUnit;

    @ApiModelProperty(value = "运行参数code")
    /** 运行参数code */
    private String runningParamCode;

    @ApiModelProperty(value = "运行参数名称")
    /** 运行参数名称 */
    private String runningParamName;

    @ApiModelProperty(value = "产量（t）")
    /** 产量（t） */
    private BigDecimal actualEmissions;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

}
