package cn.cecep.talroad.vo.analysis;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 执行报告规范性审核记录对象 s_ra_action_reports_audit_record
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告规范性审核记录")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaActionReportsAuditRecordVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "执行报告id")
    /** 执行报告id */
    private String reportId;

    @ApiModelProperty(value = "系统审核时间")
    /** 系统审核时间 */
    private Date auditTime;

    @ApiModelProperty(value = "应提交企业数量")
    /** 应提交企业数量 */
    private Long totalEnterprises;

    @ApiModelProperty(value = "已提交企业数量")
    /** 已提交企业数量 */
    private Long submittedEnterprises;

    @ApiModelProperty(value = "已审核企业数量")
    /** 已审核企业数量 */
    private Long auditedEnterprises;

    @ApiModelProperty(value = "存在问题企业数")
    /** 存在问题企业数 */
    private Long problemsEnterprises;

    @ApiModelProperty(value = "审核状态;审核状态：1 审核中   9 审核完成")
    /** 审核状态;审核状态：1 审核中   9 审核完成 */
    private Long auditStatus;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

}
