package cn.cecep.talroad.vo.analysis;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 执行报告规范性审核结果对象 s_ra_action_reports_audit_result
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告规范性审核结果")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaActionReportsAuditResultVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "执行报告审核记录id")
    /** 执行报告审核记录id */
    private String recordId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "报告期;字典bus_executive_report：年：2023 月：2023-02 日： 2023-02-01")
    /** 报告期;字典bus_executive_report：年：2023 月：2023-02 日： 2023-02-01 */
    private String reportTime;

    @ApiModelProperty(value = "排污许可证编号")
    /** 排污许可证编号 */
    private String pollDisLicenseCode;

    @ApiModelProperty(value = "执行报告提交")
    /** 执行报告提交 */
    private Date reportSubmissionTime;

    @ApiModelProperty(value = "审核时间")
    /** 审核时间 */
    private Date auditTime;

    @ApiModelProperty(value = "排污单位基本信息表")
    /** 排污单位基本信息表 */
    private String factoryBasicInfo;

    @ApiModelProperty(value = "污染防治设施正常情况汇总表--废水污染防治设施")
    /** 污染防治设施正常情况汇总表--废水污染防治设施 */
    private String waterPreventionFacilities;

    @ApiModelProperty(value = "污染防治设施正常情况汇总表--废气污染防治设施")
    /** 污染防治设施正常情况汇总表--废气污染防治设施 */
    private String gasPreventionFacilities;

    @ApiModelProperty(value = "污染防治设施异常情况汇总表--废气/废水防治设施")
    /** 污染防治设施异常情况汇总表--废气/废水防治设施 */
    private String preventionFacilities;

    @ApiModelProperty(value = "污染防治设施-异常情况汇总表")
    /** 污染防治设施-异常情况汇总表 */
    private String abnormalSituation;

    @ApiModelProperty(value = "(正常监测时段)有组织废气污染物排放浓度监测数据统计表")
    /** (正常监测时段)有组织废气污染物排放浓度监测数据统计表 */
    private String organizedGasMonitoringData;

    @ApiModelProperty(value = "(正常监测时段)废水污染物排放浓度监测数据统计表")
    /** (正常监测时段)废水污染物排放浓度监测数据统计表 */
    private String waterMonitoringData;

    @ApiModelProperty(value = "(正常监测时段)超标率")
    /** (正常监测时段)超标率 */
    private String exceedingRate;

    @ApiModelProperty(value = "非正常工况/特殊时段有组织废气污染物监测数据统计表")
    /** 非正常工况/特殊时段有组织废气污染物监测数据统计表 */
    private String abnormalOrganizedGasMonitoringData;

    @ApiModelProperty(value = "监测频次合规")
    /** 监测频次合规 */
    private String monitoringFrequency;

    @ApiModelProperty(value = "实际排放量")
    /** 实际排放量 */
    private String actualEmissions;

    @ApiModelProperty(value = "超标排放信息")
    /** 超标排放信息 */
    private String excessiveEmissions;

    @ApiModelProperty(value = "附图附件-自行监测布点图")
    /** 附图附件-自行监测布点图 */
    private String attachment;

    @ApiModelProperty(value = "污染物实际排放量计算过程")
    /** 污染物实际排放量计算过程 */
    private String calculationProcess;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "核查表下载url")
    /** 核查表下载url */
    private String checklist;

    @ApiModelProperty(value = "问题清单下载url")
    /** 问题清单下载url */
    private String questionList;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

}
