package cn.cecep.talroad.vo.analysis;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 执行报告规范性审核对象 s_ra_action_reports_audit
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告规范性审核")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaActionReportsAuditVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    /** 执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报） */
    private String reportType;

    @ApiModelProperty(value = "报告期;年：2023 月：2023-02 日： 2023-02-01")
    /** 报告期;年：2023 月：2023-02 日： 2023-02-01 */
    private String reportTime;

    @ApiModelProperty(value = "应提交企业数量")
    /** 应提交企业数量 */
    private Long totalEnterprises;

    @ApiModelProperty(value = "已提交企业数量")
    /** 已提交企业数量 */
    private Long submittedEnterprises;

    @ApiModelProperty(value = "提交率")
    /** 提交率 */
    private BigDecimal submissionRate;

    @ApiModelProperty(value = "未提交企业清单")
    /** 未提交企业清单 */
    private String nonSubmittedEnterprisesUrl;

    @ApiModelProperty(value = "规范性审核;审核状态：1 审核中   9 审核完成")
    /** 规范性审核;审核状态：1 审核中   9 审核完成 */
    private Long auditStatus;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

}
