package cn.cecep.talroad.vo.analysis;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 区域证后监管问题总表对象 s_ra_area_regulatory_issues
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "区域证后监管问题总表")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaAreaRegulatoryIssuesVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    /** 执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报） */
    private String reportType;

    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    private String districtName;

    @ApiModelProperty(value = "区域编码")
    /** 区域编码 */
    private String districtCode;

    @ApiModelProperty(value = "行业类别")
    /** 行业类别 */
    private String industryCategory;

    @ApiModelProperty(value = "月份")
    /** 月份 */
    private String month;

    @ApiModelProperty(value = "治理设施异常问题个数")
    /** 治理设施异常问题个数 */
    private Long abnormalProblemsNum;

    @ApiModelProperty(value = "在线监测有效监测率")
    /** 在线监测有效监测率 */
    private String effectiveMonitoringComplianceRate;

    @ApiModelProperty(value = "在线监测达标率")
    /** 在线监测达标率 */
    private BigDecimal onlineMonitoringComplianceRate;

    @ApiModelProperty(value = "手工监测频次合格率")
    /** 手工监测频次合格率 */
    private BigDecimal manualMonitoringFrequencyPassRate;

    @ApiModelProperty(value = "系统核算实际排放合格率")
    /** 系统核算实际排放合格率 */
    private BigDecimal sysAccActualEmissionPassRate;

    @ApiModelProperty(value = "执行报告实际排放合格率")
    /** 执行报告实际排放合格率 */
    private BigDecimal reportActualEmissionPassRate;

    @ApiModelProperty(value = "重污染管控执行率")
    /** 重污染管控执行率 */
    private BigDecimal heavyPollutionControlExacutiveRate;

    @ApiModelProperty(value = "应提交执行报告企业数量")
    /** 应提交执行报告企业数量 */
    private Long totalEnterprises;

    @ApiModelProperty(value = "执行报告提交率")
    /** 执行报告提交率 */
    private BigDecimal submissionRate;

    @ApiModelProperty(value = "执行报告规范性存在问题企业数量")
    /** 执行报告规范性存在问题企业数量 */
    private Long problemsEnterprises;

    @ApiModelProperty(value = "规范性问题率")
    /** 规范性问题率 */
    private BigDecimal normativeQuestionRate;

    @ApiModelProperty(value = "执行报告结果统计时间")
    /** 执行报告结果统计时间 */
    private Date reportResultStatisticalTime;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

}
