package cn.cecep.talroad.vo.analysis;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 区域传输率分析对象 s_ra_area_transfer_rate_analysis
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "区域传输率分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaAreaTransferRateAnalysisVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    private String districtName;

    @ApiModelProperty(value = "区域编码")
    /** 区域编码 */
    private String districtCode;

    @ApiModelProperty(value = "统计时间")
    /** 统计时间 */
    private Date statisticsTime;

    @ApiModelProperty(value = "分表计电-应传个数")
    /** 分表计电-应传个数 */
    private Long elecTransmittNum;

    @ApiModelProperty(value = "分表计电-实际上传个数")
    /** 分表计电-实际上传个数 */
    private Long elecActualTransmittNum;

    @ApiModelProperty(value = "分表计电-传输率")
    /** 分表计电-传输率 */
    private BigDecimal elecTransmissionRate;

    @ApiModelProperty(value = "无组织管控-分钟数据-应传个数")
    /** 无组织管控-分钟数据-应传个数 */
    private Long unorganizedTransmittMinuteNum;

    @ApiModelProperty(value = "无组织管控-分钟数据-实际上传个数")
    /** 无组织管控-分钟数据-实际上传个数 */
    private Long unorganizedActualTransmittMinuteNum;

    @ApiModelProperty(value = "无组织管控-分钟数据-传输率")
    /** 无组织管控-分钟数据-传输率 */
    private BigDecimal unorganizedTransmissionMinuteRate;

    @ApiModelProperty(value = "无组织管控-小时数据-应传个数")
    /** 无组织管控-小时数据-应传个数 */
    private Long unorganizedTransmittHourNum;

    @ApiModelProperty(value = "无组织管控-小时数据-实际上传个数")
    /** 无组织管控-小时数据-实际上传个数 */
    private Long unorganizedActualTransmittHourNum;

    @ApiModelProperty(value = "无组织管控-小时数据-传输率")
    /** 无组织管控-小时数据-传输率 */
    private BigDecimal unorganizedTransmissionHourRate;

    @ApiModelProperty(value = "dcs监控数据-应传个数")
    /** dcs监控数据-应传个数 */
    private Long dcsTransmittMinuteNum;

    @ApiModelProperty(value = "dcs监控数据-实际上传个数")
    /** dcs监控数据-实际上传个数 */
    private Long dcsActualTransmittNum;

    @ApiModelProperty(value = "dcs监控数据-传输率")
    /** dcs监控数据-传输率 */
    private BigDecimal dcsTransmissionRate;

    @ApiModelProperty(value = "网格化数据-分钟数据-应传个数")
    /** 网格化数据-分钟数据-应传个数 */
    private Long griddedTransmittMinuteNum;

    @ApiModelProperty(value = "网格化数据-分钟数据-实际上传个数")
    /** 网格化数据-分钟数据-实际上传个数 */
    private Long griddedActualTransmittMinuteNum;

    @ApiModelProperty(value = "网格化数据-分钟数据-传输率")
    /** 网格化数据-分钟数据-传输率 */
    private BigDecimal griddedTransmissionMinuteRate;

    @ApiModelProperty(value = "网格化数据-小时数据-应传个数")
    /** 网格化数据-小时数据-应传个数 */
    private Long griddedTransmittHourNum;

    @ApiModelProperty(value = "网格化数据-小时数据-实际上传个数")
    /** 网格化数据-小时数据-实际上传个数 */
    private Long griddedActualTransmittHourNum;

    @ApiModelProperty(value = "网格化数据-小时数据-传输率")
    /** 网格化数据-小时数据-传输率 */
    private BigDecimal griddedTransmissionHourRate;

    @ApiModelProperty(value = "网格化数据-日数据-应传个数")
    /** 网格化数据-日数据-应传个数 */
    private Long griddedTransmittDayNum;

    @ApiModelProperty(value = "网格化数据-日数据-实际上传个数")
    /** 网格化数据-日数据-实际上传个数 */
    private Long griddedActualTransmittGriddedTransmittDayNum;

    @ApiModelProperty(value = "网格化数据-日数据-传输率")
    /** 网格化数据-日数据-传输率 */
    private BigDecimal griddedTransmissionDayRate;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

}
