package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 关联分析系统-减排方案管理-管控时间段信息对象 s_ra_control_scheme
 *
 * @author szhpt
 * @date 2023-04-02*/
@ApiModel(value = "关联分析系统-减排方案管理-管控时间段信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaControlSchemeVo
{


    @ApiModelProperty(value = "方案主键")
    /** 方案主键 */
    private String schemeId;

    @ApiModelProperty(value = "方案名称")
    /** 方案名称 */
    private String schemeName;

    @ApiModelProperty(value = "预警级别(1-红色预警,2-橙色预警,3-黄色预警)")
    /** 预警级别(1-红色预警,2-橙色预警,3-黄色预警) */
    private String warningLevel;

    @ApiModelProperty(value = "管控措施")
    /** 管控措施 */
    private String controlMeasures;

    @ApiModelProperty(value = "管控开始时间")
    /** 管控开始时间 */
    private String controlStartTime;

    @ApiModelProperty(value = "管控截至时间")
    /** 管控截至时间 */
    private String controlEndTime;

    @ApiModelProperty(value = "停止国四及以下车辆通行(0-否,1-是)")
    /** 停止国四及以下车辆通行(0-否,1-是) */
    private String stopCar;

    @ApiModelProperty(value = "基准开始时间")
    /** 基准开始时间 */
    private String noControlStartTime;

    @ApiModelProperty(value = "基准截至时间")
    /** 基准截至时间 */
    private String noControlEndTime;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

}
