package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业排放量差异分析对象 s_ra_emissions_diff
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "企业排放量差异分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsDiffVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "县名称")
    @Excel(name = "所在区县")
    /** 县名称 */
    private String regionName;

    @ApiModelProperty(value = "县编码")
    /** 县名称 */
    private String regionCode;

    @ApiModelProperty(value = "所在行业")
    @Excel(name = "所在行业")
    /** 所在行业 */
    private String industryName;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份")
    /** 分析日期 */
    private String analyseDate;

    @ApiModelProperty(value = "污染物名称")
    @Excel(name = "污染物名称")
    /** 污染物名称 */
    private String pollutantName;

    @ApiModelProperty(value = "系统核算排放量（t）")
    @Excel(name = "系统核算排放量（t）")
    /** 系统核算排放量（t） */
    private String sysEmissions;

    @ApiModelProperty(value = "执行报告上报排放量（t）")
    @Excel(name = "执行报告上报排放量（t）")
    /** 执行报告上报排放量（t） */
    private String reportEmissions;

    @ApiModelProperty(value = "排放差异率")
    @Excel(name = "排放差异率")
    /** 排放差异率 */
    private String diffRate;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;
}
