package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigInteger;
import java.util.Date;



/**
 * 企业异常行为分析-企业排放分析-监测差异分析对象 s_ra_emissions_monitoring_variance
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "企业异常行为分析-企业排放分析-监测差异分析vo")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsMonitoringVarianceVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @Excel(name = "行业类别")
    @ApiModelProperty(value = "行业类别")
    /** 行业类别 */
    private String industryPermissionName;

    @ApiModelProperty(value = "区县编码")
    /** 区县名称 */
    private String countryCode;

    @Excel(name = "区县名称")
    @ApiModelProperty(value = "区县名称")
    /** 区县名称 */
    private String countryName;

    @Excel(name = "监测时间")
    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    private String stationTime;

    @Excel(name = "监测排口名称")
    @ApiModelProperty(value = "监测排口名称")
    /** 监测排口名称 */
    private String outletName;

    @Excel(name = "监测排口编号")
    @ApiModelProperty(value = "监测排口编号")
    /** 监测排口编号 */
    private String outletCode;

    @ApiModelProperty(value = "监测点id")
    /** 监测点id */
    private Long stationId;

    @ApiModelProperty(value = "污染物种类id")
    /** 污染物种类id */
    private String pollId;

    @Excel(name = "污染物种类")
    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollName;

    @Excel(name = "在线监测浓度")
    @ApiModelProperty(value = "在线监测浓度")
    /** 在线监测浓度 */
    private String concentrationOnline;

    @Excel(name = "自行监测浓度")
    @ApiModelProperty(value = "自行监测浓度")
    /** 自行监测浓度 */
    private String concentrationPm;

    @Excel(name = "执法监测浓度")
    @ApiModelProperty(value = "执法监测浓度")
    /** 执法监测浓度 */
    private String concentrationEtl;

    @Excel(name = "差异率")
    @ApiModelProperty(value = "差异率")
    /** 差异率 */
    private String differenceRatio;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

}
