package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "企业排放量超标分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsOverFactoryVo
{

    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @Excel(name = "行业名称")
    @ApiModelProperty(value = "行业名称")
    private String industryName;

    @Excel(name = "统计范围")
    @ApiModelProperty(value = "统计范围")
    private String statScope;

    @Excel(name = "参数名称")
    @ApiModelProperty(value = "参数名称")
    private String pollutantName;

    @Excel(name = "统计年份")
    @ApiModelProperty(value = "统计年份")
    private String statYear;

    @Excel(name = "分析类型", readConverterExp = "1=排放量超过许可排放量,2=排放量达到许可排放量90%,3=排放量预测超过许可排放量")
    @ApiModelProperty(value = "分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量")
    private String analyseType;

    @Excel(name = "问题说明")
    @ApiModelProperty(value = "问题说明")
    private String problemDesc;

}
