package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "区域、行业排放量超标分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsOverVo
{

    @ApiModelProperty(value = "参数名称")
    @Excel(name = "参数名称")
    private String pollutantName;

    @ApiModelProperty(value = "统计年份")
    @Excel(name = "统计年份")
    private String statYear;

    @ApiModelProperty(value = "许可排放量（t/a）")
    @Excel(name = "许可排放量（t/a））")
    private String permitEmmisons;

    @ApiModelProperty(value = "实际排放量（t/a）")
    @Excel(name = "实际排放量（t/a）")
    private String realityEmmisons;

    @ApiModelProperty(value = "排放占比（实际排放量/许可排放量，%）")
    @Excel(name = "排放占比（实际排放量/许可排放量，%）")
    private String emmisonsRatio;

    @ApiModelProperty(value = "分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量")
    @Excel(name = "超标分析类型", readConverterExp = "1=排放量超过许可排放量,2=排放量达到许可排放量90%,3=排放量预测超过许可排放量")
    private String analyseType;


    @ApiModel(value = "区域排放量超标分析vo")
    @Data
    public static class RegionVo extends SRaEmissionsOverVo {
        @ApiModelProperty(value = "区域名称")
        @Excel(name = "区域名称", sort = 1)
        private String regionName;
    }

    @ApiModel(value = "行业排放量超标分析vo")
    @Data
    public static class IndustryVo extends SRaEmissionsOverVo {
        @ApiModelProperty(value = "行业名称")
        @Excel(name = "区域名称", sort = 1)
        private String industryName;
    }
}
