package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业排放水平分析对象 s_ra_emissions_standard
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "企业排放水平分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsStandardVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "分析年份")
    /** 分析年份 */
    private String analyseYear;

    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    private String pollutantName;

    @ApiModelProperty(value = "区域排名")
    /** 区域排名 */
    private String regionRanking;

    @ApiModelProperty(value = "行业排名")
    /** 行业排名 */
    private String industryRanking;

    @ApiModelProperty(value = "是否排放大户")
    /** 是否排放大户 */
    private String isEmissionsBigUser;

    @ApiModelProperty(value = "排放规模")
    /** 排放规模 */
    private String emissionsScale;

    @ApiModelProperty(value = "单位产品排放量强度")
    /** 单位产品排放量强度 */
    private String unitEmissions;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

}
