package cn.cecep.talroad.vo.analysis;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 企业传输率分析对象 s_ra_factory_transfer_rate_analysis
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "企业传输率分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaFactoryTransferRateAnalysisVo
{


    @ApiModelProperty(value = "id")
    /** id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "数据来源")
    /** 数据来源 */
    private String dataSource;

    @ApiModelProperty(value = "点位/设备名称")
    /** 点位/设备名称 */
    private String outletName;

    @ApiModelProperty(value = "点位/设备编号")
    /** 点位/设备编号 */
    private String outletCode;

    @ApiModelProperty(value = "统计时间")
    /** 统计时间 */
    private Date statisticsTime;

    @ApiModelProperty(value = "应传个数")
    /** 应传个数 */
    private Long transmittNum;

    @ApiModelProperty(value = "实际上传个数")
    /** 实际上传个数 */
    private Long actualTransmittNum;

    @ApiModelProperty(value = "传输率")
    /** 传输率 */
    private BigDecimal transmissionRate;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private Date updateTime;

}
