package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 手工监测排放监控-气污染要素对象 s_ra_handwork_emissions_gas
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "手工监测排放监控-气污染要素")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaHandworkEmissionsGasVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "监测点位名称")
    /** 监测点位名称 */
    private String pointName;

    @ApiModelProperty(value = "排口编号")
    /** 排口编号 */
    private String outletCode;

    @ApiModelProperty(value = "排口类型")
    /** 排口类型 */
    private String outletType;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantName;

    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    private String monitorTime;

    @ApiModelProperty(value = "监测浓度")
    /** 监测浓度 */
    private String monitorVal;

    @ApiModelProperty(value = "浓度单位")
    /** 浓度单位 */
    private String unit;

    @ApiModelProperty(value = "烟气流量（m³/h）")
    /** 烟气流量（m³/h） */
    private String flueGasFlow;

    @ApiModelProperty(value = "核算周期开始")
    /** 核算周期开始 */
    private String checkCycleStart;

    @ApiModelProperty(value = "核算周期结束")
    /** 核算周期结束 */
    private String checkCycleEnd;

    @ApiModelProperty(value = "核算周期生产运行时间")
    /** 核算周期生产运行时间 */
    private String checkRunTime;

    @ApiModelProperty(value = "运行时间来源")
    /** 运行时间来源 */
    private String runTimeSource;

    @ApiModelProperty(value = "排放量（t）")
    /** 排放量（t） */
    private String emissions;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

}
