package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 在线监测排放监控-水污染要素对象 s_ra_online_emissions_water
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "在线监测排放监控-水污染要素")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaOnlineEmissionsWaterVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "监测点位名称")
    /** 监测点位名称 */
    private String pointName;

    @ApiModelProperty(value = "排口编号")
    /** 排口编号 */
    private String outletCode;

    @ApiModelProperty(value = "排口类型")
    /** 排口类型 */
    private String outletType;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantName;

    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    private String monitorTime;

    @ApiModelProperty(value = "浓度日均值")
    /** 浓度日均值 */
    private String dayAvg;

    @ApiModelProperty(value = "浓度单位")
    /** 浓度单位 */
    private String unit;

    @ApiModelProperty(value = "废水流量（m³/d）")
    /** 废水流量（m³/d） */
    private String wasteWaterFlow;

    @ApiModelProperty(value = "污染物排放量（kg）")
    /** 污染物排放量（kg） */
    private String pollutantEmissions;

    @ApiModelProperty(value = "是否有效")
    /** 是否有效 */
    private String isValid;

    @ApiModelProperty(value = "修约排放量")
    /** 修约排放量 */
    private String xyEmissions;

    @ApiModelProperty(value = "修约说明")
    /** 修约说明 */
    private String xyDesc;

    @ApiModelProperty(value = "纳入计算排放量（kg）")
    /** 纳入计算排放量（kg） */
    private String bringIntoEmissions;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @Data
    public static class ChartDataVo {
        private String monitorTime;
        private String pollutantEmissions;
    }

}
