package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "超标率分析-水污染要素")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaOverRateWaterVo
{

    @ApiModelProperty(value = "统计时间")
    @Excel(name = "统计时间")
    private String statisticsTime;

    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称")
    private String factoryName;

    @Excel(name = "行业名称")
    @ApiModelProperty(value = "行业名称")
    private String argumentsName;

    @Excel(name = "区县名称")
    @ApiModelProperty(value = "区县名称")
    private String countryName;

    @ApiModelProperty(value = "监测点位名称")
    @Excel(name = "监测点位名称")
    private String pointName;

    @ApiModelProperty(value = "排口编号")
    @Excel(name = "排口编号")
    private String outletCode;

    @ApiModelProperty(value = "有效监测数据（日均值）数量")
    @Excel(name = "有效监测数据（日均值）数量")
    private String validDataCount;

    @ApiModelProperty(value = "COD超标次数")
    @Excel(name = "COD超标次数")
    private String codOverCount;

    @ApiModelProperty(value = "COD超标率")
    @Excel(name = "COD超标率")
    private String codOverRate;

    @ApiModelProperty(value = "氨氮超标次数")
    @Excel(name = "氨氮超标次数")
    private String nh3OverCount;

    @ApiModelProperty(value = "氨氮超标率")
    @Excel(name = "氨氮超标率")
    private String nh3OverRate;

    @ApiModelProperty(value = "总磷超标次数")
    @Excel(name = "总磷超标次数")
    private String tpOverCount;

    @ApiModelProperty(value = "总磷超标率")
    @Excel(name = "总磷超标率")
    private String tpOverRate;

    @ApiModelProperty(value = "总氮超标次数")
    @Excel(name = "总氮超标次数")
    private String tnOverCount;

    @ApiModelProperty(value = "总氮超标率")
    @Excel(name = "总氮超标率")
    private String tnOverRate;

}
