package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class SRaPollManTypeChangeVo {
    @Excel(name = "企业名称")
    private String factoryName;

    @Excel(name = "行业类别")
    private String industryPermissionName;
    @Excel(name = "区县名称")
    private String countryName;
    private String countryCode;

    /**
     * 上次排污许可证发证日期
     */
    @ApiModelProperty(value="上次排污许可证发证日期")
    @Excel(name = "上次排污许可证发证日期",dateFormat = "yyyy-MM-dd")
    private Date lastLicenseTime;

    /**
     * 上次排污许可证管理级别
     */

    @ApiModelProperty(value="上次排污许可证管理级别--重点FOCUS、简化:SIMPLIFY、登记:REGISTER")
    @Excel(name = "上次排污许可证管理级别",readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记")
    private String lastLicenseManType;

    /**
     * 本次排污许可证发证日期
     */

    @ApiModelProperty(value="本次排污许可证发证日期")
    @Excel(name = "本次排污许可证发证日期",dateFormat = "yyyy-MM-dd")
    private Date nowLicenseTime;

    /**
     * 本次排污许可证管理级别
     */

    @ApiModelProperty(value="本次排污许可证管理级别--重点FOCUS、简化:SIMPLIFY、登记:REGISTER")
    @Excel(name = "本次排污许可证管理级别",readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记")
    private String nowLicenseManType;
}
