package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigInteger;
import java.util.Date;



/**
 * 关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位对象 s_ra_real_time_analysic_comsit_monitor
 *
 * @author szhpt
 * @date 2023-07-14*/
@ApiModel(value = "关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaRealTimeAnalysicComsitMonitorVo extends PageQuery
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger dataId;

    @ApiModelProperty(value = "分组表id")
    /** 分组表id */
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger comsitId;

    @ApiModelProperty(value = "监测点id")
    /** 监测点id */
    private String monitorId;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @Excel(name = "行业")
    @ApiModelProperty(value = "行业名称")
    private String industryCategoryName;
    @Excel(name = "参数名称")
    @ApiModelProperty(value = "参数名称")
    private String parameterName;
    @Excel(name = "监测点位名称")
    @ApiModelProperty(value = "对应监测点位名称")
    /** 对应监测点位名称*/
    private String monitoringPointName;

    @ApiModelProperty(value = "对应治理设施名称")
    /** 对应治理设施名称*/
    private String manageFacilitiesName;


    @ApiModelProperty(value = "对应生产设施名称")
    /** 对应生产设施名称 */
    private String productionFacilitiesName;

    @ApiModelProperty(value = "生产单元名称")
    /** 生产单元名称 */
    private String productionUnitName;
    @ApiModelProperty(value = "排放口名称")
    private String outletName;
    @ApiModelProperty(value = "分析时间")
    /** 数据分析时间 */
    @Excel(name = "分析时间",dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date analysisTime;
    @ApiModelProperty(value = "异常说明")
    @Excel(name = "异常说明")
    private String exceptionEclaration;

}
