package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 关联分析系统-企业生产过程分析-焦炭产量分析对象 s_ra_real_time_analysis_coke
 *
 * @author szhpt
 * @date 2023-04-03*/
@ApiModel(value = "关联分析系统-企业生产过程分析-焦炭产量分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaRealTimeAnalysisCokeVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;

    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    /** 设备编号 */
    private String deviceId;

    @ApiModelProperty(value = "设备类型")
    /** 设备类型 */
    private String deviceType;

    @ApiModelProperty(value = "炭化室有效容积(m3)")
    /** 炭化室有效容积(m3) */
    private String volumeNumber;

    @ApiModelProperty(value = "小时推焦数")
    /** 小时推焦数 */
    private Long pushNumber;

    @ApiModelProperty(value = "焦炭产量(t)")
    /** 焦炭产量(t) */
    private String cokeNumber;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "创建时间(默认当前时间)")
    /** 创建时间(默认当前时间) */
    private String createTime;

    @ApiModelProperty(value = "统计时间")
    /** 统计时间 */
    private String analyseTime;

}
