package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 转炉产量分析对象 s_ra_real_time_analysis_converter
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "转炉产量分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaRealTimeAnalysisConverterVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    private String industryCategoryName;

    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;

    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;

    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    /** 设备编号 */
    private String deviceId;

    @ApiModelProperty(value = "炉数")
    /** 炉数 */
    private Long converterNumber;

    @ApiModelProperty(value = "公称容量")
    /** 公称容量 */
    private String nominalNumber;

    @ApiModelProperty(value = "产量")
    /** 产量 */
    private String outputNumber;

    @ApiModelProperty(value = "出钢量")
    /** 出钢量 */
    private String tapNumber;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "创建时间(默认当前时间)")
    /** 创建时间(默认当前时间) */
    private String createTime;

    @ApiModelProperty(value = "统计时间")
    /** 统计时间 */
    private String analyseTime;

}
