package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业用电水平分析对象 s_ra_real_time_analysis_kwh
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "企业用电水平分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaRealTimeAnalysisKwhVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    private String industryCategoryName;

    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;

    @ApiModelProperty(value = "区域名称")
    /** 区域名称 */
    private String districtName;

    @ApiModelProperty(value = "区域编码")
    /** 区域编码 */
    private String districtCode;

    @ApiModelProperty(value = "参数名称(污染物全写)")
    /** 参数名称(污染物全写) */
    private String paramName;

    @ApiModelProperty(value = "区域排名")
    /** 区域排名 */
    private Long areaRank;

    @ApiModelProperty(value = "行业排名")
    /** 行业排名 */
    private Long industryRank;

    @ApiModelProperty(value = "是否用电大户(0-否,1-是)")
    /** 是否用电大户(0-否,1-是) */
    private String largeHouse;

    @ApiModelProperty(value = "用电规模")
    /** 用电规模 */
    private String scale;

    @ApiModelProperty(value = "单位产品用电强度")
    /** 单位产品用电强度 */
    private String vol;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "创建时间(默认当前时间)")
    /** 创建时间(默认当前时间) */
    private String createTime;

    @ApiModelProperty(value = "年份(yyyy)")
    /** 年份(yyyy) */
    private String year;

    @ApiModelProperty(value = "参数编码(污染物简写)")
    /** 参数编码(污染物简写) */
    private String paramCode;

    @ApiModelProperty(value = "参数单位(污染物单位)")
    /** 参数单位(污染物单位) */
    private String paramUnit;

}
