package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业装备停限产分析报(DCS)对象 s_ra_real_time_analysis_stop
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "企业装备停限产分析报(DCS)")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaRealTimeAnalysisStopVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    private String industryCategoryName;

    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;

    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;

    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;

    @ApiModelProperty(value = "绩效级别")
    /** 绩效级别 */
    private String performanceLevel;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    /** 设备编号 */
    private String deviceId;

    @ApiModelProperty(value = "运行状态时间段")
    /** 运行状态时间段 */
    private String runEtc;

    @ApiModelProperty(value = "异常情况")
    /** 异常情况 */
    private String goingsOn;

    @ApiModelProperty(value = "工序")
    /** 工序 */
    private String workingProcedure;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "创建时间(默认当前时间)")
    /** 创建时间(默认当前时间) */
    private String createTime;

    @ApiModelProperty(value = "分析时间")
    /** 分析时间 */
    private String analyseTime;

}
