package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 关联分析系统-企业自行监测数据对象 s_ra_self_monitoring_data
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "关联分析系统-企业自行监测数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaSelfMonitoringDataVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "存企业表排污许可行业字段类别名称(多个使用'、'拼接)")
    /** 存企业表排污许可行业字段类别名称(多个使用'、'拼接) */
    private String industryCategoryName;

    @ApiModelProperty(value = "存企业表排污许可行业字段类别编码(多个使用'、'拼接)")
    /** 存企业表排污许可行业字段类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;

    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;

    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String pollutantsName;

    @ApiModelProperty(value = "污染物编码")
    /** 污染物编码 */
    private String pollutantsCode;

    @ApiModelProperty(value = "采样时间")
    /** 采样时间 */
    private String monitorTime;


    @ApiModelProperty(value = "入库时间")
    /** 入库时间 */
    private String createTime;

    @ApiModelProperty(value = "监测点id")
    /** 监测点id */
    private String monitorId;

    @ApiModelProperty(value = "监测点名称")
    /** 监测点名称 */
    private String monitoringName;

    @ApiModelProperty(value = "流量（m3/h）")
    /** 流量（m3/h） */
    private String flow;

    @ApiModelProperty(value = "温度（%）")
    /** 温度（%） */
    private String temperatureHumidity;

    @ApiModelProperty(value = "含氧量（%）")
    /** 含氧量（%） */
    private String oxygenContent;

    @ApiModelProperty(value = "流速（m/s）")
    /** 流速（m/s） */
    private String velocity;

    @ApiModelProperty(value = "生产负荷（%）")
    /** 生产负荷（%） */
    private String productionLoad;

    @ApiModelProperty(value = "实测浓度")
    /** 实测浓度 */
    private String actualConcentration;

    @ApiModelProperty(value = "折算浓度")
    /** 折算浓度 */
    private String obversionConcentration;

    @ApiModelProperty(value = "限值上限")
    /** 限值上限 */
    private String upperValue;

    @ApiModelProperty(value = "限值下限")
    /** 限值下限 */
    private String lowerValue;

    @ApiModelProperty(value = "频次单位")
    /** 频次单位 */
    private String frequencyUnit;

    @ApiModelProperty(value = "是否超标；0---否，1----是")
    /** 是否超标；0---否，1----是 */
    private String exceedingStandard;

    @ApiModelProperty(value = "超标倍数")
    /** 超标倍数 */
    private String exceedingMultiple;

    @ApiModelProperty(value = "湿度")
    /** 湿度 */
    private String humidity;

    @ApiModelProperty(value = "频次值")
    /** 频次值 */
    private String frequencyValue;

    @ApiModelProperty(value = "超标原因")
    /** 超标原因 */
    private String reason;

}
