package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 许可排放量废水明细对象 s_ra_water_permitted_emissions
 *
 * @author szhpt
 * @date 2023-06-02*/
@ApiModel(value = "许可排放量废水明细")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaWaterPermittedEmissionsVo
{


    @ApiModelProperty(value = "数据主键")
    /** 数据主键 */
    private String dataId;

    @ApiModelProperty(value = "企业主键")
    /** 企业主键 */
    private String factoryId;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "行业类别名称(多个使用'、'拼接)")
    /** 行业类别名称(多个使用'、'拼接) */
    private String industryCategoryName;

    @ApiModelProperty(value = "行业类别编码(多个使用'、'拼接)")
    /** 行业类别编码(多个使用'、'拼接) */
    private String industryCategoryCode;

    @ApiModelProperty(value = "所在区县名称")
    /** 所在区县名称 */
    private String districtName;

    @ApiModelProperty(value = "所在区县编码")
    /** 所在区县编码 */
    private String districtCode;

    @ApiModelProperty(value = "排口类型(1主要排口、2一般排口)")
    /** 排口类型(1主要排口、2一般排口) */
    private String outletType;

    @ApiModelProperty(value = "监测点名称")
    /** 监测点名称 */
    private String moitorName;

    @ApiModelProperty(value = "监测类型(1自动监测、2手工检测)")
    /** 监测类型(1自动监测、2手工检测) */
    private String monitorType;

    @ApiModelProperty(value = "监测时间")
    /** 监测时间 */
    private String monitorTime;

    @ApiModelProperty(value = "排口编号")
    /** 排口编号 */
    private String outletCode;

    @ApiModelProperty(value = "cod排放量（kg）")
    /** cod排放量（kg） */
    private String cod;

    @ApiModelProperty(value = "cod修约量（kg）")
    /** cod修约量（kg） */
    private String codAmendments;

    @ApiModelProperty(value = "总氮排放量（kg）")
    /** 总氮排放量（kg） */
    private String nitrogen;

    @ApiModelProperty(value = "总氮修约量（kg）")
    /** 总氮修约量（kg） */
    private String nitrogenAmendments;

    @ApiModelProperty(value = "氨氮排放量（kg）")
    /** 氨氮排放量（kg） */
    private String ammonia;

    @ApiModelProperty(value = "氨氮修约量（kg）")
    /** 氨氮修约量（kg） */
    private String ammoniaAmendments;

    @ApiModelProperty(value = "总磷排放量（kg）")
    /** 总磷排放量（kg） */
    private String phosphorus;

    @ApiModelProperty(value = "总磷修约量（kg）")
    /** 总磷修约量（kg） */
    private String phosphorusAmendments;

    @ApiModelProperty(value = "数据标记启炉，停炉，焖炉，生产设施故障，停运，国发非正常工况标记,无效数据是否用修约量计算")
    /** 数据标记启炉，停炉，焖炉，生产设施故障，停运，国发非正常工况标记,无效数据是否用修约量计算 */
    private String dataFlag;

    @ApiModelProperty(value = "入库时间")
    /** 入库时间 */
    private String createTime;

}
