package cn.cecep.talroad.vo.effective;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhangshiji
 * @date 2022/7/13
 */
@ApiModel(value = "日均 自定义数据 查询参数VO")
@Data
public class AirParmaVo {
    @ApiModelProperty(value = "站点id")
    private String stationId;
    @ApiModelProperty(value = "区域code")
    private String regionCode;
    @ApiModelProperty(value = "站点id集合")
    private List<String> stationIdList;
    @ApiModelProperty(value = "区域code集合")
    private List<String> regionCodeList;
    @ApiModelProperty(value = "时间点")
    private String datetime;

    @ApiModelProperty(value = "时间类型",hidden = true)
    private Integer dateType;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;
    @ApiModelProperty(value = "1:小时 2:天 3:月 4:年 5:自定义")
    private Integer timeType;
    @ApiModelProperty(value = "1:站点 2:区域")
    private Integer siteOrRegion;
    @ApiModelProperty(value = " 337城市 168城市 2+26城市 省内地市 县市区 街镇等，目前改为动态的了")
    private Integer airRegionCity;
    @ApiModelProperty(value = "对比类型 1:同比 2:环比")
    private Integer contrastType;
    @ApiModelProperty(value = "同比年份")
    private Integer yearOnYear;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;


    @ApiModelProperty(value = "是否通过时间 倒序排序 0:否 1:是")
    private Integer descSort;
    @ApiModelProperty(value = "是否通过时间 正序排序 0:否 1:是")
    private Integer ascSort;
    @ApiModelProperty(value = "省内code")
    private String provinceCode;

    private String userRegionCode;
    private String userProvinceCode;

    public AirParmaVo() {
        this.descSort = 1;
        this.pageNum = 1;
        this.pageSize = 10;
    }
}
