package cn.cecep.talroad.vo.effective;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class ERmStationInfo extends PageQuery {
    /**
     * 站点名称
     */
    @ApiModelProperty(value="站点名称")
    private String stationName;

    /**
     * 超标因子
     */
    @ApiModelProperty(value="超标因子")
    private String exceedFactor;

    /**
     * 超标类型
     */
    @ApiModelProperty(value="超标类型")
    private String exceedType;

    /**
     * 超标时间
     */
    @TableField(value = "exceed_time")
    @ApiModelProperty(value="超标时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH" ,timezone = "GMT+8")
    private Date exceedTime;

    @ApiModelProperty(value="站点类型")
    private String stationType;

    @ApiModelProperty(value="经度")
    private String longitude;

    /**
     * 维度
     */
    @ApiModelProperty(value="维度")
    private String latitude;


    private String id;
    @ApiModelProperty(value="小写污染物，gis使用")
    private String lowerExceedFactor;
    @ApiModelProperty(value="风向（°）")
    private String windDirection;
    @ApiModelProperty(value="风速")
    private String windPower;
}
