package cn.cecep.talroad.vo.effective;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 成效评估--治理技术评估
    */
@ApiModel(description="成效评估--治理技术评估")
@Data
public class MGovernanceTechnologyEstimate implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    private String id;

    /**
     * 企业名称
     */
    @ApiModelProperty(value="企业名称")
    private String factoryName;

    /**
     * 行业类别
     */
    @ApiModelProperty(value="行业类别")
    private String industryCategory;

    /**
     * 县名称
     */
    @ApiModelProperty(value="县名称")
    private String countryName;

    /**
     * 治理技术
     */
    @ApiModelProperty(value="治理技术")
    private String governanceTechnology;

    /**
     * 治理设施
     */
    @ApiModelProperty(value="治理设施")
    private String governanceFacilities;

    /**
     * 工序
     */
    @ApiModelProperty(value="工序")
    private String procedure;

    /**
     * 评估结果
     */
    @ApiModelProperty(value="评估结果")
    private String administerResults;

    /**
     * 治理效果--治理效率
     */
    @ApiModelProperty(value="治理效果--治理效率")
    private String administerEfficiency;

    /**
     * 治理效果--单位产品污染物排放量（kg/t
     */
    @ApiModelProperty(value="治理效果--单位产品污染物排放量（kg/t")
    private String administerPollutantNum;

    /**
     * 治理效果--单位产品污染物排放浓度（mg/m3）
     */
    @ApiModelProperty(value="治理效果--单位产品污染物排放浓度（mg/m3）")
    private String administerPollutantConcentration;

    /**
     * 运行经济性--单位产品药剂投加量
     */
    @ApiModelProperty(value="运行经济性--单位产品药剂投加量")
    private String operationDrugNum;

    /**
     * 运行经济性--单位污染物排放药剂投加量
     */
    @ApiModelProperty(value="运行经济性--单位污染物排放药剂投加量")
    private String operationPollutantDrugNum;

    /**
     * 运行经济性--单位污染物排放治理设施用电量（KW/kg）
     */
    @ApiModelProperty(value="运行经济性--单位污染物排放治理设施用电量（KW/kg）")
    private String operationPollutantElectricityNum;

    /**
     * 管理控制水平--生产治理运行时间比
     */
    @ApiModelProperty(value="管理控制水平--生产治理运行时间比")
    private String managementLevelTimeRatio;

    /**
     * 管理控制水平--单位产品排放超标次数
     */
    @ApiModelProperty(value="管理控制水平--单位产品排放超标次数")
    private String managementExcessNum;

    /**
     * 管理控制水平--单位产品排放预警次数
     */
    @ApiModelProperty(value="管理控制水平--单位产品排放预警次数")
    private String managementWarningNum;

    /**
     * 管理控制水平--生产设施开启后1小时内平均排放浓度（mg/m3
     */
    @ApiModelProperty(value="管理控制水平--生产设施开启后1小时内平均排放浓度（mg/m3")
    private String managementConcentration;

    /**
     * 季度：1，2，3，4
     */
    @ApiModelProperty(value="季度：1，2，3，4")
    private String quarter;

    /**
     * 年份
     */
    @ApiModelProperty(value="年份")
    private String year;

    @ApiModelProperty(value="治理设施数量")
    private Integer facilitiesNum;
    @ApiModelProperty(value="治理设施数量")
    private Integer factoryNum;

    private static final long serialVersionUID = 1L;
}