package cn.cecep.talroad.vo.effective;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author author
 * @since 2022-09-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="QEnvgasAreaTarget对象", description="")
public class QEnvgasAreaTargetVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private String pkId;

    @ApiModelProperty(value = "1:日 2:月 3:年 4:秋防 5:冬防 6:秋冬防总计")
    @TableField("time_type")
    private String timeType;

    @ApiModelProperty(value = "时间 年:yyyy 月yyyy-MM 日 yyyy-MM-dd")
    @TableField("time")
    private String time;

    @ApiModelProperty(value = "目标值")
    @TableField("target_value")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal targetValue;

    @ApiModelProperty(value = "累计值")
    @TableField("actual_value")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private BigDecimal actualValue;

    @ApiModelProperty(value = "因子id（关联表p_code_index_pollutant）")
    @TableField("fk_factor_id")
    private Integer fkFactorId;

    @ApiModelProperty(value = "区域编号")
    @TableField("region_code")
    private String regionCode;

    @ApiModelProperty(value = "0:未删除 1:已删除")
    @TableField("delete_flag")
    private Integer deleteFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "区域名称")
    @TableField("region_name")
    private String regionName;


    @ApiModelProperty(value = "污染源名称")
    private String pollutantName;

    @ApiModelProperty(value = "污染源字段")
    private String field;


    @ApiModelProperty(value = "最大限值")
    private BigDecimal threshold;

    @ApiModelProperty(value = "同期")
    private BigDecimal contemporary;

    @ApiModelProperty(value = "同比变化率")
    private String basisChange;

    @ApiModelProperty(value = "达标推算")
    private String calculation;



    @ApiModelProperty(value = "同比改善率")
    private String improvement;

    @ApiModelProperty(value = "同比改善率 升降 1上升 2下降")
    private String lifting;

    @ApiModelProperty(value = "达标差距")
    private BigDecimal standard;

    @ApiModelProperty(value = "累计超标天数x天")
    private BigDecimal exceedanceDays;

    @ApiModelProperty(value = "剩余控制天数x天")
    private BigDecimal controlDay;

    @ApiModelProperty(value = "数据时间")
    @TableField("data_time")
    private Date dataTime;

    @ApiModelProperty(value = "AQI")
    @TableField("aqi")
    private BigDecimal aqi;


    @ApiModelProperty(value = "二氧化硫")
    @TableField("so2")
    private BigDecimal so2;

    @ApiModelProperty(value = "二氧化氮")
    @TableField("no2")
    private BigDecimal no2;

    @ApiModelProperty(value = "PM10")
    @TableField("pm10")
    private BigDecimal pm10;

    @ApiModelProperty(value = "PM2.5")
    @TableField("pm25")
    private BigDecimal pm25;

    @ApiModelProperty(value = "一氧化碳")
    @TableField("co")
    private BigDecimal co;


    @ApiModelProperty(value = "臭氧")
    @TableField("o3")
    private BigDecimal o3;


    @ApiModelProperty(value = "臭氧")
    @TableField("o3_8h")
    private BigDecimal o38h;

}
