package cn.cecep.talroad.vo.effective;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 报告模板对象 q_report_template
 * @author talroad
 * @date 2022-08-26 10:41:48
 */
@Data
@ApiModel(value="报告模板模型")
public class QReportTemplate
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "template_id", type = IdType.AUTO)
    @ApiModelProperty(value="主键")
    private Integer templateId;

    /** 模板所属区域 */
    @Excel(name = "模板所属区域")
    @ApiModelProperty(value="模板所属区域")
    private Long regionCode;

    /** 模板名称 */
    @Excel(name = "模板名称")
    @ApiModelProperty(value="模板名称")
    private String templateName;

    /** 模板内容 */
    @Excel(name = "模板内容")
    @ApiModelProperty(value="模板内容")
    private String templateContent;

    /** 模板类型  hour:小时报 day:日报  */
    @Excel(name = "模板类型  hour:小时报 day:日报 ")
    @ApiModelProperty(value="模板类型  hour:小时报 day:日报 ")
    private String templateType;

    /** 1:常规报告 2:专项报告 3:异常报告 4:达标报告 5:管控报告 */
    @Excel(name = "1:常规报告 2:专项报告 3:异常报告 4:达标报告 5:管控报告")
    @ApiModelProperty(value="1:常规报告 2:专项报告 3:异常报告 4:达标报告 5:管控报告")
    private Integer templateCategory;

    /** 应用时间 */
    @Excel(name = "应用时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value="应用时间")
    private Date applyTime;


}
