package cn.cecep.talroad.vo.export;

import cn.cecep.talroad.common.core.annotation.Excel;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;


/**
 * 视频监控对象 m_am_video_dev_fi
 */
@ApiModel(value = "视频监控Export")
@EqualsAndHashCode(callSuper = false)
@Data
public class AmVideoDevFiExport
{

    @ApiModelProperty(value = "主键id")
    @JsonSerialize(using = ToStringSerializer.class)
    private BigInteger id;

    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @ApiModelProperty("设备id")
    private String deviceId;

    @ApiModelProperty(value = "摄像头名称")
    @Excel(name = "视频监测点位名称")
    private String devName;

    @ApiModelProperty(value = "liveGBS设备通道id")
    @Excel(name = "视频通道ID")
    private String channelId;

    @ApiModelProperty(value = "对应排污许可生产设施名称")
    @Excel(name = "对应排污许可生产设施名称")
    private String outletName;

    @ApiModelProperty(value = "对应排污许可生产设施编号")
    @Excel(name = "对应排污许可生产设施编号")
    private String outletCode;


}
