package cn.cecep.talroad.vo.export;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


@ApiModel(value = "设备点位表")
@Data
@EqualsAndHashCode(callSuper = false)
public class BasDeviceSiteExport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "企业ID")
    private String factoryId;

    @ApiModelProperty(value = "点位名称")
    @Excel(name = "点位名称")
    private String name;

    @ApiModelProperty(value = "对应设施名称")
    @Excel(name = "对应设施名称")
    private String deviceName;

    @ApiModelProperty(value = "设施类型:生产设施、治理设施")
    @Excel(name = "设施类型")
    private String deviceType;

    @ApiModelProperty(value = "点位经度")
    @Excel(name = "点位经度")
    private String pointLng;

    @ApiModelProperty(value = "点位纬度")
    @Excel(name = "点位纬度")
    private String pointLat;

}
