package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "首页-企业总揽")
@EqualsAndHashCode(callSuper = false)
@Data
public class HpmEmissionTrackingOverviewVo
{

    @ApiModelProperty(value = "SO2实际排放")
    private BigDecimal actualDischargeSo2;
    @ApiModelProperty(value = "SO2许可排放")
    private BigDecimal permissibleDischargeSo2;
    @ApiModelProperty(value = "SO2许可占比")
    private BigDecimal ratioSo2;

    @ApiModelProperty(value = "NOx实际排放")
    private BigDecimal actualDischargeNox;
    @ApiModelProperty(value = "NOx许可排放")
    private BigDecimal permissibleDischargeNox;
    @ApiModelProperty(value = "NOx许可占比")
    private BigDecimal ratioNox;

    @ApiModelProperty(value = "颗粒物实际排放")
    private BigDecimal actualDischargePm;
    @ApiModelProperty(value = "颗粒物许可排放")
    private BigDecimal permissibleDischargePm;
    @ApiModelProperty(value = "颗粒物许可占比")
    private BigDecimal ratioPm;

    @ApiModelProperty(value = "VOCs实际排放")
    private BigDecimal actualDischargeVocs;
    @ApiModelProperty(value = "VOCs许可排放")
    private BigDecimal permissibleDischargeVocs;
    @ApiModelProperty(value = "VOCs许可占比")
    private BigDecimal ratioVocs;

    @ApiModelProperty(value = "COD实际排放")
    private BigDecimal actualDischargeCod;
    @ApiModelProperty(value = "COD许可排放")
    private BigDecimal permissibleDischargeCod;
    @ApiModelProperty(value = "COD许可占比")
    private BigDecimal ratioCod;

    @ApiModelProperty(value = "氨氮实际排放")
    private BigDecimal actualDischargeNhn;
    @ApiModelProperty(value = "氨氮许可排放")
    private BigDecimal permissibleDischargeNhn;
    @ApiModelProperty(value = "氨氮许可占比")
    private BigDecimal ratioNhn;

    @ApiModelProperty(value = "总氮实际排放")
    private BigDecimal actualDischargeTn;
    @ApiModelProperty(value = "总氮许可排放")
    private BigDecimal permissibleDischargeTn;
    @ApiModelProperty(value = "总氮许可占比")
    private BigDecimal ratioTn;

    @ApiModelProperty(value = "总磷实际排放")
    private BigDecimal actualDischargeTp;
    @ApiModelProperty(value = "总磷许可排放")
    private BigDecimal permissibleDischargeTp;
    @ApiModelProperty(value = "总磷许可占比")
    private BigDecimal ratioTp;


}
