package cn.cecep.talroad.vo.homepage;

import cn.cecep.talroad.vo.PcFactoryVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "首页-地图点位企业坐标、高级搜索条件VO")
@EqualsAndHashCode(callSuper = false)
@Data
public class HpmEnterpriseOverviewVo
{


    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;
    @ApiModelProperty(value = "企业地图显示tip窗颜色 1：重点管理；2：简化管理；3：限期整改；4：登记管理")
    private String enterpriseTip;
    @ApiModelProperty(value = "行业")
    private String enterpriseIndustry;
    @ApiModelProperty(value = "区县编码")
    private String enterpriseCountycode;
    @ApiModelProperty(value = "是否重点排污单位 1：是；2：否")
    private String pollutantDischargingUnit;
    @ApiModelProperty(value = "重点排污单位名录类别 1：大气环境；2：水环境；3：土壤环境；4：声环境")
    private String pollutantDischargingUnitCategory;
    @ApiModelProperty(value = "许可管理类别  1：重点管理；2：简化管理；3：登记管理；")
    private String licenseManagementCategory;
    @ApiModelProperty(value = "许可是否整改 1：是；2：否")
    private String licenseAbarbeitung;
    @ApiModelProperty(value = "管控级别 等级 A/B/B-/C/D/X/Y/Z。X=非绩效引领，Y=豁免，Z=未评级")
    private String controlLevel;
    @ApiModelProperty(value = "生态环境信用级别 等级 A/B/C/D/E。")
    private String ecologicalEnvironmentCreditRating;
    @ApiModelProperty(value = "实际排放量告警 1：实际排放量达到80%；2：实际排放量达到90%；3：实际排放量超标；")
    private String actualEmissionAlarm;
    @ApiModelProperty(value = "返回企业列表")
    private List<PcFactoryVo> pcFactoryVoList;
    @ApiModelProperty(value = "返回企业列表条数")
    private String pcFactorySize;
}
