package cn.cecep.talroad.vo.homepage;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "首页-绩效评级总览")
@EqualsAndHashCode(callSuper = false)
@Data
public class HpmMeriRatingOverviewVo
{

    @ApiModelProperty(value = "绩效评级行业总数")
    private Integer overviewIndustryAmount;

    @ApiModelProperty(value = "总企业数")
    private Integer enterprises;

    @ApiModelProperty(value = "A级企业")
    private Integer enterpriseA;
    @ApiModelProperty(value = "B级企业")
    private Integer enterpriseB;
    @ApiModelProperty(value = "B-级企业")
    private Integer enterpriseBdown;
    @ApiModelProperty(value = "C级企业")
    private Integer enterpriseC;
    @ApiModelProperty(value = "D级企业")
    private Integer enterpriseD;
    @ApiModelProperty(value = "豁免类企业")
    private Integer enterpriseExempt;
    @ApiModelProperty(value = "未评级企业")
    private Integer enterpriseExemptUnrated;
    @ApiModelProperty(value = "非绩效企业")
    private Integer enterpriseNonPerformance;
    @ApiModelProperty(value = "绩效企业")
    private Integer enterprisePerformance=0;

    @ApiModelProperty(value = "非完成评级数量")
    @JsonIgnore
    private int incompleteRatingNum;

    @ApiModelProperty(value = "完成评级数量")
    @JsonIgnore
    private int completeRatingNum;

    @ApiModelProperty(value = "非完成评级占比")
    private BigDecimal incompleteRatingProp;

    @ApiModelProperty(value = "完成评级占比")
    private BigDecimal completeRatingProp;

}
