package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@ApiModel(value = "大屏-视频监控分析-监控问题视频")
@EqualsAndHashCode(callSuper = false)
@Data
public class VideoMonitoringIssuesVo implements Serializable
{

    @ApiModelProperty(value = "视频时间")
    private String videoTime;

    @ApiModelProperty(value = "截图url")
    private String videoPath;

    @ApiModelProperty(value = "视频数据类型 1:视频截图, 2:视频回放")
    private String videoType;

    @ApiModelProperty(value = "视频回放开始时间")
    private String startTime;

    @ApiModelProperty(value = "视频回放结束时间")
    private String endTime;

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "点位名称")
    private String devName;

    @ApiModelProperty(value = "摄像头ID")
    private String devId;

    @ApiModelProperty(value = "设备通道id")
    private String channelId;

    @ApiModelProperty(value = "摄像头状态 1:在线, 2:离线")
    private String status;

    @ApiModelProperty(value = "设备id，用于视频来源于GB28181")
    private String gbsDeviceId;

    @ApiModelProperty(value = "设备来源 1:GB28181, 2:污染源动态管控")
    private String devSource;

    @ApiModelProperty(value = "是否启用，0：未启用，1：启用")
    private String isStatus;

}
