package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.AmProblemFiRatio;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 预警报警信息-预警比例定制对象 m_am_problem_fi_ratio
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "预警报警信息-预警比例定制")
@EqualsAndHashCode(callSuper = false)
@Data
public class AmProblemFiRatioQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "监测点位id")
    private String stationId;
    @ApiModelProperty(value = "污染物id")
    private String pollId;
    @ApiModelProperty(value = "预警比例")
    private String problemRatio;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "修改时间")
    private String updateTime;
    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @ApiModelProperty(value = "监测点位名称")
    private String monitoringPointName;
    @ApiModelProperty(value = "污染物名称")
    private String pollName;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<AmProblemFiRatio> createLambdaQueryWrapper(AmProblemFiRatioQuery query) {
        QueryWrapper<AmProblemFiRatio> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStationId()), "station_id", query.getStationId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollId()), "poll_id", query.getPollId());
        wrapper.eq(ObjectUtil.isNotNull(query.getProblemRatio()), "problem_ratio", query.getProblemRatio());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        return wrapper;
        }
}
