package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.AppVersionAddressManagement;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;


/**
 * @Description: app版本管理表
 * @Author: code-generate
 * @Date:   2023-07-06
 * @Version: V1.0
 */
@ApiModel(value="app_version_address_management查询对象")
@EqualsAndHashCode(callSuper = false)
@Data
public class AppVersionAddressManagementQuery extends PageQuery
{

	/**主键*/
    @ApiModelProperty(value = "主键")
	private String id;
	/**下载地址*/
    @ApiModelProperty(value = "下载地址")
	private String downloadUrl;
	/**log图片地址*/
    @ApiModelProperty(value = "log图片地址")
	private String logimgUrl;
	/**相对的文件地址*/
    @ApiModelProperty(value = "相对的文件地址")
	private String downloadRelativelyUrl;
	/**版本号*/
    @ApiModelProperty(value = "版本号")
	private String versionName;
	/**更新提示语*/
    @ApiModelProperty(value = "更新提示语")
	private String updateHint;
	/**是否强制更新 0 否 1是*/
    @ApiModelProperty(value = "是否强制更新 0 否 1是")
	private Integer isForcedUpdate;
	/**是否生产 0: 测试 1: 生产*/
    @ApiModelProperty(value = "是否生产 0: 测试 1: 生产")
	private Integer isDebug;
	/**0 正常 1 删除 2禁用 3测试*/
    @ApiModelProperty(value = "0 正常 1 删除 2禁用 3测试")
	private Integer status;
	/**添加时间*/
    @ApiModelProperty(value = "添加时间")
	private java.util.Date addTime;
	/**修改时间*/
    @ApiModelProperty(value = "修改时间")
	private java.util.Date updateTime;

    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<AppVersionAddressManagement>
     * @throws
     */
    public static QueryWrapper<AppVersionAddressManagement> createLambdaQueryWrapper(AppVersionAddressManagementQuery query) {
        QueryWrapper<AppVersionAddressManagement> wrapper = new QueryWrapper<>();
        
   		wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
   		wrapper.eq(ObjectUtil.isNotNull(query.getDownloadUrl()), "downloadUrl", query.getDownloadUrl());
   		wrapper.eq(ObjectUtil.isNotNull(query.getLogimgUrl()), "logimgUrl", query.getLogimgUrl());
   		wrapper.eq(ObjectUtil.isNotNull(query.getDownloadRelativelyUrl()), "downloadRelativelyUrl", query.getDownloadRelativelyUrl());
   		wrapper.eq(ObjectUtil.isNotNull(query.getVersionName()), "versionName", query.getVersionName());
   		wrapper.eq(ObjectUtil.isNotNull(query.getUpdateHint()), "updateHint", query.getUpdateHint());
   		wrapper.eq(ObjectUtil.isNotNull(query.getIsForcedUpdate()), "isForcedUpdate", query.getIsForcedUpdate());
   		wrapper.eq(ObjectUtil.isNotNull(query.getIsDebug()), "isDebug", query.getIsDebug());
   		wrapper.eq(ObjectUtil.isNotNull(query.getStatus()), "status", query.getStatus());
   		wrapper.eq(ObjectUtil.isNotNull(query.getAddTime()), "addTime", query.getAddTime());
   		wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "updateTime", query.getUpdateTime());
        
        return wrapper;
        }
}
