package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.common.core.utils.StringUtils;
import cn.cecep.talroad.domain.BEnterpriseIrEes;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 知识库-生态环境标准对象 b_enterprise_ir_ees
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "知识库-生态环境标准")
@EqualsAndHashCode(callSuper = false)
@Data
public class BEnterpriseIrEesQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "标准分类:水环境保护-101、大气环境保护-102、环境噪声与振动-103、土壤环境保护-104、固体废物与化学品环境污染控制-105、核辐射与电磁辐射环境保护-106、生态环境保护-107、环境影响评价-108、排污许可-109、其他环境保护标准-110、污染防治技术政策-111、环境检测方法标准及监测规范-112。")
    private String eesClassify;
    @ApiModelProperty(value = "标准子类:10101水环境质量标准、10102水污染排放标准、10103相关标准；10201大气环境质量标准、10202大气固定源污染物排放标准、10203大气移动原污染物排放标准、10204相关标准；10301生环境质量标准、10302环境噪声排放标准；10401土壤环境标准;...")
    private String eesType;
    @ApiModelProperty(value = "标准名称")
    private String eesName;
    @ApiModelProperty(value = "标准标题")
    private String eesTitle;
    @ApiModelProperty(value = "标准内容")
    private String eesDetails;
    @ApiModelProperty(value = "标准附件名称")
    private String eesFileName;
    @ApiModelProperty(value = "标准附件url")
    private String eesFileUrl;
    @ApiModelProperty(value = "标准实施时间")
    private String eesTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BEnterpriseIrEes> createLambdaQueryWrapper(BEnterpriseIrEesQuery query) {
        QueryWrapper<BEnterpriseIrEes> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotEmpty(query.getId()), "id", query.getId());
        wrapper.eq(StringUtils.isNotEmpty(query.getEesClassify()), "ees_classify", query.getEesClassify());
        wrapper.eq(StringUtils.isNotEmpty(query.getEesType()), "ees_type", query.getEesType());
        wrapper.like(StringUtils.isNotEmpty(query.getEesName()), "ees_name", query.getEesName());
        wrapper.eq(StringUtils.isNotEmpty(query.getEesTitle()), "ees_title", query.getEesTitle());
        wrapper.eq(StringUtils.isNotEmpty(query.getEesDetails()), "ees_details", query.getEesDetails());
        wrapper.eq(StringUtils.isNotEmpty(query.getEesFileName()), "ees_file_name", query.getEesFileName());
        wrapper.eq(StringUtils.isNotEmpty(query.getEesFileUrl()), "ees_file_url", query.getEesFileUrl());
        wrapper.eq(StringUtils.isNotEmpty(query.getEesTime()), "ees_time", query.getEesTime());
        return wrapper;
        }
}
