package cn.cecep.talroad.vo.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;


/**
 * 企业排放监控-废气、废水、固废排放趋势 BMainEmissionSourceAirWaterSolidQuery
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-多来源排放量对比-废气")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionSourceAirWaterSolidQuery
{


    @ApiModelProperty(value = "企业id")
    @NotBlank(message = "请指定查询企业主键ID")
    private String factoryId;

    @ApiModelProperty(value = "数据类型[日、月、年]")
    @NotBlank(message = "请指定数据类型[日、月、年]")
    private String dataType;

    @ApiModelProperty(value = "污染类别[废水、废气、固废、行业]")
    @NotBlank(message = "请指定污染类别[废水、废气、固废、行业]")
    private String facts;

}
