package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.BMainHazardousSolidWasteCr;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 固体废物环境管理要求对象 b_main_hazardous_solid_waste_cr
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "固体废物环境管理要求")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainHazardousSolidWasteCrQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "设施类型")
    private String solidWasteType;
    @ApiModelProperty(value = "管理要求")
    private String controlRequirements;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainHazardousSolidWasteCr> createLambdaQueryWrapper(BMainHazardousSolidWasteCrQuery query) {
        QueryWrapper<BMainHazardousSolidWasteCr> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getSolidWasteType()), "solid_waste_type", query.getSolidWasteType());
        wrapper.eq(ObjectUtil.isNotNull(query.getControlRequirements()), "control_requirements", query.getControlRequirements());
        return wrapper;
        }
}
