package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.BMainHazardousSolidWasteFa;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 自行贮存和自行利用处置设施信息对象 b_main_hazardous_solid_waste_fa
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "自行贮存和自行利用处置设施信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainHazardousSolidWasteFaQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "固体废物类别")
    private String solidWasteType;
    @ApiModelProperty(value = "设施名称")
    private String facilityName;
    @ApiModelProperty(value = "设施编号")
    private String facilityCode;
    @ApiModelProperty(value = "设施类型")
    private String facilityType;
    @ApiModelProperty(value = "经度")
    private String lon;
    @ApiModelProperty(value = "纬度")
    private String lat;
    @ApiModelProperty(value = "污染防控技术要求")
    private String polluteTechnicalRequirements;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainHazardousSolidWasteFa> createLambdaQueryWrapper(BMainHazardousSolidWasteFaQuery query) {
        QueryWrapper<BMainHazardousSolidWasteFa> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getSolidWasteType()), "solid_waste_type", query.getSolidWasteType());
        wrapper.eq(ObjectUtil.isNotNull(query.getFacilityName()), "facility_name", query.getFacilityName());
        wrapper.eq(ObjectUtil.isNotNull(query.getFacilityCode()), "facility_code", query.getFacilityCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getFacilityType()), "facility_type", query.getFacilityType());
        wrapper.eq(ObjectUtil.isNotNull(query.getLon()), "lon", query.getLon());
        wrapper.eq(ObjectUtil.isNotNull(query.getLat()), "lat", query.getLat());
        wrapper.eq(ObjectUtil.isNotNull(query.getPolluteTechnicalRequirements()), "pollute_technical_requirements", query.getPolluteTechnicalRequirements());
        return wrapper;
        }
}
