package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.BMainHazardousSolidWasteLe;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 固体废物排放信息对象 b_main_hazardous_solid_waste_le
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "固体废物排放信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainHazardousSolidWasteLeQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "固体废物id")
    private String solidWasteId;
    @ApiModelProperty(value = "自行处置量（t/a）")
    private String selfDisposalVolume;
    @ApiModelProperty(value = "委托处置量")
    private String entrustedDisposalVolume;
    @ApiModelProperty(value = "外委处置单位名称")
    private String entrustedDisposalUnitName;
    @ApiModelProperty(value = "危险废物处置单位名称")
    private String hazardousWasteUnitName;
    @ApiModelProperty(value = "危险废物处置单位经营许可证编号")
    private String hazardousWasteLicenceCode;
    @ApiModelProperty(value = "自行贮存设施名称")
    private String storageFacilityName;
    @ApiModelProperty(value = "自行贮存设施编号")
    private String storageFacilityCode;
    @ApiModelProperty(value = "视频监控")
    private String videoSurveillance;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainHazardousSolidWasteLe> createLambdaQueryWrapper(BMainHazardousSolidWasteLeQuery query) {
        QueryWrapper<BMainHazardousSolidWasteLe> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getSolidWasteId()), "solid_waste_id", query.getSolidWasteId());
        wrapper.eq(ObjectUtil.isNotNull(query.getSelfDisposalVolume()), "self_disposal_volume", query.getSelfDisposalVolume());
        wrapper.eq(ObjectUtil.isNotNull(query.getEntrustedDisposalVolume()), "entrusted_disposal_volume", query.getEntrustedDisposalVolume());
        wrapper.eq(ObjectUtil.isNotNull(query.getEntrustedDisposalUnitName()), "entrusted_disposal_unit_name", query.getEntrustedDisposalUnitName());
        wrapper.eq(ObjectUtil.isNotNull(query.getHazardousWasteUnitName()), "hazardous_waste_unit_name", query.getHazardousWasteUnitName());
        wrapper.eq(ObjectUtil.isNotNull(query.getHazardousWasteLicenceCode()), "hazardous_waste_licence_code", query.getHazardousWasteLicenceCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getStorageFacilityName()), "storage_facility_name", query.getStorageFacilityName());
        wrapper.eq(ObjectUtil.isNotNull(query.getStorageFacilityCode()), "storage_facility_code", query.getStorageFacilityCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getVideoSurveillance()), "video_surveillance", query.getVideoSurveillance());
        return wrapper;
        }
}
