package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.BMainPollDisNoise;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 排污许可其他许可噪声排放对象 b_main_poll_dis_noise
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可其他许可噪声排放")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisNoiseQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long noiseId;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "排污许可表id")
    private String pollDisId;
    @ApiModelProperty(value = "噪声类别")
    private String noiseType;
    @ApiModelProperty(value = "生产时段昼间")
    private String productionTimeDay;
    @ApiModelProperty(value = "生产时段夜间")
    private String productionTimeNight;
    @ApiModelProperty(value = "执行排放标准名称")
    private String emissionStandardsName;
    @ApiModelProperty(value = "厂界噪声排放限制昼间")
    private String noiseOuelatDay;
    @ApiModelProperty(value = "厂界噪声排放限制夜间")
    private String noiseOuelatNight;
    @ApiModelProperty(value = "其他信息")
    private String otherInformation;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainPollDisNoise> createLambdaQueryWrapper(BMainPollDisNoiseQuery query) {
        QueryWrapper<BMainPollDisNoise> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getNoiseId()), "noise_id", query.getNoiseId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollDisId()), "poll_dis_id", query.getPollDisId());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoiseType()), "noise_type", query.getNoiseType());
        wrapper.eq(ObjectUtil.isNotNull(query.getProductionTimeDay()), "production_time_day", query.getProductionTimeDay());
        wrapper.eq(ObjectUtil.isNotNull(query.getProductionTimeNight()), "production_time_night", query.getProductionTimeNight());
        wrapper.eq(ObjectUtil.isNotNull(query.getEmissionStandardsName()), "emission_standards_name", query.getEmissionStandardsName());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoiseOuelatDay()), "noise_ouelat_day", query.getNoiseOuelatDay());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoiseOuelatNight()), "noise_ouelat_night", query.getNoiseOuelatNight());
        wrapper.eq(ObjectUtil.isNotNull(query.getOtherInformation()), "other_information", query.getOtherInformation());
        return wrapper;
        }
}
