package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.BMainPollDisNoiseRequire;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 排污许可环境管理要求对象 b_main_poll_dis_noise_require
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可环境管理要求")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisNoiseRequireQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long requireId;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "排污许可表id")
    private String pollDisId;
    @ApiModelProperty(value = "大气环境管理要求")
    private String requireGas;
    @ApiModelProperty(value = "水环境管理要求")
    private String requireWater;
    @ApiModelProperty(value = "土壤污染防治要求")
    private String requireSoil;
    @ApiModelProperty(value = "固体废物污染环境要求")
    private String requireSolid;
    @ApiModelProperty(value = "其他控制及管理要求")
    private String otherInformationRequire;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainPollDisNoiseRequire> createLambdaQueryWrapper(BMainPollDisNoiseRequireQuery query) {
        QueryWrapper<BMainPollDisNoiseRequire> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getRequireId()), "require_id", query.getRequireId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollDisId()), "poll_dis_id", query.getPollDisId());
        wrapper.eq(ObjectUtil.isNotNull(query.getRequireGas()), "require_gas", query.getRequireGas());
        wrapper.eq(ObjectUtil.isNotNull(query.getRequireWater()), "require_water", query.getRequireWater());
        wrapper.eq(ObjectUtil.isNotNull(query.getRequireSoil()), "require_soil", query.getRequireSoil());
        wrapper.eq(ObjectUtil.isNotNull(query.getRequireSolid()), "require_solid", query.getRequireSolid());
        wrapper.eq(ObjectUtil.isNotNull(query.getOtherInformationRequire()), "other_information_require", query.getOtherInformationRequire());
        return wrapper;
        }
}
