package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.BMainPollDisWaterTout;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 排污许可水污染物排放总计对象 b_main_poll_dis_water_tout
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可水污染物排放总计")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisWaterToutQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long toutId;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "排污许可表id")
    private String pollDisId;
    @ApiModelProperty(value = "污染物种类")
    private String pollutantsType;
    @ApiModelProperty(value = "第一年")
    private String pollutantsTotalFrist;
    @ApiModelProperty(value = "第二年")
    private String pollutantsTotalSecond;
    @ApiModelProperty(value = "第三年")
    private String pollutantsTotalThird;
    @ApiModelProperty(value = "第四年")
    private String pollutantsTotalFourth;
    @ApiModelProperty(value = "第五年")
    private String pollutantsTotalFifth;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainPollDisWaterTout> createLambdaQueryWrapper(BMainPollDisWaterToutQuery query) {
        QueryWrapper<BMainPollDisWaterTout> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getToutId()), "tout_id", query.getToutId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollDisId()), "poll_dis_id", query.getPollDisId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantsType()), "pollutants_type", query.getPollutantsType());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantsTotalFrist()), "pollutants_total_frist", query.getPollutantsTotalFrist());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantsTotalSecond()), "pollutants_total_second", query.getPollutantsTotalSecond());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantsTotalThird()), "pollutants_total_third", query.getPollutantsTotalThird());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantsTotalFourth()), "pollutants_total_fourth", query.getPollutantsTotalFourth());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantsTotalFifth()), "pollutants_total_fifth", query.getPollutantsTotalFifth());
        return wrapper;
        }
}
