package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BMainThreeSupervisionEnforcRecord;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 三监联动执法信息记录对象 b_main_three_supervision_enforc_record
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "三监联动执法信息记录")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainThreeSupervisionEnforcRecordQuery extends PageQuery
{

    @ApiModelProperty(value = "id")
    private String recordId;
    @ApiModelProperty(value = "父任务id")
    private String taskId;
    @ApiModelProperty(value = "办理部门")
    private String handleDeptId;
    @ApiModelProperty(value = "办理部门名称")
    private String handleDeptName;
    @ApiModelProperty(value = "实际办理人员")
    private String handlePerson;
    @ApiModelProperty(value = "办理时间")
    private String handleTime;
    @ApiModelProperty(value = "是否现场执法;0 否 1 是")
    private String isEnforcement;
    @ApiModelProperty(value = "结论(多个结论逗号分割)")
    private String conclusion;
    @ApiModelProperty(value = "具体结论")
    private String specificConclusion;
    @ApiModelProperty(value = "问题附件")
    private String questionAttachment;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainThreeSupervisionEnforcRecord> createLambdaQueryWrapper(BMainThreeSupervisionEnforcRecordQuery query) {
        QueryWrapper<BMainThreeSupervisionEnforcRecord> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getRecordId()), "record_id", query.getRecordId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTaskId()), "task_id", query.getTaskId());
        wrapper.eq(ObjectUtil.isNotNull(query.getHandleDeptId()), "handle_dept_id", query.getHandleDeptId());
        wrapper.eq(ObjectUtil.isNotNull(query.getHandleDeptName()), "handle_dept_name", query.getHandleDeptName());
        wrapper.eq(ObjectUtil.isNotNull(query.getHandlePerson()), "handle_person", query.getHandlePerson());
        wrapper.eq(ObjectUtil.isNotNull(query.getHandleTime()), "handle_time", query.getHandleTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsEnforcement()), "is_enforcement", query.getIsEnforcement());
        wrapper.eq(ObjectUtil.isNotNull(query.getConclusion()), "conclusion", query.getConclusion());
        wrapper.eq(ObjectUtil.isNotNull(query.getSpecificConclusion()), "specific_conclusion", query.getSpecificConclusion());
        wrapper.eq(ObjectUtil.isNotNull(query.getQuestionAttachment()), "question_attachment", query.getQuestionAttachment());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateBy()), "create_by", query.getCreateBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateBy()), "update_by", query.getUpdateBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        return wrapper;
    }
}

