package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BMainTwoRandomTaskStep;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 移动执法信息-双随机任务-流程步骤对象 b_main_two_random_task_step
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "移动执法信息-双随机任务-流程步骤")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainTwoRandomTaskStepQuery extends PageQuery
{

    @ApiModelProperty(value = "主键")
    private String id;
    @ApiModelProperty(value = "双随机任务id")
    private String twoRandomTaskId;
    @ApiModelProperty(value = "步骤名")
    private String stepName;
    @ApiModelProperty(value = "操作时间")
    private String operateTime;
    @ApiModelProperty(value = "操作人名称")
    private String operateUserName;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BMainTwoRandomTaskStep> createLambdaQueryWrapper(BMainTwoRandomTaskStepQuery query) {
        QueryWrapper<BMainTwoRandomTaskStep> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getTwoRandomTaskId()), "two_random_task_id", query.getTwoRandomTaskId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStepName()), "step_name", query.getStepName());
        wrapper.eq(ObjectUtil.isNotNull(query.getOperateTime()), "operate_time", query.getOperateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOperateUserName()), "operate_user_name", query.getOperateUserName());
        return wrapper;
        }
}
