package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionStatistics;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计对象 b_stat_table_zxbg_gas_emission_statistics
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgGasEmissionStatisticsQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "类型")
    private String zxbgPollutantType;
    @ApiModelProperty(value = "污染物名称")
    private String pollutantName;
    @ApiModelProperty(value = "设施名称")
    private String facilityName;
    @ApiModelProperty(value = "生产设施/无组织排放编号")
    private String facilitiesCode;
    @ApiModelProperty(value = "监测时间")
    private String monitoringTime;
    @ApiModelProperty(value = "监测次数")
    private Long monitoringNumber;
    @ApiModelProperty(value = "许可排放浓度限值")
    private String emissionConcentration;
    @ApiModelProperty(value = "浓度监测结果（小时浓度）")
    private String monitoringResultsHour;
    @ApiModelProperty(value = "浓度监测结果（折标，小时浓度）")
    private String monitoringFoldsHour;
    @ApiModelProperty(value = "是否超标:0否1是")
    private String isExceeded;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgGasEmissionStatistics> createLambdaQueryWrapper(BStatTableZxbgGasEmissionStatisticsQuery query) {
        QueryWrapper<BStatTableZxbgGasEmissionStatistics> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPollutantType()), "zxbg_pollutant_type", query.getZxbgPollutantType());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantName()), "pollutant_name", query.getPollutantName());
        wrapper.eq(ObjectUtil.isNotNull(query.getFacilityName()), "facility_name", query.getFacilityName());
        wrapper.eq(ObjectUtil.isNotNull(query.getFacilitiesCode()), "facilities_code", query.getFacilitiesCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonitoringTime()), "monitoring_time", query.getMonitoringTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonitoringNumber()), "Monitoring_number", query.getMonitoringNumber());
        wrapper.eq(ObjectUtil.isNotNull(query.getEmissionConcentration()), "emission_concentration", query.getEmissionConcentration());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonitoringResultsHour()), "monitoring_results_hour", query.getMonitoringResultsHour());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonitoringFoldsHour()), "monitoring_folds_hour", query.getMonitoringFoldsHour());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsExceeded()), "is_exceeded", query.getIsExceeded());
        wrapper.eq(ObjectUtil.isNotNull(query.getRemark()), "remark", query.getRemark());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        return wrapper;
        }
}
