package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtFuel;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 固定源产排治--执行报告--火电、钢铁燃料信息对象 b_stat_table_zxbg_hd_gt_fuel
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电、钢铁燃料信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdGtFuelQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "机组名称")
    private String unitName;
    @ApiModelProperty(value = "机组类型")
    private String unitType;
    @ApiModelProperty(value = "燃料消耗量")
    private String fuelConsumption;
    @ApiModelProperty(value = "燃料消耗量单位")
    private String fuelConsumptionUnits;
    @ApiModelProperty(value = "发电标准煤耗")
    private String coalConsumption;
    @ApiModelProperty(value = "发电标准煤耗单位")
    private String coalConsumptionUnits;
    @ApiModelProperty(value = "产灰量")
    private String ashProduction;
    @ApiModelProperty(value = "产灰量单位")
    private String ashProductionUits;
    @ApiModelProperty(value = "产渣量")
    private String slagProduction;
    @ApiModelProperty(value = "产渣量单位")
    private String slagProductionUnits;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgHdGtFuel> createLambdaQueryWrapper(BStatTableZxbgHdGtFuelQuery query) {
        QueryWrapper<BStatTableZxbgHdGtFuel> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getUnitName()), "unit_name", query.getUnitName());
        wrapper.eq(ObjectUtil.isNotNull(query.getUnitType()), "unit_type", query.getUnitType());
        wrapper.eq(ObjectUtil.isNotNull(query.getFuelConsumption()), "fuel_consumption", query.getFuelConsumption());
        wrapper.eq(ObjectUtil.isNotNull(query.getFuelConsumptionUnits()), "fuel_consumption_units", query.getFuelConsumptionUnits());
        wrapper.eq(ObjectUtil.isNotNull(query.getCoalConsumption()), "coal_consumption", query.getCoalConsumption());
        wrapper.eq(ObjectUtil.isNotNull(query.getCoalConsumptionUnits()), "coal_consumption_units", query.getCoalConsumptionUnits());
        wrapper.eq(ObjectUtil.isNotNull(query.getAshProduction()), "ash_production", query.getAshProduction());
        wrapper.eq(ObjectUtil.isNotNull(query.getAshProductionUits()), "ash_production_uits", query.getAshProductionUits());
        wrapper.eq(ObjectUtil.isNotNull(query.getSlagProduction()), "slag_production", query.getSlagProduction());
        wrapper.eq(ObjectUtil.isNotNull(query.getSlagProductionUnits()), "slag_production_units", query.getSlagProductionUnits());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        return wrapper;
        }
}
