package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdWaterPollution;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 固定源产排治--执行报告--火电废水污染治理设施正常情况对象 b_stat_table_zxbg_hd_water_pollution
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电废水污染治理设施正常情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgHdWaterPollutionQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "废水类别")
    private String waterCategory;
    @ApiModelProperty(value = "治理设施编号")
    private String governanceFacilityCode;
    @ApiModelProperty(value = "治理设施名称")
    private String governanceFacilityName;
    @ApiModelProperty(value = "治理设施运行时间（小时）")
    private String governanceFacilityTime;
    @ApiModelProperty(value = "污染治理设施工艺")
    private String pollutionFacilityTechnology;
    @ApiModelProperty(value = "污染因子")
    private String contaminateFactor;
    @ApiModelProperty(value = "排放去向")
    private String emissions;
    @ApiModelProperty(value = "受纳水体名称")
    private String receivingName;
    @ApiModelProperty(value = "用电量")
    private String electricityConsumption;
    @ApiModelProperty(value = "污水设计处理能力")
    private String processingPower;
    @ApiModelProperty(value = "污水实际处理量")
    private String actualProcessingVolume;
    @ApiModelProperty(value = "污水实际会用量")
    private String willAmount;
    @ApiModelProperty(value = "污水实际排放量")
    private String actualEmissions;
    @ApiModelProperty(value = "废水设计处理能力")
    private String designProcessingPower;
    @ApiModelProperty(value = "废水实际处理量")
    private String waterTreatmentVolume;
    @ApiModelProperty(value = "废水实际会用量")
    private String waterWillAmount;
    @ApiModelProperty(value = "废水实际排放量")
    private String waterActualEmissions;
    @ApiModelProperty(value = "污泥生成量")
    private String sludgeGeneration;
    @ApiModelProperty(value = "污泥含水率")
    private String sludgeMoistureContent;
    @ApiModelProperty(value = "循环冷却水排放量")
    private String circulatingCooling;
    @ApiModelProperty(value = "直流冷却水排水量")
    private String coolingDischarge;
    @ApiModelProperty(value = "污泥处置方式")
    private String sludgeDisposalMethod;
    @ApiModelProperty(value = "污染治理设施运行费用")
    private String facilityOperatingCosts;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgHdWaterPollution> createLambdaQueryWrapper(BStatTableZxbgHdWaterPollutionQuery query) {
        QueryWrapper<BStatTableZxbgHdWaterPollution> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getWaterCategory()), "water_category", query.getWaterCategory());
        wrapper.eq(ObjectUtil.isNotNull(query.getGovernanceFacilityCode()), "governance_facility_code", query.getGovernanceFacilityCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getGovernanceFacilityName()), "governance_facility_name", query.getGovernanceFacilityName());
        wrapper.eq(ObjectUtil.isNotNull(query.getGovernanceFacilityTime()), "governance_facility_time", query.getGovernanceFacilityTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutionFacilityTechnology()), "pollution_facility_technology", query.getPollutionFacilityTechnology());
        wrapper.eq(ObjectUtil.isNotNull(query.getContaminateFactor()), "contaminate_factor", query.getContaminateFactor());
        wrapper.eq(ObjectUtil.isNotNull(query.getEmissions()), "emissions", query.getEmissions());
        wrapper.eq(ObjectUtil.isNotNull(query.getReceivingName()), "receiving_name", query.getReceivingName());
        wrapper.eq(ObjectUtil.isNotNull(query.getElectricityConsumption()), "electricity_consumption", query.getElectricityConsumption());
        wrapper.eq(ObjectUtil.isNotNull(query.getProcessingPower()), "processing_power", query.getProcessingPower());
        wrapper.eq(ObjectUtil.isNotNull(query.getActualProcessingVolume()), "actual_processing_volume", query.getActualProcessingVolume());
        wrapper.eq(ObjectUtil.isNotNull(query.getWillAmount()), "will_amount", query.getWillAmount());
        wrapper.eq(ObjectUtil.isNotNull(query.getActualEmissions()), "actual_emissions", query.getActualEmissions());
        wrapper.eq(ObjectUtil.isNotNull(query.getDesignProcessingPower()), "design_processing_power", query.getDesignProcessingPower());
        wrapper.eq(ObjectUtil.isNotNull(query.getWaterTreatmentVolume()), "water_treatment_volume", query.getWaterTreatmentVolume());
        wrapper.eq(ObjectUtil.isNotNull(query.getWaterWillAmount()), "water_will_amount", query.getWaterWillAmount());
        wrapper.eq(ObjectUtil.isNotNull(query.getWaterActualEmissions()), "water_actual_emissions", query.getWaterActualEmissions());
        wrapper.eq(ObjectUtil.isNotNull(query.getSludgeGeneration()), "sludge_generation", query.getSludgeGeneration());
        wrapper.eq(ObjectUtil.isNotNull(query.getSludgeMoistureContent()), "sludge_moisture_content", query.getSludgeMoistureContent());
        wrapper.eq(ObjectUtil.isNotNull(query.getCirculatingCooling()), "circulating_cooling", query.getCirculatingCooling());
        wrapper.eq(ObjectUtil.isNotNull(query.getCoolingDischarge()), "cooling_discharge", query.getCoolingDischarge());
        wrapper.eq(ObjectUtil.isNotNull(query.getSludgeDisposalMethod()), "sludge_disposal_method", query.getSludgeDisposalMethod());
        wrapper.eq(ObjectUtil.isNotNull(query.getFacilityOperatingCosts()), "facility_operating_costs", query.getFacilityOperatingCosts());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        return wrapper;
        }
}
