package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgJbxxInfo;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 固定源产排治--执行报告--企业基本信息对象 b_stat_table_zxbg_jbxx_info
 *
 * @author szhpt
 * @date 2023-07-27*/
@ApiModel(value = "固定源产排治--执行报告--企业基本信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgJbxxInfoQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "执行报告记录内容")
    private String zxbgRecord;
    @ApiModelProperty(value = "执行报告生产单元")
    private String zxbgProPress;
    @ApiModelProperty(value = "名称")
    private String zxbgName;
    @ApiModelProperty(value = "参数")
    private String zxbgParam;
    @ApiModelProperty(value = "单位")
    private String zxbgUnit;
    @ApiModelProperty(value = "数量")
    private Long zxbgNum;
    @ApiModelProperty(value = "备注")
    private String zsbgRemark;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "是否删除")
    private String isDelete;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgJbxxInfo> createLambdaQueryWrapper(BStatTableZxbgJbxxInfoQuery query) {
        QueryWrapper<BStatTableZxbgJbxxInfo> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgRecord()), "zxbg_record", query.getZxbgRecord());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgProPress()), "zxbg_pro_press", query.getZxbgProPress());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgName()), "zxbg_name", query.getZxbgName());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgParam()), "zxbg_param", query.getZxbgParam());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgUnit()), "zxbg_unit", query.getZxbgUnit());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgNum()), "zxbg_num", query.getZxbgNum());
        wrapper.eq(ObjectUtil.isNotNull(query.getZsbgRemark()), "zsbg_remark", query.getZsbgRemark());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsDelete()), "is_delete", query.getIsDelete());
        return wrapper;
        }
}
