package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOverproof;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 固定源产排治--执行报告--废气超标排放信息对象 b_stat_table_zxbg_pfl_air_overproof
 *
 * @author szhpt
 * @date 2023-07-28*/
@ApiModel(value = "固定源产排治--执行报告--废气超标排放信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgPflAirOverproofQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "排放口编号")
    private String zxbgOutletCode;
    @ApiModelProperty(value = "污染物名称")
    private String zxbgPollutant;
    @ApiModelProperty(value = "实际排放浓度（折标，mg/m3）")
    private String zxbgDischargeTrue;
    @ApiModelProperty(value = "实际排放值")
    private String zxbgDischargeActual;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "是否删除")
    private String isDelete;
    @ApiModelProperty(value = "生产设施编号")
    private String zxbgProCode;
    @ApiModelProperty(value = "超标开始时间")
    private String overStartTime;
    @ApiModelProperty(value = "超标截止时间")
    private String overEndTime;
    @ApiModelProperty(value = "超标原因说明")
    private String overRemark;
    @ApiModelProperty(value = "计量单位")
    private String overUnit;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgPflAirOverproof> createLambdaQueryWrapper(BStatTableZxbgPflAirOverproofQuery query) {
        QueryWrapper<BStatTableZxbgPflAirOverproof> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgOutletCode()), "zxbg_outlet_code", query.getZxbgOutletCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPollutant()), "zxbg_pollutant", query.getZxbgPollutant());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgDischargeTrue()), "zxbg_discharge_true", query.getZxbgDischargeTrue());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgDischargeActual()), "zxbg_discharge_actual", query.getZxbgDischargeActual());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsDelete()), "is_delete", query.getIsDelete());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgProCode()), "zxbg_pro_code", query.getZxbgProCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getOverStartTime()), "over_start_time", query.getOverStartTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOverEndTime()), "over_end_time", query.getOverEndTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOverRemark()), "over_remark", query.getOverRemark());
        wrapper.eq(ObjectUtil.isNotNull(query.getOverUnit()), "over_unit", query.getOverUnit());
        return wrapper;
        }
}
