package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirSpecial;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 固定源产排治--执行报告--特殊时段废气排放量对象 b_stat_table_zxbg_pfl_air_special
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--特殊时段废气排放量")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgPflAirSpecialQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "类型:重污染、冬防")
    private String zxbgAirType;
    @ApiModelProperty(value = "废气类型 有组织、无组织、全场总计")
    private String zxbgAirAllType;
    @ApiModelProperty(value = "许可排放量")
    private String zxbgDischargeXk;
    @ApiModelProperty(value = "实际排放值")
    private String zxbgDischargeActual;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "是否删除")
    private String isDelete;
    @ApiModelProperty(value = "污染物名称")
    private String zxbgPollutant;
    @ApiModelProperty(value = "时间")
    private String zxbgTime;
    @ApiModelProperty(value = "超标原因")
    private String overCause;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgPflAirSpecial> createLambdaQueryWrapper(BStatTableZxbgPflAirSpecialQuery query) {
        QueryWrapper<BStatTableZxbgPflAirSpecial> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgAirType()), "zxbg_air_type", query.getZxbgAirType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgAirAllType()), "zxbg_air_all_type", query.getZxbgAirAllType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgDischargeXk()), "zxbg_discharge_xk", query.getZxbgDischargeXk());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgDischargeActual()), "zxbg_discharge_actual", query.getZxbgDischargeActual());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsDelete()), "is_delete", query.getIsDelete());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPollutant()), "zxbg_pollutant", query.getZxbgPollutant());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgTime()), "zxbg_time", query.getZxbgTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOverCause()), "over_cause", query.getOverCause());
        return wrapper;
        }
}
