package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgPfltotalWater;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 固定源产排治--执行报告--废水正常排放总计（一般排放口）对象 b_stat_table_zxbg_pfltotal_water
 *
 * @author szhpt
 * @date 2023-07-28*/
@ApiModel(value = "固定源产排治--执行报告--废水正常排放总计（一般排放口）")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgPfltotalWaterQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "污染物名称")
    private String zxbgPollutant;
    @ApiModelProperty(value = "年许可排放量")
    private String zxbgDischargeYear;
    @ApiModelProperty(value = "实际排放值")
    private String zxbgDischargeActual;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "是否删除")
    private String isDelete;
    @ApiModelProperty(value = "排放口id")
    private String zxbgOutletId;
    @ApiModelProperty(value = "排放方式、直接排放、间接排放")
    private String zxbgEmissionType;
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgPfltotalWater> createLambdaQueryWrapper(BStatTableZxbgPfltotalWaterQuery query) {
        QueryWrapper<BStatTableZxbgPfltotalWater> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPollutant()), "zxbg_pollutant", query.getZxbgPollutant());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgDischargeYear()), "zxbg_discharge_year", query.getZxbgDischargeYear());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgDischargeActual()), "zxbg_discharge_actual", query.getZxbgDischargeActual());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsDelete()), "is_delete", query.getIsDelete());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgOutletId()), "zxbg_outlet_id", query.getZxbgOutletId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgEmissionType()), "zxbg_emission_type", query.getZxbgEmissionType());
        wrapper.eq(ObjectUtil.isNotNull(query.getRemark()), "remark", query.getRemark());
        return wrapper;
        }
}
