package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.BStatTableZxbgWrzlTotal;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 固定源产排治--执行报告--污染治理设施正常情况汇总对象 b_stat_table_zxbg_wrzl_total
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--污染治理设施正常情况汇总")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgWrzlTotalQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    private String zxbgType;
    @ApiModelProperty(value = "执行报告周期")
    private String zxbgPeriod;
    @ApiModelProperty(value = "污染源类型")
    private String zxbgPollutant;
    @ApiModelProperty(value = "污染治理设施编号")
    private String pollutionControlFacilityCode;
    @ApiModelProperty(value = "污染治理设施名称")
    private String pollutionControlFacilityName;
    @ApiModelProperty(value = "运行参数")
    private String processParameter;
    @ApiModelProperty(value = "数量")
    private String amount;
    @ApiModelProperty(value = "单位")
    private String unit;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<BStatTableZxbgWrzlTotal> createLambdaQueryWrapper(BStatTableZxbgWrzlTotalQuery query) {
        QueryWrapper<BStatTableZxbgWrzlTotal> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgType()), "zxbg_type", query.getZxbgType());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPeriod()), "zxbg_period", query.getZxbgPeriod());
        wrapper.eq(ObjectUtil.isNotNull(query.getZxbgPollutant()), "zxbg_pollutant", query.getZxbgPollutant());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutionControlFacilityCode()), "pollution_control_facility_code", query.getPollutionControlFacilityCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutionControlFacilityName()), "pollution_control_facility_name", query.getPollutionControlFacilityName());
        wrapper.eq(ObjectUtil.isNotNull(query.getProcessParameter()), "process_parameter", query.getProcessParameter());
        wrapper.eq(ObjectUtil.isNotNull(query.getAmount()), "amount", query.getAmount());
        wrapper.eq(ObjectUtil.isNotNull(query.getUnit()), "unit", query.getUnit());
        wrapper.eq(ObjectUtil.isNotNull(query.getRemark()), "remark", query.getRemark());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        return wrapper;
        }
}
