package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.BasDevice;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 设备信息(有组织)对象 bas_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "DCS系统参数设置Query")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasDeviceDCSSystemParamQuery extends PageQuery
{

    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "所属企业")
    private String factoryId;
    @ApiModelProperty(value = "设备名称")
    private String name;
    @ApiModelProperty(value = "所属行业 枚举。钢铁/焦化/水泥...")
    private String industry;
    @ApiModelProperty(value = "所属工序名")
    private String workStep;
    @ApiModelProperty(value = "设备类型 枚举。焦炉/烧结机...")
    private String type;
    @ApiModelProperty(value = "参数名称")
    private String paramName;

}
