package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "管控浓度标准")
@EqualsAndHashCode(callSuper = false)
@Data
public class BaseControlConcentStandardsQuery extends PageQuery {
    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    private String id;

    /**
     * 企业id
     */
    @ApiModelProperty(value="企业id")
    private String factoryId;

    private String factoryName;

    /**
     * 污染物种类
     */
    @ApiModelProperty(value="污染物种类")
    private String pollutantType;

    /**
     * 管控浓度标准（mg/m3）
     */
    @ApiModelProperty(value="管控浓度标准（mg/m3）")
    private BigDecimal controlStandard;

    /**
     * 纳入计算：0 否  1是
     */
    @ApiModelProperty(value="纳入计算：0 否  1是")
    private String includeCalculations;

    @ApiModelProperty(value="是否重点管控点位：0 否  1是")
    private String controlPoints;

    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value="更新时间")
    private Date updateTime;

    /**
     * 对应监测点位名称
     */
    @ApiModelProperty(value="对应监测点位名称")
    private String monitoringPointName;

    private String countryCode;

    @ApiModelProperty(value="行业code")
    private String industryCategoryCode;
}
