package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.vo.AmProblemFiVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;


/**
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "在线监测排放量变化趋势")
@EqualsAndHashCode(callSuper = false)
@Data
public class EffectiveMonitoringRateQuery extends PageQuery
{
    @ApiModelProperty(value = "开始日期")
    private String monitoringStartTime;
    @ApiModelProperty(value = "结束日期")
    private String monitoringEndTime;
    @ApiModelProperty(value = "数据类型（日：d；小时：h；分钟：m）")
    private String dataType;
    @ApiModelProperty(value = "类型1废气2废水")
    private String type;
    @ApiModelProperty(value = "月份 格式2023-06")
    private String month;

    @ApiModelProperty(value = "开始日期",hidden = true)
    private Date startTime;
    @ApiModelProperty(value = "结束日期",hidden = true)
    private Date endTime;

    private List<String> regionCodes;

    @ApiModelProperty("行业编码 GT:钢铁, BL:玻璃, SN:水泥, JH:焦化, FS:垃圾焚烧, DL:电力")
    private String industryCode;

    private String monitoringTime;

    private String regionCode;
}