package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @className: FacilityInformationQuery
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 10:49
 * @Company: Copyright© [2023/04/28 10:49] by [Mr.Yanghongtao]
 **/
@Data
@ApiModel(value = "设施点位管理Query", description = "设施点位管理Query")
public class FacilityInformationQuery extends PageQuery {
    @ApiModelProperty(name = "deviceId", value = "设施ID，保存的时候使用")
    private String deviceId;

    @ApiModelProperty(name = "deviceName", value = "设施名称，查询或保存的时候使用")
    private String deviceName;

    @ApiModelProperty(name = "pollutantName", value = "排污生产设施名称，查询或保存的时候使用")
    private String pollutantName;

    @ApiModelProperty(name = "pollutantName", value = "排污生产设施编号，查询或保存的时候使用")
    private String pollutantCode;

    @ApiModelProperty(name = "pollutantCodeOne", value = "排污生产设施编号，查询或保存的时候使用",hidden = true)
    private String pollutantCodeOne;

    @ApiModelProperty(name = "factoryId", value = "企业ID，非前台传输", hidden = true)
    private String factoryId;

    @ApiModelProperty(name = "deviceIds", value = "要更改的设备ID，非前台传输", hidden = true)
    private List<String> deviceIds;

    @ApiModelProperty(name = "queryType", value = "查询类型：1-分表计电生产设施匹配列表查询，2-分表计电治理设施匹配列表查询，3-DCS生产设施匹配列表查询")
    private String queryType;

    @ApiModelProperty(name = "startTime", value = "操作时间，只有日志查询使用")
    private String startTime;

    @ApiModelProperty(name = "startTime", value = "操作时间，只有日志查询使用")
    private String endTime;

    public FacilityInformationQuery(String factoryId ,List<String> deviceIds) {
        this.factoryId = factoryId;
        this.deviceIds = deviceIds;
    }

    public FacilityInformationQuery() {
    }
}
