package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.FactoryReportingReminders;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 企业信息上报提交提示对象 factory_reporting_reminders
 *
 * @author szhpt
 * @date 2023-05-09*/
@ApiModel(value = "企业信息上报提交提示")
@EqualsAndHashCode(callSuper = false)
@Data
public class FactoryReportingRemindersQuery extends PageQuery
{

    @ApiModelProperty(value = "主键")
    private String feId;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @ApiModelProperty(value = "企业信息提交状态0未提交，1已提交")
    private String submitStatus;
    @ApiModelProperty(value = "区县编码")
    private String regionCode;
    @ApiModelProperty(value = "行业类别")
    private String industryCategory;
    @ApiModelProperty(value = "行业")
    private String industryPermissionName;
    @ApiModelProperty(value = "提交开始时间")
    private String submitTimeStart;
    @ApiModelProperty(value = "提交结束时间")
    private String submitTimeEnd;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<FactoryReportingReminders> createLambdaQueryWrapper(FactoryReportingRemindersQuery query) {
        QueryWrapper<FactoryReportingReminders> wrapper = new QueryWrapper<>();
        // wrapper.eq(ObjectUtil.isNotNull(query.getFeId()), "fe_id", query.getFeId());
        // wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        // wrapper.eq(ObjectUtil.isNotNull(query.getSubmitStatus()), "submit_status", query.getSubmitStatus());
        // wrapper.eq(ObjectUtil.isNotNull(query.getSubmitTime()), "submit_time", query.getSubmitTime());
        // wrapper.eq(ObjectUtil.isNotNull(query.getRemindersStatus()), "reminders_status", query.getRemindersStatus());
        // wrapper.eq(ObjectUtil.isNotNull(query.getSubmitUser()), "submit_user", query.getSubmitUser());
        return wrapper;
        }
}
