package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 日志
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "日志查询请求Query")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonitoringPointLogQuery extends PageQuery
{
        @ApiModelProperty(value = "在线监测点位名称/无组织监测点位名称")
        private String monitoringPointName;

        @ApiModelProperty(value = "对应许可证排口名称")
        private String outletName;

        @ApiModelProperty(value = "对应许可证排口编号/无组织监测点位编号")
        private String outletCode;

        @ApiModelProperty(value = "操作开始时间")
        private String operationTimeStart;

        @ApiModelProperty(value = "操作结束时间")
        private String operationTimeEnt;

        @ApiModelProperty(value = "类型：1-废气有组织/2-废水")
        private String monitoringPointType;

        private String factoryId;
}
