package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.common.core.utils.StringUtils;
import cn.cecep.talroad.domain.PcOutlet;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 废气有组织、无组织排口对象 pc_outlet
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "废气有组织在线监测点位匹配列表参数")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcOutletGasQuery extends PageQuery
{
        @ApiModelProperty(value = "主键标识ID")
        private String monitoringPointId;

        @ApiModelProperty(value = "在线监测点位名称")
        private String monitoringPointName;

        @ApiModelProperty(value = "对应许可证排口名称")
        private String outletName;

        @ApiModelProperty(value = "对应许可证无组织源编号")
        private String outletCode;

        @ApiModelProperty(value = "排口类型")
        private String outletTypes;

        @ApiModelProperty(value = "污染物类型 （废气有组织在线监测点：4｜废水在线监测点：4)",required = true)
        private String pollutantType;

        @ApiModelProperty(value = "排口分类 （废气有组织在线监测点：1｜废水在线监测点：2｜voc在线监测点：3）",required = true)
        private String pollutantOutletType;

        private String factoryId;

}
