package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.SEnvWaterSelfDay;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 多源排放量汇总分析-废水-手工监测数据对象 s_env_water_self_day
 *
 * @author szhpt
 * @date 2023-07-26*/
@ApiModel(value = "多源排放量汇总分析-废水-手工监测数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class SEnvWaterSelfDayQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "排口id")
    private String outletId;
    @ApiModelProperty(value = "数据类型（日：D；小时：H；分钟：M）")
    private String dataType;
    @ApiModelProperty(value = "日期")
    private String monitoringTime;
    @ApiModelProperty(value = "污水")
    private String sewage;
    @ApiModelProperty(value = "污水排放")
    private String sewageEmission;
    @ApiModelProperty(value = "PH值")
    private String phValue;
    @ApiModelProperty(value = "化学需氧量")
    private String cod;
    @ApiModelProperty(value = "化学需氧量排放")
    private String codEmission;
    @ApiModelProperty(value = "氨氮")
    private String ammoniaNitrogen;
    @ApiModelProperty(value = "氨氮折算排放")
    private String ammoniaNitrogenEmission;
    @ApiModelProperty(value = "COD浓度")
    private String codConcentration;
    @ApiModelProperty(value = "废水流量")
    private String wastewaterFlow;
    @ApiModelProperty(value = "总氮浓度")
    private String nitrogenConcentration;
    @ApiModelProperty(value = "总氮排放")
    private String nitrogenConcentrationEmission;
    @ApiModelProperty(value = "总磷浓度")
    private String phosphorusConcentration;
    @ApiModelProperty(value = "总磷排放")
    private String phosphorusConcentrationEmission;
    @ApiModelProperty(value = "采集时间（时间类型）")
    private String dateTime;
    @ApiModelProperty(value = "污水数据标记")
    private String sewageFlag;
    @ApiModelProperty(value = "PH值数据标记")
    private String phValueFlag;
    @ApiModelProperty(value = "化学需氧量数据标记")
    private String codFlag;
    @ApiModelProperty(value = "氨氮数据标记")
    private String ammoniaNitrogenFlag;
    @ApiModelProperty(value = "总氮数据标记")
    private String nitrogenConcentrationFlag;
    @ApiModelProperty(value = "总磷数据标记")
    private String phosphorusConcentrationFlag;
    @ApiModelProperty(value = "数据标记 见字典类型anal_data_flag")
    private String dataFlag;
    @ApiModelProperty(value = "cod修约排放量")
    private String codCorrectEmission;
    @ApiModelProperty(value = "氨氮修约排放量")
    private String ammoniaCorrectEmission;
    @ApiModelProperty(value = "总氮修约排放量")
    private String nitrogenCorrectEmission;
    @ApiModelProperty(value = "总磷修约排放量")
    private String phosphorusCorrectEmission;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<SEnvWaterSelfDay> createLambdaQueryWrapper(SEnvWaterSelfDayQuery query) {
        QueryWrapper<SEnvWaterSelfDay> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getOutletId()), "outlet_id", query.getOutletId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataType()), "data_type", query.getDataType());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonitoringTime()), "monitoring_time", query.getMonitoringTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getSewage()), "sewage", query.getSewage());
        wrapper.eq(ObjectUtil.isNotNull(query.getSewageEmission()), "sewage_emission", query.getSewageEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getPhValue()), "ph_value", query.getPhValue());
        wrapper.eq(ObjectUtil.isNotNull(query.getCod()), "cod", query.getCod());
        wrapper.eq(ObjectUtil.isNotNull(query.getCodEmission()), "cod_emission", query.getCodEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getAmmoniaNitrogen()), "ammonia_nitrogen", query.getAmmoniaNitrogen());
        wrapper.eq(ObjectUtil.isNotNull(query.getAmmoniaNitrogenEmission()), "ammonia_nitrogen_emission", query.getAmmoniaNitrogenEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getCodConcentration()), "cod_concentration", query.getCodConcentration());
        wrapper.eq(ObjectUtil.isNotNull(query.getWastewaterFlow()), "wastewater_flow", query.getWastewaterFlow());
        wrapper.eq(ObjectUtil.isNotNull(query.getNitrogenConcentration()), "nitrogen_concentration", query.getNitrogenConcentration());
        wrapper.eq(ObjectUtil.isNotNull(query.getNitrogenConcentrationEmission()), "nitrogen_concentration_emission", query.getNitrogenConcentrationEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getPhosphorusConcentration()), "phosphorus_concentration", query.getPhosphorusConcentration());
        wrapper.eq(ObjectUtil.isNotNull(query.getPhosphorusConcentrationEmission()), "phosphorus_concentration_emission", query.getPhosphorusConcentrationEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getDateTime()), "date_time", query.getDateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getSewageFlag()), "sewage_flag", query.getSewageFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getPhValueFlag()), "ph_value_flag", query.getPhValueFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getCodFlag()), "cod_flag", query.getCodFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getAmmoniaNitrogenFlag()), "ammonia_nitrogen_flag", query.getAmmoniaNitrogenFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getNitrogenConcentrationFlag()), "nitrogen_concentration_flag", query.getNitrogenConcentrationFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getPhosphorusConcentrationFlag()), "phosphorus_concentration_flag", query.getPhosphorusConcentrationFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getDataFlag()), "data_flag", query.getDataFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getCodCorrectEmission()), "cod_correct_emission", query.getCodCorrectEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getAmmoniaCorrectEmission()), "ammonia_correct_emission", query.getAmmoniaCorrectEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getNitrogenCorrectEmission()), "nitrogen_correct_emission", query.getNitrogenCorrectEmission());
        wrapper.eq(ObjectUtil.isNotNull(query.getPhosphorusCorrectEmission()), "phosphorus_correct_emission", query.getPhosphorusCorrectEmission());
        return wrapper;
        }
}
