package cn.cecep.talroad.vo.query.analysis;

import java.math.BigDecimal;

import cn.cecep.talroad.domain.analysis.SRaActionReportsActualYield;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.analysis.SRaActionReportsActualYield;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 执行报告实际产量情况对象 s_ra_action_reports_actual_yield
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告实际产量情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaActionReportsActualYieldQuery extends PageQuery
{

    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    private String reportType;
    @ApiModelProperty(value = "执行报告时间;字典bus_executive_report：年：2023 月：2023-02 日： 2023-02-01")
    private String reportTime;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "主要生产单元")
    private String productionUnit;
    @ApiModelProperty(value = "运行参数code")
    private String runningParamCode;
    @ApiModelProperty(value = "运行参数名称")
    private String runningParamName;
    @ApiModelProperty(value = "产量（t）")
    private BigDecimal actualEmissions;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<SRaActionReportsActualYield> createLambdaQueryWrapper(SRaActionReportsActualYieldQuery query) {
        QueryWrapper<SRaActionReportsActualYield> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportType()), "report_type", query.getReportType());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportTime()), "report_time", query.getReportTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getProductionUnit()), "production_unit", query.getProductionUnit());
        wrapper.eq(ObjectUtil.isNotNull(query.getRunningParamCode()), "running_param_code", query.getRunningParamCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getRunningParamName()), "running_param_name", query.getRunningParamName());
        wrapper.eq(ObjectUtil.isNotNull(query.getActualEmissions()), "actual_emissions", query.getActualEmissions());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateBy()), "update_by", query.getUpdateBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateBy()), "create_by", query.getCreateBy());
        return wrapper;
        }
}
