package cn.cecep.talroad.vo.query.analysis;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.analysis.SRaActionReportsAuditRecord;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 执行报告规范性审核记录对象 s_ra_action_reports_audit_record
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "执行报告规范性审核记录")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaActionReportsAuditRecordQuery extends PageQuery
{

    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "执行报告id")
    private String reportId;
    @ApiModelProperty(value = "系统审核时间")
    private Date auditTime;
    @ApiModelProperty(value = "应提交企业数量")
    private Long totalEnterprises;
    @ApiModelProperty(value = "已提交企业数量")
    private Long submittedEnterprises;
    @ApiModelProperty(value = "已审核企业数量")
    private Long auditedEnterprises;
    @ApiModelProperty(value = "存在问题企业数")
    private Long problemsEnterprises;
    @ApiModelProperty(value = "审核状态;审核状态：1 审核中   9 审核完成")
    private Long auditStatus;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<SRaActionReportsAuditRecord> createLambdaQueryWrapper(SRaActionReportsAuditRecordQuery query) {
        QueryWrapper<SRaActionReportsAuditRecord> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportId()), "report_id", query.getReportId());
        wrapper.eq(ObjectUtil.isNotNull(query.getAuditTime()), "audit_time", query.getAuditTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getTotalEnterprises()), "total_enterprises", query.getTotalEnterprises());
        wrapper.eq(ObjectUtil.isNotNull(query.getSubmittedEnterprises()), "submitted_enterprises", query.getSubmittedEnterprises());
        wrapper.eq(ObjectUtil.isNotNull(query.getAuditedEnterprises()), "audited_enterprises", query.getAuditedEnterprises());
        wrapper.eq(ObjectUtil.isNotNull(query.getProblemsEnterprises()), "problems_enterprises", query.getProblemsEnterprises());
        wrapper.eq(ObjectUtil.isNotNull(query.getAuditStatus()), "audit_status", query.getAuditStatus());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateBy()), "create_by", query.getCreateBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateBy()), "update_by", query.getUpdateBy());
        return wrapper;
        }
}
