package cn.cecep.talroad.vo.query.analysis;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 企业排放量差异分析对象 s_ra_emissions_diff
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "企业排放量差异分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsDiffQuery extends PageQuery
{

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "区域编码")
    private List<String> regionCodeList;

    @ApiModelProperty(value = "污染物名称")
    private String pollutantName;

    @ApiModelProperty(value = "行业类别")
    private String industryCode;

    @ApiModelProperty(value = "行业名称")
    private String industryName;

    @ApiModelProperty(value = "分析时间开始 格式:yyyy-MM")
    private String analyseTimeStart;

    @ApiModelProperty(value = "分析时间结束 格式:yyyy-MM")
    private String analyseTimeEnd;

}
