package cn.cecep.talroad.vo.query.analysis;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.analysis.SRaEmissionsMonitoringVariance;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 企业异常行为分析-企业排放分析-监测差异分析对象 s_ra_emissions_monitoring_variance
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "企业异常行为分析-企业排放分析-监测差异分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsMonitoringVarianceQuery extends PageQuery
{

    @ApiModelProperty(value = "主键")
    private Long id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @ApiModelProperty(value = "行业名称")
    private String industryPermissionName;
    @ApiModelProperty(value = "区县编码")
    private String countryCode;
    @ApiModelProperty(value = "监测开始时间")
    private String startTime;
    @ApiModelProperty(value = "监测结束时间")
    private String endTime;
    @ApiModelProperty(value = "监测排口名称")
    private String outletName;
    @ApiModelProperty(value = "污染物种类id")
    private String pollId;


    // @ApiModelProperty(value = "监测时间")
    // private String stationTime;
    // @ApiModelProperty(value = "监测点id")
    // private Long stationId;
    // @ApiModelProperty(value = "在线监测浓度")
    // private String concentrationOnline;
    // @ApiModelProperty(value = "自行监测浓度")
    // private String concentrationPm;
    // @ApiModelProperty(value = "执法监测浓度")
    // private String concentrationEtl;
    // @ApiModelProperty(value = "差异率")
    // private String differenceRatio;
    // @ApiModelProperty(value = "创建时间")
    // private String createTime;
    // @ApiModelProperty(value = "更新时间")
    // private String updateTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<SRaEmissionsMonitoringVariance> createLambdaQueryWrapper(SRaEmissionsMonitoringVarianceQuery query) {
        QueryWrapper<SRaEmissionsMonitoringVariance> wrapper = new QueryWrapper<>();
        // wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        // wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        // wrapper.eq(ObjectUtil.isNotNull(query.getStationTime()), "station_time", query.getStationTime());
        // wrapper.eq(ObjectUtil.isNotNull(query.getStationId()), "station_id", query.getStationId());
        // wrapper.eq(ObjectUtil.isNotNull(query.getPollId()), "poll_id", query.getPollId());
        // wrapper.eq(ObjectUtil.isNotNull(query.getConcentrationOnline()), "concentration_online", query.getConcentrationOnline());
        // wrapper.eq(ObjectUtil.isNotNull(query.getConcentrationPm()), "concentration_pm", query.getConcentrationPm());
        // wrapper.eq(ObjectUtil.isNotNull(query.getConcentrationEtl()), "concentration_etl", query.getConcentrationEtl());
        // wrapper.eq(ObjectUtil.isNotNull(query.getDifferenceRatio()), "difference_ratio", query.getDifferenceRatio());
        // wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        // wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        return wrapper;
        }
}
