package cn.cecep.talroad.vo.query.analysis;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 区域、行业排放量超标分析对象 s_ra_emissions_over
 */
@ApiModel(value = "区域、行业排放量超标分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaEmissionsOverQuery extends PageQuery
{
    @ApiModelProperty(value = "行业id")
    private String industryId;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "区域编码")
    private List<String> regionCodeList;

    @ApiModelProperty(value = "统计年份")
    private String statYear;

    @ApiModelProperty(value = "参数名称")
    private String pollutantName;

    @ApiModelProperty(value = "分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量")
    private String analyseType;
}
