package cn.cecep.talroad.vo.query.analysis;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.analysis.SRaFactoryRegulatoryIssues;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 企业证后监管问题总对象 s_ra_factory_regulatory_issues
 *
 * @author szhpt
 * @date 2023-04-11*/
@ApiModel(value = "企业证后监管问题总")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaFactoryRegulatoryIssuesQuery extends PageQuery
{

    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "执行报告类型;字典bus_executive_report（y 年报 s 季报 m 月报 d 日报）")
    private String reportType;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "排污许可证编号")
    private String pollDisLicenseCode;
    @ApiModelProperty(value = "月份")
    private String month;
    @ApiModelProperty(value = "治理设施异常问题个数")
    private String abnormalProblemsNum;
    @ApiModelProperty(value = "在线监测有效监测率")
    private String effectiveMonitoringComplianceRate;
    @ApiModelProperty(value = "在线监测达标率")
    private String onlineMonitoringComplianceRate;
    @ApiModelProperty(value = "手工监测频次合格率")
    private String manualMonitoringFrequencyPassRate;
    @ApiModelProperty(value = "系统核算实际排放合格率")
    private String sysAccActualEmissionPassRate;
    @ApiModelProperty(value = "执行报告实际排放合格率")
    private String reportActualEmissionPassRate;
    @ApiModelProperty(value = "重污染管控执行率")
    private String heavyPollutionControlExacutiveRate;
    @ApiModelProperty(value = "是否需要提交执行报告")
    private String reportNeedSubmit;
    @ApiModelProperty(value = "执行报告是否提交")
    private String reportSubmit;
    @ApiModelProperty(value = "执行报告规范性")
    private String reportNormative;
    @ApiModelProperty(value = "执行报告结果统计时间")
    private String reportStatisticsTime;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<SRaFactoryRegulatoryIssues> createLambdaQueryWrapper(SRaFactoryRegulatoryIssuesQuery query) {
        QueryWrapper<SRaFactoryRegulatoryIssues> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportType()), "report_type", query.getReportType());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollDisLicenseCode()), "poll_dis_license_code", query.getPollDisLicenseCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonth()), "month", query.getMonth());
        wrapper.eq(ObjectUtil.isNotNull(query.getAbnormalProblemsNum()), "abnormal_problems_num", query.getAbnormalProblemsNum());
        wrapper.eq(ObjectUtil.isNotNull(query.getEffectiveMonitoringComplianceRate()), "effective_monitoring_compliance_rate", query.getEffectiveMonitoringComplianceRate());
        wrapper.eq(ObjectUtil.isNotNull(query.getOnlineMonitoringComplianceRate()), "online_monitoring_compliance_rate", query.getOnlineMonitoringComplianceRate());
        wrapper.eq(ObjectUtil.isNotNull(query.getManualMonitoringFrequencyPassRate()), "manual_monitoring_frequency_pass_rate", query.getManualMonitoringFrequencyPassRate());
        wrapper.eq(ObjectUtil.isNotNull(query.getSysAccActualEmissionPassRate()), "sys_acc_actual_emission_pass_rate", query.getSysAccActualEmissionPassRate());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportActualEmissionPassRate()), "report_actual_emission_pass_rate", query.getReportActualEmissionPassRate());
        wrapper.eq(ObjectUtil.isNotNull(query.getHeavyPollutionControlExacutiveRate()), "heavy_pollution_control_exacutive_rate", query.getHeavyPollutionControlExacutiveRate());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportNeedSubmit()), "report_need_submit", query.getReportNeedSubmit());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportSubmit()), "report_submit", query.getReportSubmit());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportNormative()), "report_normative", query.getReportNormative());
        wrapper.eq(ObjectUtil.isNotNull(query.getReportStatisticsTime()), "report_statistics_time", query.getReportStatisticsTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateBy()), "create_by", query.getCreateBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateBy()), "update_by", query.getUpdateBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        return wrapper;
        }
}
