package cn.cecep.talroad.vo.query.analysis;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@ApiModel(value = "废气在线监测标记汇总query")
@Data
public class SRaGasFlagQuery extends PageQuery {

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty("行业类别")
    private String industryCode;

    @ApiModelProperty("区县编码")
    private String regionCode;

    @ApiModelProperty(value = "区域编码")
    private List<String> regionCodeList;

    @ApiModelProperty("监测点位名称")
    private String pointName;

    @ApiModelProperty("监测点位id")
    private String pointId;

    @ApiModelProperty(value = "排口类型(1主要排口、2一般排口)")
    private String outletTypes;

    @ApiModelProperty(value = "排口编号")
    private String outletCode;

    @ApiModelProperty(value = "标记类型")
    private String dataFlag;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "数据类型（日：D；小时：H；分钟：M）")
    private String dataType;

}
