package cn.cecep.talroad.vo.query.analysis;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 超标率分析-气污染要素对象 s_ra_over_rate_gas
 */
@ApiModel(value = "超标率分析-气污染要素")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaOverRateGasQuery extends PageQuery
{
    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "行业编码")
    private String industryCode;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "区域编码")
    private List<String> regionCodeList;

    @ApiModelProperty(value = "监测点位名称")
    private String pointName;

    @ApiModelProperty(value = "统计类型 N:月, Q:季度, Y:年")
    private String statisticsType;

    @ApiModelProperty(value = "统计时间开始 格式：月:yyyy-MM, 季度:yyyyQ, 年:yyyy")
    private String statisticsTimeStart;

    @ApiModelProperty(value = "统计时间结束 格式：月:yyyy-MM, 季度:yyyyQ, 年:yyyy")
    private String statisticsTimeEnd;
}
