package cn.cecep.talroad.vo.query.analysis;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SRaOverWaterPollutionTraceabilityQuery extends PageQuery {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 排口编号
     */
    @TableField(value = "outlet_code")
    @ApiModelProperty(value="排口编号")
    private String outletCode;

    /**
     * 排口名称
     */
    @TableField(value = "outlet_name")
    @ApiModelProperty(value="排口名称")
    private String outletName;

    /**
     * 企业id
     */
    @TableField(value = "factory_id")
    @ApiModelProperty(value="企业id")
    private String factoryId;

    /**
     * 企业名
     */
    @TableField(value = "factory_name")
    @ApiModelProperty(value="企业名")
    private String factoryName;

    /**
     * 对应监测点位名称
     */
    @TableField(value = "monitoring_point_name")
    @ApiModelProperty(value="对应监测点位名称")
    private String monitoringPointName;

    /**
     * 排放方式
     */
    @TableField(value = "emission_method ")
    @ApiModelProperty(value="排放方式")
    private String emissionMethod;



    /**
     * 排水去向
     */
    @TableField(value = "drainage_direction ")
    @ApiModelProperty(value="排水去向")
    private String drainageDirection;
    @TableField(value = "estuary_name")
    @ApiModelProperty(value = "入河口名称（直接排放口需要存）")
    private String estuaryName;

    /**
     * 入河口编号（直接排放口需要存）
     */
    @TableField(value = "estuary_code")
    @ApiModelProperty(value = "入河口编号（直接排放口需要存）")
    private String estuaryCode;

    /**
     * 受纳污水处理厂名称（间接排放口需要存）
     */
    @TableField(value = "receiving_sewage_plant_name")
    @ApiModelProperty(value = "受纳污水处理厂名称（间接排放口需要存）")
    private String receivingSewagePlantName;

}
